--
-- PostgreSQL database dump
--

-- Dumped from database version 9.4.4
-- Dumped by pg_dump version 9.4.0
-- Started on 2015-10-22 13:37:54 CEST

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- TOC entry 21 (class 2615 OID 90015)
-- Name: mondial_allconcrete_standard; Type: SCHEMA; Schema: -; Owner: -
--

DROP SCHEMA IF EXISTS mondial_allconcrete_standard CASCADE;
CREATE SCHEMA mondial_allconcrete_standard;


--
-- TOC entry 5 (class 2615 OID 92443)
-- Name: mondial_rdf2sql_standard; Type: SCHEMA; Schema: -; Owner: -
--

DROP SCHEMA IF EXISTS mondial_rdf2sql_standard CASCADE;
CREATE SCHEMA mondial_rdf2sql_standard;


SET search_path = mondial_allconcrete_standard, pg_catalog;

--
-- TOC entry 1166 (class 1255 OID 90016)
-- Name: dropalltables(character varying); Type: FUNCTION; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE FUNCTION dropalltables(schemaname character varying) RETURNS void
    LANGUAGE plpgsql
    AS $$
DECLARE
  ts VARCHAR(100);
  tn VARCHAR(100);
BEGIN
    for ts,tn
    in select table_schema,table_name from information_schema.tables
       where table_schema= schemaname and 
             (table_type='table' or table_type='BASE TABLE')
    loop
      EXECUTE 'DROP TABLE ' || ts || '."' || tn || '" CASCADE';
    end loop;
END;
$$;


SET search_path = mondial_rdf2sql_standard, pg_catalog;

--
-- TOC entry 1167 (class 1255 OID 92448)
-- Name: dropalltables(character varying); Type: FUNCTION; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE FUNCTION dropalltables(schemaname character varying) RETURNS void
    LANGUAGE plpgsql
    AS $$
DECLARE
  ts VARCHAR(100);
  tn VARCHAR(100);
BEGIN
    for ts,tn
    in select table_schema,table_name from information_schema.tables
       where table_schema= schemaname and 
             (table_type='table' or table_type='BASE TABLE')
    loop
      EXECUTE 'DROP TABLE ' || ts || '."' || tn || '" CASCADE';
    end loop;
END;
$$;


SET search_path = mondial_allconcrete_standard, pg_catalog;

SET default_with_oids = false;

--
-- TOC entry 682 (class 1259 OID 90017)
-- Name: AdministrativeArea; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "AdministrativeArea" (
    "URI" character varying(95) NOT NULL,
    area numeric,
    population numeric,
    capital character varying(108),
    CONSTRAINT "AdministrativeArea_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 683 (class 1259 OID 90024)
-- Name: AnthropoGeographicalRelationship; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "AnthropoGeographicalRelationship" (
    "URI" character varying(199) NOT NULL
);


--
-- TOC entry 684 (class 1259 OID 90027)
-- Name: AnthropoGeographicalThing; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "AnthropoGeographicalThing" (
    "URI" character varying(78) NOT NULL,
    name character varying(29)
);


--
-- TOC entry 685 (class 1259 OID 90030)
-- Name: Area; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Area" (
    "URI" character varying(108) NOT NULL,
    name character varying(29)
);


--
-- TOC entry 686 (class 1259 OID 90033)
-- Name: BelievedBy; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "BelievedBy" (
    "URI" character varying(25) NOT NULL,
    "religionInfo-" character varying(50),
    percent numeric,
    "onReligion" character varying(73)
);


--
-- TOC entry 687 (class 1259 OID 90039)
-- Name: Border; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Border" (
    "URI" character varying(24) NOT NULL,
    length numeric,
    "Country1" character varying(50),
    "Country2" character varying(50)
);


--
-- TOC entry 688 (class 1259 OID 90045)
-- Name: City; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "City" (
    "URI" character varying(108) NOT NULL,
    population numeric,
    elevation numeric,
    CONSTRAINT "City_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 689 (class 1259 OID 90052)
-- Name: Continent; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Continent" (
    "URI" character varying(65) NOT NULL,
    area numeric
);


--
-- TOC entry 690 (class 1259 OID 90058)
-- Name: Country; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Country" (
    "URI" character varying(50) NOT NULL,
    government character varying(117),
    "carCode" character varying(4),
    "gdpAgri" numeric,
    "infantMortality" numeric,
    "gdpInd" numeric,
    inflation numeric,
    unemployment numeric,
    "gdpServ" numeric,
    "populationGrowth" numeric,
    "independenceDate" date,
    "gdpTotal" numeric,
    "wasDependentOf" character varying(76),
    "dependentOf" character varying(49)
);


--
-- TOC entry 691 (class 1259 OID 90064)
-- Name: Desert; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Desert" (
    "URI" character varying(65) NOT NULL,
    area numeric,
    type character varying(4)
);


--
-- TOC entry 692 (class 1259 OID 90070)
-- Name: Encompassed; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Encompassed" (
    "URI" character varying(24) NOT NULL,
    "encompassedArea" character varying(50),
    percent numeric,
    "encompassedBy" character varying(65)
);


--
-- TOC entry 693 (class 1259 OID 90076)
-- Name: Estuary; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Estuary" (
    "URI" character varying(70) NOT NULL
);


--
-- TOC entry 694 (class 1259 OID 90079)
-- Name: EthnicGroup; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "EthnicGroup" (
    "URI" character varying(78) NOT NULL
);


--
-- TOC entry 695 (class 1259 OID 90082)
-- Name: EthnicProportion; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "EthnicProportion" (
    "URI" character varying(25) NOT NULL,
    "onEthnicGroup" character varying(78),
    "ethnicInfo-" character varying(50),
    percent numeric
);


--
-- TOC entry 696 (class 1259 OID 90088)
-- Name: Female; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Female" (
    "URI" character varying(199) NOT NULL,
    "hasMother" character varying(199),
    "hasFather" character varying(199),
    onlyfemaleprop numeric
);


--
-- TOC entry 697 (class 1259 OID 90094)
-- Name: GeographicalNonPoliticalThing; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "GeographicalNonPoliticalThing" (
    "URI" character varying(74) NOT NULL
);


--
-- TOC entry 698 (class 1259 OID 90097)
-- Name: GeographicalThing; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "GeographicalThing" (
    "URI" character varying(108) NOT NULL
);


--
-- TOC entry 699 (class 1259 OID 90100)
-- Name: Island; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Island" (
    "URI" character varying(71) NOT NULL,
    population numeric,
    elevation numeric,
    "belongsToIslands" character varying(71),
    area numeric,
    type character varying(8),
    CONSTRAINT "Island_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 700 (class 1259 OID 90107)
-- Name: Islands; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Islands" (
    "URI" character varying(71) NOT NULL,
    type character varying(199),
    population numeric,
    elevation numeric,
    area numeric,
    CONSTRAINT "Islands_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 701 (class 1259 OID 90114)
-- Name: Lake; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Lake" (
    "URI" character varying(67) NOT NULL,
    "flowsInto" character varying(68),
    elevation numeric,
    type character varying(10),
    "flowsThrough_Inv" character varying(61),
    depth numeric
);


--
-- TOC entry 702 (class 1259 OID 90120)
-- Name: Language; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Language" (
    "URI" character varying(73) NOT NULL
);


--
-- TOC entry 703 (class 1259 OID 90123)
-- Name: Line; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Line" (
    "URI" character varying(68) NOT NULL,
    "flowsInto" character varying(65),
    area numeric,
    length numeric,
    name character varying(25)
);


--
-- TOC entry 704 (class 1259 OID 90129)
-- Name: Location; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Location" (
    "URI" character varying(108) NOT NULL,
    latitude numeric,
    longitude numeric
);


--
-- TOC entry 705 (class 1259 OID 90135)
-- Name: Male; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Male" (
    "URI" character varying(199) NOT NULL,
    "hasMother" character varying(199),
    "hasFather" character varying(199)
);


--
-- TOC entry 706 (class 1259 OID 90141)
-- Name: Membership; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Membership" (
    "URI" character varying(25) NOT NULL,
    "inOrganization" character varying(59),
    "ofMember" character varying(50),
    type character varying(54)
);


--
-- TOC entry 707 (class 1259 OID 90144)
-- Name: MondialThing; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "MondialThing" (
    "URI" character varying(108) NOT NULL
);


--
-- TOC entry 708 (class 1259 OID 90147)
-- Name: Mountain; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Mountain" (
    "URI" character varying(74) NOT NULL,
    type character varying(8),
    "lastEruption" date,
    name character varying(22),
    "locatedOnIsland" character varying(71),
    "inMountains" character varying(72),
    rdftype character varying(7)
);


--
-- TOC entry 709 (class 1259 OID 90150)
-- Name: Mountains; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Mountains" (
    "URI" character varying(72) NOT NULL,
    area numeric,
    type character varying(199),
    elevation numeric
);


--
-- TOC entry 710 (class 1259 OID 90156)
-- Name: Organization; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Organization" (
    "URI" character varying(59) NOT NULL,
    abbrev character varying(8),
    established date,
    "hasHeadq" character varying(98)
);


--
-- TOC entry 711 (class 1259 OID 90159)
-- Name: Place; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Place" (
    "URI" character varying(74) NOT NULL,
    elevation numeric
);


--
-- TOC entry 712 (class 1259 OID 90165)
-- Name: PoliticalBody; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "PoliticalBody" (
    "URI" character varying(76) NOT NULL
);


--
-- TOC entry 713 (class 1259 OID 90168)
-- Name: PoliticalThing; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "PoliticalThing" (
    "URI" character varying(108) NOT NULL,
    name character varying(89)
);


--
-- TOC entry 714 (class 1259 OID 90171)
-- Name: Province; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Province" (
    "URI" character varying(95) NOT NULL,
    "isProvinceOf" character varying(49)
);


--
-- TOC entry 715 (class 1259 OID 90174)
-- Name: ReifiedThing; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "ReifiedThing" (
    "URI" character varying(199) NOT NULL,
    percent numeric
);


--
-- TOC entry 716 (class 1259 OID 90180)
-- Name: Religion; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Religion" (
    "URI" character varying(73) NOT NULL
);


--
-- TOC entry 717 (class 1259 OID 90183)
-- Name: River; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "River" (
    "URI" character varying(68) NOT NULL,
    "hasEstuary" character varying(70),
    "hasSource" character varying(69)
);


--
-- TOC entry 718 (class 1259 OID 90186)
-- Name: Sea; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Sea" (
    "URI" character varying(58) NOT NULL,
    type character varying(199),
    depth numeric
);


--
-- TOC entry 719 (class 1259 OID 90192)
-- Name: Source; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Source" (
    "URI" character varying(69) NOT NULL,
    "inMountains" character varying(68)
);


--
-- TOC entry 720 (class 1259 OID 90195)
-- Name: SpokenBy; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "SpokenBy" (
    "URI" character varying(25) NOT NULL,
    "languageInfo-" character varying(50),
    "onLanguage" character varying(73),
    percent numeric
);


--
-- TOC entry 721 (class 1259 OID 90201)
-- Name: TOP_area; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_area" (
    "URI" character varying(199),
    area numeric
);


--
-- TOC entry 722 (class 1259 OID 90207)
-- Name: TOP_bordering; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_bordering" (
    "URI" character varying(199),
    bordering character varying(199)
);


--
-- TOC entry 723 (class 1259 OID 90210)
-- Name: TOP_capital; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_capital" (
    "URI" character varying(199),
    capital character varying(199)
);


--
-- TOC entry 724 (class 1259 OID 90213)
-- Name: TOP_depth; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_depth" (
    "URI" character varying(199),
    depth numeric
);


--
-- TOC entry 725 (class 1259 OID 90219)
-- Name: TOP_elevation; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_elevation" (
    "URI" character varying(74),
    elevation numeric
);


--
-- TOC entry 726 (class 1259 OID 90225)
-- Name: TOP_flowsInto; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_flowsInto" (
    "URI" character varying(199),
    "flowsInto" character varying(199)
);


--
-- TOC entry 727 (class 1259 OID 90228)
-- Name: TOP_hasFather; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_hasFather" (
    "URI" character varying(199),
    "hasFather" character varying(199)
);


--
-- TOC entry 728 (class 1259 OID 90231)
-- Name: TOP_hasMother; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_hasMother" (
    "URI" character varying(199),
    "hasMother" character varying(199)
);


--
-- TOC entry 729 (class 1259 OID 90234)
-- Name: TOP_inMountains; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_inMountains" (
    "URI" character varying(74),
    "inMountains" character varying(69)
);


--
-- TOC entry 730 (class 1259 OID 90237)
-- Name: TOP_invfktprop_Inv; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_invfktprop_Inv" (
    "URI" character varying(199),
    "invfktprop_Inv" character varying(199)
);


--
-- TOC entry 731 (class 1259 OID 90240)
-- Name: TOP_latitude; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_latitude" (
    "URI" character varying(74),
    latitude numeric
);


--
-- TOC entry 732 (class 1259 OID 90246)
-- Name: TOP_length; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_length" (
    "URI" character varying(199),
    length numeric
);


--
-- TOC entry 733 (class 1259 OID 90252)
-- Name: TOP_locatedOnIsland; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_locatedOnIsland" (
    "URI" character varying(62),
    "locatedOnIsland" character varying(56)
);


--
-- TOC entry 734 (class 1259 OID 90255)
-- Name: TOP_longitude; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_longitude" (
    "URI" character varying(74),
    longitude numeric
);


--
-- TOC entry 735 (class 1259 OID 90261)
-- Name: TOP_name; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_name" (
    "URI" character varying(74),
    name character varying(30)
);


--
-- TOC entry 736 (class 1259 OID 90264)
-- Name: TOP_nmprop; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_nmprop" (
    "URI" character varying(199),
    nmprop character varying(199)
);


--
-- TOC entry 737 (class 1259 OID 90267)
-- Name: TOP_nmprop_Inv; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_nmprop_Inv" (
    "URI" character varying(199),
    "nmprop_Inv" character varying(199)
);


--
-- TOC entry 738 (class 1259 OID 90270)
-- Name: TOP_onlyfemaleprop; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_onlyfemaleprop" (
    "URI" character varying(199),
    onlyfemaleprop numeric
);


--
-- TOC entry 739 (class 1259 OID 90276)
-- Name: TOP_percent; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_percent" (
    "URI" character varying(199),
    percent numeric
);


--
-- TOC entry 740 (class 1259 OID 90282)
-- Name: TOP_population; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_population" (
    "URI" character varying(199),
    population numeric,
    CONSTRAINT "TOP_population_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 741 (class 1259 OID 90289)
-- Name: TOP_type; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "TOP_type" (
    "URI" character varying(74),
    type character varying(8)
);


--
-- TOC entry 742 (class 1259 OID 90292)
-- Name: U; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "U" (
    "URI" character varying(199) NOT NULL,
    "totUpartV11prop" character varying(199)
);


--
-- TOC entry 743 (class 1259 OID 90295)
-- Name: V; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "V" (
    "URI" character varying(199) NOT NULL
);


--
-- TOC entry 744 (class 1259 OID 90298)
-- Name: Water; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Water" (
    "URI" character varying(68) NOT NULL,
    area numeric,
    name character varying(27)
);


--
-- TOC entry 745 (class 1259 OID 90304)
-- Name: X1; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "X1" (
    "URI" character varying(199) NOT NULL,
    nmprop character varying(199)
);


--
-- TOC entry 746 (class 1259 OID 90307)
-- Name: X2; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "X2" (
    "URI" character varying(199) NOT NULL
);


--
-- TOC entry 747 (class 1259 OID 90310)
-- Name: Y1; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Y1" (
    "URI" character varying(199) NOT NULL,
    "invfktprop_Inv" character varying(199)
);


--
-- TOC entry 748 (class 1259 OID 90313)
-- Name: Y2; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "Y2" (
    "URI" character varying(199) NOT NULL,
    "invfktprop_Inv" character varying(199)
);


--
-- TOC entry 749 (class 1259 OID 90316)
-- Name: allcl; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE allcl (
    subclass character varying(50),
    superclass character varying(50)
);


--
-- TOC entry 750 (class 1259 OID 90319)
-- Name: borders; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE borders (
    "Area" character varying(199) NOT NULL,
    "LargeArea" character varying(199) NOT NULL
);


--
-- TOC entry 751 (class 1259 OID 90322)
-- Name: cityIn; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "cityIn" (
    "City" character varying(108) NOT NULL,
    "AdministrativeArea" character varying(95) NOT NULL
);


--
-- TOC entry 752 (class 1259 OID 90325)
-- Name: hasAccountNo; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "hasAccountNo" (
    "Person" character varying(199) NOT NULL,
    "VALUE" numeric NOT NULL
);


--
-- TOC entry 753 (class 1259 OID 90331)
-- Name: hasChild; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "hasChild" (
    "Person1" character varying(199) NOT NULL,
    "Person2" character varying(199) NOT NULL
);


--
-- TOC entry 754 (class 1259 OID 90334)
-- Name: hasNickname; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "hasNickname" (
    "Person" character varying(199) NOT NULL,
    "VALUE" character varying(199) NOT NULL
);


--
-- TOC entry 755 (class 1259 OID 90337)
-- Name: inv; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE inv (
    property character varying(50),
    inverse character varying(50)
);


--
-- TOC entry 756 (class 1259 OID 90340)
-- Name: locatedAt; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "locatedAt" (
    "City" character varying(100) NOT NULL,
    "Water" character varying(68) NOT NULL
);


--
-- TOC entry 757 (class 1259 OID 90343)
-- Name: locatedIn; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "locatedIn" (
    "GeographicalThing" character varying(74) NOT NULL,
    "Area" character varying(95) NOT NULL
);


--
-- TOC entry 758 (class 1259 OID 90346)
-- Name: locatedInWater; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "locatedInWater" (
    "Island" character varying(71) NOT NULL,
    "Water" character varying(58) NOT NULL
);


--
-- TOC entry 759 (class 1259 OID 90349)
-- Name: locatedOnIsland; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "locatedOnIsland" (
    "GeographicalThing" character varying(108) NOT NULL,
    "Island" character varying(71) NOT NULL
);


--
-- TOC entry 760 (class 1259 OID 90352)
-- Name: marriedWith; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "marriedWith" (
    "Person1" character varying(199) NOT NULL,
    "Person2" character varying(199) NOT NULL
);


--
-- TOC entry 761 (class 1259 OID 90355)
-- Name: md; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE md (
    class character varying(50),
    property character varying(50),
    range character varying(50),
    tablename character varying(50),
    lookupattr character varying(50),
    inv character varying(5),
    isview character varying(5)
);


--
-- TOC entry 762 (class 1259 OID 90358)
-- Name: mdlastchanged; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE mdlastchanged (
    at date
);


--
-- TOC entry 763 (class 1259 OID 90361)
-- Name: mergesWith; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE "mergesWith" (
    "Sea1" character varying(58) NOT NULL,
    "Sea2" character varying(58) NOT NULL
);


--
-- TOC entry 764 (class 1259 OID 90364)
-- Name: nmj; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE nmj (
    class character varying(50),
    tablename character varying(50),
    lookupattr character varying(50),
    fkjoinattr character varying(50)
);


--
-- TOC entry 765 (class 1259 OID 90367)
-- Name: nmprop; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE nmprop (
    "X" character varying(199) NOT NULL,
    "Y" character varying(199) NOT NULL
);


--
-- TOC entry 766 (class 1259 OID 90370)
-- Name: nmtables; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE nmtables (
    tablename character varying(50)
);


--
-- TOC entry 767 (class 1259 OID 90373)
-- Name: ocdict; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE ocdict (
    uri character varying(199),
    class character varying(50)
);


--
-- TOC entry 768 (class 1259 OID 90376)
-- Name: othername; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE othername (
    "MondialThing" character varying(101) NOT NULL,
    "VALUE" character varying(27) NOT NULL
);


--
-- TOC entry 769 (class 1259 OID 90379)
-- Name: proptablemap; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE proptablemap (
    property character varying(50),
    tablename character varying(50)
);


--
-- TOC entry 770 (class 1259 OID 90382)
-- Name: rctab; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE rctab (
    tablename character varying(50),
    columnname character varying(50),
    rangetable character varying(50)
);


--
-- TOC entry 771 (class 1259 OID 90385)
-- Name: rdf2sqlconf; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE rdf2sqlconf (
    name character varying(20),
    value character varying(10)
);


--
-- TOC entry 772 (class 1259 OID 90388)
-- Name: subcl; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE subcl (
    subclass character varying(50),
    superclass character varying(50)
);


--
-- TOC entry 773 (class 1259 OID 90391)
-- Name: toptables; Type: TABLE; Schema: mondial_allconcrete_standard; Owner: -
--

CREATE TABLE toptables (
    tablename character varying(50),
    property character varying(50),
    range character varying(50)
);


SET search_path = mondial_rdf2sql_standard, pg_catalog;

--
-- TOC entry 877 (class 1259 OID 92450)
-- Name: BelievedBy; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "BelievedBy" (
    "URI" character varying(25) NOT NULL,
    percent numeric,
    "religionInfo-" character varying(50),
    "onReligion" character varying(73)
);


--
-- TOC entry 878 (class 1259 OID 92456)
-- Name: Border; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Border" (
    "URI" character varying(25) NOT NULL,
    length numeric,
    "Country1" character varying(50),
    "Country2" character varying(50)
);


--
-- TOC entry 879 (class 1259 OID 92462)
-- Name: City; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "City" (
    "URI" character varying(108) NOT NULL,
    name character varying(35),
    population numeric,
    elevation numeric,
    longitude numeric,
    latitude numeric,
    CONSTRAINT "City_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 880 (class 1259 OID 92469)
-- Name: Continent; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Continent" (
    "URI" character varying(65) NOT NULL,
    name character varying(17),
    area numeric
);


--
-- TOC entry 881 (class 1259 OID 92475)
-- Name: Country; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Country" (
    "URI" character varying(50) NOT NULL,
    "gdpAgri" numeric,
    inflation numeric,
    "populationGrowth" numeric,
    government character varying(117),
    "gdpServ" numeric,
    population numeric,
    "gdpTotal" numeric,
    unemployment numeric,
    "independenceDate" date,
    "dependentOf" character varying(49),
    "infantMortality" numeric,
    area numeric,
    "gdpInd" numeric,
    "carCode" character varying(4),
    capital character varying(100),
    "wasDependentOf" character varying(72),
    name character varying(32),
    CONSTRAINT "Country_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 882 (class 1259 OID 92482)
-- Name: Desert; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Desert" (
    "URI" character varying(65) NOT NULL,
    area numeric,
    type character varying(4),
    latitude numeric,
    longitude numeric,
    name character varying(22)
);


--
-- TOC entry 883 (class 1259 OID 92488)
-- Name: Encompassed; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Encompassed" (
    "URI" character varying(25) NOT NULL,
    percent numeric,
    "encompassedArea" character varying(50),
    "encompassedBy" character varying(65)
);


--
-- TOC entry 884 (class 1259 OID 92494)
-- Name: Estuary; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Estuary" (
    "URI" character varying(70) NOT NULL,
    longitude numeric,
    elevation numeric,
    latitude numeric,
    "hasEstuary-" character varying(68)
);


--
-- TOC entry 885 (class 1259 OID 92500)
-- Name: EthnicGroup; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "EthnicGroup" (
    "URI" character varying(78) NOT NULL,
    name character varying(29)
);


--
-- TOC entry 886 (class 1259 OID 92503)
-- Name: EthnicProportion; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "EthnicProportion" (
    "URI" character varying(25) NOT NULL,
    "ethnicInfo-" character varying(50),
    "onEthnicGroup" character varying(78),
    percent numeric
);


--
-- TOC entry 887 (class 1259 OID 92509)
-- Name: Female; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Female" (
    "URI" character varying(199) NOT NULL,
    onlyfemaleprop numeric,
    "hasMother" character varying(199),
    "hasFather" character varying(199)
);


--
-- TOC entry 888 (class 1259 OID 92515)
-- Name: Island; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Island" (
    "URI" character varying(71) NOT NULL,
    population numeric,
    latitude numeric,
    "belongsToIslands" character varying(71),
    area numeric,
    name character varying(29),
    longitude numeric,
    type character varying(8),
    elevation numeric,
    CONSTRAINT "Island_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 889 (class 1259 OID 92522)
-- Name: Islands; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Islands" (
    "URI" character varying(71) NOT NULL,
    latitude numeric,
    population numeric,
    area numeric,
    type character varying(199),
    longitude numeric,
    elevation numeric,
    name character varying(27),
    CONSTRAINT "Islands_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 890 (class 1259 OID 92529)
-- Name: Language; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Language" (
    "URI" character varying(73) NOT NULL,
    name character varying(29)
);


--
-- TOC entry 891 (class 1259 OID 92532)
-- Name: Male; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Male" (
    "URI" character varying(199) NOT NULL,
    "hasMother" character varying(199),
    "hasFather" character varying(199)
);


--
-- TOC entry 892 (class 1259 OID 92538)
-- Name: Membership; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Membership" (
    "URI" character varying(25) NOT NULL,
    "ofMember" character varying(50),
    "inOrganization" character varying(59),
    type character varying(54)
);


--
-- TOC entry 893 (class 1259 OID 92541)
-- Name: Mountain; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Mountain" (
    "URI" character varying(74) NOT NULL,
    "locatedOnIsland" character varying(71),
    type character varying(8),
    "lastEruption" date,
    "inMountains" character varying(72),
    name character varying(30),
    elevation numeric,
    longitude numeric,
    latitude numeric,
    rdftype character varying(7)
);


--
-- TOC entry 894 (class 1259 OID 92547)
-- Name: Mountains; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Mountains" (
    "URI" character varying(72) NOT NULL,
    name character varying(28),
    latitude numeric,
    elevation numeric,
    type character varying(199),
    longitude numeric,
    area numeric
);


--
-- TOC entry 895 (class 1259 OID 92553)
-- Name: Organization; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Organization" (
    "URI" character varying(59) NOT NULL,
    "hasHeadq" character varying(98),
    abbrev character varying(8),
    name character varying(89),
    established date
);


--
-- TOC entry 896 (class 1259 OID 92556)
-- Name: Province; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Province" (
    "URI" character varying(95) NOT NULL,
    name character varying(40),
    capital character varying(108),
    area numeric,
    "isProvinceOf" character varying(49),
    population numeric,
    CONSTRAINT "Province_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 897 (class 1259 OID 92563)
-- Name: Religion; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Religion" (
    "URI" character varying(73) NOT NULL,
    name character varying(27)
);


--
-- TOC entry 898 (class 1259 OID 92566)
-- Name: Source; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Source" (
    "URI" character varying(69) NOT NULL,
    "inMountains" character varying(68),
    longitude numeric,
    elevation numeric,
    "hasSource-" character varying(68),
    latitude numeric
);


--
-- TOC entry 899 (class 1259 OID 92572)
-- Name: SpokenBy; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "SpokenBy" (
    "URI" character varying(25) NOT NULL,
    percent numeric,
    "languageInfo-" character varying(50),
    "onLanguage" character varying(73)
);


--
-- TOC entry 900 (class 1259 OID 92578)
-- Name: TOP_area; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_area" (
    "URI" character varying(199),
    area numeric
);


--
-- TOC entry 901 (class 1259 OID 92584)
-- Name: TOP_bordering; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_bordering" (
    "URI" character varying(199),
    bordering character varying(199)
);


--
-- TOC entry 902 (class 1259 OID 92587)
-- Name: TOP_capital; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_capital" (
    "URI" character varying(199),
    capital character varying(199)
);


--
-- TOC entry 903 (class 1259 OID 92590)
-- Name: TOP_elevation; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_elevation" (
    "URI" character varying(199),
    elevation numeric
);


--
-- TOC entry 904 (class 1259 OID 92596)
-- Name: TOP_hasFather; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_hasFather" (
    "URI" character varying(199),
    "hasFather" character varying(199)
);


--
-- TOC entry 905 (class 1259 OID 92599)
-- Name: TOP_hasMother; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_hasMother" (
    "URI" character varying(199),
    "hasMother" character varying(199)
);


--
-- TOC entry 906 (class 1259 OID 92602)
-- Name: TOP_inMountains; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_inMountains" (
    "URI" character varying(199),
    "inMountains" character varying(199)
);


--
-- TOC entry 907 (class 1259 OID 92605)
-- Name: TOP_invfktprop_Inv; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_invfktprop_Inv" (
    "URI" character varying(199),
    "invfktprop_Inv" character varying(199)
);


--
-- TOC entry 908 (class 1259 OID 92608)
-- Name: TOP_latitude; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_latitude" (
    "URI" character varying(199),
    latitude numeric
);


--
-- TOC entry 909 (class 1259 OID 92614)
-- Name: TOP_length; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_length" (
    "URI" character varying(199),
    length numeric
);


--
-- TOC entry 910 (class 1259 OID 92620)
-- Name: TOP_locatedOnIsland; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_locatedOnIsland" (
    "URI" character varying(199),
    "locatedOnIsland" character varying(199)
);


--
-- TOC entry 911 (class 1259 OID 92623)
-- Name: TOP_longitude; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_longitude" (
    "URI" character varying(199),
    longitude numeric
);


--
-- TOC entry 912 (class 1259 OID 92629)
-- Name: TOP_name; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_name" (
    "URI" character varying(199),
    name character varying(199)
);


--
-- TOC entry 913 (class 1259 OID 92632)
-- Name: TOP_nmprop; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_nmprop" (
    "URI" character varying(199),
    nmprop character varying(199)
);


--
-- TOC entry 914 (class 1259 OID 92635)
-- Name: TOP_nmprop_Inv; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_nmprop_Inv" (
    "URI" character varying(199),
    "nmprop_Inv" character varying(199)
);


--
-- TOC entry 915 (class 1259 OID 92638)
-- Name: TOP_onlyfemaleprop; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_onlyfemaleprop" (
    "URI" character varying(199),
    onlyfemaleprop numeric
);


--
-- TOC entry 916 (class 1259 OID 92644)
-- Name: TOP_percent; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_percent" (
    "URI" character varying(199),
    percent numeric
);


--
-- TOC entry 917 (class 1259 OID 92650)
-- Name: TOP_population; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_population" (
    "URI" character varying(199),
    population numeric,
    CONSTRAINT "TOP_population_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 918 (class 1259 OID 92657)
-- Name: TOP_type; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_type" (
    "URI" character varying(199),
    type character varying(199)
);


--
-- TOC entry 919 (class 1259 OID 92660)
-- Name: U; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "U" (
    "URI" character varying(199) NOT NULL,
    "totUpartV11prop" character varying(199)
);


--
-- TOC entry 920 (class 1259 OID 92663)
-- Name: V; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "V" (
    "URI" character varying(199) NOT NULL
);


--
-- TOC entry 921 (class 1259 OID 92666)
-- Name: Water; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Water" (
    "URI" character varying(68) NOT NULL,
    "flowsInto" character varying(68),
    latitude numeric,
    "flowsThrough_Inv" character varying(61),
    type character varying(10),
    elevation numeric,
    length numeric,
    depth numeric,
    longitude numeric,
    area numeric,
    name character varying(27),
    rdftype character varying(5)
);


--
-- TOC entry 922 (class 1259 OID 92672)
-- Name: X1; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "X1" (
    "URI" character varying(199) NOT NULL,
    nmprop character varying(199)
);


--
-- TOC entry 923 (class 1259 OID 92675)
-- Name: X2; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "X2" (
    "URI" character varying(199) NOT NULL
);


--
-- TOC entry 924 (class 1259 OID 92678)
-- Name: Y1; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Y1" (
    "URI" character varying(199) NOT NULL,
    "invfktprop_Inv" character varying(199)
);


--
-- TOC entry 925 (class 1259 OID 92681)
-- Name: Y2; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Y2" (
    "URI" character varying(199) NOT NULL,
    "invfktprop_Inv" character varying(199)
);


--
-- TOC entry 926 (class 1259 OID 92684)
-- Name: allcl; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE allcl (
    subclass character varying(50),
    superclass character varying(50)
);


--
-- TOC entry 927 (class 1259 OID 92687)
-- Name: borders; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE borders (
    "Entity" character varying(199) NOT NULL,
    "LargeArea" character varying(199) NOT NULL
);


--
-- TOC entry 928 (class 1259 OID 92690)
-- Name: cityIn; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "cityIn" (
    "City" character varying(108) NOT NULL,
    "AdministrativeArea" character varying(95) NOT NULL
);


--
-- TOC entry 929 (class 1259 OID 92693)
-- Name: hasAccountNo; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "hasAccountNo" (
    "Person" character varying(199) NOT NULL,
    "VALUE" numeric NOT NULL
);


--
-- TOC entry 930 (class 1259 OID 92699)
-- Name: hasChild; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "hasChild" (
    "Person1" character varying(199) NOT NULL,
    "Person2" character varying(199) NOT NULL
);


--
-- TOC entry 931 (class 1259 OID 92702)
-- Name: hasNickname; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "hasNickname" (
    "Person" character varying(199) NOT NULL,
    "VALUE" character varying(199) NOT NULL
);


--
-- TOC entry 932 (class 1259 OID 92705)
-- Name: inv; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE inv (
    property character varying(50),
    inverse character varying(50)
);


--
-- TOC entry 933 (class 1259 OID 92708)
-- Name: locatedAt; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "locatedAt" (
    "City" character varying(100) NOT NULL,
    "Water" character varying(68) NOT NULL
);


--
-- TOC entry 934 (class 1259 OID 92711)
-- Name: locatedIn; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "locatedIn" (
    "Entity" character varying(74) NOT NULL,
    "Area" character varying(95) NOT NULL
);


--
-- TOC entry 935 (class 1259 OID 92714)
-- Name: locatedInWater; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "locatedInWater" (
    "Island" character varying(71) NOT NULL,
    "Water" character varying(58) NOT NULL
);


--
-- TOC entry 936 (class 1259 OID 92717)
-- Name: locatedOnIsland; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "locatedOnIsland" (
    "Entity" character varying(108) NOT NULL,
    "Island" character varying(71) NOT NULL
);


--
-- TOC entry 937 (class 1259 OID 92720)
-- Name: marriedWith; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "marriedWith" (
    "Person1" character varying(199) NOT NULL,
    "Person2" character varying(199) NOT NULL
);


--
-- TOC entry 938 (class 1259 OID 92723)
-- Name: md; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE md (
    class character varying(50),
    property character varying(50),
    range character varying(50),
    tablename character varying(50),
    lookupattr character varying(50),
    inv character varying(5),
    isview character varying(5)
);


--
-- TOC entry 939 (class 1259 OID 92726)
-- Name: mdlastchanged; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE mdlastchanged (
    at date
);


--
-- TOC entry 940 (class 1259 OID 92729)
-- Name: mergesWith; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "mergesWith" (
    "Sea1" character varying(58) NOT NULL,
    "Sea2" character varying(58) NOT NULL
);


--
-- TOC entry 941 (class 1259 OID 92732)
-- Name: nmj; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE nmj (
    class character varying(50),
    tablename character varying(50),
    lookupattr character varying(50),
    fkjoinattr character varying(50)
);


--
-- TOC entry 942 (class 1259 OID 92735)
-- Name: nmprop; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE nmprop (
    "X" character varying(199) NOT NULL,
    "Y" character varying(199) NOT NULL
);


--
-- TOC entry 943 (class 1259 OID 92738)
-- Name: nmtables; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE nmtables (
    tablename character varying(50)
);


--
-- TOC entry 944 (class 1259 OID 92741)
-- Name: ocdict; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE ocdict (
    uri character varying(199),
    class character varying(50)
);


--
-- TOC entry 945 (class 1259 OID 92744)
-- Name: othername; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE othername (
    "Entity" character varying(101) NOT NULL,
    "VALUE" character varying(27) NOT NULL
);


--
-- TOC entry 946 (class 1259 OID 92747)
-- Name: proptablemap; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE proptablemap (
    property character varying(50),
    tablename character varying(50)
);


--
-- TOC entry 947 (class 1259 OID 92750)
-- Name: rc2; Type: VIEW; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE VIEW rc2 AS
 SELECT md.tablename,
    md.lookupattr,
    md.class AS rangetable
   FROM md
  WHERE ((md.inv)::text = 'true'::text)
UNION
 SELECT DISTINCT md1.tablename,
    md1.lookupattr,
    md2.class AS rangetable
   FROM md md1,
    nmj,
    md md2
  WHERE ((((((((((((md1.inv)::text = 'false'::text) AND ((md2.inv)::text = 'false'::text)) AND ((md1.isview)::text = 'false'::text)) AND ((md2.isview)::text = 'false'::text)) AND ((md1.class)::text <> (md1.tablename)::text)) AND ((md2.class)::text <> (md2.tablename)::text)) AND ((md1.tablename)::text = (nmj.tablename)::text)) AND ((md1.lookupattr)::text = (nmj.lookupattr)::text)) AND ((md2.tablename)::text = (nmj.tablename)::text)) AND ((md2.lookupattr)::text = (nmj.fkjoinattr)::text)) AND ((md2.class)::text <> 'ANY'::text));


--
-- TOC entry 948 (class 1259 OID 92755)
-- Name: rc3; Type: VIEW; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE VIEW rc3 AS
 SELECT md.tablename,
    md.lookupattr,
    md.class AS rangetable
   FROM md
  WHERE ((md.inv)::text = 'true'::text)
UNION
 SELECT DISTINCT nmj.tablename,
    nmj.fkjoinattr AS lookupattr,
    md1.tablename AS rangetable
   FROM md md1,
    md md2,
    nmj
  WHERE (((((((((((md1.class)::text = (md2.class)::text) AND ((md1.class)::text <> 'ANY'::text)) AND ((md1.inv)::text = 'false'::text)) AND ((md2.inv)::text = 'false'::text)) AND ((md1.isview)::text = 'false'::text)) AND ((md2.isview)::text = 'false'::text)) AND (NOT ((md1.tablename)::text IN ( SELECT nmtables.tablename
           FROM nmtables)))) AND ((md2.tablename)::text IN ( SELECT nmtables.tablename
           FROM nmtables))) AND ((nmj.tablename)::text = (md2.tablename)::text)) AND ((nmj.lookupattr)::text = (md2.lookupattr)::text));


--
-- TOC entry 949 (class 1259 OID 92760)
-- Name: rctab; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE rctab (
    tablename character varying(50),
    columnname character varying(50),
    rangetable character varying(50)
);


--
-- TOC entry 950 (class 1259 OID 92763)
-- Name: rdf2sqlconf; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE rdf2sqlconf (
    name character varying(20),
    value character varying(10)
);


--
-- TOC entry 951 (class 1259 OID 92766)
-- Name: subcl; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE subcl (
    subclass character varying(50),
    superclass character varying(50)
);


--
-- TOC entry 952 (class 1259 OID 92769)
-- Name: toptables; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE toptables (
    tablename character varying(50),
    property character varying(50),
    range character varying(50)
);


SET search_path = mondial_allconcrete_standard, pg_catalog;

--
-- TOC entry 5912 (class 0 OID 90017)
-- Dependencies: 682
-- Data for Name: AdministrativeArea; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "AdministrativeArea" ("URI", area, population, capital) FROM stdin;
http://www.semwebtech.org/mondial/10/country/BHT/	47000	733004	http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/
http://www.semwebtech.org/mondial/10/country/SK/	48845	5397036	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/
http://www.semwebtech.org/mondial/10/country/GBZ/	6.5	27495	http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/
http://www.semwebtech.org/mondial/10/country/GUAD/	1628	404635	http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/
http://www.semwebtech.org/mondial/10/country/RO/	237500	20121641	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/	15606	4598729	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/
http://www.semwebtech.org/mondial/10/country/SPMI/	242	6312	http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/
http://www.semwebtech.org/mondial/10/country/GQ/	28050	696167	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/
http://www.semwebtech.org/mondial/10/country/WAN/	923770	164294516	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/
http://www.semwebtech.org/mondial/10/country/CDN/	9976140	35158304	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/	18178	12272263	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/
http://www.semwebtech.org/mondial/10/country/CR/	51100	4773119	http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/
http://www.semwebtech.org/mondial/10/country/VIRG/	352	106405	http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/
http://www.semwebtech.org/mondial/10/country/RB/	600370	2038228	http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/
http://www.semwebtech.org/mondial/10/country/AZ/	86600	9356500	http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/
http://www.semwebtech.org/mondial/10/country/RP/	299764	92337852	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/
http://www.semwebtech.org/mondial/10/country/NAU/	21	10025	http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/
http://www.semwebtech.org/mondial/10/country/UAE/	75581	8441537	http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/
http://www.semwebtech.org/mondial/10/country/PK/	803940	173149306	http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/
http://www.semwebtech.org/mondial/10/country/H/	93030	9937628	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/
http://www.semwebtech.org/mondial/10/country/GR/	131940	10816286	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/
http://www.semwebtech.org/mondial/10/country/KIR/	717	103058	http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/	5156	6192000	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/
http://www.semwebtech.org/mondial/10/country/SY/	455	90945	http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/
http://www.semwebtech.org/mondial/10/country/CUR/	444	150563	http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/	12333	4620624	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/
http://www.semwebtech.org/mondial/10/country/FALK/	12173	2931	http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/
http://www.semwebtech.org/mondial/10/country/KGZ/	198500	5776600	http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/	331983	6850884	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/
http://www.semwebtech.org/mondial/10/country/ZRE/	2345410	62191161	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/	15407	5337710	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/
http://www.semwebtech.org/mondial/10/country/WL/	620	165595	http://www.semwebtech.org/mondial/10/country/WL/city/Castries/
http://www.semwebtech.org/mondial/10/country/NIC/	129494	6071045	http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/
http://www.semwebtech.org/mondial/10/country/G/	267670	1556222	http://www.semwebtech.org/mondial/10/country/G/city/Libreville/
http://www.semwebtech.org/mondial/10/country/CAM/	475440	19406100	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/	187000	27512800	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/
http://www.semwebtech.org/mondial/10/country/MK/	25333	2059794	http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/
http://www.semwebtech.org/mondial/10/country/SMAR/	54	37630	http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/
http://www.semwebtech.org/mondial/10/country/YE/	527970	24527000	http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/
http://www.semwebtech.org/mondial/10/country/IRQ/	437072	33330512	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/
http://www.semwebtech.org/mondial/10/country/TM/	488100	5041995	http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/
http://www.semwebtech.org/mondial/10/country/FSM/	702	102843	http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/	23837	5377595	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/
http://www.semwebtech.org/mondial/10/country/EAU/	236040	34856813	http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/
http://www.semwebtech.org/mondial/10/country/MV/	300	341256	http://www.semwebtech.org/mondial/10/country/MV/city/Male/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/	463600	38350200	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/
http://www.semwebtech.org/mondial/10/country/IL/	22072	7420368	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/
http://www.semwebtech.org/mondial/10/country/TCH/	1284000	11720781	http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/
http://www.semwebtech.org/mondial/10/country/CV/	4033	491875	http://www.semwebtech.org/mondial/10/country/CV/city/Praia/
http://www.semwebtech.org/mondial/10/country/J/	377835	127298000	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/	43696	16461173	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/CH/	41290	8139631	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/	340086	6523222	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/
http://www.semwebtech.org/mondial/10/country/NCA/	19060	245580	http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/
http://www.semwebtech.org/mondial/10/country/LAO/	236800	6514432	http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/
http://www.semwebtech.org/mondial/10/country/BRN/	620	1234596	http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/	101800	54980000	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/
http://www.semwebtech.org/mondial/10/country/RT/	56790	6191155	http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/	105829	11594163	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/
http://www.semwebtech.org/mondial/10/country/GH/	238540	24658823	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/
http://www.semwebtech.org/mondial/10/country/PA/	78200	3405813	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/
http://www.semwebtech.org/mondial/10/country/SGP/	632.6	5076700	http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/
http://www.semwebtech.org/mondial/10/country/TUV/	26	9827	http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/
http://www.semwebtech.org/mondial/10/country/CI/	322460	22671331	http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/
http://www.semwebtech.org/mondial/10/country/GUY/	214970	747884	http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/
http://www.semwebtech.org/mondial/10/country/BOL/	1098580	10027262	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/
http://www.semwebtech.org/mondial/10/country/FJI/	18270	860559	http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/
http://www.semwebtech.org/mondial/10/country/FGU/	83534	237549	http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/
http://www.semwebtech.org/mondial/10/country/HR/	56538	4290612	http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/
http://www.semwebtech.org/mondial/10/country/PITC/	47	66	http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/
http://www.semwebtech.org/mondial/10/country/Z/	752610	13046508	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/
http://www.semwebtech.org/mondial/10/country/RI/	1919440	252124458	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/	125920	9943964	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/
http://www.semwebtech.org/mondial/10/country/LAR/	1759540	6040612	http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/
http://www.semwebtech.org/mondial/10/country/ARM/	29800	3026879	http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/
http://www.semwebtech.org/mondial/10/country/ETH/	1127127	84320987	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/
http://www.semwebtech.org/mondial/10/country/SD/	17360	1193148	http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/
http://www.semwebtech.org/mondial/10/country/TO/	748	103252	http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/	220400	47190000	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/
http://www.semwebtech.org/mondial/10/country/EC/	283560	14483499	http://www.semwebtech.org/mondial/10/country/EC/city/Quito/
http://www.semwebtech.org/mondial/10/country/KAZ/	2717300	17165239	http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/
http://www.semwebtech.org/mondial/10/country/TUCA/	430	31458	http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/
http://www.semwebtech.org/mondial/10/country/LS/	30350	2008921	http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/
http://www.semwebtech.org/mondial/10/country/NLSM/	34	37429	http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/
http://www.semwebtech.org/mondial/10/country/N/	324220	5051275	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/
http://www.semwebtech.org/mondial/10/country/ER/	121320	5741159	http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/
http://www.semwebtech.org/mondial/10/country/RC/	36179	23315822	http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/	564692	15126371	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/	146435	9909877	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/	1646900	22643000	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/
http://www.semwebtech.org/mondial/10/country/RH/	27750	9896400	http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/
http://www.semwebtech.org/mondial/10/country/SLB/	28450	526447	http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/
http://www.semwebtech.org/mondial/10/country/CZ/	78703	10562214	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/
http://www.semwebtech.org/mondial/10/country/REUN/	2510	828581	http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/
http://www.semwebtech.org/mondial/10/country/SF/	337030	5455068	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/	1177500	24976100	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/	199315	11081692	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/
http://www.semwebtech.org/mondial/10/country/ES/	21040	6290420	http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/
http://www.semwebtech.org/mondial/10/country/WAG/	11300	1882450	http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/
http://www.semwebtech.org/mondial/10/country/WAFU/	274	12197	http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/
http://www.semwebtech.org/mondial/10/country/B/	30510	11099554	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/
http://www.semwebtech.org/mondial/10/country/NZ/	268680	4242048	http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/
http://www.semwebtech.org/mondial/10/country/LT/	65200	2979310	http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/	21114	5971816	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/
http://www.semwebtech.org/mondial/10/country/MYA/	678500	51419420	http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/
http://www.semwebtech.org/mondial/10/country/DK/	43070	5580516	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/
http://www.semwebtech.org/mondial/10/country/WS/	2860	187820	http://www.semwebtech.org/mondial/10/country/WS/city/Apia/
http://www.semwebtech.org/mondial/10/country/PE/	1285220	30135875	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/
http://www.semwebtech.org/mondial/10/country/UA/	603700	45633637	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/
http://www.semwebtech.org/mondial/10/country/BEN/	112620	9983884	http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/
http://www.semwebtech.org/mondial/10/country/BD/	144000	149772364	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/
http://www.semwebtech.org/mondial/10/country/MC/	1.9	36845	http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/	676587	26956958	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/	294207	6731484	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/
http://www.semwebtech.org/mondial/10/country/JA/	10991	2697983	http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/
http://www.semwebtech.org/mondial/10/country/C/	110860	11167325	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/
http://www.semwebtech.org/mondial/10/country/SVAX/	62049	1872	http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/
http://www.semwebtech.org/mondial/10/country/BDS/	430	277821	http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/
http://www.semwebtech.org/mondial/10/country/GBG/	194	59807	http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/
http://www.semwebtech.org/mondial/10/country/BS/	13940	353658	http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/
http://www.semwebtech.org/mondial/10/country/D/	356910	80219695	http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/	122057	19746227	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/	47613	7777992	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/	31177	47424418	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/
http://www.semwebtech.org/mondial/10/country/MEX/	1972550	112336538	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/
http://www.semwebtech.org/mondial/10/country/RL/	10400	4341092	http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/
http://www.semwebtech.org/mondial/10/country/LV/	64100	2201196	http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/
http://www.semwebtech.org/mondial/10/country/RCH/	756950	16341929	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/	35751	10486660	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/	22445	4342135	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/
http://www.semwebtech.org/mondial/10/country/BRU/	5770	393372	http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/
http://www.semwebtech.org/mondial/10/country/MS/	2040	1237091	http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/
http://www.semwebtech.org/mondial/10/country/NEP/	140800	26494504	http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/	45900	7133620	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/
http://www.semwebtech.org/mondial/10/country/CEU/	18	82376	http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/
http://www.semwebtech.org/mondial/10/country/RN/	1267000	17138707	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/
http://www.semwebtech.org/mondial/10/country/DZ/	2381740	37062820	http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/
http://www.semwebtech.org/mondial/10/country/GAZA/	365	1760037	\N
http://www.semwebtech.org/mondial/10/country/E/	504750	46815916	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/
http://www.semwebtech.org/mondial/10/country/RIM/	1030700	3537368	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/
http://www.semwebtech.org/mondial/10/country/TT/	5130	1328019	http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/	98311	9277727	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/
http://www.semwebtech.org/mondial/10/country/MNE/	14026	620029	http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/
http://www.semwebtech.org/mondial/10/country/EW/	45100	1294455	http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/
http://www.semwebtech.org/mondial/10/country/WAL/	71740	5751976	http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/
http://www.semwebtech.org/mondial/10/country/S/	449964	9555893	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/
http://www.semwebtech.org/mondial/10/country/KN/	269	52352	http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/
http://www.semwebtech.org/mondial/10/country/RA/	2766890	42669500	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/
http://www.semwebtech.org/mondial/10/country/MACX/	16	552503	http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/
http://www.semwebtech.org/mondial/10/country/OM/	212460	3623001	http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/
http://www.semwebtech.org/mondial/10/country/MOC/	801590	23700715	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/
http://www.semwebtech.org/mondial/10/country/COM/	2170	683081	http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/
http://www.semwebtech.org/mondial/10/country/MNG/	1565000	2754685	http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/
http://www.semwebtech.org/mondial/10/country/MEL/	12	78476	http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/
http://www.semwebtech.org/mondial/10/country/RWA/	26340	10515973	http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/
http://www.semwebtech.org/mondial/10/country/HELX/	413	5663	http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/
http://www.semwebtech.org/mondial/10/country/F/	547030	64933400	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/
http://www.semwebtech.org/mondial/10/country/V/	0.44	842	http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/
http://www.semwebtech.org/mondial/10/country/WSA/	266000	554795	http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/
http://www.semwebtech.org/mondial/10/country/IND/	3287590	1210854977	http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/
http://www.semwebtech.org/mondial/10/country/ROU/	176220	3286314	http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/
http://www.semwebtech.org/mondial/10/country/GBM/	588	84497	http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/
http://www.semwebtech.org/mondial/10/country/GE/	69700	4483800	http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/
http://www.semwebtech.org/mondial/10/country/I/	301230	59433744	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/
http://www.semwebtech.org/mondial/10/country/SA/	1960582	27136977	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/
http://www.semwebtech.org/mondial/10/country/RCB/	342000	4001831	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/
http://www.semwebtech.org/mondial/10/country/FL/	160	36636	http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/
http://www.semwebtech.org/mondial/10/country/SUD/	1861484	35652002	http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/
http://www.semwebtech.org/mondial/10/country/VU/	14760	236299	http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/
http://www.semwebtech.org/mondial/10/country/COCO/	14	596	http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/
http://www.semwebtech.org/mondial/10/country/TN/	163610	10982754	http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/
http://www.semwebtech.org/mondial/10/country/GCA/	108890	15073375	http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/
http://www.semwebtech.org/mondial/10/country/GUAM/	541.3	159358	http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/
http://www.semwebtech.org/mondial/10/country/MAL/	329750	27565821	http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/
http://www.semwebtech.org/mondial/10/country/BR/	8511965	202768562	http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/
http://www.semwebtech.org/mondial/10/country/FARX/	1400	48197	http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/
http://www.semwebtech.org/mondial/10/country/CAYM/	262	55691	http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/
http://www.semwebtech.org/mondial/10/country/CO/	1138910	47661787	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/
http://www.semwebtech.org/mondial/10/country/CY/	9251	840407	http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/
http://www.semwebtech.org/mondial/10/country/MNTS/	102	4922	http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/
http://www.semwebtech.org/mondial/10/country/PY/	406750	6672631	http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/
http://www.semwebtech.org/mondial/10/country/A/	83850	8499759	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/
http://www.semwebtech.org/mondial/10/country/KWT/	17820	2991580	http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/
http://www.semwebtech.org/mondial/10/country/GNB/	36120	1586624	http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/
http://www.semwebtech.org/mondial/10/country/MD/	33700	3559541	http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/
http://www.semwebtech.org/mondial/10/country/USA/	9372610	318857056	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/
http://www.semwebtech.org/mondial/10/country/JOR/	89213	6249000	http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/
http://www.semwebtech.org/mondial/10/country/AMSA/	199	55519	http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/
http://www.semwebtech.org/mondial/10/country/SN/	196190	13508715	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/
http://www.semwebtech.org/mondial/10/country/BY/	207600	9460692	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/
http://www.semwebtech.org/mondial/10/country/NOK/	120540	24500520	http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/
http://www.semwebtech.org/mondial/10/country/LB/	111370	3957990	http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/
http://www.semwebtech.org/mondial/10/country/COOK/	240	17794	http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/
http://www.semwebtech.org/mondial/10/country/SLO/	20256	2058821	http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/
http://www.semwebtech.org/mondial/10/country/MA/	446550	32901622	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/
http://www.semwebtech.org/mondial/10/country/ZW/	390580	13061239	http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/
http://www.semwebtech.org/mondial/10/country/DOM/	48730	9445281	http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/
http://www.semwebtech.org/mondial/10/country/RM/	587041	21842167	http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/
http://www.semwebtech.org/mondial/10/country/RMM/	1240000	13985961	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/
http://www.semwebtech.org/mondial/10/country/MW/	118480	15013694	http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/
http://www.semwebtech.org/mondial/10/country/ARU/	193	101484	http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/
http://www.semwebtech.org/mondial/10/country/HCA/	112090	8045990	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/
http://www.semwebtech.org/mondial/10/country/PL/	312683	38533789	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/
http://www.semwebtech.org/mondial/10/country/HONX/	1092	7071576	http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/
http://www.semwebtech.org/mondial/10/country/PAL/	458	17501	http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/
http://www.semwebtech.org/mondial/10/country/BVIR/	153	23161	http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/
http://www.semwebtech.org/mondial/10/country/SRB/	77474	7120666	http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/
http://www.semwebtech.org/mondial/10/country/BZ/	22960	312971	http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/
http://www.semwebtech.org/mondial/10/country/TL/	15007	1066582	http://www.semwebtech.org/mondial/10/country/TL/city/Dili/
http://www.semwebtech.org/mondial/10/country/TAD/	143100	8161100	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/
http://www.semwebtech.org/mondial/10/country/K/	181040	14364931	http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/
http://www.semwebtech.org/mondial/10/country/RCA/	622980	4349921	http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/
http://www.semwebtech.org/mondial/10/country/SP/	637660	9636173	http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/
http://www.semwebtech.org/mondial/10/country/EAK/	582650	40909194	http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/
http://www.semwebtech.org/mondial/10/country/GROX/	2175600	56370	http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/
http://www.semwebtech.org/mondial/10/country/BIH/	51233	3791622	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/
http://www.semwebtech.org/mondial/10/country/AXA/	102	13037	http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/
http://www.semwebtech.org/mondial/10/country/SYR/	185180	20866000	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/
http://www.semwebtech.org/mondial/10/country/RG/	245860	10628972	http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/
http://www.semwebtech.org/mondial/10/country/L/	2586	524853	http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/
http://www.semwebtech.org/mondial/10/country/ROK/	98480	51141463	http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/
http://www.semwebtech.org/mondial/10/country/YV/	912050	28946101	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/
http://www.semwebtech.org/mondial/10/country/AG/	442	81799	http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/
http://www.semwebtech.org/mondial/10/country/NL/	37330	16843181	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/
http://www.semwebtech.org/mondial/10/country/PR/	8870	3725789	http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/
http://www.semwebtech.org/mondial/10/country/RSM/	60	32440	http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/
http://www.semwebtech.org/mondial/10/country/IR/	1648000	75149669	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/
http://www.semwebtech.org/mondial/10/country/SSD/	644329	8260490	http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/
http://www.semwebtech.org/mondial/10/country/P/	92080	10561614	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/
http://www.semwebtech.org/mondial/10/country/WEST/	5655	2790331	http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/
http://www.semwebtech.org/mondial/10/country/CN/	9596960	1360720000	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/
http://www.semwebtech.org/mondial/10/country/ET/	1001450	83667047	http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/
http://www.semwebtech.org/mondial/10/country/TOK/	12	1383	http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/
http://www.semwebtech.org/mondial/10/country/IS/	103000	318452	http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/
http://www.semwebtech.org/mondial/10/country/TR/	780580	75627384	http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/
http://www.semwebtech.org/mondial/10/country/Q/	11000	1699435	http://www.semwebtech.org/mondial/10/country/Q/city/Doha/
http://www.semwebtech.org/mondial/10/country/WG/	344	103328	http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/
http://www.semwebtech.org/mondial/10/country/AFG/	647500	26023100	http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/
http://www.semwebtech.org/mondial/10/country/RSA/	1219912	51770560	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/
http://www.semwebtech.org/mondial/10/country/AND/	450	78115	http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/
http://www.semwebtech.org/mondial/10/country/R/	17075200	143666931	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/
http://www.semwebtech.org/mondial/10/country/NORF/	34.6	2169	http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/	148959	10097343	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/	153300	97333900	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/	174000	35022200	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/	195800	37640000	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/	307571	16476149	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/	178040	6063589	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/
http://www.semwebtech.org/mondial/10/country/BF/	274200	17322796	http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/
http://www.semwebtech.org/mondial/10/country/STP/	1001	187356	http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/
http://www.semwebtech.org/mondial/10/country/IRL/	70280	4588252	http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/
http://www.semwebtech.org/mondial/10/country/KOS/	10887	1733872	http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/
http://www.semwebtech.org/mondial/10/country/AUS/	7686850	23135281	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/
http://www.semwebtech.org/mondial/10/country/WV/	389	109991	http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/
http://www.semwebtech.org/mondial/10/country/GBJ/	117	97857	http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/
http://www.semwebtech.org/mondial/10/country/MART/	1128	392291	http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/
http://www.semwebtech.org/mondial/10/country/BG/	110910	7284552	http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/
http://www.semwebtech.org/mondial/10/country/NMIS/	477	53883	http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/
http://www.semwebtech.org/mondial/10/country/GB/	244820	64105654	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/
http://www.semwebtech.org/mondial/10/country/AL/	28750	2800138	http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/
http://www.semwebtech.org/mondial/10/country/EAT/	945090	44928923	http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/
http://www.semwebtech.org/mondial/10/country/VN/	329560	88772900	http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/
http://www.semwebtech.org/mondial/10/country/ANG/	1246700	24383301	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/
http://www.semwebtech.org/mondial/10/country/THA/	514000	65981659	http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/
http://www.semwebtech.org/mondial/10/country/DJI/	22000	834036	http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/
http://www.semwebtech.org/mondial/10/country/BERM/	53.3	64237	http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/
http://www.semwebtech.org/mondial/10/country/BI/	27830	8444784	http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/
http://www.semwebtech.org/mondial/10/country/MH/	181.3	53158	http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/
http://www.semwebtech.org/mondial/10/country/SME/	163270	541638	http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/
http://www.semwebtech.org/mondial/10/country/UZB/	447400	27769270	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/
http://www.semwebtech.org/mondial/10/country/M/	320	417432	http://www.semwebtech.org/mondial/10/country/M/city/Valletta/
http://www.semwebtech.org/mondial/10/country/SBAR/	21	9072	http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/
http://www.semwebtech.org/mondial/10/country/MAYO/	374	212645	http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/
http://www.semwebtech.org/mondial/10/country/NAM/	825418	2113077	http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/
http://www.semwebtech.org/mondial/10/country/PNG/	461690	7275324	http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/
http://www.semwebtech.org/mondial/10/country/FPOL/	4167	268270	http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/
http://www.semwebtech.org/mondial/10/country/XMAS/	135	2072	http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/
http://www.semwebtech.org/mondial/10/country/CL/	65610	20263723	http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/
http://www.semwebtech.org/mondial/10/country/WD/	746	70739	http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/
http://www.semwebtech.org/mondial/10/country/NIUE/	260	1611	http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/	4185	1159000	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/	87585	8371271	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/	31328	1958623	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/	908607	13537994	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/	19108	5954169	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/	8022	6421874	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/	2415	9079000	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/	19357	4052566	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/	63612	6378132	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/	46077	3885049	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/	1247689	8073924	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/	197100	106440000	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/	19047	8938175	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/	633	11855975	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/	8699	3999800	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/	102600	79394900	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/	268887	11207274	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/	34097	17538251	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/	268431	5355866	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/	19069	8792626	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/	115883	12787209	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/	307713	112374333	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/	143793	12880580	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/	308252	72626809	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/	66500	2794508	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/	139900	60298000	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/	32163	7519843	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/	123100	37740000	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/	102279	8326289	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/	454	623966	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/	6097	399708	http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/	26012	1350682	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/	903358	3224357	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/	25330	778195	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/	34300	8952800	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/	503239	5566000	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/	6912	542992	http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/	58643	4351037	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/	534800	1532243	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/	48718	5070746	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/	13157	359808	http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/
http://www.semwebtech.org/mondial/10/country/Z/province/Western/	126386	881524	http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/	3666	482451	http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/	1090	388526	http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/	19241	908942	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/	14045	2125635	http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/	178711	739482	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/	21065	3256140	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/	16387	851406	http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/	1449	1255661	http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/	124000	2008566	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/	129462	5822734	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/	284332	2839099	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/	114	1055450	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/	213564	421196	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/	26969	1395233	http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/	4200	2805500	http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/	37623	482196	http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/	147826	1759600	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/	55300	656561	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/	63669	1376891	http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/	850	211799	http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/	4105	1397000	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/	5935	559272	http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/	172400	634402	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/	14036	732762	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/	43698	6283541	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/	5100	763800	http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/	5473	310879	http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/	39402	4863455	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/	14100	469837	http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/	114840	35193978	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/	5685	145237	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/	664	10135030	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/	97602	968135	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/	25711	5002904	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/	5426	1236028	http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/	9415	1966426	http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/	97491	631218	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	44	75801	http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/	17125	1607506	http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/	7054	1158367	http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/	17023	942513	http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/	19210	3348283	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/	28228	3229163	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/	37576	1694310	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/	23562	1404262	http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/	18623	108700	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/	109002	801968	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/	1221600	3120400	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/	136351	918147	http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	6553	1128745	http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/	5363	549217	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/	27134	1544108	http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/	9451	283689	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/	12796	529975	http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/	25700	1521497	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/	2306	207855	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/	9157	112772	http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/	57377	2767761	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/	40200	167676	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	8153	1134313	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/	3195	492135	http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/	490	36507	http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/	13297	2580000	http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/	204534	4115741	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/	6097	1464000	http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/	97024	877437	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/	1845	562114	http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/	25118	1056955	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/	300629	808878	http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/	100	775800	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/	19399	1918155	http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/	168966	6562053	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/	3212	749373	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/	180726	2938988	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/	40049	1206022	http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/	5831	1483674	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/	17591	273080	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/	1393	4364541	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/	23547	2350657	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/	3691	1383000	http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/	35914	1129391	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/	78778	1797335	http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/	13851	2382941	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/	34467	2742093	http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/	13035	1015776	http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/	120800	1310929	http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/	16873	212813	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/	20054	1739530	http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/	87900	3490053	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/	586528	20734097	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/	35377	46300543	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/	488000	81070000	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/	12542	3596677	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/	151000	43900000	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/	366500	25821800	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/	130060	72147030	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/	140914	30439893	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/	26517	4403178	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/	196244	60439692	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/	187500	57990000	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/	12949	3733362	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	300	2352900	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/	36778	3188963	http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/	135191	25545198	http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/	19854	3989808	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/	1048	1520143	http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/	737700	50555	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/	12635	9910219	http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/	87023	6358636	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/	5460	304116	http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/
http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/	13650	84165	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/	27815	1084979	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	42223	1763000	http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	29782	385997	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/	12013	573421	http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/	52796	3408510	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/	7249	686266	http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/	496611	681691	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/	6530	221209	http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/	3785	1328760	http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/	133985	2706359	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/	11262	566992	http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/	3162	439262	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/	7447	2082654	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/	8104	5411324	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/	5182	4597500	http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/
http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/	83908	1763924	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/	11683	1827937	http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/	62272	1735351	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/	100212	440009	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/	2264	304568	http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/	153564	2368654	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/
http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/	32547	1098668	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/	30382	1572657	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/	105887	17359008	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/	10072	613990	http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/	3703	230361	http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/	30	64473	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/	9215	1027683	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/	50567	958976	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/	282	469433	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/	1427	124320	http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/	1892	785000	http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/	29827	1273199	http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/	1483	16787941	http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/	1877787	35591	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/	6670	1788864	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/	9467	2772509	http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/	28750	1477195	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/	11979	1424910	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/	16873	12609803	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/	248608	3970239	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/	8806	773026	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/	8466	185887	http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/	8618	1433810	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/	7273	817907	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	653	924100	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/	17982	2768452	http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/	30608	5486372	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/	13987	1023102	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/	14472	1160731	http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/	1485	8851080	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/	474712	36700	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/	15799	2800119	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/	139700	1973876	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/	14157	608182	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/	5703	322283	http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/	70697	1578183	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/	15489	577903	http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/	146219	735640	http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	6800	3386500	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/	70314	1338923	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/	20800	2308300	http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/	4439	275594	http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/	7113	1930000	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/	49340	1370637	http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/	9538	555969	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/	7341	452994	http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/	2812	346539	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/	14231	1229260	http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/	4575	241928	http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/	10300	267029	http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/	4715	762886	http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/	93800	1147000	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/	25265	2458023	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/	25862	160418	http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/	22693	1506442	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/	20051	1154256	http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/	85366	4929999	http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/	4669	228227	http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/	144669	3107126	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/	49800	967896	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/	11300	828592	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/	6342	852321	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/	252900	53261	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/	18310	2286746	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/	236	49158	http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/	3921	324152	http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/	7198	686367	http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/	151562	2748391	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/	2362	109955	http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/	1665	171613	http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/	111797	320524	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/	132250	1246787	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/	16579	1978502	http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/	60100	656389	http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/	14910	269003	http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/	22327	2855794	http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/	28400	2895300	http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/	5432	397322	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/	4189	795000	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/	13225	8325666	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/	8883	585452	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/	76000	5404273	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/	42360	1325578	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/	7900	2504100	http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/	35170	3838160	http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/	3809	89592	http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/	2208	1119412	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/	5581	386594	http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/	16424	1380762	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/	5045	321173	http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/	7888	986042	http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/	75176	284992	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/	9188	428103	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/	48250	152433	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/	16808	21148000	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/	790	261437	http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/	23948	1600447	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/	113900	2569126	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/	10139	304821	http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/	53483	10086292	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/	67753	1903728	http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/	6200	24151500	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/	574	211732	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/	9662	11834087	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/	222236	12541302	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/	33313	2388297	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/	24515	5031103	http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/	242	53691	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/	49	67964	http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/	4372	407551	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/	2561	1714589	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/	44197	1321407	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/	3808	3828434	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/	42364	681310	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/	3083523	954803	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/	7014	1630308	http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/	2439	840000	http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/	27183	1791668	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/	91	85272	http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/	23253	5009931	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/	10812	1168908	http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/	7071	684082	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/	13285	2183090	http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/	800808	7410399	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/	10886	2688171	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/	71000	877149	http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/	9411	1012296	http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/
http://www.semwebtech.org/mondial/10/country/Z/province/Central/	94394	1267803	http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/	29900	1004544	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/	202700	73326100	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/	161	1154635	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/	9950	493691	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/	4247	1076000	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/	3923	1570291	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/	29483	2455780	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/	5801	2852372	http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/	37	189335	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/	87100	491027	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/	7194	1169788	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/	7600	446406	http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/	838	71738	http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/	37323	3270422	http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/	11257	1134498	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/	11300	14722100	http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/	16997	88314	http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/
http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/	44212	25351462	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/
http://www.semwebtech.org/mondial/10/country/H/province/Heves/	3637	308882	http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/	7178	279982	http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/	8396	5558000	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/	33317	1513892	http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/	25401	4965542	http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/	27767	3321730	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/	11892	48378	http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/	12949	851145	http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/	69130	2837779	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/	37040	2127930	http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/	20500	1226800	http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/	1172	352920	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/	100200	2496552	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/	44	829134	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	15000	2725900	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/	82900	2097629	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/	71377	756050	http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/	10432	6144673	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/	25122	2168616	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/	155801	5815384	http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/	56439	3943885	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/	8323	281080	http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/	5285	309015	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/	76500	459025	http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/	24173	1451950	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/	5816	201311	http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/	685	39593	http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/	22743	1032949	http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/	276	41888	http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/	17153	1210591	http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/	124450	2420009	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/	368851	1006953	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/	1294	1814300	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/	102410	477616	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/	11526	1151672	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/	47191	692142	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/	4306	204116	http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/	5952	741371	http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/	95848	2418305	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/	21910	2219574	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/	144900	771058	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/	4429	386441	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/	12300	1346438	http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/	76100	282021	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/	11498	552404	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/	38823	3667419	http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/	3587	190409	http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/	140268	5757564	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/	22284	15687759	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/	2933	380735	http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/	8679	314486	http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/	13902	789750	http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/	3507	578000	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/	3496	10668139	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/	4902	3250816	http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/	13927	1380128	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/	64986	747739	http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/	7544	575398	http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/	68953	3525664	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/	15512	1682848	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/	18218	2528632	http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/	6304	478659	http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/	88199	1059836	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/	78781	1308290	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	3862	1087729	http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/	16396	1697581	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/	11727	217886	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	146072	791535	http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/	13012	4748372	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/	3991	1169936	http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/	146	969170	http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/	24585	1178223	http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/	2025	491699	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/	64100	212100	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/	55600	1793787	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/	52400	2328959	http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/	314161	2085572	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/	19919	1828291	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	6747	442700	http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/	20950	85617	http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/	50300	2963918	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/	526	3041002	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/	46800	19639	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/	74108	4674381	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	12015	4005459	http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/	63620	3388768	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/	76693	1913392	http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/	3388	2432003	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/	50230	3704404	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/	23194	1609982	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/	98340	80962	http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/	6095	2931000	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/	100242	70260	http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/	5780	4225384	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/	154742	3337000	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	16400	3445600	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/	1403	636362	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/	9323	1141000	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/	1558	387000	http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/	17971	2097818	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/	9033	139251	http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/	15567	1201565	http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/	4466	536167	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/	35503	941238	http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/	39600	1140844	http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/	25142	5976407	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/	21081	1097206	http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/	13606	1029475	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/	7285	2328000	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/	24889	874193	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/	24857	1326991	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/	11804	950557	http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/	13771	662455	http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/	2568	999623	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/	93793	3801962	http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/	7491	184406	http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/	11217	233548	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/	22993	3672202	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/	66090	2050229	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/	5789	380123	http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/	22014	10137737	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/	2592	346493	http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/	15296	170902	http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/	78133	5327700	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/	170572	544120	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/	5421	1570694	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/	70280	2625919	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/	63345	1245251	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/	39826	2036662	http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/	172	15778	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/	79210	2316865	http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/	363700	811274	http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/	922509	4581978	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/	21000	222446	http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/	908	151396	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/	24700	769980	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	1431	5131942	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/	357125	2619657	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/	333	210000	http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/	1898	8849000	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/	472300	319864	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/	8067	413260	http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/	31371	351579	http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/	7365	340270	http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/	7270	688285	http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/	26683	2272676	http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/	121531	2994079	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/	4657	125461	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/	13124	1266682	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/	98244	248637	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/	31581	1642734	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/	25212	1584157	http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/	119743	1996812	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/	94163	104099452	http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/	165321	3528687	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/	21478	2429224	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/	4465	847000	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/	89651	730408	http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/	9365	1541319	http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/	728	2154454	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/	28188	276555	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/	327068	5148989	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/	143440	339895	http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/	88752	91276115	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/	5357	960875	http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/	10727	682021	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/	30537	2051022	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	22356	15175862	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/	5678	1405000	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/	10140	359869	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/	31160	3576643	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/	17239	4813917	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/	8335	623065	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/	5475	772348	http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/	19323	2633154	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/	39612	1955577	http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/	84100	1325249	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/	22892	1722149	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/	721000	5777900	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/	243	1627172	http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/	19186	1625400	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/	149511	505652	http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/	206232	5457173	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/	53219	718971	http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/	47721	1344509	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/	18300	1239984	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/	10602	433784	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/	24588	1002420	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/	240528	1410964	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/	35892	1799607	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/	6608	158300	http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/	23187	1326813	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/	33776	4292416	http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/	5764	371714	http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/	20735	3082412	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/	45711	7087226	http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/	21683	241981	http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/	64220	4653458	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/	\N	430000	http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/	70880	3601917	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/	40430	929673	http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/	151339	624001	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/	3245	4010054	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/	672522	4105780	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/	13600	335917	http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/	4369	2245744	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/	58046	1215858	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/	35558	5293224	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/	24089	1639362	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/	419	650863	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	105	1733000	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/	347190	6565885	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/	2395	1622300	http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/	77367	516077	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/	40813	2052281	http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/	23921	2376021	http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/	6227	1053837	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/	11350	679796	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/	17800	1248488	http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/	3702	1458545	http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/	8000	703977	http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/	22195	378463	http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/	20848	930143	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/	224686	556319	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/	7062	418565	http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/	35031	6175123	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/	21347	702097	http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/	3242	362226	http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/	164800	45221500	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/	2417	6542944	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/	12900	1836181	http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/	7151	466982	http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/	404240	6777146	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/	4090	2745613	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/	8663	476173	http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/
http://www.semwebtech.org/mondial/10/country/PK/province/FATA/	27220	3176331	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/	3947	427600	http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/	7105	194959	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/	5896	470766	http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/	13782	1946000	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/	6753	791723	http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/	7489	427232	http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/	25978	2073004	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/	10056	637460	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/	6777	462114	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/	18198	276637	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/	19800	1774867	http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/	517	278656	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/	11731	286738	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/	17589	1475684	http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/	9203	336856	http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/	45843	564604	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/	298164	31294992	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/	984179	1670827	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/	41796	3402094	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/	37727	3793585	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/	20629	1320171	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/	4892	1777227	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/	64821	2336255	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./	36266	170377	http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/	48631	74534	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/	10276	7355075	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/	122608	4596658	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/	1570745	3873743	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/	12583	2330000	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/	37068	1950482	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/	5119	1820673	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/	6102	451069	http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/	252	1809106	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/	17235	5502886	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/	3314	310245	http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/	31276	4931135	http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/
http://www.semwebtech.org/mondial/10/country/H/province/Pest/	6391	1217476	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/	16072	971448	http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/	5064	713700	http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	14718	703948	http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/	351300	973860	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/	55186	260217	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/	11800	896291	http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/	158	658893	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/	2225	238748	http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/	183500	146480	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/	376962	1023579	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/	8207	341977	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/	224298	496936	http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/	45347	2903420	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/	72520	870347	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/	5355	286225	http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/	36400	1271766	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/	116437	155332	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/	372889	1145861	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/	5124	442251	http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/	21327	763558	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/	13590	5766810	http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/
http://www.semwebtech.org/mondial/10/country/I/province/Molise/	4437	313660	http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/	55631	1758143	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/	69106	1707731	http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/	28245	6596392	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/	203	3049229	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/	14074	453211	http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/	8973	814527	http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/	20133	557599	http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/	752600	1339912	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/	50698	982004	http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/	23871	626562	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/	108494	94271	http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/	6620	616168	http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	3730	998000	http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/	94078	610449	http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/	12317	1839393	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/	34270	1896147	http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/	5777	1833000	http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/	85300	127639	http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/	30296	955048	http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/	133007	3369365	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/	9114	554805	http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/	223924	1985529	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/	68018	513159	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/	85283	1606793	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/	95346	6727148	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/	2656	483154	http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/	667799	487620	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/	78438	31205576	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/	23832	1152333	http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/	4977	5090000	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/	72052	1602995	http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/	11791	697314	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/	12753	1250759	http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/	16942	741072	http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/	4518	518228	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/	34289	5779829	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/	15438	498135	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/	40361	1426674	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/	5024	402367	http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/	22131	483580	http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/	131171	4849377	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/	40579	687806	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/	2678	1055173	http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/
http://www.semwebtech.org/mondial/10/country/P/province/Braga/	2673	746100	http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/	21658	1344038	http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/	7367	167082	http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/	94361	10267300	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/	29800	1118915	http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/
http://www.semwebtech.org/mondial/10/country/TR/province/Van/	19414	1051975	http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/
http://www.semwebtech.org/mondial/10/country/PE/province/Lima/	32126	913734	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/	7096	610577	http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/	243943	311444	http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/	248209	44035304	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/	6707	702000	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/	23334	1477000	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/	28461	1083367	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/	5266	639946	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/	1729958	4656803	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/	24155	1807036	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/	125754	5404868	http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/	23900	1043130	http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	19368	1758268	http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/	83743	1383727	http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/	470	187455	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/	6713	550846	http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/	8871	416663	http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/	3263	126806	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/	14042	2480874	http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/	6831	419555	http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/	16202	1173440	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/	36137	1443365	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/	33844	2037713	http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/	12296	2050282	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/	4555	7055196	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/	12998	5674712	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/	122827	1472387	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/	14150	508728	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/	27207	3217767	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/	4463	351898	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/	42100	1517050	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/	62259	1850326	http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/	109665	75388	http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/	148825	8842791	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/	19336	1762075	http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/	53920	2835000	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/	4960	340100	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/	496	1272690	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/	5007	401000	http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/	150100	1340608	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/
http://www.semwebtech.org/mondial/10/country/H/province/Békés/	5629	359948	http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/	73631	3120040	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/	42012	5098790	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/	55673	6864602	http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/	125826	706462	http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/	41308	3254233	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/	24885	341034	http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/	43814	666029	http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/	19946	2915245	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/	41311	2083588	http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/	70624	2218492	http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/	52939	940789	http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/	198974	1881503	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/	491	343709	http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/	6674	691106	http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/	8545	283113	http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/	66400	6541900	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/	97993	575746	http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/	25410	1384286	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/	20202	6745408	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/	138288	1561407	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/	144264	1084987	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/	9188	1680000	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/	70550	12397614	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/	15386	768311	http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/	6675	214700	http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/	18398	4857210	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/	117249	2734734	http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/	6437	135216	http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/	102602	393088	http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/	12265	319570	http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/	8411	783708	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/	370621	2655084	http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/	588239	1108303	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/	13250	1640087	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/	24057	509564	http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/	36018	478690	http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	1861	87000	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/	100	712000	http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/	10621	2051000	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/	7950	2675165	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/	72238	40839	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/	68000	3838230	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/	20570	2118252	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/	4003	487339	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/	9500	1947651	http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/	4108	225145	http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/	18429	364183	http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/	155778	3539764	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/	2247	236700	http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/	28121	1719558	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/	6849	714392	http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/	15080	1959050	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/	80174	3268554	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/	110800	901100	http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/	23862	9704151	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/	7660	3788319	http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/	7237	2185393	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/	1876	985000	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/	210500	66906000	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/	767900	2418348	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/	26492	1634187	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/	1615	4270750	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/	6362	1984000	http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/	9826	2201863	http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/	97251	2722482	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/	3515	427800	http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/	179502	2662480	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/	18155	5420411	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/	151990	1777933	http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/	6065	134300	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/	7134	254341	http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/	370510	526702	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/
http://www.semwebtech.org/mondial/10/country/P/province/Beja/	10225	167900	http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/	226019	740389	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/	247455	3406465	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/	6102	274723	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/	7404	1801000	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/	160205	49386799	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/	38852	33406061	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/	17300	1804695	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/	335	1811	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/	28434	867727	http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/	3963	590459	http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/	227495	5739341	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/	87342	965288	http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/	165900	1938516	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/	1100	12108257	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/	6339	1178000	http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/	22623	2639059	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/	22513	4109571	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/	145700	1193371	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/	2412	400398	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/	223023	727594	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/	6490	416873	http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/	10587	226991	http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/	67800	272773	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/	154708	18866002	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/	10486	3673917	http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/	27271	2167120	http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/	55300	622430	http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/	6900	394741	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/	24971	6725626	http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/	755	1706696	http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/	283226	1394114	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/	60982	2585518	http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/	17685	1443173	http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/	18419	4056799	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/	402	1026848	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/	26080	1963008	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/	415900	872057	http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	196001	880889	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/	51740	719069	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/	493	93028	http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/	46530	495151	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/	165590	1736500	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/	15074	1612692	http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/	76495	4039939	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/	24600	2898600	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/	118851	5994402	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/	12102	762366	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/	7781	552100	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/	26200	812156	http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/	4659	534205	http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/	24389	4780380	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/	19616	921000	http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/	79716	32988134	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/	100	1408150	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/	73922	637026	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/	16800	151357	http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/	24737	2238603	http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/	2761	2063800	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/	24075	1408174	http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/	864	381234	http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/	277620	1496880	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/	129285	1074428	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/	124800	752977	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/	8842	1046545	http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/	4967	106643	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/	295658	5201000	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/	34623	7972246	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/	3750	453010	http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/
http://www.semwebtech.org/mondial/10/country/USA/province/California/	403466	38802500	http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/	53400	294109	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/	12206	1201342	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/	2959	582156	http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/	50362	27743338	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/	21773	1015734	http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/	22524	1572205	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/	4502	594328	http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/	143600	4069698	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/	18032	2744000	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/	118631	567938	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/	2297	991000	http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	107018	4879312	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/	3309	606527	http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/	7010	1893950	http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/	9580	2676754	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/	38482	239611	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/	95385	662534	http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	33060	1202000	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/	3420	1140310	http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/	5087	306691	http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/	1493	390349	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/	6343	689867	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/	13562	2122000	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/	181785	2534327	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/	29445	562539	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/	8253	262507	http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/	4262	417456	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/	10762	1307309	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/	710	814401	http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/	75539	1490668	http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/	95500	2734075	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/	8456	884268	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/	7753	2193613	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/	3124	516831	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/
http://www.semwebtech.org/mondial/10/country/TAD/province/RegionsofRepublicanSubordination/	28600	1874000	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/	36600	325897	http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/	16184	15787758	http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/	6808	688851	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/	2867	1793377	http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/	46717	8395747	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/	16328	895263	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/	104882	3509953	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/	7414	660544	http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/	18810	1880297	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/	237	1883425	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/	2419	84263	http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/	5323	592542	http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/	61900	534079	http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/	2080	188436	http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/	29620	2744671	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/	170302	3830000	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/	4234	315565	http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/	750300	522904	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/	34300	1068934	http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/	61841	2839290	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/	230	593678	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/	29079	1075067	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/	29559	2772927	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/	15549	547390	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/	11312	1462128	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/	4664	757898	http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/	25192	187254	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/	15278	1295000	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/	102269	4413457	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/	39249	417508	http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/	1670	297622	http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/	14130	1829725	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/	9453	660563	http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/	34263	3480414	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/	37945	6145588	http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/	33908	28423019	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/	55800	81326	http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/	2946	152315	http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/	15504	658629	http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/	16710	1270854	http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/	7619	459367	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/	58698	1426354	http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/	31923	3320299	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/	44640	350239	http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/	14800	323165	http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/	4452	274148	http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/	319036	3486432	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/
http://www.semwebtech.org/mondial/10/country/BY/province/Minsk/	39912	1400717	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/	22414	134443	http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/	6299	341218	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/	31982	1141561	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/	3739	75797	http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/	21571	148143	http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/	5081	2482079	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/	794	253000	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/	6814	156747	http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/	552329	1265015	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/	126049	530879	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	9921	411888	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/	11265	461671	http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/	211754	2904021	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/	332	195116	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/	12640	720436	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/	237576	1748531	http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/	45651	3724620	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/	99633	1130608	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/	2526574	2519321	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/	6113	1420000	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/	16401	1214945	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	427982	1369839	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/	38744	3913908	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/	5122	2412513	http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/	71445	3155070	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/	25200	2400600	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/	63701	1015622	http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	44820	3912711	http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/	2358	381488	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/	165642	587440	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/	2255	248700	http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/	157100	36298000	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/	118218	823517	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/	32790	1389782	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/	13692	12183391	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/	15885	6800180	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/	214045	1634464	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/	11710	1275511	http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/	2601	374861	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/	1076	35865	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/	4188	400768	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/	2545	202427	http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/	138500	477600	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/	10603	1075183	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/	235002	62658	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/	7105	745000	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/	63827	110436	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/	8805	1904112	http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/	3625	1634691	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/	43300	1469747	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/	24110	427971	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/	4208	447985	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/	8479	2840000	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/	4765	321212	http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/	142814	750912	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/	103478	4444204	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/	75480	4930077	http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/	79883	1330089	http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/	4473	1257200	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/	4358	425847	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/	18476	702110	http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/	79010	4647841	http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/	6408	1986000	http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	5034	1066567	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/	76748	469889	http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/	33955	436786	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/	5363	342269	http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/	177660	3878051	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/	13228	1346162	http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/	5315	13854740	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/	7754	430629	http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/	2187	13300000	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/	73288	4796580	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/	5165	7443000	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/	5601	341594	http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/	6519	2127006	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/	31399	4916069	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/
http://www.semwebtech.org/mondial/10/country/H/province/Vas/	3336	256629	http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/	238	118118	http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/	347	1194121	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/	4824	1497455	http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/	8374	830645	http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/	18500	4744000	http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/	6772	4612067	http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/	854	115588	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/	2670	8481415	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/	4726	979000	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/	24800	902847	http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/	4017	1416000	http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/	57924	822441	http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/	33000	312277	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/	23189	1274615	http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/	9281	562703	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/	26110	2371603	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/	20496	4297323	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/	191791	61095297	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/	20895	451881	http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/	22792	1004539	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/	78599	7350682	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/	75334	1344095	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/	1728	1425538	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/	39150	2556835	http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/	5136	2020754	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/	11636	1050000	http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/	490	1247953	http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/	92789	6596855	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/	10495	339116	http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/	3526	281422	http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/	6826	612431	http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/	98417	2228527	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	39400	1756400	http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/	23200	688686	http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/	23818	259447	http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/	24100	1159866	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/	15195	4012105	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/	60291	2647413	http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/	6300	1684100	http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/	3144	1173019	http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/	42327	109490	http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/	29137	1493645	http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/	46914	1708190	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/	6795	512727	http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/	8248	293540	http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/	82400	29700000	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/	3835	199231	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/	76150	2291623	http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/	10573	640129	http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/	7156	534030	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/	47799	38529481	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/	305	1905475	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/	16980	4412299	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/	5391	285190	http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/	172	1277100	http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/	525	1729040	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/	11570	3157075	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/
http://www.semwebtech.org/mondial/10/country/H/province/Zala/	3783	282179	http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/	8498	213083	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/	7606	595261	http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/	41634	1104500	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/	18153	18484858	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/	25942	255120	http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/	3151	57241	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/	2680	488876	http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/	8868	235424	http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/	11034	1263088	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/	1630	132453	http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/	13824	1080431	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/	4569	274727	http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/	431500	1090344	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/	6241	342376	http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/	4328	237100	http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/	72981	13527937	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/	42225	295095	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/	5318	395499	http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/	199049	510369	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/	7965	379915	http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/	18901	1534808	http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/	22195	1071977	http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/	8096	905264	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/	17845	2128921	http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/	2276	1415000	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/	38067	2417962	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/	4393	10001	http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/	12012	11852851	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/	10917	843202	http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/	155707	41974218	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/	18839	302755	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/	29581	3841884	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/	37411	3080576	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/	86800	1271200	http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/	7904	1006541	http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/	66044	97206	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/	32800	32779832	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/	7858	1218985	http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/	20357	4468563	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/	29127	1413959	http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/	4758	555683	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/
http://www.semwebtech.org/mondial/10/country/RO/province/Ilfov/	1583	388738	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/	35200	816264	http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/	18572	4702389	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/	15204	1592167	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/	97428	779400	http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/	196350	853175	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/	83456	5431000	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/	8444	520331	http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/	129825	2745590	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/	160600	2636154	http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/	3798	7222000	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/	6065	317307	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/	3743	371198	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/	4991	1100503	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/	1348198	240759	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/	32081	3601113	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/	1151	491610	http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/	4417	344360	http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/	38400	192596	http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/	151430	67638	http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/	25319	297591	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/	16787	1284620	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/	71986	1292175	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/	298	78783	http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/	20450	2287040	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/	22429	2966889	http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/	3709	210177	http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/	2330	196322	http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/	2052	602436	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/	23842	3073943	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/	28900	905443	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/	22905	1016533	http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/	12414	4042015	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/	1143793	43537	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/	5550	364000	http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/	5617	1184996	http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/	31418	2742180	http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/	4932	265390	http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/	6844	1799558	http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/	29801	1174542	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/	106798	6549352	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/	4613	2617000	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/	51524	576153	http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/	7100	600852	http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/	203013	688873	http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/	27216	3663428	http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/	85635	943072	http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/	40130	567225	http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/	33268	1722945	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/	93704	5320299	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/	1587	7776845	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/	71999	1377122	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/	21896	2198996	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/	153128	6915006	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/	48583	767714	http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/	319	1507737	http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/	16635	1419561	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/	7685	86276	http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/	821	227025	http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/	138887	19893297	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/	22140	4566875	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/	8696	683540	http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	8883	1593000	http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/	4816	4796408	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/	79408	2106331	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/	25605	1336053	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/	587400	1191785	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/	9994	578036	http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/	20187	1199724	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/	148827	1863809	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/	62825	501921	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/	16075	328915	http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/	9965	4787000	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/	21276	11058314	http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/	5518	187800	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/	147307	4546439	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/	15200	876496	http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/	7560	574694	http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/	20846	2665018	http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/	113371	3328365	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/	4145	554741	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/	433	1943901	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/	134771	2966369	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/	21636	3337517	http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/
http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/	11014	1274633	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/	9093	525211	http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/	4985	412626	http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/	152581	790101	http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/	11289	1713070	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/	7352	549151	http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/	6638	310867	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/	4917	566399	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/	7933	579996	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/	2982	1460944	http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/	9757	946607	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/	89041	1689654	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/	28567	623535	http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/	640081	4025074	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/	8573	2610481	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/	23251	4101322	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/	15100	963128	http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/	68775	1426684	http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/	20248	2865795	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/	316900	1070128	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/	27375	2670046	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/	111	243247	http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/	70384	2479461	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	123451	1632934	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/	803	176402	http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/	9364	1251722	http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/	8280	1852325	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/	89680	362605	http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/	44100	1016516	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/	29826	3458881	http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/	4360	459124	http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/	194300	4320677	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/	7094	337253	http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/	17046	3407353	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/	9644	1335000	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/	4965	1576884	http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/	31903	1088509	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/	37300	1267561	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/	79023	2354398	http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/	4880	902267	http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/	31842	889492	http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/	39557	2310983	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/	6686	997071	http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/	44522	1425131	http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	74800	3281496	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/	49341	126201	http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/	170500	311761	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/	7735	1120000	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/	2106	1101280	http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/	414	1761738	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/	172119	7061530	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/	156906	593821	http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/	906	805235	http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/	251470	584153	http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/	178200	2731176	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/	29084	1413321	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/	25009	1945227	http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/	25809	1777773	http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/	91592	7996535	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/	15099	1459994	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/	1664	788706	http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/
http://www.semwebtech.org/mondial/10/country/GB/province/London/	1572	8416535	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/	88965	471541	http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/	25020	1683782	http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/	26677	2045205	http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/	60350	2707410	http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/	9375	452159	http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/	26600	59728	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/	51253	806452	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/	990	260278	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/	1477953	736732	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/	14456	1063174	http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/	66040	864652	http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/	19819	3694087	http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/	103760	799950	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/	3122	232509	http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/	15182	3350350	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/	29308	1366984	http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/	28824	1285484	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/	5887	2794575	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/	13892	1785285	http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/	182700	430668	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/	15733	174859	http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/	167000	94133500	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/	2808	656000	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/	17109	1274968	http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/	74521	17735912	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/
http://www.semwebtech.org/mondial/10/country/P/province/Evora/	7393	173500	http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/	3961	287470	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/	836	2814258	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/	94351	2540187	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/	6167	506369	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/	7276	176353	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/	27397	193719	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/	53588	494178	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/	7780	3723000	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/	8553	634810	http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/	65268	43240	http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/	5334	830371	http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/	103887	597144	http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/	34857	1242599	http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/	1356547	8155334	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/	57091	471613	http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/	19795	1808295	http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/	212818	2942902	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	11671	1365110	http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/	64055	4531720	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/	4180	282000	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/	2358	33109	http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/	891	3292365	http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/	4054	518745	http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/	15403	6604835	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/	6421	2499272	http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/	12500	858397	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/	15101	259404	http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/	2339700	2852810	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/	43344	1406434	http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/	21035	2258428	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/	403292	4820000	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/	25499	1791659	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/	20144	1038598	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/	23090	123779	http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/	21760	1743830	http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/	5224	327011	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/	20367	1777014	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/	28200	1080432	http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/	49933	5499737	http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/	5625	650555	http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/	53600	3211187	http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/	28294	1754243	http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/	4857	340310	http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/	496877	4125000	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/	25402	4363916	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/
http://www.semwebtech.org/mondial/10/country/R/province/Altay/	92600	211645	http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/	4946	233708	http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/	14185	1084200	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/	461400	150312	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/	251529	3194718	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/	5748	646452	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/	57956	4731705	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/	21831	2540938	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/	4146	770000	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/	6971	424750	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/	3864	224384	http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/	866	898400	http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/	20790	2092537	http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/	36848	840984	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/	16600	936502	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/	20916	1277303	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/	169100	2390638	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/	14105	7103260	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/	8201	2031895	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/	19480	633922	http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/	2422	853239	http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/	6592	525729	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/	73600	1183100	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/	8249	380581	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/	3418	3580735	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/	19890	1140539	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/	111898	4649676	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/	46909	2757022	http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/	5047	935614	http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/	4140	946632	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/	71820	7643194	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/	342239	68548437	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/	240928	199812341	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/	100800	4245532	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/	436200	46866000	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/	79017	2037330	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/	20794	7102438	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/	5498	436400	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/	72066	573823	http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/
http://www.semwebtech.org/mondial/10/country/R/province/Penza/	43200	1360587	http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/	5959	1001281	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/	5145	256224	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/	19422	1616867	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/	50058	3412459	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/	1000	958399	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/	23188	1247514	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/	8519	295579	http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/	6210	546721	http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/	38131	700999	http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/	16172	2188589	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/	3133	3594290	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/	547	3137196	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/	205345	73621290	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/	155488	1314726	http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/	9679	1395614	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/	59483	3564434	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/	77857	4832482	http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	19070	2531997	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/	26017	\N	http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/	2034	\N	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/	57	\N	http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/	\N	345000	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/	\N	23000	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/	\N	252000	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/	\N	702000	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/	\N	195000	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/	\N	209000	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/	\N	242000	http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/	\N	662000	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/	\N	177000	http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/	\N	1119000	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/	\N	415000	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/
\.


--
-- TOC entry 5913 (class 0 OID 90024)
-- Dependencies: 683
-- Data for Name: AnthropoGeographicalRelationship; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "AnthropoGeographicalRelationship" ("URI") FROM stdin;
\.


--
-- TOC entry 5914 (class 0 OID 90027)
-- Dependencies: 684
-- Data for Name: AnthropoGeographicalThing; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "AnthropoGeographicalThing" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/language/Pitkern/	Pitkern
http://www.semwebtech.org/mondial/10/language/Gagauz/	Gagauz
http://www.semwebtech.org/mondial/10/language/Brahui/	Brahui
http://www.semwebtech.org/mondial/10/language/English/	English
http://www.semwebtech.org/mondial/10/language/Slovene/	Slovene
http://www.semwebtech.org/mondial/10/language/Arabic/	Arabic
http://www.semwebtech.org/mondial/10/language/Punjabi/	Punjabi
http://www.semwebtech.org/mondial/10/language/Futunian/	Futunian
http://www.semwebtech.org/mondial/10/language/Estonian/	Estonian
http://www.semwebtech.org/mondial/10/language/Creole/	Creole
http://www.semwebtech.org/mondial/10/language/Serbo-Croatian/	Serbo-Croatian
http://www.semwebtech.org/mondial/10/language/Albanian/	Albanian
http://www.semwebtech.org/mondial/10/language/Garifuna/	Garifuna
http://www.semwebtech.org/mondial/10/language/Maori/	Maori
http://www.semwebtech.org/mondial/10/language/French/	French
http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/	Philipine Language
http://www.semwebtech.org/mondial/10/language/Quechua/	Quechua
http://www.semwebtech.org/mondial/10/language/Chinese/	Chinese
http://www.semwebtech.org/mondial/10/language/Belorussian/	Belorussian
http://www.semwebtech.org/mondial/10/language/Amerindian/	Amerindian
http://www.semwebtech.org/mondial/10/language/Bulgarian/	Bulgarian
http://www.semwebtech.org/mondial/10/language/Korean/	Korean
http://www.semwebtech.org/mondial/10/language/Swedish/	Swedish
http://www.semwebtech.org/mondial/10/language/Portuguese/	Portuguese
http://www.semwebtech.org/mondial/10/language/Finnish/	Finnish
http://www.semwebtech.org/mondial/10/language/Serbian/	Serbian
http://www.semwebtech.org/mondial/10/language/Bosnian/	Bosnian
http://www.semwebtech.org/mondial/10/language/Siraiki/	Siraiki
http://www.semwebtech.org/mondial/10/language/Japanese/	Japanese
http://www.semwebtech.org/mondial/10/language/Basque/	Basque
http://www.semwebtech.org/mondial/10/language/Luxembourgish/	Luxembourgish
http://www.semwebtech.org/mondial/10/language/Greek/	Greek
http://www.semwebtech.org/mondial/10/language/Hebrew/	Hebrew
http://www.semwebtech.org/mondial/10/language/Turkic/	Turkic
http://www.semwebtech.org/mondial/10/language/Danish/	Danish
http://www.semwebtech.org/mondial/10/language/Montenegrin/	Montenegrin
http://www.semwebtech.org/mondial/10/language/Dungun/	Dungun
http://www.semwebtech.org/mondial/10/language/Kyrgyz/	Kyrgyz
http://www.semwebtech.org/mondial/10/language/Hindko/	Hindko
http://www.semwebtech.org/mondial/10/language/Azeri/	Azeri
http://www.semwebtech.org/mondial/10/language/Kurdish/	Kurdish
http://www.semwebtech.org/mondial/10/language/Slovenian/	Slovenian
http://www.semwebtech.org/mondial/10/language/ChineseLanguage/	Chinese Language
http://www.semwebtech.org/mondial/10/language/Italian/	Italian
http://www.semwebtech.org/mondial/10/language/Persian/	Persian
http://www.semwebtech.org/mondial/10/language/Slovak/	Slovak
http://www.semwebtech.org/mondial/10/language/Sinhala/	Sinhala
http://www.semwebtech.org/mondial/10/language/Georgian/	Georgian
http://www.semwebtech.org/mondial/10/language/Russian/	Russian
http://www.semwebtech.org/mondial/10/language/Galician/	Galician
http://www.semwebtech.org/mondial/10/language/Miskito/	Miskito
http://www.semwebtech.org/mondial/10/language/KhalkhaMongol/	Khalkha Mongol
http://www.semwebtech.org/mondial/10/language/Luri/	Luri
http://www.semwebtech.org/mondial/10/language/Kurd/	Kurd
http://www.semwebtech.org/mondial/10/language/Bambara/	Bambara
http://www.semwebtech.org/mondial/10/language/Aymara/	Aymara
http://www.semwebtech.org/mondial/10/language/Latvian/	Latvian
http://www.semwebtech.org/mondial/10/language/Ukrainian/	Ukrainian
http://www.semwebtech.org/mondial/10/language/Somali/	Somali
http://www.semwebtech.org/mondial/10/language/Wallisian/	Wallisian
http://www.semwebtech.org/mondial/10/language/Sindhi/	Sindhi
http://www.semwebtech.org/mondial/10/language/Armenian/	Armenian
http://www.semwebtech.org/mondial/10/language/MayanDialects/	Mayan Dialects
http://www.semwebtech.org/mondial/10/language/Polish/	Polish
http://www.semwebtech.org/mondial/10/language/OtherPacificIslandLanguage/	Other Pacific Island Language
http://www.semwebtech.org/mondial/10/language/Romanian/	Romanian
http://www.semwebtech.org/mondial/10/language/Tajik/	Tajik
http://www.semwebtech.org/mondial/10/language/Spanish/	Spanish
http://www.semwebtech.org/mondial/10/language/German/	German
http://www.semwebtech.org/mondial/10/language/Kazakh/	Kazakh
http://www.semwebtech.org/mondial/10/language/Tongan/	Tongan
http://www.semwebtech.org/mondial/10/language/Urdu/	Urdu
http://www.semwebtech.org/mondial/10/language/Turkish/	Turkish
http://www.semwebtech.org/mondial/10/language/Tamil/	Tamil
http://www.semwebtech.org/mondial/10/language/Chamorro/	Chamorro
http://www.semwebtech.org/mondial/10/language/Polynesian/	Polynesian
http://www.semwebtech.org/mondial/10/language/Hungarian/	Hungarian
http://www.semwebtech.org/mondial/10/language/Uzbek/	Uzbek
http://www.semwebtech.org/mondial/10/language/Lithuanian/	Lithuanian
http://www.semwebtech.org/mondial/10/language/Balochi/	Balochi
http://www.semwebtech.org/mondial/10/language/Croatian/	Croatian
http://www.semwebtech.org/mondial/10/language/Lezgi/	Lezgi
http://www.semwebtech.org/mondial/10/language/Burmese/	Burmese
http://www.semwebtech.org/mondial/10/language/Pashtu/	Pashtu
http://www.semwebtech.org/mondial/10/language/Vietnamese/	Vietnamese
http://www.semwebtech.org/mondial/10/language/Afrikaans/	Afrikaans
http://www.semwebtech.org/mondial/10/language/Catalan/	Catalan
http://www.semwebtech.org/mondial/10/language/Hindi/	Hindi
http://www.semwebtech.org/mondial/10/language/Norwegian/	Norwegian
http://www.semwebtech.org/mondial/10/language/Icelandic/	Icelandic
http://www.semwebtech.org/mondial/10/language/AfghanPersian/	Afghan Persian
http://www.semwebtech.org/mondial/10/language/Samoan/	Samoan
http://www.semwebtech.org/mondial/10/language/Maltese/	Maltese
http://www.semwebtech.org/mondial/10/language/Roma/	Roma
http://www.semwebtech.org/mondial/10/language/Macedonian/	Macedonian
http://www.semwebtech.org/mondial/10/language/Nepali/	Nepali
http://www.semwebtech.org/mondial/10/language/Guarani/	Guarani
http://www.semwebtech.org/mondial/10/language/Papiamento/	Papiamento
http://www.semwebtech.org/mondial/10/language/Romansch/	Romansch
http://www.semwebtech.org/mondial/10/language/Dutch/	Dutch
http://www.semwebtech.org/mondial/10/language/Turkmen/	Turkmen
http://www.semwebtech.org/mondial/10/language/Monegasque/	Monegasque
http://www.semwebtech.org/mondial/10/language/Czech/	Czech
http://www.semwebtech.org/mondial/10/religion/Presbyterian/	Presbyterian
http://www.semwebtech.org/mondial/10/religion/Baptist/	Baptist
http://www.semwebtech.org/mondial/10/religion/ChurchofGod/	Church of God
http://www.semwebtech.org/mondial/10/religion/Hindu/	Hindu
http://www.semwebtech.org/mondial/10/religion/ArmenianApostolic/	Armenian Apostolic
http://www.semwebtech.org/mondial/10/religion/Catholic/	Catholic
http://www.semwebtech.org/mondial/10/religion/CaoDai/	Cao Dai
http://www.semwebtech.org/mondial/10/religion/RomanCatholic/	Roman Catholic
http://www.semwebtech.org/mondial/10/religion/Sikh/	Sikh
http://www.semwebtech.org/mondial/10/religion/Jains/	Jains
http://www.semwebtech.org/mondial/10/religion/Taoist/	Taoist
http://www.semwebtech.org/mondial/10/religion/Episcopalian/	Episcopalian
http://www.semwebtech.org/mondial/10/religion/ChristianCongregationalist/	Christian Congregationalist
http://www.semwebtech.org/mondial/10/religion/Mormon/	Mormon
http://www.semwebtech.org/mondial/10/religion/Druze/	Druze
http://www.semwebtech.org/mondial/10/religion/Yezidi/	Yezidi
http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/	Jehovas Witnesses
http://www.semwebtech.org/mondial/10/religion/UkrainianGreekCatholic/	Ukrainian Greek Catholic
http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/	Christian Orthodox
http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/	Seventh-Day Adventist
http://www.semwebtech.org/mondial/10/religion/Methodist/	Methodist
http://www.semwebtech.org/mondial/10/religion/UnitingChurchAustralia/	Uniting Church Australia
http://www.semwebtech.org/mondial/10/religion/Christian/	Christian
http://www.semwebtech.org/mondial/10/religion/Chondogyo/	Chondogyo
http://www.semwebtech.org/mondial/10/religion/UnitedChurch/	United Church
http://www.semwebtech.org/mondial/10/religion/Protestant/	Protestant
http://www.semwebtech.org/mondial/10/religion/EkalesiaNiue/	Ekalesia Niue
http://www.semwebtech.org/mondial/10/religion/HoaHao/	Hoa Hao
http://www.semwebtech.org/mondial/10/religion/Kimbanguist/	Kimbanguist
http://www.semwebtech.org/mondial/10/religion/Confucianism/	Confucianism
http://www.semwebtech.org/mondial/10/religion/NewApostolic/	New Apostolic
http://www.semwebtech.org/mondial/10/religion/ChurchChrist/	Church Christ
http://www.semwebtech.org/mondial/10/religion/Jewish/	Jewish
http://www.semwebtech.org/mondial/10/religion/Anglican/	Anglican
http://www.semwebtech.org/mondial/10/religion/CongregationalChristian/	Congregational Christian
http://www.semwebtech.org/mondial/10/religion/Buddhist/	Buddhist
http://www.semwebtech.org/mondial/10/religion/Bahai/	Bahai
http://www.semwebtech.org/mondial/10/religion/Mayan/	Mayan
http://www.semwebtech.org/mondial/10/religion/ChurchTuvalu/	Church Tuvalu
http://www.semwebtech.org/mondial/10/religion/Adventist/	Adventist
http://www.semwebtech.org/mondial/10/religion/Muslim/	Muslim
http://www.semwebtech.org/mondial/10/religion/CopticChristian/	Coptic Christian
http://www.semwebtech.org/mondial/10/religion/United/	United
http://www.semwebtech.org/mondial/10/religion/AfricanMethodistEpiscopal/	African Methodist Episcopal
http://www.semwebtech.org/mondial/10/ethnicgroup/Gagauz/	Gagauz
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandingo/	Mandingo
http://www.semwebtech.org/mondial/10/ethnicgroup/Bengali/	Bengali
http://www.semwebtech.org/mondial/10/ethnicgroup/Monegasque/	Monegasque
http://www.semwebtech.org/mondial/10/ethnicgroup/Tay/	Tay
http://www.semwebtech.org/mondial/10/ethnicgroup/Austrian/	Austrian
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldavian-Romanian/	Moldavian/Romanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Songhai/	Songhai
http://www.semwebtech.org/mondial/10/ethnicgroup/Romansch/	Romansch
http://www.semwebtech.org/mondial/10/ethnicgroup/Latvian/	Latvian
http://www.semwebtech.org/mondial/10/ethnicgroup/Celt/	Celt
http://www.semwebtech.org/mondial/10/ethnicgroup/Arabic/	Arabic
http://www.semwebtech.org/mondial/10/ethnicgroup/Bakongo/	Bakongo
http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	Serb
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoLoum/	Lao Loum
http://www.semwebtech.org/mondial/10/ethnicgroup/Nauruan/	Nauruan
http://www.semwebtech.org/mondial/10/ethnicgroup/Alemannic/	Alemannic
http://www.semwebtech.org/mondial/10/ethnicgroup/Dutch/	Dutch
http://www.semwebtech.org/mondial/10/ethnicgroup/Scandinavian/	Scandinavian
http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	Roma
http://www.semwebtech.org/mondial/10/ethnicgroup/Bounty/	Bounty
http://www.semwebtech.org/mondial/10/ethnicgroup/Mboum/	Mboum
http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	Black
http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	Mestizo
http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	Czech
http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	Creole
http://www.semwebtech.org/mondial/10/ethnicgroup/Kamba/	Kamba
http://www.semwebtech.org/mondial/10/ethnicgroup/Baganda/	Baganda
http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	Malinke
http://www.semwebtech.org/mondial/10/ethnicgroup/GilakiMazandarani/	Gilaki Mazandarani
http://www.semwebtech.org/mondial/10/ethnicgroup/CrimeanTatar/	Crimean Tatar
http://www.semwebtech.org/mondial/10/ethnicgroup/Spanish/	Spanish
http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	Fulani
http://www.semwebtech.org/mondial/10/ethnicgroup/CaribIndians/	Carib Indians
http://www.semwebtech.org/mondial/10/ethnicgroup/Kalenjin/	Kalenjin
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbs/	Serbs
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Asian/	Afro-Asian
http://www.semwebtech.org/mondial/10/ethnicgroup/Irish/	Irish
http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	Montenegrin
http://www.semwebtech.org/mondial/10/ethnicgroup/Mossi/	Mossi
http://www.semwebtech.org/mondial/10/ethnicgroup/ArabIranian/	Arab Iranian
http://www.semwebtech.org/mondial/10/ethnicgroup/Shan/	Shan
http://www.semwebtech.org/mondial/10/ethnicgroup/Fleming/	Fleming
http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	East Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	Turkish
http://www.semwebtech.org/mondial/10/ethnicgroup/Bhote/	Bhote
http://www.semwebtech.org/mondial/10/ethnicgroup/Christian/	Christian
http://www.semwebtech.org/mondial/10/ethnicgroup/Fula/	Fula
http://www.semwebtech.org/mondial/10/ethnicgroup/Viet-Kinh/	Viet/Kinh
http://www.semwebtech.org/mondial/10/ethnicgroup/BerberArab/	Berber Arab
http://www.semwebtech.org/mondial/10/ethnicgroup/White/	White
http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	Pakistani
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbian/	Serbian
http://www.semwebtech.org/mondial/10/ethnicgroup/Kimbundu/	Kimbundu
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Mauritian/	Indo-Mauritian
http://www.semwebtech.org/mondial/10/ethnicgroup/MediterraneanNordic/	Mediterranean Nordic
http://www.semwebtech.org/mondial/10/ethnicgroup/Wallisian/	Wallisian
http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	Estonian
http://www.semwebtech.org/mondial/10/ethnicgroup/Byelorussian/	Byelorussian
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthernIrish/	Northern Irish
http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	Finn
http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	Tatar
http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	Indonesian
http://www.semwebtech.org/mondial/10/ethnicgroup/Karen/	Karen
http://www.semwebtech.org/mondial/10/ethnicgroup/Sino-Mauritian/	Sino-Mauritian
http://www.semwebtech.org/mondial/10/ethnicgroup/Nung/	Nung
http://www.semwebtech.org/mondial/10/ethnicgroup/Ovimbundu/	Ovimbundu
http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	Albanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Bantu/	Bantu
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigraway/	Tigraway
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoTheung/	Lao Theung
http://www.semwebtech.org/mondial/10/ethnicgroup/Americo-Liberians/	Americo-Liberians
http://www.semwebtech.org/mondial/10/ethnicgroup/BasquesBretons/	Basques Bretons
http://www.semwebtech.org/mondial/10/ethnicgroup/Franco-Mauritian/	Franco-Mauritian
http://www.semwebtech.org/mondial/10/ethnicgroup/Garifuna/	Garifuna
http://www.semwebtech.org/mondial/10/ethnicgroup/Surinamese/	Surinamese
http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	Iranian
http://www.semwebtech.org/mondial/10/ethnicgroup/Tutsi/	Tutsi
http://www.semwebtech.org/mondial/10/ethnicgroup/Colored/	Colored
http://www.semwebtech.org/mondial/10/ethnicgroup/Euro-African/	Euro-African
http://www.semwebtech.org/mondial/10/ethnicgroup/MBaka/	MBaka
http://www.semwebtech.org/mondial/10/ethnicgroup/EquatorialBantu/	Equatorial Bantu
http://www.semwebtech.org/mondial/10/ethnicgroup/Welaita/	Welaita
http://www.semwebtech.org/mondial/10/ethnicgroup/Sara/	Sara
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternHamitic/	Eastern Hamitic
http://www.semwebtech.org/mondial/10/ethnicgroup/Madurese/	Madurese
http://www.semwebtech.org/mondial/10/ethnicgroup/Banda/	Banda
http://www.semwebtech.org/mondial/10/ethnicgroup/Wolof/	Wolof
http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	Palestinian Arab
http://www.semwebtech.org/mondial/10/ethnicgroup/Azerbaijani/	Azerbaijani
http://www.semwebtech.org/mondial/10/ethnicgroup/Lugbara/	Lugbara
http://www.semwebtech.org/mondial/10/ethnicgroup/Nepalese/	Nepalese
http://www.semwebtech.org/mondial/10/ethnicgroup/Danish/	Danish
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	Arab-Berber
http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	Kyrgyz
http://www.semwebtech.org/mondial/10/ethnicgroup/Maori/	Maori
http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	Polynesian
http://www.semwebtech.org/mondial/10/ethnicgroup/BlackMaur/	Black Maur
http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	Europeans
http://www.semwebtech.org/mondial/10/ethnicgroup/Yezidi/	Yezidi
http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	Lithuanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Amhara/	Amhara
http://www.semwebtech.org/mondial/10/ethnicgroup/HanChinese/	Han Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Tamil/	Tamil
http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	Uzbek
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	Turkmen
http://www.semwebtech.org/mondial/10/ethnicgroup/Dravidian/	Dravidian
http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	South Asian
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese-Chinese/	Vietnamese/Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Batswana/	Batswana
http://www.semwebtech.org/mondial/10/ethnicgroup/European/	European
http://www.semwebtech.org/mondial/10/ethnicgroup/Hadiya/	Hadiya
http://www.semwebtech.org/mondial/10/ethnicgroup/Twa/	Twa
http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	Mixed
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	Slovak
http://www.semwebtech.org/mondial/10/ethnicgroup/Burman/	Burman
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthwesternBantu/	Northwestern Bantu
http://www.semwebtech.org/mondial/10/ethnicgroup/Kgalagadi/	Kgalagadi
http://www.semwebtech.org/mondial/10/ethnicgroup/Toucouleur/	Toucouleur
http://www.semwebtech.org/mondial/10/ethnicgroup/Baoule/	Baoule
http://www.semwebtech.org/mondial/10/ethnicgroup/Djerma/	Djerma
http://www.semwebtech.org/mondial/10/ethnicgroup/Fijian/	Fijian
http://www.semwebtech.org/mondial/10/ethnicgroup/Japanese/	Japanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	Swede
http://www.semwebtech.org/mondial/10/ethnicgroup/RussianUkrainian/	Russian Ukrainian
http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	Thai
http://www.semwebtech.org/mondial/10/ethnicgroup/Kunama/	Kunama
http://www.semwebtech.org/mondial/10/ethnicgroup/Soussou/	Soussou
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	Vietnamese
http://www.semwebtech.org/mondial/10/ethnicgroup/Maya/	Maya
http://www.semwebtech.org/mondial/10/ethnicgroup/Mon/	Mon
http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	Norman-French
http://www.semwebtech.org/mondial/10/ethnicgroup/Gourmantche/	Gourmantche
http://www.semwebtech.org/mondial/10/ethnicgroup/Beja/	Beja
http://www.semwebtech.org/mondial/10/ethnicgroup/BritishIsles/	British Isles
http://www.semwebtech.org/mondial/10/ethnicgroup/Mande/	Mande
http://www.semwebtech.org/mondial/10/ethnicgroup/black-Amerindian/	black-Amerindian
http://www.semwebtech.org/mondial/10/ethnicgroup/Africandescent/	African descent
http://www.semwebtech.org/mondial/10/ethnicgroup/Bahraini/	Bahraini
http://www.semwebtech.org/mondial/10/ethnicgroup/Bagisu/	Bagisu
http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	Macedonian
http://www.semwebtech.org/mondial/10/ethnicgroup/European-CaribbeanAmerindian/	European/Caribbean Amerindian
http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	Uighur
http://www.semwebtech.org/mondial/10/ethnicgroup/Oromo/	Oromo
http://www.semwebtech.org/mondial/10/ethnicgroup/Sami/	Sami
http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	Croat
http://www.semwebtech.org/mondial/10/ethnicgroup/Seychellois/	Seychellois
http://www.semwebtech.org/mondial/10/ethnicgroup/English/	English
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	Slovene
http://www.semwebtech.org/mondial/10/ethnicgroup/Circassian/	Circassian
http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	Bosniak
http://www.semwebtech.org/mondial/10/ethnicgroup/Batobo/	Batobo
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	Arab
http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	Azeri
http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	Javanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Luo/	Luo
http://www.semwebtech.org/mondial/10/ethnicgroup/Georgian/	Georgian
http://www.semwebtech.org/mondial/10/ethnicgroup/Saho/	Saho
http://www.semwebtech.org/mondial/10/ethnicgroup/Taiwanese/	Taiwanese
http://www.semwebtech.org/mondial/10/ethnicgroup/African/	African
http://www.semwebtech.org/mondial/10/ethnicgroup/Vedda/	Vedda
http://www.semwebtech.org/mondial/10/ethnicgroup/Aymara/	Aymara
http://www.semwebtech.org/mondial/10/ethnicgroup/Bete/	Bete
http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	Pacific Islander
http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	Caucasian
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanLebanese/	European Lebanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Sidama/	Sidama
http://www.semwebtech.org/mondial/10/ethnicgroup/Hazara/	Hazara
http://www.semwebtech.org/mondial/10/ethnicgroup/Luhya/	Luhya
http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	Belorussian
http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	Muslim
http://www.semwebtech.org/mondial/10/ethnicgroup/Maur/	Maur
http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	Somali
http://www.semwebtech.org/mondial/10/ethnicgroup/Walloon/	Walloon
http://www.semwebtech.org/mondial/10/ethnicgroup/Kuwaiti/	Kuwaiti
http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	Polish
http://www.semwebtech.org/mondial/10/ethnicgroup/Senoufou/	Senoufou
http://www.semwebtech.org/mondial/10/ethnicgroup/Emiri/	Emiri
http://www.semwebtech.org/mondial/10/ethnicgroup/Mong/	Mong
http://www.semwebtech.org/mondial/10/ethnicgroup/Meru/	Meru
http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	Khmer
http://www.semwebtech.org/mondial/10/ethnicgroup/None/	None
http://www.semwebtech.org/mondial/10/ethnicgroup/Greenlander/	Greenlander
http://www.semwebtech.org/mondial/10/ethnicgroup/Diola/	Diola
http://www.semwebtech.org/mondial/10/ethnicgroup/Moroccan/	Moroccan
http://www.semwebtech.org/mondial/10/ethnicgroup/Kirdi/	Kirdi
http://www.semwebtech.org/mondial/10/ethnicgroup/German/	German
http://www.semwebtech.org/mondial/10/ethnicgroup/Quechua/	Quechua
http://www.semwebtech.org/mondial/10/ethnicgroup/Kikuyu/	Kikuyu
http://www.semwebtech.org/mondial/10/ethnicgroup/Gypsy/	Gypsy
http://www.semwebtech.org/mondial/10/ethnicgroup/Hutu/	Hutu
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazakh/	Kazakh
http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	Mongol
http://www.semwebtech.org/mondial/10/ethnicgroup/Hausa/	Hausa
http://www.semwebtech.org/mondial/10/ethnicgroup/Inuit/	Inuit
http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	Filipino
http://www.semwebtech.org/mondial/10/ethnicgroup/Tongan/	Tongan
http://www.semwebtech.org/mondial/10/ethnicgroup/Rashaida/	Rashaida
http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Sotho/	Sotho
http://www.semwebtech.org/mondial/10/ethnicgroup/French/	French
http://www.semwebtech.org/mondial/10/ethnicgroup/CameroonHighlanders/	Cameroon Highlanders
http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	Afar
http://www.semwebtech.org/mondial/10/ethnicgroup/Baloch/	Baloch
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	Kazak
http://www.semwebtech.org/mondial/10/ethnicgroup/Bashkir/	Bashkir
http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	Micronesian
http://www.semwebtech.org/mondial/10/ethnicgroup/Voltaic/	Voltaic
http://www.semwebtech.org/mondial/10/ethnicgroup/Kisii/	Kisii
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-EastIndian/	Afro-East Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/Caribbean/	Caribbean
http://www.semwebtech.org/mondial/10/ethnicgroup/Scottish/	Scottish
http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	Armenian
http://www.semwebtech.org/mondial/10/ethnicgroup/Sundanese/	Sundanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Dungan/	Dungan
http://www.semwebtech.org/mondial/10/ethnicgroup/Welsh/	Welsh
http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	Ukrainian
http://www.semwebtech.org/mondial/10/ethnicgroup/Pashtun/	Pashtun
http://www.semwebtech.org/mondial/10/ethnicgroup/Sinhalese/	Sinhalese
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurd/	Kurd
http://www.semwebtech.org/mondial/10/ethnicgroup/Luxembourgish/	Luxembourgish
http://www.semwebtech.org/mondial/10/ethnicgroup/Lur/	Lur
http://www.semwebtech.org/mondial/10/ethnicgroup/Muong/	Muong
http://www.semwebtech.org/mondial/10/ethnicgroup/Karakalpak/	Karakalpak
http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	Malay
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Aryan/	Indo-Aryan
http://www.semwebtech.org/mondial/10/ethnicgroup/Ruthenian/	Ruthenian
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandjia/	Mandjia
http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	Romanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Basogo/	Basogo
http://www.semwebtech.org/mondial/10/ethnicgroup/Iteso/	Iteso
http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	Peuhl
http://www.semwebtech.org/mondial/10/ethnicgroup/Euronesians/	Euronesians
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigrinya/	Tigrinya
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoSoungHmongYao/	Lao Soung Hmong Yao
http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	Jewish
http://www.semwebtech.org/mondial/10/ethnicgroup/Bilen/	Bilen
http://www.semwebtech.org/mondial/10/ethnicgroup/Bunyoro/	Bunyoro
http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	Tajik
http://www.semwebtech.org/mondial/10/ethnicgroup/Chuvash/	Chuvash
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	Kurdish
http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	Amerindian
http://www.semwebtech.org/mondial/10/ethnicgroup/Chamorro/	Chamorro
http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	Samoan
http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	Asian
http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	Portuguese
http://www.semwebtech.org/mondial/10/ethnicgroup/Karamojong/	Karamojong
http://www.semwebtech.org/mondial/10/ethnicgroup/Mangbetu-Azande/	Mangbetu-Azande
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternNigritic/	Eastern Nigritic
http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	Bulgarian
http://www.semwebtech.org/mondial/10/ethnicgroup/Gurage/	Gurage
http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	Italian
http://www.semwebtech.org/mondial/10/ethnicgroup/Moravian/	Moravian
http://www.semwebtech.org/mondial/10/ethnicgroup/Persian/	Persian
http://www.semwebtech.org/mondial/10/ethnicgroup/Rakhine/	Rakhine
http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	Tuareg
http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	Hungarian
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanSyrian-Lebanese/	European Syrian-Lebanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Serer/	Serer
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Chinese/	Afro-Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	Russian
http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	Melanesian
http://www.semwebtech.org/mondial/10/ethnicgroup/Acholi/	Acholi
http://www.semwebtech.org/mondial/10/ethnicgroup/Langi/	Langi
http://www.semwebtech.org/mondial/10/ethnicgroup/Borneoindigenous/	Borneo indigenous
http://www.semwebtech.org/mondial/10/ethnicgroup/Hindustani/	Hindustani
http://www.semwebtech.org/mondial/10/ethnicgroup/Andorran/	Andorran
http://www.semwebtech.org/mondial/10/ethnicgroup/Assyrian/	Assyrian
http://www.semwebtech.org/mondial/10/ethnicgroup/BeriBeri/	Beri Beri
http://www.semwebtech.org/mondial/10/ethnicgroup/Dagestani/	Dagestani
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigre/	Tigre
http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	Greek
http://www.semwebtech.org/mondial/10/ethnicgroup/Rwanda/	Rwanda
http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	Mulatto
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-European/	Afro-European
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldovan/	Moldovan
http://www.semwebtech.org/mondial/10/ethnicgroup/Baya/	Baya
http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/African-white-Indian/	African-white-Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	Norwegian
\.


--
-- TOC entry 5915 (class 0 OID 90030)
-- Dependencies: 685
-- Data for Name: Area; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Area" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/island/Iceland/	Iceland
http://www.semwebtech.org/mondial/10/island/Futuna/	Futuna
http://www.semwebtech.org/mondial/10/island/Molokai/	Molokai
http://www.semwebtech.org/mondial/10/island/Ceram/	Ceram
http://www.semwebtech.org/mondial/10/island/Java/	Java
http://www.semwebtech.org/mondial/10/island/GreatBritain/	Great Britain
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	Shetland Mainland
http://www.semwebtech.org/mondial/10/island/Trinidad/	Trinidad
http://www.semwebtech.org/mondial/10/island/Kavaratti/	Kavaratti
http://www.semwebtech.org/mondial/10/island/Bintan/	Bintan
http://www.semwebtech.org/mondial/10/island/Ambon/	Ambon
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	Vanua Levu
http://www.semwebtech.org/mondial/10/desert/Ferlo/	Ferlo
http://www.semwebtech.org/mondial/10/island/Gozo/	Gozo
http://www.semwebtech.org/mondial/10/island/Flores/	Flores
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	Baffin Island
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	Aust-Vagoey
http://www.semwebtech.org/mondial/10/island/Fohr/	Fohr
http://www.semwebtech.org/mondial/10/island/Linosa/	Linosa
http://www.semwebtech.org/mondial/10/island/Antigua/	Antigua
http://www.semwebtech.org/mondial/10/island/Barra/	Barra
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	Ellesmere Island
http://www.semwebtech.org/mondial/10/desert/Thar/	Thar
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	Southampton Island
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	Nowaja Semlja
http://www.semwebtech.org/mondial/10/island/Santiago/	Santiago
http://www.semwebtech.org/mondial/10/island/Sokotra/	Sokotra
http://www.semwebtech.org/mondial/10/island/St.Martin/	St. Martin
http://www.semwebtech.org/mondial/10/island/Islay/	Islay
http://www.semwebtech.org/mondial/10/island/PuertoRico/	Puerto Rico
http://www.semwebtech.org/mondial/10/island/Alicudi/	Alicudi
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	Santa Rosa Island
http://www.semwebtech.org/mondial/10/island/Sylt/	Sylt
http://www.semwebtech.org/mondial/10/island/Borneo/	Borneo
http://www.semwebtech.org/mondial/10/island/Zakynthos/	Zakynthos
http://www.semwebtech.org/mondial/10/island/Rhum/	Rhum
http://www.semwebtech.org/mondial/10/island/VitiLevu/	Viti Levu
http://www.semwebtech.org/mondial/10/island/Lampedusa/	Lampedusa
http://www.semwebtech.org/mondial/10/island/Taiwan/	Taiwan
http://www.semwebtech.org/mondial/10/island/Tobago/	Tobago
http://www.semwebtech.org/mondial/10/island/Sulawesi/	Sulawesi
http://www.semwebtech.org/mondial/10/island/Lipari/	Lipari
http://www.semwebtech.org/mondial/10/desert/UstUrt/	Ust Urt
http://www.semwebtech.org/mondial/10/island/Bangka/	Bangka
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	San Miguel Island
http://www.semwebtech.org/mondial/10/island/Wangerooge/	Wangerooge
http://www.semwebtech.org/mondial/10/island/Filicudi/	Filicudi
http://www.semwebtech.org/mondial/10/desert/RedCentre/	Red Centre
http://www.semwebtech.org/mondial/10/island/Luzon/	Luzon
http://www.semwebtech.org/mondial/10/island/Kauai/	Kauai
http://www.semwebtech.org/mondial/10/island/Honshu/	Honshu
http://www.semwebtech.org/mondial/10/island/Arran/	Arran
http://www.semwebtech.org/mondial/10/island/Teneriffa/	Teneriffa
http://www.semwebtech.org/mondial/10/island/Mallorca/	Mallorca
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	Zitny Ostrov
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	St. Barthelemy
http://www.semwebtech.org/mondial/10/island/Grenada/	Grenada
http://www.semwebtech.org/mondial/10/island/LaPalma/	La Palma
http://www.semwebtech.org/mondial/10/island/Madeira/	Madeira
http://www.semwebtech.org/mondial/10/island/SaintKitts/	Saint Kitts
http://www.semwebtech.org/mondial/10/island/Barbados/	Barbados
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	Chihuahua
http://www.semwebtech.org/mondial/10/island/Rhodos/	Rhodos
http://www.semwebtech.org/mondial/10/island/Menorca/	Menorca
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	Syrian Desert
http://www.semwebtech.org/mondial/10/island/Fogo/	Fogo
http://www.semwebtech.org/mondial/10/island/Borkum/	Borkum
http://www.semwebtech.org/mondial/10/desert/Nefud/	Nefud
http://www.semwebtech.org/mondial/10/island/SaintLucia/	Saint Lucia
http://www.semwebtech.org/mondial/10/island/Nevis/	Nevis
http://www.semwebtech.org/mondial/10/island/Samar/	Samar
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	Lewis and Harris
http://www.semwebtech.org/mondial/10/island/Mindanao/	Mindanao
http://www.semwebtech.org/mondial/10/island/Jura/	Jura
http://www.semwebtech.org/mondial/10/island/Syros/	Syros
http://www.semwebtech.org/mondial/10/island/Pitcairn/	Pitcairn
http://www.semwebtech.org/mondial/10/island/Maui/	Maui
http://www.semwebtech.org/mondial/10/island/Usedom/	Usedom
http://www.semwebtech.org/mondial/10/island/Chios/	Chios
http://www.semwebtech.org/mondial/10/island/Pellworm/	Pellworm
http://www.semwebtech.org/mondial/10/island/SantaMaria/	Santa Maria
http://www.semwebtech.org/mondial/10/island/Shikoku/	Shikoku
http://www.semwebtech.org/mondial/10/island/Cuba/	Cuba
http://www.semwebtech.org/mondial/10/island/Isabela/	Isabela
http://www.semwebtech.org/mondial/10/island/Vulcano/	Vulcano
http://www.semwebtech.org/mondial/10/island/Formentera/	Formentera
http://www.semwebtech.org/mondial/10/island/Kos/	Kos
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	Sao Miguel
http://www.semwebtech.org/mondial/10/island/Bioko/	Bioko
http://www.semwebtech.org/mondial/10/island/Mykonos/	Mykonos
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	Santa Catalina Island
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	South Ronaldsay
http://www.semwebtech.org/mondial/10/island/Corvo/	Corvo
http://www.semwebtech.org/mondial/10/island/Pico/	Pico
http://www.semwebtech.org/mondial/10/island/NewGuinea/	New Guinea
http://www.semwebtech.org/mondial/10/island/Leyte/	Leyte
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	Basse-Terre
http://www.semwebtech.org/mondial/10/island/Tutuila/	Tutuila
http://www.semwebtech.org/mondial/10/island/Ikaria/	Ikaria
http://www.semwebtech.org/mondial/10/island/Benbecula/	Benbecula
http://www.semwebtech.org/mondial/10/island/Male/	Male
http://www.semwebtech.org/mondial/10/island/Greenland/	Greenland
http://www.semwebtech.org/mondial/10/island/Terceira/	Terceira
http://www.semwebtech.org/mondial/10/island/Tiree/	Tiree
http://www.semwebtech.org/mondial/10/island/SaintVincent/	Saint Vincent
http://www.semwebtech.org/mondial/10/island/Sachalin/	Sachalin
http://www.semwebtech.org/mondial/10/island/GranCanaria/	Gran Canaria
http://www.semwebtech.org/mondial/10/island/Seeland/	Seeland
http://www.semwebtech.org/mondial/10/islands/Seychelles/	Seychelles
http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	Cayman Islands
http://www.semwebtech.org/mondial/10/islands/ElliceIslands/	Ellice Islands
http://www.semwebtech.org/mondial/10/islands/NewCaledonia/	New Caledonia
http://www.semwebtech.org/mondial/10/islands/ScillyIslands/	Scilly Islands
http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	Inner Hebrides
http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	Outer Hebrides
http://www.semwebtech.org/mondial/10/islands/Malta/	Malta
http://www.semwebtech.org/mondial/10/islands/LipariIslands/	Lipari Islands
http://www.semwebtech.org/mondial/10/islands/BermudaIslands/	Bermuda Islands
http://www.semwebtech.org/mondial/10/islands/Kyklades/	Kyklades
http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	Cape Verdes
http://www.semwebtech.org/mondial/10/islands/WallisIslands/	Wallis Islands
http://www.semwebtech.org/mondial/10/islands/FaroeIslands/	Faroe Islands
http://www.semwebtech.org/mondial/10/islands/Tokelau/	Tokelau
http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/	Polynesian Islands
http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	Mariana Islands
http://www.semwebtech.org/mondial/10/islands/MarshallIslands/	Marshall Islands
http://www.semwebtech.org/mondial/10/islands/AndamanIslands/	Andaman Islands
http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	Ostfriesische Inseln
http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	Turks and Caicos Islands
http://www.semwebtech.org/mondial/10/islands/Laccadives/	Laccadives
http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	Greater Antilles
http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	Hawaii Islands
http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	Nordfriesische Inseln
http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	Lesser Antilles
http://www.semwebtech.org/mondial/10/islands/CocosIslands/	Cocos Islands
http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	Falkland Islands
http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	Canadian Arctic Islands
http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	Samoan Islands
http://www.semwebtech.org/mondial/10/islands/SundaIslands/	Sunda Islands
http://www.semwebtech.org/mondial/10/islands/Aleutes/	Aleutes
http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/	Shetland Islands
http://www.semwebtech.org/mondial/10/islands/NewZealand/	New Zealand
http://www.semwebtech.org/mondial/10/islands/Maldives/	Maldives
http://www.semwebtech.org/mondial/10/islands/Sporades/	Sporades
http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	Solomon Islands
http://www.semwebtech.org/mondial/10/islands/Baleares/	Baleares
http://www.semwebtech.org/mondial/10/islands/CookIslands/	Cook Islands
http://www.semwebtech.org/mondial/10/islands/GilbertIslands/	Gilbert Islands
http://www.semwebtech.org/mondial/10/islands/Vanuatu/	Vanuatu
http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	Orkney Islands
http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/	Pitcairn Islands
http://www.semwebtech.org/mondial/10/islands/Madeira/	Madeira
http://www.semwebtech.org/mondial/10/islands/Comores/	Comores
http://www.semwebtech.org/mondial/10/islands/BritishIsles/	British Isles
http://www.semwebtech.org/mondial/10/islands/BahamaIslands/	Bahama Islands
http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	Californian Channel Islands
http://www.semwebtech.org/mondial/10/islands/IonicIslands/	Ionic Islands
http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/	Micronesian Islands
http://www.semwebtech.org/mondial/10/islands/AlandIslands/	Aland Islands
http://www.semwebtech.org/mondial/10/islands/Lofotes/	Lofotes
http://www.semwebtech.org/mondial/10/islands/TongaIslands/	Tonga Islands
http://www.semwebtech.org/mondial/10/islands/RiauIslands/	Riau Islands
http://www.semwebtech.org/mondial/10/islands/FutunaIslands/	Futuna Islands
http://www.semwebtech.org/mondial/10/islands/Azores/	Azores
http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	Moluccan Islands
http://www.semwebtech.org/mondial/10/islands/Curiles/	Curiles
http://www.semwebtech.org/mondial/10/islands/FijiIslands/	Fiji Islands
http://www.semwebtech.org/mondial/10/islands/Carolines/	Carolines
http://www.semwebtech.org/mondial/10/islands/Philipines/	Philipines
http://www.semwebtech.org/mondial/10/islands/Japan/	Japan
http://www.semwebtech.org/mondial/10/islands/Svalbard/	Svalbard
http://www.semwebtech.org/mondial/10/islands/Canares/	Canares
http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	Channel Islands
http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	Westfriesische Inseln
http://www.semwebtech.org/mondial/10/islands/LineIslands/	Line Islands
http://www.semwebtech.org/mondial/10/islands/Galapagos/	Galapagos
http://www.semwebtech.org/mondial/10/continent/Africa/	Africa
http://www.semwebtech.org/mondial/10/continent/Asia/	Asia
http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/	Australia/Oceania
http://www.semwebtech.org/mondial/10/continent/America/	America
http://www.semwebtech.org/mondial/10/continent/Europe/	Europe
http://www.semwebtech.org/mondial/10/island/Olkhon/	Olkhon
http://www.semwebtech.org/mondial/10/island/IsleofMan/	Isle of Man
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	Isla da Ometepe
http://www.semwebtech.org/mondial/10/island/Phuket/	Phuket
http://www.semwebtech.org/mondial/10/island/Principe/	Principe
http://www.semwebtech.org/mondial/10/island/Lolland/	Lolland
http://www.semwebtech.org/mondial/10/island/IsleofWight/	Isle of Wight
http://www.semwebtech.org/mondial/10/island/Langeland/	Langeland
http://www.semwebtech.org/mondial/10/island/LittleCayman/	Little Cayman
http://www.semwebtech.org/mondial/10/island/Singapore/	Singapore
http://www.semwebtech.org/mondial/10/island/NorthUist/	North Uist
http://www.semwebtech.org/mondial/10/island/Montserrat/	Montserrat
http://www.semwebtech.org/mondial/10/island/Skye/	Skye
http://www.semwebtech.org/mondial/10/island/Rugen/	Rugen
http://www.semwebtech.org/mondial/10/island/Ponape/	Ponape
http://www.semwebtech.org/mondial/10/island/Lefkas/	Lefkas
http://www.semwebtech.org/mondial/10/island/Palawan/	Palawan
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	Tristan Da Cunha
http://www.semwebtech.org/mondial/10/island/Reunion/	Reunion
http://www.semwebtech.org/mondial/10/island/Fongafale/	Fongafale
http://www.semwebtech.org/mondial/10/island/SaintThomas/	Saint Thomas
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	Maly Zitny Ostrov
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	San Clemente Island
http://www.semwebtech.org/mondial/10/island/Samosir/	Samosir
http://www.semwebtech.org/mondial/10/island/Kiritimati/	Kiritimati
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	Grand Bermuda
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	Veliki Ratno Ostrvo
http://www.semwebtech.org/mondial/10/island/Mayotte/	Mayotte
http://www.semwebtech.org/mondial/10/island/Anglesey/	Anglesey
http://www.semwebtech.org/mondial/10/island/PortoSanto/	Porto Santo
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	Ilha do Bananal
http://www.semwebtech.org/mondial/10/island/Ameland/	Ameland
http://www.semwebtech.org/mondial/10/island/Madagaskar/	Madagaskar
http://www.semwebtech.org/mondial/10/island/Mindoro/	Mindoro
http://www.semwebtech.org/mondial/10/island/Labuan/	Labuan
http://www.semwebtech.org/mondial/10/island/Streymoy/	Streymoy
http://www.semwebtech.org/mondial/10/island/Cebu/	Cebu
http://www.semwebtech.org/mondial/10/island/Babelthuap/	Babelthuap
http://www.semwebtech.org/mondial/10/island/EastFalkland/	East Falkland
http://www.semwebtech.org/mondial/10/island/Savaii/	Savaii
http://www.semwebtech.org/mondial/10/island/Krakatau/	Krakatau
http://www.semwebtech.org/mondial/10/island/Upolu/	Upolu
http://www.semwebtech.org/mondial/10/island/Korfu/	Korfu
http://www.semwebtech.org/mondial/10/island/Jersey/	Jersey
http://www.semwebtech.org/mondial/10/island/BishopRock/	Bishop Rock
http://www.semwebtech.org/mondial/10/island/Fehmarn/	Fehmarn
http://www.semwebtech.org/mondial/10/island/Tasmania/	Tasmania
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	Schiermonnikoog
http://www.semwebtech.org/mondial/10/island/Sumbawa/	Sumbawa
http://www.semwebtech.org/mondial/10/island/Lavan/	Lavan
http://www.semwebtech.org/mondial/10/island/Ibiza/	Ibiza
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	Grande Terre
http://www.semwebtech.org/mondial/10/island/SaintPierre/	Saint Pierre
http://www.semwebtech.org/mondial/10/island/Jamaica/	Jamaica
http://www.semwebtech.org/mondial/10/island/Curacao/	Curacao
http://www.semwebtech.org/mondial/10/island/Gheschm/	Gheschm
http://www.semwebtech.org/mondial/10/island/Newfoundland/	Newfoundland
http://www.semwebtech.org/mondial/10/island/Ireland/	Ireland
http://www.semwebtech.org/mondial/10/island/Mull/	Mull
http://www.semwebtech.org/mondial/10/island/Tongatapu/	Tongatapu
http://www.semwebtech.org/mondial/10/island/Hawaii/	Hawaii
http://www.semwebtech.org/mondial/10/island/Oeland/	Oeland
http://www.semwebtech.org/mondial/10/island/Ascension/	Ascension
http://www.semwebtech.org/mondial/10/island/SaoTome/	Sao Tome
http://www.semwebtech.org/mondial/10/island/Svalbard/	Svalbard
http://www.semwebtech.org/mondial/10/island/SaoJorge/	Sao Jorge
http://www.semwebtech.org/mondial/10/island/Corse/	Corse
http://www.semwebtech.org/mondial/10/island/Impalila/	Impalila
http://www.semwebtech.org/mondial/10/island/Sansibar/	Sansibar
http://www.semwebtech.org/mondial/10/island/SouthUist/	South Uist
http://www.semwebtech.org/mondial/10/island/Tortola/	Tortola
http://www.semwebtech.org/mondial/10/island/Sumatra/	Sumatra
http://www.semwebtech.org/mondial/10/island/Cyprus/	Cyprus
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	Christmas Island
http://www.semwebtech.org/mondial/10/island/Timor/	Timor
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	North Caicos
http://www.semwebtech.org/mondial/10/island/Panay/	Panay
http://www.semwebtech.org/mondial/10/island/Providenciales/	Providenciales
http://www.semwebtech.org/mondial/10/island/Helgoland/	Helgoland
http://www.semwebtech.org/mondial/10/island/BanksIsland/	Banks Island
http://www.semwebtech.org/mondial/10/island/Tahiti/	Tahiti
http://www.semwebtech.org/mondial/10/island/Ternate/	Ternate
http://www.semwebtech.org/mondial/10/island/Efate/	Efate
http://www.semwebtech.org/mondial/10/island/Juist/	Juist
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	Santa Cruz Island
http://www.semwebtech.org/mondial/10/island/Niue/	Niue
http://www.semwebtech.org/mondial/10/island/Fakaofo/	Fakaofo
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	Cayman Brac
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	Victoria Island
http://www.semwebtech.org/mondial/10/island/Guernsey/	Guernsey
http://www.semwebtech.org/mondial/10/island/Hispaniola/	Hispaniola
http://www.semwebtech.org/mondial/10/island/Faial/	Faial
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	Prince of Wales Island
http://www.semwebtech.org/mondial/10/island/Unalaska/	Unalaska
http://www.semwebtech.org/mondial/10/island/Guam/	Guam
http://www.semwebtech.org/mondial/10/island/Westray/	Westray
http://www.semwebtech.org/mondial/10/island/Langeoog/	Langeoog
http://www.semwebtech.org/mondial/10/island/Salina/	Salina
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	South Andaman Island
http://www.semwebtech.org/mondial/10/island/Hierro/	Hierro
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	Prince Edward Island
http://www.semwebtech.org/mondial/10/island/Koror/	Koror
http://www.semwebtech.org/mondial/10/island/Terschelling/	Terschelling
http://www.semwebtech.org/mondial/10/island/Paramuschir/	Paramuschir
http://www.semwebtech.org/mondial/10/island/Lombok/	Lombok
http://www.semwebtech.org/mondial/10/island/WestFalkland/	West Falkland
http://www.semwebtech.org/mondial/10/island/Lanai/	Lanai
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	Fuerteventura
http://www.semwebtech.org/mondial/10/island/Saipan/	Saipan
http://www.semwebtech.org/mondial/10/island/Nantucket/	Nantucket
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	Te Ika-a-Maui (North Island)
http://www.semwebtech.org/mondial/10/island/Khark/	Khark
http://www.semwebtech.org/mondial/10/island/Tinian/	Tinian
http://www.semwebtech.org/mondial/10/island/Bougainville/	Bougainville
http://www.semwebtech.org/mondial/10/island/Malta/	Malta
http://www.semwebtech.org/mondial/10/island/Bornholm/	Bornholm
http://www.semwebtech.org/mondial/10/island/Martinique/	Martinique
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	Pulau Panjang
http://www.semwebtech.org/mondial/10/island/EasterIsland/	Easter Island
http://www.semwebtech.org/mondial/10/island/Mauritius/	Mauritius
http://www.semwebtech.org/mondial/10/island/NewProvidence/	New Providence
http://www.semwebtech.org/mondial/10/island/Negros/	Negros
http://www.semwebtech.org/mondial/10/island/Niihau/	Niihau
http://www.semwebtech.org/mondial/10/island/Batam/	Batam
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	Vancouver Island
http://www.semwebtech.org/mondial/10/island/Tarawa/	Tarawa
http://www.semwebtech.org/mondial/10/island/Nauru/	Nauru
http://www.semwebtech.org/mondial/10/island/Dagoe/	Dagoe
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	Norfolk Island
http://www.semwebtech.org/mondial/10/island/Kyushu/	Kyushu
http://www.semwebtech.org/mondial/10/island/Hainan/	Hainan
http://www.semwebtech.org/mondial/10/island/Sicilia/	Sicilia
http://www.semwebtech.org/mondial/10/island/Samos/	Samos
http://www.semwebtech.org/mondial/10/island/Gomera/	Gomera
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	Guadalcanal
http://www.semwebtech.org/mondial/10/island/Anguilla/	Anguilla
http://www.semwebtech.org/mondial/10/island/Mohilla/	Mohilla
http://www.semwebtech.org/mondial/10/island/Sardegna/	Sardegna
http://www.semwebtech.org/mondial/10/island/Panarea/	Panarea
http://www.semwebtech.org/mondial/10/island/Hokkaido/	Hokkaido
http://www.semwebtech.org/mondial/10/island/Kefallinia/	Kefallinia
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	Marthas Vineyard
http://www.semwebtech.org/mondial/10/island/Fuenen/	Fuenen
http://www.semwebtech.org/mondial/10/island/Majuro/	Majuro
http://www.semwebtech.org/mondial/10/island/Oesel/	Oesel
http://www.semwebtech.org/mondial/10/island/Lesbos/	Lesbos
http://www.semwebtech.org/mondial/10/island/Lanzarote/	Lanzarote
http://www.semwebtech.org/mondial/10/island/Manitoulin/	Manitoulin
http://www.semwebtech.org/mondial/10/island/Falster/	Falster
http://www.semwebtech.org/mondial/10/island/Uvea/	Uvea
http://www.semwebtech.org/mondial/10/island/Bali/	Bali
http://www.semwebtech.org/mondial/10/island/Norderney/	Norderney
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	Orkney Mainland
http://www.semwebtech.org/mondial/10/island/Oahu/	Oahu
http://www.semwebtech.org/mondial/10/island/Pemba/	Pemba
http://www.semwebtech.org/mondial/10/island/Barbuda/	Barbuda
http://www.semwebtech.org/mondial/10/island/Gotland/	Gotland
http://www.semwebtech.org/mondial/10/island/MargitSziget/	Margit Sziget
http://www.semwebtech.org/mondial/10/island/GrandTurk/	Grand Turk
http://www.semwebtech.org/mondial/10/island/Aland/	Aland
http://www.semwebtech.org/mondial/10/island/GrandComoro/	Grand Comoro
http://www.semwebtech.org/mondial/10/island/Bahrain/	Bahrain
http://www.semwebtech.org/mondial/10/island/Rarotonga/	Rarotonga
http://www.semwebtech.org/mondial/10/island/Hoy/	Hoy
http://www.semwebtech.org/mondial/10/island/Jeju/	Jeju
http://www.semwebtech.org/mondial/10/island/Mahe/	Mahe
http://www.semwebtech.org/mondial/10/island/Baltrum/	Baltrum
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	Miquelon-Langlade
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	Grande-Terre
http://www.semwebtech.org/mondial/10/island/Halmahera/	Halmahera
http://www.semwebtech.org/mondial/10/island/DevonIsland/	Devon Island
http://www.semwebtech.org/mondial/10/island/Aruba/	Aruba
http://www.semwebtech.org/mondial/10/island/Graciosa/	Graciosa
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	Cangaroo Island
http://www.semwebtech.org/mondial/10/island/Amrum/	Amrum
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	Te Waka-a-Maui (South Island)
http://www.semwebtech.org/mondial/10/island/LongIsland/	Long Island
http://www.semwebtech.org/mondial/10/island/Rota/	Rota
http://www.semwebtech.org/mondial/10/island/SanAndres/	San Andres
http://www.semwebtech.org/mondial/10/island/Bohol/	Bohol
http://www.semwebtech.org/mondial/10/island/GrandCayman/	Grand Cayman
http://www.semwebtech.org/mondial/10/island/Kreta/	Kreta
http://www.semwebtech.org/mondial/10/island/Texel/	Texel
http://www.semwebtech.org/mondial/10/island/Dominica/	Dominica
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	Kotelny Island
http://www.semwebtech.org/mondial/10/island/Zhoushan/	Zhoushan
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	Rene Levasseur Island
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	Melville Island
http://www.semwebtech.org/mondial/10/island/Banaba/	Banaba
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	Spiekeroog
http://www.semwebtech.org/mondial/10/island/SriLanka/	Sri Lanka
http://www.semwebtech.org/mondial/10/island/SaintHelena/	Saint Helena
http://www.semwebtech.org/mondial/10/island/Vlieland/	Vlieland
http://www.semwebtech.org/mondial/10/island/KoSamui/	Ko Samui
http://www.semwebtech.org/mondial/10/island/Stromboli/	Stromboli
http://www.semwebtech.org/mondial/10/island/Anjouan/	Anjouan
http://www.semwebtech.org/mondial/10/island/Okinawa/	Okinawa
http://www.semwebtech.org/mondial/10/mountains/Grampians/	Grampians
http://www.semwebtech.org/mondial/10/mountains/SierraParima/	Sierra Parima
http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Cordillera de Talamanca
http://www.semwebtech.org/mondial/10/mountains/Azbine/	Azbine
http://www.semwebtech.org/mondial/10/mountains/Sinai/	Sinai
http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Hawaii
http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/	Crimean Mountains
http://www.semwebtech.org/mondial/10/mountains/Corse/	Corse
http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/	Jabal Lubnan
http://www.semwebtech.org/mondial/10/mountains/AleutianRange/	Aleutian Range
http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/	Penny Highlands
http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Himalaya
http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Karakorum
http://www.semwebtech.org/mondial/10/mountains/Karpaten/	Karpaten
http://www.semwebtech.org/mondial/10/mountains/Troodos/	Troodos
http://www.semwebtech.org/mondial/10/mountains/Vogesen/	Vogesen
http://www.semwebtech.org/mondial/10/mountains/WestGhats/	West Ghats
http://www.semwebtech.org/mondial/10/mountains/Madeira/	Madeira
http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/	Sierra Nevada de Santa Marta
http://www.semwebtech.org/mondial/10/mountains/Kamchatka/	Kamchatka
http://www.semwebtech.org/mondial/10/mountains/Amhara/	Amhara
http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Cordillera Volcanica
http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/	Thueringer Wald
http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Kurdistan
http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	Waldai Hills
http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/	Great Dividing Range
http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/	Alaska Range
http://www.semwebtech.org/mondial/10/mountains/Lebanon/	Lebanon
http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Appalachian Mountains
http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Rocky Mountains
http://www.semwebtech.org/mondial/10/mountains/BlackForest/	Black Forest
http://www.semwebtech.org/mondial/10/mountains/Harz/	Harz
http://www.semwebtech.org/mondial/10/mountains/CoastMountains/	Coast Mountains
http://www.semwebtech.org/mondial/10/mountains/Rhön/	Rhön
http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Cevennes
http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Cordillera Central
http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/	Cordillera Negra
http://www.semwebtech.org/mondial/10/mountains/Andes/	Andes
http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/	Wrangell Mountains
http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Pyrenees
http://www.semwebtech.org/mondial/10/mountains/Atlas/	Atlas
http://www.semwebtech.org/mondial/10/mountains/Altai/	Altai
http://www.semwebtech.org/mondial/10/mountains/Zagros/	Zagros
http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Canary Islands
http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	Sudety Mountains
http://www.semwebtech.org/mondial/10/mountains/Darfur/	Darfur
http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/	Cordillera Vilcanota
http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Kaukasus
http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Elias Range
http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Drakensberge
http://www.semwebtech.org/mondial/10/mountains/Apennin/	Apennin
http://www.semwebtech.org/mondial/10/mountains/Antitaurus/	Antitaurus
http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Sierra Nevada California
http://www.semwebtech.org/mondial/10/mountains/TianShan/	Tian Shan
http://www.semwebtech.org/mondial/10/mountains/Vosges/	Vosges
http://www.semwebtech.org/mondial/10/mountains/Jura/	Jura
http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	Cordillera Iberica
http://www.semwebtech.org/mondial/10/mountains/Elburs/	Elburs
http://www.semwebtech.org/mondial/10/mountains/Tibesti/	Tibesti
http://www.semwebtech.org/mondial/10/mountains/Crete/	Crete
http://www.semwebtech.org/mondial/10/mountains/Ural/	Ural
http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	East African Rift
http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Cordillera Blanca
http://www.semwebtech.org/mondial/10/mountains/Alps/	Alps
http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/	Brazilian Highlands
http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/	Bayrischer Wald
http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/	Fichtelgebirge
http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/	Transhimalaya
http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	Cordillera Betica
http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pamir
http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/	New Zealand Alps
http://www.semwebtech.org/mondial/10/mountains/Balkan/	Balkan
http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Kunlun
http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/	Bohemian Mountains
http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	Ethiopian Highlands
http://www.semwebtech.org/mondial/10/mountains/Azores/	Azores
http://www.semwebtech.org/mondial/10/mountains/Changbai/	Changbai
http://www.semwebtech.org/mondial/10/mountains/Ahaggar/	Ahaggar
http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/	Sierra Maestra
http://www.semwebtech.org/mondial/10/mountains/Rif/	Rif
http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/	British Empire Range
http://www.semwebtech.org/mondial/10/mountains/Taurus/	Taurus
http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Cascade Range
http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/	Cape Verdes
http://www.semwebtech.org/mondial/10/mountains/Beskides/	Beskides
http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Cordillera Real
http://www.semwebtech.org/mondial/10/mountains/Hindukusch/	Hindukusch
http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	Cordillera Cantabrica
http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/	Sudirman Range
http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	Adirondacks
http://www.semwebtech.org/mondial/10/mountains/SierraMadre/	Sierra Madre
http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Snowy Mountains
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	Grand Erg Ouest
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	Simpson Desert
http://www.semwebtech.org/mondial/10/desert/Sonora/	Sonora
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	Mujunkum
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	Erg Igidi
http://www.semwebtech.org/mondial/10/desert/Talak/	Talak
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	TaklaMakan
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	Grand Erg Est
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	Great Victoria Desert
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	Gibson Desert
http://www.semwebtech.org/mondial/10/desert/Tenere/	Tenere
http://www.semwebtech.org/mondial/10/desert/Negev/	Negev
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	Arabian Desert
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	Saguia el-Hamra
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	Erg Rebiana
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	Sturt Desert
http://www.semwebtech.org/mondial/10/desert/Gobi/	Gobi
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	Kysylkum
http://www.semwebtech.org/mondial/10/desert/Namib/	Namib
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	Nullarbor Plain
http://www.semwebtech.org/mondial/10/desert/KumTagh/	Kum Tagh
http://www.semwebtech.org/mondial/10/desert/Rigestan/	Rigestan
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	Colorado Plateau
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	Erg Ouarane
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	Hamada du Draa
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	Great Salt Lake Desert
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	Erg Maqteir
http://www.semwebtech.org/mondial/10/desert/Mojave/	Mojave
http://www.semwebtech.org/mondial/10/desert/Ryn/	Ryn
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	Baja California Desert
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	Rub Al Chali
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	Hamada al-Hamra
http://www.semwebtech.org/mondial/10/desert/Kalahari/	Kalahari
http://www.semwebtech.org/mondial/10/desert/Darfur/	Darfur
http://www.semwebtech.org/mondial/10/desert/Owyhee/	Owyhee
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	Erdi Ennedi
http://www.semwebtech.org/mondial/10/desert/Fesan/	Fesan
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	Nubian Desert
http://www.semwebtech.org/mondial/10/desert/Karakum/	Karakum
http://www.semwebtech.org/mondial/10/desert/ErgChech/	Erg Chech
http://www.semwebtech.org/mondial/10/desert/Atacama/	Atacama
http://www.semwebtech.org/mondial/10/desert/Ordos/	Ordos
http://www.semwebtech.org/mondial/10/desert/Trarza/	Trarza
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	Erg Isaouane
http://www.semwebtech.org/mondial/10/desert/Tanami/	Tanami
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	Gurbantunggut
http://www.semwebtech.org/mondial/10/desert/Djourab/	Djourab
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	Great Sandy Desert
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	Great Basin
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	Libyan Desert
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	Dascht-e-Lut
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	Dascht-e-Margoh
http://www.semwebtech.org/mondial/10/desert/Qaidam/	Qaidam
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	Tanezrouft
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	Dascht-e-Kavir
http://www.semwebtech.org/mondial/10/country/BHT/	\N
http://www.semwebtech.org/mondial/10/country/SK/	\N
http://www.semwebtech.org/mondial/10/country/GBZ/	\N
http://www.semwebtech.org/mondial/10/country/GUAD/	\N
http://www.semwebtech.org/mondial/10/country/RO/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/	\N
http://www.semwebtech.org/mondial/10/country/SPMI/	\N
http://www.semwebtech.org/mondial/10/country/GQ/	\N
http://www.semwebtech.org/mondial/10/country/WAN/	\N
http://www.semwebtech.org/mondial/10/country/CDN/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/	\N
http://www.semwebtech.org/mondial/10/country/CR/	\N
http://www.semwebtech.org/mondial/10/country/VIRG/	\N
http://www.semwebtech.org/mondial/10/country/RB/	\N
http://www.semwebtech.org/mondial/10/country/AZ/	\N
http://www.semwebtech.org/mondial/10/country/RP/	\N
http://www.semwebtech.org/mondial/10/country/NAU/	\N
http://www.semwebtech.org/mondial/10/country/UAE/	\N
http://www.semwebtech.org/mondial/10/country/PK/	\N
http://www.semwebtech.org/mondial/10/country/H/	\N
http://www.semwebtech.org/mondial/10/country/GR/	\N
http://www.semwebtech.org/mondial/10/country/KIR/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/	\N
http://www.semwebtech.org/mondial/10/country/SY/	\N
http://www.semwebtech.org/mondial/10/country/CUR/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/	\N
http://www.semwebtech.org/mondial/10/country/FALK/	\N
http://www.semwebtech.org/mondial/10/country/KGZ/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/	\N
http://www.semwebtech.org/mondial/10/country/WL/	\N
http://www.semwebtech.org/mondial/10/country/NIC/	\N
http://www.semwebtech.org/mondial/10/country/G/	\N
http://www.semwebtech.org/mondial/10/country/CAM/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/	\N
http://www.semwebtech.org/mondial/10/country/MK/	\N
http://www.semwebtech.org/mondial/10/country/SMAR/	\N
http://www.semwebtech.org/mondial/10/country/YE/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/	\N
http://www.semwebtech.org/mondial/10/country/TM/	\N
http://www.semwebtech.org/mondial/10/country/FSM/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/	\N
http://www.semwebtech.org/mondial/10/country/EAU/	\N
http://www.semwebtech.org/mondial/10/country/MV/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/	\N
http://www.semwebtech.org/mondial/10/country/IL/	\N
http://www.semwebtech.org/mondial/10/country/TCH/	\N
http://www.semwebtech.org/mondial/10/country/CV/	\N
http://www.semwebtech.org/mondial/10/country/J/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/	\N
http://www.semwebtech.org/mondial/10/country/CH/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/	\N
http://www.semwebtech.org/mondial/10/country/NCA/	\N
http://www.semwebtech.org/mondial/10/country/LAO/	\N
http://www.semwebtech.org/mondial/10/country/BRN/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/	\N
http://www.semwebtech.org/mondial/10/country/RT/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/	\N
http://www.semwebtech.org/mondial/10/country/GH/	\N
http://www.semwebtech.org/mondial/10/country/PA/	\N
http://www.semwebtech.org/mondial/10/country/SGP/	\N
http://www.semwebtech.org/mondial/10/country/TUV/	\N
http://www.semwebtech.org/mondial/10/country/CI/	\N
http://www.semwebtech.org/mondial/10/country/GUY/	\N
http://www.semwebtech.org/mondial/10/country/BOL/	\N
http://www.semwebtech.org/mondial/10/country/FJI/	\N
http://www.semwebtech.org/mondial/10/country/FGU/	\N
http://www.semwebtech.org/mondial/10/country/HR/	\N
http://www.semwebtech.org/mondial/10/country/PITC/	\N
http://www.semwebtech.org/mondial/10/country/Z/	\N
http://www.semwebtech.org/mondial/10/country/RI/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/	\N
http://www.semwebtech.org/mondial/10/country/LAR/	\N
http://www.semwebtech.org/mondial/10/country/ARM/	\N
http://www.semwebtech.org/mondial/10/country/ETH/	\N
http://www.semwebtech.org/mondial/10/country/SD/	\N
http://www.semwebtech.org/mondial/10/country/TO/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/	\N
http://www.semwebtech.org/mondial/10/country/EC/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/	\N
http://www.semwebtech.org/mondial/10/country/TUCA/	\N
http://www.semwebtech.org/mondial/10/country/LS/	\N
http://www.semwebtech.org/mondial/10/country/NLSM/	\N
http://www.semwebtech.org/mondial/10/country/N/	\N
http://www.semwebtech.org/mondial/10/country/ER/	\N
http://www.semwebtech.org/mondial/10/country/RC/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/	\N
http://www.semwebtech.org/mondial/10/country/RH/	\N
http://www.semwebtech.org/mondial/10/country/SLB/	\N
http://www.semwebtech.org/mondial/10/country/CZ/	\N
http://www.semwebtech.org/mondial/10/country/REUN/	\N
http://www.semwebtech.org/mondial/10/country/SF/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/	\N
http://www.semwebtech.org/mondial/10/country/ES/	\N
http://www.semwebtech.org/mondial/10/country/WAG/	\N
http://www.semwebtech.org/mondial/10/country/WAFU/	\N
http://www.semwebtech.org/mondial/10/country/B/	\N
http://www.semwebtech.org/mondial/10/country/NZ/	\N
http://www.semwebtech.org/mondial/10/country/LT/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/	\N
http://www.semwebtech.org/mondial/10/country/MYA/	\N
http://www.semwebtech.org/mondial/10/country/DK/	\N
http://www.semwebtech.org/mondial/10/country/WS/	\N
http://www.semwebtech.org/mondial/10/country/PE/	\N
http://www.semwebtech.org/mondial/10/country/UA/	\N
http://www.semwebtech.org/mondial/10/country/BEN/	\N
http://www.semwebtech.org/mondial/10/country/BD/	\N
http://www.semwebtech.org/mondial/10/country/MC/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/	\N
http://www.semwebtech.org/mondial/10/country/JA/	\N
http://www.semwebtech.org/mondial/10/country/C/	\N
http://www.semwebtech.org/mondial/10/country/SVAX/	\N
http://www.semwebtech.org/mondial/10/country/BDS/	\N
http://www.semwebtech.org/mondial/10/country/GBG/	\N
http://www.semwebtech.org/mondial/10/country/BS/	\N
http://www.semwebtech.org/mondial/10/country/D/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/	\N
http://www.semwebtech.org/mondial/10/country/MEX/	\N
http://www.semwebtech.org/mondial/10/country/RL/	\N
http://www.semwebtech.org/mondial/10/country/LV/	\N
http://www.semwebtech.org/mondial/10/country/RCH/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/	\N
http://www.semwebtech.org/mondial/10/country/BRU/	\N
http://www.semwebtech.org/mondial/10/country/MS/	\N
http://www.semwebtech.org/mondial/10/country/NEP/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/	\N
http://www.semwebtech.org/mondial/10/country/CEU/	\N
http://www.semwebtech.org/mondial/10/country/RN/	\N
http://www.semwebtech.org/mondial/10/country/DZ/	\N
http://www.semwebtech.org/mondial/10/country/GAZA/	\N
http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/RIM/	\N
http://www.semwebtech.org/mondial/10/country/TT/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/	\N
http://www.semwebtech.org/mondial/10/country/MNE/	\N
http://www.semwebtech.org/mondial/10/country/EW/	\N
http://www.semwebtech.org/mondial/10/country/WAL/	\N
http://www.semwebtech.org/mondial/10/country/S/	\N
http://www.semwebtech.org/mondial/10/country/KN/	\N
http://www.semwebtech.org/mondial/10/country/RA/	\N
http://www.semwebtech.org/mondial/10/country/MACX/	\N
http://www.semwebtech.org/mondial/10/country/OM/	\N
http://www.semwebtech.org/mondial/10/country/MOC/	\N
http://www.semwebtech.org/mondial/10/country/COM/	\N
http://www.semwebtech.org/mondial/10/country/MNG/	\N
http://www.semwebtech.org/mondial/10/country/MEL/	\N
http://www.semwebtech.org/mondial/10/country/RWA/	\N
http://www.semwebtech.org/mondial/10/country/HELX/	\N
http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/V/	\N
http://www.semwebtech.org/mondial/10/country/WSA/	\N
http://www.semwebtech.org/mondial/10/country/IND/	\N
http://www.semwebtech.org/mondial/10/country/ROU/	\N
http://www.semwebtech.org/mondial/10/country/GBM/	\N
http://www.semwebtech.org/mondial/10/country/GE/	\N
http://www.semwebtech.org/mondial/10/country/I/	\N
http://www.semwebtech.org/mondial/10/country/SA/	\N
http://www.semwebtech.org/mondial/10/country/RCB/	\N
http://www.semwebtech.org/mondial/10/country/FL/	\N
http://www.semwebtech.org/mondial/10/country/SUD/	\N
http://www.semwebtech.org/mondial/10/country/VU/	\N
http://www.semwebtech.org/mondial/10/country/COCO/	\N
http://www.semwebtech.org/mondial/10/country/TN/	\N
http://www.semwebtech.org/mondial/10/country/GCA/	\N
http://www.semwebtech.org/mondial/10/country/GUAM/	\N
http://www.semwebtech.org/mondial/10/country/MAL/	\N
http://www.semwebtech.org/mondial/10/country/BR/	\N
http://www.semwebtech.org/mondial/10/country/FARX/	\N
http://www.semwebtech.org/mondial/10/country/CAYM/	\N
http://www.semwebtech.org/mondial/10/country/CO/	\N
http://www.semwebtech.org/mondial/10/country/CY/	\N
http://www.semwebtech.org/mondial/10/country/MNTS/	\N
http://www.semwebtech.org/mondial/10/country/PY/	\N
http://www.semwebtech.org/mondial/10/country/A/	\N
http://www.semwebtech.org/mondial/10/country/KWT/	\N
http://www.semwebtech.org/mondial/10/country/GNB/	\N
http://www.semwebtech.org/mondial/10/country/MD/	\N
http://www.semwebtech.org/mondial/10/country/USA/	\N
http://www.semwebtech.org/mondial/10/country/JOR/	\N
http://www.semwebtech.org/mondial/10/country/AMSA/	\N
http://www.semwebtech.org/mondial/10/country/SN/	\N
http://www.semwebtech.org/mondial/10/country/BY/	\N
http://www.semwebtech.org/mondial/10/country/NOK/	\N
http://www.semwebtech.org/mondial/10/country/LB/	\N
http://www.semwebtech.org/mondial/10/country/COOK/	\N
http://www.semwebtech.org/mondial/10/country/SLO/	\N
http://www.semwebtech.org/mondial/10/country/MA/	\N
http://www.semwebtech.org/mondial/10/country/ZW/	\N
http://www.semwebtech.org/mondial/10/country/DOM/	\N
http://www.semwebtech.org/mondial/10/country/RM/	\N
http://www.semwebtech.org/mondial/10/country/RMM/	\N
http://www.semwebtech.org/mondial/10/country/MW/	\N
http://www.semwebtech.org/mondial/10/country/ARU/	\N
http://www.semwebtech.org/mondial/10/country/HCA/	\N
http://www.semwebtech.org/mondial/10/country/PL/	\N
http://www.semwebtech.org/mondial/10/country/HONX/	\N
http://www.semwebtech.org/mondial/10/country/PAL/	\N
http://www.semwebtech.org/mondial/10/country/BVIR/	\N
http://www.semwebtech.org/mondial/10/country/SRB/	\N
http://www.semwebtech.org/mondial/10/country/BZ/	\N
http://www.semwebtech.org/mondial/10/country/TL/	\N
http://www.semwebtech.org/mondial/10/country/TAD/	\N
http://www.semwebtech.org/mondial/10/country/K/	\N
http://www.semwebtech.org/mondial/10/country/RCA/	\N
http://www.semwebtech.org/mondial/10/country/SP/	\N
http://www.semwebtech.org/mondial/10/country/EAK/	\N
http://www.semwebtech.org/mondial/10/country/GROX/	\N
http://www.semwebtech.org/mondial/10/country/BIH/	\N
http://www.semwebtech.org/mondial/10/country/AXA/	\N
http://www.semwebtech.org/mondial/10/country/SYR/	\N
http://www.semwebtech.org/mondial/10/country/RG/	\N
http://www.semwebtech.org/mondial/10/country/L/	\N
http://www.semwebtech.org/mondial/10/country/ROK/	\N
http://www.semwebtech.org/mondial/10/country/YV/	\N
http://www.semwebtech.org/mondial/10/country/AG/	\N
http://www.semwebtech.org/mondial/10/country/NL/	\N
http://www.semwebtech.org/mondial/10/country/PR/	\N
http://www.semwebtech.org/mondial/10/country/RSM/	\N
http://www.semwebtech.org/mondial/10/country/IR/	\N
http://www.semwebtech.org/mondial/10/country/SSD/	\N
http://www.semwebtech.org/mondial/10/country/P/	\N
http://www.semwebtech.org/mondial/10/country/WEST/	\N
http://www.semwebtech.org/mondial/10/country/CN/	\N
http://www.semwebtech.org/mondial/10/country/ET/	\N
http://www.semwebtech.org/mondial/10/country/TOK/	\N
http://www.semwebtech.org/mondial/10/country/IS/	\N
http://www.semwebtech.org/mondial/10/country/TR/	\N
http://www.semwebtech.org/mondial/10/country/Q/	\N
http://www.semwebtech.org/mondial/10/country/WG/	\N
http://www.semwebtech.org/mondial/10/country/AFG/	\N
http://www.semwebtech.org/mondial/10/country/RSA/	\N
http://www.semwebtech.org/mondial/10/country/AND/	\N
http://www.semwebtech.org/mondial/10/country/R/	\N
http://www.semwebtech.org/mondial/10/country/NORF/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/	\N
http://www.semwebtech.org/mondial/10/country/BF/	\N
http://www.semwebtech.org/mondial/10/country/STP/	\N
http://www.semwebtech.org/mondial/10/country/IRL/	\N
http://www.semwebtech.org/mondial/10/country/KOS/	\N
http://www.semwebtech.org/mondial/10/country/AUS/	\N
http://www.semwebtech.org/mondial/10/country/WV/	\N
http://www.semwebtech.org/mondial/10/country/GBJ/	\N
http://www.semwebtech.org/mondial/10/country/MART/	\N
http://www.semwebtech.org/mondial/10/country/BG/	\N
http://www.semwebtech.org/mondial/10/country/NMIS/	\N
http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/AL/	\N
http://www.semwebtech.org/mondial/10/country/EAT/	\N
http://www.semwebtech.org/mondial/10/country/VN/	\N
http://www.semwebtech.org/mondial/10/country/ANG/	\N
http://www.semwebtech.org/mondial/10/country/THA/	\N
http://www.semwebtech.org/mondial/10/country/DJI/	\N
http://www.semwebtech.org/mondial/10/country/BERM/	\N
http://www.semwebtech.org/mondial/10/country/BI/	\N
http://www.semwebtech.org/mondial/10/country/MH/	\N
http://www.semwebtech.org/mondial/10/country/SME/	\N
http://www.semwebtech.org/mondial/10/country/UZB/	\N
http://www.semwebtech.org/mondial/10/country/M/	\N
http://www.semwebtech.org/mondial/10/country/SBAR/	\N
http://www.semwebtech.org/mondial/10/country/MAYO/	\N
http://www.semwebtech.org/mondial/10/country/NAM/	\N
http://www.semwebtech.org/mondial/10/country/PNG/	\N
http://www.semwebtech.org/mondial/10/country/FPOL/	\N
http://www.semwebtech.org/mondial/10/country/XMAS/	\N
http://www.semwebtech.org/mondial/10/country/CL/	\N
http://www.semwebtech.org/mondial/10/country/WD/	\N
http://www.semwebtech.org/mondial/10/country/NIUE/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/	\N
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Western/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Namur/	\N
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/	\N
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/	\N
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/	\N
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/	\N
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Nara/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Halland/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/	\N
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/	\N
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/	\N
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Troms/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/	\N
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/	\N
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/	\N
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/	\N
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Saga/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Central/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Heves/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/	\N
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Corse/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/	\N
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/	\N
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Amur/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Marche/	\N
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/	\N
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Porto/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/Western/	\N
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/	\N
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/FATA/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/	\N
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/	\N
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/	\N
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./	\N
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Pest/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Campania/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Molise/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/	\N
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Mie/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/	\N
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/	\N
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/	\N
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Braga/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Van/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Lima/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Békés/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/	\N
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/	\N
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/	\N
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	\N
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/	\N
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Azores/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/	\N
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/Central/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Beja/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Oita/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Komi/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/	\N
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/	\N
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/	\N
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/	\N
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/	\N
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/	\N
http://www.semwebtech.org/mondial/10/country/TAD/province/RegionsofRepublicanSubordination/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/	\N
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/	\N
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/	\N
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/	\N
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/	\N
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/	\N
http://www.semwebtech.org/mondial/10/country/BY/province/Minsk/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	\N
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/	\N
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/	\N
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/	\N
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/	\N
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/	\N
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/	\N
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Vas/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/	\N
http://www.semwebtech.org/mondial/10/country/C/province/Granma/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/	\N
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Centre/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Akita/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/	\N
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/	\N
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/	\N
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Zala/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/	\N
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/	\N
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Ilfov/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/	\N
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Perm/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/	\N
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/	\N
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/	\N
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/	\N
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/	\N
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/	\N
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/	\N
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/	\N
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Wien/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/	\N
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/London/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Evora/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/	\N
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/	\N
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/	\N
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Samara/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Altay/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/	\N
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/	\N
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/	\N
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/	\N
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/	\N
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Penza/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	\N
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/	\N
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/	\N
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N
http://www.semwebtech.org/mondial/10/sea/BeringSea/	\N
http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	\N
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	\N
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	\N
http://www.semwebtech.org/mondial/10/sea/TheChannel/	\N
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	\N
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	\N
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	\N
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	\N
http://www.semwebtech.org/mondial/10/sea/JavaSea/	\N
http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	\N
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	\N
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	\N
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	\N
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	\N
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	\N
http://www.semwebtech.org/mondial/10/sea/Kattegat/	\N
http://www.semwebtech.org/mondial/10/sea/RedSea/	\N
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N
http://www.semwebtech.org/mondial/10/sea/YellowSea/	\N
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	\N
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	\N
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	\N
http://www.semwebtech.org/mondial/10/sea/SuluSea/	\N
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	\N
http://www.semwebtech.org/mondial/10/sea/BandaSea/	\N
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	\N
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	\N
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	\N
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	\N
http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N
http://www.semwebtech.org/mondial/10/sea/IrishSea/	\N
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	\N
http://www.semwebtech.org/mondial/10/sea/KaraSea/	\N
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	\N
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	\N
http://www.semwebtech.org/mondial/10/lake/LakePowell/	\N
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	\N
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	\N
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	\N
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	\N
http://www.semwebtech.org/mondial/10/lake/LakeVan/	\N
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	\N
http://www.semwebtech.org/mondial/10/lake/Maelaren/	\N
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	\N
http://www.semwebtech.org/mondial/10/lake/Vaettern/	\N
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	\N
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	\N
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	\N
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	\N
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	\N
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	\N
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	\N
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	\N
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	\N
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	\N
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	\N
http://www.semwebtech.org/mondial/10/lake/Arresoe/	\N
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	\N
http://www.semwebtech.org/mondial/10/lake/Siljan/	\N
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	\N
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	\N
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	\N
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	\N
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	\N
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	\N
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	\N
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	\N
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	\N
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	\N
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	\N
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	\N
http://www.semwebtech.org/mondial/10/lake/LakeMead/	\N
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	\N
http://www.semwebtech.org/mondial/10/lake/Poopo/	\N
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	\N
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	\N
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	\N
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	\N
http://www.semwebtech.org/mondial/10/lake/LakeErie/	\N
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	\N
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	\N
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	\N
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	\N
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	\N
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	\N
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	\N
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	\N
http://www.semwebtech.org/mondial/10/lake/Ammersee/	\N
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	\N
http://www.semwebtech.org/mondial/10/lake/LakeToba/	\N
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	\N
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	\N
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	\N
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	\N
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	\N
http://www.semwebtech.org/mondial/10/lake/LakeHume/	\N
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	\N
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	\N
http://www.semwebtech.org/mondial/10/lake/Storuman/	\N
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	\N
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	\N
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	\N
http://www.semwebtech.org/mondial/10/lake/LacLeman/	\N
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	\N
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	\N
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	\N
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	\N
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	\N
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	\N
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	\N
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	\N
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	\N
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	\N
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	\N
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	\N
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	\N
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	\N
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	\N
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	\N
http://www.semwebtech.org/mondial/10/lake/ChadLake/	\N
http://www.semwebtech.org/mondial/10/lake/DeadSea/	\N
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	\N
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	\N
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	\N
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	\N
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	\N
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	\N
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	\N
http://www.semwebtech.org/mondial/10/lake/Vaenern/	\N
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	\N
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	\N
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	\N
http://www.semwebtech.org/mondial/10/lake/CraterLake/	\N
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	\N
http://www.semwebtech.org/mondial/10/lake/Saimaa/	\N
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	\N
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	\N
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	\N
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	\N
http://www.semwebtech.org/mondial/10/lake/Thunersee/	\N
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	\N
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	\N
http://www.semwebtech.org/mondial/10/lake/Bodensee/	\N
http://www.semwebtech.org/mondial/10/lake/Balaton/	\N
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	\N
http://www.semwebtech.org/mondial/10/lake/LopNor/	\N
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	\N
http://www.semwebtech.org/mondial/10/lake/Inari/	\N
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	\N
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	\N
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	\N
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	\N
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	\N
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	\N
http://www.semwebtech.org/mondial/10/lake/LochNess/	\N
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	\N
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	\N
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	\N
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	\N
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	\N
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	\N
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	\N
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	\N
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	\N
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	\N
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	\N
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	\N
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	\N
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	\N
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	\N
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	\N
http://www.semwebtech.org/mondial/10/lake/LochLomond/	\N
http://www.semwebtech.org/mondial/10/lake/LacAssal/	\N
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	\N
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	\N
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	\N
http://www.semwebtech.org/mondial/10/lake/NamCo/	\N
http://www.semwebtech.org/mondial/10/lake/LakeTana/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	\N
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	\N
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	\N
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	\N
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	\N
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	\N
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	\N
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	\N
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	\N
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	\N
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	\N
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	\N
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	\N
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	\N
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	\N
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	\N
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	\N
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	\N
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	\N
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	\N
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	\N
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	\N
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	\N
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	\N
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	\N
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	\N
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	\N
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	\N
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	\N
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	\N
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	\N
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	\N
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	\N
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	\N
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	\N
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	\N
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	\N
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	\N
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	\N
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	\N
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	\N
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	\N
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	\N
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	\N
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	\N
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	\N
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	\N
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	\N
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	\N
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	\N
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	\N
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	\N
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	\N
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	\N
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	\N
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	\N
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	\N
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	\N
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	\N
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	\N
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	\N
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	\N
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	\N
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	\N
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	\N
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	\N
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	\N
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	\N
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	\N
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	\N
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	\N
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	\N
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	\N
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	\N
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	\N
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	\N
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	\N
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	\N
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	\N
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	\N
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	\N
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	\N
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	\N
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	\N
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	\N
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	\N
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	\N
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	\N
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	\N
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	\N
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	\N
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	\N
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	\N
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	\N
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	\N
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	\N
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	\N
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	\N
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	\N
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	\N
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	\N
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	\N
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	\N
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	\N
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	\N
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	\N
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	\N
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	\N
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	\N
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	\N
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	\N
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	\N
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	\N
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	\N
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	\N
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	\N
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	\N
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	\N
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	\N
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	\N
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	\N
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	\N
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	\N
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	\N
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	\N
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	\N
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	\N
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	\N
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	\N
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	\N
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	\N
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	\N
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	\N
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	\N
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	\N
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	\N
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	\N
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	\N
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	\N
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	\N
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	\N
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	\N
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	\N
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	\N
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	\N
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	\N
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	\N
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	\N
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	\N
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	\N
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	\N
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	\N
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	\N
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	\N
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	\N
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	\N
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	\N
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	\N
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	\N
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	\N
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	\N
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	\N
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	\N
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	\N
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	\N
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	\N
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	\N
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	\N
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	\N
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	\N
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	\N
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	\N
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	\N
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	\N
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	\N
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	\N
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	\N
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	\N
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	\N
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	\N
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	\N
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	\N
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	\N
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	\N
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	\N
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	\N
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	\N
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	\N
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	\N
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	\N
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	\N
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	\N
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	\N
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	\N
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	\N
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	\N
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	\N
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	\N
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	\N
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	\N
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	\N
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	\N
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	\N
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	\N
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	\N
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	\N
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	\N
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	\N
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	\N
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	\N
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	\N
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	\N
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	\N
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	\N
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	\N
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	\N
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	\N
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	\N
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	\N
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	\N
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	\N
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	\N
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	\N
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	\N
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	\N
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	\N
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	\N
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	\N
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	\N
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	\N
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	\N
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	\N
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	\N
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	\N
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	\N
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	\N
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	\N
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	\N
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	\N
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	\N
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	\N
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	\N
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	\N
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	\N
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	\N
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	\N
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	\N
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	\N
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	\N
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	\N
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	\N
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	\N
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	\N
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	\N
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	\N
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	\N
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	\N
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	\N
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	\N
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	\N
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	\N
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	\N
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	\N
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	\N
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	\N
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	\N
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	\N
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	\N
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	\N
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	\N
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	\N
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	\N
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	\N
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	\N
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	\N
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	\N
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	\N
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	\N
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	\N
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	\N
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	\N
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	\N
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	\N
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	\N
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	\N
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	\N
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	\N
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	\N
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	\N
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	\N
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	\N
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	\N
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	\N
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	\N
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	\N
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	\N
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	\N
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	\N
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	\N
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	\N
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	\N
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	\N
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	\N
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	\N
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	\N
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	\N
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	\N
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	\N
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	\N
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	\N
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	\N
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	\N
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	\N
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	\N
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	\N
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	\N
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	\N
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	\N
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	\N
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	\N
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	\N
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	\N
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	\N
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	\N
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	\N
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	\N
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	\N
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	\N
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	\N
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	\N
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	\N
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	\N
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	\N
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	\N
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	\N
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	\N
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	\N
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	\N
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	\N
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	\N
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	\N
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	\N
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	\N
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	\N
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	\N
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	\N
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	\N
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	\N
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	\N
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	\N
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	\N
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	\N
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	\N
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	\N
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	\N
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	\N
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	\N
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	\N
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	\N
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	\N
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	\N
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	\N
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	\N
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	\N
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	\N
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	\N
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	\N
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	\N
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	\N
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	\N
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	\N
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	\N
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	\N
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	\N
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	\N
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	\N
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	\N
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	\N
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	\N
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	\N
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	\N
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	\N
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	\N
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	\N
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	\N
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	\N
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	\N
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	\N
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	\N
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	\N
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	\N
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	\N
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	\N
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	\N
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	\N
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	\N
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	\N
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	\N
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	\N
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	\N
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	\N
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	\N
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	\N
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	\N
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	\N
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	\N
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	\N
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	\N
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	\N
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	\N
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	\N
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	\N
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	\N
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	\N
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	\N
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	\N
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	\N
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	\N
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	\N
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	\N
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	\N
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	\N
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	\N
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	\N
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	\N
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	\N
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	\N
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	\N
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	\N
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	\N
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	\N
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	\N
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	\N
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	\N
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	\N
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	\N
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	\N
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	\N
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	\N
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	\N
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	\N
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	\N
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	\N
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	\N
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	\N
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	\N
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	\N
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	\N
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	\N
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	\N
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	\N
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	\N
\.


--
-- TOC entry 5916 (class 0 OID 90033)
-- Dependencies: 686
-- Data for Name: BelievedBy; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "BelievedBy" ("URI", "religionInfo-", percent, "onReligion") FROM stdin;
3441d4f:1508ad97479:-6bf4	http://www.semwebtech.org/mondial/10/country/JA/	5	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b98	http://www.semwebtech.org/mondial/10/country/BR/	15.4	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6bc8	http://www.semwebtech.org/mondial/10/country/GUAM/	95	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c22	http://www.semwebtech.org/mondial/10/country/MEX/	1.1	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
3441d4f:1508ad97479:-6b72	http://www.semwebtech.org/mondial/10/country/WSA/	100	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b45	http://www.semwebtech.org/mondial/10/country/CV/	100	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c43	http://www.semwebtech.org/mondial/10/country/RP/	5	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cb0	http://www.semwebtech.org/mondial/10/country/UZB/	88	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b29	http://www.semwebtech.org/mondial/10/country/EAU/	33	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6cc1	http://www.semwebtech.org/mondial/10/country/GB/	45	http://www.semwebtech.org/mondial/10/religion/Anglican/
3441d4f:1508ad97479:-6bd4	http://www.semwebtech.org/mondial/10/country/AUS/	25.8	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b50	http://www.semwebtech.org/mondial/10/country/EAT/	30	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6bb7	http://www.semwebtech.org/mondial/10/country/NIUE/	7.2	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b7a	http://www.semwebtech.org/mondial/10/country/RIM/	100	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6d36	http://www.semwebtech.org/mondial/10/country/AL/	10	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6ce2	http://www.semwebtech.org/mondial/10/country/RO/	86.8	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6b3d	http://www.semwebtech.org/mondial/10/country/LB/	10	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6ca5	http://www.semwebtech.org/mondial/10/country/BD/	16	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6c01	http://www.semwebtech.org/mondial/10/country/DOM/	95	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b88	http://www.semwebtech.org/mondial/10/country/GUY/	1.1	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
3441d4f:1508ad97479:-6ccf	http://www.semwebtech.org/mondial/10/country/GBZ/	2	http://www.semwebtech.org/mondial/10/religion/Jewish/
3441d4f:1508ad97479:-6c2b	http://www.semwebtech.org/mondial/10/country/BDS/	67	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c76	http://www.semwebtech.org/mondial/10/country/XMAS/	18	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c39	http://www.semwebtech.org/mondial/10/country/RC/	93	http://www.semwebtech.org/mondial/10/religion/Taoist/
3441d4f:1508ad97479:-6be5	http://www.semwebtech.org/mondial/10/country/WL/	3	http://www.semwebtech.org/mondial/10/religion/Anglican/
3441d4f:1508ad97479:-6b41	http://www.semwebtech.org/mondial/10/country/COM/	86	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6ba8	http://www.semwebtech.org/mondial/10/country/TUV/	97	http://www.semwebtech.org/mondial/10/religion/ChurchTuvalu/
3441d4f:1508ad97479:-6cfc	http://www.semwebtech.org/mondial/10/country/UA/	2.2	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b78	http://www.semwebtech.org/mondial/10/country/MA/	0.2	http://www.semwebtech.org/mondial/10/religion/Jewish/
3441d4f:1508ad97479:-6b6b	http://www.semwebtech.org/mondial/10/country/ZRE/	50	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6d27	http://www.semwebtech.org/mondial/10/country/AND/	95	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6cd3	http://www.semwebtech.org/mondial/10/country/S/	87	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b2e	http://www.semwebtech.org/mondial/10/country/GNB/	5	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6cfd	http://www.semwebtech.org/mondial/10/country/UA/	8	http://www.semwebtech.org/mondial/10/religion/UkrainianGreekCatholic/
3441d4f:1508ad97479:-6b79	http://www.semwebtech.org/mondial/10/country/MA/	98.7	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c1c	http://www.semwebtech.org/mondial/10/country/BVIR/	10	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c67	http://www.semwebtech.org/mondial/10/country/RI/	87	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6d0a	http://www.semwebtech.org/mondial/10/country/CH/	35.3	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6bd6	http://www.semwebtech.org/mondial/10/country/AMSA/	30	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b32	http://www.semwebtech.org/mondial/10/country/WAG/	9	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6b5c	http://www.semwebtech.org/mondial/10/country/ZW/	1	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6d18	http://www.semwebtech.org/mondial/10/country/I/	84.6	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6cc4	http://www.semwebtech.org/mondial/10/country/MD/	1.5	http://www.semwebtech.org/mondial/10/religion/Jewish/
3441d4f:1508ad97479:-6c20	http://www.semwebtech.org/mondial/10/country/BERM/	23	http://www.semwebtech.org/mondial/10/religion/Anglican/
3441d4f:1508ad97479:-6b1f	http://www.semwebtech.org/mondial/10/country/MS/	28.3	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6cee	http://www.semwebtech.org/mondial/10/country/BIH/	40	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c4a	http://www.semwebtech.org/mondial/10/country/ROK/	3	http://www.semwebtech.org/mondial/10/religion/Confucianism/
3441d4f:1508ad97479:-6c0d	http://www.semwebtech.org/mondial/10/country/CAYM/	11.8	http://www.semwebtech.org/mondial/10/religion/UnitedChurch/
3441d4f:1508ad97479:-6c95	http://www.semwebtech.org/mondial/10/country/MAL/	19.2	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6c58	http://www.semwebtech.org/mondial/10/country/JOR/	92	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b60	http://www.semwebtech.org/mondial/10/country/RT/	10	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6bc7	http://www.semwebtech.org/mondial/10/country/KIR/	52.6	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b23	http://www.semwebtech.org/mondial/10/country/MW/	55	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b8a	http://www.semwebtech.org/mondial/10/country/GUY/	8.1	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6cf2	http://www.semwebtech.org/mondial/10/country/L/	2	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b4d	http://www.semwebtech.org/mondial/10/country/RCA/	15	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6d09	http://www.semwebtech.org/mondial/10/country/CH/	4.3	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cb5	http://www.semwebtech.org/mondial/10/country/IR/	1	http://www.semwebtech.org/mondial/10/religion/Bahai/
3441d4f:1508ad97479:-6c11	http://www.semwebtech.org/mondial/10/country/USA/	0.6	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cdf	http://www.semwebtech.org/mondial/10/country/TR/	99.8	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c3b	http://www.semwebtech.org/mondial/10/country/CL/	15	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6baa	http://www.semwebtech.org/mondial/10/country/TUV/	1	http://www.semwebtech.org/mondial/10/religion/Bahai/
3441d4f:1508ad97479:-6c86	http://www.semwebtech.org/mondial/10/country/KAZ/	47	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c49	http://www.semwebtech.org/mondial/10/country/ROK/	0.2	http://www.semwebtech.org/mondial/10/religion/Chondogyo/
3441d4f:1508ad97479:-6bf5	http://www.semwebtech.org/mondial/10/country/GUAD/	4	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6b51	http://www.semwebtech.org/mondial/10/country/EAT/	35	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6bb8	http://www.semwebtech.org/mondial/10/country/NIUE/	61	http://www.semwebtech.org/mondial/10/religion/EkalesiaNiue/
3441d4f:1508ad97479:-6b7b	http://www.semwebtech.org/mondial/10/country/RMM/	1	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6d37	http://www.semwebtech.org/mondial/10/country/AL/	70	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6ce3	http://www.semwebtech.org/mondial/10/country/BG/	0.7	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b3e	http://www.semwebtech.org/mondial/10/country/LB/	20	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6ca6	http://www.semwebtech.org/mondial/10/country/BD/	83	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c02	http://www.semwebtech.org/mondial/10/country/WD/	15	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b89	http://www.semwebtech.org/mondial/10/country/GUY/	7.2	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c2c	http://www.semwebtech.org/mondial/10/country/BDS/	4	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c77	http://www.semwebtech.org/mondial/10/country/XMAS/	25	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6d1a	http://www.semwebtech.org/mondial/10/country/H/	51.9	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6be6	http://www.semwebtech.org/mondial/10/country/WL/	7	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b42	http://www.semwebtech.org/mondial/10/country/COM/	14	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6ba9	http://www.semwebtech.org/mondial/10/country/TUV/	1.4	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
3441d4f:1508ad97479:-6b6c	http://www.semwebtech.org/mondial/10/country/ZRE/	10	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6d28	http://www.semwebtech.org/mondial/10/country/KOS/	90	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cd4	http://www.semwebtech.org/mondial/10/country/N/	1.8	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c30	http://www.semwebtech.org/mondial/10/country/BS/	20	http://www.semwebtech.org/mondial/10/religion/Anglican/
3441d4f:1508ad97479:-6b2f	http://www.semwebtech.org/mondial/10/country/GNB/	30	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cfe	http://www.semwebtech.org/mondial/10/country/UA/	83.5	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6c5a	http://www.semwebtech.org/mondial/10/country/IRQ/	97	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c1d	http://www.semwebtech.org/mondial/10/country/BERM/	11	http://www.semwebtech.org/mondial/10/religion/AfricanMethodistEpiscopal/
3441d4f:1508ad97479:-6c68	http://www.semwebtech.org/mondial/10/country/ET/	6	http://www.semwebtech.org/mondial/10/religion/CopticChristian/
3441d4f:1508ad97479:-6b70	http://www.semwebtech.org/mondial/10/country/ANG/	15	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6d0b	http://www.semwebtech.org/mondial/10/country/CH/	41.8	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6bd7	http://www.semwebtech.org/mondial/10/country/AMSA/	20	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b33	http://www.semwebtech.org/mondial/10/country/WAG/	90	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b9a	http://www.semwebtech.org/mondial/10/country/BOL/	5	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b5d	http://www.semwebtech.org/mondial/10/country/RSA/	2	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6d19	http://www.semwebtech.org/mondial/10/country/H/	18.9	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6cc5	http://www.semwebtech.org/mondial/10/country/MD/	98	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6c21	http://www.semwebtech.org/mondial/10/country/BERM/	15	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6cef	http://www.semwebtech.org/mondial/10/country/NL/	5.8	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c4b	http://www.semwebtech.org/mondial/10/country/ROK/	48.6	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c0e	http://www.semwebtech.org/mondial/10/country/CAYM/	26	http://www.semwebtech.org/mondial/10/religion/ChurchofGod/
3441d4f:1508ad97479:-6bba	http://www.semwebtech.org/mondial/10/country/NZ/	1.3	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6c96	http://www.semwebtech.org/mondial/10/country/MAL/	60.4	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c59	http://www.semwebtech.org/mondial/10/country/IRQ/	3	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6b61	http://www.semwebtech.org/mondial/10/country/WAN/	40	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6b24	http://www.semwebtech.org/mondial/10/country/MW/	20	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b8b	http://www.semwebtech.org/mondial/10/country/GUY/	28.4	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6cf3	http://www.semwebtech.org/mondial/10/country/L/	3	http://www.semwebtech.org/mondial/10/religion/Jewish/
3441d4f:1508ad97479:-6b4e	http://www.semwebtech.org/mondial/10/country/CAM/	33	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6cb6	http://www.semwebtech.org/mondial/10/country/IR/	99	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c12	http://www.semwebtech.org/mondial/10/country/USA/	0.7	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6b99	http://www.semwebtech.org/mondial/10/country/BR/	73.6	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c3c	http://www.semwebtech.org/mondial/10/country/CL/	69	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6d00	http://www.semwebtech.org/mondial/10/country/LT/	1.9	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6bab	http://www.semwebtech.org/mondial/10/country/TO/	100	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c87	http://www.semwebtech.org/mondial/10/country/VN/	0.1	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6d2a	http://www.semwebtech.org/mondial/10/country/MNE/	17.7	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6bf6	http://www.semwebtech.org/mondial/10/country/GUAD/	1	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b52	http://www.semwebtech.org/mondial/10/country/RWA/	9	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6bb9	http://www.semwebtech.org/mondial/10/country/NIUE/	10	http://www.semwebtech.org/mondial/10/religion/Mormon/
3441d4f:1508ad97479:-6b15	http://www.semwebtech.org/mondial/10/country/SY/	8	http://www.semwebtech.org/mondial/10/religion/Anglican/
3441d4f:1508ad97479:-6b7c	http://www.semwebtech.org/mondial/10/country/RMM/	90	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6ce4	http://www.semwebtech.org/mondial/10/country/BG/	0.8	http://www.semwebtech.org/mondial/10/religion/Jewish/
3441d4f:1508ad97479:-6c40	http://www.semwebtech.org/mondial/10/country/RP/	3	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6b3f	http://www.semwebtech.org/mondial/10/country/RG/	8	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6ca7	http://www.semwebtech.org/mondial/10/country/BRN/	100	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c03	http://www.semwebtech.org/mondial/10/country/WD/	77	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c6a	http://www.semwebtech.org/mondial/10/country/IL/	1.7	http://www.semwebtech.org/mondial/10/religion/Druze/
3441d4f:1508ad97479:-6c2d	http://www.semwebtech.org/mondial/10/country/BS/	6	http://www.semwebtech.org/mondial/10/religion/ChurchofGod/
3441d4f:1508ad97479:-6c78	http://www.semwebtech.org/mondial/10/country/NEP/	90	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6b80	http://www.semwebtech.org/mondial/10/country/DZ/	99	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6d1b	http://www.semwebtech.org/mondial/10/country/D/	3.7	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6be7	http://www.semwebtech.org/mondial/10/country/WL/	90	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b43	http://www.semwebtech.org/mondial/10/country/SUD/	2	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6b6d	http://www.semwebtech.org/mondial/10/country/NAM/	50	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6d29	http://www.semwebtech.org/mondial/10/country/MNE/	3.5	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6cd5	http://www.semwebtech.org/mondial/10/country/N/	1	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c31	http://www.semwebtech.org/mondial/10/country/BS/	12	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6ba0	http://www.semwebtech.org/mondial/10/country/WAFU/	99	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6cff	http://www.semwebtech.org/mondial/10/country/PL/	95	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c5b	http://www.semwebtech.org/mondial/10/country/PNG/	8	http://www.semwebtech.org/mondial/10/religion/Presbyterian/
3441d4f:1508ad97479:-6c1e	http://www.semwebtech.org/mondial/10/country/BERM/	18	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6bca	http://www.semwebtech.org/mondial/10/country/FPOL/	30	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c69	http://www.semwebtech.org/mondial/10/country/ET/	94	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b71	http://www.semwebtech.org/mondial/10/country/ANG/	38	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6d0c	http://www.semwebtech.org/mondial/10/country/SLO/	96	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6bd8	http://www.semwebtech.org/mondial/10/country/VIRG/	17	http://www.semwebtech.org/mondial/10/religion/Episcopalian/
3441d4f:1508ad97479:-6b34	http://www.semwebtech.org/mondial/10/country/EAK/	38	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b9b	http://www.semwebtech.org/mondial/10/country/BOL/	95	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b5e	http://www.semwebtech.org/mondial/10/country/RB/	50	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6cc6	http://www.semwebtech.org/mondial/10/country/M/	98	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c4c	http://www.semwebtech.org/mondial/10/country/ROK/	47.4	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6d10	http://www.semwebtech.org/mondial/10/country/SK/	68.9	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c0f	http://www.semwebtech.org/mondial/10/country/CAYM/	5.7	http://www.semwebtech.org/mondial/10/religion/Anglican/
3441d4f:1508ad97479:-6bbb	http://www.semwebtech.org/mondial/10/country/NZ/	1.6	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6c97	http://www.semwebtech.org/mondial/10/country/BRU/	14	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6b62	http://www.semwebtech.org/mondial/10/country/WAN/	50	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6bc9	http://www.semwebtech.org/mondial/10/country/FPOL/	54	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b25	http://www.semwebtech.org/mondial/10/country/MW/	20	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b8c	http://www.semwebtech.org/mondial/10/country/GUY/	30.5	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6cf4	http://www.semwebtech.org/mondial/10/country/L/	8	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c50	http://www.semwebtech.org/mondial/10/country/WEST/	75	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b4f	http://www.semwebtech.org/mondial/10/country/CAM/	16	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cb7	http://www.semwebtech.org/mondial/10/country/CN/	4	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c13	http://www.semwebtech.org/mondial/10/country/USA/	1.7	http://www.semwebtech.org/mondial/10/religion/Jewish/
3441d4f:1508ad97479:-6c7a	http://www.semwebtech.org/mondial/10/country/NEP/	3	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c3d	http://www.semwebtech.org/mondial/10/country/CL/	8	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6d01	http://www.semwebtech.org/mondial/10/country/LT/	4.1	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6bac	http://www.semwebtech.org/mondial/10/country/SLB/	11	http://www.semwebtech.org/mondial/10/religion/United/
3441d4f:1508ad97479:-6c88	http://www.semwebtech.org/mondial/10/country/VN/	0.5	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b90	http://www.semwebtech.org/mondial/10/country/ROU/	0.3	http://www.semwebtech.org/mondial/10/religion/Jewish/
3441d4f:1508ad97479:-6d2b	http://www.semwebtech.org/mondial/10/country/MNE/	74.2	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6bf7	http://www.semwebtech.org/mondial/10/country/GUAD/	95	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b53	http://www.semwebtech.org/mondial/10/country/RWA/	65	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b16	http://www.semwebtech.org/mondial/10/country/SY/	90	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b7d	http://www.semwebtech.org/mondial/10/country/LAR/	97	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6ce5	http://www.semwebtech.org/mondial/10/country/BG/	7.8	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c41	http://www.semwebtech.org/mondial/10/country/RP/	9	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6ca8	http://www.semwebtech.org/mondial/10/country/AZ/	4.8	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6c04	http://www.semwebtech.org/mondial/10/country/C/	85	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6bb0	http://www.semwebtech.org/mondial/10/country/SLB/	5	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c6b	http://www.semwebtech.org/mondial/10/country/IL/	2	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c2e	http://www.semwebtech.org/mondial/10/country/BS/	6	http://www.semwebtech.org/mondial/10/religion/Methodist/
3441d4f:1508ad97479:-6bda	http://www.semwebtech.org/mondial/10/country/VIRG/	34	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c79	http://www.semwebtech.org/mondial/10/country/NEP/	5	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6b81	http://www.semwebtech.org/mondial/10/country/EC/	95	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6d1c	http://www.semwebtech.org/mondial/10/country/D/	34	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6be8	http://www.semwebtech.org/mondial/10/country/PR/	15	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b44	http://www.semwebtech.org/mondial/10/country/SUD/	95	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b6e	http://www.semwebtech.org/mondial/10/country/RCB/	50	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6cd6	http://www.semwebtech.org/mondial/10/country/N/	86.7	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c32	http://www.semwebtech.org/mondial/10/country/BS/	19	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6ba1	http://www.semwebtech.org/mondial/10/country/VU/	3.8	http://www.semwebtech.org/mondial/10/religion/ChurchChrist/
3441d4f:1508ad97479:-6c5c	http://www.semwebtech.org/mondial/10/country/PNG/	1	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
3441d4f:1508ad97479:-6d20	http://www.semwebtech.org/mondial/10/country/A/	6	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c1f	http://www.semwebtech.org/mondial/10/country/BERM/	5	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
3441d4f:1508ad97479:-6bcb	http://www.semwebtech.org/mondial/10/country/FJI/	38	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6d0d	http://www.semwebtech.org/mondial/10/country/SLO/	1	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6bd9	http://www.semwebtech.org/mondial/10/country/VIRG/	42	http://www.semwebtech.org/mondial/10/religion/Baptist/
3441d4f:1508ad97479:-6b35	http://www.semwebtech.org/mondial/10/country/EAK/	28	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b9c	http://www.semwebtech.org/mondial/10/country/RA/	2	http://www.semwebtech.org/mondial/10/religion/Jewish/
3441d4f:1508ad97479:-6c60	http://www.semwebtech.org/mondial/10/country/TL/	98	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b5f	http://www.semwebtech.org/mondial/10/country/RT/	20	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6cc7	http://www.semwebtech.org/mondial/10/country/RSM/	100	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c23	http://www.semwebtech.org/mondial/10/country/MEX/	5.2	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c8a	http://www.semwebtech.org/mondial/10/country/VN/	1.5	http://www.semwebtech.org/mondial/10/religion/HoaHao/
3441d4f:1508ad97479:-6c4d	http://www.semwebtech.org/mondial/10/country/J/	84	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6d11	http://www.semwebtech.org/mondial/10/country/FL/	7	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6bbc	http://www.semwebtech.org/mondial/10/country/NZ/	12.6	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c98	http://www.semwebtech.org/mondial/10/country/BRU/	8	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6b63	http://www.semwebtech.org/mondial/10/country/BF/	10	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6caa	http://www.semwebtech.org/mondial/10/country/GE/	0.8	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b26	http://www.semwebtech.org/mondial/10/country/RM/	41	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6b8d	http://www.semwebtech.org/mondial/10/country/FGU/	100	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6cf5	http://www.semwebtech.org/mondial/10/country/L/	87	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c51	http://www.semwebtech.org/mondial/10/country/RL/	70	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cb8	http://www.semwebtech.org/mondial/10/country/CN/	2	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c14	http://www.semwebtech.org/mondial/10/country/USA/	1.7	http://www.semwebtech.org/mondial/10/religion/Mormon/
3441d4f:1508ad97479:-6bc0	http://www.semwebtech.org/mondial/10/country/NCA/	60	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c7b	http://www.semwebtech.org/mondial/10/country/MNG/	4	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c3e	http://www.semwebtech.org/mondial/10/country/CL/	8	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6bea	http://www.semwebtech.org/mondial/10/country/CO/	90	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6d02	http://www.semwebtech.org/mondial/10/country/LT/	79	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6bad	http://www.semwebtech.org/mondial/10/country/SLB/	10	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
3441d4f:1508ad97479:-6c89	http://www.semwebtech.org/mondial/10/country/VN/	1.1	http://www.semwebtech.org/mondial/10/religion/CaoDai/
3441d4f:1508ad97479:-6b91	http://www.semwebtech.org/mondial/10/country/ROU/	10	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6d2c	http://www.semwebtech.org/mondial/10/country/SRB/	1.1	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6bf8	http://www.semwebtech.org/mondial/10/country/GROX/	100	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b54	http://www.semwebtech.org/mondial/10/country/RWA/	1	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b17	http://www.semwebtech.org/mondial/10/country/STP/	1.8	http://www.semwebtech.org/mondial/10/religion/Adventist/
3441d4f:1508ad97479:-6b7e	http://www.semwebtech.org/mondial/10/country/DZ/	0.5	http://www.semwebtech.org/mondial/10/religion/Jewish/
3441d4f:1508ad97479:-6ce6	http://www.semwebtech.org/mondial/10/country/BG/	59.4	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6c42	http://www.semwebtech.org/mondial/10/country/RP/	83	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6ca9	http://www.semwebtech.org/mondial/10/country/AZ/	93.4	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c05	http://www.semwebtech.org/mondial/10/country/PA/	15	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6bb1	http://www.semwebtech.org/mondial/10/country/SLB/	19	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c6c	http://www.semwebtech.org/mondial/10/country/IL/	16.9	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6d30	http://www.semwebtech.org/mondial/10/country/MK/	0.2	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c2f	http://www.semwebtech.org/mondial/10/country/BS/	32	http://www.semwebtech.org/mondial/10/religion/Baptist/
3441d4f:1508ad97479:-6bdb	http://www.semwebtech.org/mondial/10/country/TUCA/	16	http://www.semwebtech.org/mondial/10/religion/Methodist/
3441d4f:1508ad97479:-6b82	http://www.semwebtech.org/mondial/10/country/YV/	2	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6d1d	http://www.semwebtech.org/mondial/10/country/D/	34	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6be9	http://www.semwebtech.org/mondial/10/country/PR/	85	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c70	http://www.semwebtech.org/mondial/10/country/GAZA/	98.7	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b6f	http://www.semwebtech.org/mondial/10/country/RCB/	2	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cd7	http://www.semwebtech.org/mondial/10/country/SF/	1.1	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6c33	http://www.semwebtech.org/mondial/10/country/ARU/	9	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c9a	http://www.semwebtech.org/mondial/10/country/BHT/	25	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6ba2	http://www.semwebtech.org/mondial/10/country/VU/	36.7	http://www.semwebtech.org/mondial/10/religion/Presbyterian/
3441d4f:1508ad97479:-6c5d	http://www.semwebtech.org/mondial/10/country/PNG/	5	http://www.semwebtech.org/mondial/10/religion/Anglican/
3441d4f:1508ad97479:-6d21	http://www.semwebtech.org/mondial/10/country/A/	85	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6bcc	http://www.semwebtech.org/mondial/10/country/FJI/	52	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6b73	http://www.semwebtech.org/mondial/10/country/TN/	1	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6d0e	http://www.semwebtech.org/mondial/10/country/SK/	4.1	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6cba	http://www.semwebtech.org/mondial/10/country/GB/	0.3	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6b36	http://www.semwebtech.org/mondial/10/country/SP/	100	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b9d	http://www.semwebtech.org/mondial/10/country/RA/	2	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c61	http://www.semwebtech.org/mondial/10/country/TL/	1	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6cc8	http://www.semwebtech.org/mondial/10/country/IRL/	3	http://www.semwebtech.org/mondial/10/religion/Anglican/
3441d4f:1508ad97479:-6c24	http://www.semwebtech.org/mondial/10/country/MEX/	76.5	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6bd0	http://www.semwebtech.org/mondial/10/country/AUS/	2.1	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6c8b	http://www.semwebtech.org/mondial/10/country/VN/	6.7	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c4e	http://www.semwebtech.org/mondial/10/country/WEST/	6	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6bfa	http://www.semwebtech.org/mondial/10/country/HCA/	97	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6d12	http://www.semwebtech.org/mondial/10/country/FL/	76.2	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6bbd	http://www.semwebtech.org/mondial/10/country/NZ/	24.8	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c99	http://www.semwebtech.org/mondial/10/country/BRU/	63	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b64	http://www.semwebtech.org/mondial/10/country/BF/	50	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cab	http://www.semwebtech.org/mondial/10/country/GE/	9.9	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b27	http://www.semwebtech.org/mondial/10/country/RM/	7	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b8e	http://www.semwebtech.org/mondial/10/country/PE/	12.5	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6cf6	http://www.semwebtech.org/mondial/10/country/B/	25	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c52	http://www.semwebtech.org/mondial/10/country/RL/	30	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6cb9	http://www.semwebtech.org/mondial/10/country/AFG/	99	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c15	http://www.semwebtech.org/mondial/10/country/USA/	23.9	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6bc1	http://www.semwebtech.org/mondial/10/country/NAU/	100	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c7c	http://www.semwebtech.org/mondial/10/country/MNG/	6	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c3f	http://www.semwebtech.org/mondial/10/country/Q/	95	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6beb	http://www.semwebtech.org/mondial/10/country/NLSM/	3.4	http://www.semwebtech.org/mondial/10/religion/Jewish/
3441d4f:1508ad97479:-6d03	http://www.semwebtech.org/mondial/10/country/LV/	15.3	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6bae	http://www.semwebtech.org/mondial/10/country/SLB/	17	http://www.semwebtech.org/mondial/10/religion/Baptist/
3441d4f:1508ad97479:-6b92	http://www.semwebtech.org/mondial/10/country/ROU/	47.1	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6d2d	http://www.semwebtech.org/mondial/10/country/SRB/	5.5	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6bf9	http://www.semwebtech.org/mondial/10/country/HCA/	3	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b55	http://www.semwebtech.org/mondial/10/country/BI/	67	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6b18	http://www.semwebtech.org/mondial/10/country/STP/	2	http://www.semwebtech.org/mondial/10/religion/NewApostolic/
3441d4f:1508ad97479:-6c80	http://www.semwebtech.org/mondial/10/country/MACX/	7	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b7f	http://www.semwebtech.org/mondial/10/country/DZ/	0.5	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6ce7	http://www.semwebtech.org/mondial/10/country/HR/	1.3	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c06	http://www.semwebtech.org/mondial/10/country/PA/	85	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6bb2	http://www.semwebtech.org/mondial/10/country/PITC/	100	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
3441d4f:1508ad97479:-6c6d	http://www.semwebtech.org/mondial/10/country/IL/	75.6	http://www.semwebtech.org/mondial/10/religion/Jewish/
3441d4f:1508ad97479:-6d31	http://www.semwebtech.org/mondial/10/country/MK/	33.3	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6bdc	http://www.semwebtech.org/mondial/10/country/TUCA/	12	http://www.semwebtech.org/mondial/10/religion/ChurchofGod/
3441d4f:1508ad97479:-6ca0	http://www.semwebtech.org/mondial/10/country/IND/	2.4	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6b83	http://www.semwebtech.org/mondial/10/country/YV/	96	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6d1e	http://www.semwebtech.org/mondial/10/country/CZ/	2.1	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6cca	http://www.semwebtech.org/mondial/10/country/IS/	3	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b46	http://www.semwebtech.org/mondial/10/country/G/	55	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c71	http://www.semwebtech.org/mondial/10/country/CY/	18	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cd8	http://www.semwebtech.org/mondial/10/country/SF/	82.5	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c34	http://www.semwebtech.org/mondial/10/country/ARU/	80.8	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6be0	http://www.semwebtech.org/mondial/10/country/TT/	14.4	http://www.semwebtech.org/mondial/10/religion/Anglican/
3441d4f:1508ad97479:-6c9b	http://www.semwebtech.org/mondial/10/country/BHT/	75	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6ba3	http://www.semwebtech.org/mondial/10/country/VU/	6.2	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
3441d4f:1508ad97479:-6c5e	http://www.semwebtech.org/mondial/10/country/PNG/	30	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6d22	http://www.semwebtech.org/mondial/10/country/E/	94	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6bcd	http://www.semwebtech.org/mondial/10/country/FJI/	8	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b74	http://www.semwebtech.org/mondial/10/country/TN/	1	http://www.semwebtech.org/mondial/10/religion/Jewish/
3441d4f:1508ad97479:-6d0f	http://www.semwebtech.org/mondial/10/country/SK/	10.8	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6cbb	http://www.semwebtech.org/mondial/10/country/GB/	0.5	http://www.semwebtech.org/mondial/10/religion/Jewish/
3441d4f:1508ad97479:-6b37	http://www.semwebtech.org/mondial/10/country/ETH/	0.7	http://www.semwebtech.org/mondial/10/religion/Catholic/
3441d4f:1508ad97479:-6b9e	http://www.semwebtech.org/mondial/10/country/RA/	92	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c62	http://www.semwebtech.org/mondial/10/country/TL/	1	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cc9	http://www.semwebtech.org/mondial/10/country/IRL/	90	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c25	http://www.semwebtech.org/mondial/10/country/GCA/	1	http://www.semwebtech.org/mondial/10/religion/Mayan/
3441d4f:1508ad97479:-6bd1	http://www.semwebtech.org/mondial/10/country/AUS/	2.7	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6c8c	http://www.semwebtech.org/mondial/10/country/VN/	9.3	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6c4f	http://www.semwebtech.org/mondial/10/country/WEST/	17	http://www.semwebtech.org/mondial/10/religion/Jewish/
3441d4f:1508ad97479:-6bfb	http://www.semwebtech.org/mondial/10/country/ES/	0.7	http://www.semwebtech.org/mondial/10/religion/Mormon/
3441d4f:1508ad97479:-6d13	http://www.semwebtech.org/mondial/10/country/I/	0.2	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6bbe	http://www.semwebtech.org/mondial/10/country/NZ/	13.8	http://www.semwebtech.org/mondial/10/religion/Anglican/
3441d4f:1508ad97479:-6b1a	http://www.semwebtech.org/mondial/10/country/STP/	70.3	http://www.semwebtech.org/mondial/10/religion/Catholic/
3441d4f:1508ad97479:-6b65	http://www.semwebtech.org/mondial/10/country/BEN/	15	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6cac	http://www.semwebtech.org/mondial/10/country/GE/	87.8	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6b28	http://www.semwebtech.org/mondial/10/country/LS/	80	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c90	http://www.semwebtech.org/mondial/10/country/THA/	95	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6b8f	http://www.semwebtech.org/mondial/10/country/PE/	81.3	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6cf7	http://www.semwebtech.org/mondial/10/country/B/	75	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c53	http://www.semwebtech.org/mondial/10/country/SYR/	10	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c16	http://www.semwebtech.org/mondial/10/country/USA/	51.3	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6bc2	http://www.semwebtech.org/mondial/10/country/FSM/	47	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c7d	http://www.semwebtech.org/mondial/10/country/MNG/	50	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6bec	http://www.semwebtech.org/mondial/10/country/NLSM/	44.8	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6d04	http://www.semwebtech.org/mondial/10/country/LV/	19.6	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6baf	http://www.semwebtech.org/mondial/10/country/SLB/	34	http://www.semwebtech.org/mondial/10/religion/Anglican/
3441d4f:1508ad97479:-6b93	http://www.semwebtech.org/mondial/10/country/PY/	6.2	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6d2e	http://www.semwebtech.org/mondial/10/country/SRB/	3.2	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cda	http://www.semwebtech.org/mondial/10/country/EW/	12.8	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6b56	http://www.semwebtech.org/mondial/10/country/BI/	1	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b19	http://www.semwebtech.org/mondial/10/country/STP/	3.4	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c81	http://www.semwebtech.org/mondial/10/country/HONX/	10	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6ce8	http://www.semwebtech.org/mondial/10/country/HR/	0.4	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c44	http://www.semwebtech.org/mondial/10/country/YE/	1	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6bf0	http://www.semwebtech.org/mondial/10/country/CUR/	72.8	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c07	http://www.semwebtech.org/mondial/10/country/NIC/	0.9	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
3441d4f:1508ad97479:-6bb3	http://www.semwebtech.org/mondial/10/country/NORF/	16.4	http://www.semwebtech.org/mondial/10/religion/UnitingChurchAustralia/
3441d4f:1508ad97479:-6c6e	http://www.semwebtech.org/mondial/10/country/GAZA/	0.7	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6d32	http://www.semwebtech.org/mondial/10/country/MK/	64.7	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6bdd	http://www.semwebtech.org/mondial/10/country/TUCA/	40	http://www.semwebtech.org/mondial/10/religion/Baptist/
3441d4f:1508ad97479:-6ca1	http://www.semwebtech.org/mondial/10/country/IND/	14	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b84	http://www.semwebtech.org/mondial/10/country/SME/	27.4	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6d1f	http://www.semwebtech.org/mondial/10/country/CZ/	26.8	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6ccb	http://www.semwebtech.org/mondial/10/country/IS/	96	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b47	http://www.semwebtech.org/mondial/10/country/G/	1	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c72	http://www.semwebtech.org/mondial/10/country/CY/	78	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6cd9	http://www.semwebtech.org/mondial/10/country/FARX/	100	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c35	http://www.semwebtech.org/mondial/10/country/AXA/	23.9	http://www.semwebtech.org/mondial/10/religion/Methodist/
3441d4f:1508ad97479:-6be1	http://www.semwebtech.org/mondial/10/country/TT/	14	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c9c	http://www.semwebtech.org/mondial/10/country/IND/	0.5	http://www.semwebtech.org/mondial/10/religion/Jains/
3441d4f:1508ad97479:-6ba4	http://www.semwebtech.org/mondial/10/country/VU/	15	http://www.semwebtech.org/mondial/10/religion/Anglican/
3441d4f:1508ad97479:-6c5f	http://www.semwebtech.org/mondial/10/country/PNG/	22	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6d23	http://www.semwebtech.org/mondial/10/country/F/	1	http://www.semwebtech.org/mondial/10/religion/Jewish/
3441d4f:1508ad97479:-6bce	http://www.semwebtech.org/mondial/10/country/COOK/	100	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6b2a	http://www.semwebtech.org/mondial/10/country/EAU/	33	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b75	http://www.semwebtech.org/mondial/10/country/TN/	98	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cbc	http://www.semwebtech.org/mondial/10/country/GB/	0.6	http://www.semwebtech.org/mondial/10/religion/Sikh/
3441d4f:1508ad97479:-6b38	http://www.semwebtech.org/mondial/10/country/ETH/	18.6	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b9f	http://www.semwebtech.org/mondial/10/country/WS/	99.7	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c63	http://www.semwebtech.org/mondial/10/country/RI/	2	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6c26	http://www.semwebtech.org/mondial/10/country/GCA/	40	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6bd2	http://www.semwebtech.org/mondial/10/country/AUS/	8.7	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c8d	http://www.semwebtech.org/mondial/10/country/K/	95	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6bfc	http://www.semwebtech.org/mondial/10/country/ES/	1.9	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
3441d4f:1508ad97479:-6d14	http://www.semwebtech.org/mondial/10/country/I/	0.3	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6cc0	http://www.semwebtech.org/mondial/10/country/GB/	19	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6bbf	http://www.semwebtech.org/mondial/10/country/NCA/	30	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b1b	http://www.semwebtech.org/mondial/10/country/REUN/	94	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6cea	http://www.semwebtech.org/mondial/10/country/HR/	87.8	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b66	http://www.semwebtech.org/mondial/10/country/BEN/	15	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cad	http://www.semwebtech.org/mondial/10/country/ARM/	1.3	http://www.semwebtech.org/mondial/10/religion/Yezidi/
3441d4f:1508ad97479:-6c91	http://www.semwebtech.org/mondial/10/country/THA/	3.8	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cf8	http://www.semwebtech.org/mondial/10/country/R/	15	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c54	http://www.semwebtech.org/mondial/10/country/SYR/	90	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c17	http://www.semwebtech.org/mondial/10/country/CDN/	1.9	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6bc3	http://www.semwebtech.org/mondial/10/country/FSM/	50	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c7e	http://www.semwebtech.org/mondial/10/country/MACX/	45	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6bed	http://www.semwebtech.org/mondial/10/country/NLSM/	39	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6d05	http://www.semwebtech.org/mondial/10/country/BY/	2.6	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6cb1	http://www.semwebtech.org/mondial/10/country/TM/	9	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6b94	http://www.semwebtech.org/mondial/10/country/PY/	89.6	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6d2f	http://www.semwebtech.org/mondial/10/country/SRB/	85	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6cdb	http://www.semwebtech.org/mondial/10/country/EW/	13.6	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b57	http://www.semwebtech.org/mondial/10/country/GH/	24	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c82	http://www.semwebtech.org/mondial/10/country/KGZ/	20	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6ce9	http://www.semwebtech.org/mondial/10/country/HR/	4.4	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6c45	http://www.semwebtech.org/mondial/10/country/YE/	98	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6bf1	http://www.semwebtech.org/mondial/10/country/MART/	5	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6c08	http://www.semwebtech.org/mondial/10/country/NIC/	23.2	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6bb4	http://www.semwebtech.org/mondial/10/country/NORF/	4.4	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
3441d4f:1508ad97479:-6c6f	http://www.semwebtech.org/mondial/10/country/GAZA/	0.6	http://www.semwebtech.org/mondial/10/religion/Jewish/
3441d4f:1508ad97479:-6d33	http://www.semwebtech.org/mondial/10/country/GR/	1.3	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6bde	http://www.semwebtech.org/mondial/10/country/TUCA/	18	http://www.semwebtech.org/mondial/10/religion/Anglican/
3441d4f:1508ad97479:-6b3a	http://www.semwebtech.org/mondial/10/country/ETH/	43.5	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6ca2	http://www.semwebtech.org/mondial/10/country/MYA/	89	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6b85	http://www.semwebtech.org/mondial/10/country/SME/	25.2	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6ccc	http://www.semwebtech.org/mondial/10/country/V/	100	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b48	http://www.semwebtech.org/mondial/10/country/GQ/	100	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c73	http://www.semwebtech.org/mondial/10/country/COCO/	20	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c36	http://www.semwebtech.org/mondial/10/country/AXA/	29	http://www.semwebtech.org/mondial/10/religion/Anglican/
3441d4f:1508ad97479:-6be2	http://www.semwebtech.org/mondial/10/country/TT/	32.2	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c9d	http://www.semwebtech.org/mondial/10/country/IND/	2	http://www.semwebtech.org/mondial/10/religion/Sikh/
3441d4f:1508ad97479:-6ba5	http://www.semwebtech.org/mondial/10/country/VU/	15	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6d24	http://www.semwebtech.org/mondial/10/country/F/	2	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6cd0	http://www.semwebtech.org/mondial/10/country/GBZ/	8	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6bcf	http://www.semwebtech.org/mondial/10/country/AUS/	1.7	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b2b	http://www.semwebtech.org/mondial/10/country/EAU/	16	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cfa	http://www.semwebtech.org/mondial/10/country/UA/	0.6	http://www.semwebtech.org/mondial/10/religion/Jewish/
3441d4f:1508ad97479:-6b76	http://www.semwebtech.org/mondial/10/country/RN/	80	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cbd	http://www.semwebtech.org/mondial/10/country/GB/	1	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6b39	http://www.semwebtech.org/mondial/10/country/ETH/	33.9	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c64	http://www.semwebtech.org/mondial/10/country/RI/	1	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6c27	http://www.semwebtech.org/mondial/10/country/GCA/	50	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6bd3	http://www.semwebtech.org/mondial/10/country/AUS/	18.7	http://www.semwebtech.org/mondial/10/religion/Anglican/
3441d4f:1508ad97479:-6c8e	http://www.semwebtech.org/mondial/10/country/THA/	0.1	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6bfd	http://www.semwebtech.org/mondial/10/country/ES/	21.2	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6d15	http://www.semwebtech.org/mondial/10/country/I/	2.1	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b1c	http://www.semwebtech.org/mondial/10/country/SD/	60	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6ceb	http://www.semwebtech.org/mondial/10/country/BIH/	4	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b67	http://www.semwebtech.org/mondial/10/country/Z/	1	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cae	http://www.semwebtech.org/mondial/10/country/ARM/	94.7	http://www.semwebtech.org/mondial/10/religion/ArmenianApostolic/
3441d4f:1508ad97479:-6c0a	http://www.semwebtech.org/mondial/10/country/CR/	1.3	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
3441d4f:1508ad97479:-6c92	http://www.semwebtech.org/mondial/10/country/LAO/	60	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6cf9	http://www.semwebtech.org/mondial/10/country/R/	20	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6c55	http://www.semwebtech.org/mondial/10/country/SA/	100	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c18	http://www.semwebtech.org/mondial/10/country/CDN/	6.8	http://www.semwebtech.org/mondial/10/religion/Anglican/
3441d4f:1508ad97479:-6bc4	http://www.semwebtech.org/mondial/10/country/MH/	100	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6b20	http://www.semwebtech.org/mondial/10/country/MS/	16.6	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c7f	http://www.semwebtech.org/mondial/10/country/MACX/	1	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6bee	http://www.semwebtech.org/mondial/10/country/CUR/	2	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
3441d4f:1508ad97479:-6b4a	http://www.semwebtech.org/mondial/10/country/TCH/	50	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6d06	http://www.semwebtech.org/mondial/10/country/BY/	10	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6cb2	http://www.semwebtech.org/mondial/10/country/TM/	89	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b95	http://www.semwebtech.org/mondial/10/country/RCH/	1.1	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
3441d4f:1508ad97479:-6cdc	http://www.semwebtech.org/mondial/10/country/DK/	2	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b58	http://www.semwebtech.org/mondial/10/country/GH/	30	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c83	http://www.semwebtech.org/mondial/10/country/KGZ/	75	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c46	http://www.semwebtech.org/mondial/10/country/UAE/	96	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6bf2	http://www.semwebtech.org/mondial/10/country/MART/	95	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c09	http://www.semwebtech.org/mondial/10/country/NIC/	58.5	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6bb5	http://www.semwebtech.org/mondial/10/country/NORF/	39	http://www.semwebtech.org/mondial/10/religion/Anglican/
3441d4f:1508ad97479:-6d34	http://www.semwebtech.org/mondial/10/country/GR/	98	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6ce0	http://www.semwebtech.org/mondial/10/country/RO/	4.7	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6bdf	http://www.semwebtech.org/mondial/10/country/TT/	24.3	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6b3b	http://www.semwebtech.org/mondial/10/country/DJI/	6	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6ca3	http://www.semwebtech.org/mondial/10/country/MYA/	4	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6b86	http://www.semwebtech.org/mondial/10/country/SME/	22.8	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6ccd	http://www.semwebtech.org/mondial/10/country/GBZ/	11	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b49	http://www.semwebtech.org/mondial/10/country/TCH/	25	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c74	http://www.semwebtech.org/mondial/10/country/COCO/	80	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c37	http://www.semwebtech.org/mondial/10/country/AXA/	30.2	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6be3	http://www.semwebtech.org/mondial/10/country/TT/	6	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c9e	http://www.semwebtech.org/mondial/10/country/IND/	80	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6ba6	http://www.semwebtech.org/mondial/10/country/TOK/	58.2	http://www.semwebtech.org/mondial/10/religion/CongregationalChristian/
3441d4f:1508ad97479:-6d25	http://www.semwebtech.org/mondial/10/country/F/	8	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cd1	http://www.semwebtech.org/mondial/10/country/MC/	90	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b2c	http://www.semwebtech.org/mondial/10/country/WAL/	10	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6cfb	http://www.semwebtech.org/mondial/10/country/UA/	2.2	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b77	http://www.semwebtech.org/mondial/10/country/MA/	1.1	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6cbe	http://www.semwebtech.org/mondial/10/country/GB/	2.7	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c1a	http://www.semwebtech.org/mondial/10/country/CDN/	42.6	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c65	http://www.semwebtech.org/mondial/10/country/RI/	6	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c28	http://www.semwebtech.org/mondial/10/country/BZ/	1.6	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
3441d4f:1508ad97479:-6b30	http://www.semwebtech.org/mondial/10/country/SN/	2	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c8f	http://www.semwebtech.org/mondial/10/country/THA/	0.5	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6bfe	http://www.semwebtech.org/mondial/10/country/ES/	57.1	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b5a	http://www.semwebtech.org/mondial/10/country/CI/	60	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6d16	http://www.semwebtech.org/mondial/10/country/I/	0.9	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6cc2	http://www.semwebtech.org/mondial/10/country/P/	1	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b1d	http://www.semwebtech.org/mondial/10/country/MAYO/	90	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cec	http://www.semwebtech.org/mondial/10/country/BIH/	15	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b68	http://www.semwebtech.org/mondial/10/country/Z/	60	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6caf	http://www.semwebtech.org/mondial/10/country/UZB/	9	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6c0b	http://www.semwebtech.org/mondial/10/country/CR/	14.4	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c93	http://www.semwebtech.org/mondial/10/country/MAL/	6.3	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6c56	http://www.semwebtech.org/mondial/10/country/KWT/	85	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c19	http://www.semwebtech.org/mondial/10/country/CDN/	16.5	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6bc5	http://www.semwebtech.org/mondial/10/country/KIR/	6	http://www.semwebtech.org/mondial/10/religion/Mormon/
3441d4f:1508ad97479:-6b21	http://www.semwebtech.org/mondial/10/country/MOC/	30	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6cf0	http://www.semwebtech.org/mondial/10/country/NL/	20	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6bef	http://www.semwebtech.org/mondial/10/country/CUR/	14.7	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b4b	http://www.semwebtech.org/mondial/10/country/RCA/	25	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6d07	http://www.semwebtech.org/mondial/10/country/BY/	80	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6cb3	http://www.semwebtech.org/mondial/10/country/TAD/	90	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6b96	http://www.semwebtech.org/mondial/10/country/RCH/	15	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6cdd	http://www.semwebtech.org/mondial/10/country/DK/	2	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b59	http://www.semwebtech.org/mondial/10/country/CI/	12	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c84	http://www.semwebtech.org/mondial/10/country/KAZ/	44	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6c47	http://www.semwebtech.org/mondial/10/country/OM/	75	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6bf3	http://www.semwebtech.org/mondial/10/country/JA/	55.9	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6bb6	http://www.semwebtech.org/mondial/10/country/NORF/	11.7	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6d35	http://www.semwebtech.org/mondial/10/country/AL/	20	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6ce1	http://www.semwebtech.org/mondial/10/country/RO/	7.5	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b3c	http://www.semwebtech.org/mondial/10/country/DJI/	94	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6ca4	http://www.semwebtech.org/mondial/10/country/MYA/	4	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c00	http://www.semwebtech.org/mondial/10/country/RH/	80	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b87	http://www.semwebtech.org/mondial/10/country/SME/	19.6	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cce	http://www.semwebtech.org/mondial/10/country/GBZ/	74	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c2a	http://www.semwebtech.org/mondial/10/country/BZ/	39.3	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c75	http://www.semwebtech.org/mondial/10/country/XMAS/	36	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6c38	http://www.semwebtech.org/mondial/10/country/AXA/	5.7	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6be4	http://www.semwebtech.org/mondial/10/country/SPMI/	99	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b40	http://www.semwebtech.org/mondial/10/country/RG/	85	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c9f	http://www.semwebtech.org/mondial/10/country/IND/	0.7	http://www.semwebtech.org/mondial/10/religion/Buddhist/
3441d4f:1508ad97479:-6ba7	http://www.semwebtech.org/mondial/10/country/TOK/	36.6	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b6a	http://www.semwebtech.org/mondial/10/country/ZRE/	20	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6d26	http://www.semwebtech.org/mondial/10/country/F/	85	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6cd2	http://www.semwebtech.org/mondial/10/country/S/	1.5	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b2d	http://www.semwebtech.org/mondial/10/country/WAL/	60	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cbf	http://www.semwebtech.org/mondial/10/country/GB/	6	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c1b	http://www.semwebtech.org/mondial/10/country/BVIR/	86	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c66	http://www.semwebtech.org/mondial/10/country/RI/	3	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c29	http://www.semwebtech.org/mondial/10/country/BZ/	30.9	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6bd5	http://www.semwebtech.org/mondial/10/country/AMSA/	50	http://www.semwebtech.org/mondial/10/religion/ChristianCongregationalist/
3441d4f:1508ad97479:-6b31	http://www.semwebtech.org/mondial/10/country/SN/	92	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6bff	http://www.semwebtech.org/mondial/10/country/RH/	16	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b5b	http://www.semwebtech.org/mondial/10/country/ZW/	25	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6d17	http://www.semwebtech.org/mondial/10/country/I/	2	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6cc3	http://www.semwebtech.org/mondial/10/country/P/	84.5	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b1e	http://www.semwebtech.org/mondial/10/country/MS/	52	http://www.semwebtech.org/mondial/10/religion/Hindu/
3441d4f:1508ad97479:-6ced	http://www.semwebtech.org/mondial/10/country/BIH/	31	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6b69	http://www.semwebtech.org/mondial/10/country/ZRE/	10	http://www.semwebtech.org/mondial/10/religion/Kimbanguist/
3441d4f:1508ad97479:-6c0c	http://www.semwebtech.org/mondial/10/country/CR/	76.3	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6c94	http://www.semwebtech.org/mondial/10/country/MAL/	9.1	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c57	http://www.semwebtech.org/mondial/10/country/JOR/	8	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6bc6	http://www.semwebtech.org/mondial/10/country/KIR/	40.9	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6b22	http://www.semwebtech.org/mondial/10/country/MOC/	20	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6cf1	http://www.semwebtech.org/mondial/10/country/NL/	30	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b4c	http://www.semwebtech.org/mondial/10/country/RCA/	25	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6d08	http://www.semwebtech.org/mondial/10/country/CH/	1.8	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
3441d4f:1508ad97479:-6cb4	http://www.semwebtech.org/mondial/10/country/PK/	97	http://www.semwebtech.org/mondial/10/religion/Muslim/
3441d4f:1508ad97479:-6c10	http://www.semwebtech.org/mondial/10/country/CAYM/	11	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6b97	http://www.semwebtech.org/mondial/10/country/RCH/	70	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
3441d4f:1508ad97479:-6cde	http://www.semwebtech.org/mondial/10/country/DK/	95	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c3a	http://www.semwebtech.org/mondial/10/country/RC/	4.5	http://www.semwebtech.org/mondial/10/religion/Christian/
3441d4f:1508ad97479:-6c85	http://www.semwebtech.org/mondial/10/country/KAZ/	2	http://www.semwebtech.org/mondial/10/religion/Protestant/
3441d4f:1508ad97479:-6c48	http://www.semwebtech.org/mondial/10/country/MV/	100	http://www.semwebtech.org/mondial/10/religion/Muslim/
\.


--
-- TOC entry 5917 (class 0 OID 90039)
-- Dependencies: 687
-- Data for Name: Border; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Border" ("URI", length, "Country1", "Country2") FROM stdin;
3441d4f:1508ad6f828:6ab3	338	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/country/SN/
3441d4f:1508ad6f828:6a84	233	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/country/ZRE/
3441d4f:1508ad6f828:69f2	252	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/country/TR/
3441d4f:1508ad6f828:6a47	1290	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/PY/
3441d4f:1508ad6f828:69b5	206	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/country/R/
3441d4f:1508ad6f828:69df	423	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/LAO/
3441d4f:1508ad6f828:6986	488	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/country/I/
3441d4f:1508ad6f828:6aa4	113	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/country/ER/
3441d4f:1508ad6f828:6a00	506	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/country/THA/
3441d4f:1508ad6f828:6a2a	410	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/country/UAE/
3441d4f:1508ad6f828:6a75	644	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/RT/
3441d4f:1508ad6f828:69e3	858	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/KGZ/
3441d4f:1508ad6f828:6a38	922	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/country/NIC/
3441d4f:1508ad6f828:69a6	573	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/F/
3441d4f:1508ad6f828:6a9f	858	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/country/RMM/
3441d4f:1508ad6f828:6a1b	820	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/country/RI/
3441d4f:1508ad6f828:6a66	1497	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/country/WAN/
3441d4f:1508ad6f828:69d4	936	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/IR/
3441d4f:1508ad6f828:6a29	676	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/country/SA/
3441d4f:1508ad6f828:69fe	605	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/country/IND/
3441d4f:1508ad6f828:6a0c	19	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/country/R/
3441d4f:1508ad6f828:6a94	467	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/RCB/
3441d4f:1508ad6f828:6a57	1559	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/MA/
3441d4f:1508ad6f828:69c5	608	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/RO/
3441d4f:1508ad6f828:69ef	164	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/GE/
3441d4f:1508ad6f828:6996	658	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/country/PL/
3441d4f:1508ad6f828:6ab4	765	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/country/ZRE/
3441d4f:1508ad6f828:6a10	3441	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/country/R/
3441d4f:1508ad6f828:6a3a	225	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/PA/
3441d4f:1508ad6f828:6a85	290	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/country/RWA/
3441d4f:1508ad6f828:69f3	284	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/R/
3441d4f:1508ad6f828:6a48	985	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/ROU/
3441d4f:1508ad6f828:69b6	1576	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/country/UA/
3441d4f:1508ad6f828:6987	73	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/country/L/
3441d4f:1508ad6f828:6aa5	337	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/country/ETH/
3441d4f:1508ad6f828:6a01	1782	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/country/RI/
3441d4f:1508ad6f828:6a2b	288	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/country/YE/
3441d4f:1508ad6f828:6a76	1000	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/RMM/
3441d4f:1508ad6f828:69e4	4673	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/MNG/
3441d4f:1508ad6f828:6a39	15	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/country/SMAR/
3441d4f:1508ad6f828:69a7	334	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/D/
3441d4f:1508ad6f828:6a11	51	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/country/IL/
3441d4f:1508ad6f828:6a1c	331	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/TR/
3441d4f:1508ad6f828:6a67	1175	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/country/TCH/
3441d4f:1508ad6f828:69d5	2430	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/PK/
3441d4f:1508ad6f828:69ff	381	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/country/MAL/
3441d4f:1508ad6f828:6a20	605	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/SYR/
3441d4f:1508ad6f828:6a4a	673	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/FGU/
3441d4f:1508ad6f828:6a0d	238	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/country/ROK/
3441d4f:1508ad6f828:6a95	1577	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/ZRE/
3441d4f:1508ad6f828:6a58	956	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/RN/
3441d4f:1508ad6f828:69c6	240	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/TR/
3441d4f:1508ad6f828:6ab5	169	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/country/RWA/
3441d4f:1508ad6f828:6997	451	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/F/
3441d4f:1508ad6f828:6a3b	2900	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/PE/
3441d4f:1508ad6f828:6a86	451	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/country/EAT/
3441d4f:1508ad6f828:69f4	9	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/TR/
3441d4f:1508ad6f828:6a49	1560	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/PE/
3441d4f:1508ad6f828:6a28	375	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/country/SYR/
3441d4f:1508ad6f828:6a8f	1690	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/WAN/
3441d4f:1508ad6f828:69fd	470	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/country/CN/
3441d4f:1508ad6f828:6aaf	682	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/SP/
3441d4f:1508ad6f828:6a0b	1051	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/KGZ/
3441d4f:1508ad6f828:6a93	298	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/G/
3441d4f:1508ad6f828:6a56	463	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/RIM/
3441d4f:1508ad6f828:69c4	318	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/SRB/
3441d4f:1508ad6f828:6a19	1273	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/SUD/
3441d4f:1508ad6f828:69ee	35	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/IR/
3441d4f:1508ad6f828:6995	215	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/country/SK/
3441d4f:1508ad6f828:69b7	1313	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/country/SF/
3441d4f:1508ad6f828:697a	151	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/MK/
3441d4f:1508ad6f828:6aa6	58	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/country/SP/
3441d4f:1508ad6f828:6988	4.4	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/country/MC/
3441d4f:1508ad6f828:6a02	235	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/country/MYA/
3441d4f:1508ad6f828:6a2c	60	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/country/SA/
3441d4f:1508ad6f828:6a77	628	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/RN/
3441d4f:1508ad6f828:69e5	0.34	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/MACX/
3441d4f:1508ad6f828:69a8	740	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/I/
3441d4f:1508ad6f828:6a30	256	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/country/HCA/
3441d4f:1508ad6f828:6979	282	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/GR/
3441d4f:1508ad6f828:6a5a	42	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/WSA/
3441d4f:1508ad6f828:6a1d	181	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/JOR/
3441d4f:1508ad6f828:6a68	201	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/RCB/
3441d4f:1508ad6f828:69d6	1206	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/TAD/
3441d4f:1508ad6f828:6a21	728	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/country/SA/
3441d4f:1508ad6f828:6a4b	1119	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/GUY/
3441d4f:1508ad6f828:6a0e	870	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/country/TAD/
3441d4f:1508ad6f828:6a96	1197	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/TCH/
3441d4f:1508ad6f828:6a59	965	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/TN/
3441d4f:1508ad6f828:69c7	476	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/country/SRB/
3441d4f:1508ad6f828:698a	1.2	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/country/GBZ/
3441d4f:1508ad6f828:6ab6	435	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/country/SSD/
3441d4f:1508ad6f828:6998	456	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/PL/
3441d4f:1508ad6f828:6a12	238	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/JOR/
3441d4f:1508ad6f828:6a3c	2050	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/YV/
3441d4f:1508ad6f828:69aa	141	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/LV/
3441d4f:1508ad6f828:6a87	217	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/country/ZRE/
3441d4f:1508ad6f828:69f5	611	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/IR/
3441d4f:1508ad6f828:69b8	620	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/F/
3441d4f:1508ad6f828:697b	172	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/MNE/
3441d4f:1508ad6f828:6a40	832	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/RA/
3441d4f:1508ad6f828:6aa7	605	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/country/SUD/
3441d4f:1508ad6f828:6989	623	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/country/F/
3441d4f:1508ad6f828:6a03	1754	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/country/THA/
3441d4f:1508ad6f828:6a6a	2511	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/ZRE/
3441d4f:1508ad6f828:6a2d	266	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/country/GCA/
3441d4f:1508ad6f828:6a78	126	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/RT/
3441d4f:1508ad6f828:69e6	30	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/HONX/
3441d4f:1508ad6f828:69a9	41	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/FL/
3441d4f:1508ad6f828:6a31	3326	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/country/USA/
3441d4f:1508ad6f828:6a5b	354	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/RN/
3441d4f:1508ad6f828:6a1e	242	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/KWT/
3441d4f:1508ad6f828:6a69	1376	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/NAM/
3441d4f:1508ad6f828:69d7	744	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/TM/
3441d4f:1508ad6f828:699a	577	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/NL/
3441d4f:1508ad6f828:6a22	375	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/country/SYR/
3441d4f:1508ad6f828:6a4c	597	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/SME/
3441d4f:1508ad6f828:69ba	148	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/L/
3441d4f:1508ad6f828:6a0f	1099	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/country/UZB/
3441d4f:1508ad6f828:6a97	175	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/SUD/
3441d4f:1508ad6f828:69c8	531	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/country/UA/
3441d4f:1508ad6f828:698b	1214	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/country/P/
3441d4f:1508ad6f828:6a50	510	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/country/SME/
3441d4f:1508ad6f828:6999	138	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/L/
3441d4f:1508ad6f828:6ab7	909	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/country/RSA/
3441d4f:1508ad6f828:6a13	76	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/SYR/
3441d4f:1508ad6f828:6a7a	548	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/GH/
3441d4f:1508ad6f828:6a3d	590	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/EC/
3441d4f:1508ad6f828:69ab	502	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/LT/
3441d4f:1508ad6f828:6a88	459	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/ZRE/
3441d4f:1508ad6f828:69f6	322	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/GE/
3441d4f:1508ad6f828:69b9	167	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/D/
3441d4f:1508ad6f828:697c	112	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/KOS/
3441d4f:1508ad6f828:6a41	3400	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/BR/
3441d4f:1508ad6f828:6aa8	912	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/country/ETH/
3441d4f:1508ad6f828:6a04	2130	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/country/VN/
3441d4f:1508ad6f828:6a6b	1110	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/Z/
3441d4f:1508ad6f828:6a2e	250	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/country/MEX/
3441d4f:1508ad6f828:6980	124	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/country/SRB/
3441d4f:1508ad6f828:6a79	584	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/CI/
3441d4f:1508ad6f828:69e7	499	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/TR/
3441d4f:1508ad6f828:6a32	8893	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/country/USA/
3441d4f:1508ad6f828:69a0	329	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/HR/
3441d4f:1508ad6f828:6a5c	459	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/TN/
3441d4f:1508ad6f828:69ca	290	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/country/R/
3441d4f:1508ad6f828:6a1f	814	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/SA/
3441d4f:1508ad6f828:69d8	137	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/UZB/
3441d4f:1508ad6f828:699b	68	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/DK/
3441d4f:1508ad6f828:6a60	419	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/country/SN/
3441d4f:1508ad6f828:6a23	97	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/country/WEST/
3441d4f:1508ad6f828:6a8a	217	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/RWA/
3441d4f:1508ad6f828:6a4d	2200	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/YV/
3441d4f:1508ad6f828:69bb	450	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/NL/
3441d4f:1508ad6f828:6a98	989	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/SSD/
3441d4f:1508ad6f828:69c9	267	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/country/LV/
3441d4f:1508ad6f828:698c	362	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/CZ/
3441d4f:1508ad6f828:6aaa	934	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/country/SSD/
3441d4f:1508ad6f828:6a51	600	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/country/SME/
3441d4f:1508ad6f828:6ab8	837	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/country/Z/
3441d4f:1508ad6f828:6a14	79	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/RL/
3441d4f:1508ad6f828:6a7b	1840	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/country/RSA/
3441d4f:1508ad6f828:6a3e	5150	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/country/RCH/
3441d4f:1508ad6f828:69ac	605	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/PL/
3441d4f:1508ad6f828:6990	37	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/FL/
3441d4f:1508ad6f828:6a89	338	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/Z/
3441d4f:1508ad6f828:69f7	193	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/country/MYA/
3441d4f:1508ad6f828:697d	228	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/country/MK/
3441d4f:1508ad6f828:6a42	861	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/RCH/
3441d4f:1508ad6f828:69b0	453	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/country/LV/
3441d4f:1508ad6f828:6aa9	769	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/country/SUD/
3441d4f:1508ad6f828:6a05	541	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/country/LAO/
3441d4f:1508ad6f828:6a6c	2410	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/country/ZRE/
3441d4f:1508ad6f828:69da	523	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/PK/
3441d4f:1508ad6f828:6a2f	962	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/country/MEX/
3441d4f:1508ad6f828:6981	79	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/country/MNE/
3441d4f:1508ad6f828:69e8	909	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/PK/
3441d4f:1508ad6f828:6a70	1930	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/country/ZRE/
3441d4f:1508ad6f828:6a33	309	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/country/NIC/
3441d4f:1508ad6f828:69a1	443	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/RO/
3441d4f:1508ad6f828:6a9a	1903	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/country/RCB/
3441d4f:1508ad6f828:6a5d	1055	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/TCH/
3441d4f:1508ad6f828:69cb	167	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/country/R/
3441d4f:1508ad6f828:69d9	3645	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/R/
3441d4f:1508ad6f828:699c	151	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/SRB/
3441d4f:1508ad6f828:6aba	491	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/RSA/
3441d4f:1508ad6f828:6a61	2237	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/country/RMM/
3441d4f:1508ad6f828:6a24	222	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/country/SA/
3441d4f:1508ad6f828:6a8b	396	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/EAU/
3441d4f:1508ad6f828:6a4e	1880	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/country/RA/
3441d4f:1508ad6f828:69bc	357	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/country/SRB/
3441d4f:1508ad6f828:6a99	87	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/country/WAN/
3441d4f:1508ad6f828:698d	784	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/D/
3441d4f:1508ad6f828:6aab	1626	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/country/SP/
3441d4f:1508ad6f828:6a52	743	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/country/YV/
3441d4f:1508ad6f828:69c0	25	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/country/MNE/
3441d4f:1508ad6f828:6ab9	419	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/Z/
3441d4f:1508ad6f828:6a15	307	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/WEST/
3441d4f:1508ad6f828:6a7c	813	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/country/ZW/
3441d4f:1508ad6f828:69ea	1458	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/IRQ/
3441d4f:1508ad6f828:6a3f	579	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/country/ROU/
3441d4f:1508ad6f828:69ad	891	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/UA/
3441d4f:1508ad6f828:6991	91	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/SK/
3441d4f:1508ad6f828:69f8	4053	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/country/IND/
3441d4f:1508ad6f828:6a06	803	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/country/THA/
3441d4f:1508ad6f828:697e	206	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/country/TR/
3441d4f:1508ad6f828:6a80	668	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/GH/
3441d4f:1508ad6f828:6a43	750	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/PY/
3441d4f:1508ad6f828:69b1	91	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/country/PL/
3441d4f:1508ad6f828:6a6d	233	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/country/Z/
3441d4f:1508ad6f828:69db	414	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/TAD/
3441d4f:1508ad6f828:6982	352	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/country/SRB/
3441d4f:1508ad6f828:6aa0	330	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/country/SN/
3441d4f:1508ad6f828:69e9	992	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/TM/
3441d4f:1508ad6f828:6a71	797	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/country/ZW/
3441d4f:1508ad6f828:6a34	330	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/country/PA/
3441d4f:1508ad6f828:69a2	235	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/country/SLO/
3441d4f:1508ad6f828:6a9b	350	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/country/GQ/
3441d4f:1508ad6f828:6a5e	383	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/SUD/
3441d4f:1508ad6f828:69cc	729	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/country/SF/
3441d4f:1508ad6f828:6abb	1231	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/ZW/
3441d4f:1508ad6f828:699d	515	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/SK/
3441d4f:1508ad6f828:6a62	1561	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/country/WSA/
3441d4f:1508ad6f828:69d0	939	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/country/UA/
3441d4f:1508ad6f828:6a25	457	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/country/UAE/
3441d4f:1508ad6f828:6a8c	475	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/MW/
3441d4f:1508ad6f828:69fa	2912	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/country/PK/
3441d4f:1508ad6f828:6a4f	160	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/country/RCH/
3441d4f:1508ad6f828:69bd	249	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/country/MNE/
3441d4f:1508ad6f828:6aac	769	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/EAT/
3441d4f:1508ad6f828:698e	366	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/H/
3441d4f:1508ad6f828:6a90	797	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/RCA/
3441d4f:1508ad6f828:6a53	1420	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/country/PE/
3441d4f:1508ad6f828:69c1	546	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/country/SLO/
3441d4f:1508ad6f828:6a16	11	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/GAZA/
3441d4f:1508ad6f828:6a7d	225	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/country/ZW/
3441d4f:1508ad6f828:69eb	1161	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/country/UZB/
3441d4f:1508ad6f828:69ae	959	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/R/
3441d4f:1508ad6f828:6ab0	933	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/EAU/
3441d4f:1508ad6f828:6992	324	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/SLO/
3441d4f:1508ad6f828:69f9	1800	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/country/THA/
3441d4f:1508ad6f828:697f	62	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/country/SRB/
3441d4f:1508ad6f828:6a81	610	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/RG/
3441d4f:1508ad6f828:6a44	900	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/PE/
3441d4f:1508ad6f828:69b2	227	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/country/R/
3441d4f:1508ad6f828:6a07	1228	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/country/VN/
3441d4f:1508ad6f828:6a6e	1360	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/country/RB/
3441d4f:1508ad6f828:69dc	2185	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/MYA/
3441d4f:1508ad6f828:6aa1	652	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/country/WAL/
3441d4f:1508ad6f828:6983	159	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/country/MK/
3441d4f:1508ad6f828:6a72	266	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/RN/
3441d4f:1508ad6f828:69e0	1281	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/VN/
3441d4f:1508ad6f828:6a35	275	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/country/RH/
3441d4f:1508ad6f828:69a3	3.2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/country/V/
3441d4f:1508ad6f828:6a9c	1360	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/country/TCH/
3441d4f:1508ad6f828:6a5f	821	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/country/RN/
3441d4f:1508ad6f828:69cd	1619	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/country/S/
3441d4f:1508ad6f828:6abc	1569	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/MW/
3441d4f:1508ad6f828:699e	102	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/SLO/
3441d4f:1508ad6f828:6a63	813	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/country/SN/
3441d4f:1508ad6f828:69d1	450	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/country/RO/
3441d4f:1508ad6f828:6a26	1458	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/country/YE/
3441d4f:1508ad6f828:6a8d	756	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/MOC/
3441d4f:1508ad6f828:69fb	1463	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/country/MYA/
3441d4f:1508ad6f828:69be	932	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/country/HR/
3441d4f:1508ad6f828:6aad	232	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/SSD/
3441d4f:1508ad6f828:6a54	982	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/LAR/
3441d4f:1508ad6f828:698f	430	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/I/
3441d4f:1508ad6f828:6a91	1094	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/TCH/
3441d4f:1508ad6f828:69c2	494	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/GR/
3441d4f:1508ad6f828:6a17	255	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/IL/
3441d4f:1508ad6f828:6a7e	430	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/country/SD/
3441d4f:1508ad6f828:69ec	1621	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/country/UZB/
3441d4f:1508ad6f828:69af	217	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/country/R/
3441d4f:1508ad6f828:6ab1	740	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/country/WAG/
3441d4f:1508ad6f828:6993	164	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/CH/
3441d4f:1508ad6f828:6a82	716	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/LB/
3441d4f:1508ad6f828:69f0	787	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/AZ/
3441d4f:1508ad6f828:6a45	1643	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/CO/
3441d4f:1508ad6f828:69b3	444	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/country/SK/
3441d4f:1508ad6f828:6a08	6846	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/R/
3441d4f:1508ad6f828:6a6f	855	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/country/RSA/
3441d4f:1508ad6f828:69dd	3380	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/IND/
3441d4f:1508ad6f828:6aa2	563	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/country/RG/
3441d4f:1508ad6f828:6984	60	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/country/F/
3441d4f:1508ad6f828:6a73	306	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/BF/
3441d4f:1508ad6f828:69e1	1533	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/KAZ/
3441d4f:1508ad6f828:6a36	203	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/country/GCA/
3441d4f:1508ad6f828:69a4	39	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/country/RSM/
3441d4f:1508ad6f828:6a9d	639	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/country/ZRE/
3441d4f:1508ad6f828:69ce	586	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/country/SF/
3441d4f:1508ad6f828:6abd	105	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/SD/
3441d4f:1508ad6f828:699f	103	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/UA/
3441d4f:1508ad6f828:6a64	443	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/country/WSA/
3441d4f:1508ad6f828:69d2	360	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/country/IRL/
3441d4f:1508ad6f828:6a27	822	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/country/TR/
3441d4f:1508ad6f828:6a8e	523	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/RCB/
3441d4f:1508ad6f828:69fc	1690	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/country/NEP/
3441d4f:1508ad6f828:69bf	241	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/country/SRB/
3441d4f:1508ad6f828:6aae	830	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/ETH/
3441d4f:1508ad6f828:6a0a	2203	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/UZB/
3441d4f:1508ad6f828:6a92	189	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/GQ/
3441d4f:1508ad6f828:6a55	1376	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/RMM/
3441d4f:1508ad6f828:69c3	148	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/MK/
3441d4f:1508ad6f828:6a18	1150	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/LAR/
3441d4f:1508ad6f828:6a7f	532	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/RMM/
3441d4f:1508ad6f828:69ed	268	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/TR/
3441d4f:1508ad6f828:6994	646	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/country/D/
3441d4f:1508ad6f828:6ab2	386	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/country/RG/
3441d4f:1508ad6f828:6a83	877	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/country/RT/
3441d4f:1508ad6f828:69f1	723	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/country/R/
3441d4f:1508ad6f828:6a46	1224	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/RA/
3441d4f:1508ad6f828:69b4	428	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/country/UA/
3441d4f:1508ad6f828:6a09	379	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/TM/
3441d4f:1508ad6f828:69de	1236	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/NEP/
3441d4f:1508ad6f828:6985	65	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/country/E/
3441d4f:1508ad6f828:6aa3	306	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/country/WAL/
3441d4f:1508ad6f828:6a74	773	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/WAN/
3441d4f:1508ad6f828:69e2	1416	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/NOK/
3441d4f:1508ad6f828:6a37	342	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/country/HCA/
3441d4f:1508ad6f828:69a5	90	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/country/UA/
3441d4f:1508ad6f828:6a9e	2184	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/country/SUD/
3441d4f:1508ad6f828:69cf	6.3	http://www.semwebtech.org/mondial/10/country/CEU/	http://www.semwebtech.org/mondial/10/country/MA/
3441d4f:1508ad6f828:6a1a	228	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/country/TL/
3441d4f:1508ad6f828:6a65	9.6	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/country/MEL/
3441d4f:1508ad6f828:69d3	76	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/CN/
\.


--
-- TOC entry 5918 (class 0 OID 90045)
-- Dependencies: 688
-- Data for Name: City; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "City" ("URI", population, elevation) FROM stdin;
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	129087	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	750000	350
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	8220207	8
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	\N	\N
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	\N	32
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	132156	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	458673	19
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	66245	153
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	175873	265
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	201729	260
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	135557	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	3572421	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	\N	2400
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	848840	4150
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	\N	1721
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	42695	88
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	305702	233
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	218705	61
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	24970	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	\N	1500
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	104269	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	184864	2820
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	17490	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	162591	67
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	140846	234
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	467185	1411
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	\N	\N
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	126062	1500
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	1152115	89
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	151672	220
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	225497	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	216287	147
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	\N	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	377496	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	279765	16
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	208956	766.73
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	223844	\N
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	2644536	19
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	309086	26
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	473766	467
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	364972	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	\N	1081
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	337765	570
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	129751	183
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	468251	0
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	235006	130
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	1081985	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	434486	2527
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	134100	382
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	244543	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	163290	1378
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	227417	86
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	409100	139
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	253706	247
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	132788	495
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	\N	425
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	400997	21
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	154063	61
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	341128	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	139445	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	154358	1294
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	208114	43
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	163552	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	209440	562
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	1297526	21.95
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	101080	130
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	327540	137
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	663617	230
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	5345961	\N
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	1396074	237
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	171750	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	215196	4
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	1907479	13
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	243497	26
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	185512	6
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	1073794	30
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	\N	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	103396	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	405286	3
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	\N	\N
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	118363	-2
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	197899	16
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	682834	34
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	290500	26
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	79042	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	224943	9
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	1649519	30
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	356118	169
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	\N	566
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	109015	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	168828	206
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	119286	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	146051	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	254622	300
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	518090	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	298581	67
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	7457600	237
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	255029	1555
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	\N	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	209945	160
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	137046	21
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	\N	408
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	542707	11
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	510565	350
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	667726	39
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	123738	228
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	56569	165
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	129237	195
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	142214	\N
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	606137	444
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	177662	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	170204	374
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	75225	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	7961	452
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	108261	9
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	2921488	1339
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	115453	194
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	410775	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	149622	100
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	158494	42
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	81494	342
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	129418	5
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	335200	920
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	132011	10
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	14725	43
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	661256	1039
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	174758	13
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	\N	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	\N	593
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	553966	10
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	100000	\N
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	27797	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	105021	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	97765	212
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	118360	320
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	113068	800
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	305421	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	614535	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	131982	71
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	149700	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	149058	259
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	27269	155
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	335701	80
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	72953	68
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	153060	21
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	311206	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	105676	439
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	163200	378
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	955041	169
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	\N	940
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	117184	356
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	100129	0
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	3403135	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	233673	\N
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	710236	1276
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	144957	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	\N	325
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	\N	0
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	2444085	\N
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	331346	650
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	520982	900
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	98776	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	113277	975
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	843393	218
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	152918	709
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	\N	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	\N	41
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	165241	747
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	215577	\N
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	199791	1070
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	369584	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	223167	627
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	56825	23
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	425836	65
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	336532	118
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	153044	222
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	430250	39
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	2749703	14
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	102885	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	2674923	8
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	237497	664
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	182441	\N
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	361941	0
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	\N	250
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	850227	990
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	60155	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	234698	\N
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	\N	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	219915	76
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	147036	76
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	1619146	2850
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	\N	6
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	\N	500
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	688701	183
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	227183	673
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	203375	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	163688	0
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	1388481	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	399416	\N
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	108156	2
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	206192	12
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	\N	655
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	448028	694
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	24517	14
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	244974	1171
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	659924	788
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	160691	\N
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	347930	150
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	154019	2
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	279924	9
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	110076	334
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	3029372	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	156633	719
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	150379	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	281434	\N
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	240742	90
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	339133	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	134372	769
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	846191	\N
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	62914	5
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	\N	83
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	2946440	0
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	175753	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	\N	203
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	1262940	43
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	248380	150
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	150473	1435
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	229425	609
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	137485	5
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	176298	30
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	458933	1370
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	182154	\N
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	252520	59
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	28759	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	141708	540
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	96067	194
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	265200	963
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	2150800	-28
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	114056	\N
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	118016	34
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	135813	61
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	274739	923
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	\N	451
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	102099	4
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	136396	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	90161	\N
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	93924	175
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	447185	1310
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	134419	1542
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	381931	8
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	264775	1550
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	247643	6
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	725000	737
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	263499	10
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	264683	3735
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	140769	3
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	19234	206
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	2195914	13
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	171999	686
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	366549	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	157540	16
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	207299	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	1094628	47
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	221814	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	239124	\N
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	239987	100
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	\N	24
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	294265	34
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	1409019	198
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	174286	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	563173	\N
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	10354	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	609456	15.2
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	101784	199
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	78703	150
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	164396	1
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	212665	1708
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	88529	1
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	327356	20
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	4253913	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	\N	326
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	287206	187
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	944285	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	\N	270
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	180776	221
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	192353	7
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	93941	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	253300	170
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	176193	389
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	373987	1538
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	549182	200
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	107123	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	142170	300
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	123232	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	\N	51
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	998999	19
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	144269	583
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	12909	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	158984	60
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	194181	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	85737	70
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	132545	9
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	107355	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	167834	50
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	129527	108
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	291422	518
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	\N	\N
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	62050	89
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	791710	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	439611	379
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	3129228	7
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	125300	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	8405837	10
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	110457	1885
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	210512	154
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	173160	150
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	130707	\N
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	183691	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	174700	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	156885	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	232258	455
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	283041	21.95
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	202419	20
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	\N	5
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	4659048	521
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	6699	\N
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	59239	317
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	610613	366
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	186270	170
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	\N	65
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	401553	91
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	1010970	\N
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	802778	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	155361	2
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	257891	30
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	92068	\N
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	150643	680
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	429214	198
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	403418	36
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	214957	209
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	165350	368
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	101381	80
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	154718	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	6241971	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	246441	79
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	266324	299
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	109268	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	195979	25
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	476385	6
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	412575	4
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	118186	1229
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	255929	248
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	270726	107
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	112950	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	419086	2
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	5577940	53
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	214079	17
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	114244	\N
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	377869	657
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	409655	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	634464	182
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	356743	547
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	340387	1767
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	239675	\N
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	242537	75
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	380665	1399
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	1513367	331
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	133327	14
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	159500	396
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	419406	817
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	84641	410
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	204970	1698
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	175895	55
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	296417	5
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	169894	0
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	630587	2558
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	59040	\N
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	100064	39
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	151019	2761
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	992541	1500
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	201100	86
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	1363337	22.3
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	127724	815
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	\N	275
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	920740	412
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	806475	549
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	109094	1489
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	78328	1300
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	1156201	220
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	1599540	520
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	500183	205
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	148917	\N
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	104107	40
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	249432	55
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	1611013	12
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	100311	61
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	109673	40
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	211320	121
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	126507	16
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	629681	180
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	812895	2
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	262884	1276
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	99591	100
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	109260	1200
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	113188	190
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	290117	97
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	438326	0
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	\N	\N
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	839755	50
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	357052	\N
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	\N	\N
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	137782	\N
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	406123	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	158977	\N
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	51900	110
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	352125	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	23276	670
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	61264	514
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	1020241	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	115494	95
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	703421	18
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	110411	150
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	328636	860
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	729842	296
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	483705	1600
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	108077	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	881801	15
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	37000	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	236176	370
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	525794	1850
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	162930	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	210936	2
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	159719	8
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	122045	648.5
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	591985	175
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	70548	180
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	219153	\N
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	131187	130
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	129191	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	537102	522
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	\N	9
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	168798	13
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	267921	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	103843	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	181481	264
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	126353	931
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	255394	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	309050	\N
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	\N	58
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	77682	435
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	4335989	23
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	\N	380
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	295623	0
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	104009	30
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	106098	117
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	456618	1
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	1798218	527
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	3093980	63
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	271895	221
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	233200	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	147663	5
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	120023	\N
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	4215	10
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	431583	14
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	\N	45
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	228017	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	191557	375
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	11071424	21
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	1500000	81
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	168642	622
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	215173	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	174086	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	124470	19
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	210146	470
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	49152	23
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	5241	455
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	123548	1000
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	217987	154
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	510300	1217
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	162449	493
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	124014	11
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	615306	140
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	208297	567
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	103068	52
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	315866	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	1257676	131
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	366151	251
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	1904319	\N
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	118238	8
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	248347	113
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	301926	1540
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	55877	211
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	190701	1099
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	210784	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	343870	245
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	\N	\N
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	137283	155
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	208797	12
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	12442373	14
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	220962	5
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	2249975	28
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	269365	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	119216	350
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	144940	21
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	140499	17
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	143035	\N
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	155505	0
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	272222	132
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	354409	1172
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	13485	182
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	171346	308
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	290696	4
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	211891	536
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	178596	570
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	146288	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	211755	1363
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	131257	145
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	352735	66
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	229399	993
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	381583	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	103749	120
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	842583	5
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	181424	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	305765	60
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	320539	90
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	1798601	\N
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	20480	\N
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	499497	10
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	179572	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	126284	500
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	168286	10
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	197595	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	356652	1100
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	127368	33
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	\N	230
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	\N	450
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	509098	160
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	342703	3
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	224660	244
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	1751907	934.6
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	350280	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	\N	271
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	32022	1464
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	179149	34
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	235782	5
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	1164654	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	566201	116
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	\N	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	148438	15
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	307764	\N
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	26099	\N
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	307758	12
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	547778	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	410481	5
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	183402	160
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	603502	0
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	1382113	\N
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	152025	543
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	3531347	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	150989	13
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	1516210	1190
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	143913	197
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	143822	6
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	1175116	568
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	75573	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	488468	33
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	\N	11
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	10851	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	385279	1697
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	3543719	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	226876	168
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	161391	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	3426519	800
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	203203	950
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	181005	430
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	\N	0
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	78776	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	129868	18
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	277799	76
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	\N	24
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	124048	60
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	\N	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	\N	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	1800000	223
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	230892	179
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	6330	\N
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	116059	157
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	112373	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	104571	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	722022	162
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	609320	\N
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	128060	\N
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	324881	14
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	371601	58
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	338184	537
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	54714	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	277138	4
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	442884	26
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	457601	\N
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	386089	780
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	\N	1700
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	145818	6
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	138963	137
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	238470	583
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	51026	6
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	\N	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	108000	\N
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	396251	\N
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	8471859	23
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	105671	137
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	156358	131
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	\N	135
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	178020	1491
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	231973	36
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	136200	302
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	109576	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	175547	\N
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	512354	112
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	98765	26
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	135284	61
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	250174	136
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	1005775	53
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	123697	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	158590	872
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	5968384	19
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	437311	12
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	872367	239
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	296831	\N
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	204949	80
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	584342	55.5
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	2097610	2.5
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	307498	48
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	53015	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	155298	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	\N	280
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	256755	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	2227733	\N
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	267767	494
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	106780	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	2375151	760
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	395227	619
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	195673	17
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	876958	10
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	194300	260
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	760077	1350
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	261325	183
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	206081	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	1835300	239
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	107745	340
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	98310	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	2921762	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	291826	31
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	428741	250
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	906004	31
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	1381475	10
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	212976	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	566211	21.95
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	7194311	16
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	163286	619
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	200154	15
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	61121	56
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	122120	176
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	\N	381
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	1486053	660
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	144248	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	1618879	262
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	130115	\N
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	198146	57
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	102052	\N
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	373528	130
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	175988	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	\N	\N
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	4646732	6
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	313469	0
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	\N	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	1400000	5
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	698318	174
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	276969	3
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	100160	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	228404	123
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	424392	11
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	89364	342
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	3437171	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	163449	30
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	238834	25
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	180302	25
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	2637652	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	253651	\N
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	138952	34
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	289376	823
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	268878	273
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	532330	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	241003	738
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	294675	120
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	195951	67
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	\N	96
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	136811	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	144342	32
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	403971	96
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	\N	15
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	213238	26
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	368369	25
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	178395	721
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	7776845	2640
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	144307	165
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	174689	160
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	10358381	0
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	384399	1900
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	535907	11
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	120844	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	2814258	179
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	\N	884
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	402700	486
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	325565	75
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	509510	228
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	323054	3259
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	116677	12
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	350544	17
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	145438	27
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	18754	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	186372	1225
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	149348	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	285255	40
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	119182	71
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	108000	17
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	118780	1
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	123782	225
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	104157	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	\N	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	162198	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	231146	801
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	208778	152.4
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	103717	\N
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	703963	11.89
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	215236	5
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	107627	\N
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	109518	357
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	93726	47
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	103369	372
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	84765	300
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	124969	5
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	789522	1137
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	189244	\N
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	425071	\N
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	151658	802
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	323827	8
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	\N	327
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	265600	475
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	590498	31
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	83457	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	302800	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	185242	50
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	373725	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	152097	133
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	293212	15
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	243303	131
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	124176	338
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	101010	\N
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	233	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	139426	215
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	126943	541
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	484596	546
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	234919	124
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	88997	101
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	174570	1270
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	1290322	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	112497	52
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	189902	149
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	\N	3
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	169841	370
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	148521	45
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	394627	2160
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	229452	17
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	132455	\N
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	51152	850
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	187251	1253
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	167424	92
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	719149	90
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	105549	28
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	136363	196
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	269211	353
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	9339023	8
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	123000	226
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	\N	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	250528	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	246833	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	60005	94
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	727500	8
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	24255	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	\N	534
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	\N	3
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	102770	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	151999	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	190542	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	241019	321
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	100153	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	443210	180
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	120719	11
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	235234	47
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	233197	1183
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	350077	586
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	421576	343
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	\N	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	121100	530
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	202456	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	222189	481.5
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	388311	1131
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	233537	\N
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	621480	20
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	65473	1
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	386851	1638
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	417341	1840
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	165469	\N
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	482652	138
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	130223	\N
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	203753	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	291187	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	148722	1196
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	606755	763
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	187944	106
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	348935	3399
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	622771	369
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	822553	275
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	185965	80
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	657297	149
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	601400	858
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	760186	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	\N	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	360281	\N
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	215757	10
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	108642	0
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	262748	6
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	78476	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	115958	85
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	132744	\N
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	161996	1200
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	1003285	1400
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	\N	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	147808	54
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	114185	90
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	107314	132
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	124239	234
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	698042	7
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	143300	59
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	123213	568
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	2679450	17
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	210216	35
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	300466	13
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	218410	129
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	126438	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	162326	2750
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	706453	1140
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	553914	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	326870	118
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	120441	245
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	\N	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	\N	74
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	586180	20
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	148474	42
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	147482	1609
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	115940	21
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	167636	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	2405665	310
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	128433	42
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	1338	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	207402	140
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	329638	2
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	87474	594
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	180817	31
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	185187	0
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	772873	26
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	590677	20
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	489967	445
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	207862	20
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	126207	42
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	101000	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	71203	440
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	\N	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	1495182	1566
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	374559	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	201187	27
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	1792881	53
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	305632	625
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	\N	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	142913	572
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	803329	0.9
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	663400	85
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	\N	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	3629257	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	190123	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	410643	13
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	242833	2.13
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	121397	4
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	120229	3830
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	311682	698
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	\N	1132
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	116366	0
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	315019	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	390865	13
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	364130	153
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	1734705	100
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	256584	2432
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	132608	4
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	239196	210
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	462668	1152
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	\N	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	147585	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	1269848	1279
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	230587	10
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	98596	218
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	115021	201
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	206105	832
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	1453549	416
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	248813	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	617301	\N
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	307990	1850
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	\N	\N
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	576194	10
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	1096833	1045
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	475322	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	471717	360
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	133101	\N
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	411880	310
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	289301	61
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	5618	0
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	142331	1398
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	1812941	784
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	286163	110
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	2125481	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	1841488	\N
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	178042	23
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	161910	\N
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	327801	4
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	136484	350
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	2635406	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	363382	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	171010	27
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	110048	\N
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	100497	16
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	257686	390
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	217062	\N
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	246319	450
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	217355	383
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	219215	376
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	236420	173
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	110507	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	122678	804
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	179976	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	875788	566
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	612383	2240
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	147002	210
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	154732	47
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	119962	162
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	142968	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	295143	1551
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	510746	38
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	111500	39
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	\N	\N
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	\N	\N
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	446233	82
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	116976	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	312587	1285
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	305576	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	141762	438
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	\N	\N
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	106849	134
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	\N	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	547989	110
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	212533	1199
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	150112	\N
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	356840	1448
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	166310	70
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	518709	1880
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	316772	23
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	521273	1879
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	467807	280
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	9785388	37
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	764617	3640
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	667925	112
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	215790	51
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	170049	422
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	114198	190
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	37366	11
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	302468	50
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	240117	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	362773	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	\N	565
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	157181	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	195844	41
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	205504	32
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	173531	842
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	455193	808
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	1552161	680
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	\N	30
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	124386	574
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	\N	51
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	851405	1350
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	135124	27
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	575942	1870
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	418710	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	540002	9
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	1073345	380
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	242646	120
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	115517	43
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	204847	65
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	1881645	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	762719	80
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	\N	155
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	170936	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	\N	1410
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	75579	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	105367	\N
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	210305	13
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	99251	\N
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	350985	5
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	1026848	207
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	192692	587
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	173878	287
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	\N	992
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	958399	7
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	43088	192
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	559248	\N
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	400738	470
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	181895	431
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	\N	1600
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	146393	110
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	195222	8
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	135217	600
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	248574	0
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	122855	40
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	228200	40
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	100052	151
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	484573	2280
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	1112021	17
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	209086	960
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	104554	289
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	632913	140
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	57229	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	\N	430
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	200410	44
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	227533	17
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	137515	3
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	998537	25
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	2303648	74
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	162887	12
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	259841	206
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	166588	242
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	\N	286
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	140896	860
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	309010	60
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	113443	98
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	\N	403
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	124042	132
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	75413	80
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	154238	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	224898	930
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	102874	160
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	105712	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	653450	103
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	\N	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	2181061	379
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	469169	552
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	67973	2195
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	173452	2
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	6731790	505
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	568928	38
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	201363	260
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	142255	817
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	241643	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	787563	25
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	165893	0
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	4467797	13
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	157267	5
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	752490	10
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	411542	45
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	519000	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	\N	1140
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	236086	134
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	190772	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	\N	321
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	\N	660
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	144236	1
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	204247	45.7
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	\N	4330
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	182241	\N
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	\N	30
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	\N	786
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	409924	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	223033	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	256012	\N
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	\N	\N
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	\N	2205
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	279127	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	205560	17
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	250718	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	117463	524
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	165456	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	56224	20
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	290868	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	114025	45
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	833562	0
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	175853	230
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	142363	269
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	182488	\N
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	126132	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	497032	42
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	168048	75
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	72237	\N
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	206949	190
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	\N	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	95594	235
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	783122	0
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	416969	332
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	149883	4
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	\N	1570
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	147369	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	209654	569
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	196926	1460
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	148362	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	7423137	4
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	189191	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	114813	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	653410	2250
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	120670	120
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	\N	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	322935	479
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	459366	47
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	692215	13
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	164008	55
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	120791	\N
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	386086	70
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	270049	781
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	103916	0
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	85055	310
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	132502	16
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	371963	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	315083	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	194461	858
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	271562	1712
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	127474	288
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	493813	170
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	216760	1500
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	219241	12
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	216960	67
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	\N	\N
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	200505	588
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	192509	\N
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	134633	44
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	2765487	5
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	\N	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	\N	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	424490	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	395360	452
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	43263	18
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	509924	94
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	\N	0
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	215178	27
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	121806	3
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	330970	242
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	302789	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	253240	749.43
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	691955	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	2482210	1172
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	\N	2
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	152993	1120
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	139784	1
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	6444	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	203309	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	152374	207
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	268228	648
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	\N	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	\N	0
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	296851	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	599012	5
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	538195	0
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	191037	12
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	424610	14.7
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	1034358	23
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	3040740	2355
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	159372	846
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	\N	\N
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	357238	0
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	91782	250
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	111374	275
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	206400	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	\N	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	1495453	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	190473	10
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	4087152	612
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	128888	\N
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	109691	\N
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	93081	267
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	1469293	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	2971102	\N
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	272860	\N
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	211362	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	296723	136
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	181728	40
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	696618	7
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	94751	6
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	527345	-28
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	119200	0
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	104011	48
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	569518	24
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	234622	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	97886	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	123618	49
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	1008162	40
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	189429	6
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	127750	5
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	59488	1848
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	220779	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	331351	190
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	\N	84
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	137080	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	120101	39
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	175007	10
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	116434	34
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	235100	505
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	365366	184
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	97856	60
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	202672	177
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	197216	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	\N	880
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	230120	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	213165	128
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	\N	\N
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	403064	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	152288	\N
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	111843	5
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	296705	\N
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	251013	20
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	253962	164
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	273737	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	164719	5
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	159848	\N
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	514967	240
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	274001	20
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	180120	687
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	163146	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	159138	1100
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	\N	208
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	156049	153
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	109155	220
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	212193	196
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	170841	50
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	305155	316
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	\N	1525
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	105739	143
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	98726	50
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	880691	2
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	162949	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	552393	60
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	156021	32
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	974691	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	\N	302
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	194178	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	275325	982
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	571143	86
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	2364230	10
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	2008861	184
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	271445	110
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	144466	55
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	113958	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	\N	428.5
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	4492	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	\N	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	812201	645
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	119391	56
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	416223	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	1225133	22
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	116570	\N
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	56779	10
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	1085810	140
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	358378	200
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	1223954	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	72617	\N
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	\N	\N
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	474632	9
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	219467	-2
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	111314	\N
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	351356	19
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	3039439	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	\N	345
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	143499	144
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	195943	446
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	\N	152
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	155281	52
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	1422831	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	175482	90
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	2673226	10
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	507911	\N
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	330486	80
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	664046	70
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	174287	1
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	98895	90
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	250951	\N
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	585890	247
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	251792	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	676407	700
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	185818	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	2044028	32
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	412116	550
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	101952	162
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	180130	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	\N	40
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	180918	4.5
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	1142483	1571
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	348216	1147
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	1738570	50
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	88139	113
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	233362	266
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	603488	610
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	124103	55
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	590661	268
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	\N	473
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	95589	381
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	519949	75
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	75414	25
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	192556	\N
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	2435400	1791
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	210891	190
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	212003	12
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	230424	187
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	489160	2280
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	396697	199
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	111137	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	622104	10
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	3121275	11
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	529136	716
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	459007	436
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	359341	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	463109	1549
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	901700	800
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	462257	9
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	142511	600
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	112673	21
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	107720	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	\N	81
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	137383	305
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	309764	280.4
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	162885	104
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	80507	\N
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	457216	\N
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	239800	200
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	1259921	78
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	92900	0
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	236895	906
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	106172	0
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	12174	1
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	\N	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	175377	249
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	337256	6
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	1016722	16
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	163540	748
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	180273	340
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	5329024	51
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	177193	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	207628	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	631377	105
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	139417	266
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	150568	40
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	119565	50
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	235354	10
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	223300	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	144073	1525
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	549050	24
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	13646	443
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	163924	306
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	370814	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	643079	\N
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	800000	2
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	146207	871
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	308285	680
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	1372724	6
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	1507737	500
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	336511	48
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	402855	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	199643	54
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	158763	17
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	1350000	\N
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	267950	0
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	162807	930
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	147815	28
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	\N	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	192473	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	240749	719
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	207412	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	820243	476
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	1256724	26
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	479837	35
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	257352	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	565137	1680
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	236636	20
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	548209	1285
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	649495	1564
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	1270284	500
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	294773	21
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	5209541	15
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	104973	374
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	792211	2300
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	153598	97
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	348963	540
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	123958	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	258879	215
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	\N	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	482043	471
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	78100	1768
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	223446	0
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	266790	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	193343	1
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	103840	\N
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	439090	100
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	202625	15
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	92465	259
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	2452185	21
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	233500	409
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	185456	65
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	132437	623
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	307745	54
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	105967	25
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	111435	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	195485	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	11034555	0
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	1018790	80
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	229634	296
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	526247	477
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	233567	430
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	132060	40
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	478950	135
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	\N	435
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	322600	408
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	150977	48
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	178683	29
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	180263	3
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	207623	\N
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	\N	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	175400	961
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	207021	660
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	217463	7
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	\N	\N
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	\N	714
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	663342	9
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	110351	232
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	123230	1920
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	268834	34
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	1555984	4
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	200574	80
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	104282	21
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	131050	656
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	173868	984
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	1527861	2250
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	116896	150
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	163604	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	262947	473
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	245193	13
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	519900	150
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	220678	\N
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	149414	\N
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	113249	0
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	104190	952
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	2344634	15
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	234547	95
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	216701	672
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	136426	58
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	160169	1721
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	123516	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	131264	725
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	426381	954
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	181805	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	141630	\N
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	161707	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	3884307	93
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	314014	283
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	\N	50
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	420279	225
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	413488	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	950334	265
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	132971	\N
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	678115	243
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	557579	0
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	722772	1850
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	1054420	196
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	108404	140
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	299235	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	202730	664
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	\N	1007
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	1460665	1500
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	792727	199
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	103608	\N
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	542023	43
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	295200	76
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	329639	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	102400	229
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	288700	357
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	188619	10
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	77137	230
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	243916	20
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	108145	3
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	238137	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	117695	20
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	105859	\N
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	652534	1065
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	66800	5
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	8250205	0
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	135136	814
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	597511	1921
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	1883425	55.8
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	540095	140
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	347928	172
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	155173	2
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	\N	800
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	1527407	100
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	586291	38
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	\N	\N
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	437667	43
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	254842	\N
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	257867	195
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	2070463	61
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	255129	179
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	187961	160
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	137122	263
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	410837	190
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	747500	706
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	1110000	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	331817	6
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	420243	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	120046	\N
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	\N	6
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	118240	520
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	\N	26
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	245421	665
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	204772	154
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	784048	25
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	213659	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	281728	\N
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	189505	102
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	602996	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	116469	573
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	152759	\N
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	227333	1014
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	330081	5
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	167754	131
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	220062	130
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	135403	337
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	447340	115
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	\N	858
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	140547	0
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	403900	450
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	1062731	2
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	\N	299
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	1064951	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	750501	501
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	100079	1001
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	\N	41
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	951424	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	354141	260
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	200868	194
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	228725	6
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	377520	219
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	\N	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	275129	1760
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	362268	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	337230	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	114983	481
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	151349	920
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	\N	42
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	41557	29
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	168376	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	100931	3052
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	53532	0
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	154305	2
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	76252	-3
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	\N	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	1414050	198
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	608836	1120
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	459787	277
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	72200	\N
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	118265	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	155160	65
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	\N	1650
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	492559	29
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	193368	14
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	257015	100
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	137300	91
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	119814	5
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	109918	631
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	6252	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	168113	\N
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	366712	278
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	7055071	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	184292	700
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	\N	260
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	525853	431
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	2182154	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	167783	29
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	265349	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	409211	1
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	1017865	101
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	125000	\N
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	193563	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	109120	7
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	107329	\N
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	2096851	1065
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	189638	61
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	25861	1168
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	340559	100
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	160754	759
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	406450	301
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	1004276	1050
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	384613	36.88
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	314247	52
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	96474	1185
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	133183	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	159344	\N
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	255463	\N
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	\N	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	209793	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	113507	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	1270000	\N
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	1294106	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	3442361	6
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	334568	4
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	64199	20
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	113429	147
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	2801481	12
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	59942	501
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	195021	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	2441123	1495
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	829134	14
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	245699	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	123741	454
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	1003638	154
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	202378	751
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	57992	1243
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	165502	3
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	101954	219
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	150498	16
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	390733	83
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	222243	46
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	476896	\N
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	490	\N
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	96170	8
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	149166	1780
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	487562	0
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	\N	280
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	189453	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	288120	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	286330	3
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	104885	5
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	\N	2123
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	117267	5
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	259153	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	108359	199
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	79513	25
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	237133	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	6320446	31
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	54554	8
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	79072	20
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	131719	0
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	108793	2
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	135133	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	602966	546
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	1074036	928
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	153378	141
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	1077075	12
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	189293	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	1104585	2220
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	613343	16
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	256705	287
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	244696	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	11152344	760
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	214390	130
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	121567	33
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	102874	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	263703	275
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	289380	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	484212	1718
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	2334871	11
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	213745	\N
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	195931	\N
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	847841	16
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	\N	226
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	149498	389
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	587266	863
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	107839	\N
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	222247	38
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	2141993	59
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	441624	\N
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	117892	21
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	186991	1021
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	605120	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	628306	10
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	502979	113
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	142723	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	67803	\N
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	114324	51
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	173524	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	289966	5
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	121387	0
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	1028808	83
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	852138	7
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	107219	0
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	140486	4
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	147146	1080
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	277414	130
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	1176187	116
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	617106	660
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	104682	\N
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	147285	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	1380000	147
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	\N	1155
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	271220	69
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	78916	190
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	104049	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	415466	1157
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	358079	50
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	480520	178
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	262051	3
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	1409351	10
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	1485231	1490
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	760700	219
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	257862	\N
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	798809	\N
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	420997	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	470819	20
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	958522	4
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	3198645	667
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	105190	122
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	137919	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	892713	675
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	387223	88
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	2291158	4
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	1964086	553
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	86929	64
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	58790	0
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	251971	\N
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	476444	\N
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	117166	0
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	\N	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	122110	23
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	2166554	488
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	240654	1573
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	524442	27
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	210452	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	149263	744
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	182903	18
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	114296	268
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	1523801	177
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	129699	187
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	458679	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	148171	330
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	248948	10
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	3034750	1275
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	329325	3
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	199732	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	312775	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	\N	\N
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	127498	0
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	1636229	23
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	346106	74
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	147913	5
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	153118	14
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	1238962	1815
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	529180	507
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	623966	23
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	214294	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	145196	116
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	65149	1
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	\N	771
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	175468	157
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	11090314	5
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	603184	47
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	788589	4
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	166865	40
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	\N	20
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	\N	701
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	116761	478
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	137758	209
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	9708483	\N
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	\N	\N
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	129965	603
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	1761738	151
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	3046163	431
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	360000	9
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	\N	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	\N	261
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	217343	1675
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	282415	\N
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	149957	15
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	713640	\N
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	541177	768
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	132393	450
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	308440	\N
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	331888	2560
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	1010433	298.15
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	141761	225
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	102223	0
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	399508	2
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	277600	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	101075	211
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	140684	73
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	281352	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	204899	266
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	72576	\N
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	439903	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	1614626	1312
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	440604	18
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	119061	980
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	344427	678
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	\N	\N
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	2681863	19
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	257382	952
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	194301	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	519025	100
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	49957	137
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	264439	1620
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	93028	92
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	159994	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	386081	\N
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	\N	4
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	443575	67
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	2765348	126
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	89916	49
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	163974	0
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	599169	100
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	473762	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	109935	30
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	246799	327
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	\N	1184
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	261862	865
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	\N	15
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	65800	80
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	139601	6
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	196986	664
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	108438	90
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	371337	54
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	120256	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	3855346	1892
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	193784	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	\N	3
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	109805	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	239287	1521
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	92635	1320
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	270283	147
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	359451	194
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	56662	312
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	213063	174
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	416289	242
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	\N	599
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	92617	50
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	725005	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	220389	10
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	317223	164
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	99187	267
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	299676	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	245671	\N
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	1318755	43
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	106847	170
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	126683	270
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	1660714	16
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	55014	220
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	130903	347
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	59007	16
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	1670806	129
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	186856	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	362286	60
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	206553	9
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	118061	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	11716620	43.5
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	253200	600
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	201150	853
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	881235	0
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	460354	0
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	285068	214
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	136302	37
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	\N	\N
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	\N	819
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	54633	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	220129	107
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	239399	1
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	196494	-20
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	505566	84
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	221742	230
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	390096	10
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	2628426	1518
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	369222	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	1300983	20
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	\N	300
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	31275	17
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	298681	584
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	838675	\N
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	839566	10
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	262892	262
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	210115	180
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	\N	526
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	103886	68
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	481900	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	310839	32
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	\N	\N
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	254450	2133
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	\N	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	175779	74
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	184674	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	222394	170
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	\N	800
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	366815	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	513000	39
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	2274113	2
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	84476	\N
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	123187	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	151585	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	207996	3
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	243735	0
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	885400	149
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	149400	582
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	353577	20
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	167427	8
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	104867	144
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	154084	348
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	1711324	78
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	508635	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	\N	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	382386	396
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	196244	-3
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	273300	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	124810	143
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	178765	270
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	1408150	320
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	215458	773
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	84800	167
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	5750000	34
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	416442	1387
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	209038	180
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	227385	35
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	4496694	9
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	289173	115
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	749291	2335
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	240753	525
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	1100000	\N
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	133019	2.4
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	324712	35
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	372410	550
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	106475	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	185623	1730
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	235983	10
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	114586	12
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	633971	156
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	106943	\N
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	2768772	25
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	74332	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	301276	35
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	196515	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	81764	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	138716	30
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	241055	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	108504	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	1112544	98
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	618278	320
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	100570	118
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	476349	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	28197	1181
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	105549	276
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	317144	\N
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	115490	26
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	0	120
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	1171598	100
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	777615	10
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	\N	750
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	129011	2440
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	198023	7
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	\N	\N
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	112486	480
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	186332	32
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	92659	10
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	\N	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	252213	0
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	107926	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	\N	\N
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	111075	130
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	\N	427
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	123366	\N
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	284750	20
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	357313	780
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	5878939	150
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	256613	10
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	180752	80
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	140556	500
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	665100	51
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	181954	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	527451	959
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	\N	25
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	115590	746
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	315976	12
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	5076700	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	117264	67
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	368316	\N
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	91293	44
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	197952	219
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	156823	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	186599	980
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	108793	\N
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	1077719	150
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	151515	\N
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	209628	278
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	49107	29
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	421076	12
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	577785	39
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	951418	298
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	267785	588
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	312892	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	129062	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	305215	2
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	493520	610
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	137459	910
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	\N	183
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	103670	14
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	259388	2810
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	214406	286
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	335582	350
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	114297	262
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	486152	1216
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	383490	489
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	303871	252
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	932129	7
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	541857	38
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	300449	13
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	\N	604
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	409075	120
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	3290918	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	100712	10
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	114254	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	161778	348
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	168810	29
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	123440	4
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	\N	47
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	635464	\N
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	151751	340
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	213373	1178
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	106362	150
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	\N	\N
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	217199	2
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	115879	235
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	883391	70
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	178095	15
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	560725	1352
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	247227	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	\N	80
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	294200	11
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	125063	\N
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	302727	1001
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	87622	11
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	\N	555
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	216276	54
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	133910	\N
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	137601	200
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	382578	253
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	199592	624
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	192247	\N
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	36735	2
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	1212943	18
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	125308	17
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	164747	36
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	\N	44
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	219856	406
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	406370	545.6
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	255188	70
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	117415	66
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	348120	168
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	193100	577
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	1684222	53
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	140957	321
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	2035064	305
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	77075	13
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	102384	8
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	110537	\N
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	199191	163
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	529542	15
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	169930	511
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	673616	500
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	152698	384
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	197602	354
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	117577	2
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	155265	221
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	321770	790
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	\N	3676
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	335551	67
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	51468	0
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	137994	\N
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	48109	\N
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	451318	76
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	4193073	222
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	172525	130
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	151243	10
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	100072	150
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	116005	34
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	561435	11
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	\N	1350
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	226569	215
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	172522	179
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	837442	16
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	108590	90
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	1271403	178
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	227881	\N
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	50608	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	370332	16
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	1727692	570
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	313046	1040
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	637411	\N
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	211784	56
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	510383	15.4
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	114411	261
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	2146577	\N
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	700887	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	351476	610
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	413064	\N
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	124927	374
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	104078	4
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	556127	150
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	\N	110
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	392214	24
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	318136	170
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	281286	838
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	1832114	2
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	\N	356
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	157188	712
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	227086	360
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	119441	\N
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	168576	13
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	174962	440
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	2394873	768
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	115356	896
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	1706696	6
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	130627	50
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	767557	87
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	189652	4067
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	150041	\N
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	\N	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	350043	59
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	103284	57.2
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	1197384	122
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	156317	\N
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	168746	80
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	774407	16
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	4123869	5
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	593636	72
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	172796	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	109520	\N
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	120971	238
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	2199690	71
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	139629	151
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	203000	187
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	215400	487
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	540814	165
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	135350	895
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	157832	16
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	263228	45
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	82656	861
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	7506700	1.5
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	102820	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	207425	180
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	651382	30
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	452512	9
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	364096	882
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	626495	1820
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	59499	166
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	46102	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	374945	\N
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	206449	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	51162	525
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	130242	37
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	483155	25
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	85858	4
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	4169103	31
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	639951	5
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	447653	302
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	151214	185
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	336239	62
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	284321	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	308269	266
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	803739	30
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	514781	\N
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	486260	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	205597	73
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	5748	56
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	449477	\N
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	\N	760
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	1158367	115
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	84913	15
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	93335	520
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	191164	634
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	491130	4
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	487148	\N
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	1836808	280.6
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	1355896	129
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	138930	190
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	19132	21
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	526116	728
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	110366	82
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	226434	80
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	109474	140
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	122627	540
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	441968	\N
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	204104	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	1132509	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	131861	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	207312	0
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	312065	206
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	509000	702
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	118534	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	194784	12
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	27216	20
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	425740	7.9
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	49528	98
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	244528	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	689775	8
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	\N	986
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	195419	2
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	123977	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	551776	2275
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	144546	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	3255288	38
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	381271	8
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	131386	220
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	42465	2334
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	\N	55
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	80151	50
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	264695	925
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	1190000	144
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	1066264	989.4
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	152841	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	425579	\N
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	167217	695
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	61721	266
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	2684893	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	214488	250
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	280561	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	363127	\N
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	91108	\N
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	13045	20
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	147392	250
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	206831	75
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	801043	466
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	215412	17
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	152788	434
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	417064	818
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	156468	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	265937	7
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	609893	142
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	\N	1293
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	\N	9
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	307594	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	\N	1720
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	261654	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	\N	417
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	653337	1358
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	271375	213
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	509623	1
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	296950	147
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	141897	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	1221979	759
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	137962	29
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	298287	160
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	408759	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	208414	377
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	264900	582
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	215092	157
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	204192	291
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	46476	29
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	109799	382
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	1756126	1574
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	472942	\N
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	2617175	21
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	289576	60
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	142659	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	181720	613
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	315738	130
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	1166894	13
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	\N	55
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	209959	321
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	196367	142
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	106943	186
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	3124458	561
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	\N	670
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	126326	247
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	\N	583
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	\N	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	155196	150
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	166722	\N
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	392054	0
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	\N	227
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	128032	290
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	202123	2
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	\N	1010
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	61244	\N
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	127041	140
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	223218	0
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	226437	351
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	384786	408
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	362633	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	\N	750
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	\N	0
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	80003	362
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	115843	150
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	114663	90
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	\N	1900
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	280657	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	98424	1151
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	205346	1854
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	1390000	2
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	552267	70
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	362286	100
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	7089	2
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	\N	\N
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	1728128	54
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	\N	\N
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	94653	\N
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	307841	95
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	538747	112
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	\N	2377
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	243262	3
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	\N	\N
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	204766	460
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	570768	3
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	\N	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	101984	12
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	\N	\N
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	71579	11
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	588794	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	427187	105
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	174156	0
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	131400	97.8
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	56933	300
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	267249	385
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	\N	343
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	178669	1873
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	179692	3
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	354174	658
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	161315	759
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	22315474	4
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	304733	975
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	137029	2425
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	145214	125
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	286684	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	582588	0
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	\N	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	\N	472
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	143240	38
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	525497	324
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	5028000	3
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	179481	\N
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	\N	0
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	104532	150
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	671556	3
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	253369	120
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	103913	177
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	6501190	405
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	469332	38
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	1103733	70
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	264538	7
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	408395	461
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	180860	485
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	193365	497
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	180573	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	154158	792
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	\N	5
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	195013	1473
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	268507	3
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	114003	200
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	2299	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	146477	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	1537704	10
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	604700	219
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	\N	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	147457	187
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	\N	187
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	119746	116
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	118466	\N
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	200771	100
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	124775	18
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	8591695	\N
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	113169	60
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	329536	1350
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	248716	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	168180	\N
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	307713	54
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	773000	754
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	\N	82
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	107847	8
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	7165292	20
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	982816	359
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	173008	30
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	142672	272
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	116220	28
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	2718782	181
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	188101	312
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	200824	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	96555	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	268064	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	183320	\N
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	850636	0
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	\N	\N
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	354153	\N
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	938131	50
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	337643	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	117963	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	299118	1318
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	119984	63
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	715061	210
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	176139	949
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	184833	4
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	160775	1098
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	51347	182
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	381214	12
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	143921	515
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	215452	187
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	331779	260
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	290220	29
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	118385	17
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	75400	430
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	435751	9
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	200958	1148
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	1050721	411.2
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	339847	7
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	197301	30
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	\N	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	313491	285
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	27287	1
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	153036	9
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	\N	9
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	500097	2566
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	228342	10
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	\N	407
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	269530	1614
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	297589	132
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	280263	236
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	221279	17
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	370962	104
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	294313	5
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	5961	6
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	713443	156
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	165300	300
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	\N	\N
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	634171	70
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	\N	\N
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	99852	230
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	254783	30
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	127590	3
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	178864	859
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	179485	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	1286678	128
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	124297	177
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	158389	19
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	325511	40
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	49578	50
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	152750	810
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	402843	26
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	897767	12
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	191713	159
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	117294	12
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	370190	1730
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	82376	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	186347	200
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	389102	1456
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	116830	315
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	136362	\N
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	576747	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	391886	220
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	165400	88
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	131411	837
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	7855	183
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	298625	40
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	852505	\N
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	204476	4
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	201371	384
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	218717	25
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	\N	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	\N	10
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	35804	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	\N	430
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	\N	\N
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	115556	640
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	329901	123
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	\N	238
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	293902	7
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	201990	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	215373	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	142925	227
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	580655	601
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	1409768	508
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	161470	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	153680	1130
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	136446	149
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	155823	36
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	130587	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	\N	1098
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	288301	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	240128	350
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	70674	0
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	\N	327
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	768778	131
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	3292365	34
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	167900	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	\N	\N
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	445432	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	516622	98
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	380568	2326
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	179861	\N
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	325949	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	420332	69
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	340046	442
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	66415	\N
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	\N	0
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	\N	662
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	308195	\N
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	325182	0
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	115134	316
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	189680	27
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	112046	20
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	264081	1150
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	228144	55
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	1061540	555
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	144140	452
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	123676	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	155383	300
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	3310268	37
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	772627	86
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	113462	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	328755	1017
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	1180570	1585
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	3491597	150
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	6570	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	295803	298
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	4655313	240
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	253803	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	8443675	920
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	85922	\N
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	506416	55
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	4605992	3
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	3718835	\N
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	66245	0
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	145845	10
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	206971	572
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	393030	608
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	188832	190
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	186682	\N
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	\N	\N
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	\N	16
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	175632	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	53031	434
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	187503	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	3740026	0
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	2357839	37
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	1975786	900
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	98395	71
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	106519	31
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	368011	30
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	159538	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	114098	840
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	1378856	\N
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	104739	175
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	358279	192
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	177751	0
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	86738	15
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	\N	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	211906	17
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	48479	24
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	240433	206
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	232703	1320
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	66358	146
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	118167	0
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	937146	2
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	201815	105
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	402560	17
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	143644	101
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	211526	\N
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	245926	\N
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	\N	529
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	526089	12
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	195102	3
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	\N	190
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	146199	34
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	\N	780
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	402044	13
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	294153	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	142999	1682
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	156307	\N
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	119856	162
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	162427	1355
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	371351	151
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	133223	68
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	1055525	412
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	3661	2
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	147592	2470
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	115982	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	298378	1
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	296389	\N
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	306487	120
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	146751	114
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	205866	10
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	14692	2239
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	318128	35
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	709671	1600
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	792054	15
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	169603	\N
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	229153	88
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	128796	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	193524	102
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	227880	1600
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	135386	5
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	489333	2660
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	571149	4
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	196069	377
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	15500	15
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	88462	717
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	273332	25
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	418495	110
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	441376	\N
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	102575	262
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	67753	167
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	407756	202
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	\N	1056
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	221970	125
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	175528	706
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	145034	165
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	196519	25
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	335145	\N
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	141884	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	571705	233
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	350397	21
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	\N	183
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	324601	1668
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	\N	504
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	96217	800
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	110620	115
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	1013887	171
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	22118	440
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	210130	280
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	515458	83
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	809232	1415
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	254600	374
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	286931	2
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	144249	220
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	897174	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	4630735	938
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	1120547	\N
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	151345	\N
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	\N	\N
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	553002	26
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	181526	-8
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	122643	7
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	4227	749
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	21448	130
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	109571	64
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	271175	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	755200	135
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	198214	652
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	1553165	12
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	203493	620
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	69484	238
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	210319	\N
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	\N	42
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	657561	14
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	381598	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	102708	113
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	150965	530
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	338650	1510
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	\N	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	204661	87
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	109234	1507
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	104867	143
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	990179	2
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	139981	50
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	2834942	83
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	176037	63
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	145347	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	174291	300
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	152698	1212
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	122924	843.97
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	4087733	29
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	\N	710
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	185048	\N
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	78884	209
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	104736	130
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	600378	40
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	109185	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	116556	169
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	199092	306
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	721662	1468
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	111914	503
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	186443	1288
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	452943	16
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	187886	890
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	683885	230
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	1648643	214
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	\N	1444
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	7415590	500
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	1200000	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	188051	195
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	437964	3
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	306193	7
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	301709	200
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	302983	\N
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	686568	158
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	\N	5
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	\N	23
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	96340	251
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	152310	27
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	110500	\N
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	\N	340
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	140863	210
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	23658	3
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	\N	128
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	175365	90
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	86948	1083
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	667499	1332
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	99554	81
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	108686	530
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	466488	9
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	117311	55
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	52789	12
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	510935	5
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	283872	25
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	\N	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	106885	4200
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	119711	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	464457	22
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	207516	712
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	101309	\N
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	135258	50
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	176320	368
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	34479	\N
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	20000	\N
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	177060	9
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	675773	54
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	134290	320
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	111179	210
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	273601	2084
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	235996	249
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	169336	242
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	1817524	726
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	428323	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	273218	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	259315	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	85119	663
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	491268	162
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	173589	22
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	169371	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	120523	376
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	1475223	305
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	\N	\N
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	962003	17
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	666740	760
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	842	\N
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	548299	3
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	300666	43
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	190927	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	\N	\N
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	123367	28
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	851381	1208
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	53310	447
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	200344	89
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	\N	1354
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	226728	1350
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	279589	545
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	242451	552
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	\N	458
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	674433	1140
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	157052	3
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	4364541	12
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	100996	610
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	302611	\N
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	161312	100
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	134327	1189
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	482632	1351
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	146676	424
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	245321	218
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	235931	77
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	993642	250
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	130469	35
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	1135512	540
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	231409	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	143270	62
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	160200	310
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	240230	790
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	120081	118
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	768551	\N
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	180650	614
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	112673	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	188028	227
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	157584	95
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	475700	450
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	105279	30
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	149607	106
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	618536	596
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	224667	2
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	234044	110
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	191016	1800
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	200265	14
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	208033	20
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	\N	\N
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	8984	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	\N	1550
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	1305429	224.659
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	261362	1
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	947483	382
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	242708	13
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	5143495	217
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	144589	125
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	225988	1374
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	167086	20
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	193511	266
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	\N	2155
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	388627	113
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	115752	9
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	143718	443
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	915300	\N
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	331254	3
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	369077	19
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	96800	580
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	156095	156
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	198397	74
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	178077	390
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	206537	616
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	\N	125
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	216716	3825
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	527905	130
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	155870	140
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	752658	762
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	418725	14
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	153740	4
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	201569	1498
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	161849	52
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	119670	1150
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	38274	12
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	603049	1567
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	93231	11
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	359142	\N
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	\N	\N
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	65549	177
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	348000	292
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	335715	15
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	\N	536
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	\N	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	147167	\N
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	662426	9
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	3401994	2
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	220210	125
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	648298	671
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	2344734	1018
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	201308	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	850000	420
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	111553	2
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	91874	40
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	\N	292
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	1639121	117
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	1438373	850
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	107825	73
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	153937	916
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	8154051	1200
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	209255	\N
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	286456	120
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	153699	63
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	198891	471
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	149210	1880
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	95982	70
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	115613	294
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	22256	1023
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	129069	530
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	350653	515
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	669685	80
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	410956	1120
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	167386	260
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	156122	455
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	2543137	\N
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	518723	17
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	\N	\N
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	2615060	76
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	13862	\N
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	\N	9
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	173334	331
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	181934	428
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	202859	2
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	\N	\N
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	792862	229
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	255015	\N
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	185758	666.22
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	333683	210
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	281248	\N
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	52100	267
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	104508	6
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	34562	0
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	102134	66
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	125983	391
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	289504	1048
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	645966	43
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	50182	\N
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	53496	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	267903	70
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	507763	75
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	147245	415
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	225753	410
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	239599	5
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	132124	\N
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	104060	10
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	424755	1440
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	308545	143
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	258766	48
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	110716	746.5
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	180241	193
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	111411	105
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	542082	312
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	324576	340
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	\N	21
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	293366	\N
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	122580	60
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	185996	16
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	164880	50
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	311800	1010
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	556495	1620
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	114256	\N
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	194189	\N
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	124528	283
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	486314	309
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	331796	164
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	226999	1241
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	142365	110
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	\N	\N
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	\N	636
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	100478	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	280153	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	153364	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	109406	1381
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	776242	592
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	744321	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	115568	1160
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	229700	\N
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	130038	89
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	467084	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	128848	542
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	297317	\N
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	647100	1
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	612257	\N
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	143774	20
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	160862	20
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	1512109	\N
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	212744	3
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	178750	50
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	222209	9
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	190972	39
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	118032	103
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	628999	1312
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	183142	\N
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	254900	\N
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	527174	1330
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	700923	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	134481	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	92121	300
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	44040	\N
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	\N	1868
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	146481	435
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	6255921	55
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	\N	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	369894	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	124313	70
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	464940	150
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	554764	0
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	375331	817
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	\N	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	3372102	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	258040	19
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	231557	977.6
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	158004	20
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	402338	24
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	\N	45
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	140169	\N
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	213061	856
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	276791	12
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	251733	121
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	619180	0
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	1809106	350
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	80826	\N
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	1348335	519
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	531857	16
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	\N	185
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	179780	150
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	\N	\N
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	130690	294
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	795789	\N
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	497166	774
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	434950	18
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	0	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	64425	\N
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	157425	14
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	443760	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	319279	90
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	11979529	156
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	235156	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	122243	49
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	195064	89
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	328326	120
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	292693	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	185154	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	125341	\N
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	162178	25
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	433030	329
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	\N	\N
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	\N	17
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	118912	9
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	83496	94
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	\N	390
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	114170	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	\N	516
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	4395243	18
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	199690	24
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	1198491	80.71
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	13710512	40
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	116075	115
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	157424	212
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	4434827	1753
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	209600	15
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	153897	448
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	90088	870
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	\N	\N
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	109183	32
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	1267774	390
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	124097	90
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	272176	20
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	109193	130
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	350696	167
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	245053	0
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	\N	67
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	108299	\N
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	282994	295
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	264991	930
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	\N	67
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	\N	435
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	493409	83
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	51804	8
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	77031	3
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	1494998	1351.4
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	391	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	324600	374
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	\N	674
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	376217	\N
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	5000000	6
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	90844	237
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	181041	146
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	22219	0
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	590507	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	273786	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	118072	47
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	2749374	995
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	2778659	9
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	256509	8
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	218071	\N
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	133361	50
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	173993	150
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	\N	\N
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	322500	\N
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	557710	\N
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	\N	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	210551	148
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	110708	365
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	221085	150
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	344064	0
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	172213	1431
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	281183	35
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	814401	347
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	5700	\N
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	193768	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	173513	85
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	1073427	651
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	162275	1456
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	159074	117
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	399340	9
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	237241	20
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	189372	555
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	\N	100
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	158891	21
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	107004	\N
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	97692	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	269663	166
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	208815	71
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	174142	1380
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	80501	436
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	281834	130
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	552000	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	635473	\N
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	1585704	171
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	145786	265
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	354139	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	141627	1580
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	172730	146
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	1289556	399
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	776298	840
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	99984	75
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	5195247	41
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	1033756	231
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	625481	1
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	\N	12.8
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	36400	144
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	114949	7
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	465645	\N
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	311508	335
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	\N	\N
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	290422	60
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	74581	675
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	\N	610
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	3939305	\N
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	250236	5
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	140058	38
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	345875	\N
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	121733	100
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	265833	\N
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	\N	217
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	342661	160
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	918889	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	116447	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	328278	1
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	131545	917
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	114516	48
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	181383	62
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	106422	130
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	1434062	2135
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	409157	\N
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	182142	452
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	9607787	8
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	13654	76
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	416079	530
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	103719	279
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	1110000	1042
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	102900	\N
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	175136	\N
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	5681	\N
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	\N	2335
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	497850	4
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	722598	139
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	265248	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	120000	51
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	71051	305
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	2817105	128
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	419418	0
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	1016385	259
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	1171000	\N
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	66526	6
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	\N	440
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	408877	135
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	\N	622
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	\N	\N
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	525383	20
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	96382	104
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	102411	127
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	\N	25
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	599164	188
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	393184	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	151058	1
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	363954	\N
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	\N	\N
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	213984	0
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	1455284	8
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	491222	673
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	\N	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	268347	680
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	187309	452
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	190765	167
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	105382	188
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	1297076	749
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	354204	761
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	142500	33
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	534441	1755
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	630595	10
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	257437	569
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	177617	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	458440	193
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	203279	45
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	108505	2004
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	\N	\N
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	\N	18
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	136341	15
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	302992	\N
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	660203	84
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	673479	30
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	1667864	\N
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	241895	18
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	252127	1096
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	652405	0
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	189885	74
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	96531	446
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	646449	\N
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	156466	130
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	683273	506
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	225005	232
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	166280	\N
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	\N	\N
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	167400	9
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	150123	\N
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	421502	256
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	198385	1049
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	130295	591
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	258468	359
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	217300	320
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	108878	100
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	380941	1724
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	115349	249
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	211228	\N
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	210283	14
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	113475	91
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	343829	-2
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	236968	220
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	109080	60
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	449245	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	720785	40
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	1107886	1200
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	1160670	90
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	152442	\N
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	250645	620
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	74240	303
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	1655015	2250
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	443273	512
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	110351	700
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	3053778	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	142089	214
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	472650	\N
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	240253	298
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	148803	12
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	1132383	\N
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	234982	0
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	332863	920
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	1121935	10
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	87646	65
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	652646	\N
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	411228	134
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	417810	1448
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	128418	\N
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	165214	245
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	149300	9
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	111245	\N
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	134862	\N
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	1242123	120
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	222274	34
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	144280	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	2352900	455
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	207844	\N
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	7605742	0
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	999577	155
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	532089	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	144858	-6
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	417517	447
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	265004	194
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	421589	\N
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	\N	\N
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	770911	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	179818	\N
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	377153	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	747431	1395
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	722250	1888
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	161692	1
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	604215	457
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	215494	150
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	113946	256
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	240203	480
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	404820	237
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	116315	170
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	248704	198
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	510635	286
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	269506	100
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	483176	150
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	\N	14
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	230999	1259
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	\N	8
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	129478	104
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	499337	\N
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	193535	16
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	315933	5
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	12245	\N
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	1729040	102
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	288101	5
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	510378	678
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	164092	\N
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	272500	225
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	347857	1067
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	146609	45
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	159775	2070
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	875978	98
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	105878	\N
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	287845	2
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	975	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	139966	12
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	1441362	152
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	438084	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	1001694	271
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	651284	4
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	245239	380
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	275798	150
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	189630	46
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	347568	123
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	272673	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	1338663	0
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	111762	\N
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	240924	3
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	183183	23
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	189671	\N
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	403700	5
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	126785	\N
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	269121	117
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	418292	577
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	643666	320
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	349561	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	215271	620
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	151270	3
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	291731	4
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	308544	2
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	674448	1050
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	62792	273
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	246154	28
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	589466	33
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	533832	\N
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	128553	810
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	552660	12
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	121098	4
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	667929	\N
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	75315	50
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	570551	6
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	8555272	2250
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	449815	9
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	15685	134
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	\N	1235
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	239185	1250
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	3133518	1661
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	123084	705
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	234798	57
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	42544	15
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	11665	10
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	144449	0
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	319356	142
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	523699	8
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	367209	560
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	\N	\N
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	129539	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	191356	\N
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	1247327	8.84
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	196050	\N
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	3178471	\N
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	134056	191
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	112362	\N
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	405122	472
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	268946	60
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	\N	95
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	\N	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	319554	\N
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	223552	38
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	192981	183
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	168196	70
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	523911	218
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	319612	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	522747	280
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	169494	2719
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	200769	741
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	191784	75
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	297284	10
\.


--
-- TOC entry 5919 (class 0 OID 90052)
-- Dependencies: 689
-- Data for Name: Continent; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Continent" ("URI", area) FROM stdin;
http://www.semwebtech.org/mondial/10/continent/Africa/	30254708
http://www.semwebtech.org/mondial/10/continent/Asia/	45095292
http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/	8503474
http://www.semwebtech.org/mondial/10/continent/America/	39872000
http://www.semwebtech.org/mondial/10/continent/Europe/	9562488
\.


--
-- TOC entry 5920 (class 0 OID 90058)
-- Dependencies: 690
-- Data for Name: Country; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Country" ("URI", government, "carCode", "gdpAgri", "infantMortality", "gdpInd", inflation, unemployment, "gdpServ", "populationGrowth", "independenceDate", "gdpTotal", "wasDependentOf", "dependentOf") FROM stdin;
http://www.semwebtech.org/mondial/10/country/DJI/	republic	DJI	3	50.2	17.3	2.5	59	79.7	2.23	1977-06-27	1459	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/G/	republic; multiparty presidential regime	G	3.6	47.03	63.9	1.2	21	32.5	1.94	1960-08-17	19970	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/CR/	democratic republic	CR	6.2	8.7	21.3	5.6	7.9	72.5	1.24	1821-09-15	48510	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/SY/	republic	SY	2	10.77	18.7	4.3	2	79.4	0.87	1976-06-29	1271	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/RP/	republic	RP	11.2	17.64	31.6	2.8	7.4	57.2	1.81	1946-07-04	272200	http://www.semwebtech.org/mondial/10/country/USA/	\N
http://www.semwebtech.org/mondial/10/country/SK/	parliamentary democracy	SK	3.1	5.35	30.8	1.7	14.4	67	0.03	1993-01-01	96960	http://www.semwebtech.org/mondial/10/politicalbody/Czechoslovakia/	\N
http://www.semwebtech.org/mondial/10/country/RO/	republic	RO	6.4	10.16	34.2	3.2	7.3	59.4	-0.29	1877-05-09	188900	http://www.semwebtech.org/mondial/10/politicalbody/OttomanEmpire/	\N
http://www.semwebtech.org/mondial/10/country/AL/	parliamentary democracy	AL	19.5	13.19	12	1.7	16.9	68.5	0.3	1912-11-28	12800	http://www.semwebtech.org/mondial/10/politicalbody/OttomanEmpire/	\N
http://www.semwebtech.org/mondial/10/country/ANG/	republic; multiparty presidential regime	ANG	10.2	79.99	61.4	8.9	\N	28.4	2.78	1975-11-11	124000	http://www.semwebtech.org/mondial/10/country/P/	\N
http://www.semwebtech.org/mondial/10/country/RB/	parliamentary republic	RB	1.9	9.38	35.7	6.1	17.8	62.4	1.26	1966-09-30	15530	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/RMM/	republic	RMM	38.5	104.34	24.4	0.1	30	37	3	1960-09-22	11370	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/BHT/	constitutional monarchy	BHT	13.8	37.89	41.2	11	2.1	45	1.13	1949-08-08	2133	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/GQ/	republic	GQ	4.6	71.12	87.3	6	22.3	8.1	2.54	1968-10-12	17080	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/SPMI/	parliamentary representative democracy	SPMI	2	6.95	15	4.5	9.9	83	-1.02	\N	215.3	\N	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/EAT/	republic	EAT	27.6	43.74	25	7.8	\N	47.4	2.8	1964-04-26	31940	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/HELX/	British Overseas Territories	HELX	\N	17.63	\N	\N	\N	\N	0.45	\N	18	\N	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/VIRG/	organized	VIRG	1	6.79	19	2.2	6.2	80	-0.56	\N	1200	\N	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/NIC/	republic	NIC	17.1	20.36	25.5	5.7	7.2	57.5	1.02	1821-09-15	11260	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/UAE/	federation with specified powers delegated to the UAE federal government and other powers reserved to member emirates	UAE	0.6	10.92	61.1	1.3	2.4	38.2	2.71	1971-12-02	390000	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/AZ/	republic	AZ	6.2	26.67	63	2.4	6	30.8	0.99	1991-08-30	76010	http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/	\N
http://www.semwebtech.org/mondial/10/country/OM/	monarchy	OM	1	14	64.4	1.6	15	34.6	2.06	1650-01-01	81950	http://www.semwebtech.org/mondial/10/country/P/	\N
http://www.semwebtech.org/mondial/10/country/GUAD/	overseas department of France	GUAD	6	8.3	9	3.7	\N	85	1.2	\N	3700	\N	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/MNG/	parliamentary	MNG	16.5	23.15	32.6	8.2	9	50.9	1.37	1921-03-13	11140	http://www.semwebtech.org/mondial/10/country/CN/	\N
http://www.semwebtech.org/mondial/10/country/MH/	constitutional government in free association with the US	MH	14.3	21.39	13.9	12.9	36	71.8	1.72	1986-10-21	193	http://www.semwebtech.org/mondial/10/organization/UN/	\N
http://www.semwebtech.org/mondial/10/country/VN/	Communist state	VN	19.3	18.99	38.5	6.8	1.3	42.2	1	1945-09-02	170000	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/MACX/	limited democracy	MACX	0	3.13	6.5	5.5	1.8	93.5	0.83	\N	51680	\N	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/MOC/	republic	MOC	28.7	72.42	24.9	4.4	17	46.4	2.45	1975-06-25	14670	http://www.semwebtech.org/mondial/10/country/P/	\N
http://www.semwebtech.org/mondial/10/country/BERM/	parliamentary; self-governing territory	BERM	0.7	2.48	5.7	1.8	8	93.5	0.52	\N	5600	\N	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/BI/	republic	BI	34.4	63.44	18.4	9.3	\N	47.2	3.28	1962-07-01	2676	http://www.semwebtech.org/mondial/10/organization/UN/	\N
http://www.semwebtech.org/mondial/10/country/WAN/	federal republic	WAN	30.9	74.09	43	8.7	23.9	26	2.47	1960-10-01	502000	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/THA/	constitutional monarchy	THA	12.1	9.86	43.6	2.2	0.7	44.2	0.35	1238-01-01	400900	\N	\N
http://www.semwebtech.org/mondial/10/country/GBZ/	dependent territory of the UK	GBZ	0	6.29	0	2.8	3	100	0.25	\N	1106	\N	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/CDN/	a parliamentary democracy, a federation, and a constitutional monarchy	CDN	1.7	4.71	28.4	1	7.1	69.9	0.76	1867-07-01	1825000	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/SME/	constitutional democracy	SME	8.9	27.07	36.6	4.2	9	54.5	1.12	1975-11-25	5009	http://www.semwebtech.org/mondial/10/country/NL/	\N
http://www.semwebtech.org/mondial/10/country/COM/	republic	COM	51	65.31	10	2.5	20	39	1.87	1975-07-06	658	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/EAU/	republic	EAU	23.1	60.82	26.9	6.2	\N	50	3.24	1962-10-09	22600	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/H/	parliamentary democracy	H	3.4	5.09	28	1.9	10.5	68.7	-0.21	1918-11-18	130600	http://www.semwebtech.org/mondial/10/politicalbody/Austria-Hungary/	\N
http://www.semwebtech.org/mondial/10/country/NCA/	parliamentary representative democracy	NCA	2.1	5.46	30	1.7	17.1	67.9	1.42	\N	9280	\N	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/CAM/	republic; multiparty presidential regime	CAM	20.6	55.1	27.3	2.6	30	52.1	2.6	1960-01-01	27880	http://www.semwebtech.org/mondial/10/organization/UN/	\N
http://www.semwebtech.org/mondial/10/country/ROU/	constitutional republic	ROU	7.5	8.97	21.5	8.3	6.5	71	0.26	1828-08-25	57110	http://www.semwebtech.org/mondial/10/country/BR/	\N
http://www.semwebtech.org/mondial/10/country/FALK/	British Overseas Territories	FALK	95	\N	\N	1.2	4.1	\N	0.01	\N	164.5	\N	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/NAU/	republic	NAU	6.1	8.21	33	-3.6	90	60.8	0.56	1968-01-31	100	http://www.semwebtech.org/mondial/10/organization/UN/	\N
http://www.semwebtech.org/mondial/10/country/MW/	multiparty democracy	MW	29.4	48.01	18.9	26.9	\N	51.7	3.33	1964-07-06	3683	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/GR/	parliamentary republic	GR	3.5	4.78	16	-0.8	27.9	80.5	0.01	1829-01-01	243300	http://www.semwebtech.org/mondial/10/politicalbody/OttomanEmpire/	\N
http://www.semwebtech.org/mondial/10/country/KIR/	republic	KIR	24.3	35.37	7.9	0.2	2	67.8	1.18	1979-07-12	173	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/V/	monarchical sacerdotal state	V	\N	\N	\N	\N	\N	\N	\N	1929-02-11	\N	http://www.semwebtech.org/mondial/10/country/I/	\N
http://www.semwebtech.org/mondial/10/country/IND/	federal republic	IND	17.4	43.19	25.8	9.6	8.8	56.9	1.25	1947-08-15	1670000	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/MV/	republic	MV	3	24.59	17	5.1	28	80	-0.09	1965-07-26	2270	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/WSA/	legal status of territory and question of sovereignty unresolved	WSA	\N	145.82	\N	\N	\N	\N	2.46	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/CUR/	parliamentary	CUR	0.7	\N	15.5	3.2	13	83.8	\N	\N	5600	\N	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/GBM/	parliamentary democracy	GBM	1	4.17	11	5	2	88	0.8	\N	4076	\N	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/SN/	republic	SN	14.9	52.72	22.7	0.8	48	62.4	2.48	1960-08-20	15360	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/WL/	parliamentary democracy and a Commonwealth realm	WL	3.1	11.75	17.4	5.3	20	79.5	0.35	1979-02-22	1377	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/RC/	multiparty democracy	RC	2	4.49	29.4	1.1	4.1	68.6	0.25	1949-10-01	484700	\N	\N
http://www.semwebtech.org/mondial/10/country/I/	republic	I	2	3.31	24.4	1.2	12.4	73.5	0.3	1861-03-17	2068000	\N	\N
http://www.semwebtech.org/mondial/10/country/ARU/	parliamentary democracy	ARU	0.4	11.74	33.3	-2	6.9	66.3	1.36	\N	2516	\N	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/KWT/	constitutional emirate	KWT	0.3	7.51	50.6	2.8	3.4	49.1	1.7	1961-06-19	179500	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/PY/	constitutional republic	PY	20.4	20.75	17.7	2.3	6.6	61.9	1.19	1811-05-14	30560	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/ZRE/	republic	ZRE	44.3	73.15	21.7	7.1	\N	34	2.5	1960-06-30	18560	http://www.semwebtech.org/mondial/10/country/B/	\N
http://www.semwebtech.org/mondial/10/country/JOR/	constitutional monarchy	JOR	3.2	15.73	29.9	5.9	14	67	3.86	1946-05-25	34080	http://www.semwebtech.org/mondial/10/organization/UN/	\N
http://www.semwebtech.org/mondial/10/country/KGZ/	republic	KGZ	20.8	28.71	34.4	6.8	8.6	44.8	1.04	1991-08-31	7234	http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/	\N
http://www.semwebtech.org/mondial/10/country/PK/	federal republic	PK	25.3	57.48	21.6	7.7	6.6	53.1	1.49	1947-08-14	236500	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/TCH/	republic	TCH	46.3	90.3	9.9	4.5	\N	43.8	1.92	1960-08-11	13590	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/AMSA/	unincorporated and unorganized territory of the US	AMSA	\N	8.92	\N	\N	29.8	\N	-0.35	\N	462.2	\N	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/GE/	republic	GE	8.5	16.68	21.6	-0.5	15	69.9	-0.11	1991-04-09	15950	http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/	\N
http://www.semwebtech.org/mondial/10/country/HCA/	democratic constitutional republic	HCA	14	18.72	28.2	5.2	4.5	57.8	1.74	1821-09-15	18880	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/PL/	republic	PL	4	6.19	33.3	1	10.3	62.7	-0.11	1918-11-11	513900	\N	\N
http://www.semwebtech.org/mondial/10/country/FSM/	constitutional government in free association with the US	FSM	14	21.93	12	3.4	22	74	-0.42	1986-11-03	339	http://www.semwebtech.org/mondial/10/organization/UN/	\N
http://www.semwebtech.org/mondial/10/country/YE/	republic	YE	7.7	50.41	30.9	11.8	35	61.4	2.72	1990-05-22	43890	http://www.semwebtech.org/mondial/10/politicalbody/MergerofNorth-SouthYemen/	\N
http://www.semwebtech.org/mondial/10/country/SGP/	parliamentary republic	SGP	0	2.53	29.4	2.4	1.9	70.6	1.92	1965-08-09	295700	http://www.semwebtech.org/mondial/10/country/MAL/	\N
http://www.semwebtech.org/mondial/10/country/IRQ/	parliamentary democracy	IRQ	3.3	37.53	64.6	2	16	32.1	2.23	1932-10-03	221800	http://www.semwebtech.org/mondial/10/organization/UN/	\N
http://www.semwebtech.org/mondial/10/country/SA/	monarchy	SA	2	14.58	62.5	3.7	10.5	35.5	1.49	1932-09-23	718500	\N	\N
http://www.semwebtech.org/mondial/10/country/NOK/	Communist state one-man dictatorship	NOK	23.4	24.5	47.2	\N	\N	29.4	0.53	1945-08-15	28000	http://www.semwebtech.org/mondial/10/country/J/	\N
http://www.semwebtech.org/mondial/10/country/BVIR/	British Overseas Territories	BVIR	1.1	13.45	11.7	1.6	8.7	87.2	2.36	\N	1095	\N	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/TUV/	parliamentary democracy and a Commonwealth realm	TUV	16.6	31.69	27.2	3.8	\N	56.2	0.8	1978-10-01	38	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/SP/	in the process of building a federal parliamentary republic	SP	59.3	100.14	7.2	\N	\N	33.5	1.75	1960-07-01	2372	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/CV/	republic	CV	9.3	24.28	18.8	1.9	21	71.9	1.39	1975-07-05	1955	http://www.semwebtech.org/mondial/10/country/P/	\N
http://www.semwebtech.org/mondial/10/country/BZ/	parliamentary democracy and a Commonwealth realm	BZ	13	20.31	23	1.3	15.5	64	1.92	1981-09-21	1637	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/TL/	republic	TL	2.6	38.79	81.6	4.5	18.4	15.8	2.44	2002-05-20	6129	http://www.semwebtech.org/mondial/10/country/RI/	\N
http://www.semwebtech.org/mondial/10/country/IL/	parliamentary democracy	IL	2.4	3.98	31.2	1.7	5.8	66.4	1.46	1948-05-14	272700	http://www.semwebtech.org/mondial/10/organization/UN/	\N
http://www.semwebtech.org/mondial/10/country/HONX/	limited democracy	HONX	0	2.73	6.9	4.4	3.1	93	0.41	\N	272100	\N	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/BRN/	constitutional monarchy	BRN	0.3	9.68	46.7	3.1	15	53	2.49	1971-08-15	28360	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/SRB/	republic	SRB	7.9	6.16	31.8	2.2	20.1	60.3	-0.46	1992-04-11	43680	http://www.semwebtech.org/mondial/10/politicalbody/Yugoslavia/	\N
http://www.semwebtech.org/mondial/10/country/MK/	parliamentary democracy	MK	10.2	7.9	27.5	2.8	28.6	62.3	0.21	1991-09-17	10650	http://www.semwebtech.org/mondial/10/politicalbody/Yugoslavia/	\N
http://www.semwebtech.org/mondial/10/country/RCA/	republic	RCA	56.6	92.86	14.5	7	8	28.9	2.13	1960-08-13	2050	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/PAL/	constitutional government in free association with the US	PAL	3.2	11.46	20	2.7	4.2	76.8	0.37	1994-10-01	221	http://www.semwebtech.org/mondial/10/organization/UN/	\N
http://www.semwebtech.org/mondial/10/country/SUD/	federal republic	SUD	27.4	52.86	33.6	25	20	39	1.78	1956-01-01	52500	http://www.semwebtech.org/mondial/10/country/ET/	\N
http://www.semwebtech.org/mondial/10/country/CI/	republic; multiparty presidential regime established 1960	CI	26.3	60.16	21.3	2.9	\N	52.4	1.96	1960-08-07	28280	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/GUY/	republic	GUY	20.7	33.56	38.5	3.9	11	40.8	-0.11	1966-05-26	3020	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/SMAR/	overseas collectivity of France	SMAR	1	\N	15	\N	\N	84	\N	\N	561.5	\N	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/CH/	formally a confederation but similar in structure to a federal republic	CH	0.7	3.73	26.8	-0.4	3.2	72.5	0.78	1291-01-01	646200	\N	\N
http://www.semwebtech.org/mondial/10/country/K/	multiparty democracy under a constitutional monarchy	K	34.8	51.36	24.5	3.2	0	40.7	1.63	1949-11-09	15640	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/BY/	republic in name, although in fact a dictatorship	BY	9.2	3.64	46.2	19	1	44.7	-0.19	1991-08-25	69240	http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/	\N
http://www.semwebtech.org/mondial/10/country/J/	a parliamentary government with a constitutional monarchy	J	1.1	2.13	25.6	0.2	4.1	73.2	-0.13	\N	5007000	\N	\N
http://www.semwebtech.org/mondial/10/country/COCO/	territory of Australia	COCO	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/LAO/	Communist state	LAO	30.5	54.53	32	6.5	1.9	37.5	1.59	1949-07-19	10100	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/BOL/	republic; Social Unitarian State	BOL	9.2	38.61	38.5	6.5	7.4	52.3	1.6	1825-08-06	30790	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/TAD/	republic	TAD	21.1	35.03	23.2	3.7	2.5	55.7	1.75	1991-09-09	8513	http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/	\N
http://www.semwebtech.org/mondial/10/country/RT/	republic under transition to multiparty democratic rule	RT	27.6	46.73	33.7	2.2	\N	38.7	2.71	1960-04-27	4299	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/LB/	republic	LB	76.9	69.19	5.4	5.2	85	17.7	2.52	1847-07-26	1977	\N	\N
http://www.semwebtech.org/mondial/10/country/EAK/	republic	EAK	29.3	40.71	17.4	5.8	40	53.3	2.11	1963-12-12	45310	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/GROX/	parliamentary democracy within a constitutional monarchy	GROX	4	9.42	29	2.8	9.4	67	0.02	\N	2160	\N	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/BIH/	emerging federal democratic republic	BIH	8.1	5.84	26.4	0.2	44.3	65.5	-0.11	1992-04-01	18870	http://www.semwebtech.org/mondial/10/politicalbody/Yugoslavia/	\N
http://www.semwebtech.org/mondial/10/country/COOK/	self-governing parliamentary democracy	COOK	5.1	14.33	12.7	2.2	13.1	82.1	-3	\N	183.2	\N	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/AXA/	British Overseas Territories	AXA	2.5	3.4	23.6	3.1	8	73.8	2.06	\N	175.4	\N	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GH/	constitutional democracy	GH	21.5	38.52	28.7	11	11	49.8	2.19	1957-03-06	45550	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/REUN/	overseas department of France	REUN	\N	7.5	\N	\N	\N	\N	1.93	\N	2900	\N	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/FJI/	republic	FJI	11.7	10.2	18.1	3	7.6	70.2	0.7	1970-10-10	4218	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/TN/	republic	TN	8.6	23.19	30.4	6.1	17.2	61	0.92	1956-03-20	48380	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/TM/	authoritarian presidential rule	TM	7.2	38.13	24.4	9	60	68.4	1.14	1991-10-27	40560	http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/	\N
http://www.semwebtech.org/mondial/10/country/Z/	republic	Z	19.8	66.62	33.8	7.1	15	46.5	2.88	1964-10-24	22240	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/YV/	federal republic	YV	3.7	19.33	35.5	56.2	7.9	60.8	1.42	1811-07-05	367500	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/PITC/	British Overseas Territories	PITC	\N	\N	\N	\N	\N	\N	0	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/PA/	constitutional democracy	PA	3.7	10.7	17.9	4.1	4.5	78.4	1.35	1903-11-03	40620	http://www.semwebtech.org/mondial/10/country/CO/	\N
http://www.semwebtech.org/mondial/10/country/GCA/	constitutional democratic republic	GCA	13.5	23.51	23.8	4.4	4.1	62.7	1.86	1821-09-15	53900	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/HR/	parliamentary democracy	HR	5	5.87	25.8	2.2	21.6	69.2	-0.12	1991-06-25	59140	http://www.semwebtech.org/mondial/10/politicalbody/Yugoslavia/	\N
http://www.semwebtech.org/mondial/10/country/L/	constitutional monarchy	L	0.3	4.28	13.3	1.8	4.9	86.4	1.12	1890-11-24	60540	http://www.semwebtech.org/mondial/10/country/NL/	\N
http://www.semwebtech.org/mondial/10/country/M/	republic	M	1.4	3.59	25.3	1	6.4	73.3	0.33	1964-09-21	9541	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/FGU/	overseas department of France	FGU	\N	14.6	\N	2.5	\N	\N	3.86	\N	800	\N	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/SYR/	republic under an authoritarian regime	SYR	17.6	15.79	22.2	59.1	17.8	60.2	-9.73	1946-04-17	64700	http://www.semwebtech.org/mondial/10/organization/UN/	\N
http://www.semwebtech.org/mondial/10/country/RH/	republic	RH	24.1	49.43	19.9	6.3	40.6	56	1.08	1804-01-01	8287	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/FPOL/	parliamentary representative democratic French overseas collectivity	FPOL	3.1	4.78	20	1.1	11.7	76.9	0.97	\N	5650	\N	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/WAFU/	parliamentary representative democratic French overseas collectivity	WAFU	\N	4.49	\N	2.8	12.2	\N	0.33	\N	60	\N	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/RCB/	republic	RCB	3.3	59.34	73.9	1.7	53	22.9	1.94	1960-08-15	14250	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/	republic; authoritarian presidential rule, with little power outside the executive branch	KAZ	5.2	21.61	37.9	5.8	5.3	56.9	1.17	1991-12-16	224900	http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/	\N
http://www.semwebtech.org/mondial/10/country/RG/	republic	RG	22.9	55.24	46.5	11.9	\N	30.5	2.63	1958-10-02	6544	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/ROK/	republic	ROK	2.6	3.93	39.2	1.1	3.2	58.2	0.16	1945-08-15	1198000	http://www.semwebtech.org/mondial/10/country/J/	\N
http://www.semwebtech.org/mondial/10/country/EC/	republic	EC	5.9	17.93	35.1	2.6	4.2	59	1.37	1822-05-24	91410	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/ETH/	federal republic	ETH	47	55.77	10.8	8.4	17.5	42.2	2.89	\N	47340	\N	\N
http://www.semwebtech.org/mondial/10/country/SD/	monarchy	SD	7.6	54.82	47.8	6.1	40	44.6	1.14	1968-09-06	3807	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/SBAR/	overseas collectivity of France	SBAR	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/FL/	hereditary constitutional monarchy	FL	8	4.33	37	-0.7	2.3	55	0.82	1806-07-12	5113	http://www.semwebtech.org/mondial/10/politicalbody/HolyRomanEmpire/	\N
http://www.semwebtech.org/mondial/10/country/NAM/	republic	NAM	7.7	45.64	29.6	5.5	27.4	62.6	0.67	1990-03-21	12300	http://www.semwebtech.org/mondial/10/organization/UN/	\N
http://www.semwebtech.org/mondial/10/country/CAYM/	parliamentary democracy	CAYM	0.3	6.21	27.4	1.8	4	72.3	2.14	\N	2250	\N	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/MAYO/	territorial collectivity of France	MAYO	\N	56.29	\N	\N	\N	\N	3.32	\N	953.6	\N	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/PNG/	constitutional parliamentary democracy and a Commonwealth realm	PNG	27.6	39.67	39.1	3.8	1.9	33.3	1.84	1975-09-16	16100	http://www.semwebtech.org/mondial/10/organization/UN/	\N
http://www.semwebtech.org/mondial/10/country/MNTS/	British Overseas Territories	MNTS	1.6	13.66	23.2	4.5	6	75.1	0.48	\N	29	\N	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/CY/	republic	CY	2.4	8.54	15.9	0.2	17.4	81.7	1.48	1960-08-16	21780	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/SLO/	parliamentary republic	SLO	2.8	4.04	28.9	1.8	13.1	68.3	-0.23	1991-06-25	46820	http://www.semwebtech.org/mondial/10/politicalbody/Yugoslavia/	\N
http://www.semwebtech.org/mondial/10/country/RI/	republic	RI	14.3	25.16	46.6	7.7	6.6	39.1	0.95	1945-08-17	867500	http://www.semwebtech.org/mondial/10/country/NL/	\N
http://www.semwebtech.org/mondial/10/country/LAR/	operates under a transitional government	LAR	2	11.87	58.3	3.2	30	39.7	3.08	1951-12-24	70920	http://www.semwebtech.org/mondial/10/country/I/	\N
http://www.semwebtech.org/mondial/10/country/TO/	constitutional monarchy	TO	20.9	12.36	21.9	2	13	57.2	0.09	1970-06-04	477	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/LS/	parliamentary constitutional monarchy	LS	7.4	50.48	34.5	5	25	58.2	0.34	1966-10-04	2457	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/VU/	parliamentary republic	VU	22.4	16.41	9.7	1.9	1.7	67.9	2.01	1980-07-30	828	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/WD/	parliamentary democracy	WD	15.7	11.61	15.6	1.8	23	68.7	0.22	1978-11-03	495	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/CL/	republic	CL	10.6	9.02	32.4	4.7	5.1	57	0.86	1948-02-04	65120	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/NL/	constitutional monarchy	NL	2.6	3.66	25.4	2.5	8.3	72.1	0.42	1579-01-01	722300	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/WS/	parliamentary democracy	WS	10.2	20.5	25.9	2.7	\N	64	0.59	1962-01-01	705	http://www.semwebtech.org/mondial/10/organization/UN/	\N
http://www.semwebtech.org/mondial/10/country/A/	federal republic	A	1.6	4.16	28.6	2.1	4.9	69.8	0.01	1918-11-12	417900	http://www.semwebtech.org/mondial/10/politicalbody/Austria-Hungary/	\N
http://www.semwebtech.org/mondial/10/country/WAG/	republic	WAG	19.7	65.74	12.6	6	\N	67.7	2.23	1965-02-18	896	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/PR/	commonwealth	PR	0.7	7.73	48.8	0.9	16	50.5	-0.65	\N	93520	\N	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/SLB/	parliamentary democracy and a Commonwealth realm	SLB	50	16.17	10.6	2.6	\N	39.4	2.07	1978-07-07	1099	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/TUCA/	British Overseas Territories	TUCA	1	10.97	22.5	2.5	10	76.5	2.58	\N	216	\N	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/N/	constitutional monarchy	N	1.2	2.48	42.3	1.9	3.6	56.5	1.19	1905-10-26	515800	http://www.semwebtech.org/mondial/10/country/S/	\N
http://www.semwebtech.org/mondial/10/country/CZ/	parliamentary democracy	CZ	2.4	2.63	37.3	1.4	7.1	60.3	0.17	1993-01-01	194800	http://www.semwebtech.org/mondial/10/politicalbody/Czechoslovakia/	\N
http://www.semwebtech.org/mondial/10/country/XMAS/	territory of Australia	XMAS	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/BD/	parliamentary democracy	BD	17.2	45.67	28.9	7.6	5	53.9	1.6	1971-12-16	140200	http://www.semwebtech.org/mondial/10/country/PK/	\N
http://www.semwebtech.org/mondial/10/country/NLSM/	parliamentary	NLSM	0.4	9.05	18.3	4	12	81.3	1.51	\N	794.7	\N	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/SF/	republic	SF	2.9	3.36	25.1	2.2	8.1	71.9	0.05	1917-12-06	259600	http://www.semwebtech.org/mondial/10/country/R/	\N
http://www.semwebtech.org/mondial/10/country/ER/	transitional government	ER	11.7	38.44	26.9	13	\N	61.4	2.3	1993-05-27	3438	http://www.semwebtech.org/mondial/10/country/ETH/	\N
http://www.semwebtech.org/mondial/10/country/GUAM/	organized	GUAM	\N	5.51	\N	4	8.2	\N	0.44	\N	4600	\N	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/ARM/	republic	ARM	20.6	13.97	37.3	6.2	17.3	42.1	-0.13	1918-05-28	10440	http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/	\N
http://www.semwebtech.org/mondial/10/country/MA/	constitutional monarchy	MA	15.1	24.52	31.7	2.5	9.5	53.2	1.02	1956-03-02	104800	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/ES/	republic	ES	10.3	18.44	29.5	0.9	6.3	60.1	0.27	1821-09-15	24670	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/BS/	constitutional parliamentary democracy and a Commonwealth realm	BS	2.1	12.5	7.1	1	16.2	90.8	0.87	1973-07-10	8373	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/UZB/	republic; authoritarian presidential rule with little power outside the executive branch	UZB	19.1	19.84	32.2	10.1	4.9	48.7	0.93	1991-08-31	55180	http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/	\N
http://www.semwebtech.org/mondial/10/country/NIUE/	self-governing parliamentary democracy	NIUE	23.5	\N	26.9	4	12	49.5	-0.03	1974-10-19	10	http://www.semwebtech.org/mondial/10/country/NZ/	\N
http://www.semwebtech.org/mondial/10/country/AG/	constitutional monarchy with a parliamentary system of government and a Commonwealth realm	AG	2.2	13.29	16.4	3	11	81.4	1.25	1981-11-01	1220	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/MYA/	parliamentary government took power in March 2011	MYA	38	44.91	20.3	5.7	5.2	41.7	1.03	1948-01-04	59430	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/GNB/	republic	GNB	58	90.92	13.5	1.9	\N	28.5	1.93	1974-09-10	880	http://www.semwebtech.org/mondial/10/country/P/	\N
http://www.semwebtech.org/mondial/10/country/B/	federal parliamentary democracy under a constitutional monarchy	B	0.8	4.18	22.6	1.3	8.8	76.6	0.05	1830-10-04	507400	http://www.semwebtech.org/mondial/10/country/NL/	\N
http://www.semwebtech.org/mondial/10/country/LV/	parliamentary democracy	LV	4.9	7.91	25.7	0.2	9.8	69.4	-0.62	1991-09-06	30380	http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/	\N
http://www.semwebtech.org/mondial/10/country/D/	federal republic	D	0.8	3.46	30.1	1.6	5.3	69	-0.18	1871-01-18	3593000	\N	\N
http://www.semwebtech.org/mondial/10/country/LT/	parliamentary democracy	LT	3.7	6	28.3	1.2	12.4	68	-0.29	1991-09-06	46710	http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/	\N
http://www.semwebtech.org/mondial/10/country/RM/	republic	RM	27.3	44.88	16.4	8.8	\N	56.3	2.62	1960-06-26	10530	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/R/	federation	R	4.2	7.08	37.5	6.8	5.8	58.3	-0.03	1991-08-24	2113000	http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/	\N
http://www.semwebtech.org/mondial/10/country/RCH/	republic	RCH	3.6	7.02	35.4	1.7	6	61	0.84	1810-09-18	281700	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/NORF/	territory of Australia	NORF	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/NZ/	parliamentary democracy and a Commonwealth realm	NZ	5	4.59	25.5	1.3	6.4	69.5	0.83	1907-09-26	181100	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/WG/	parliamentary democracy and a Commonwealth realm	WG	5.6	10.5	15.8	2.4	33.5	78.5	0.5	1974-02-07	811	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/CO/	republic; executive branch dominates government structure	CO	6.6	15.02	37.8	2.2	9.7	55.6	1.07	1810-07-20	369200	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/FARX/	part of the Danish realm	FARX	16	5.71	29	2.3	6.8	55	0.49	\N	2320	\N	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/WEST/	\N	WEST	33	28.6	7	14	\N	60	4.99	\N	3700	\N	\N
http://www.semwebtech.org/mondial/10/country/DK/	constitutional monarchy	DK	1.5	4.1	21.7	0.8	6	76.8	0.22	\N	324300	\N	\N
http://www.semwebtech.org/mondial/10/country/C/	Communist state	C	3.8	4.7	22.3	6	4.3	73.9	-0.14	1902-05-20	72300	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/JA/	constitutional parliamentary democracy and a Commonwealth realm	JA	6.5	13.69	29.4	9.4	16.3	64.1	0.69	1962-08-06	14390	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/PE/	constitutional republic	PE	6.2	20.21	37.5	2.9	3.6	56.3	0.99	1821-07-28	210300	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/MD/	republic	MD	13.8	12.93	19.9	4.6	5.8	66.2	-1.02	1991-08-27	7932	http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/	\N
http://www.semwebtech.org/mondial/10/country/SVAX/	territory of Norway administered by the Ministry of Industry	SVAX	\N	\N	\N	\N	\N	\N	-0.03	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/MC/	constitutional monarchy	MC	0	1.81	10	1.5	2	90	0.06	1419-01-01	5748	\N	\N
http://www.semwebtech.org/mondial/10/country/GBG/	parliamentary democracy	GBG	3	3.47	10	3.4	0.9	87	0.36	\N	2742	\N	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/MEX/	federal republic	MEX	3.6	12.58	36.6	4	4.9	59.8	1.21	1810-09-16	1327000	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/TR/	republican parliamentary democracy	TR	8.9	21.43	27.3	7.6	9.3	63.8	1.12	1923-10-29	821800	http://www.semwebtech.org/mondial/10/politicalbody/OttomanEmpire/	\N
http://www.semwebtech.org/mondial/10/country/TOK/	\N	TOK	\N	\N	\N	\N	\N	\N	-0.01	\N	1.5	\N	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/P/	republic; parliamentary democracy	P	2.6	4.48	22.2	0.4	16.8	75.2	0.12	1139-07-25	219300	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/IS/	constitutional republic	IS	5.9	3.15	22.9	3.9	4.5	71.2	0.65	1944-06-17	14590	http://www.semwebtech.org/mondial/10/country/DK/	\N
http://www.semwebtech.org/mondial/10/country/RSM/	republic	RSM	0.1	4.52	39.2	2.8	7	60.7	0.87	0301-01-01	1866	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/	federal republic	BR	5.5	19.21	26.4	6.2	5.7	68.1	0.8	1822-09-07	2190000	http://www.semwebtech.org/mondial/10/country/P/	\N
http://www.semwebtech.org/mondial/10/country/CN/	Communist state	CN	10	14.79	43.9	2.6	4.1	46.1	0.44	\N	9330000	\N	\N
http://www.semwebtech.org/mondial/10/country/BEN/	republic	BEN	31.6	57.09	12.9	2.4	\N	55.6	2.81	1960-08-01	8359	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/IR/	theocratic republic	IR	10.6	39	44.9	42.3	16	44.5	1.22	\N	411900	\N	\N
http://www.semwebtech.org/mondial/10/country/MAL/	constitutional monarchy	MAL	11.2	13.69	40.6	2.2	3.1	48.1	1.47	1957-08-31	312400	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/BDS/	parliamentary democracy and a Commonwealth realm	BDS	3.1	10.93	13.9	2.1	11.4	83	0.33	1966-11-30	4262	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/SSD/	republic	SSD	\N	68.16	\N	1.7	\N	\N	4.12	2011-07-09	11770	http://www.semwebtech.org/mondial/10/country/SUD/	\N
http://www.semwebtech.org/mondial/10/country/Q/	emirate	Q	0.1	6.42	72.2	3.1	0.3	27.7	3.58	1971-09-03	213100	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/DOM/	democratic republic	DOM	6	19.63	29.1	5	15	64.9	1.25	1844-02-27	59270	http://www.semwebtech.org/mondial/10/country/RH/	\N
http://www.semwebtech.org/mondial/10/country/ET/	republic	ET	14.5	22.41	37.5	9	13.4	48	1.84	1922-02-28	262000	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/RL/	republic	RL	4.6	7.98	20	5	\N	75.4	9.37	1943-11-22	43490	http://www.semwebtech.org/mondial/10/organization/UN/	\N
http://www.semwebtech.org/mondial/10/country/UA/	republic	UA	9.9	8.1	29.6	0.7	8	60.5	-0.64	1991-12-01	175500	http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/	\N
http://www.semwebtech.org/mondial/10/country/AFG/	Islamic republic	AFG	20	117.23	25.6	6.8	35	54.4	2.29	1919-08-19	20650	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/RSA/	republic	RSA	2.6	41.61	29	5.8	24.9	68.4	-0.48	1910-05-31	353900	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/USA/	constitution-based federal republic; strong democratic tradition	USA	1.1	6.17	19.5	1.5	7.3	79.4	0.77	1776-07-04	16720000	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/ZW/	parliamentary democracy	ZW	20.1	26.55	25.4	8.5	95	54.5	4.36	1980-04-18	10480	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/AND/	parliamentary democracy that retains as its chiefs of state a co-principality	AND	14	3.69	79	1.1	4	6	0.17	1278-09-08	4800	\N	\N
http://www.semwebtech.org/mondial/10/country/RIM/	military junta	RIM	16.9	56.06	54.6	4.6	30	28.5	2.26	1960-11-28	4183	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/DZ/	republic	DZ	9.4	21.76	62.6	3.9	10.3	28	1.88	1962-07-05	215700	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/BRU/	constitutional sultanate (locally known as Malay Islamic Monarchy)	BRU	0.7	10.48	70.9	1	2.6	28.4	1.65	1984-01-01	16560	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/KN/	parliamentary democracy and a Commonwealth realm	KN	1.8	8.98	23.1	2.2	4.5	75.1	0.78	1983-09-19	767	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/IRL/	republic, parliamentary democracy	IRL	1.6	3.74	28	0.6	13.5	70.4	1.2	1921-12-06	220900	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/S/	constitutional monarchy	S	2	2.6	31.3	0	8.1	66.8	0.79	\N	552000	\N	\N
http://www.semwebtech.org/mondial/10/country/GBJ/	parliamentary democracy	GBJ	2	3.86	2	3.7	1.7	96	0.81	\N	5100	\N	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/NEP/	federal democratic republic	NEP	36.8	40.43	14.5	6.7	46	48.7	1.82	1768-01-01	19340	\N	\N
http://www.semwebtech.org/mondial/10/country/MS/	parliamentary democracy	MS	4.5	10.59	22	3.5	8.3	73.4	0.66	1968-03-12	11900	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/KOS/	republic	KOS	12.9	\N	22.6	1.8	30.9	64.5	\N	2008-02-17	7150	http://www.semwebtech.org/mondial/10/country/SRB/	\N
http://www.semwebtech.org/mondial/10/country/MNE/	republic	MNE	0.8	\N	11.3	4	19.1	87.9	-0.49	2006-06-03	4518	http://www.semwebtech.org/mondial/10/country/SRB/	\N
http://www.semwebtech.org/mondial/10/country/NMIS/	commonwealth; self-governing with locally elected governor, lieutenant governor, and legislature	NMIS	1.7	5.5	3.3	-2.7	11.2	95	1.13	\N	733	\N	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/BF/	parliamentary republic	BF	33.6	76.8	23.6	2.1	77	42.8	3.05	1960-08-05	12130	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/BG/	parliamentary democracy	BG	6.7	15.08	30.3	1.5	11.6	63	-0.83	1908-09-22	53700	http://www.semwebtech.org/mondial/10/politicalbody/OttomanEmpire/	\N
http://www.semwebtech.org/mondial/10/country/TT/	parliamentary democracy	TT	0.3	24.82	57.7	5.4	5.9	42	-0.11	1962-08-31	27130	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/MART/	overseas department of France	MART	6	7.1	11	3.9	\N	83	1.1	\N	3950	\N	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/AUS/	federal parliamentary democracy and a Commonwealth realm	AUS	3.8	4.43	27.4	2.4	5.7	68.7	1.09	1901-01-01	1488000	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/E/	parliamentary monarchy	E	3.1	3.33	26	1.8	26.3	70.8	0.81	1492-01-01	1356000	\N	\N
http://www.semwebtech.org/mondial/10/country/CEU/	dependent territory of Spain	CEU	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/STP/	republic	STP	13.7	49.16	19.5	8.7	\N	66.8	1.89	1975-07-12	311	http://www.semwebtech.org/mondial/10/country/P/	\N
http://www.semwebtech.org/mondial/10/country/MEL/	dependent territory of Spain	MEL	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/RA/	republic	RA	9.3	9.96	29.7	20.8	7.5	61	0.95	1816-07-09	484600	http://www.semwebtech.org/mondial/10/country/E/	\N
http://www.semwebtech.org/mondial/10/country/WV/	parliamentary democracy and a Commonwealth realm	WV	5.4	13.07	20.3	2.8	18.8	74.4	-0.29	1979-10-27	742	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/EW/	parliamentary republic	EW	3.9	6.7	30	3.4	10.9	66.2	-0.68	1991-09-06	24280	http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/	\N
http://www.semwebtech.org/mondial/10/country/GAZA/	\N	GAZA	\N	30.6	\N	5.7	\N	\N	4.55	\N	1700	\N	\N
http://www.semwebtech.org/mondial/10/country/RWA/	republic; presidential, multiparty system	RWA	31.9	59.59	14.8	5.9	\N	53.3	2.63	1962-07-01	7700	http://www.semwebtech.org/mondial/10/organization/UN/	\N
http://www.semwebtech.org/mondial/10/country/WAL/	constitutional democracy	WAL	47.9	73.29	18.6	11.1	\N	33.5	2.33	1961-04-27	4607	http://www.semwebtech.org/mondial/10/country/GB/	\N
http://www.semwebtech.org/mondial/10/country/RN/	republic	RN	35.2	86.27	14.2	1.9	\N	50.6	3.28	1960-08-03	7304	http://www.semwebtech.org/mondial/10/country/F/	\N
http://www.semwebtech.org/mondial/10/country/GB/	constitutional monarchy and Commonwealth realm	GB	0.7	4.44	20.5	2	7.2	78.9	0.54	1801-01-01	2490000	\N	\N
http://www.semwebtech.org/mondial/10/country/F/	republic	F	1.9	3.31	18.7	0.9	10.2	79.4	0.45	\N	2739000	\N	\N
\.


--
-- TOC entry 5921 (class 0 OID 90064)
-- Dependencies: 691
-- Data for Name: Desert; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Desert" ("URI", area, type) FROM stdin;
http://www.semwebtech.org/mondial/10/desert/Sonora/	320000	\N
http://www.semwebtech.org/mondial/10/desert/Tenere/	600000	sand
http://www.semwebtech.org/mondial/10/desert/Talak/	100000	sand
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	200000	\N
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	780000	sand
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	360000	\N
http://www.semwebtech.org/mondial/10/desert/Karakum/	400000	\N
http://www.semwebtech.org/mondial/10/desert/Trarza/	50000	\N
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	77600	\N
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	200000	\N
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	176500	sand
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	37500	\N
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	150000	\N
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	300000	sand
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	150000	\N
http://www.semwebtech.org/mondial/10/desert/Ferlo/	70000	\N
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	424400	\N
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	310800	\N
http://www.semwebtech.org/mondial/10/desert/Negev/	12000	\N
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	50000	\N
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	25000	\N
http://www.semwebtech.org/mondial/10/desert/Thar/	240000	\N
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	200000	\N
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	13000	\N
http://www.semwebtech.org/mondial/10/desert/Gobi/	1000000	\N
http://www.semwebtech.org/mondial/10/desert/Namib/	95000	sand
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	200000	lime
http://www.semwebtech.org/mondial/10/desert/KumTagh/	22000	sand
http://www.semwebtech.org/mondial/10/desert/Rigestan/	25000	\N
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	337000	\N
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	80000	\N
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	35000	\N
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	10360	\N
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	40000	\N
http://www.semwebtech.org/mondial/10/desert/UstUrt/	180000	\N
http://www.semwebtech.org/mondial/10/desert/Mojave/	57000	\N
http://www.semwebtech.org/mondial/10/desert/RedCentre/	1000000	sand
http://www.semwebtech.org/mondial/10/desert/Ryn/	80000	\N
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	30000	\N
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	84000	\N
http://www.semwebtech.org/mondial/10/desert/Kalahari/	1200000	\N
http://www.semwebtech.org/mondial/10/desert/Darfur/	500000	\N
http://www.semwebtech.org/mondial/10/desert/Owyhee/	36000	\N
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	180000	\N
http://www.semwebtech.org/mondial/10/desert/Fesan/	300000	\N
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	50000	\N
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	518000	\N
http://www.semwebtech.org/mondial/10/desert/ErgChech/	10000	\N
http://www.semwebtech.org/mondial/10/desert/Nefud/	78000	sand
http://www.semwebtech.org/mondial/10/desert/Atacama/	181300	\N
http://www.semwebtech.org/mondial/10/desert/Ordos/	90000	\N
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	80000	\N
http://www.semwebtech.org/mondial/10/desert/Tanami/	37500	sand
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	48800	\N
http://www.semwebtech.org/mondial/10/desert/Djourab/	100000	\N
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	360000	sand
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	300000	\N
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	1100000	\N
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	166000	\N
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	40000	\N
http://www.semwebtech.org/mondial/10/desert/Qaidam/	120000	\N
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	160000	\N
\.


--
-- TOC entry 5922 (class 0 OID 90070)
-- Dependencies: 692
-- Data for Name: Encompassed; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Encompassed" ("URI", "encompassedArea", percent, "encompassedBy") FROM stdin;
3441d4f:1508ad6f828:6942	http://www.semwebtech.org/mondial/10/country/RMM/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:688f	http://www.semwebtech.org/mondial/10/country/SK/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:691c	http://www.semwebtech.org/mondial/10/country/AUS/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:6967	http://www.semwebtech.org/mondial/10/country/SP/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68d6	http://www.semwebtech.org/mondial/10/country/COCO/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:6920	http://www.semwebtech.org/mondial/10/country/GUAM/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:694a	http://www.semwebtech.org/mondial/10/country/NAM/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:690d	http://www.semwebtech.org/mondial/10/country/MNTS/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:6958	http://www.semwebtech.org/mondial/10/country/EAT/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68c7	http://www.semwebtech.org/mondial/10/country/BRU/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:688a	http://www.semwebtech.org/mondial/10/country/CZ/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6911	http://www.semwebtech.org/mondial/10/country/SBAR/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:6898	http://www.semwebtech.org/mondial/10/country/R/	75	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:693b	http://www.semwebtech.org/mondial/10/country/GUY/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68aa	http://www.semwebtech.org/mondial/10/country/GBG/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6949	http://www.semwebtech.org/mondial/10/country/RCB/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68f5	http://www.semwebtech.org/mondial/10/country/BS/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68b8	http://www.semwebtech.org/mondial/10/country/AFG/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6902	http://www.semwebtech.org/mondial/10/country/C/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:6889	http://www.semwebtech.org/mondial/10/country/A/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:692c	http://www.semwebtech.org/mondial/10/country/SLB/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:6977	http://www.semwebtech.org/mondial/10/country/STP/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68e6	http://www.semwebtech.org/mondial/10/country/WEST/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68a9	http://www.semwebtech.org/mondial/10/country/GBZ/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6930	http://www.semwebtech.org/mondial/10/country/VU/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:695a	http://www.semwebtech.org/mondial/10/country/RCA/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:691d	http://www.semwebtech.org/mondial/10/country/COOK/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:6968	http://www.semwebtech.org/mondial/10/country/EAK/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68d7	http://www.semwebtech.org/mondial/10/country/CY/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:689a	http://www.semwebtech.org/mondial/10/country/L/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6921	http://www.semwebtech.org/mondial/10/country/KIR/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:694b	http://www.semwebtech.org/mondial/10/country/ZRE/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:690e	http://www.semwebtech.org/mondial/10/country/CUR/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68ba	http://www.semwebtech.org/mondial/10/country/IR/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6959	http://www.semwebtech.org/mondial/10/country/CAM/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68c8	http://www.semwebtech.org/mondial/10/country/MAL/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68f4	http://www.semwebtech.org/mondial/10/country/ARU/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68b7	http://www.semwebtech.org/mondial/10/country/GB/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6901	http://www.semwebtech.org/mondial/10/country/PA/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:6888	http://www.semwebtech.org/mondial/10/country/E/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:692b	http://www.semwebtech.org/mondial/10/country/PITC/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:688b	http://www.semwebtech.org/mondial/10/country/D/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6912	http://www.semwebtech.org/mondial/10/country/CO/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:6899	http://www.semwebtech.org/mondial/10/country/B/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:693c	http://www.semwebtech.org/mondial/10/country/SME/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68ab	http://www.semwebtech.org/mondial/10/country/V/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:68f6	http://www.semwebtech.org/mondial/10/country/BDS/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68b9	http://www.semwebtech.org/mondial/10/country/CN/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6940	http://www.semwebtech.org/mondial/10/country/DZ/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6903	http://www.semwebtech.org/mondial/10/country/WD/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:696a	http://www.semwebtech.org/mondial/10/country/SN/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:692d	http://www.semwebtech.org/mondial/10/country/TO/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:6978	http://www.semwebtech.org/mondial/10/country/SY/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6880	http://www.semwebtech.org/mondial/10/country/AL/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:68e7	http://www.semwebtech.org/mondial/10/country/J/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6931	http://www.semwebtech.org/mondial/10/country/WAFU/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:68a0	http://www.semwebtech.org/mondial/10/country/TR/	3	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:695b	http://www.semwebtech.org/mondial/10/country/TCH/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:691e	http://www.semwebtech.org/mondial/10/country/FJI/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:68ca	http://www.semwebtech.org/mondial/10/country/THA/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6969	http://www.semwebtech.org/mondial/10/country/WAG/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68d8	http://www.semwebtech.org/mondial/10/country/GAZA/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:689b	http://www.semwebtech.org/mondial/10/country/NL/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6922	http://www.semwebtech.org/mondial/10/country/MH/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:694c	http://www.semwebtech.org/mondial/10/country/Z/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:690f	http://www.semwebtech.org/mondial/10/country/NLSM/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68bb	http://www.semwebtech.org/mondial/10/country/PK/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68c9	http://www.semwebtech.org/mondial/10/country/LAO/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:688c	http://www.semwebtech.org/mondial/10/country/H/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6950	http://www.semwebtech.org/mondial/10/country/RT/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6913	http://www.semwebtech.org/mondial/10/country/PR/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:693d	http://www.semwebtech.org/mondial/10/country/YV/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68ac	http://www.semwebtech.org/mondial/10/country/CEU/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6890	http://www.semwebtech.org/mondial/10/country/SLO/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:68f7	http://www.semwebtech.org/mondial/10/country/BZ/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:6941	http://www.semwebtech.org/mondial/10/country/LAR/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6904	http://www.semwebtech.org/mondial/10/country/DOM/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68b0	http://www.semwebtech.org/mondial/10/country/RSM/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:696b	http://www.semwebtech.org/mondial/10/country/GNB/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:692e	http://www.semwebtech.org/mondial/10/country/TUV/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:68da	http://www.semwebtech.org/mondial/10/country/ET/	7.3	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6881	http://www.semwebtech.org/mondial/10/country/GR/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:68e8	http://www.semwebtech.org/mondial/10/country/ROK/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6932	http://www.semwebtech.org/mondial/10/country/WS/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:68a1	http://www.semwebtech.org/mondial/10/country/TR/	97	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:695c	http://www.semwebtech.org/mondial/10/country/GQ/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:691f	http://www.semwebtech.org/mondial/10/country/FPOL/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:68cb	http://www.semwebtech.org/mondial/10/country/K/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68d9	http://www.semwebtech.org/mondial/10/country/IL/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:689c	http://www.semwebtech.org/mondial/10/country/BIH/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6960	http://www.semwebtech.org/mondial/10/country/SSD/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6923	http://www.semwebtech.org/mondial/10/country/FSM/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:694d	http://www.semwebtech.org/mondial/10/country/BEN/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68bc	http://www.semwebtech.org/mondial/10/country/TAD/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:688d	http://www.semwebtech.org/mondial/10/country/I/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6951	http://www.semwebtech.org/mondial/10/country/RB/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6914	http://www.semwebtech.org/mondial/10/country/KN/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68c0	http://www.semwebtech.org/mondial/10/country/GE/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:693e	http://www.semwebtech.org/mondial/10/country/EC/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68ea	http://www.semwebtech.org/mondial/10/country/OM/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68ad	http://www.semwebtech.org/mondial/10/country/MEL/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6891	http://www.semwebtech.org/mondial/10/country/CH/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:68f8	http://www.semwebtech.org/mondial/10/country/GCA/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:6905	http://www.semwebtech.org/mondial/10/country/RH/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68b1	http://www.semwebtech.org/mondial/10/country/GBJ/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:696c	http://www.semwebtech.org/mondial/10/country/WAL/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:692f	http://www.semwebtech.org/mondial/10/country/TOK/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:68db	http://www.semwebtech.org/mondial/10/country/ET/	92.7	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6882	http://www.semwebtech.org/mondial/10/country/MK/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:68e9	http://www.semwebtech.org/mondial/10/country/MV/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6970	http://www.semwebtech.org/mondial/10/country/MW/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6933	http://www.semwebtech.org/mondial/10/country/RA/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68a2	http://www.semwebtech.org/mondial/10/country/DK/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:695d	http://www.semwebtech.org/mondial/10/country/G/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68cc	http://www.semwebtech.org/mondial/10/country/VN/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:689d	http://www.semwebtech.org/mondial/10/country/HR/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6961	http://www.semwebtech.org/mondial/10/country/COM/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6924	http://www.semwebtech.org/mondial/10/country/NAU/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:68d0	http://www.semwebtech.org/mondial/10/country/KGZ/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:694e	http://www.semwebtech.org/mondial/10/country/BF/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68fa	http://www.semwebtech.org/mondial/10/country/BERM/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68bd	http://www.semwebtech.org/mondial/10/country/TM/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:688e	http://www.semwebtech.org/mondial/10/country/FL/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6952	http://www.semwebtech.org/mondial/10/country/RSA/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6915	http://www.semwebtech.org/mondial/10/country/WL/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68c1	http://www.semwebtech.org/mondial/10/country/AZ/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:693f	http://www.semwebtech.org/mondial/10/country/FALK/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68eb	http://www.semwebtech.org/mondial/10/country/UAE/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68ae	http://www.semwebtech.org/mondial/10/country/IS/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6892	http://www.semwebtech.org/mondial/10/country/BY/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:68f9	http://www.semwebtech.org/mondial/10/country/MEX/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:6943	http://www.semwebtech.org/mondial/10/country/RIM/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6906	http://www.semwebtech.org/mondial/10/country/ES/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68b2	http://www.semwebtech.org/mondial/10/country/M/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:696d	http://www.semwebtech.org/mondial/10/country/EAU/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68dc	http://www.semwebtech.org/mondial/10/country/RI/	78	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6883	http://www.semwebtech.org/mondial/10/country/SRB/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6971	http://www.semwebtech.org/mondial/10/country/MOC/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6934	http://www.semwebtech.org/mondial/10/country/BOL/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68e0	http://www.semwebtech.org/mondial/10/country/IRQ/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68a3	http://www.semwebtech.org/mondial/10/country/EW/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:695e	http://www.semwebtech.org/mondial/10/country/CV/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68cd	http://www.semwebtech.org/mondial/10/country/KAZ/	5.4	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:689e	http://www.semwebtech.org/mondial/10/country/BG/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6962	http://www.semwebtech.org/mondial/10/country/RG/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6925	http://www.semwebtech.org/mondial/10/country/NCA/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:68d1	http://www.semwebtech.org/mondial/10/country/HONX/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:694f	http://www.semwebtech.org/mondial/10/country/WAN/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68fb	http://www.semwebtech.org/mondial/10/country/BVIR/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68be	http://www.semwebtech.org/mondial/10/country/UZB/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6953	http://www.semwebtech.org/mondial/10/country/ZW/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6916	http://www.semwebtech.org/mondial/10/country/SPMI/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68c2	http://www.semwebtech.org/mondial/10/country/BRN/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68ec	http://www.semwebtech.org/mondial/10/country/YE/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68af	http://www.semwebtech.org/mondial/10/country/IRL/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6893	http://www.semwebtech.org/mondial/10/country/LV/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6944	http://www.semwebtech.org/mondial/10/country/MA/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68f0	http://www.semwebtech.org/mondial/10/country/CL/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6907	http://www.semwebtech.org/mondial/10/country/HCA/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68b3	http://www.semwebtech.org/mondial/10/country/GBM/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:696e	http://www.semwebtech.org/mondial/10/country/LS/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68dd	http://www.semwebtech.org/mondial/10/country/RI/	22	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:6884	http://www.semwebtech.org/mondial/10/country/MNE/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6972	http://www.semwebtech.org/mondial/10/country/MS/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6935	http://www.semwebtech.org/mondial/10/country/BR/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68e1	http://www.semwebtech.org/mondial/10/country/JOR/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68a4	http://www.semwebtech.org/mondial/10/country/FARX/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:695f	http://www.semwebtech.org/mondial/10/country/SUD/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68ce	http://www.semwebtech.org/mondial/10/country/KAZ/	94.6	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:689f	http://www.semwebtech.org/mondial/10/country/RO/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6963	http://www.semwebtech.org/mondial/10/country/LB/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6926	http://www.semwebtech.org/mondial/10/country/NZ/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:68d2	http://www.semwebtech.org/mondial/10/country/MACX/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68fc	http://www.semwebtech.org/mondial/10/country/CDN/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68bf	http://www.semwebtech.org/mondial/10/country/ARM/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6954	http://www.semwebtech.org/mondial/10/country/CI/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6917	http://www.semwebtech.org/mondial/10/country/WV/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68c3	http://www.semwebtech.org/mondial/10/country/BD/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68ed	http://www.semwebtech.org/mondial/10/country/RP/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6894	http://www.semwebtech.org/mondial/10/country/LT/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6945	http://www.semwebtech.org/mondial/10/country/RN/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68f1	http://www.semwebtech.org/mondial/10/country/RC/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6908	http://www.semwebtech.org/mondial/10/country/GROX/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68b4	http://www.semwebtech.org/mondial/10/country/MD/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:696f	http://www.semwebtech.org/mondial/10/country/RM/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68de	http://www.semwebtech.org/mondial/10/country/TL/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6885	http://www.semwebtech.org/mondial/10/country/KOS/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6973	http://www.semwebtech.org/mondial/10/country/MAYO/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6936	http://www.semwebtech.org/mondial/10/country/RCH/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68e2	http://www.semwebtech.org/mondial/10/country/KWT/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68a5	http://www.semwebtech.org/mondial/10/country/SF/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:68cf	http://www.semwebtech.org/mondial/10/country/NOK/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6964	http://www.semwebtech.org/mondial/10/country/DJI/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6927	http://www.semwebtech.org/mondial/10/country/NIUE/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:68d3	http://www.semwebtech.org/mondial/10/country/MNG/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68fd	http://www.semwebtech.org/mondial/10/country/USA/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:690a	http://www.semwebtech.org/mondial/10/country/GUAD/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:6955	http://www.semwebtech.org/mondial/10/country/GH/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6918	http://www.semwebtech.org/mondial/10/country/TT/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68c4	http://www.semwebtech.org/mondial/10/country/MYA/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68ee	http://www.semwebtech.org/mondial/10/country/Q/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6895	http://www.semwebtech.org/mondial/10/country/PL/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6946	http://www.semwebtech.org/mondial/10/country/TN/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68f2	http://www.semwebtech.org/mondial/10/country/AXA/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:6909	http://www.semwebtech.org/mondial/10/country/WG/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68b5	http://www.semwebtech.org/mondial/10/country/P/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:68df	http://www.semwebtech.org/mondial/10/country/PNG/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:6886	http://www.semwebtech.org/mondial/10/country/AND/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6974	http://www.semwebtech.org/mondial/10/country/SD/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6937	http://www.semwebtech.org/mondial/10/country/PY/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68e3	http://www.semwebtech.org/mondial/10/country/SA/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68a6	http://www.semwebtech.org/mondial/10/country/N/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:691a	http://www.semwebtech.org/mondial/10/country/VIRG/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:6965	http://www.semwebtech.org/mondial/10/country/ER/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6928	http://www.semwebtech.org/mondial/10/country/NORF/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:68d4	http://www.semwebtech.org/mondial/10/country/NEP/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68fe	http://www.semwebtech.org/mondial/10/country/CAYM/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:690b	http://www.semwebtech.org/mondial/10/country/JA/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:6956	http://www.semwebtech.org/mondial/10/country/BI/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6919	http://www.semwebtech.org/mondial/10/country/TUCA/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68c5	http://www.semwebtech.org/mondial/10/country/IND/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68ef	http://www.semwebtech.org/mondial/10/country/SGP/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6896	http://www.semwebtech.org/mondial/10/country/UA/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6947	http://www.semwebtech.org/mondial/10/country/WSA/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68f3	http://www.semwebtech.org/mondial/10/country/AG/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68b6	http://www.semwebtech.org/mondial/10/country/SVAX/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:6900	http://www.semwebtech.org/mondial/10/country/NIC/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:6887	http://www.semwebtech.org/mondial/10/country/F/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:692a	http://www.semwebtech.org/mondial/10/country/PAL/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:6975	http://www.semwebtech.org/mondial/10/country/REUN/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6938	http://www.semwebtech.org/mondial/10/country/ROU/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68e4	http://www.semwebtech.org/mondial/10/country/SYR/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68a7	http://www.semwebtech.org/mondial/10/country/S/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:691b	http://www.semwebtech.org/mondial/10/country/AMSA/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:6966	http://www.semwebtech.org/mondial/10/country/ETH/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6929	http://www.semwebtech.org/mondial/10/country/NMIS/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:68d5	http://www.semwebtech.org/mondial/10/country/XMAS/	100	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
3441d4f:1508ad6f828:68ff	http://www.semwebtech.org/mondial/10/country/CR/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:690c	http://www.semwebtech.org/mondial/10/country/MART/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:6957	http://www.semwebtech.org/mondial/10/country/RWA/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:68c6	http://www.semwebtech.org/mondial/10/country/BHT/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:6910	http://www.semwebtech.org/mondial/10/country/SMAR/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:6897	http://www.semwebtech.org/mondial/10/country/R/	25	http://www.semwebtech.org/mondial/10/continent/Europe/
3441d4f:1508ad6f828:693a	http://www.semwebtech.org/mondial/10/country/FGU/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:6948	http://www.semwebtech.org/mondial/10/country/ANG/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6976	http://www.semwebtech.org/mondial/10/country/HELX/	100	http://www.semwebtech.org/mondial/10/continent/Africa/
3441d4f:1508ad6f828:6939	http://www.semwebtech.org/mondial/10/country/PE/	100	http://www.semwebtech.org/mondial/10/continent/America/
3441d4f:1508ad6f828:68e5	http://www.semwebtech.org/mondial/10/country/RL/	100	http://www.semwebtech.org/mondial/10/continent/Asia/
3441d4f:1508ad6f828:68a8	http://www.semwebtech.org/mondial/10/country/MC/	100	http://www.semwebtech.org/mondial/10/continent/Europe/
\.


--
-- TOC entry 5923 (class 0 OID 90076)
-- Dependencies: 693
-- Data for Name: Estuary; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Estuary" ("URI") FROM stdin;
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/
http://www.semwebtech.org/mondial/10/estuary/Argun/
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/
http://www.semwebtech.org/mondial/10/estuary/Oranje/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/
http://www.semwebtech.org/mondial/10/estuary/Theiss/
http://www.semwebtech.org/mondial/10/estuary/Don/
http://www.semwebtech.org/mondial/10/estuary/Missouri/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/
http://www.semwebtech.org/mondial/10/estuary/Sanga/
http://www.semwebtech.org/mondial/10/estuary/Mincio/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/
http://www.semwebtech.org/mondial/10/estuary/Breg/
http://www.semwebtech.org/mondial/10/estuary/Dnepr/
http://www.semwebtech.org/mondial/10/estuary/Schari/
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/
http://www.semwebtech.org/mondial/10/estuary/Inn/
http://www.semwebtech.org/mondial/10/estuary/Lomami/
http://www.semwebtech.org/mondial/10/estuary/Bartang/
http://www.semwebtech.org/mondial/10/estuary/Amudarja/
http://www.semwebtech.org/mondial/10/estuary/Volga/
http://www.semwebtech.org/mondial/10/estuary/Lagen/
http://www.semwebtech.org/mondial/10/estuary/Tennessee/
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/
http://www.semwebtech.org/mondial/10/estuary/Pibor/
http://www.semwebtech.org/mondial/10/estuary/Save/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/
http://www.semwebtech.org/mondial/10/estuary/Buna/
http://www.semwebtech.org/mondial/10/estuary/Tajo/
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/
http://www.semwebtech.org/mondial/10/estuary/Cuilo/
http://www.semwebtech.org/mondial/10/estuary/Ili/
http://www.semwebtech.org/mondial/10/estuary/Sobat/
http://www.semwebtech.org/mondial/10/estuary/Tobol/
http://www.semwebtech.org/mondial/10/estuary/Tigris/
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/
http://www.semwebtech.org/mondial/10/estuary/Lualaba/
http://www.semwebtech.org/mondial/10/estuary/Hwangho/
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/
http://www.semwebtech.org/mondial/10/estuary/Irtysch/
http://www.semwebtech.org/mondial/10/estuary/Douro/
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/
http://www.semwebtech.org/mondial/10/estuary/Tocantins/
http://www.semwebtech.org/mondial/10/estuary/Vaal/
http://www.semwebtech.org/mondial/10/estuary/Ammer/
http://www.semwebtech.org/mondial/10/estuary/Chatanga/
http://www.semwebtech.org/mondial/10/estuary/Enns/
http://www.semwebtech.org/mondial/10/estuary/Atbara/
http://www.semwebtech.org/mondial/10/estuary/Dnister/
http://www.semwebtech.org/mondial/10/estuary/Saar/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/
http://www.semwebtech.org/mondial/10/estuary/Drau/
http://www.semwebtech.org/mondial/10/estuary/Ticino/
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/
http://www.semwebtech.org/mondial/10/estuary/Rhone/
http://www.semwebtech.org/mondial/10/estuary/Karun/
http://www.semwebtech.org/mondial/10/estuary/Limpopo/
http://www.semwebtech.org/mondial/10/estuary/Kama/
http://www.semwebtech.org/mondial/10/estuary/Zaire/
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/
http://www.semwebtech.org/mondial/10/estuary/Uelle/
http://www.semwebtech.org/mondial/10/estuary/Mekong/
http://www.semwebtech.org/mondial/10/estuary/Lech/
http://www.semwebtech.org/mondial/10/estuary/RioNegro/
http://www.semwebtech.org/mondial/10/estuary/Gambia/
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/
http://www.semwebtech.org/mondial/10/estuary/Karasu/
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/
http://www.semwebtech.org/mondial/10/estuary/Oka/
http://www.semwebtech.org/mondial/10/estuary/Loire/
http://www.semwebtech.org/mondial/10/estuary/Lukenie/
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/
http://www.semwebtech.org/mondial/10/estuary/Oder/
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/
http://www.semwebtech.org/mondial/10/estuary/Niger/
http://www.semwebtech.org/mondial/10/estuary/Maranon/
http://www.semwebtech.org/mondial/10/estuary/Glomma/
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/
http://www.semwebtech.org/mondial/10/estuary/Bomu/
http://www.semwebtech.org/mondial/10/estuary/Shabelle/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/
http://www.semwebtech.org/mondial/10/estuary/Leine/
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/
http://www.semwebtech.org/mondial/10/estuary/Parana/
http://www.semwebtech.org/mondial/10/estuary/Tara/
http://www.semwebtech.org/mondial/10/estuary/Urubamba/
http://www.semwebtech.org/mondial/10/estuary/Main/
http://www.semwebtech.org/mondial/10/estuary/Naryn/
http://www.semwebtech.org/mondial/10/estuary/RioLerma/
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/estuary/Lukuga/
http://www.semwebtech.org/mondial/10/estuary/Aller/
http://www.semwebtech.org/mondial/10/estuary/Ural/
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/estuary/Adda/
http://www.semwebtech.org/mondial/10/estuary/Amur/
http://www.semwebtech.org/mondial/10/estuary/Jordan/
http://www.semwebtech.org/mondial/10/estuary/Sanaga/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/
http://www.semwebtech.org/mondial/10/estuary/Fulda/
http://www.semwebtech.org/mondial/10/estuary/Raab/
http://www.semwebtech.org/mondial/10/estuary/Ob/
http://www.semwebtech.org/mondial/10/estuary/Narew/
http://www.semwebtech.org/mondial/10/estuary/Petschora/
http://www.semwebtech.org/mondial/10/estuary/BlueNile/
http://www.semwebtech.org/mondial/10/estuary/Waag/
http://www.semwebtech.org/mondial/10/estuary/Perene/
http://www.semwebtech.org/mondial/10/estuary/Ganges/
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/
http://www.semwebtech.org/mondial/10/estuary/Selenge/
http://www.semwebtech.org/mondial/10/estuary/Akagera/
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/estuary/Schilka/
http://www.semwebtech.org/mondial/10/estuary/Benue/
http://www.semwebtech.org/mondial/10/estuary/Brigach/
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/
http://www.semwebtech.org/mondial/10/estuary/Marne/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/
http://www.semwebtech.org/mondial/10/estuary/Baro/
http://www.semwebtech.org/mondial/10/estuary/Etsch/
http://www.semwebtech.org/mondial/10/estuary/Elbe/
http://www.semwebtech.org/mondial/10/estuary/Garonne/
http://www.semwebtech.org/mondial/10/estuary/Maas/
http://www.semwebtech.org/mondial/10/estuary/Werra/
http://www.semwebtech.org/mondial/10/estuary/Nile/
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/
http://www.semwebtech.org/mondial/10/estuary/Jenissej/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/estuary/Salzach/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/
http://www.semwebtech.org/mondial/10/estuary/Limmat/
http://www.semwebtech.org/mondial/10/estuary/Seine/
http://www.semwebtech.org/mondial/10/estuary/WesternBug/
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/
http://www.semwebtech.org/mondial/10/estuary/Arno/
http://www.semwebtech.org/mondial/10/estuary/Ruki/
http://www.semwebtech.org/mondial/10/estuary/Ebro/
http://www.semwebtech.org/mondial/10/estuary/Arkansas/
http://www.semwebtech.org/mondial/10/estuary/Moraca/
http://www.semwebtech.org/mondial/10/estuary/Narva/
http://www.semwebtech.org/mondial/10/estuary/Murgab/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/
http://www.semwebtech.org/mondial/10/estuary/Aare/
http://www.semwebtech.org/mondial/10/estuary/Katun/
http://www.semwebtech.org/mondial/10/estuary/Euphrat/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/
http://www.semwebtech.org/mondial/10/estuary/Alz/
http://www.semwebtech.org/mondial/10/estuary/Newa/
http://www.semwebtech.org/mondial/10/estuary/Swir/
http://www.semwebtech.org/mondial/10/estuary/March/
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/
http://www.semwebtech.org/mondial/10/estuary/Murat/
http://www.semwebtech.org/mondial/10/estuary/Suchona/
http://www.semwebtech.org/mondial/10/estuary/Okavango/
http://www.semwebtech.org/mondial/10/estuary/Pruth/
http://www.semwebtech.org/mondial/10/estuary/Prypjat/
http://www.semwebtech.org/mondial/10/estuary/Mississippi/
http://www.semwebtech.org/mondial/10/estuary/Kolyma/
http://www.semwebtech.org/mondial/10/estuary/Semliki/
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/
http://www.semwebtech.org/mondial/10/estuary/Moldau/
http://www.semwebtech.org/mondial/10/estuary/Po/
http://www.semwebtech.org/mondial/10/estuary/Lulua/
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/
http://www.semwebtech.org/mondial/10/estuary/Ischim/
http://www.semwebtech.org/mondial/10/estuary/Isere/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/
http://www.semwebtech.org/mondial/10/estuary/Busira/
http://www.semwebtech.org/mondial/10/estuary/RioMamore/
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/
http://www.semwebtech.org/mondial/10/estuary/Tambo/
http://www.semwebtech.org/mondial/10/estuary/Indus/
http://www.semwebtech.org/mondial/10/estuary/Colorado/
http://www.semwebtech.org/mondial/10/estuary/Iller/
http://www.semwebtech.org/mondial/10/estuary/Donau/
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/estuary/Cuango/
http://www.semwebtech.org/mondial/10/estuary/Volta/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/
http://www.semwebtech.org/mondial/10/estuary/Reuss/
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/estuary/Thames/
http://www.semwebtech.org/mondial/10/estuary/Ene/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/
http://www.semwebtech.org/mondial/10/estuary/Weichsel/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/
http://www.semwebtech.org/mondial/10/estuary/Asahan/
http://www.semwebtech.org/mondial/10/estuary/Weser/
http://www.semwebtech.org/mondial/10/estuary/Piva/
http://www.semwebtech.org/mondial/10/estuary/Luvua/
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/
http://www.semwebtech.org/mondial/10/estuary/Luapula/
http://www.semwebtech.org/mondial/10/estuary/Würm/
http://www.semwebtech.org/mondial/10/estuary/Saluen/
http://www.semwebtech.org/mondial/10/estuary/Lena/
http://www.semwebtech.org/mondial/10/estuary/Huallaga/
http://www.semwebtech.org/mondial/10/estuary/Jubba/
http://www.semwebtech.org/mondial/10/estuary/Rhein/
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/
http://www.semwebtech.org/mondial/10/estuary/Chire/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/estuary/Isar/
http://www.semwebtech.org/mondial/10/estuary/Morava/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/
http://www.semwebtech.org/mondial/10/estuary/Angara/
http://www.semwebtech.org/mondial/10/estuary/Ucayali/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/
http://www.semwebtech.org/mondial/10/estuary/Neckar/
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/
http://www.semwebtech.org/mondial/10/estuary/Bani/
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/
http://www.semwebtech.org/mondial/10/estuary/Mantaro/
http://www.semwebtech.org/mondial/10/estuary/Kura/
http://www.semwebtech.org/mondial/10/estuary/Drin/
http://www.semwebtech.org/mondial/10/estuary/Kasai/
http://www.semwebtech.org/mondial/10/estuary/Drina/
http://www.semwebtech.org/mondial/10/estuary/Apurimac/
http://www.semwebtech.org/mondial/10/estuary/Saone/
http://www.semwebtech.org/mondial/10/estuary/Olt/
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/
http://www.semwebtech.org/mondial/10/estuary/Kwa/
http://www.semwebtech.org/mondial/10/estuary/Senegal/
http://www.semwebtech.org/mondial/10/estuary/Orinoco/
http://www.semwebtech.org/mondial/10/estuary/Doubs/
http://www.semwebtech.org/mondial/10/estuary/Fimi/
http://www.semwebtech.org/mondial/10/estuary/Tiber/
http://www.semwebtech.org/mondial/10/estuary/Mosel/
http://www.semwebtech.org/mondial/10/estuary/Mur/
\.


--
-- TOC entry 5924 (class 0 OID 90079)
-- Dependencies: 694
-- Data for Name: EthnicGroup; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "EthnicGroup" ("URI") FROM stdin;
http://www.semwebtech.org/mondial/10/ethnicgroup/Gagauz/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandingo/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bengali/
http://www.semwebtech.org/mondial/10/ethnicgroup/Monegasque/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tay/
http://www.semwebtech.org/mondial/10/ethnicgroup/Austrian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldavian-Romanian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Songhai/
http://www.semwebtech.org/mondial/10/ethnicgroup/Romansch/
http://www.semwebtech.org/mondial/10/ethnicgroup/Latvian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Celt/
http://www.semwebtech.org/mondial/10/ethnicgroup/Arabic/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bakongo/
http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoLoum/
http://www.semwebtech.org/mondial/10/ethnicgroup/Nauruan/
http://www.semwebtech.org/mondial/10/ethnicgroup/Alemannic/
http://www.semwebtech.org/mondial/10/ethnicgroup/Dutch/
http://www.semwebtech.org/mondial/10/ethnicgroup/Scandinavian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bounty/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mboum/
http://www.semwebtech.org/mondial/10/ethnicgroup/Black/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/
http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/
http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kamba/
http://www.semwebtech.org/mondial/10/ethnicgroup/Baganda/
http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/
http://www.semwebtech.org/mondial/10/ethnicgroup/GilakiMazandarani/
http://www.semwebtech.org/mondial/10/ethnicgroup/CrimeanTatar/
http://www.semwebtech.org/mondial/10/ethnicgroup/Spanish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/
http://www.semwebtech.org/mondial/10/ethnicgroup/CaribIndians/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kalenjin/
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbs/
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Asian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Irish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mossi/
http://www.semwebtech.org/mondial/10/ethnicgroup/ArabIranian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Shan/
http://www.semwebtech.org/mondial/10/ethnicgroup/Fleming/
http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bhote/
http://www.semwebtech.org/mondial/10/ethnicgroup/Christian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Fula/
http://www.semwebtech.org/mondial/10/ethnicgroup/Viet-Kinh/
http://www.semwebtech.org/mondial/10/ethnicgroup/BerberArab/
http://www.semwebtech.org/mondial/10/ethnicgroup/White/
http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kimbundu/
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Mauritian/
http://www.semwebtech.org/mondial/10/ethnicgroup/MediterraneanNordic/
http://www.semwebtech.org/mondial/10/ethnicgroup/Wallisian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Byelorussian/
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthernIrish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/
http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Karen/
http://www.semwebtech.org/mondial/10/ethnicgroup/Sino-Mauritian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Nung/
http://www.semwebtech.org/mondial/10/ethnicgroup/Ovimbundu/
http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bantu/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigraway/
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoTheung/
http://www.semwebtech.org/mondial/10/ethnicgroup/Americo-Liberians/
http://www.semwebtech.org/mondial/10/ethnicgroup/BasquesBretons/
http://www.semwebtech.org/mondial/10/ethnicgroup/Franco-Mauritian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Garifuna/
http://www.semwebtech.org/mondial/10/ethnicgroup/Surinamese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tutsi/
http://www.semwebtech.org/mondial/10/ethnicgroup/Colored/
http://www.semwebtech.org/mondial/10/ethnicgroup/Euro-African/
http://www.semwebtech.org/mondial/10/ethnicgroup/MBaka/
http://www.semwebtech.org/mondial/10/ethnicgroup/EquatorialBantu/
http://www.semwebtech.org/mondial/10/ethnicgroup/Welaita/
http://www.semwebtech.org/mondial/10/ethnicgroup/Sara/
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternHamitic/
http://www.semwebtech.org/mondial/10/ethnicgroup/Madurese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Banda/
http://www.semwebtech.org/mondial/10/ethnicgroup/Wolof/
http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/
http://www.semwebtech.org/mondial/10/ethnicgroup/Azerbaijani/
http://www.semwebtech.org/mondial/10/ethnicgroup/Lugbara/
http://www.semwebtech.org/mondial/10/ethnicgroup/Nepalese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Danish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/
http://www.semwebtech.org/mondial/10/ethnicgroup/Maori/
http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/
http://www.semwebtech.org/mondial/10/ethnicgroup/BlackMaur/
http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/
http://www.semwebtech.org/mondial/10/ethnicgroup/Yezidi/
http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Amhara/
http://www.semwebtech.org/mondial/10/ethnicgroup/HanChinese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tamil/
http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/
http://www.semwebtech.org/mondial/10/ethnicgroup/Dravidian/
http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese-Chinese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Batswana/
http://www.semwebtech.org/mondial/10/ethnicgroup/European/
http://www.semwebtech.org/mondial/10/ethnicgroup/Hadiya/
http://www.semwebtech.org/mondial/10/ethnicgroup/Twa/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/
http://www.semwebtech.org/mondial/10/ethnicgroup/Burman/
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthwesternBantu/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kgalagadi/
http://www.semwebtech.org/mondial/10/ethnicgroup/Toucouleur/
http://www.semwebtech.org/mondial/10/ethnicgroup/Baoule/
http://www.semwebtech.org/mondial/10/ethnicgroup/Djerma/
http://www.semwebtech.org/mondial/10/ethnicgroup/Fijian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Japanese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/
http://www.semwebtech.org/mondial/10/ethnicgroup/RussianUkrainian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kunama/
http://www.semwebtech.org/mondial/10/ethnicgroup/Soussou/
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Maya/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mon/
http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/
http://www.semwebtech.org/mondial/10/ethnicgroup/Gourmantche/
http://www.semwebtech.org/mondial/10/ethnicgroup/Beja/
http://www.semwebtech.org/mondial/10/ethnicgroup/BritishIsles/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mande/
http://www.semwebtech.org/mondial/10/ethnicgroup/black-Amerindian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Africandescent/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bahraini/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bagisu/
http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/
http://www.semwebtech.org/mondial/10/ethnicgroup/European-CaribbeanAmerindian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/
http://www.semwebtech.org/mondial/10/ethnicgroup/Oromo/
http://www.semwebtech.org/mondial/10/ethnicgroup/Sami/
http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/
http://www.semwebtech.org/mondial/10/ethnicgroup/Seychellois/
http://www.semwebtech.org/mondial/10/ethnicgroup/English/
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/
http://www.semwebtech.org/mondial/10/ethnicgroup/Circassian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/
http://www.semwebtech.org/mondial/10/ethnicgroup/Batobo/
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/
http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/
http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Luo/
http://www.semwebtech.org/mondial/10/ethnicgroup/Georgian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Saho/
http://www.semwebtech.org/mondial/10/ethnicgroup/Taiwanese/
http://www.semwebtech.org/mondial/10/ethnicgroup/African/
http://www.semwebtech.org/mondial/10/ethnicgroup/Vedda/
http://www.semwebtech.org/mondial/10/ethnicgroup/Aymara/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bete/
http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/
http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanLebanese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Sidama/
http://www.semwebtech.org/mondial/10/ethnicgroup/Hazara/
http://www.semwebtech.org/mondial/10/ethnicgroup/Luhya/
http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/
http://www.semwebtech.org/mondial/10/ethnicgroup/Maur/
http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/
http://www.semwebtech.org/mondial/10/ethnicgroup/Walloon/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kuwaiti/
http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Senoufou/
http://www.semwebtech.org/mondial/10/ethnicgroup/Emiri/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mong/
http://www.semwebtech.org/mondial/10/ethnicgroup/Meru/
http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/
http://www.semwebtech.org/mondial/10/ethnicgroup/None/
http://www.semwebtech.org/mondial/10/ethnicgroup/Greenlander/
http://www.semwebtech.org/mondial/10/ethnicgroup/Diola/
http://www.semwebtech.org/mondial/10/ethnicgroup/Moroccan/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kirdi/
http://www.semwebtech.org/mondial/10/ethnicgroup/German/
http://www.semwebtech.org/mondial/10/ethnicgroup/Quechua/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kikuyu/
http://www.semwebtech.org/mondial/10/ethnicgroup/Gypsy/
http://www.semwebtech.org/mondial/10/ethnicgroup/Hutu/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazakh/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/
http://www.semwebtech.org/mondial/10/ethnicgroup/Hausa/
http://www.semwebtech.org/mondial/10/ethnicgroup/Inuit/
http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tongan/
http://www.semwebtech.org/mondial/10/ethnicgroup/Rashaida/
http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Sotho/
http://www.semwebtech.org/mondial/10/ethnicgroup/French/
http://www.semwebtech.org/mondial/10/ethnicgroup/CameroonHighlanders/
http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/
http://www.semwebtech.org/mondial/10/ethnicgroup/Baloch/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/
http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Voltaic/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kisii/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bashkir/
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-EastIndian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Caribbean/
http://www.semwebtech.org/mondial/10/ethnicgroup/Scottish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Sundanese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Dungan/
http://www.semwebtech.org/mondial/10/ethnicgroup/Welsh/
http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Pashtun/
http://www.semwebtech.org/mondial/10/ethnicgroup/Sinhalese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurd/
http://www.semwebtech.org/mondial/10/ethnicgroup/Luxembourgish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Lur/
http://www.semwebtech.org/mondial/10/ethnicgroup/Muong/
http://www.semwebtech.org/mondial/10/ethnicgroup/Karakalpak/
http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Aryan/
http://www.semwebtech.org/mondial/10/ethnicgroup/Ruthenian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandjia/
http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Basogo/
http://www.semwebtech.org/mondial/10/ethnicgroup/Iteso/
http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/
http://www.semwebtech.org/mondial/10/ethnicgroup/Euronesians/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigrinya/
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoSoungHmongYao/
http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bilen/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bunyoro/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/
http://www.semwebtech.org/mondial/10/ethnicgroup/Chuvash/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Chamorro/
http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/
http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Karamojong/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mangbetu-Azande/
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternNigritic/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Gurage/
http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Moravian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Persian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Rakhine/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/
http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanSyrian-Lebanese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Serer/
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Chinese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Acholi/
http://www.semwebtech.org/mondial/10/ethnicgroup/Langi/
http://www.semwebtech.org/mondial/10/ethnicgroup/Borneoindigenous/
http://www.semwebtech.org/mondial/10/ethnicgroup/Hindustani/
http://www.semwebtech.org/mondial/10/ethnicgroup/Andorran/
http://www.semwebtech.org/mondial/10/ethnicgroup/Assyrian/
http://www.semwebtech.org/mondial/10/ethnicgroup/BeriBeri/
http://www.semwebtech.org/mondial/10/ethnicgroup/Dagestani/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigre/
http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/
http://www.semwebtech.org/mondial/10/ethnicgroup/Rwanda/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-European/
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldovan/
http://www.semwebtech.org/mondial/10/ethnicgroup/Baya/
http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/
http://www.semwebtech.org/mondial/10/ethnicgroup/African-white-Indian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/
\.


--
-- TOC entry 5925 (class 0 OID 90082)
-- Dependencies: 695
-- Data for Name: EthnicProportion; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "EthnicProportion" ("URI", "onEthnicGroup", "ethnicInfo-", percent) FROM stdin;
3441d4f:1508ad97479:-6a4f	http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	http://www.semwebtech.org/mondial/10/country/UZB/	1.5
3441d4f:1508ad97479:-6988	http://www.semwebtech.org/mondial/10/ethnicgroup/black-Amerindian/	http://www.semwebtech.org/mondial/10/country/CO/	3
3441d4f:1508ad97479:-6aa2	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	http://www.semwebtech.org/mondial/10/country/HR/	89.6
3441d4f:1508ad97479:-68cc	http://www.semwebtech.org/mondial/10/ethnicgroup/Luo/	http://www.semwebtech.org/mondial/10/country/EAK/	13
3441d4f:1508ad97479:-68dc	http://www.semwebtech.org/mondial/10/ethnicgroup/Kunama/	http://www.semwebtech.org/mondial/10/country/ER/	2
3441d4f:1508ad97479:-6a9f	http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	http://www.semwebtech.org/mondial/10/country/HR/	0.9
3441d4f:1508ad97479:-68fc	http://www.semwebtech.org/mondial/10/ethnicgroup/Tutsi/	http://www.semwebtech.org/mondial/10/country/RWA/	19
3441d4f:1508ad97479:-68a5	http://www.semwebtech.org/mondial/10/ethnicgroup/Africandescent/	http://www.semwebtech.org/mondial/10/country/HELX/	50
3441d4f:1508ad97479:-6b0b	http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	http://www.semwebtech.org/mondial/10/country/SRB/	0.9
3441d4f:1508ad97479:-69f0	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	http://www.semwebtech.org/mondial/10/country/SA/	90
3441d4f:1508ad97479:-69c3	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	http://www.semwebtech.org/mondial/10/country/BVIR/	83.4
3441d4f:1508ad97479:-6ab8	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	http://www.semwebtech.org/mondial/10/country/UA/	0.2
3441d4f:1508ad97479:-6a8b	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	http://www.semwebtech.org/mondial/10/country/EW/	2.1
3441d4f:1508ad97479:-6b13	http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	http://www.semwebtech.org/mondial/10/country/AL/	3
3441d4f:1508ad97479:-6978	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/AUS/	92
3441d4f:1508ad97479:-68e7	http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	http://www.semwebtech.org/mondial/10/country/RG/	30
3441d4f:1508ad97479:-6aac	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	http://www.semwebtech.org/mondial/10/country/L/	2.3
3441d4f:1508ad97479:-6a90	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	http://www.semwebtech.org/mondial/10/country/TR/	84.54
3441d4f:1508ad97479:-69d5	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	http://www.semwebtech.org/mondial/10/country/AXA/	4.6
3441d4f:1508ad97479:-6931	http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	http://www.semwebtech.org/mondial/10/country/SME/	1
3441d4f:1508ad97479:-6af7	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	http://www.semwebtech.org/mondial/10/country/A/	2
3441d4f:1508ad97479:-6a53	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/UZB/	5.5
3441d4f:1508ad97479:-6a16	http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	http://www.semwebtech.org/mondial/10/country/KGZ/	64.9
3441d4f:1508ad97479:-69ff	http://www.semwebtech.org/mondial/10/ethnicgroup/EasternHamitic/	http://www.semwebtech.org/mondial/10/country/ET/	99
3441d4f:1508ad97479:-695b	http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	http://www.semwebtech.org/mondial/10/country/NMIS/	1.8
3441d4f:1508ad97479:-6a7d	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	http://www.semwebtech.org/mondial/10/country/MC/	19
3441d4f:1508ad97479:-691e	http://www.semwebtech.org/mondial/10/ethnicgroup/Fula/	http://www.semwebtech.org/mondial/10/country/RN/	8.5
3441d4f:1508ad97479:-68ca	http://www.semwebtech.org/mondial/10/ethnicgroup/Kamba/	http://www.semwebtech.org/mondial/10/country/EAK/	11
3441d4f:1508ad97479:-6b04	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	http://www.semwebtech.org/mondial/10/country/MNE/	8
3441d4f:1508ad97479:-6ab0	http://www.semwebtech.org/mondial/10/ethnicgroup/Luxembourgish/	http://www.semwebtech.org/mondial/10/country/L/	63.1
3441d4f:1508ad97479:-6969	http://www.semwebtech.org/mondial/10/ethnicgroup/Nauruan/	http://www.semwebtech.org/mondial/10/country/NAU/	58
3441d4f:1508ad97479:-68d8	http://www.semwebtech.org/mondial/10/ethnicgroup/Amhara/	http://www.semwebtech.org/mondial/10/country/ETH/	26.9
3441d4f:1508ad97479:-6ada	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	http://www.semwebtech.org/mondial/10/country/SLO/	3
3441d4f:1508ad97479:-6a81	http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	http://www.semwebtech.org/mondial/10/country/S/	83
3441d4f:1508ad97479:-6a5e	http://www.semwebtech.org/mondial/10/ethnicgroup/Lur/	http://www.semwebtech.org/mondial/10/country/IR/	2
3441d4f:1508ad97479:-68ab	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	http://www.semwebtech.org/mondial/10/country/MS/	27
3441d4f:1508ad97479:-6987	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	http://www.semwebtech.org/mondial/10/country/CO/	1
3441d4f:1508ad97479:-68f6	http://www.semwebtech.org/mondial/10/ethnicgroup/EquatorialBantu/	http://www.semwebtech.org/mondial/10/country/CAM/	19
3441d4f:1508ad97479:-68b9	http://www.semwebtech.org/mondial/10/ethnicgroup/Baganda/	http://www.semwebtech.org/mondial/10/country/EAU/	17
3441d4f:1508ad97479:-6b0f	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	http://www.semwebtech.org/mondial/10/country/MK/	3.9
3441d4f:1508ad97479:-6abb	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	http://www.semwebtech.org/mondial/10/country/UA/	0.3
3441d4f:1508ad97479:-69e4	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	http://www.semwebtech.org/mondial/10/country/RP/	95.5
3441d4f:1508ad97479:-6940	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	http://www.semwebtech.org/mondial/10/country/ROU/	8
3441d4f:1508ad97479:-69c6	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	http://www.semwebtech.org/mondial/10/country/BERM/	54
3441d4f:1508ad97479:-6922	http://www.semwebtech.org/mondial/10/ethnicgroup/Maur/	http://www.semwebtech.org/mondial/10/country/RIM/	30
3441d4f:1508ad97479:-6ae8	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	http://www.semwebtech.org/mondial/10/country/H/	2.6
3441d4f:1508ad97479:-6a44	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	http://www.semwebtech.org/mondial/10/country/BRN/	10
3441d4f:1508ad97479:-6a07	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/XMAS/	20
3441d4f:1508ad97479:-694c	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/RA/	97
3441d4f:1508ad97479:-6a6e	http://www.semwebtech.org/mondial/10/ethnicgroup/Scottish/	http://www.semwebtech.org/mondial/10/country/GB/	8.6
3441d4f:1508ad97479:-690f	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/Z/	98.7
3441d4f:1508ad97479:-68bb	http://www.semwebtech.org/mondial/10/ethnicgroup/Rwanda/	http://www.semwebtech.org/mondial/10/country/EAU/	6
3441d4f:1508ad97479:-6997	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/HCA/	1
3441d4f:1508ad97479:-6aa1	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	http://www.semwebtech.org/mondial/10/country/HR/	4.5
3441d4f:1508ad97479:-68c9	http://www.semwebtech.org/mondial/10/ethnicgroup/Kisii/	http://www.semwebtech.org/mondial/10/country/EAK/	6
3441d4f:1508ad97479:-6acb	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	http://www.semwebtech.org/mondial/10/country/LV/	2.4
3441d4f:1508ad97479:-69f4	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	http://www.semwebtech.org/mondial/10/country/KWT/	35
3441d4f:1508ad97479:-6950	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	http://www.semwebtech.org/mondial/10/country/WAFU/	100
3441d4f:1508ad97479:-6a72	http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	http://www.semwebtech.org/mondial/10/country/MD/	1.9
3441d4f:1508ad97479:-69b7	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	http://www.semwebtech.org/mondial/10/country/CAYM/	20
3441d4f:1508ad97479:-6913	http://www.semwebtech.org/mondial/10/ethnicgroup/Kimbundu/	http://www.semwebtech.org/mondial/10/country/ANG/	25
3441d4f:1508ad97479:-6ad9	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	http://www.semwebtech.org/mondial/10/country/SLO/	2
3441d4f:1508ad97479:-6a35	http://www.semwebtech.org/mondial/10/ethnicgroup/Bhote/	http://www.semwebtech.org/mondial/10/country/BHT/	50
3441d4f:1508ad97479:-697a	http://www.semwebtech.org/mondial/10/ethnicgroup/Tongan/	http://www.semwebtech.org/mondial/10/country/AMSA/	4
3441d4f:1508ad97479:-6a9c	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	http://www.semwebtech.org/mondial/10/country/BG/	8
3441d4f:1508ad97479:-693d	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	http://www.semwebtech.org/mondial/10/country/PE/	37
3441d4f:1508ad97479:-6a5f	http://www.semwebtech.org/mondial/10/ethnicgroup/Kurd/	http://www.semwebtech.org/mondial/10/country/IR/	7
3441d4f:1508ad97479:-68ac	http://www.semwebtech.org/mondial/10/ethnicgroup/Euro-African/	http://www.semwebtech.org/mondial/10/country/MOC/	0.2
3441d4f:1508ad97479:-68f7	http://www.semwebtech.org/mondial/10/ethnicgroup/CameroonHighlanders/	http://www.semwebtech.org/mondial/10/country/CAM/	31
3441d4f:1508ad97479:-6abc	http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	http://www.semwebtech.org/mondial/10/country/UA/	0.4
3441d4f:1508ad97479:-69e5	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/RP/	1.5
3441d4f:1508ad97479:-6941	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/ROU/	88
3441d4f:1508ad97479:-6a63	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	http://www.semwebtech.org/mondial/10/country/IR/	3
3441d4f:1508ad97479:-69a8	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/C/	65.1
3441d4f:1508ad97479:-6904	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/ZW/	98
3441d4f:1508ad97479:-68b0	http://www.semwebtech.org/mondial/10/ethnicgroup/Batobo/	http://www.semwebtech.org/mondial/10/country/EAU/	3
3441d4f:1508ad97479:-6a26	http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	http://www.semwebtech.org/mondial/10/country/K/	90
3441d4f:1508ad97479:-696b	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/NAU/	8
3441d4f:1508ad97479:-6a8d	http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	http://www.semwebtech.org/mondial/10/country/EW/	68.7
3441d4f:1508ad97479:-692e	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/EC/	7
3441d4f:1508ad97479:-68da	http://www.semwebtech.org/mondial/10/ethnicgroup/Bilen/	http://www.semwebtech.org/mondial/10/country/ER/	2
3441d4f:1508ad97479:-6b14	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	http://www.semwebtech.org/mondial/10/country/AL/	95
3441d4f:1508ad97479:-6ac0	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/UA/	17.3
3441d4f:1508ad97479:-6979	http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	http://www.semwebtech.org/mondial/10/country/AMSA/	89
3441d4f:1508ad97479:-68e8	http://www.semwebtech.org/mondial/10/ethnicgroup/Beja/	http://www.semwebtech.org/mondial/10/country/SUD/	6
3441d4f:1508ad97479:-6aea	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	http://www.semwebtech.org/mondial/10/country/H/	1.9
3441d4f:1508ad97479:-6aad	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	http://www.semwebtech.org/mondial/10/country/L/	4.3
3441d4f:1508ad97479:-6a91	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	http://www.semwebtech.org/mondial/10/country/RO/	0.2
3441d4f:1508ad97479:-69d6	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	http://www.semwebtech.org/mondial/10/country/AXA/	90.1
3441d4f:1508ad97479:-6932	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	http://www.semwebtech.org/mondial/10/country/SME/	2
3441d4f:1508ad97479:-6af8	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	http://www.semwebtech.org/mondial/10/country/A/	1
3441d4f:1508ad97479:-6a54	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	http://www.semwebtech.org/mondial/10/country/UZB/	80
3441d4f:1508ad97479:-68a1	http://www.semwebtech.org/mondial/10/ethnicgroup/Seychellois/	http://www.semwebtech.org/mondial/10/country/SY/	100
3441d4f:1508ad97479:-6a17	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	http://www.semwebtech.org/mondial/10/country/KAZ/	1.1
3441d4f:1508ad97479:-695c	http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	http://www.semwebtech.org/mondial/10/country/NMIS/	36.3
3441d4f:1508ad97479:-6a7e	http://www.semwebtech.org/mondial/10/ethnicgroup/Monegasque/	http://www.semwebtech.org/mondial/10/country/MC/	21.6
3441d4f:1508ad97479:-691f	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	http://www.semwebtech.org/mondial/10/country/MA/	99.1
3441d4f:1508ad97479:-68cb	http://www.semwebtech.org/mondial/10/ethnicgroup/Kalenjin/	http://www.semwebtech.org/mondial/10/country/EAK/	12
3441d4f:1508ad97479:-6b05	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	http://www.semwebtech.org/mondial/10/country/MNE/	32
3441d4f:1508ad97479:-6ab1	http://www.semwebtech.org/mondial/10/ethnicgroup/Walloon/	http://www.semwebtech.org/mondial/10/country/B/	31
3441d4f:1508ad97479:-68d9	http://www.semwebtech.org/mondial/10/ethnicgroup/Oromo/	http://www.semwebtech.org/mondial/10/country/ETH/	34.5
3441d4f:1508ad97479:-6adb	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	http://www.semwebtech.org/mondial/10/country/SLO/	91
3441d4f:1508ad97479:-6960	http://www.semwebtech.org/mondial/10/ethnicgroup/Maori/	http://www.semwebtech.org/mondial/10/country/NZ/	7.4
3441d4f:1508ad97479:-6a82	http://www.semwebtech.org/mondial/10/ethnicgroup/Sami/	http://www.semwebtech.org/mondial/10/country/N/	1.5
3441d4f:1508ad97479:-69c7	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/MEX/	9
3441d4f:1508ad97479:-6923	http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	http://www.semwebtech.org/mondial/10/country/RMM/	10
3441d4f:1508ad97479:-6ae9	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	http://www.semwebtech.org/mondial/10/country/H/	2
3441d4f:1508ad97479:-6a45	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	http://www.semwebtech.org/mondial/10/country/AZ/	1.5
3441d4f:1508ad97479:-698a	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	http://www.semwebtech.org/mondial/10/country/CO/	14
3441d4f:1508ad97479:-6a08	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	http://www.semwebtech.org/mondial/10/country/XMAS/	10
3441d4f:1508ad97479:-694d	http://www.semwebtech.org/mondial/10/ethnicgroup/Euronesians/	http://www.semwebtech.org/mondial/10/country/WS/	7
3441d4f:1508ad97479:-6a6f	http://www.semwebtech.org/mondial/10/ethnicgroup/English/	http://www.semwebtech.org/mondial/10/country/GB/	83.6
3441d4f:1508ad97479:-68bc	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/WAL/	99
3441d4f:1508ad97479:-6998	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/HCA/	2
3441d4f:1508ad97479:-69aa	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/PA/	10
3441d4f:1508ad97479:-6acc	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	http://www.semwebtech.org/mondial/10/country/LV/	2.5
3441d4f:1508ad97479:-69f5	http://www.semwebtech.org/mondial/10/ethnicgroup/Circassian/	http://www.semwebtech.org/mondial/10/country/JOR/	1
3441d4f:1508ad97479:-6951	http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	http://www.semwebtech.org/mondial/10/country/VU/	94
3441d4f:1508ad97479:-6a73	http://www.semwebtech.org/mondial/10/ethnicgroup/Gagauz/	http://www.semwebtech.org/mondial/10/country/MD/	4.4
3441d4f:1508ad97479:-69b8	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	http://www.semwebtech.org/mondial/10/country/USA/	0.97
3441d4f:1508ad97479:-6914	http://www.semwebtech.org/mondial/10/ethnicgroup/Ovimbundu/	http://www.semwebtech.org/mondial/10/country/ANG/	37
3441d4f:1508ad97479:-68c0	http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanLebanese/	http://www.semwebtech.org/mondial/10/country/SN/	1
3441d4f:1508ad97479:-6a36	http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	http://www.semwebtech.org/mondial/10/country/IND/	3
3441d4f:1508ad97479:-697b	http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	http://www.semwebtech.org/mondial/10/country/AMSA/	2
3441d4f:1508ad97479:-6a9d	http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	http://www.semwebtech.org/mondial/10/country/BG/	76.9
3441d4f:1508ad97479:-693e	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	http://www.semwebtech.org/mondial/10/country/PE/	45
3441d4f:1508ad97479:-68ea	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	http://www.semwebtech.org/mondial/10/country/CV/	71
3441d4f:1508ad97479:-68ad	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	http://www.semwebtech.org/mondial/10/country/MOC/	0.08
3441d4f:1508ad97479:-6ad0	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	http://www.semwebtech.org/mondial/10/country/BY/	2.4
3441d4f:1508ad97479:-6989	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/CO/	4
3441d4f:1508ad97479:-68f8	http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	http://www.semwebtech.org/mondial/10/country/CAM/	10
3441d4f:1508ad97479:-6afa	http://www.semwebtech.org/mondial/10/ethnicgroup/Austrian/	http://www.semwebtech.org/mondial/10/country/A/	91.1
3441d4f:1508ad97479:-6abd	http://www.semwebtech.org/mondial/10/ethnicgroup/CrimeanTatar/	http://www.semwebtech.org/mondial/10/country/UA/	0.5
3441d4f:1508ad97479:-69e6	http://www.semwebtech.org/mondial/10/ethnicgroup/ArabIranian/	http://www.semwebtech.org/mondial/10/country/UAE/	23
3441d4f:1508ad97479:-6942	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	http://www.semwebtech.org/mondial/10/country/PY/	95
3441d4f:1508ad97479:-6a64	http://www.semwebtech.org/mondial/10/ethnicgroup/HanChinese/	http://www.semwebtech.org/mondial/10/country/CN/	91.5
3441d4f:1508ad97479:-69a9	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	http://www.semwebtech.org/mondial/10/country/PA/	6
3441d4f:1508ad97479:-6905	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	http://www.semwebtech.org/mondial/10/country/ZW/	1
3441d4f:1508ad97479:-68b1	http://www.semwebtech.org/mondial/10/ethnicgroup/Bunyoro/	http://www.semwebtech.org/mondial/10/country/EAU/	3
3441d4f:1508ad97479:-6a27	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/K/	1
3441d4f:1508ad97479:-696c	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	http://www.semwebtech.org/mondial/10/country/FSM/	100
3441d4f:1508ad97479:-6a8e	http://www.semwebtech.org/mondial/10/ethnicgroup/Arabic/	http://www.semwebtech.org/mondial/10/country/TR/	1.38
3441d4f:1508ad97479:-692f	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	http://www.semwebtech.org/mondial/10/country/EC/	25
3441d4f:1508ad97479:-68db	http://www.semwebtech.org/mondial/10/ethnicgroup/Rashaida/	http://www.semwebtech.org/mondial/10/country/ER/	2
3441d4f:1508ad97479:-6ac1	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	http://www.semwebtech.org/mondial/10/country/UA/	77.8
3441d4f:1508ad97479:-68e9	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	http://www.semwebtech.org/mondial/10/country/SUD/	70
3441d4f:1508ad97479:-6aeb	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	http://www.semwebtech.org/mondial/10/country/H/	92.3
3441d4f:1508ad97479:-6aae	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	http://www.semwebtech.org/mondial/10/country/L/	4.5
3441d4f:1508ad97479:-6a0a	http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	http://www.semwebtech.org/mondial/10/country/MNG/	5
3441d4f:1508ad97479:-6970	http://www.semwebtech.org/mondial/10/ethnicgroup/Chamorro/	http://www.semwebtech.org/mondial/10/country/GUAM/	37.1
3441d4f:1508ad97479:-6a92	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/RO/	0.2
3441d4f:1508ad97479:-69d7	http://www.semwebtech.org/mondial/10/ethnicgroup/Taiwanese/	http://www.semwebtech.org/mondial/10/country/RC/	84
3441d4f:1508ad97479:-6933	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/SME/	2
3441d4f:1508ad97479:-6af9	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	http://www.semwebtech.org/mondial/10/country/A/	1.6
3441d4f:1508ad97479:-6a55	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/TM/	4
3441d4f:1508ad97479:-699a	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	http://www.semwebtech.org/mondial/10/country/HCA/	90
3441d4f:1508ad97479:-68a2	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/STP/	100
3441d4f:1508ad97479:-6a18	http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	http://www.semwebtech.org/mondial/10/country/KAZ/	1.3
3441d4f:1508ad97479:-695d	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	http://www.semwebtech.org/mondial/10/country/NMIS/	56.3
3441d4f:1508ad97479:-6a7f	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	http://www.semwebtech.org/mondial/10/country/MC/	47
3441d4f:1508ad97479:-6b06	http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	http://www.semwebtech.org/mondial/10/country/MNE/	43
3441d4f:1508ad97479:-6ab2	http://www.semwebtech.org/mondial/10/ethnicgroup/Fleming/	http://www.semwebtech.org/mondial/10/country/B/	58
3441d4f:1508ad97479:-69ba	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/USA/	12.85
3441d4f:1508ad97479:-6adc	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	http://www.semwebtech.org/mondial/10/country/SK/	0.1
3441d4f:1508ad97479:-6961	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	http://www.semwebtech.org/mondial/10/country/NZ/	8
3441d4f:1508ad97479:-6a83	http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	http://www.semwebtech.org/mondial/10/country/N/	82.5
3441d4f:1508ad97479:-69c8	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	http://www.semwebtech.org/mondial/10/country/MEX/	30
3441d4f:1508ad97479:-6924	http://www.semwebtech.org/mondial/10/ethnicgroup/Songhai/	http://www.semwebtech.org/mondial/10/country/RMM/	6
3441d4f:1508ad97479:-68d0	http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	http://www.semwebtech.org/mondial/10/country/SP/	85
3441d4f:1508ad97479:-6a46	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/AZ/	1.8
3441d4f:1508ad97479:-698b	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/CO/	20
3441d4f:1508ad97479:-6a09	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/XMAS/	70
3441d4f:1508ad97479:-694e	http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	http://www.semwebtech.org/mondial/10/country/WS/	92.6
3441d4f:1508ad97479:-68fa	http://www.semwebtech.org/mondial/10/ethnicgroup/Bantu/	http://www.semwebtech.org/mondial/10/country/EAT/	95
3441d4f:1508ad97479:-68bd	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	http://www.semwebtech.org/mondial/10/country/WAL/	1
3441d4f:1508ad97479:-6ae0	http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	http://www.semwebtech.org/mondial/10/country/SK/	1
3441d4f:1508ad97479:-6999	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	http://www.semwebtech.org/mondial/10/country/HCA/	7
3441d4f:1508ad97479:-6aa3	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	http://www.semwebtech.org/mondial/10/country/BIH/	14.3
3441d4f:1508ad97479:-69ab	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	http://www.semwebtech.org/mondial/10/country/PA/	84
3441d4f:1508ad97479:-6acd	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	http://www.semwebtech.org/mondial/10/country/LV/	3.6
3441d4f:1508ad97479:-69f6	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	http://www.semwebtech.org/mondial/10/country/JOR/	98
3441d4f:1508ad97479:-6952	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	http://www.semwebtech.org/mondial/10/country/VU/	4
3441d4f:1508ad97479:-6a74	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/MD/	5.8
3441d4f:1508ad97479:-69b9	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	http://www.semwebtech.org/mondial/10/country/USA/	4.43
3441d4f:1508ad97479:-6915	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/ANG/	1
3441d4f:1508ad97479:-68c1	http://www.semwebtech.org/mondial/10/ethnicgroup/Toucouleur/	http://www.semwebtech.org/mondial/10/country/SN/	9
3441d4f:1508ad97479:-6a37	http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Aryan/	http://www.semwebtech.org/mondial/10/country/IND/	72
3441d4f:1508ad97479:-697c	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/TUCA/	90
3441d4f:1508ad97479:-6a9e	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	http://www.semwebtech.org/mondial/10/country/HR/	0.5
3441d4f:1508ad97479:-693f	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/ROU/	4
3441d4f:1508ad97479:-68eb	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/CV/	28
3441d4f:1508ad97479:-68ae	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/MOC/	0.06
3441d4f:1508ad97479:-6ad1	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	http://www.semwebtech.org/mondial/10/country/BY/	3.9
3441d4f:1508ad97479:-68f9	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/CAM/	13
3441d4f:1508ad97479:-6afb	http://www.semwebtech.org/mondial/10/ethnicgroup/MediterraneanNordic/	http://www.semwebtech.org/mondial/10/country/E/	100
3441d4f:1508ad97479:-6abe	http://www.semwebtech.org/mondial/10/ethnicgroup/Moldovan/	http://www.semwebtech.org/mondial/10/country/UA/	0.5
3441d4f:1508ad97479:-6a1a	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	http://www.semwebtech.org/mondial/10/country/KAZ/	2.1
3441d4f:1508ad97479:-6980	http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	http://www.semwebtech.org/mondial/10/country/WL/	3.2
3441d4f:1508ad97479:-69e7	http://www.semwebtech.org/mondial/10/ethnicgroup/Emiri/	http://www.semwebtech.org/mondial/10/country/UAE/	19
3441d4f:1508ad97479:-6943	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/RCH/	95
3441d4f:1508ad97479:-6a65	http://www.semwebtech.org/mondial/10/ethnicgroup/Hazara/	http://www.semwebtech.org/mondial/10/country/AFG/	19
3441d4f:1508ad97479:-6906	http://www.semwebtech.org/mondial/10/ethnicgroup/Colored/	http://www.semwebtech.org/mondial/10/country/RSA/	8.6
3441d4f:1508ad97479:-68b2	http://www.semwebtech.org/mondial/10/ethnicgroup/Lugbara/	http://www.semwebtech.org/mondial/10/country/EAU/	4
3441d4f:1508ad97479:-6a28	http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	http://www.semwebtech.org/mondial/10/country/THA/	75
3441d4f:1508ad97479:-696d	http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	http://www.semwebtech.org/mondial/10/country/MH/	100
3441d4f:1508ad97479:-6a8f	http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	http://www.semwebtech.org/mondial/10/country/TR/	11.97
3441d4f:1508ad97479:-69a0	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/RH/	95
3441d4f:1508ad97479:-6ac2	http://www.semwebtech.org/mondial/10/ethnicgroup/Byelorussian/	http://www.semwebtech.org/mondial/10/country/PL/	0.5
3441d4f:1508ad97479:-69ca	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	http://www.semwebtech.org/mondial/10/country/GCA/	30.5
3441d4f:1508ad97479:-6aec	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	http://www.semwebtech.org/mondial/10/country/D/	2.4
3441d4f:1508ad97479:-6aaf	http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	http://www.semwebtech.org/mondial/10/country/L/	13.3
3441d4f:1508ad97479:-6a0b	http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	http://www.semwebtech.org/mondial/10/country/MNG/	94.9
3441d4f:1508ad97479:-6971	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	http://www.semwebtech.org/mondial/10/country/FPOL/	78
3441d4f:1508ad97479:-6a93	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	http://www.semwebtech.org/mondial/10/country/RO/	0.3
3441d4f:1508ad97479:-69d8	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/RC/	14
3441d4f:1508ad97479:-6934	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/SME/	10
3441d4f:1508ad97479:-68e0	http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	http://www.semwebtech.org/mondial/10/country/DJI/	60
3441d4f:1508ad97479:-6a56	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	http://www.semwebtech.org/mondial/10/country/TM/	5
3441d4f:1508ad97479:-699b	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	http://www.semwebtech.org/mondial/10/country/ES/	1
3441d4f:1508ad97479:-68a3	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/HELX/	25
3441d4f:1508ad97479:-6a19	http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	http://www.semwebtech.org/mondial/10/country/KAZ/	1.4
3441d4f:1508ad97479:-695e	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	http://www.semwebtech.org/mondial/10/country/NIUE/	100
3441d4f:1508ad97479:-68cd	http://www.semwebtech.org/mondial/10/ethnicgroup/Luhya/	http://www.semwebtech.org/mondial/10/country/EAK/	14
3441d4f:1508ad97479:-6af0	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	http://www.semwebtech.org/mondial/10/country/CZ/	0.6
3441d4f:1508ad97479:-6b07	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	http://www.semwebtech.org/mondial/10/country/SRB/	1.1
3441d4f:1508ad97479:-6ab3	http://www.semwebtech.org/mondial/10/ethnicgroup/Chuvash/	http://www.semwebtech.org/mondial/10/country/R/	1.1
3441d4f:1508ad97479:-69bb	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/USA/	79.96
3441d4f:1508ad97479:-6add	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	http://www.semwebtech.org/mondial/10/country/SK/	0.1
3441d4f:1508ad97479:-6962	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/NZ/	56.8
3441d4f:1508ad97479:-6a84	http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	http://www.semwebtech.org/mondial/10/country/SF/	0.3
3441d4f:1508ad97479:-69c9	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	http://www.semwebtech.org/mondial/10/country/MEX/	60
3441d4f:1508ad97479:-6925	http://www.semwebtech.org/mondial/10/ethnicgroup/Voltaic/	http://www.semwebtech.org/mondial/10/country/RMM/	12
3441d4f:1508ad97479:-68d1	http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	http://www.semwebtech.org/mondial/10/country/ETH/	1.7
3441d4f:1508ad97479:-6a47	http://www.semwebtech.org/mondial/10/ethnicgroup/Dagestani/	http://www.semwebtech.org/mondial/10/country/AZ/	2.2
3441d4f:1508ad97479:-698c	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	http://www.semwebtech.org/mondial/10/country/CO/	58
3441d4f:1508ad97479:-694f	http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	http://www.semwebtech.org/mondial/10/country/WS/	0.4
3441d4f:1508ad97479:-68fb	http://www.semwebtech.org/mondial/10/ethnicgroup/Twa/	http://www.semwebtech.org/mondial/10/country/RWA/	1
3441d4f:1508ad97479:-68be	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/GNB/	99
3441d4f:1508ad97479:-6ae1	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	http://www.semwebtech.org/mondial/10/country/SK/	1.7
3441d4f:1508ad97479:-6aa4	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	http://www.semwebtech.org/mondial/10/country/BIH/	37.1
3441d4f:1508ad97479:-6a00	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/ET/	1
3441d4f:1508ad97479:-69ac	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	http://www.semwebtech.org/mondial/10/country/NIC/	5
3441d4f:1508ad97479:-6ace	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/LV/	27.8
3441d4f:1508ad97479:-6a2a	http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese-Chinese/	http://www.semwebtech.org/mondial/10/country/LAO/	1
3441d4f:1508ad97479:-6990	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-EastIndian/	http://www.semwebtech.org/mondial/10/country/JA/	3
3441d4f:1508ad97479:-69f7	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	http://www.semwebtech.org/mondial/10/country/JOR/	1
3441d4f:1508ad97479:-6953	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	http://www.semwebtech.org/mondial/10/country/TOK/	95
3441d4f:1508ad97479:-6a75	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	http://www.semwebtech.org/mondial/10/country/MD/	8.4
3441d4f:1508ad97479:-6916	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	http://www.semwebtech.org/mondial/10/country/TN/	98
3441d4f:1508ad97479:-68c2	http://www.semwebtech.org/mondial/10/ethnicgroup/Serer/	http://www.semwebtech.org/mondial/10/country/SN/	17
3441d4f:1508ad97479:-6a38	http://www.semwebtech.org/mondial/10/ethnicgroup/Dravidian/	http://www.semwebtech.org/mondial/10/country/IND/	25
3441d4f:1508ad97479:-697d	http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	http://www.semwebtech.org/mondial/10/country/TT/	40
3441d4f:1508ad97479:-68ec	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/CV/	1
3441d4f:1508ad97479:-69b0	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/CR/	1
3441d4f:1508ad97479:-68af	http://www.semwebtech.org/mondial/10/ethnicgroup/Sotho/	http://www.semwebtech.org/mondial/10/country/LS/	99.7
3441d4f:1508ad97479:-6ad2	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/BY/	11.4
3441d4f:1508ad97479:-69da	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	http://www.semwebtech.org/mondial/10/country/CL/	7
3441d4f:1508ad97479:-6afc	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/AND/	5
3441d4f:1508ad97479:-6abf	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	http://www.semwebtech.org/mondial/10/country/UA/	0.6
3441d4f:1508ad97479:-6a1b	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	http://www.semwebtech.org/mondial/10/country/KAZ/	2.8
3441d4f:1508ad97479:-6981	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/WL/	90.3
3441d4f:1508ad97479:-69e8	http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	http://www.semwebtech.org/mondial/10/country/UAE/	50
3441d4f:1508ad97479:-6944	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	http://www.semwebtech.org/mondial/10/country/RCH/	3
3441d4f:1508ad97479:-68f0	http://www.semwebtech.org/mondial/10/ethnicgroup/Sara/	http://www.semwebtech.org/mondial/10/country/RCA/	10
3441d4f:1508ad97479:-6a66	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	http://www.semwebtech.org/mondial/10/country/AFG/	6
3441d4f:1508ad97479:-6907	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	http://www.semwebtech.org/mondial/10/country/RSA/	2.6
3441d4f:1508ad97479:-68b3	http://www.semwebtech.org/mondial/10/ethnicgroup/Acholi/	http://www.semwebtech.org/mondial/10/country/EAU/	4
3441d4f:1508ad97479:-6a29	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/THA/	14
3441d4f:1508ad97479:-696e	http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	http://www.semwebtech.org/mondial/10/country/KIR/	100
3441d4f:1508ad97479:-68dd	http://www.semwebtech.org/mondial/10/ethnicgroup/Saho/	http://www.semwebtech.org/mondial/10/country/ER/	4
3441d4f:1508ad97479:-69a1	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/DOM/	11
3441d4f:1508ad97479:-6ac3	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	http://www.semwebtech.org/mondial/10/country/PL/	0.6
3441d4f:1508ad97479:-69cb	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/GCA/	10
3441d4f:1508ad97479:-6aed	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	http://www.semwebtech.org/mondial/10/country/D/	91.5
3441d4f:1508ad97479:-6a0c	http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	http://www.semwebtech.org/mondial/10/country/MACX/	3
3441d4f:1508ad97479:-6972	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/FPOL/	12
3441d4f:1508ad97479:-6a94	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	http://www.semwebtech.org/mondial/10/country/RO/	0.3
3441d4f:1508ad97479:-69d9	http://www.semwebtech.org/mondial/10/ethnicgroup/Vedda/	http://www.semwebtech.org/mondial/10/country/CL/	1
3441d4f:1508ad97479:-6935	http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	http://www.semwebtech.org/mondial/10/country/SME/	15.3
3441d4f:1508ad97479:-68e1	http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	http://www.semwebtech.org/mondial/10/country/DJI/	35
3441d4f:1508ad97479:-6a57	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	http://www.semwebtech.org/mondial/10/country/TM/	85
3441d4f:1508ad97479:-699c	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/ES/	9
3441d4f:1508ad97479:-68a4	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	http://www.semwebtech.org/mondial/10/country/HELX/	25
3441d4f:1508ad97479:-695f	http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	http://www.semwebtech.org/mondial/10/country/NZ/	4.6
3441d4f:1508ad97479:-68ce	http://www.semwebtech.org/mondial/10/ethnicgroup/Kikuyu/	http://www.semwebtech.org/mondial/10/country/EAK/	22
3441d4f:1508ad97479:-6af1	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	http://www.semwebtech.org/mondial/10/country/CZ/	0.5
3441d4f:1508ad97479:-6b08	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	http://www.semwebtech.org/mondial/10/country/SRB/	1.8
3441d4f:1508ad97479:-6ab4	http://www.semwebtech.org/mondial/10/ethnicgroup/Bashkir/	http://www.semwebtech.org/mondial/10/country/R/	1.2
3441d4f:1508ad97479:-6a10	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/HONX/	95
3441d4f:1508ad97479:-69bc	http://www.semwebtech.org/mondial/10/ethnicgroup/Inuit/	http://www.semwebtech.org/mondial/10/country/CDN/	2
3441d4f:1508ad97479:-6ade	http://www.semwebtech.org/mondial/10/ethnicgroup/Ruthenian/	http://www.semwebtech.org/mondial/10/country/SK/	0.3
3441d4f:1508ad97479:-6a3a	http://www.semwebtech.org/mondial/10/ethnicgroup/Rakhine/	http://www.semwebtech.org/mondial/10/country/MYA/	4
3441d4f:1508ad97479:-6963	http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	http://www.semwebtech.org/mondial/10/country/NCA/	2.5
3441d4f:1508ad97479:-6a85	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/SF/	0.5
3441d4f:1508ad97479:-6926	http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	http://www.semwebtech.org/mondial/10/country/RMM/	17
3441d4f:1508ad97479:-68d2	http://www.semwebtech.org/mondial/10/ethnicgroup/Hadiya/	http://www.semwebtech.org/mondial/10/country/ETH/	1.7
3441d4f:1508ad97479:-6a48	http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	http://www.semwebtech.org/mondial/10/country/AZ/	90.6
3441d4f:1508ad97479:-698d	http://www.semwebtech.org/mondial/10/ethnicgroup/African-white-Indian/	http://www.semwebtech.org/mondial/10/country/MART/	90
3441d4f:1508ad97479:-69c0	http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	http://www.semwebtech.org/mondial/10/country/BVIR/	5.4
3441d4f:1508ad97479:-68bf	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/GNB/	1
3441d4f:1508ad97479:-6ae2	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	http://www.semwebtech.org/mondial/10/country/SK/	9.7
3441d4f:1508ad97479:-6aa5	http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	http://www.semwebtech.org/mondial/10/country/BIH/	48
3441d4f:1508ad97479:-6a01	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	http://www.semwebtech.org/mondial/10/country/IL/	23
3441d4f:1508ad97479:-69ea	http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	http://www.semwebtech.org/mondial/10/country/WEST/	83
3441d4f:1508ad97479:-69ad	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/NIC/	9
3441d4f:1508ad97479:-6acf	http://www.semwebtech.org/mondial/10/ethnicgroup/Latvian/	http://www.semwebtech.org/mondial/10/country/LV/	59.3
3441d4f:1508ad97479:-6a2b	http://www.semwebtech.org/mondial/10/ethnicgroup/LaoSoungHmongYao/	http://www.semwebtech.org/mondial/10/country/LAO/	9
3441d4f:1508ad97479:-6991	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-European/	http://www.semwebtech.org/mondial/10/country/JA/	15.1
3441d4f:1508ad97479:-69f8	http://www.semwebtech.org/mondial/10/ethnicgroup/Assyrian/	http://www.semwebtech.org/mondial/10/country/IRQ/	5
3441d4f:1508ad97479:-6954	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	http://www.semwebtech.org/mondial/10/country/TUV/	96
3441d4f:1508ad97479:-6a76	http://www.semwebtech.org/mondial/10/ethnicgroup/Moldavian-Romanian/	http://www.semwebtech.org/mondial/10/country/MD/	78.2
3441d4f:1508ad97479:-6917	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/TN/	1
3441d4f:1508ad97479:-68c3	http://www.semwebtech.org/mondial/10/ethnicgroup/Mandingo/	http://www.semwebtech.org/mondial/10/country/SN/	9
3441d4f:1508ad97479:-6a39	http://www.semwebtech.org/mondial/10/ethnicgroup/Mon/	http://www.semwebtech.org/mondial/10/country/MYA/	2
3441d4f:1508ad97479:-697e	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/TT/	1
3441d4f:1508ad97479:-68ed	http://www.semwebtech.org/mondial/10/ethnicgroup/MBaka/	http://www.semwebtech.org/mondial/10/country/RCA/	4
3441d4f:1508ad97479:-69b1	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	http://www.semwebtech.org/mondial/10/country/CR/	1
3441d4f:1508ad97479:-6ad3	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	http://www.semwebtech.org/mondial/10/country/BY/	81.2
3441d4f:1508ad97479:-69db	http://www.semwebtech.org/mondial/10/ethnicgroup/Tamil/	http://www.semwebtech.org/mondial/10/country/CL/	18
3441d4f:1508ad97479:-6afd	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	http://www.semwebtech.org/mondial/10/country/AND/	2
3441d4f:1508ad97479:-6a1c	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/KAZ/	23.7
3441d4f:1508ad97479:-6982	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/KN/	100
3441d4f:1508ad97479:-69e9	http://www.semwebtech.org/mondial/10/ethnicgroup/Japanese/	http://www.semwebtech.org/mondial/10/country/J/	99.4
3441d4f:1508ad97479:-6945	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/BR/	6.2
3441d4f:1508ad97479:-68f1	http://www.semwebtech.org/mondial/10/ethnicgroup/Banda/	http://www.semwebtech.org/mondial/10/country/RCA/	27
3441d4f:1508ad97479:-6a67	http://www.semwebtech.org/mondial/10/ethnicgroup/Pashtun/	http://www.semwebtech.org/mondial/10/country/AFG/	38
3441d4f:1508ad97479:-6908	http://www.semwebtech.org/mondial/10/ethnicgroup/Kgalagadi/	http://www.semwebtech.org/mondial/10/country/RB/	4
3441d4f:1508ad97479:-68b4	http://www.semwebtech.org/mondial/10/ethnicgroup/Bagisu/	http://www.semwebtech.org/mondial/10/country/EAU/	5
3441d4f:1508ad97479:-6b0a	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	http://www.semwebtech.org/mondial/10/country/SRB/	3.9
3441d4f:1508ad97479:-696f	http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	http://www.semwebtech.org/mondial/10/country/GUAM/	26.3
3441d4f:1508ad97479:-68de	http://www.semwebtech.org/mondial/10/ethnicgroup/Tigre/	http://www.semwebtech.org/mondial/10/country/ER/	30
3441d4f:1508ad97479:-69a2	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/DOM/	16
3441d4f:1508ad97479:-6ac4	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	http://www.semwebtech.org/mondial/10/country/PL/	97.6
3441d4f:1508ad97479:-6a20	http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	http://www.semwebtech.org/mondial/10/country/VN/	1.5
3441d4f:1508ad97479:-69cc	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	http://www.semwebtech.org/mondial/10/country/GCA/	50
3441d4f:1508ad97479:-6aee	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	http://www.semwebtech.org/mondial/10/country/CZ/	0.2
3441d4f:1508ad97479:-6a4a	http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	http://www.semwebtech.org/mondial/10/country/GE/	6.5
3441d4f:1508ad97479:-6a0d	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/MACX/	95
3441d4f:1508ad97479:-6973	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	http://www.semwebtech.org/mondial/10/country/FPOL/	10
3441d4f:1508ad97479:-6a95	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	http://www.semwebtech.org/mondial/10/country/RO/	2.5
3441d4f:1508ad97479:-6936	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	http://www.semwebtech.org/mondial/10/country/SME/	31
3441d4f:1508ad97479:-68e2	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	http://www.semwebtech.org/mondial/10/country/DJI/	5
3441d4f:1508ad97479:-6a58	http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	http://www.semwebtech.org/mondial/10/country/TAD/	1.1
3441d4f:1508ad97479:-699d	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	http://www.semwebtech.org/mondial/10/country/ES/	90
3441d4f:1508ad97479:-69d0	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	http://www.semwebtech.org/mondial/10/country/BZ/	48.7
3441d4f:1508ad97479:-68cf	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	http://www.semwebtech.org/mondial/10/country/EAK/	1
3441d4f:1508ad97479:-6af2	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	http://www.semwebtech.org/mondial/10/country/CZ/	1.9
3441d4f:1508ad97479:-6b09	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	http://www.semwebtech.org/mondial/10/country/SRB/	1.4
3441d4f:1508ad97479:-6ab5	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	http://www.semwebtech.org/mondial/10/country/R/	2
3441d4f:1508ad97479:-6a11	http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	http://www.semwebtech.org/mondial/10/country/KGZ/	1
3441d4f:1508ad97479:-69fa	http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	http://www.semwebtech.org/mondial/10/country/IRQ/	15
3441d4f:1508ad97479:-69bd	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/CDN/	15
3441d4f:1508ad97479:-6adf	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	http://www.semwebtech.org/mondial/10/country/SK/	0.3
3441d4f:1508ad97479:-6a3b	http://www.semwebtech.org/mondial/10/ethnicgroup/Karen/	http://www.semwebtech.org/mondial/10/country/MYA/	7
3441d4f:1508ad97479:-6964	http://www.semwebtech.org/mondial/10/ethnicgroup/Wallisian/	http://www.semwebtech.org/mondial/10/country/NCA/	9
3441d4f:1508ad97479:-6a86	http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	http://www.semwebtech.org/mondial/10/country/SF/	5.6
3441d4f:1508ad97479:-6927	http://www.semwebtech.org/mondial/10/ethnicgroup/Mande/	http://www.semwebtech.org/mondial/10/country/RMM/	50
3441d4f:1508ad97479:-68d3	http://www.semwebtech.org/mondial/10/ethnicgroup/Welaita/	http://www.semwebtech.org/mondial/10/country/ETH/	2.3
3441d4f:1508ad97479:-6a49	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/GE/	1.5
3441d4f:1508ad97479:-698e	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/MART/	5
3441d4f:1508ad97479:-68fd	http://www.semwebtech.org/mondial/10/ethnicgroup/Hutu/	http://www.semwebtech.org/mondial/10/country/RWA/	80
3441d4f:1508ad97479:-69c1	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	http://www.semwebtech.org/mondial/10/country/BVIR/	3.4
3441d4f:1508ad97479:-6ae3	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	http://www.semwebtech.org/mondial/10/country/SK/	85.7
3441d4f:1508ad97479:-6aa6	http://www.semwebtech.org/mondial/10/ethnicgroup/Caribbean/	http://www.semwebtech.org/mondial/10/country/NL/	0.8
3441d4f:1508ad97479:-6a02	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	http://www.semwebtech.org/mondial/10/country/IL/	76.4
3441d4f:1508ad97479:-69eb	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	http://www.semwebtech.org/mondial/10/country/WEST/	17
3441d4f:1508ad97479:-69ae	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/NIC/	17
3441d4f:1508ad97479:-690a	http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanSyrian-Lebanese/	http://www.semwebtech.org/mondial/10/country/RT/	1
3441d4f:1508ad97479:-6a2c	http://www.semwebtech.org/mondial/10/ethnicgroup/LaoTheung/	http://www.semwebtech.org/mondial/10/country/LAO/	22
3441d4f:1508ad97479:-6992	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/JA/	76.3
3441d4f:1508ad97479:-6955	http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	http://www.semwebtech.org/mondial/10/country/SLB/	93
3441d4f:1508ad97479:-69f9	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	http://www.semwebtech.org/mondial/10/country/IRQ/	75
3441d4f:1508ad97479:-6a77	http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	http://www.semwebtech.org/mondial/10/country/GBJ/	100
3441d4f:1508ad97479:-6918	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	http://www.semwebtech.org/mondial/10/country/TN/	1
3441d4f:1508ad97479:-68c4	http://www.semwebtech.org/mondial/10/ethnicgroup/Diola/	http://www.semwebtech.org/mondial/10/country/SN/	9
3441d4f:1508ad97479:-697f	http://www.semwebtech.org/mondial/10/ethnicgroup/BasquesBretons/	http://www.semwebtech.org/mondial/10/country/SPMI/	100
3441d4f:1508ad97479:-68ee	http://www.semwebtech.org/mondial/10/ethnicgroup/Mboum/	http://www.semwebtech.org/mondial/10/country/RCA/	4
3441d4f:1508ad97479:-69b2	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/CR/	3
3441d4f:1508ad97479:-6ad4	http://www.semwebtech.org/mondial/10/ethnicgroup/Romansch/	http://www.semwebtech.org/mondial/10/country/CH/	1
3441d4f:1508ad97479:-6a30	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/MAL/	23.7
3441d4f:1508ad97479:-69dc	http://www.semwebtech.org/mondial/10/ethnicgroup/Sinhalese/	http://www.semwebtech.org/mondial/10/country/CL/	74
3441d4f:1508ad97479:-6afe	http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	http://www.semwebtech.org/mondial/10/country/AND/	11
3441d4f:1508ad97479:-6a5a	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	http://www.semwebtech.org/mondial/10/country/TAD/	15.3
3441d4f:1508ad97479:-6a1d	http://www.semwebtech.org/mondial/10/ethnicgroup/Kazakh/	http://www.semwebtech.org/mondial/10/country/KAZ/	63.1
3441d4f:1508ad97479:-6983	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	http://www.semwebtech.org/mondial/10/country/PR/	0.4
3441d4f:1508ad97479:-6946	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	http://www.semwebtech.org/mondial/10/country/BR/	38.5
3441d4f:1508ad97479:-68f2	http://www.semwebtech.org/mondial/10/ethnicgroup/Baya/	http://www.semwebtech.org/mondial/10/country/RCA/	34
3441d4f:1508ad97479:-6a68	http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	http://www.semwebtech.org/mondial/10/country/AFG/	25
3441d4f:1508ad97479:-6909	http://www.semwebtech.org/mondial/10/ethnicgroup/Batswana/	http://www.semwebtech.org/mondial/10/country/RB/	95
3441d4f:1508ad97479:-68b5	http://www.semwebtech.org/mondial/10/ethnicgroup/Langi/	http://www.semwebtech.org/mondial/10/country/EAU/	6
3441d4f:1508ad97479:-69e0	http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	http://www.semwebtech.org/mondial/10/country/Q/	10
3441d4f:1508ad97479:-68df	http://www.semwebtech.org/mondial/10/ethnicgroup/Tigrinya/	http://www.semwebtech.org/mondial/10/country/ER/	55
3441d4f:1508ad97479:-69a3	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	http://www.semwebtech.org/mondial/10/country/DOM/	73
3441d4f:1508ad97479:-6ac5	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	http://www.semwebtech.org/mondial/10/country/PL/	1.3
3441d4f:1508ad97479:-6a21	http://www.semwebtech.org/mondial/10/ethnicgroup/Muong/	http://www.semwebtech.org/mondial/10/country/VN/	1.5
3441d4f:1508ad97479:-69cd	http://www.semwebtech.org/mondial/10/ethnicgroup/Garifuna/	http://www.semwebtech.org/mondial/10/country/BZ/	6.1
3441d4f:1508ad97479:-6aef	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	http://www.semwebtech.org/mondial/10/country/CZ/	0.3
3441d4f:1508ad97479:-6a4b	http://www.semwebtech.org/mondial/10/ethnicgroup/Georgian/	http://www.semwebtech.org/mondial/10/country/GE/	83.8
3441d4f:1508ad97479:-6a0e	http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	http://www.semwebtech.org/mondial/10/country/HONX/	1.3
3441d4f:1508ad97479:-6974	http://www.semwebtech.org/mondial/10/ethnicgroup/Fijian/	http://www.semwebtech.org/mondial/10/country/FJI/	49
3441d4f:1508ad97479:-6a96	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	http://www.semwebtech.org/mondial/10/country/RO/	6.6
3441d4f:1508ad97479:-6937	http://www.semwebtech.org/mondial/10/ethnicgroup/Hindustani/	http://www.semwebtech.org/mondial/10/country/SME/	37
3441d4f:1508ad97479:-68e3	http://www.semwebtech.org/mondial/10/ethnicgroup/Americo-Liberians/	http://www.semwebtech.org/mondial/10/country/LB/	5
3441d4f:1508ad97479:-6a59	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/TAD/	1.1
3441d4f:1508ad97479:-699e	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/RH/	2
3441d4f:1508ad97479:-68a6	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/SD/	97
3441d4f:1508ad97479:-69d1	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/BDS/	80
3441d4f:1508ad97479:-6af3	http://www.semwebtech.org/mondial/10/ethnicgroup/Moravian/	http://www.semwebtech.org/mondial/10/country/CZ/	3.7
3441d4f:1508ad97479:-6ab6	http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	http://www.semwebtech.org/mondial/10/country/R/	3.8
3441d4f:1508ad97479:-6a12	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	http://www.semwebtech.org/mondial/10/country/KGZ/	1
3441d4f:1508ad97479:-69fb	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	http://www.semwebtech.org/mondial/10/country/RI/	7.5
3441d4f:1508ad97479:-69be	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	http://www.semwebtech.org/mondial/10/country/CDN/	23
3441d4f:1508ad97479:-691a	http://www.semwebtech.org/mondial/10/ethnicgroup/BeriBeri/	http://www.semwebtech.org/mondial/10/country/RN/	4.3
3441d4f:1508ad97479:-6a3c	http://www.semwebtech.org/mondial/10/ethnicgroup/Shan/	http://www.semwebtech.org/mondial/10/country/MYA/	9
3441d4f:1508ad97479:-6b00	http://www.semwebtech.org/mondial/10/ethnicgroup/Spanish/	http://www.semwebtech.org/mondial/10/country/AND/	43
3441d4f:1508ad97479:-6965	http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	http://www.semwebtech.org/mondial/10/country/NCA/	44.1
3441d4f:1508ad97479:-6a87	http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	http://www.semwebtech.org/mondial/10/country/SF/	93.4
3441d4f:1508ad97479:-6928	http://www.semwebtech.org/mondial/10/ethnicgroup/BerberArab/	http://www.semwebtech.org/mondial/10/country/LAR/	97
3441d4f:1508ad97479:-68d4	http://www.semwebtech.org/mondial/10/ethnicgroup/Gurage/	http://www.semwebtech.org/mondial/10/country/ETH/	2.5
3441d4f:1508ad97479:-698f	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Chinese/	http://www.semwebtech.org/mondial/10/country/JA/	1.2
3441d4f:1508ad97479:-68fe	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/GH/	99.8
3441d4f:1508ad97479:-69c2	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	http://www.semwebtech.org/mondial/10/country/BVIR/	7
3441d4f:1508ad97479:-6ae4	http://www.semwebtech.org/mondial/10/ethnicgroup/Alemannic/	http://www.semwebtech.org/mondial/10/country/FL/	95
3441d4f:1508ad97479:-6a40	http://www.semwebtech.org/mondial/10/ethnicgroup/Bengali/	http://www.semwebtech.org/mondial/10/country/BD/	98
3441d4f:1508ad97479:-6aa7	http://www.semwebtech.org/mondial/10/ethnicgroup/Surinamese/	http://www.semwebtech.org/mondial/10/country/NL/	2
3441d4f:1508ad97479:-6a03	http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	http://www.semwebtech.org/mondial/10/country/GAZA/	99.4
3441d4f:1508ad97479:-69ec	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	http://www.semwebtech.org/mondial/10/country/RL/	95
3441d4f:1508ad97479:-6a6a	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	http://www.semwebtech.org/mondial/10/country/GB/	1.8
3441d4f:1508ad97479:-69af	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	http://www.semwebtech.org/mondial/10/country/NIC/	69
3441d4f:1508ad97479:-690b	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/RT/	99
3441d4f:1508ad97479:-6a2d	http://www.semwebtech.org/mondial/10/ethnicgroup/LaoLoum/	http://www.semwebtech.org/mondial/10/country/LAO/	68
3441d4f:1508ad97479:-6993	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/GUAD/	5
3441d4f:1508ad97479:-6956	http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	http://www.semwebtech.org/mondial/10/country/SLB/	1.5
3441d4f:1508ad97479:-6a78	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/IRL/	1.1
3441d4f:1508ad97479:-6919	http://www.semwebtech.org/mondial/10/ethnicgroup/Gourmantche/	http://www.semwebtech.org/mondial/10/country/RN/	1.2
3441d4f:1508ad97479:-68c5	http://www.semwebtech.org/mondial/10/ethnicgroup/Wolof/	http://www.semwebtech.org/mondial/10/country/SN/	36
3441d4f:1508ad97479:-68ef	http://www.semwebtech.org/mondial/10/ethnicgroup/Mandjia/	http://www.semwebtech.org/mondial/10/country/RCA/	21
3441d4f:1508ad97479:-69b3	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/CR/	20
3441d4f:1508ad97479:-6ad5	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	http://www.semwebtech.org/mondial/10/country/CH/	10
3441d4f:1508ad97479:-6a31	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	http://www.semwebtech.org/mondial/10/country/MAL/	50.4
3441d4f:1508ad97479:-69dd	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	http://www.semwebtech.org/mondial/10/country/SGP/	14.9
3441d4f:1508ad97479:-6aff	http://www.semwebtech.org/mondial/10/ethnicgroup/Andorran/	http://www.semwebtech.org/mondial/10/country/AND/	33
3441d4f:1508ad97479:-6a5b	http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	http://www.semwebtech.org/mondial/10/country/TAD/	79.9
3441d4f:1508ad97479:-6a1e	http://www.semwebtech.org/mondial/10/ethnicgroup/Nung/	http://www.semwebtech.org/mondial/10/country/VN/	1.1
3441d4f:1508ad97479:-6984	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	http://www.semwebtech.org/mondial/10/country/PR/	0.4
3441d4f:1508ad97479:-6947	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/BR/	53.7
3441d4f:1508ad97479:-68f3	http://www.semwebtech.org/mondial/10/ethnicgroup/EasternNigritic/	http://www.semwebtech.org/mondial/10/country/CAM/	7
3441d4f:1508ad97479:-6a69	http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	http://www.semwebtech.org/mondial/10/country/GB/	1.3
3441d4f:1508ad97479:-68b6	http://www.semwebtech.org/mondial/10/ethnicgroup/Iteso/	http://www.semwebtech.org/mondial/10/country/EAU/	8
3441d4f:1508ad97479:-6b0c	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	http://www.semwebtech.org/mondial/10/country/SRB/	82.9
3441d4f:1508ad97479:-69e1	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	http://www.semwebtech.org/mondial/10/country/Q/	40
3441d4f:1508ad97479:-69a4	http://www.semwebtech.org/mondial/10/ethnicgroup/CaribIndians/	http://www.semwebtech.org/mondial/10/country/WD/	100
3441d4f:1508ad97479:-6900	http://www.semwebtech.org/mondial/10/ethnicgroup/Senoufou/	http://www.semwebtech.org/mondial/10/country/CI/	15
3441d4f:1508ad97479:-6ac6	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	http://www.semwebtech.org/mondial/10/country/LT/	1.1
3441d4f:1508ad97479:-6a22	http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	http://www.semwebtech.org/mondial/10/country/VN/	1.8
3441d4f:1508ad97479:-69ce	http://www.semwebtech.org/mondial/10/ethnicgroup/Maya/	http://www.semwebtech.org/mondial/10/country/BZ/	10.6
3441d4f:1508ad97479:-692a	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/DZ/	1
3441d4f:1508ad97479:-6a4c	http://www.semwebtech.org/mondial/10/ethnicgroup/Yezidi/	http://www.semwebtech.org/mondial/10/country/ARM/	1.3
3441d4f:1508ad97479:-6b10	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	http://www.semwebtech.org/mondial/10/country/MK/	25.2
3441d4f:1508ad97479:-6a0f	http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	http://www.semwebtech.org/mondial/10/country/HONX/	1.6
3441d4f:1508ad97479:-6975	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	http://www.semwebtech.org/mondial/10/country/FJI/	46
3441d4f:1508ad97479:-6a97	http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	http://www.semwebtech.org/mondial/10/country/RO/	89.1
3441d4f:1508ad97479:-6938	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	http://www.semwebtech.org/mondial/10/country/GUY/	9.1
3441d4f:1508ad97479:-68e4	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/LB/	95
3441d4f:1508ad97479:-699f	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	http://www.semwebtech.org/mondial/10/country/RH/	3
3441d4f:1508ad97479:-68a7	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/SD/	3
3441d4f:1508ad97479:-69d2	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/BDS/	4
3441d4f:1508ad97479:-6af4	http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	http://www.semwebtech.org/mondial/10/country/CZ/	90.4
3441d4f:1508ad97479:-6a50	http://www.semwebtech.org/mondial/10/ethnicgroup/Karakalpak/	http://www.semwebtech.org/mondial/10/country/UZB/	2.5
3441d4f:1508ad97479:-6ab7	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/R/	79.8
3441d4f:1508ad97479:-6a13	http://www.semwebtech.org/mondial/10/ethnicgroup/Dungan/	http://www.semwebtech.org/mondial/10/country/KGZ/	1.1
3441d4f:1508ad97479:-69fc	http://www.semwebtech.org/mondial/10/ethnicgroup/Madurese/	http://www.semwebtech.org/mondial/10/country/RI/	7.5
3441d4f:1508ad97479:-6a7a	http://www.semwebtech.org/mondial/10/ethnicgroup/Irish/	http://www.semwebtech.org/mondial/10/country/IRL/	87.4
3441d4f:1508ad97479:-69bf	http://www.semwebtech.org/mondial/10/ethnicgroup/BritishIsles/	http://www.semwebtech.org/mondial/10/country/CDN/	28
3441d4f:1508ad97479:-691b	http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	http://www.semwebtech.org/mondial/10/country/RN/	8
3441d4f:1508ad97479:-6a3d	http://www.semwebtech.org/mondial/10/ethnicgroup/Burman/	http://www.semwebtech.org/mondial/10/country/MYA/	68
3441d4f:1508ad97479:-6b01	http://www.semwebtech.org/mondial/10/ethnicgroup/Serbian/	http://www.semwebtech.org/mondial/10/country/KOS/	5
3441d4f:1508ad97479:-6966	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/NCA/	34.1
3441d4f:1508ad97479:-6a88	http://www.semwebtech.org/mondial/10/ethnicgroup/Scandinavian/	http://www.semwebtech.org/mondial/10/country/FARX/	100
3441d4f:1508ad97479:-6929	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	http://www.semwebtech.org/mondial/10/country/DZ/	99
3441d4f:1508ad97479:-68d5	http://www.semwebtech.org/mondial/10/ethnicgroup/Sidama/	http://www.semwebtech.org/mondial/10/country/ETH/	4
3441d4f:1508ad97479:-68ff	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/GH/	0.2
3441d4f:1508ad97479:-6a41	http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	http://www.semwebtech.org/mondial/10/country/BRN/	8
3441d4f:1508ad97479:-6ae5	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	http://www.semwebtech.org/mondial/10/country/FL/	5
3441d4f:1508ad97479:-6aa8	http://www.semwebtech.org/mondial/10/ethnicgroup/Moroccan/	http://www.semwebtech.org/mondial/10/country/NL/	2
3441d4f:1508ad97479:-6a04	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	http://www.semwebtech.org/mondial/10/country/GAZA/	0.6
3441d4f:1508ad97479:-69ed	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	http://www.semwebtech.org/mondial/10/country/RL/	4
3441d4f:1508ad97479:-6a6b	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/GB/	2
3441d4f:1508ad97479:-690c	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/WAN/	99
3441d4f:1508ad97479:-6a2e	http://www.semwebtech.org/mondial/10/ethnicgroup/Borneoindigenous/	http://www.semwebtech.org/mondial/10/country/MAL/	11
3441d4f:1508ad97479:-6994	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/WG/	100
3441d4f:1508ad97479:-6957	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	http://www.semwebtech.org/mondial/10/country/SLB/	4
3441d4f:1508ad97479:-6a79	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	http://www.semwebtech.org/mondial/10/country/IRL/	1.3
3441d4f:1508ad97479:-68c6	http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	http://www.semwebtech.org/mondial/10/country/SN/	17
3441d4f:1508ad97479:-69f1	http://www.semwebtech.org/mondial/10/ethnicgroup/Kuwaiti/	http://www.semwebtech.org/mondial/10/country/KWT/	45
3441d4f:1508ad97479:-69b4	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	http://www.semwebtech.org/mondial/10/country/CR/	74
3441d4f:1508ad97479:-6910	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/Z/	1.1
3441d4f:1508ad97479:-6ad6	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	http://www.semwebtech.org/mondial/10/country/CH/	18
3441d4f:1508ad97479:-6a32	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	http://www.semwebtech.org/mondial/10/country/BRU/	64
3441d4f:1508ad97479:-69de	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/SGP/	76.4
3441d4f:1508ad97479:-693a	http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	http://www.semwebtech.org/mondial/10/country/GUY/	43.5
3441d4f:1508ad97479:-6a5c	http://www.semwebtech.org/mondial/10/ethnicgroup/GilakiMazandarani/	http://www.semwebtech.org/mondial/10/country/IR/	8
3441d4f:1508ad97479:-6a1f	http://www.semwebtech.org/mondial/10/ethnicgroup/Mong/	http://www.semwebtech.org/mondial/10/country/VN/	1.2
3441d4f:1508ad97479:-6985	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	http://www.semwebtech.org/mondial/10/country/PR/	8
3441d4f:1508ad97479:-6948	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/BOL/	15
3441d4f:1508ad97479:-68f4	http://www.semwebtech.org/mondial/10/ethnicgroup/NorthwesternBantu/	http://www.semwebtech.org/mondial/10/country/CAM/	8
3441d4f:1508ad97479:-68b7	http://www.semwebtech.org/mondial/10/ethnicgroup/Basogo/	http://www.semwebtech.org/mondial/10/country/EAU/	8
3441d4f:1508ad97479:-6b0d	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	http://www.semwebtech.org/mondial/10/country/MK/	1.8
3441d4f:1508ad97479:-69e2	http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	http://www.semwebtech.org/mondial/10/country/Q/	18
3441d4f:1508ad97479:-6a60	http://www.semwebtech.org/mondial/10/ethnicgroup/Azerbaijani/	http://www.semwebtech.org/mondial/10/country/IR/	24
3441d4f:1508ad97479:-69a5	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/C/	10.1
3441d4f:1508ad97479:-6901	http://www.semwebtech.org/mondial/10/ethnicgroup/Bete/	http://www.semwebtech.org/mondial/10/country/CI/	18
3441d4f:1508ad97479:-6ac7	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/LT/	4.9
3441d4f:1508ad97479:-6a23	http://www.semwebtech.org/mondial/10/ethnicgroup/Tay/	http://www.semwebtech.org/mondial/10/country/VN/	1.9
3441d4f:1508ad97479:-6a8a	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	http://www.semwebtech.org/mondial/10/country/EW/	1.2
3441d4f:1508ad97479:-69cf	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	http://www.semwebtech.org/mondial/10/country/BZ/	24.9
3441d4f:1508ad97479:-692b	http://www.semwebtech.org/mondial/10/ethnicgroup/None/	http://www.semwebtech.org/mondial/10/country/FALK/	31.5
3441d4f:1508ad97479:-6a4d	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/ARM/	0.5
3441d4f:1508ad97479:-6b11	http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	http://www.semwebtech.org/mondial/10/country/MK/	64.2
3441d4f:1508ad97479:-6976	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	http://www.semwebtech.org/mondial/10/country/COOK/	93.5
3441d4f:1508ad97479:-6a98	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	http://www.semwebtech.org/mondial/10/country/BG/	0.3
3441d4f:1508ad97479:-6939	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/GUY/	30.2
3441d4f:1508ad97479:-68e5	http://www.semwebtech.org/mondial/10/ethnicgroup/Soussou/	http://www.semwebtech.org/mondial/10/country/RG/	20
3441d4f:1508ad97479:-68a8	http://www.semwebtech.org/mondial/10/ethnicgroup/Franco-Mauritian/	http://www.semwebtech.org/mondial/10/country/MS/	2
3441d4f:1508ad97479:-6aaa	http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	http://www.semwebtech.org/mondial/10/country/NL/	2.4
3441d4f:1508ad97479:-69d3	http://www.semwebtech.org/mondial/10/ethnicgroup/European-CaribbeanAmerindian/	http://www.semwebtech.org/mondial/10/country/ARU/	80
3441d4f:1508ad97479:-6af5	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	http://www.semwebtech.org/mondial/10/country/A/	0.9
3441d4f:1508ad97479:-6a51	http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	http://www.semwebtech.org/mondial/10/country/UZB/	3
3441d4f:1508ad97479:-6a14	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/KGZ/	12.5
3441d4f:1508ad97479:-69fd	http://www.semwebtech.org/mondial/10/ethnicgroup/Sundanese/	http://www.semwebtech.org/mondial/10/country/RI/	14
3441d4f:1508ad97479:-6a7b	http://www.semwebtech.org/mondial/10/ethnicgroup/Celt/	http://www.semwebtech.org/mondial/10/country/IS/	100
3441d4f:1508ad97479:-691c	http://www.semwebtech.org/mondial/10/ethnicgroup/Djerma/	http://www.semwebtech.org/mondial/10/country/RN/	22
3441d4f:1508ad97479:-6a3e	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/MYA/	3
3441d4f:1508ad97479:-6b02	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	http://www.semwebtech.org/mondial/10/country/KOS/	92
3441d4f:1508ad97479:-6967	http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	http://www.semwebtech.org/mondial/10/country/NCA/	1.4
3441d4f:1508ad97479:-6a89	http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	http://www.semwebtech.org/mondial/10/country/EW/	0.8
3441d4f:1508ad97479:-68d6	http://www.semwebtech.org/mondial/10/ethnicgroup/Tigraway/	http://www.semwebtech.org/mondial/10/country/ETH/	6.1
3441d4f:1508ad97479:-69c4	http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	http://www.semwebtech.org/mondial/10/country/BERM/	6.4
3441d4f:1508ad97479:-6920	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	http://www.semwebtech.org/mondial/10/country/MA/	0.2
3441d4f:1508ad97479:-6ae6	http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	http://www.semwebtech.org/mondial/10/country/H/	0.7
3441d4f:1508ad97479:-6a42	http://www.semwebtech.org/mondial/10/ethnicgroup/Bahraini/	http://www.semwebtech.org/mondial/10/country/BRN/	63
3441d4f:1508ad97479:-6aa9	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	http://www.semwebtech.org/mondial/10/country/NL/	2.2
3441d4f:1508ad97479:-6a05	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	http://www.semwebtech.org/mondial/10/country/CY/	18
3441d4f:1508ad97479:-69ee	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	http://www.semwebtech.org/mondial/10/country/SYR/	90.3
3441d4f:1508ad97479:-694a	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	http://www.semwebtech.org/mondial/10/country/BOL/	30
3441d4f:1508ad97479:-6a6c	http://www.semwebtech.org/mondial/10/ethnicgroup/NorthernIrish/	http://www.semwebtech.org/mondial/10/country/GB/	2.9
3441d4f:1508ad97479:-690d	http://www.semwebtech.org/mondial/10/ethnicgroup/Mossi/	http://www.semwebtech.org/mondial/10/country/BF/	24
3441d4f:1508ad97479:-6a2f	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	http://www.semwebtech.org/mondial/10/country/MAL/	7.1
3441d4f:1508ad97479:-6995	http://www.semwebtech.org/mondial/10/ethnicgroup/Greenlander/	http://www.semwebtech.org/mondial/10/country/GROX/	86
3441d4f:1508ad97479:-6958	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/SLB/	0.8
3441d4f:1508ad97479:-68c7	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/WAG/	99
3441d4f:1508ad97479:-69f2	http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	http://www.semwebtech.org/mondial/10/country/KWT/	9
3441d4f:1508ad97479:-6a70	http://www.semwebtech.org/mondial/10/ethnicgroup/RussianUkrainian/	http://www.semwebtech.org/mondial/10/country/SVAX/	44.3
3441d4f:1508ad97479:-69b5	http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	http://www.semwebtech.org/mondial/10/country/CAYM/	40
3441d4f:1508ad97479:-6911	http://www.semwebtech.org/mondial/10/ethnicgroup/Mangbetu-Azande/	http://www.semwebtech.org/mondial/10/country/ZRE/	45
3441d4f:1508ad97479:-6ad7	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	http://www.semwebtech.org/mondial/10/country/CH/	65
3441d4f:1508ad97479:-6a33	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/BRU/	20
3441d4f:1508ad97479:-6a9a	http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	http://www.semwebtech.org/mondial/10/country/BG/	2.5
3441d4f:1508ad97479:-69df	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	http://www.semwebtech.org/mondial/10/country/SGP/	6.4
3441d4f:1508ad97479:-693b	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	http://www.semwebtech.org/mondial/10/country/FGU/	12
3441d4f:1508ad97479:-6a5d	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	http://www.semwebtech.org/mondial/10/country/IR/	2
3441d4f:1508ad97479:-68aa	http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Mauritian/	http://www.semwebtech.org/mondial/10/country/MS/	68
3441d4f:1508ad97479:-6986	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	http://www.semwebtech.org/mondial/10/country/PR/	80.2
3441d4f:1508ad97479:-6949	http://www.semwebtech.org/mondial/10/ethnicgroup/Aymara/	http://www.semwebtech.org/mondial/10/country/BOL/	25
3441d4f:1508ad97479:-68f5	http://www.semwebtech.org/mondial/10/ethnicgroup/Kirdi/	http://www.semwebtech.org/mondial/10/country/CAM/	11
3441d4f:1508ad97479:-68b8	http://www.semwebtech.org/mondial/10/ethnicgroup/Karamojong/	http://www.semwebtech.org/mondial/10/country/EAU/	12
3441d4f:1508ad97479:-6b0e	http://www.semwebtech.org/mondial/10/ethnicgroup/Gypsy/	http://www.semwebtech.org/mondial/10/country/MK/	2.7
3441d4f:1508ad97479:-6aba	http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	http://www.semwebtech.org/mondial/10/country/UA/	0.3
3441d4f:1508ad97479:-69e3	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	http://www.semwebtech.org/mondial/10/country/Q/	18
3441d4f:1508ad97479:-6a61	http://www.semwebtech.org/mondial/10/ethnicgroup/Baloch/	http://www.semwebtech.org/mondial/10/country/IR/	2
3441d4f:1508ad97479:-69a6	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	http://www.semwebtech.org/mondial/10/country/C/	12
3441d4f:1508ad97479:-6902	http://www.semwebtech.org/mondial/10/ethnicgroup/Baoule/	http://www.semwebtech.org/mondial/10/country/CI/	23
3441d4f:1508ad97479:-6ac8	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	http://www.semwebtech.org/mondial/10/country/LT/	6.1
3441d4f:1508ad97479:-6a24	http://www.semwebtech.org/mondial/10/ethnicgroup/Viet-Kinh/	http://www.semwebtech.org/mondial/10/country/VN/	85.7
3441d4f:1508ad97479:-692c	http://www.semwebtech.org/mondial/10/ethnicgroup/Christian/	http://www.semwebtech.org/mondial/10/country/FALK/	67.2
3441d4f:1508ad97479:-6a4e	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	http://www.semwebtech.org/mondial/10/country/ARM/	97.7
3441d4f:1508ad97479:-6b12	http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	http://www.semwebtech.org/mondial/10/country/GR/	93
3441d4f:1508ad97479:-6977	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	http://www.semwebtech.org/mondial/10/country/AUS/	7
3441d4f:1508ad97479:-6a99	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/BG/	0.2
3441d4f:1508ad97479:-68e6	http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	http://www.semwebtech.org/mondial/10/country/RG/	40
3441d4f:1508ad97479:-68a9	http://www.semwebtech.org/mondial/10/ethnicgroup/Sino-Mauritian/	http://www.semwebtech.org/mondial/10/country/MS/	3
3441d4f:1508ad97479:-6aab	http://www.semwebtech.org/mondial/10/ethnicgroup/Dutch/	http://www.semwebtech.org/mondial/10/country/NL/	80.7
3441d4f:1508ad97479:-69d4	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	http://www.semwebtech.org/mondial/10/country/AXA/	3.7
3441d4f:1508ad97479:-6930	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	http://www.semwebtech.org/mondial/10/country/EC/	65
3441d4f:1508ad97479:-6af6	http://www.semwebtech.org/mondial/10/ethnicgroup/Serbs/	http://www.semwebtech.org/mondial/10/country/A/	2
3441d4f:1508ad97479:-6a52	http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	http://www.semwebtech.org/mondial/10/country/UZB/	5
3441d4f:1508ad97479:-6ab9	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	http://www.semwebtech.org/mondial/10/country/UA/	0.3
3441d4f:1508ad97479:-6a15	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	http://www.semwebtech.org/mondial/10/country/KGZ/	13.8
3441d4f:1508ad97479:-69fe	http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	http://www.semwebtech.org/mondial/10/country/RI/	45
3441d4f:1508ad97479:-695a	http://www.semwebtech.org/mondial/10/ethnicgroup/Bounty/	http://www.semwebtech.org/mondial/10/country/PITC/	100
3441d4f:1508ad97479:-6a7c	http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	http://www.semwebtech.org/mondial/10/country/GBG/	100
3441d4f:1508ad97479:-691d	http://www.semwebtech.org/mondial/10/ethnicgroup/Hausa/	http://www.semwebtech.org/mondial/10/country/RN/	56
3441d4f:1508ad97479:-6a3f	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	http://www.semwebtech.org/mondial/10/country/MYA/	2
3441d4f:1508ad97479:-6b03	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	http://www.semwebtech.org/mondial/10/country/MNE/	5
3441d4f:1508ad97479:-6968	http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	http://www.semwebtech.org/mondial/10/country/NAU/	26
3441d4f:1508ad97479:-68d7	http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	http://www.semwebtech.org/mondial/10/country/ETH/	6.2
3441d4f:1508ad97479:-6a80	http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	http://www.semwebtech.org/mondial/10/country/S/	5
3441d4f:1508ad97479:-69c5	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	http://www.semwebtech.org/mondial/10/country/BERM/	34.1
3441d4f:1508ad97479:-6921	http://www.semwebtech.org/mondial/10/ethnicgroup/BlackMaur/	http://www.semwebtech.org/mondial/10/country/RIM/	40
3441d4f:1508ad97479:-6ae7	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	http://www.semwebtech.org/mondial/10/country/H/	0.8
3441d4f:1508ad97479:-6a43	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	http://www.semwebtech.org/mondial/10/country/BRN/	13
3441d4f:1508ad97479:-69ef	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Asian/	http://www.semwebtech.org/mondial/10/country/SA/	10
3441d4f:1508ad97479:-6a06	http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	http://www.semwebtech.org/mondial/10/country/CY/	77
3441d4f:1508ad97479:-694b	http://www.semwebtech.org/mondial/10/ethnicgroup/Quechua/	http://www.semwebtech.org/mondial/10/country/BOL/	30
3441d4f:1508ad97479:-6a6d	http://www.semwebtech.org/mondial/10/ethnicgroup/Welsh/	http://www.semwebtech.org/mondial/10/country/GB/	4.9
3441d4f:1508ad97479:-690e	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/BEN/	99
3441d4f:1508ad97479:-68ba	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	http://www.semwebtech.org/mondial/10/country/EAU/	1
3441d4f:1508ad97479:-6996	http://www.semwebtech.org/mondial/10/ethnicgroup/Danish/	http://www.semwebtech.org/mondial/10/country/GROX/	14
3441d4f:1508ad97479:-6aa0	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	http://www.semwebtech.org/mondial/10/country/HR/	0.5
3441d4f:1508ad97479:-6959	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	http://www.semwebtech.org/mondial/10/country/SLB/	0.3
3441d4f:1508ad97479:-68c8	http://www.semwebtech.org/mondial/10/ethnicgroup/Meru/	http://www.semwebtech.org/mondial/10/country/EAK/	6
3441d4f:1508ad97479:-6aca	http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	http://www.semwebtech.org/mondial/10/country/LV/	1.3
3441d4f:1508ad97479:-69f3	http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	http://www.semwebtech.org/mondial/10/country/KWT/	4
3441d4f:1508ad97479:-6a71	http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	http://www.semwebtech.org/mondial/10/country/SVAX/	55.4
3441d4f:1508ad97479:-69b6	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	http://www.semwebtech.org/mondial/10/country/CAYM/	20
3441d4f:1508ad97479:-6912	http://www.semwebtech.org/mondial/10/ethnicgroup/Bakongo/	http://www.semwebtech.org/mondial/10/country/ANG/	13
3441d4f:1508ad97479:-6ad8	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	http://www.semwebtech.org/mondial/10/country/SLO/	1
3441d4f:1508ad97479:-6a34	http://www.semwebtech.org/mondial/10/ethnicgroup/Nepalese/	http://www.semwebtech.org/mondial/10/country/BHT/	35
3441d4f:1508ad97479:-6a9b	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	http://www.semwebtech.org/mondial/10/country/BG/	4.4
3441d4f:1508ad97479:-693c	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/PE/	15
3441d4f:1508ad97479:-6a62	http://www.semwebtech.org/mondial/10/ethnicgroup/Persian/	http://www.semwebtech.org/mondial/10/country/IR/	51
3441d4f:1508ad97479:-69a7	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	http://www.semwebtech.org/mondial/10/country/C/	12
3441d4f:1508ad97479:-6903	http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	http://www.semwebtech.org/mondial/10/country/CI/	11
3441d4f:1508ad97479:-6ac9	http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	http://www.semwebtech.org/mondial/10/country/LT/	84
3441d4f:1508ad97479:-6a25	http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	http://www.semwebtech.org/mondial/10/country/K/	5
3441d4f:1508ad97479:-696a	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	http://www.semwebtech.org/mondial/10/country/NAU/	8
3441d4f:1508ad97479:-6a8c	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	http://www.semwebtech.org/mondial/10/country/EW/	25.6
3441d4f:1508ad97479:-692d	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	http://www.semwebtech.org/mondial/10/country/EC/	3
\.


--
-- TOC entry 5926 (class 0 OID 90088)
-- Dependencies: 696
-- Data for Name: Female; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Female" ("URI", "hasMother", "hasFather", onlyfemaleprop) FROM stdin;
\.


--
-- TOC entry 5927 (class 0 OID 90094)
-- Dependencies: 697
-- Data for Name: GeographicalNonPoliticalThing; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "GeographicalNonPoliticalThing" ("URI") FROM stdin;
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/
http://www.semwebtech.org/mondial/10/mountain/Rinjani/
http://www.semwebtech.org/mondial/10/mountain/Damavand/
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/
http://www.semwebtech.org/mondial/10/mountain/Etna/
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/
http://www.semwebtech.org/mondial/10/mountain/Tambora/
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/
http://www.semwebtech.org/mondial/10/mountain/MtAdams/
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/
http://www.semwebtech.org/mondial/10/mountain/Irazu/
http://www.semwebtech.org/mondial/10/mountain/Tupungato/
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/
http://www.semwebtech.org/mondial/10/mountain/Vesuv/
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/
http://www.semwebtech.org/mondial/10/mountain/Meru/
http://www.semwebtech.org/mondial/10/mountain/Haleakala/
http://www.semwebtech.org/mondial/10/mountain/Tamgak/
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/
http://www.semwebtech.org/mondial/10/mountain/Elbrus/
http://www.semwebtech.org/mondial/10/mountain/Soufriere/
http://www.semwebtech.org/mondial/10/mountain/Merapi/
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/
http://www.semwebtech.org/mondial/10/mountain/Pulog/
http://www.semwebtech.org/mondial/10/mountain/Fogo/
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/
http://www.semwebtech.org/mondial/10/mountain/Andringitra/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/
http://www.semwebtech.org/mondial/10/mountain/Snaefell/
http://www.semwebtech.org/mondial/10/mountain/Coropuna/
http://www.semwebtech.org/mondial/10/mountain/Hekla/
http://www.semwebtech.org/mondial/10/mountain/MtRainier/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/
http://www.semwebtech.org/mondial/10/mountain/Karthala/
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/
http://www.semwebtech.org/mondial/10/mountain/Elgon/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/
http://www.semwebtech.org/mondial/10/mountain/MountKenia/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/
http://www.semwebtech.org/mondial/10/mountain/Krakatau/
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/
http://www.semwebtech.org/mondial/10/mountain/MountApo/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/
http://www.semwebtech.org/mondial/10/mountain/Leuser/
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/
http://www.semwebtech.org/mondial/10/mountain/Pico/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/
http://www.semwebtech.org/mondial/10/mountain/Concepcion/
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/
http://www.semwebtech.org/mondial/10/mountain/Fako/
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/
http://www.semwebtech.org/mondial/10/mountain/Ampato/
http://www.semwebtech.org/mondial/10/mountain/Tahat/
http://www.semwebtech.org/mondial/10/mountain/Silisili/
http://www.semwebtech.org/mondial/10/mountain/Sajama/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/
http://www.semwebtech.org/mondial/10/mountain/Pelee/
http://www.semwebtech.org/mondial/10/mountain/Cayambe/
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/
http://www.semwebtech.org/mondial/10/mountain/Semeru/
http://www.semwebtech.org/mondial/10/mountain/MtHood/
http://www.semwebtech.org/mondial/10/mountain/Kerinci/
http://www.semwebtech.org/mondial/10/mountain/Katla/
http://www.semwebtech.org/mondial/10/mountain/Ararat/
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/
http://www.semwebtech.org/mondial/10/source/Goetaaelv/
http://www.semwebtech.org/mondial/10/source/Jubba/
http://www.semwebtech.org/mondial/10/source/Huallaga/
http://www.semwebtech.org/mondial/10/source/Rhein/
http://www.semwebtech.org/mondial/10/source/Po/
http://www.semwebtech.org/mondial/10/source/Chire/
http://www.semwebtech.org/mondial/10/source/Waag/
http://www.semwebtech.org/mondial/10/source/Fulda/
http://www.semwebtech.org/mondial/10/source/Mississippi/
http://www.semwebtech.org/mondial/10/source/Jangtse/
http://www.semwebtech.org/mondial/10/source/Ischim/
http://www.semwebtech.org/mondial/10/source/Fimi/
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/source/Alz/
http://www.semwebtech.org/mondial/10/source/Limpopo/
http://www.semwebtech.org/mondial/10/source/SchattalArab/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/
http://www.semwebtech.org/mondial/10/source/Umeaelv/
http://www.semwebtech.org/mondial/10/source/RioMagdalena/
http://www.semwebtech.org/mondial/10/source/Benue/
http://www.semwebtech.org/mondial/10/source/Marne/
http://www.semwebtech.org/mondial/10/source/Lukenie/
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/source/Apurimac/
http://www.semwebtech.org/mondial/10/source/Breg/
http://www.semwebtech.org/mondial/10/source/Mekong/
http://www.semwebtech.org/mondial/10/source/BlueNile/
http://www.semwebtech.org/mondial/10/source/Gambia/
http://www.semwebtech.org/mondial/10/source/Karasu/
http://www.semwebtech.org/mondial/10/source/Petschora/
http://www.semwebtech.org/mondial/10/source/Asahan/
http://www.semwebtech.org/mondial/10/source/Seine/
http://www.semwebtech.org/mondial/10/source/Brahmaputra/
http://www.semwebtech.org/mondial/10/source/MurrayRiver/
http://www.semwebtech.org/mondial/10/source/Doubs/
http://www.semwebtech.org/mondial/10/source/Aare/
http://www.semwebtech.org/mondial/10/source/Argun/
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/
http://www.semwebtech.org/mondial/10/source/Syrdarja/
http://www.semwebtech.org/mondial/10/source/Jenissej/
http://www.semwebtech.org/mondial/10/source/Newa/
http://www.semwebtech.org/mondial/10/source/Save/
http://www.semwebtech.org/mondial/10/source/Buna/
http://www.semwebtech.org/mondial/10/source/Parana/
http://www.semwebtech.org/mondial/10/source/Saluen/
http://www.semwebtech.org/mondial/10/source/Lukuga/
http://www.semwebtech.org/mondial/10/source/SouthernMorava/
http://www.semwebtech.org/mondial/10/source/Katun/
http://www.semwebtech.org/mondial/10/source/Irawaddy/
http://www.semwebtech.org/mondial/10/source/WhiteNile/
http://www.semwebtech.org/mondial/10/source/Ene/
http://www.semwebtech.org/mondial/10/source/March/
http://www.semwebtech.org/mondial/10/source/Jordan/
http://www.semwebtech.org/mondial/10/source/Vaal/
http://www.semwebtech.org/mondial/10/source/Murat/
http://www.semwebtech.org/mondial/10/source/Ruzizi/
http://www.semwebtech.org/mondial/10/source/Enns/
http://www.semwebtech.org/mondial/10/source/Selenge/
http://www.semwebtech.org/mondial/10/source/Senegal/
http://www.semwebtech.org/mondial/10/source/Akagera/
http://www.semwebtech.org/mondial/10/source/NelsonRiver/
http://www.semwebtech.org/mondial/10/source/Saar/
http://www.semwebtech.org/mondial/10/source/Orinoco/
http://www.semwebtech.org/mondial/10/source/Lulua/
http://www.semwebtech.org/mondial/10/source/Manicouagan/
http://www.semwebtech.org/mondial/10/source/Amazonas/
http://www.semwebtech.org/mondial/10/source/Ganges/
http://www.semwebtech.org/mondial/10/source/Dnjestr/
http://www.semwebtech.org/mondial/10/source/Isere/
http://www.semwebtech.org/mondial/10/source/Kemijoki/
http://www.semwebtech.org/mondial/10/source/Cuilo/
http://www.semwebtech.org/mondial/10/source/Okavango/
http://www.semwebtech.org/mondial/10/source/Pjandsh/
http://www.semwebtech.org/mondial/10/source/Kama/
http://www.semwebtech.org/mondial/10/source/Tambo/
http://www.semwebtech.org/mondial/10/source/Lech/
http://www.semwebtech.org/mondial/10/source/Douro/
http://www.semwebtech.org/mondial/10/source/Oulujoki/
http://www.semwebtech.org/mondial/10/source/Chatanga/
http://www.semwebtech.org/mondial/10/source/Donau/
http://www.semwebtech.org/mondial/10/source/Volta/
http://www.semwebtech.org/mondial/10/source/Oder/
http://www.semwebtech.org/mondial/10/source/Limmat/
http://www.semwebtech.org/mondial/10/source/Bartang/
http://www.semwebtech.org/mondial/10/source/Vuoksi/
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/
http://www.semwebtech.org/mondial/10/source/Bomu/
http://www.semwebtech.org/mondial/10/source/RioMamore/
http://www.semwebtech.org/mondial/10/source/Euphrat/
http://www.semwebtech.org/mondial/10/source/Moraca/
http://www.semwebtech.org/mondial/10/source/Oranje/
http://www.semwebtech.org/mondial/10/source/Theiss/
http://www.semwebtech.org/mondial/10/source/Main/
http://www.semwebtech.org/mondial/10/source/Murgab/
http://www.semwebtech.org/mondial/10/source/Uelle/
http://www.semwebtech.org/mondial/10/source/Ural/
http://www.semwebtech.org/mondial/10/source/Suchona/
http://www.semwebtech.org/mondial/10/source/Olt/
http://www.semwebtech.org/mondial/10/source/Klaraelv/
http://www.semwebtech.org/mondial/10/source/Amur/
http://www.semwebtech.org/mondial/10/source/Kwa/
http://www.semwebtech.org/mondial/10/source/Weichsel/
http://www.semwebtech.org/mondial/10/source/Schari/
http://www.semwebtech.org/mondial/10/source/Semliki/
http://www.semwebtech.org/mondial/10/source/Dalaelv/
http://www.semwebtech.org/mondial/10/source/Lualaba/
http://www.semwebtech.org/mondial/10/source/Hwangho/
http://www.semwebtech.org/mondial/10/source/OhioRiver/
http://www.semwebtech.org/mondial/10/source/Niger/
http://www.semwebtech.org/mondial/10/source/Mur/
http://www.semwebtech.org/mondial/10/source/Raab/
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/
http://www.semwebtech.org/mondial/10/source/Shabelle/
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/
http://www.semwebtech.org/mondial/10/source/Dnister/
http://www.semwebtech.org/mondial/10/source/Kolyma/
http://www.semwebtech.org/mondial/10/source/Don/
http://www.semwebtech.org/mondial/10/source/Moldau/
http://www.semwebtech.org/mondial/10/source/VictoriaNile/
http://www.semwebtech.org/mondial/10/source/Urubamba/
http://www.semwebtech.org/mondial/10/source/Naryn/
http://www.semwebtech.org/mondial/10/source/RioLerma/
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/
http://www.semwebtech.org/mondial/10/source/Aller/
http://www.semwebtech.org/mondial/10/source/Baro/
http://www.semwebtech.org/mondial/10/source/Guadalquivir/
http://www.semwebtech.org/mondial/10/source/Kura/
http://www.semwebtech.org/mondial/10/source/Drin/
http://www.semwebtech.org/mondial/10/source/Busira/
http://www.semwebtech.org/mondial/10/source/Elbe/
http://www.semwebtech.org/mondial/10/source/Maas/
http://www.semwebtech.org/mondial/10/source/Tigris/
http://www.semwebtech.org/mondial/10/source/Nile/
http://www.semwebtech.org/mondial/10/source/Inn/
http://www.semwebtech.org/mondial/10/source/Kymijoki/
http://www.semwebtech.org/mondial/10/source/Paatsjoki/
http://www.semwebtech.org/mondial/10/source/Cuango/
http://www.semwebtech.org/mondial/10/source/Narew/
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/
http://www.semwebtech.org/mondial/10/source/Atbara/
http://www.semwebtech.org/mondial/10/source/Kasai/
http://www.semwebtech.org/mondial/10/source/Drina/
http://www.semwebtech.org/mondial/10/source/Tshuapa/
http://www.semwebtech.org/mondial/10/source/Saone/
http://www.semwebtech.org/mondial/10/source/Maranon/
http://www.semwebtech.org/mondial/10/source/Arno/
http://www.semwebtech.org/mondial/10/source/Ruki/
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/source/Ebro/
http://www.semwebtech.org/mondial/10/source/Thames/
http://www.semwebtech.org/mondial/10/source/Ticino/
http://www.semwebtech.org/mondial/10/source/Guadiana/
http://www.semwebtech.org/mondial/10/source/Ili/
http://www.semwebtech.org/mondial/10/source/Luapula/
http://www.semwebtech.org/mondial/10/source/BlackDrin/
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/source/Etsch/
http://www.semwebtech.org/mondial/10/source/Tiber/
http://www.semwebtech.org/mondial/10/source/Mosel/
http://www.semwebtech.org/mondial/10/source/Werra/
http://www.semwebtech.org/mondial/10/source/HudsonRiver/
http://www.semwebtech.org/mondial/10/source/Swir/
http://www.semwebtech.org/mondial/10/source/Sanga/
http://www.semwebtech.org/mondial/10/source/WhiteDrin/
http://www.semwebtech.org/mondial/10/source/DarlingRiver/
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/
http://www.semwebtech.org/mondial/10/source/Glomma/
http://www.semwebtech.org/mondial/10/source/Dnepr/
http://www.semwebtech.org/mondial/10/source/RioMadeira/
http://www.semwebtech.org/mondial/10/source/Arkansas/
http://www.semwebtech.org/mondial/10/source/Ucayali/
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/
http://www.semwebtech.org/mondial/10/source/Morava/
http://www.semwebtech.org/mondial/10/source/Narva/
http://www.semwebtech.org/mondial/10/source/RioSanJuan/
http://www.semwebtech.org/mondial/10/source/Missouri/
http://www.semwebtech.org/mondial/10/source/Tajo/
http://www.semwebtech.org/mondial/10/source/Volga/
http://www.semwebtech.org/mondial/10/source/Araguaia/
http://www.semwebtech.org/mondial/10/source/Angara/
http://www.semwebtech.org/mondial/10/source/Schilka/
http://www.semwebtech.org/mondial/10/source/Brigach/
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/source/Thjorsa/
http://www.semwebtech.org/mondial/10/source/Lagen/
http://www.semwebtech.org/mondial/10/source/Neckar/
http://www.semwebtech.org/mondial/10/source/Mantaro/
http://www.semwebtech.org/mondial/10/source/Pibor/
http://www.semwebtech.org/mondial/10/source/Oka/
http://www.semwebtech.org/mondial/10/source/Ob/
http://www.semwebtech.org/mondial/10/source/Garonne/
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/source/Sanaga/
http://www.semwebtech.org/mondial/10/source/Ubangi/
http://www.semwebtech.org/mondial/10/source/Amudarja/
http://www.semwebtech.org/mondial/10/source/Salzach/
http://www.semwebtech.org/mondial/10/source/Pruth/
http://www.semwebtech.org/mondial/10/source/Uruguay/
http://www.semwebtech.org/mondial/10/source/Sobat/
http://www.semwebtech.org/mondial/10/source/Tobol/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/
http://www.semwebtech.org/mondial/10/source/Drau/
http://www.semwebtech.org/mondial/10/source/Ammer/
http://www.semwebtech.org/mondial/10/source/Tennessee/
http://www.semwebtech.org/mondial/10/source/Perene/
http://www.semwebtech.org/mondial/10/source/Piva/
http://www.semwebtech.org/mondial/10/source/SnowyRiver/
http://www.semwebtech.org/mondial/10/source/Indus/
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/source/Colorado/
http://www.semwebtech.org/mondial/10/source/Iller/
http://www.semwebtech.org/mondial/10/source/Zambezi/
http://www.semwebtech.org/mondial/10/source/YukonRiver/
http://www.semwebtech.org/mondial/10/source/Rhone/
http://www.semwebtech.org/mondial/10/source/Karun/
http://www.semwebtech.org/mondial/10/source/Würm/
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/
http://www.semwebtech.org/mondial/10/source/Tocantins/
http://www.semwebtech.org/mondial/10/source/Zaire/
http://www.semwebtech.org/mondial/10/source/Aruwimi/
http://www.semwebtech.org/mondial/10/source/Lena/
http://www.semwebtech.org/mondial/10/source/Reuss/
http://www.semwebtech.org/mondial/10/source/WesternMorava/
http://www.semwebtech.org/mondial/10/source/NorthernDwina/
http://www.semwebtech.org/mondial/10/source/WesternBug/
http://www.semwebtech.org/mondial/10/source/Paraguay/
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/
http://www.semwebtech.org/mondial/10/source/Mincio/
http://www.semwebtech.org/mondial/10/source/Isar/
http://www.semwebtech.org/mondial/10/source/Prypjat/
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/
http://www.semwebtech.org/mondial/10/source/Weser/
http://www.semwebtech.org/mondial/10/source/Loire/
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/
http://www.semwebtech.org/mondial/10/source/Tara/
http://www.semwebtech.org/mondial/10/source/Lomami/
http://www.semwebtech.org/mondial/10/source/RioGrande/
http://www.semwebtech.org/mondial/10/source/WesternDwina/
http://www.semwebtech.org/mondial/10/source/Luvua/
http://www.semwebtech.org/mondial/10/source/Adda/
http://www.semwebtech.org/mondial/10/source/RioNegro/
http://www.semwebtech.org/mondial/10/source/Ounasjoki/
http://www.semwebtech.org/mondial/10/source/Leine/
http://www.semwebtech.org/mondial/10/source/Bani/
http://www.semwebtech.org/mondial/10/source/Irtysch/
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/
http://www.semwebtech.org/mondial/10/mountain/Zhima/
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/
http://www.semwebtech.org/mondial/10/mountain/BenNevis/
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/
http://www.semwebtech.org/mondial/10/mountain/Tahan/
http://www.semwebtech.org/mondial/10/mountain/Joekul/
http://www.semwebtech.org/mondial/10/mountain/TirichMir/
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/
http://www.semwebtech.org/mondial/10/mountain/MtBona/
http://www.semwebtech.org/mondial/10/mountain/Kongur/
http://www.semwebtech.org/mondial/10/mountain/Feldberg/
http://www.semwebtech.org/mondial/10/mountain/Manaslu/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/
http://www.semwebtech.org/mondial/10/mountain/MtWashington/
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/
http://www.semwebtech.org/mondial/10/mountain/Musala/
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/
http://www.semwebtech.org/mondial/10/mountain/GranSasso/
http://www.semwebtech.org/mondial/10/mountain/Brocken/
http://www.semwebtech.org/mondial/10/mountain/Korab/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/
http://www.semwebtech.org/mondial/10/mountain/Glittertind/
http://www.semwebtech.org/mondial/10/mountain/Schchara/
http://www.semwebtech.org/mondial/10/mountain/Illampu/
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/
http://www.semwebtech.org/mondial/10/mountain/Annapurna/
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/
http://www.semwebtech.org/mondial/10/mountain/AsoRock/
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/
http://www.semwebtech.org/mondial/10/mountain/Dychtau/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/
http://www.semwebtech.org/mondial/10/mountain/Jezerce/
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/
http://www.semwebtech.org/mondial/10/mountain/MtElbert/
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/
http://www.semwebtech.org/mondial/10/mountain/Athos/
http://www.semwebtech.org/mondial/10/mountain/Makalu/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/
http://www.semwebtech.org/mondial/10/mountain/Illimani/
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/
http://www.semwebtech.org/mondial/10/mountain/Muztagata/
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/
http://www.semwebtech.org/mondial/10/mountain/Uluru/
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/
http://www.semwebtech.org/mondial/10/mountain/Ausangate/
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/
http://www.semwebtech.org/mondial/10/mountain/Olympos/
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/
http://www.semwebtech.org/mondial/10/mountain/Olymp/
http://www.semwebtech.org/mondial/10/mountain/MtRobson/
http://www.semwebtech.org/mondial/10/mountain/Kailash/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/
http://www.semwebtech.org/mondial/10/mountain/YuShan/
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/
http://www.semwebtech.org/mondial/10/mountain/K2/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/
http://www.semwebtech.org/mondial/10/mountain/MtLogan/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/
http://www.semwebtech.org/mondial/10/mountain/Huascaran/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/
http://www.semwebtech.org/mondial/10/estuary/Argun/
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/
http://www.semwebtech.org/mondial/10/estuary/Oranje/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/
http://www.semwebtech.org/mondial/10/estuary/Theiss/
http://www.semwebtech.org/mondial/10/estuary/Don/
http://www.semwebtech.org/mondial/10/estuary/Missouri/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/
http://www.semwebtech.org/mondial/10/estuary/Sanga/
http://www.semwebtech.org/mondial/10/estuary/Mincio/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/
http://www.semwebtech.org/mondial/10/estuary/Breg/
http://www.semwebtech.org/mondial/10/estuary/Dnepr/
http://www.semwebtech.org/mondial/10/estuary/Schari/
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/
http://www.semwebtech.org/mondial/10/estuary/Inn/
http://www.semwebtech.org/mondial/10/estuary/Lomami/
http://www.semwebtech.org/mondial/10/estuary/Bartang/
http://www.semwebtech.org/mondial/10/estuary/Amudarja/
http://www.semwebtech.org/mondial/10/estuary/Volga/
http://www.semwebtech.org/mondial/10/estuary/Lagen/
http://www.semwebtech.org/mondial/10/estuary/Tennessee/
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/
http://www.semwebtech.org/mondial/10/estuary/Pibor/
http://www.semwebtech.org/mondial/10/estuary/Save/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/
http://www.semwebtech.org/mondial/10/estuary/Buna/
http://www.semwebtech.org/mondial/10/estuary/Tajo/
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/
http://www.semwebtech.org/mondial/10/estuary/Cuilo/
http://www.semwebtech.org/mondial/10/estuary/Ili/
http://www.semwebtech.org/mondial/10/estuary/Sobat/
http://www.semwebtech.org/mondial/10/estuary/Tobol/
http://www.semwebtech.org/mondial/10/estuary/Tigris/
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/
http://www.semwebtech.org/mondial/10/estuary/Lualaba/
http://www.semwebtech.org/mondial/10/estuary/Hwangho/
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/
http://www.semwebtech.org/mondial/10/estuary/Irtysch/
http://www.semwebtech.org/mondial/10/estuary/Douro/
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/
http://www.semwebtech.org/mondial/10/estuary/Tocantins/
http://www.semwebtech.org/mondial/10/estuary/Vaal/
http://www.semwebtech.org/mondial/10/estuary/Ammer/
http://www.semwebtech.org/mondial/10/estuary/Chatanga/
http://www.semwebtech.org/mondial/10/estuary/Enns/
http://www.semwebtech.org/mondial/10/estuary/Atbara/
http://www.semwebtech.org/mondial/10/estuary/Dnister/
http://www.semwebtech.org/mondial/10/estuary/Saar/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/
http://www.semwebtech.org/mondial/10/estuary/Drau/
http://www.semwebtech.org/mondial/10/estuary/Ticino/
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/
http://www.semwebtech.org/mondial/10/estuary/Rhone/
http://www.semwebtech.org/mondial/10/estuary/Karun/
http://www.semwebtech.org/mondial/10/estuary/Limpopo/
http://www.semwebtech.org/mondial/10/estuary/Kama/
http://www.semwebtech.org/mondial/10/estuary/Zaire/
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/
http://www.semwebtech.org/mondial/10/estuary/Uelle/
http://www.semwebtech.org/mondial/10/estuary/Mekong/
http://www.semwebtech.org/mondial/10/estuary/Lech/
http://www.semwebtech.org/mondial/10/estuary/RioNegro/
http://www.semwebtech.org/mondial/10/estuary/Gambia/
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/
http://www.semwebtech.org/mondial/10/estuary/Karasu/
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/
http://www.semwebtech.org/mondial/10/estuary/Oka/
http://www.semwebtech.org/mondial/10/estuary/Loire/
http://www.semwebtech.org/mondial/10/estuary/Lukenie/
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/
http://www.semwebtech.org/mondial/10/estuary/Oder/
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/
http://www.semwebtech.org/mondial/10/estuary/Niger/
http://www.semwebtech.org/mondial/10/estuary/Maranon/
http://www.semwebtech.org/mondial/10/estuary/Glomma/
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/
http://www.semwebtech.org/mondial/10/estuary/Bomu/
http://www.semwebtech.org/mondial/10/estuary/Shabelle/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/
http://www.semwebtech.org/mondial/10/estuary/Leine/
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/
http://www.semwebtech.org/mondial/10/estuary/Parana/
http://www.semwebtech.org/mondial/10/estuary/Tara/
http://www.semwebtech.org/mondial/10/estuary/Urubamba/
http://www.semwebtech.org/mondial/10/estuary/Main/
http://www.semwebtech.org/mondial/10/estuary/Naryn/
http://www.semwebtech.org/mondial/10/estuary/RioLerma/
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/estuary/Lukuga/
http://www.semwebtech.org/mondial/10/estuary/Aller/
http://www.semwebtech.org/mondial/10/estuary/Ural/
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/estuary/Adda/
http://www.semwebtech.org/mondial/10/estuary/Amur/
http://www.semwebtech.org/mondial/10/estuary/Jordan/
http://www.semwebtech.org/mondial/10/estuary/Sanaga/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/
http://www.semwebtech.org/mondial/10/estuary/Fulda/
http://www.semwebtech.org/mondial/10/estuary/Raab/
http://www.semwebtech.org/mondial/10/estuary/Ob/
http://www.semwebtech.org/mondial/10/estuary/Narew/
http://www.semwebtech.org/mondial/10/estuary/Petschora/
http://www.semwebtech.org/mondial/10/estuary/BlueNile/
http://www.semwebtech.org/mondial/10/estuary/Waag/
http://www.semwebtech.org/mondial/10/estuary/Perene/
http://www.semwebtech.org/mondial/10/estuary/Ganges/
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/
http://www.semwebtech.org/mondial/10/estuary/Selenge/
http://www.semwebtech.org/mondial/10/estuary/Akagera/
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/estuary/Schilka/
http://www.semwebtech.org/mondial/10/estuary/Benue/
http://www.semwebtech.org/mondial/10/estuary/Brigach/
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/
http://www.semwebtech.org/mondial/10/estuary/Marne/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/
http://www.semwebtech.org/mondial/10/estuary/Baro/
http://www.semwebtech.org/mondial/10/estuary/Etsch/
http://www.semwebtech.org/mondial/10/estuary/Elbe/
http://www.semwebtech.org/mondial/10/estuary/Garonne/
http://www.semwebtech.org/mondial/10/estuary/Maas/
http://www.semwebtech.org/mondial/10/estuary/Werra/
http://www.semwebtech.org/mondial/10/estuary/Nile/
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/
http://www.semwebtech.org/mondial/10/estuary/Jenissej/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/estuary/Salzach/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/
http://www.semwebtech.org/mondial/10/estuary/Limmat/
http://www.semwebtech.org/mondial/10/estuary/Seine/
http://www.semwebtech.org/mondial/10/estuary/WesternBug/
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/
http://www.semwebtech.org/mondial/10/estuary/Arno/
http://www.semwebtech.org/mondial/10/estuary/Ruki/
http://www.semwebtech.org/mondial/10/estuary/Ebro/
http://www.semwebtech.org/mondial/10/estuary/Arkansas/
http://www.semwebtech.org/mondial/10/estuary/Moraca/
http://www.semwebtech.org/mondial/10/estuary/Narva/
http://www.semwebtech.org/mondial/10/estuary/Murgab/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/
http://www.semwebtech.org/mondial/10/estuary/Aare/
http://www.semwebtech.org/mondial/10/estuary/Katun/
http://www.semwebtech.org/mondial/10/estuary/Euphrat/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/
http://www.semwebtech.org/mondial/10/estuary/Alz/
http://www.semwebtech.org/mondial/10/estuary/Newa/
http://www.semwebtech.org/mondial/10/estuary/Swir/
http://www.semwebtech.org/mondial/10/estuary/March/
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/
http://www.semwebtech.org/mondial/10/estuary/Murat/
http://www.semwebtech.org/mondial/10/estuary/Suchona/
http://www.semwebtech.org/mondial/10/estuary/Okavango/
http://www.semwebtech.org/mondial/10/estuary/Pruth/
http://www.semwebtech.org/mondial/10/estuary/Prypjat/
http://www.semwebtech.org/mondial/10/estuary/Mississippi/
http://www.semwebtech.org/mondial/10/estuary/Kolyma/
http://www.semwebtech.org/mondial/10/estuary/Semliki/
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/
http://www.semwebtech.org/mondial/10/estuary/Moldau/
http://www.semwebtech.org/mondial/10/estuary/Po/
http://www.semwebtech.org/mondial/10/estuary/Lulua/
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/
http://www.semwebtech.org/mondial/10/estuary/Ischim/
http://www.semwebtech.org/mondial/10/estuary/Isere/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/
http://www.semwebtech.org/mondial/10/estuary/Busira/
http://www.semwebtech.org/mondial/10/estuary/RioMamore/
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/
http://www.semwebtech.org/mondial/10/estuary/Tambo/
http://www.semwebtech.org/mondial/10/estuary/Indus/
http://www.semwebtech.org/mondial/10/estuary/Colorado/
http://www.semwebtech.org/mondial/10/estuary/Iller/
http://www.semwebtech.org/mondial/10/estuary/Donau/
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/estuary/Cuango/
http://www.semwebtech.org/mondial/10/estuary/Volta/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/
http://www.semwebtech.org/mondial/10/estuary/Reuss/
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/estuary/Thames/
http://www.semwebtech.org/mondial/10/estuary/Ene/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/
http://www.semwebtech.org/mondial/10/estuary/Weichsel/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/
http://www.semwebtech.org/mondial/10/estuary/Asahan/
http://www.semwebtech.org/mondial/10/estuary/Weser/
http://www.semwebtech.org/mondial/10/estuary/Piva/
http://www.semwebtech.org/mondial/10/estuary/Luvua/
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/
http://www.semwebtech.org/mondial/10/estuary/Luapula/
http://www.semwebtech.org/mondial/10/estuary/Würm/
http://www.semwebtech.org/mondial/10/estuary/Saluen/
http://www.semwebtech.org/mondial/10/estuary/Lena/
http://www.semwebtech.org/mondial/10/estuary/Huallaga/
http://www.semwebtech.org/mondial/10/estuary/Jubba/
http://www.semwebtech.org/mondial/10/estuary/Rhein/
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/
http://www.semwebtech.org/mondial/10/estuary/Chire/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/estuary/Isar/
http://www.semwebtech.org/mondial/10/estuary/Morava/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/
http://www.semwebtech.org/mondial/10/estuary/Angara/
http://www.semwebtech.org/mondial/10/estuary/Ucayali/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/
http://www.semwebtech.org/mondial/10/estuary/Neckar/
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/
http://www.semwebtech.org/mondial/10/estuary/Bani/
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/
http://www.semwebtech.org/mondial/10/estuary/Mantaro/
http://www.semwebtech.org/mondial/10/estuary/Kura/
http://www.semwebtech.org/mondial/10/estuary/Drin/
http://www.semwebtech.org/mondial/10/estuary/Kasai/
http://www.semwebtech.org/mondial/10/estuary/Drina/
http://www.semwebtech.org/mondial/10/estuary/Apurimac/
http://www.semwebtech.org/mondial/10/estuary/Saone/
http://www.semwebtech.org/mondial/10/estuary/Olt/
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/
http://www.semwebtech.org/mondial/10/estuary/Kwa/
http://www.semwebtech.org/mondial/10/estuary/Senegal/
http://www.semwebtech.org/mondial/10/estuary/Orinoco/
http://www.semwebtech.org/mondial/10/estuary/Doubs/
http://www.semwebtech.org/mondial/10/estuary/Fimi/
http://www.semwebtech.org/mondial/10/estuary/Tiber/
http://www.semwebtech.org/mondial/10/estuary/Mosel/
http://www.semwebtech.org/mondial/10/estuary/Mur/
http://www.semwebtech.org/mondial/10/desert/Sonora/
http://www.semwebtech.org/mondial/10/desert/Tenere/
http://www.semwebtech.org/mondial/10/desert/Talak/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/
http://www.semwebtech.org/mondial/10/desert/Karakum/
http://www.semwebtech.org/mondial/10/desert/Trarza/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/
http://www.semwebtech.org/mondial/10/desert/Ferlo/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/
http://www.semwebtech.org/mondial/10/desert/Negev/
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/
http://www.semwebtech.org/mondial/10/desert/Thar/
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/
http://www.semwebtech.org/mondial/10/desert/Gobi/
http://www.semwebtech.org/mondial/10/desert/Namib/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/
http://www.semwebtech.org/mondial/10/desert/KumTagh/
http://www.semwebtech.org/mondial/10/desert/Rigestan/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/
http://www.semwebtech.org/mondial/10/desert/UstUrt/
http://www.semwebtech.org/mondial/10/desert/Mojave/
http://www.semwebtech.org/mondial/10/desert/RedCentre/
http://www.semwebtech.org/mondial/10/desert/Ryn/
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/
http://www.semwebtech.org/mondial/10/desert/Kalahari/
http://www.semwebtech.org/mondial/10/desert/Darfur/
http://www.semwebtech.org/mondial/10/desert/Owyhee/
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/
http://www.semwebtech.org/mondial/10/desert/Fesan/
http://www.semwebtech.org/mondial/10/desert/NubianDesert/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/
http://www.semwebtech.org/mondial/10/desert/ErgChech/
http://www.semwebtech.org/mondial/10/desert/Nefud/
http://www.semwebtech.org/mondial/10/desert/Atacama/
http://www.semwebtech.org/mondial/10/desert/Ordos/
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/
http://www.semwebtech.org/mondial/10/desert/Tanami/
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/
http://www.semwebtech.org/mondial/10/desert/Djourab/
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/
http://www.semwebtech.org/mondial/10/desert/Qaidam/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/
http://www.semwebtech.org/mondial/10/islands/Seychelles/
http://www.semwebtech.org/mondial/10/islands/CaymanIslands/
http://www.semwebtech.org/mondial/10/islands/ElliceIslands/
http://www.semwebtech.org/mondial/10/islands/NewCaledonia/
http://www.semwebtech.org/mondial/10/islands/ScillyIslands/
http://www.semwebtech.org/mondial/10/islands/InnerHebrides/
http://www.semwebtech.org/mondial/10/islands/OuterHebrides/
http://www.semwebtech.org/mondial/10/islands/Malta/
http://www.semwebtech.org/mondial/10/islands/LipariIslands/
http://www.semwebtech.org/mondial/10/islands/BermudaIslands/
http://www.semwebtech.org/mondial/10/islands/Kyklades/
http://www.semwebtech.org/mondial/10/islands/CapeVerdes/
http://www.semwebtech.org/mondial/10/islands/WallisIslands/
http://www.semwebtech.org/mondial/10/islands/FaroeIslands/
http://www.semwebtech.org/mondial/10/islands/Tokelau/
http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/
http://www.semwebtech.org/mondial/10/islands/MarianaIslands/
http://www.semwebtech.org/mondial/10/islands/MarshallIslands/
http://www.semwebtech.org/mondial/10/islands/AndamanIslands/
http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/
http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/
http://www.semwebtech.org/mondial/10/islands/Laccadives/
http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/
http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/
http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/
http://www.semwebtech.org/mondial/10/islands/LesserAntilles/
http://www.semwebtech.org/mondial/10/islands/CocosIslands/
http://www.semwebtech.org/mondial/10/islands/FalklandIslands/
http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/
http://www.semwebtech.org/mondial/10/islands/SamoanIslands/
http://www.semwebtech.org/mondial/10/islands/SundaIslands/
http://www.semwebtech.org/mondial/10/islands/Aleutes/
http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/
http://www.semwebtech.org/mondial/10/islands/NewZealand/
http://www.semwebtech.org/mondial/10/islands/Maldives/
http://www.semwebtech.org/mondial/10/islands/Sporades/
http://www.semwebtech.org/mondial/10/islands/SolomonIslands/
http://www.semwebtech.org/mondial/10/islands/Baleares/
http://www.semwebtech.org/mondial/10/islands/CookIslands/
http://www.semwebtech.org/mondial/10/islands/GilbertIslands/
http://www.semwebtech.org/mondial/10/islands/Vanuatu/
http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/
http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/
http://www.semwebtech.org/mondial/10/islands/Madeira/
http://www.semwebtech.org/mondial/10/islands/Comores/
http://www.semwebtech.org/mondial/10/islands/BritishIsles/
http://www.semwebtech.org/mondial/10/islands/BahamaIslands/
http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/
http://www.semwebtech.org/mondial/10/islands/IonicIslands/
http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/
http://www.semwebtech.org/mondial/10/islands/AlandIslands/
http://www.semwebtech.org/mondial/10/islands/Lofotes/
http://www.semwebtech.org/mondial/10/islands/TongaIslands/
http://www.semwebtech.org/mondial/10/islands/RiauIslands/
http://www.semwebtech.org/mondial/10/islands/FutunaIslands/
http://www.semwebtech.org/mondial/10/islands/Azores/
http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/
http://www.semwebtech.org/mondial/10/islands/Curiles/
http://www.semwebtech.org/mondial/10/islands/FijiIslands/
http://www.semwebtech.org/mondial/10/islands/Carolines/
http://www.semwebtech.org/mondial/10/islands/Philipines/
http://www.semwebtech.org/mondial/10/islands/Japan/
http://www.semwebtech.org/mondial/10/islands/Svalbard/
http://www.semwebtech.org/mondial/10/islands/Canares/
http://www.semwebtech.org/mondial/10/islands/ChannelIslands/
http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/
http://www.semwebtech.org/mondial/10/islands/LineIslands/
http://www.semwebtech.org/mondial/10/islands/Galapagos/
http://www.semwebtech.org/mondial/10/mountains/Azbine/
http://www.semwebtech.org/mondial/10/mountains/Sinai/
http://www.semwebtech.org/mondial/10/mountains/Hawaii/
http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/
http://www.semwebtech.org/mondial/10/mountains/Corse/
http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/
http://www.semwebtech.org/mondial/10/mountains/AleutianRange/
http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/
http://www.semwebtech.org/mondial/10/mountains/Himalaya/
http://www.semwebtech.org/mondial/10/mountains/Karakorum/
http://www.semwebtech.org/mondial/10/mountains/Karpaten/
http://www.semwebtech.org/mondial/10/mountains/Troodos/
http://www.semwebtech.org/mondial/10/mountains/Vogesen/
http://www.semwebtech.org/mondial/10/mountains/WestGhats/
http://www.semwebtech.org/mondial/10/mountains/Madeira/
http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/
http://www.semwebtech.org/mondial/10/mountains/Kamchatka/
http://www.semwebtech.org/mondial/10/mountains/Amhara/
http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/
http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/
http://www.semwebtech.org/mondial/10/mountains/Kurdistan/
http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/
http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/
http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/
http://www.semwebtech.org/mondial/10/mountains/Lebanon/
http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/
http://www.semwebtech.org/mondial/10/mountains/RockyMountains/
http://www.semwebtech.org/mondial/10/mountains/BlackForest/
http://www.semwebtech.org/mondial/10/mountains/Harz/
http://www.semwebtech.org/mondial/10/mountains/CoastMountains/
http://www.semwebtech.org/mondial/10/mountains/Rhön/
http://www.semwebtech.org/mondial/10/mountains/Cevennes/
http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/
http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/
http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/
http://www.semwebtech.org/mondial/10/mountains/Pyrenees/
http://www.semwebtech.org/mondial/10/mountains/Atlas/
http://www.semwebtech.org/mondial/10/mountains/Altai/
http://www.semwebtech.org/mondial/10/mountains/Zagros/
http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/
http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/
http://www.semwebtech.org/mondial/10/mountains/Darfur/
http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/
http://www.semwebtech.org/mondial/10/mountains/Kaukasus/
http://www.semwebtech.org/mondial/10/mountains/EliasRange/
http://www.semwebtech.org/mondial/10/mountains/Drakensberge/
http://www.semwebtech.org/mondial/10/mountains/Apennin/
http://www.semwebtech.org/mondial/10/mountains/Antitaurus/
http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/
http://www.semwebtech.org/mondial/10/mountains/TianShan/
http://www.semwebtech.org/mondial/10/mountains/Vosges/
http://www.semwebtech.org/mondial/10/mountains/Jura/
http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/
http://www.semwebtech.org/mondial/10/mountains/Elburs/
http://www.semwebtech.org/mondial/10/mountains/Tibesti/
http://www.semwebtech.org/mondial/10/mountains/Crete/
http://www.semwebtech.org/mondial/10/mountains/Ural/
http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/
http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/
http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/
http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/
http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/
http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/
http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/
http://www.semwebtech.org/mondial/10/mountains/Pamir/
http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/
http://www.semwebtech.org/mondial/10/mountains/Balkan/
http://www.semwebtech.org/mondial/10/mountains/Kunlun/
http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/
http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/
http://www.semwebtech.org/mondial/10/mountains/Azores/
http://www.semwebtech.org/mondial/10/mountains/Changbai/
http://www.semwebtech.org/mondial/10/mountains/Ahaggar/
http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/
http://www.semwebtech.org/mondial/10/mountains/Rif/
http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/
http://www.semwebtech.org/mondial/10/mountains/Taurus/
http://www.semwebtech.org/mondial/10/mountains/CascadeRange/
http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/
http://www.semwebtech.org/mondial/10/mountains/Beskides/
http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/
http://www.semwebtech.org/mondial/10/mountains/Grampians/
http://www.semwebtech.org/mondial/10/mountains/SierraParima/
http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/
http://www.semwebtech.org/mondial/10/mountains/Hindukusch/
http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/
http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/
http://www.semwebtech.org/mondial/10/mountains/Adirondacks/
http://www.semwebtech.org/mondial/10/mountains/SierraMadre/
http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/
http://www.semwebtech.org/mondial/10/continent/Africa/
http://www.semwebtech.org/mondial/10/continent/Asia/
http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
http://www.semwebtech.org/mondial/10/continent/America/
http://www.semwebtech.org/mondial/10/continent/Europe/
http://www.semwebtech.org/mondial/10/island/LaPalma/
http://www.semwebtech.org/mondial/10/island/EasterIsland/
http://www.semwebtech.org/mondial/10/island/SaintLucia/
http://www.semwebtech.org/mondial/10/island/Providenciales/
http://www.semwebtech.org/mondial/10/island/VitiLevu/
http://www.semwebtech.org/mondial/10/island/BanksIsland/
http://www.semwebtech.org/mondial/10/island/Tasmania/
http://www.semwebtech.org/mondial/10/island/Lavan/
http://www.semwebtech.org/mondial/10/island/SaintPierre/
http://www.semwebtech.org/mondial/10/island/Gheschm/
http://www.semwebtech.org/mondial/10/island/Newfoundland/
http://www.semwebtech.org/mondial/10/island/Oeland/
http://www.semwebtech.org/mondial/10/island/SaoTome/
http://www.semwebtech.org/mondial/10/island/Efate/
http://www.semwebtech.org/mondial/10/island/Corse/
http://www.semwebtech.org/mondial/10/island/Impalila/
http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/island/Niue/
http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/
http://www.semwebtech.org/mondial/10/island/Fakaofo/
http://www.semwebtech.org/mondial/10/island/CaymanBrac/
http://www.semwebtech.org/mondial/10/island/Helgoland/
http://www.semwebtech.org/mondial/10/island/Guam/
http://www.semwebtech.org/mondial/10/island/Guernsey/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/
http://www.semwebtech.org/mondial/10/island/Westray/
http://www.semwebtech.org/mondial/10/island/Filicudi/
http://www.semwebtech.org/mondial/10/island/Langeoog/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/
http://www.semwebtech.org/mondial/10/island/Hierro/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/island/Nantucket/
http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/island/Khark/
http://www.semwebtech.org/mondial/10/island/Bali/
http://www.semwebtech.org/mondial/10/island/Norderney/
http://www.semwebtech.org/mondial/10/island/Bornholm/
http://www.semwebtech.org/mondial/10/island/Mohilla/
http://www.semwebtech.org/mondial/10/island/Samar/
http://www.semwebtech.org/mondial/10/island/PulauPanjang/
http://www.semwebtech.org/mondial/10/island/Mauritius/
http://www.semwebtech.org/mondial/10/island/Sardegna/
http://www.semwebtech.org/mondial/10/island/Oesel/
http://www.semwebtech.org/mondial/10/island/Menorca/
http://www.semwebtech.org/mondial/10/island/Lesbos/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/
http://www.semwebtech.org/mondial/10/island/Nauru/
http://www.semwebtech.org/mondial/10/island/Dagoe/
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/
http://www.semwebtech.org/mondial/10/island/Hainan/
http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/island/Hokkaido/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/
http://www.semwebtech.org/mondial/10/island/Oahu/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/
http://www.semwebtech.org/mondial/10/island/Fuenen/
http://www.semwebtech.org/mondial/10/island/Pemba/
http://www.semwebtech.org/mondial/10/island/Majuro/
http://www.semwebtech.org/mondial/10/island/Usedom/
http://www.semwebtech.org/mondial/10/island/Manitoulin/
http://www.semwebtech.org/mondial/10/island/Falster/
http://www.semwebtech.org/mondial/10/island/Uvea/
http://www.semwebtech.org/mondial/10/island/Krakatau/
http://www.semwebtech.org/mondial/10/island/Upolu/
http://www.semwebtech.org/mondial/10/island/Korfu/
http://www.semwebtech.org/mondial/10/island/Sumbawa/
http://www.semwebtech.org/mondial/10/island/Santiago/
http://www.semwebtech.org/mondial/10/island/SaoJorge/
http://www.semwebtech.org/mondial/10/island/Jersey/
http://www.semwebtech.org/mondial/10/island/BishopRock/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/
http://www.semwebtech.org/mondial/10/island/GrandeTerre/
http://www.semwebtech.org/mondial/10/island/Jamaica/
http://www.semwebtech.org/mondial/10/island/Curacao/
http://www.semwebtech.org/mondial/10/island/Mull/
http://www.semwebtech.org/mondial/10/island/Barbuda/
http://www.semwebtech.org/mondial/10/island/Gotland/
http://www.semwebtech.org/mondial/10/island/MargitSziget/
http://www.semwebtech.org/mondial/10/island/GrandTurk/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/
http://www.semwebtech.org/mondial/10/island/SouthUist/
http://www.semwebtech.org/mondial/10/island/Antigua/
http://www.semwebtech.org/mondial/10/island/Panay/
http://www.semwebtech.org/mondial/10/island/Ibiza/
http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/island/Ternate/
http://www.semwebtech.org/mondial/10/island/Islay/
http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/island/KoSamui/
http://www.semwebtech.org/mondial/10/island/Kreta/
http://www.semwebtech.org/mondial/10/island/Texel/
http://www.semwebtech.org/mondial/10/island/Leyte/
http://www.semwebtech.org/mondial/10/island/Zhoushan/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/
http://www.semwebtech.org/mondial/10/island/Banaba/
http://www.semwebtech.org/mondial/10/island/Koror/
http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/island/Terschelling/
http://www.semwebtech.org/mondial/10/island/Paramuschir/
http://www.semwebtech.org/mondial/10/island/Guadalcanal/
http://www.semwebtech.org/mondial/10/island/WestFalkland/
http://www.semwebtech.org/mondial/10/island/Kauai/
http://www.semwebtech.org/mondial/10/island/Gomera/
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/island/Malta/
http://www.semwebtech.org/mondial/10/island/Tinian/
http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/island/Borkum/
http://www.semwebtech.org/mondial/10/island/Arran/
http://www.semwebtech.org/mondial/10/island/Bougainville/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/
http://www.semwebtech.org/mondial/10/island/Lombok/
http://www.semwebtech.org/mondial/10/island/NewProvidence/
http://www.semwebtech.org/mondial/10/island/Negros/
http://www.semwebtech.org/mondial/10/island/Lanai/
http://www.semwebtech.org/mondial/10/island/Saipan/
http://www.semwebtech.org/mondial/10/island/Teneriffa/
http://www.semwebtech.org/mondial/10/island/Batam/
http://www.semwebtech.org/mondial/10/island/SaintKitts/
http://www.semwebtech.org/mondial/10/island/Tarawa/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/
http://www.semwebtech.org/mondial/10/island/Tortola/
http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/island/Tongatapu/
http://www.semwebtech.org/mondial/10/island/Alicudi/
http://www.semwebtech.org/mondial/10/island/Timor/
http://www.semwebtech.org/mondial/10/island/Mayotte/
http://www.semwebtech.org/mondial/10/island/NorthCaicos/
http://www.semwebtech.org/mondial/10/island/Mahe/
http://www.semwebtech.org/mondial/10/island/Halmahera/
http://www.semwebtech.org/mondial/10/island/Rugen/
http://www.semwebtech.org/mondial/10/island/Formentera/
http://www.semwebtech.org/mondial/10/island/Ponape/
http://www.semwebtech.org/mondial/10/island/Lefkas/
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/
http://www.semwebtech.org/mondial/10/island/Reunion/
http://www.semwebtech.org/mondial/10/island/Fongafale/
http://www.semwebtech.org/mondial/10/island/SaintThomas/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/
http://www.semwebtech.org/mondial/10/island/DevonIsland/
http://www.semwebtech.org/mondial/10/island/GrandBermuda/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/
http://www.semwebtech.org/mondial/10/island/Samosir/
http://www.semwebtech.org/mondial/10/island/Skye/
http://www.semwebtech.org/mondial/10/island/Rarotonga/
http://www.semwebtech.org/mondial/10/island/SantaMaria/
http://www.semwebtech.org/mondial/10/island/Hoy/
http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/island/Palawan/
http://www.semwebtech.org/mondial/10/island/Kiritimati/
http://www.semwebtech.org/mondial/10/island/Olkhon/
http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/island/IsleofMan/
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/
http://www.semwebtech.org/mondial/10/island/Phuket/
http://www.semwebtech.org/mondial/10/island/Principe/
http://www.semwebtech.org/mondial/10/island/VanuaLevu/
http://www.semwebtech.org/mondial/10/island/Lolland/
http://www.semwebtech.org/mondial/10/island/IsleofWight/
http://www.semwebtech.org/mondial/10/island/Futuna/
http://www.semwebtech.org/mondial/10/island/Langeland/
http://www.semwebtech.org/mondial/10/island/Ceram/
http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/island/LittleCayman/
http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/island/Singapore/
http://www.semwebtech.org/mondial/10/island/NorthUist/
http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/island/Ascension/
http://www.semwebtech.org/mondial/10/island/Molokai/
http://www.semwebtech.org/mondial/10/island/Ambon/
http://www.semwebtech.org/mondial/10/island/Montserrat/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/
http://www.semwebtech.org/mondial/10/island/Trinidad/
http://www.semwebtech.org/mondial/10/island/Unalaska/
http://www.semwebtech.org/mondial/10/island/Gozo/
http://www.semwebtech.org/mondial/10/island/Hawaii/
http://www.semwebtech.org/mondial/10/island/Babelthuap/
http://www.semwebtech.org/mondial/10/island/Barra/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/
http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/island/Kavaratti/
http://www.semwebtech.org/mondial/10/island/Lampedusa/
http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/island/Bintan/
http://www.semwebtech.org/mondial/10/island/PortoSanto/
http://www.semwebtech.org/mondial/10/island/Fohr/
http://www.semwebtech.org/mondial/10/island/Linosa/
http://www.semwebtech.org/mondial/10/island/Tahiti/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/
http://www.semwebtech.org/mondial/10/island/Sokotra/
http://www.semwebtech.org/mondial/10/island/St.Martin/
http://www.semwebtech.org/mondial/10/island/Pitcairn/
http://www.semwebtech.org/mondial/10/island/Madeira/
http://www.semwebtech.org/mondial/10/island/Tobago/
http://www.semwebtech.org/mondial/10/island/Juist/
http://www.semwebtech.org/mondial/10/island/Svalbard/
http://www.semwebtech.org/mondial/10/island/Sylt/
http://www.semwebtech.org/mondial/10/island/Bangka/
http://www.semwebtech.org/mondial/10/island/Rhum/
http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/
http://www.semwebtech.org/mondial/10/island/Zakynthos/
http://www.semwebtech.org/mondial/10/island/Faial/
http://www.semwebtech.org/mondial/10/island/Wangerooge/
http://www.semwebtech.org/mondial/10/island/Lipari/
http://www.semwebtech.org/mondial/10/island/Anguilla/
http://www.semwebtech.org/mondial/10/island/Grenada/
http://www.semwebtech.org/mondial/10/island/Nevis/
http://www.semwebtech.org/mondial/10/island/Barbados/
http://www.semwebtech.org/mondial/10/island/Fogo/
http://www.semwebtech.org/mondial/10/island/Niihau/
http://www.semwebtech.org/mondial/10/island/Panarea/
http://www.semwebtech.org/mondial/10/island/Rhodos/
http://www.semwebtech.org/mondial/10/island/Pellworm/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/
http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/island/Samos/
http://www.semwebtech.org/mondial/10/island/Lanzarote/
http://www.semwebtech.org/mondial/10/island/Jura/
http://www.semwebtech.org/mondial/10/island/Kefallinia/
http://www.semwebtech.org/mondial/10/island/Syros/
http://www.semwebtech.org/mondial/10/island/Chios/
http://www.semwebtech.org/mondial/10/island/Graciosa/
http://www.semwebtech.org/mondial/10/island/Terceira/
http://www.semwebtech.org/mondial/10/island/Maui/
http://www.semwebtech.org/mondial/10/island/Baltrum/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/
http://www.semwebtech.org/mondial/10/island/Corvo/
http://www.semwebtech.org/mondial/10/island/Isabela/
http://www.semwebtech.org/mondial/10/island/Bioko/
http://www.semwebtech.org/mondial/10/island/Flores/
http://www.semwebtech.org/mondial/10/island/Pico/
http://www.semwebtech.org/mondial/10/island/SaintVincent/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/
http://www.semwebtech.org/mondial/10/island/Stromboli/
http://www.semwebtech.org/mondial/10/island/Anglesey/
http://www.semwebtech.org/mondial/10/island/Sachalin/
http://www.semwebtech.org/mondial/10/island/Mindoro/
http://www.semwebtech.org/mondial/10/island/Tiree/
http://www.semwebtech.org/mondial/10/island/Mykonos/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/
http://www.semwebtech.org/mondial/10/island/Ameland/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/
http://www.semwebtech.org/mondial/10/island/Labuan/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/
http://www.semwebtech.org/mondial/10/island/Cebu/
http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/island/EastFalkland/
http://www.semwebtech.org/mondial/10/island/Savaii/
http://www.semwebtech.org/mondial/10/island/Fehmarn/
http://www.semwebtech.org/mondial/10/island/Ikaria/
http://www.semwebtech.org/mondial/10/island/Benbecula/
http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/island/Streymoy/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/
http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/
http://www.semwebtech.org/mondial/10/island/Salina/
http://www.semwebtech.org/mondial/10/island/Mallorca/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/
http://www.semwebtech.org/mondial/10/island/Martinique/
http://www.semwebtech.org/mondial/10/island/Tutuila/
http://www.semwebtech.org/mondial/10/island/Vulcano/
http://www.semwebtech.org/mondial/10/island/GranCanaria/
http://www.semwebtech.org/mondial/10/island/Male/
http://www.semwebtech.org/mondial/10/island/Greenland/
http://www.semwebtech.org/mondial/10/island/Kos/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/
http://www.semwebtech.org/mondial/10/island/Okinawa/
http://www.semwebtech.org/mondial/10/island/Aland/
http://www.semwebtech.org/mondial/10/island/GrandComoro/
http://www.semwebtech.org/mondial/10/island/Bahrain/
http://www.semwebtech.org/mondial/10/island/Jeju/
http://www.semwebtech.org/mondial/10/island/Aruba/
http://www.semwebtech.org/mondial/10/island/Amrum/
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/
http://www.semwebtech.org/mondial/10/island/Rota/
http://www.semwebtech.org/mondial/10/island/Bohol/
http://www.semwebtech.org/mondial/10/island/GrandCayman/
http://www.semwebtech.org/mondial/10/island/Dominica/
http://www.semwebtech.org/mondial/10/island/Vlieland/
http://www.semwebtech.org/mondial/10/island/Anjouan/
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/
http://www.semwebtech.org/mondial/10/island/SriLanka/
http://www.semwebtech.org/mondial/10/island/LongIsland/
http://www.semwebtech.org/mondial/10/island/SanAndres/
http://www.semwebtech.org/mondial/10/island/SaintHelena/
http://www.semwebtech.org/mondial/10/lake/Inari/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/
http://www.semwebtech.org/mondial/10/river/Guadiana/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/river/Mantaro/
http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/river/Garonne/
http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/
http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/river/Salzach/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/
http://www.semwebtech.org/mondial/10/river/Doubs/
http://www.semwebtech.org/mondial/10/river/Oranje/
http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/
http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/
http://www.semwebtech.org/mondial/10/river/Theiss/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/
http://www.semwebtech.org/mondial/10/river/Newa/
http://www.semwebtech.org/mondial/10/river/Swir/
http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/
http://www.semwebtech.org/mondial/10/lake/PyramidLake/
http://www.semwebtech.org/mondial/10/river/Drina/
http://www.semwebtech.org/mondial/10/river/Tiber/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/river/Saone/
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/
http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/lake/LakeToba/
http://www.semwebtech.org/mondial/10/river/NelsonRiver/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/
http://www.semwebtech.org/mondial/10/river/Schari/
http://www.semwebtech.org/mondial/10/river/Manicouagan/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/
http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/river/Araguaia/
http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/river/Argun/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/
http://www.semwebtech.org/mondial/10/river/Aruwimi/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/
http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/river/Sanga/
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/
http://www.semwebtech.org/mondial/10/river/BlackDrin/
http://www.semwebtech.org/mondial/10/river/Kemijoki/
http://www.semwebtech.org/mondial/10/river/Okavango/
http://www.semwebtech.org/mondial/10/river/Prypjat/
http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/
http://www.semwebtech.org/mondial/10/river/Semliki/
http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/river/Oulujoki/
http://www.semwebtech.org/mondial/10/river/Petschora/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/
http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/river/Kwa/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/
http://www.semwebtech.org/mondial/10/lake/Thunersee/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/
http://www.semwebtech.org/mondial/10/river/WhiteDrin/
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/
http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/river/Piva/
http://www.semwebtech.org/mondial/10/river/Atbara/
http://www.semwebtech.org/mondial/10/river/Lagen/
http://www.semwebtech.org/mondial/10/river/Mur/
http://www.semwebtech.org/mondial/10/river/Pibor/
http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/river/Sobat/
http://www.semwebtech.org/mondial/10/river/Lena/
http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/river/Ammer/
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/
http://www.semwebtech.org/mondial/10/river/Karasu/
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/
http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/river/Isar/
http://www.semwebtech.org/mondial/10/river/VictoriaNile/
http://www.semwebtech.org/mondial/10/river/Inn/
http://www.semwebtech.org/mondial/10/lake/LopNor/
http://www.semwebtech.org/mondial/10/river/Limpopo/
http://www.semwebtech.org/mondial/10/river/Glomma/
http://www.semwebtech.org/mondial/10/river/Guadalquivir/
http://www.semwebtech.org/mondial/10/river/Umeaelv/
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/
http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/river/Bani/
http://www.semwebtech.org/mondial/10/river/Karun/
http://www.semwebtech.org/mondial/10/river/Urubamba/
http://www.semwebtech.org/mondial/10/river/Lukenie/
http://www.semwebtech.org/mondial/10/river/Lukuga/
http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/river/Uelle/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/river/Kymijoki/
http://www.semwebtech.org/mondial/10/river/Colorado/
http://www.semwebtech.org/mondial/10/river/Ticino/
http://www.semwebtech.org/mondial/10/river/Ruzizi/
http://www.semwebtech.org/mondial/10/river/Cuilo/
http://www.semwebtech.org/mondial/10/river/Würm/
http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/river/Alz/
http://www.semwebtech.org/mondial/10/river/Fimi/
http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/river/Luapula/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/
http://www.semwebtech.org/mondial/10/river/Leine/
http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/river/Naryn/
http://www.semwebtech.org/mondial/10/river/Huallaga/
http://www.semwebtech.org/mondial/10/river/Ili/
http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/river/Jordan/
http://www.semwebtech.org/mondial/10/river/Sanaga/
http://www.semwebtech.org/mondial/10/river/Perene/
http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/river/Aller/
http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/lake/Siljan/
http://www.semwebtech.org/mondial/10/lake/LakePowell/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/
http://www.semwebtech.org/mondial/10/lake/LagodiComo/
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/
http://www.semwebtech.org/mondial/10/lake/DeadSea/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/
http://www.semwebtech.org/mondial/10/river/Ounasjoki/
http://www.semwebtech.org/mondial/10/river/Apurimac/
http://www.semwebtech.org/mondial/10/river/Breg/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/
http://www.semwebtech.org/mondial/10/river/Fulda/
http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/river/Goetaaelv/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/river/Narew/
http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/river/Limmat/
http://www.semwebtech.org/mondial/10/river/Vuoksi/
http://www.semwebtech.org/mondial/10/river/Mincio/
http://www.semwebtech.org/mondial/10/river/RioMadeira/
http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/river/Dnjestr/
http://www.semwebtech.org/mondial/10/river/Moraca/
http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/lake/Poopo/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/
http://www.semwebtech.org/mondial/10/lake/Chiemsee/
http://www.semwebtech.org/mondial/10/river/Pjandsh/
http://www.semwebtech.org/mondial/10/river/Marne/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/
http://www.semwebtech.org/mondial/10/river/Lomami/
http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/river/Murgab/
http://www.semwebtech.org/mondial/10/river/Buna/
http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/river/Werra/
http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/
http://www.semwebtech.org/mondial/10/river/Vaal/
http://www.semwebtech.org/mondial/10/river/Bartang/
http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/river/Amudarja/
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/
http://www.semwebtech.org/mondial/10/river/Enns/
http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/river/Kolyma/
http://www.semwebtech.org/mondial/10/river/Saar/
http://www.semwebtech.org/mondial/10/river/Moldau/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/
http://www.semwebtech.org/mondial/10/river/Narva/
http://www.semwebtech.org/mondial/10/river/Suchona/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/
http://www.semwebtech.org/mondial/10/river/Ischim/
http://www.semwebtech.org/mondial/10/river/Katun/
http://www.semwebtech.org/mondial/10/river/Busira/
http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/river/WesternMorava/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/
http://www.semwebtech.org/mondial/10/river/Dalaelv/
http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/river/Bomu/
http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/river/March/
http://www.semwebtech.org/mondial/10/river/Lech/
http://www.semwebtech.org/mondial/10/river/Murat/
http://www.semwebtech.org/mondial/10/river/Gambia/
http://www.semwebtech.org/mondial/10/river/YukonRiver/
http://www.semwebtech.org/mondial/10/river/Chatanga/
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/
http://www.semwebtech.org/mondial/10/river/Pruth/
http://www.semwebtech.org/mondial/10/river/Cuango/
http://www.semwebtech.org/mondial/10/river/Dnister/
http://www.semwebtech.org/mondial/10/river/WhiteNile/
http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/river/Isere/
http://www.semwebtech.org/mondial/10/river/WesternDwina/
http://www.semwebtech.org/mondial/10/river/Paraguay/
http://www.semwebtech.org/mondial/10/river/WesternBug/
http://www.semwebtech.org/mondial/10/river/Lulua/
http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/river/Asahan/
http://www.semwebtech.org/mondial/10/river/Tara/
http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/river/Tambo/
http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/river/Iller/
http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/river/RioNegro/
http://www.semwebtech.org/mondial/10/river/Adda/
http://www.semwebtech.org/mondial/10/river/Klaraelv/
http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/
http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/river/Saluen/
http://www.semwebtech.org/mondial/10/river/Volta/
http://www.semwebtech.org/mondial/10/river/Tshuapa/
http://www.semwebtech.org/mondial/10/river/Maranon/
http://www.semwebtech.org/mondial/10/river/Reuss/
http://www.semwebtech.org/mondial/10/river/Raab/
http://www.semwebtech.org/mondial/10/river/Shabelle/
http://www.semwebtech.org/mondial/10/river/Morava/
http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/
http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/river/RioLerma/
http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/river/Luvua/
http://www.semwebtech.org/mondial/10/river/Baro/
http://www.semwebtech.org/mondial/10/river/Kura/
http://www.semwebtech.org/mondial/10/river/Drin/
http://www.semwebtech.org/mondial/10/river/RioMamore/
http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/river/Jubba/
http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/river/Chire/
http://www.semwebtech.org/mondial/10/river/Ucayali/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/
http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/river/Ene/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/river/Arno/
http://www.semwebtech.org/mondial/10/river/Ruki/
http://www.semwebtech.org/mondial/10/river/Selenge/
http://www.semwebtech.org/mondial/10/river/Ebro/
http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/river/Akagera/
http://www.semwebtech.org/mondial/10/river/Schilka/
http://www.semwebtech.org/mondial/10/river/Brigach/
http://www.semwebtech.org/mondial/10/river/Thjorsa/
http://www.semwebtech.org/mondial/10/lake/LakeVan/
http://www.semwebtech.org/mondial/10/lake/Bodensee/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/
http://www.semwebtech.org/mondial/10/lake/Saimaa/
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/
http://www.semwebtech.org/mondial/10/lake/Brienzersee/
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/
http://www.semwebtech.org/mondial/10/lake/LakeTana/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/
http://www.semwebtech.org/mondial/10/lake/LakeEyre/
http://www.semwebtech.org/mondial/10/lake/LochNess/
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/
http://www.semwebtech.org/mondial/10/lake/Arresoe/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/lake/LakeHume/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/
http://www.semwebtech.org/mondial/10/lake/Vaettern/
http://www.semwebtech.org/mondial/10/lake/Storuman/
http://www.semwebtech.org/mondial/10/lake/LakeNasser/
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/
http://www.semwebtech.org/mondial/10/lake/KoliSarez/
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/
http://www.semwebtech.org/mondial/10/lake/LakeManagua/
http://www.semwebtech.org/mondial/10/lake/LakeManitou/
http://www.semwebtech.org/mondial/10/lake/LakeNgami/
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/
http://www.semwebtech.org/mondial/10/lake/Kallavesi/
http://www.semwebtech.org/mondial/10/lake/LagoJunin/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/
http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/
http://www.semwebtech.org/mondial/10/lake/LakeKioga/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/
http://www.semwebtech.org/mondial/10/lake/ChadLake/
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/
http://www.semwebtech.org/mondial/10/lake/LakeNatron/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/lake/LochLomond/
http://www.semwebtech.org/mondial/10/lake/LakeMead/
http://www.semwebtech.org/mondial/10/lake/LacAssal/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/lake/Ammersee/
http://www.semwebtech.org/mondial/10/lake/CraterLake/
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/
http://www.semwebtech.org/mondial/10/lake/LacLeman/
http://www.semwebtech.org/mondial/10/lake/NamCo/
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/
http://www.semwebtech.org/mondial/10/lake/Balaton/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/lake/LakeNyos/
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/
\.


--
-- TOC entry 5928 (class 0 OID 90097)
-- Dependencies: 698
-- Data for Name: GeographicalThing; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "GeographicalThing" ("URI") FROM stdin;
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/
http://www.semwebtech.org/mondial/10/mountain/Rinjani/
http://www.semwebtech.org/mondial/10/mountain/Damavand/
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/
http://www.semwebtech.org/mondial/10/mountain/Etna/
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/
http://www.semwebtech.org/mondial/10/mountain/Tambora/
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/
http://www.semwebtech.org/mondial/10/mountain/MtAdams/
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/
http://www.semwebtech.org/mondial/10/mountain/Irazu/
http://www.semwebtech.org/mondial/10/mountain/Tupungato/
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/
http://www.semwebtech.org/mondial/10/mountain/Vesuv/
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/
http://www.semwebtech.org/mondial/10/mountain/Meru/
http://www.semwebtech.org/mondial/10/mountain/Haleakala/
http://www.semwebtech.org/mondial/10/mountain/Tamgak/
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/
http://www.semwebtech.org/mondial/10/mountain/Elbrus/
http://www.semwebtech.org/mondial/10/mountain/Soufriere/
http://www.semwebtech.org/mondial/10/mountain/Merapi/
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/
http://www.semwebtech.org/mondial/10/mountain/Pulog/
http://www.semwebtech.org/mondial/10/mountain/Fogo/
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/
http://www.semwebtech.org/mondial/10/mountain/Andringitra/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/
http://www.semwebtech.org/mondial/10/mountain/Snaefell/
http://www.semwebtech.org/mondial/10/mountain/Coropuna/
http://www.semwebtech.org/mondial/10/mountain/Hekla/
http://www.semwebtech.org/mondial/10/mountain/MtRainier/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/
http://www.semwebtech.org/mondial/10/mountain/Karthala/
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/
http://www.semwebtech.org/mondial/10/mountain/Elgon/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/
http://www.semwebtech.org/mondial/10/mountain/MountKenia/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/
http://www.semwebtech.org/mondial/10/mountain/Krakatau/
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/
http://www.semwebtech.org/mondial/10/mountain/MountApo/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/
http://www.semwebtech.org/mondial/10/mountain/Leuser/
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/
http://www.semwebtech.org/mondial/10/mountain/Pico/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/
http://www.semwebtech.org/mondial/10/mountain/Concepcion/
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/
http://www.semwebtech.org/mondial/10/mountain/Fako/
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/
http://www.semwebtech.org/mondial/10/mountain/Ampato/
http://www.semwebtech.org/mondial/10/mountain/Tahat/
http://www.semwebtech.org/mondial/10/mountain/Silisili/
http://www.semwebtech.org/mondial/10/mountain/Sajama/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/
http://www.semwebtech.org/mondial/10/mountain/Pelee/
http://www.semwebtech.org/mondial/10/mountain/Cayambe/
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/
http://www.semwebtech.org/mondial/10/mountain/Semeru/
http://www.semwebtech.org/mondial/10/mountain/MtHood/
http://www.semwebtech.org/mondial/10/mountain/Kerinci/
http://www.semwebtech.org/mondial/10/mountain/Katla/
http://www.semwebtech.org/mondial/10/mountain/Ararat/
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/
http://www.semwebtech.org/mondial/10/source/Goetaaelv/
http://www.semwebtech.org/mondial/10/source/Jubba/
http://www.semwebtech.org/mondial/10/source/Huallaga/
http://www.semwebtech.org/mondial/10/source/Rhein/
http://www.semwebtech.org/mondial/10/source/Po/
http://www.semwebtech.org/mondial/10/source/Chire/
http://www.semwebtech.org/mondial/10/source/Waag/
http://www.semwebtech.org/mondial/10/source/Fulda/
http://www.semwebtech.org/mondial/10/source/Mississippi/
http://www.semwebtech.org/mondial/10/source/Jangtse/
http://www.semwebtech.org/mondial/10/source/Ischim/
http://www.semwebtech.org/mondial/10/source/Fimi/
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/source/Alz/
http://www.semwebtech.org/mondial/10/source/Limpopo/
http://www.semwebtech.org/mondial/10/source/SchattalArab/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/
http://www.semwebtech.org/mondial/10/source/Umeaelv/
http://www.semwebtech.org/mondial/10/source/RioMagdalena/
http://www.semwebtech.org/mondial/10/source/Benue/
http://www.semwebtech.org/mondial/10/source/Marne/
http://www.semwebtech.org/mondial/10/source/Lukenie/
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/source/Apurimac/
http://www.semwebtech.org/mondial/10/source/Breg/
http://www.semwebtech.org/mondial/10/source/Mekong/
http://www.semwebtech.org/mondial/10/source/BlueNile/
http://www.semwebtech.org/mondial/10/source/Gambia/
http://www.semwebtech.org/mondial/10/source/Karasu/
http://www.semwebtech.org/mondial/10/source/Petschora/
http://www.semwebtech.org/mondial/10/source/Asahan/
http://www.semwebtech.org/mondial/10/source/Seine/
http://www.semwebtech.org/mondial/10/source/Brahmaputra/
http://www.semwebtech.org/mondial/10/source/MurrayRiver/
http://www.semwebtech.org/mondial/10/source/Doubs/
http://www.semwebtech.org/mondial/10/source/Aare/
http://www.semwebtech.org/mondial/10/source/Argun/
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/
http://www.semwebtech.org/mondial/10/source/Syrdarja/
http://www.semwebtech.org/mondial/10/source/Jenissej/
http://www.semwebtech.org/mondial/10/source/Newa/
http://www.semwebtech.org/mondial/10/source/Save/
http://www.semwebtech.org/mondial/10/source/Buna/
http://www.semwebtech.org/mondial/10/source/Parana/
http://www.semwebtech.org/mondial/10/source/Saluen/
http://www.semwebtech.org/mondial/10/source/Lukuga/
http://www.semwebtech.org/mondial/10/source/SouthernMorava/
http://www.semwebtech.org/mondial/10/source/Katun/
http://www.semwebtech.org/mondial/10/source/Irawaddy/
http://www.semwebtech.org/mondial/10/source/WhiteNile/
http://www.semwebtech.org/mondial/10/source/Ene/
http://www.semwebtech.org/mondial/10/source/March/
http://www.semwebtech.org/mondial/10/source/Jordan/
http://www.semwebtech.org/mondial/10/source/Vaal/
http://www.semwebtech.org/mondial/10/source/Murat/
http://www.semwebtech.org/mondial/10/source/Ruzizi/
http://www.semwebtech.org/mondial/10/source/Enns/
http://www.semwebtech.org/mondial/10/source/Selenge/
http://www.semwebtech.org/mondial/10/source/Senegal/
http://www.semwebtech.org/mondial/10/source/Akagera/
http://www.semwebtech.org/mondial/10/source/NelsonRiver/
http://www.semwebtech.org/mondial/10/source/Saar/
http://www.semwebtech.org/mondial/10/source/Orinoco/
http://www.semwebtech.org/mondial/10/source/Lulua/
http://www.semwebtech.org/mondial/10/source/Manicouagan/
http://www.semwebtech.org/mondial/10/source/Amazonas/
http://www.semwebtech.org/mondial/10/source/Ganges/
http://www.semwebtech.org/mondial/10/source/Dnjestr/
http://www.semwebtech.org/mondial/10/source/Isere/
http://www.semwebtech.org/mondial/10/source/Kemijoki/
http://www.semwebtech.org/mondial/10/source/Cuilo/
http://www.semwebtech.org/mondial/10/source/Okavango/
http://www.semwebtech.org/mondial/10/source/Pjandsh/
http://www.semwebtech.org/mondial/10/source/Kama/
http://www.semwebtech.org/mondial/10/source/Tambo/
http://www.semwebtech.org/mondial/10/source/Lech/
http://www.semwebtech.org/mondial/10/source/Douro/
http://www.semwebtech.org/mondial/10/source/Oulujoki/
http://www.semwebtech.org/mondial/10/source/Chatanga/
http://www.semwebtech.org/mondial/10/source/Donau/
http://www.semwebtech.org/mondial/10/source/Volta/
http://www.semwebtech.org/mondial/10/source/Oder/
http://www.semwebtech.org/mondial/10/source/Limmat/
http://www.semwebtech.org/mondial/10/source/Bartang/
http://www.semwebtech.org/mondial/10/source/Vuoksi/
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/
http://www.semwebtech.org/mondial/10/source/Bomu/
http://www.semwebtech.org/mondial/10/source/RioMamore/
http://www.semwebtech.org/mondial/10/source/Euphrat/
http://www.semwebtech.org/mondial/10/source/Moraca/
http://www.semwebtech.org/mondial/10/source/Oranje/
http://www.semwebtech.org/mondial/10/source/Theiss/
http://www.semwebtech.org/mondial/10/source/Main/
http://www.semwebtech.org/mondial/10/source/Murgab/
http://www.semwebtech.org/mondial/10/source/Uelle/
http://www.semwebtech.org/mondial/10/source/Ural/
http://www.semwebtech.org/mondial/10/source/Suchona/
http://www.semwebtech.org/mondial/10/source/Olt/
http://www.semwebtech.org/mondial/10/source/Klaraelv/
http://www.semwebtech.org/mondial/10/source/Amur/
http://www.semwebtech.org/mondial/10/source/Kwa/
http://www.semwebtech.org/mondial/10/source/Weichsel/
http://www.semwebtech.org/mondial/10/source/Schari/
http://www.semwebtech.org/mondial/10/source/Semliki/
http://www.semwebtech.org/mondial/10/source/Dalaelv/
http://www.semwebtech.org/mondial/10/source/Lualaba/
http://www.semwebtech.org/mondial/10/source/Hwangho/
http://www.semwebtech.org/mondial/10/source/OhioRiver/
http://www.semwebtech.org/mondial/10/source/Niger/
http://www.semwebtech.org/mondial/10/source/Mur/
http://www.semwebtech.org/mondial/10/source/Raab/
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/
http://www.semwebtech.org/mondial/10/source/Shabelle/
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/
http://www.semwebtech.org/mondial/10/source/Dnister/
http://www.semwebtech.org/mondial/10/source/Kolyma/
http://www.semwebtech.org/mondial/10/source/Don/
http://www.semwebtech.org/mondial/10/source/Moldau/
http://www.semwebtech.org/mondial/10/source/VictoriaNile/
http://www.semwebtech.org/mondial/10/source/Urubamba/
http://www.semwebtech.org/mondial/10/source/Naryn/
http://www.semwebtech.org/mondial/10/source/RioLerma/
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/
http://www.semwebtech.org/mondial/10/source/Aller/
http://www.semwebtech.org/mondial/10/source/Baro/
http://www.semwebtech.org/mondial/10/source/Guadalquivir/
http://www.semwebtech.org/mondial/10/source/Kura/
http://www.semwebtech.org/mondial/10/source/Drin/
http://www.semwebtech.org/mondial/10/source/Busira/
http://www.semwebtech.org/mondial/10/source/Elbe/
http://www.semwebtech.org/mondial/10/source/Maas/
http://www.semwebtech.org/mondial/10/source/Tigris/
http://www.semwebtech.org/mondial/10/source/Nile/
http://www.semwebtech.org/mondial/10/source/Inn/
http://www.semwebtech.org/mondial/10/source/Kymijoki/
http://www.semwebtech.org/mondial/10/source/Paatsjoki/
http://www.semwebtech.org/mondial/10/source/Cuango/
http://www.semwebtech.org/mondial/10/source/Narew/
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/
http://www.semwebtech.org/mondial/10/source/Atbara/
http://www.semwebtech.org/mondial/10/source/Kasai/
http://www.semwebtech.org/mondial/10/source/Drina/
http://www.semwebtech.org/mondial/10/source/Tshuapa/
http://www.semwebtech.org/mondial/10/source/Saone/
http://www.semwebtech.org/mondial/10/source/Maranon/
http://www.semwebtech.org/mondial/10/source/Arno/
http://www.semwebtech.org/mondial/10/source/Ruki/
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/source/Ebro/
http://www.semwebtech.org/mondial/10/source/Thames/
http://www.semwebtech.org/mondial/10/source/Ticino/
http://www.semwebtech.org/mondial/10/source/Guadiana/
http://www.semwebtech.org/mondial/10/source/Ili/
http://www.semwebtech.org/mondial/10/source/Luapula/
http://www.semwebtech.org/mondial/10/source/BlackDrin/
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/source/Etsch/
http://www.semwebtech.org/mondial/10/source/Tiber/
http://www.semwebtech.org/mondial/10/source/Mosel/
http://www.semwebtech.org/mondial/10/source/Werra/
http://www.semwebtech.org/mondial/10/source/HudsonRiver/
http://www.semwebtech.org/mondial/10/source/Swir/
http://www.semwebtech.org/mondial/10/source/Sanga/
http://www.semwebtech.org/mondial/10/source/WhiteDrin/
http://www.semwebtech.org/mondial/10/source/DarlingRiver/
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/
http://www.semwebtech.org/mondial/10/source/Glomma/
http://www.semwebtech.org/mondial/10/source/Dnepr/
http://www.semwebtech.org/mondial/10/source/RioMadeira/
http://www.semwebtech.org/mondial/10/source/Arkansas/
http://www.semwebtech.org/mondial/10/source/Ucayali/
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/
http://www.semwebtech.org/mondial/10/source/Morava/
http://www.semwebtech.org/mondial/10/source/Narva/
http://www.semwebtech.org/mondial/10/source/RioSanJuan/
http://www.semwebtech.org/mondial/10/source/Missouri/
http://www.semwebtech.org/mondial/10/source/Tajo/
http://www.semwebtech.org/mondial/10/source/Volga/
http://www.semwebtech.org/mondial/10/source/Araguaia/
http://www.semwebtech.org/mondial/10/source/Angara/
http://www.semwebtech.org/mondial/10/source/Schilka/
http://www.semwebtech.org/mondial/10/source/Brigach/
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/source/Thjorsa/
http://www.semwebtech.org/mondial/10/source/Lagen/
http://www.semwebtech.org/mondial/10/source/Neckar/
http://www.semwebtech.org/mondial/10/source/Mantaro/
http://www.semwebtech.org/mondial/10/source/Pibor/
http://www.semwebtech.org/mondial/10/source/Oka/
http://www.semwebtech.org/mondial/10/source/Ob/
http://www.semwebtech.org/mondial/10/source/Garonne/
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/source/Sanaga/
http://www.semwebtech.org/mondial/10/source/Ubangi/
http://www.semwebtech.org/mondial/10/source/Amudarja/
http://www.semwebtech.org/mondial/10/source/Salzach/
http://www.semwebtech.org/mondial/10/source/Pruth/
http://www.semwebtech.org/mondial/10/source/Uruguay/
http://www.semwebtech.org/mondial/10/source/Sobat/
http://www.semwebtech.org/mondial/10/source/Tobol/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/
http://www.semwebtech.org/mondial/10/source/Drau/
http://www.semwebtech.org/mondial/10/source/Ammer/
http://www.semwebtech.org/mondial/10/source/Tennessee/
http://www.semwebtech.org/mondial/10/source/Perene/
http://www.semwebtech.org/mondial/10/source/Piva/
http://www.semwebtech.org/mondial/10/source/SnowyRiver/
http://www.semwebtech.org/mondial/10/source/Indus/
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/source/Colorado/
http://www.semwebtech.org/mondial/10/source/Iller/
http://www.semwebtech.org/mondial/10/source/Zambezi/
http://www.semwebtech.org/mondial/10/source/YukonRiver/
http://www.semwebtech.org/mondial/10/source/Rhone/
http://www.semwebtech.org/mondial/10/source/Karun/
http://www.semwebtech.org/mondial/10/source/Würm/
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/
http://www.semwebtech.org/mondial/10/source/Tocantins/
http://www.semwebtech.org/mondial/10/source/Zaire/
http://www.semwebtech.org/mondial/10/source/Aruwimi/
http://www.semwebtech.org/mondial/10/source/Lena/
http://www.semwebtech.org/mondial/10/source/Reuss/
http://www.semwebtech.org/mondial/10/source/WesternMorava/
http://www.semwebtech.org/mondial/10/source/NorthernDwina/
http://www.semwebtech.org/mondial/10/source/WesternBug/
http://www.semwebtech.org/mondial/10/source/Paraguay/
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/
http://www.semwebtech.org/mondial/10/source/Mincio/
http://www.semwebtech.org/mondial/10/source/Isar/
http://www.semwebtech.org/mondial/10/source/Prypjat/
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/
http://www.semwebtech.org/mondial/10/source/Weser/
http://www.semwebtech.org/mondial/10/source/Loire/
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/
http://www.semwebtech.org/mondial/10/source/Tara/
http://www.semwebtech.org/mondial/10/source/Lomami/
http://www.semwebtech.org/mondial/10/source/RioGrande/
http://www.semwebtech.org/mondial/10/source/WesternDwina/
http://www.semwebtech.org/mondial/10/source/Luvua/
http://www.semwebtech.org/mondial/10/source/Adda/
http://www.semwebtech.org/mondial/10/source/RioNegro/
http://www.semwebtech.org/mondial/10/source/Ounasjoki/
http://www.semwebtech.org/mondial/10/source/Leine/
http://www.semwebtech.org/mondial/10/source/Bani/
http://www.semwebtech.org/mondial/10/source/Irtysch/
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/
http://www.semwebtech.org/mondial/10/mountain/Zhima/
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/
http://www.semwebtech.org/mondial/10/mountain/BenNevis/
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/
http://www.semwebtech.org/mondial/10/mountain/Tahan/
http://www.semwebtech.org/mondial/10/mountain/Joekul/
http://www.semwebtech.org/mondial/10/mountain/TirichMir/
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/
http://www.semwebtech.org/mondial/10/mountain/MtBona/
http://www.semwebtech.org/mondial/10/mountain/Kongur/
http://www.semwebtech.org/mondial/10/mountain/Feldberg/
http://www.semwebtech.org/mondial/10/mountain/Manaslu/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/
http://www.semwebtech.org/mondial/10/mountain/MtWashington/
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/
http://www.semwebtech.org/mondial/10/mountain/Musala/
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/
http://www.semwebtech.org/mondial/10/mountain/GranSasso/
http://www.semwebtech.org/mondial/10/mountain/Brocken/
http://www.semwebtech.org/mondial/10/mountain/Korab/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/
http://www.semwebtech.org/mondial/10/mountain/Glittertind/
http://www.semwebtech.org/mondial/10/mountain/Schchara/
http://www.semwebtech.org/mondial/10/mountain/Illampu/
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/
http://www.semwebtech.org/mondial/10/mountain/Annapurna/
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/
http://www.semwebtech.org/mondial/10/mountain/AsoRock/
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/
http://www.semwebtech.org/mondial/10/mountain/Dychtau/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/
http://www.semwebtech.org/mondial/10/mountain/Jezerce/
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/
http://www.semwebtech.org/mondial/10/mountain/MtElbert/
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/
http://www.semwebtech.org/mondial/10/mountain/Athos/
http://www.semwebtech.org/mondial/10/mountain/Makalu/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/
http://www.semwebtech.org/mondial/10/mountain/Illimani/
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/
http://www.semwebtech.org/mondial/10/mountain/Muztagata/
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/
http://www.semwebtech.org/mondial/10/mountain/Uluru/
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/
http://www.semwebtech.org/mondial/10/mountain/Ausangate/
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/
http://www.semwebtech.org/mondial/10/mountain/Olympos/
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/
http://www.semwebtech.org/mondial/10/mountain/Olymp/
http://www.semwebtech.org/mondial/10/mountain/MtRobson/
http://www.semwebtech.org/mondial/10/mountain/Kailash/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/
http://www.semwebtech.org/mondial/10/mountain/YuShan/
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/
http://www.semwebtech.org/mondial/10/mountain/K2/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/
http://www.semwebtech.org/mondial/10/mountain/MtLogan/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/
http://www.semwebtech.org/mondial/10/mountain/Huascaran/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/
http://www.semwebtech.org/mondial/10/estuary/Argun/
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/
http://www.semwebtech.org/mondial/10/estuary/Oranje/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/
http://www.semwebtech.org/mondial/10/estuary/Theiss/
http://www.semwebtech.org/mondial/10/estuary/Don/
http://www.semwebtech.org/mondial/10/estuary/Missouri/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/
http://www.semwebtech.org/mondial/10/estuary/Sanga/
http://www.semwebtech.org/mondial/10/estuary/Mincio/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/
http://www.semwebtech.org/mondial/10/estuary/Breg/
http://www.semwebtech.org/mondial/10/estuary/Dnepr/
http://www.semwebtech.org/mondial/10/estuary/Schari/
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/
http://www.semwebtech.org/mondial/10/estuary/Inn/
http://www.semwebtech.org/mondial/10/estuary/Lomami/
http://www.semwebtech.org/mondial/10/estuary/Bartang/
http://www.semwebtech.org/mondial/10/estuary/Amudarja/
http://www.semwebtech.org/mondial/10/estuary/Volga/
http://www.semwebtech.org/mondial/10/estuary/Lagen/
http://www.semwebtech.org/mondial/10/estuary/Tennessee/
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/
http://www.semwebtech.org/mondial/10/estuary/Pibor/
http://www.semwebtech.org/mondial/10/estuary/Save/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/
http://www.semwebtech.org/mondial/10/estuary/Buna/
http://www.semwebtech.org/mondial/10/estuary/Tajo/
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/
http://www.semwebtech.org/mondial/10/estuary/Cuilo/
http://www.semwebtech.org/mondial/10/estuary/Ili/
http://www.semwebtech.org/mondial/10/estuary/Sobat/
http://www.semwebtech.org/mondial/10/estuary/Tobol/
http://www.semwebtech.org/mondial/10/estuary/Tigris/
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/
http://www.semwebtech.org/mondial/10/estuary/Lualaba/
http://www.semwebtech.org/mondial/10/estuary/Hwangho/
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/
http://www.semwebtech.org/mondial/10/estuary/Irtysch/
http://www.semwebtech.org/mondial/10/estuary/Douro/
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/
http://www.semwebtech.org/mondial/10/estuary/Tocantins/
http://www.semwebtech.org/mondial/10/estuary/Vaal/
http://www.semwebtech.org/mondial/10/estuary/Ammer/
http://www.semwebtech.org/mondial/10/estuary/Chatanga/
http://www.semwebtech.org/mondial/10/estuary/Enns/
http://www.semwebtech.org/mondial/10/estuary/Atbara/
http://www.semwebtech.org/mondial/10/estuary/Dnister/
http://www.semwebtech.org/mondial/10/estuary/Saar/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/
http://www.semwebtech.org/mondial/10/estuary/Drau/
http://www.semwebtech.org/mondial/10/estuary/Ticino/
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/
http://www.semwebtech.org/mondial/10/estuary/Rhone/
http://www.semwebtech.org/mondial/10/estuary/Karun/
http://www.semwebtech.org/mondial/10/estuary/Limpopo/
http://www.semwebtech.org/mondial/10/estuary/Kama/
http://www.semwebtech.org/mondial/10/estuary/Zaire/
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/
http://www.semwebtech.org/mondial/10/estuary/Uelle/
http://www.semwebtech.org/mondial/10/estuary/Mekong/
http://www.semwebtech.org/mondial/10/estuary/Lech/
http://www.semwebtech.org/mondial/10/estuary/RioNegro/
http://www.semwebtech.org/mondial/10/estuary/Gambia/
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/
http://www.semwebtech.org/mondial/10/estuary/Karasu/
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/
http://www.semwebtech.org/mondial/10/estuary/Oka/
http://www.semwebtech.org/mondial/10/estuary/Loire/
http://www.semwebtech.org/mondial/10/estuary/Lukenie/
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/
http://www.semwebtech.org/mondial/10/estuary/Oder/
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/
http://www.semwebtech.org/mondial/10/estuary/Niger/
http://www.semwebtech.org/mondial/10/estuary/Maranon/
http://www.semwebtech.org/mondial/10/estuary/Glomma/
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/
http://www.semwebtech.org/mondial/10/estuary/Bomu/
http://www.semwebtech.org/mondial/10/estuary/Shabelle/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/
http://www.semwebtech.org/mondial/10/estuary/Leine/
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/
http://www.semwebtech.org/mondial/10/estuary/Parana/
http://www.semwebtech.org/mondial/10/estuary/Tara/
http://www.semwebtech.org/mondial/10/estuary/Urubamba/
http://www.semwebtech.org/mondial/10/estuary/Main/
http://www.semwebtech.org/mondial/10/estuary/Naryn/
http://www.semwebtech.org/mondial/10/estuary/RioLerma/
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/estuary/Lukuga/
http://www.semwebtech.org/mondial/10/estuary/Aller/
http://www.semwebtech.org/mondial/10/estuary/Ural/
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/estuary/Adda/
http://www.semwebtech.org/mondial/10/estuary/Amur/
http://www.semwebtech.org/mondial/10/estuary/Jordan/
http://www.semwebtech.org/mondial/10/estuary/Sanaga/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/
http://www.semwebtech.org/mondial/10/estuary/Fulda/
http://www.semwebtech.org/mondial/10/estuary/Raab/
http://www.semwebtech.org/mondial/10/estuary/Ob/
http://www.semwebtech.org/mondial/10/estuary/Narew/
http://www.semwebtech.org/mondial/10/estuary/Petschora/
http://www.semwebtech.org/mondial/10/estuary/BlueNile/
http://www.semwebtech.org/mondial/10/estuary/Waag/
http://www.semwebtech.org/mondial/10/estuary/Perene/
http://www.semwebtech.org/mondial/10/estuary/Ganges/
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/
http://www.semwebtech.org/mondial/10/estuary/Selenge/
http://www.semwebtech.org/mondial/10/estuary/Akagera/
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/estuary/Schilka/
http://www.semwebtech.org/mondial/10/estuary/Benue/
http://www.semwebtech.org/mondial/10/estuary/Brigach/
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/
http://www.semwebtech.org/mondial/10/estuary/Marne/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/
http://www.semwebtech.org/mondial/10/estuary/Baro/
http://www.semwebtech.org/mondial/10/estuary/Etsch/
http://www.semwebtech.org/mondial/10/estuary/Elbe/
http://www.semwebtech.org/mondial/10/estuary/Garonne/
http://www.semwebtech.org/mondial/10/estuary/Maas/
http://www.semwebtech.org/mondial/10/estuary/Werra/
http://www.semwebtech.org/mondial/10/estuary/Nile/
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/
http://www.semwebtech.org/mondial/10/estuary/Jenissej/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/estuary/Salzach/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/
http://www.semwebtech.org/mondial/10/estuary/Limmat/
http://www.semwebtech.org/mondial/10/estuary/Seine/
http://www.semwebtech.org/mondial/10/estuary/WesternBug/
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/
http://www.semwebtech.org/mondial/10/estuary/Arno/
http://www.semwebtech.org/mondial/10/estuary/Ruki/
http://www.semwebtech.org/mondial/10/estuary/Ebro/
http://www.semwebtech.org/mondial/10/estuary/Arkansas/
http://www.semwebtech.org/mondial/10/estuary/Moraca/
http://www.semwebtech.org/mondial/10/estuary/Narva/
http://www.semwebtech.org/mondial/10/estuary/Murgab/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/
http://www.semwebtech.org/mondial/10/estuary/Aare/
http://www.semwebtech.org/mondial/10/estuary/Katun/
http://www.semwebtech.org/mondial/10/estuary/Euphrat/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/
http://www.semwebtech.org/mondial/10/estuary/Alz/
http://www.semwebtech.org/mondial/10/estuary/Newa/
http://www.semwebtech.org/mondial/10/estuary/Swir/
http://www.semwebtech.org/mondial/10/estuary/March/
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/
http://www.semwebtech.org/mondial/10/estuary/Murat/
http://www.semwebtech.org/mondial/10/estuary/Suchona/
http://www.semwebtech.org/mondial/10/estuary/Okavango/
http://www.semwebtech.org/mondial/10/estuary/Pruth/
http://www.semwebtech.org/mondial/10/estuary/Prypjat/
http://www.semwebtech.org/mondial/10/estuary/Mississippi/
http://www.semwebtech.org/mondial/10/estuary/Kolyma/
http://www.semwebtech.org/mondial/10/estuary/Semliki/
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/
http://www.semwebtech.org/mondial/10/estuary/Moldau/
http://www.semwebtech.org/mondial/10/estuary/Po/
http://www.semwebtech.org/mondial/10/estuary/Lulua/
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/
http://www.semwebtech.org/mondial/10/estuary/Ischim/
http://www.semwebtech.org/mondial/10/estuary/Isere/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/
http://www.semwebtech.org/mondial/10/estuary/Busira/
http://www.semwebtech.org/mondial/10/estuary/RioMamore/
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/
http://www.semwebtech.org/mondial/10/estuary/Tambo/
http://www.semwebtech.org/mondial/10/estuary/Indus/
http://www.semwebtech.org/mondial/10/estuary/Colorado/
http://www.semwebtech.org/mondial/10/estuary/Iller/
http://www.semwebtech.org/mondial/10/estuary/Donau/
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/estuary/Cuango/
http://www.semwebtech.org/mondial/10/estuary/Volta/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/
http://www.semwebtech.org/mondial/10/estuary/Reuss/
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/estuary/Thames/
http://www.semwebtech.org/mondial/10/estuary/Ene/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/
http://www.semwebtech.org/mondial/10/estuary/Weichsel/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/
http://www.semwebtech.org/mondial/10/estuary/Asahan/
http://www.semwebtech.org/mondial/10/estuary/Weser/
http://www.semwebtech.org/mondial/10/estuary/Piva/
http://www.semwebtech.org/mondial/10/estuary/Luvua/
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/
http://www.semwebtech.org/mondial/10/estuary/Luapula/
http://www.semwebtech.org/mondial/10/estuary/Würm/
http://www.semwebtech.org/mondial/10/estuary/Saluen/
http://www.semwebtech.org/mondial/10/estuary/Lena/
http://www.semwebtech.org/mondial/10/estuary/Huallaga/
http://www.semwebtech.org/mondial/10/estuary/Jubba/
http://www.semwebtech.org/mondial/10/estuary/Rhein/
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/
http://www.semwebtech.org/mondial/10/estuary/Chire/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/estuary/Isar/
http://www.semwebtech.org/mondial/10/estuary/Morava/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/
http://www.semwebtech.org/mondial/10/estuary/Angara/
http://www.semwebtech.org/mondial/10/estuary/Ucayali/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/
http://www.semwebtech.org/mondial/10/estuary/Neckar/
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/
http://www.semwebtech.org/mondial/10/estuary/Bani/
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/
http://www.semwebtech.org/mondial/10/estuary/Mantaro/
http://www.semwebtech.org/mondial/10/estuary/Kura/
http://www.semwebtech.org/mondial/10/estuary/Drin/
http://www.semwebtech.org/mondial/10/estuary/Kasai/
http://www.semwebtech.org/mondial/10/estuary/Drina/
http://www.semwebtech.org/mondial/10/estuary/Apurimac/
http://www.semwebtech.org/mondial/10/estuary/Saone/
http://www.semwebtech.org/mondial/10/estuary/Olt/
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/
http://www.semwebtech.org/mondial/10/estuary/Kwa/
http://www.semwebtech.org/mondial/10/estuary/Senegal/
http://www.semwebtech.org/mondial/10/estuary/Orinoco/
http://www.semwebtech.org/mondial/10/estuary/Doubs/
http://www.semwebtech.org/mondial/10/estuary/Fimi/
http://www.semwebtech.org/mondial/10/estuary/Tiber/
http://www.semwebtech.org/mondial/10/estuary/Mosel/
http://www.semwebtech.org/mondial/10/estuary/Mur/
http://www.semwebtech.org/mondial/10/desert/Sonora/
http://www.semwebtech.org/mondial/10/desert/Tenere/
http://www.semwebtech.org/mondial/10/desert/Talak/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/
http://www.semwebtech.org/mondial/10/desert/Karakum/
http://www.semwebtech.org/mondial/10/desert/Trarza/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/
http://www.semwebtech.org/mondial/10/desert/Ferlo/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/
http://www.semwebtech.org/mondial/10/desert/Negev/
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/
http://www.semwebtech.org/mondial/10/desert/Thar/
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/
http://www.semwebtech.org/mondial/10/desert/Gobi/
http://www.semwebtech.org/mondial/10/desert/Namib/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/
http://www.semwebtech.org/mondial/10/desert/KumTagh/
http://www.semwebtech.org/mondial/10/desert/Rigestan/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/
http://www.semwebtech.org/mondial/10/desert/UstUrt/
http://www.semwebtech.org/mondial/10/desert/Mojave/
http://www.semwebtech.org/mondial/10/desert/RedCentre/
http://www.semwebtech.org/mondial/10/desert/Ryn/
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/
http://www.semwebtech.org/mondial/10/desert/Kalahari/
http://www.semwebtech.org/mondial/10/desert/Darfur/
http://www.semwebtech.org/mondial/10/desert/Owyhee/
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/
http://www.semwebtech.org/mondial/10/desert/Fesan/
http://www.semwebtech.org/mondial/10/desert/NubianDesert/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/
http://www.semwebtech.org/mondial/10/desert/ErgChech/
http://www.semwebtech.org/mondial/10/desert/Nefud/
http://www.semwebtech.org/mondial/10/desert/Atacama/
http://www.semwebtech.org/mondial/10/desert/Ordos/
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/
http://www.semwebtech.org/mondial/10/desert/Tanami/
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/
http://www.semwebtech.org/mondial/10/desert/Djourab/
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/
http://www.semwebtech.org/mondial/10/desert/Qaidam/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/
http://www.semwebtech.org/mondial/10/islands/Seychelles/
http://www.semwebtech.org/mondial/10/islands/CaymanIslands/
http://www.semwebtech.org/mondial/10/islands/ElliceIslands/
http://www.semwebtech.org/mondial/10/islands/NewCaledonia/
http://www.semwebtech.org/mondial/10/islands/ScillyIslands/
http://www.semwebtech.org/mondial/10/islands/InnerHebrides/
http://www.semwebtech.org/mondial/10/islands/OuterHebrides/
http://www.semwebtech.org/mondial/10/islands/Malta/
http://www.semwebtech.org/mondial/10/islands/LipariIslands/
http://www.semwebtech.org/mondial/10/islands/BermudaIslands/
http://www.semwebtech.org/mondial/10/islands/Kyklades/
http://www.semwebtech.org/mondial/10/islands/CapeVerdes/
http://www.semwebtech.org/mondial/10/islands/WallisIslands/
http://www.semwebtech.org/mondial/10/islands/FaroeIslands/
http://www.semwebtech.org/mondial/10/islands/Tokelau/
http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/
http://www.semwebtech.org/mondial/10/islands/MarianaIslands/
http://www.semwebtech.org/mondial/10/islands/MarshallIslands/
http://www.semwebtech.org/mondial/10/islands/AndamanIslands/
http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/
http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/
http://www.semwebtech.org/mondial/10/islands/Laccadives/
http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/
http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/
http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/
http://www.semwebtech.org/mondial/10/islands/LesserAntilles/
http://www.semwebtech.org/mondial/10/islands/CocosIslands/
http://www.semwebtech.org/mondial/10/islands/FalklandIslands/
http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/
http://www.semwebtech.org/mondial/10/islands/SamoanIslands/
http://www.semwebtech.org/mondial/10/islands/SundaIslands/
http://www.semwebtech.org/mondial/10/islands/Aleutes/
http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/
http://www.semwebtech.org/mondial/10/islands/NewZealand/
http://www.semwebtech.org/mondial/10/islands/Maldives/
http://www.semwebtech.org/mondial/10/islands/Sporades/
http://www.semwebtech.org/mondial/10/islands/SolomonIslands/
http://www.semwebtech.org/mondial/10/islands/Baleares/
http://www.semwebtech.org/mondial/10/islands/CookIslands/
http://www.semwebtech.org/mondial/10/islands/GilbertIslands/
http://www.semwebtech.org/mondial/10/islands/Vanuatu/
http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/
http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/
http://www.semwebtech.org/mondial/10/islands/Madeira/
http://www.semwebtech.org/mondial/10/islands/Comores/
http://www.semwebtech.org/mondial/10/islands/BritishIsles/
http://www.semwebtech.org/mondial/10/islands/BahamaIslands/
http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/
http://www.semwebtech.org/mondial/10/islands/IonicIslands/
http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/
http://www.semwebtech.org/mondial/10/islands/AlandIslands/
http://www.semwebtech.org/mondial/10/islands/Lofotes/
http://www.semwebtech.org/mondial/10/islands/TongaIslands/
http://www.semwebtech.org/mondial/10/islands/RiauIslands/
http://www.semwebtech.org/mondial/10/islands/FutunaIslands/
http://www.semwebtech.org/mondial/10/islands/Azores/
http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/
http://www.semwebtech.org/mondial/10/islands/Curiles/
http://www.semwebtech.org/mondial/10/islands/FijiIslands/
http://www.semwebtech.org/mondial/10/islands/Carolines/
http://www.semwebtech.org/mondial/10/islands/Philipines/
http://www.semwebtech.org/mondial/10/islands/Japan/
http://www.semwebtech.org/mondial/10/islands/Svalbard/
http://www.semwebtech.org/mondial/10/islands/Canares/
http://www.semwebtech.org/mondial/10/islands/ChannelIslands/
http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/
http://www.semwebtech.org/mondial/10/islands/LineIslands/
http://www.semwebtech.org/mondial/10/islands/Galapagos/
http://www.semwebtech.org/mondial/10/mountains/Azbine/
http://www.semwebtech.org/mondial/10/mountains/Sinai/
http://www.semwebtech.org/mondial/10/mountains/Hawaii/
http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/
http://www.semwebtech.org/mondial/10/mountains/Corse/
http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/
http://www.semwebtech.org/mondial/10/mountains/AleutianRange/
http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/
http://www.semwebtech.org/mondial/10/mountains/Himalaya/
http://www.semwebtech.org/mondial/10/mountains/Karakorum/
http://www.semwebtech.org/mondial/10/mountains/Karpaten/
http://www.semwebtech.org/mondial/10/mountains/Troodos/
http://www.semwebtech.org/mondial/10/mountains/Vogesen/
http://www.semwebtech.org/mondial/10/mountains/WestGhats/
http://www.semwebtech.org/mondial/10/mountains/Madeira/
http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/
http://www.semwebtech.org/mondial/10/mountains/Kamchatka/
http://www.semwebtech.org/mondial/10/mountains/Amhara/
http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/
http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/
http://www.semwebtech.org/mondial/10/mountains/Kurdistan/
http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/
http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/
http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/
http://www.semwebtech.org/mondial/10/mountains/Lebanon/
http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/
http://www.semwebtech.org/mondial/10/mountains/RockyMountains/
http://www.semwebtech.org/mondial/10/mountains/BlackForest/
http://www.semwebtech.org/mondial/10/mountains/Harz/
http://www.semwebtech.org/mondial/10/mountains/CoastMountains/
http://www.semwebtech.org/mondial/10/mountains/Rhön/
http://www.semwebtech.org/mondial/10/mountains/Cevennes/
http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/
http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/
http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/
http://www.semwebtech.org/mondial/10/mountains/Pyrenees/
http://www.semwebtech.org/mondial/10/mountains/Atlas/
http://www.semwebtech.org/mondial/10/mountains/Altai/
http://www.semwebtech.org/mondial/10/mountains/Zagros/
http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/
http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/
http://www.semwebtech.org/mondial/10/mountains/Darfur/
http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/
http://www.semwebtech.org/mondial/10/mountains/Kaukasus/
http://www.semwebtech.org/mondial/10/mountains/EliasRange/
http://www.semwebtech.org/mondial/10/mountains/Drakensberge/
http://www.semwebtech.org/mondial/10/mountains/Apennin/
http://www.semwebtech.org/mondial/10/mountains/Antitaurus/
http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/
http://www.semwebtech.org/mondial/10/mountains/TianShan/
http://www.semwebtech.org/mondial/10/mountains/Vosges/
http://www.semwebtech.org/mondial/10/mountains/Jura/
http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/
http://www.semwebtech.org/mondial/10/mountains/Elburs/
http://www.semwebtech.org/mondial/10/mountains/Tibesti/
http://www.semwebtech.org/mondial/10/mountains/Crete/
http://www.semwebtech.org/mondial/10/mountains/Ural/
http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/
http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/
http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/
http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/
http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/
http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/
http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/
http://www.semwebtech.org/mondial/10/mountains/Pamir/
http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/
http://www.semwebtech.org/mondial/10/mountains/Balkan/
http://www.semwebtech.org/mondial/10/mountains/Kunlun/
http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/
http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/
http://www.semwebtech.org/mondial/10/mountains/Azores/
http://www.semwebtech.org/mondial/10/mountains/Changbai/
http://www.semwebtech.org/mondial/10/mountains/Ahaggar/
http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/
http://www.semwebtech.org/mondial/10/mountains/Rif/
http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/
http://www.semwebtech.org/mondial/10/mountains/Taurus/
http://www.semwebtech.org/mondial/10/mountains/CascadeRange/
http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/
http://www.semwebtech.org/mondial/10/mountains/Beskides/
http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/
http://www.semwebtech.org/mondial/10/mountains/Grampians/
http://www.semwebtech.org/mondial/10/mountains/SierraParima/
http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/
http://www.semwebtech.org/mondial/10/mountains/Hindukusch/
http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/
http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/
http://www.semwebtech.org/mondial/10/mountains/Adirondacks/
http://www.semwebtech.org/mondial/10/mountains/SierraMadre/
http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/
http://www.semwebtech.org/mondial/10/continent/Africa/
http://www.semwebtech.org/mondial/10/continent/Asia/
http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
http://www.semwebtech.org/mondial/10/continent/America/
http://www.semwebtech.org/mondial/10/continent/Europe/
http://www.semwebtech.org/mondial/10/island/LaPalma/
http://www.semwebtech.org/mondial/10/island/EasterIsland/
http://www.semwebtech.org/mondial/10/island/SaintLucia/
http://www.semwebtech.org/mondial/10/island/Providenciales/
http://www.semwebtech.org/mondial/10/island/VitiLevu/
http://www.semwebtech.org/mondial/10/island/BanksIsland/
http://www.semwebtech.org/mondial/10/island/Tasmania/
http://www.semwebtech.org/mondial/10/island/Lavan/
http://www.semwebtech.org/mondial/10/island/SaintPierre/
http://www.semwebtech.org/mondial/10/island/Gheschm/
http://www.semwebtech.org/mondial/10/island/Newfoundland/
http://www.semwebtech.org/mondial/10/island/Oeland/
http://www.semwebtech.org/mondial/10/island/SaoTome/
http://www.semwebtech.org/mondial/10/island/Efate/
http://www.semwebtech.org/mondial/10/island/Corse/
http://www.semwebtech.org/mondial/10/island/Impalila/
http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/island/Niue/
http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/
http://www.semwebtech.org/mondial/10/island/Fakaofo/
http://www.semwebtech.org/mondial/10/island/CaymanBrac/
http://www.semwebtech.org/mondial/10/island/Helgoland/
http://www.semwebtech.org/mondial/10/island/Guam/
http://www.semwebtech.org/mondial/10/island/Guernsey/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/
http://www.semwebtech.org/mondial/10/island/Westray/
http://www.semwebtech.org/mondial/10/island/Filicudi/
http://www.semwebtech.org/mondial/10/island/Langeoog/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/
http://www.semwebtech.org/mondial/10/island/Hierro/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/island/Nantucket/
http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/island/Khark/
http://www.semwebtech.org/mondial/10/island/Bali/
http://www.semwebtech.org/mondial/10/island/Norderney/
http://www.semwebtech.org/mondial/10/island/Bornholm/
http://www.semwebtech.org/mondial/10/island/Mohilla/
http://www.semwebtech.org/mondial/10/island/Samar/
http://www.semwebtech.org/mondial/10/island/PulauPanjang/
http://www.semwebtech.org/mondial/10/island/Mauritius/
http://www.semwebtech.org/mondial/10/island/Sardegna/
http://www.semwebtech.org/mondial/10/island/Oesel/
http://www.semwebtech.org/mondial/10/island/Menorca/
http://www.semwebtech.org/mondial/10/island/Lesbos/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/
http://www.semwebtech.org/mondial/10/island/Nauru/
http://www.semwebtech.org/mondial/10/island/Dagoe/
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/
http://www.semwebtech.org/mondial/10/island/Hainan/
http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/island/Hokkaido/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/
http://www.semwebtech.org/mondial/10/island/Oahu/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/
http://www.semwebtech.org/mondial/10/island/Fuenen/
http://www.semwebtech.org/mondial/10/island/Pemba/
http://www.semwebtech.org/mondial/10/island/Majuro/
http://www.semwebtech.org/mondial/10/island/Usedom/
http://www.semwebtech.org/mondial/10/island/Manitoulin/
http://www.semwebtech.org/mondial/10/island/Falster/
http://www.semwebtech.org/mondial/10/island/Uvea/
http://www.semwebtech.org/mondial/10/island/Krakatau/
http://www.semwebtech.org/mondial/10/island/Upolu/
http://www.semwebtech.org/mondial/10/island/Korfu/
http://www.semwebtech.org/mondial/10/island/Sumbawa/
http://www.semwebtech.org/mondial/10/island/Santiago/
http://www.semwebtech.org/mondial/10/island/SaoJorge/
http://www.semwebtech.org/mondial/10/island/Jersey/
http://www.semwebtech.org/mondial/10/island/BishopRock/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/
http://www.semwebtech.org/mondial/10/island/GrandeTerre/
http://www.semwebtech.org/mondial/10/island/Jamaica/
http://www.semwebtech.org/mondial/10/island/Curacao/
http://www.semwebtech.org/mondial/10/island/Mull/
http://www.semwebtech.org/mondial/10/island/Barbuda/
http://www.semwebtech.org/mondial/10/island/Gotland/
http://www.semwebtech.org/mondial/10/island/MargitSziget/
http://www.semwebtech.org/mondial/10/island/GrandTurk/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/
http://www.semwebtech.org/mondial/10/island/SouthUist/
http://www.semwebtech.org/mondial/10/island/Antigua/
http://www.semwebtech.org/mondial/10/island/Panay/
http://www.semwebtech.org/mondial/10/island/Ibiza/
http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/island/Ternate/
http://www.semwebtech.org/mondial/10/island/Islay/
http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/island/KoSamui/
http://www.semwebtech.org/mondial/10/island/Kreta/
http://www.semwebtech.org/mondial/10/island/Texel/
http://www.semwebtech.org/mondial/10/island/Leyte/
http://www.semwebtech.org/mondial/10/island/Zhoushan/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/
http://www.semwebtech.org/mondial/10/island/Banaba/
http://www.semwebtech.org/mondial/10/island/Koror/
http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/island/Terschelling/
http://www.semwebtech.org/mondial/10/island/Paramuschir/
http://www.semwebtech.org/mondial/10/island/Guadalcanal/
http://www.semwebtech.org/mondial/10/island/WestFalkland/
http://www.semwebtech.org/mondial/10/island/Kauai/
http://www.semwebtech.org/mondial/10/island/Gomera/
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/island/Malta/
http://www.semwebtech.org/mondial/10/island/Tinian/
http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/island/Borkum/
http://www.semwebtech.org/mondial/10/island/Arran/
http://www.semwebtech.org/mondial/10/island/Bougainville/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/
http://www.semwebtech.org/mondial/10/island/Lombok/
http://www.semwebtech.org/mondial/10/island/NewProvidence/
http://www.semwebtech.org/mondial/10/island/Negros/
http://www.semwebtech.org/mondial/10/island/Lanai/
http://www.semwebtech.org/mondial/10/island/Saipan/
http://www.semwebtech.org/mondial/10/island/Teneriffa/
http://www.semwebtech.org/mondial/10/island/Batam/
http://www.semwebtech.org/mondial/10/island/SaintKitts/
http://www.semwebtech.org/mondial/10/island/Tarawa/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/
http://www.semwebtech.org/mondial/10/island/Tortola/
http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/island/Tongatapu/
http://www.semwebtech.org/mondial/10/island/Alicudi/
http://www.semwebtech.org/mondial/10/island/Timor/
http://www.semwebtech.org/mondial/10/island/Mayotte/
http://www.semwebtech.org/mondial/10/island/NorthCaicos/
http://www.semwebtech.org/mondial/10/island/Mahe/
http://www.semwebtech.org/mondial/10/island/Halmahera/
http://www.semwebtech.org/mondial/10/island/Rugen/
http://www.semwebtech.org/mondial/10/island/Formentera/
http://www.semwebtech.org/mondial/10/island/Ponape/
http://www.semwebtech.org/mondial/10/island/Lefkas/
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/
http://www.semwebtech.org/mondial/10/island/Reunion/
http://www.semwebtech.org/mondial/10/island/Fongafale/
http://www.semwebtech.org/mondial/10/island/SaintThomas/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/
http://www.semwebtech.org/mondial/10/island/DevonIsland/
http://www.semwebtech.org/mondial/10/island/GrandBermuda/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/
http://www.semwebtech.org/mondial/10/island/Samosir/
http://www.semwebtech.org/mondial/10/island/Skye/
http://www.semwebtech.org/mondial/10/island/Rarotonga/
http://www.semwebtech.org/mondial/10/island/SantaMaria/
http://www.semwebtech.org/mondial/10/island/Hoy/
http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/island/Palawan/
http://www.semwebtech.org/mondial/10/island/Kiritimati/
http://www.semwebtech.org/mondial/10/island/Olkhon/
http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/island/IsleofMan/
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/
http://www.semwebtech.org/mondial/10/island/Phuket/
http://www.semwebtech.org/mondial/10/island/Principe/
http://www.semwebtech.org/mondial/10/island/VanuaLevu/
http://www.semwebtech.org/mondial/10/island/Lolland/
http://www.semwebtech.org/mondial/10/island/IsleofWight/
http://www.semwebtech.org/mondial/10/island/Futuna/
http://www.semwebtech.org/mondial/10/island/Langeland/
http://www.semwebtech.org/mondial/10/island/Ceram/
http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/island/LittleCayman/
http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/island/Singapore/
http://www.semwebtech.org/mondial/10/island/NorthUist/
http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/island/Ascension/
http://www.semwebtech.org/mondial/10/island/Molokai/
http://www.semwebtech.org/mondial/10/island/Ambon/
http://www.semwebtech.org/mondial/10/island/Montserrat/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/
http://www.semwebtech.org/mondial/10/island/Trinidad/
http://www.semwebtech.org/mondial/10/island/Unalaska/
http://www.semwebtech.org/mondial/10/island/Gozo/
http://www.semwebtech.org/mondial/10/island/Hawaii/
http://www.semwebtech.org/mondial/10/island/Babelthuap/
http://www.semwebtech.org/mondial/10/island/Barra/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/
http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/island/Kavaratti/
http://www.semwebtech.org/mondial/10/island/Lampedusa/
http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/island/Bintan/
http://www.semwebtech.org/mondial/10/island/PortoSanto/
http://www.semwebtech.org/mondial/10/island/Fohr/
http://www.semwebtech.org/mondial/10/island/Linosa/
http://www.semwebtech.org/mondial/10/island/Tahiti/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/
http://www.semwebtech.org/mondial/10/island/Sokotra/
http://www.semwebtech.org/mondial/10/island/St.Martin/
http://www.semwebtech.org/mondial/10/island/Pitcairn/
http://www.semwebtech.org/mondial/10/island/Madeira/
http://www.semwebtech.org/mondial/10/island/Tobago/
http://www.semwebtech.org/mondial/10/island/Juist/
http://www.semwebtech.org/mondial/10/island/Svalbard/
http://www.semwebtech.org/mondial/10/island/Sylt/
http://www.semwebtech.org/mondial/10/island/Bangka/
http://www.semwebtech.org/mondial/10/island/Rhum/
http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/
http://www.semwebtech.org/mondial/10/island/Zakynthos/
http://www.semwebtech.org/mondial/10/island/Faial/
http://www.semwebtech.org/mondial/10/island/Wangerooge/
http://www.semwebtech.org/mondial/10/island/Lipari/
http://www.semwebtech.org/mondial/10/island/Anguilla/
http://www.semwebtech.org/mondial/10/island/Grenada/
http://www.semwebtech.org/mondial/10/island/Nevis/
http://www.semwebtech.org/mondial/10/island/Barbados/
http://www.semwebtech.org/mondial/10/island/Fogo/
http://www.semwebtech.org/mondial/10/island/Niihau/
http://www.semwebtech.org/mondial/10/island/Panarea/
http://www.semwebtech.org/mondial/10/island/Rhodos/
http://www.semwebtech.org/mondial/10/island/Pellworm/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/
http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/island/Samos/
http://www.semwebtech.org/mondial/10/island/Lanzarote/
http://www.semwebtech.org/mondial/10/island/Jura/
http://www.semwebtech.org/mondial/10/island/Kefallinia/
http://www.semwebtech.org/mondial/10/island/Syros/
http://www.semwebtech.org/mondial/10/island/Chios/
http://www.semwebtech.org/mondial/10/island/Graciosa/
http://www.semwebtech.org/mondial/10/island/Terceira/
http://www.semwebtech.org/mondial/10/island/Maui/
http://www.semwebtech.org/mondial/10/island/Baltrum/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/
http://www.semwebtech.org/mondial/10/island/Corvo/
http://www.semwebtech.org/mondial/10/island/Isabela/
http://www.semwebtech.org/mondial/10/island/Bioko/
http://www.semwebtech.org/mondial/10/island/Flores/
http://www.semwebtech.org/mondial/10/island/Pico/
http://www.semwebtech.org/mondial/10/island/SaintVincent/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/
http://www.semwebtech.org/mondial/10/island/Stromboli/
http://www.semwebtech.org/mondial/10/island/Anglesey/
http://www.semwebtech.org/mondial/10/island/Sachalin/
http://www.semwebtech.org/mondial/10/island/Mindoro/
http://www.semwebtech.org/mondial/10/island/Tiree/
http://www.semwebtech.org/mondial/10/island/Mykonos/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/
http://www.semwebtech.org/mondial/10/island/Ameland/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/
http://www.semwebtech.org/mondial/10/island/Labuan/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/
http://www.semwebtech.org/mondial/10/island/Cebu/
http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/island/EastFalkland/
http://www.semwebtech.org/mondial/10/island/Savaii/
http://www.semwebtech.org/mondial/10/island/Fehmarn/
http://www.semwebtech.org/mondial/10/island/Ikaria/
http://www.semwebtech.org/mondial/10/island/Benbecula/
http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/island/Streymoy/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/
http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/
http://www.semwebtech.org/mondial/10/island/Salina/
http://www.semwebtech.org/mondial/10/island/Mallorca/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/
http://www.semwebtech.org/mondial/10/island/Martinique/
http://www.semwebtech.org/mondial/10/island/Tutuila/
http://www.semwebtech.org/mondial/10/island/Vulcano/
http://www.semwebtech.org/mondial/10/island/GranCanaria/
http://www.semwebtech.org/mondial/10/island/Male/
http://www.semwebtech.org/mondial/10/island/Greenland/
http://www.semwebtech.org/mondial/10/island/Kos/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/
http://www.semwebtech.org/mondial/10/island/Okinawa/
http://www.semwebtech.org/mondial/10/island/Aland/
http://www.semwebtech.org/mondial/10/island/GrandComoro/
http://www.semwebtech.org/mondial/10/island/Bahrain/
http://www.semwebtech.org/mondial/10/island/Jeju/
http://www.semwebtech.org/mondial/10/island/Aruba/
http://www.semwebtech.org/mondial/10/island/Amrum/
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/
http://www.semwebtech.org/mondial/10/island/Rota/
http://www.semwebtech.org/mondial/10/island/Bohol/
http://www.semwebtech.org/mondial/10/island/GrandCayman/
http://www.semwebtech.org/mondial/10/island/Dominica/
http://www.semwebtech.org/mondial/10/island/Vlieland/
http://www.semwebtech.org/mondial/10/island/Anjouan/
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/
http://www.semwebtech.org/mondial/10/island/SriLanka/
http://www.semwebtech.org/mondial/10/island/LongIsland/
http://www.semwebtech.org/mondial/10/island/SanAndres/
http://www.semwebtech.org/mondial/10/island/SaintHelena/
http://www.semwebtech.org/mondial/10/lake/Inari/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/
http://www.semwebtech.org/mondial/10/river/Guadiana/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/river/Mantaro/
http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/river/Garonne/
http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/
http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/river/Salzach/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/
http://www.semwebtech.org/mondial/10/river/Doubs/
http://www.semwebtech.org/mondial/10/river/Oranje/
http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/
http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/
http://www.semwebtech.org/mondial/10/river/Theiss/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/
http://www.semwebtech.org/mondial/10/river/Newa/
http://www.semwebtech.org/mondial/10/river/Swir/
http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/
http://www.semwebtech.org/mondial/10/lake/PyramidLake/
http://www.semwebtech.org/mondial/10/river/Drina/
http://www.semwebtech.org/mondial/10/river/Tiber/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/river/Saone/
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/
http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/lake/LakeToba/
http://www.semwebtech.org/mondial/10/river/NelsonRiver/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/
http://www.semwebtech.org/mondial/10/river/Schari/
http://www.semwebtech.org/mondial/10/river/Manicouagan/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/
http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/river/Araguaia/
http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/river/Argun/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/
http://www.semwebtech.org/mondial/10/river/Aruwimi/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/
http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/river/Sanga/
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/
http://www.semwebtech.org/mondial/10/river/BlackDrin/
http://www.semwebtech.org/mondial/10/river/Kemijoki/
http://www.semwebtech.org/mondial/10/river/Okavango/
http://www.semwebtech.org/mondial/10/river/Prypjat/
http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/
http://www.semwebtech.org/mondial/10/river/Semliki/
http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/river/Oulujoki/
http://www.semwebtech.org/mondial/10/river/Petschora/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/
http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/river/Kwa/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/
http://www.semwebtech.org/mondial/10/lake/Thunersee/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/
http://www.semwebtech.org/mondial/10/river/WhiteDrin/
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/
http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/river/Piva/
http://www.semwebtech.org/mondial/10/river/Atbara/
http://www.semwebtech.org/mondial/10/river/Lagen/
http://www.semwebtech.org/mondial/10/river/Mur/
http://www.semwebtech.org/mondial/10/river/Pibor/
http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/river/Sobat/
http://www.semwebtech.org/mondial/10/river/Lena/
http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/river/Ammer/
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/
http://www.semwebtech.org/mondial/10/river/Karasu/
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/
http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/river/Isar/
http://www.semwebtech.org/mondial/10/river/VictoriaNile/
http://www.semwebtech.org/mondial/10/river/Inn/
http://www.semwebtech.org/mondial/10/lake/LopNor/
http://www.semwebtech.org/mondial/10/river/Limpopo/
http://www.semwebtech.org/mondial/10/river/Glomma/
http://www.semwebtech.org/mondial/10/river/Guadalquivir/
http://www.semwebtech.org/mondial/10/river/Umeaelv/
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/
http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/river/Bani/
http://www.semwebtech.org/mondial/10/river/Karun/
http://www.semwebtech.org/mondial/10/river/Urubamba/
http://www.semwebtech.org/mondial/10/river/Lukenie/
http://www.semwebtech.org/mondial/10/river/Lukuga/
http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/river/Uelle/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/river/Kymijoki/
http://www.semwebtech.org/mondial/10/river/Colorado/
http://www.semwebtech.org/mondial/10/river/Ticino/
http://www.semwebtech.org/mondial/10/river/Ruzizi/
http://www.semwebtech.org/mondial/10/river/Cuilo/
http://www.semwebtech.org/mondial/10/river/Würm/
http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/river/Alz/
http://www.semwebtech.org/mondial/10/river/Fimi/
http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/river/Luapula/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/
http://www.semwebtech.org/mondial/10/river/Leine/
http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/river/Naryn/
http://www.semwebtech.org/mondial/10/river/Huallaga/
http://www.semwebtech.org/mondial/10/river/Ili/
http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/river/Jordan/
http://www.semwebtech.org/mondial/10/river/Sanaga/
http://www.semwebtech.org/mondial/10/river/Perene/
http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/river/Aller/
http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/lake/Siljan/
http://www.semwebtech.org/mondial/10/lake/LakePowell/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/
http://www.semwebtech.org/mondial/10/lake/LagodiComo/
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/
http://www.semwebtech.org/mondial/10/lake/DeadSea/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/
http://www.semwebtech.org/mondial/10/river/Ounasjoki/
http://www.semwebtech.org/mondial/10/river/Apurimac/
http://www.semwebtech.org/mondial/10/river/Breg/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/
http://www.semwebtech.org/mondial/10/river/Fulda/
http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/river/Goetaaelv/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/river/Narew/
http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/river/Limmat/
http://www.semwebtech.org/mondial/10/river/Vuoksi/
http://www.semwebtech.org/mondial/10/river/Mincio/
http://www.semwebtech.org/mondial/10/river/RioMadeira/
http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/river/Dnjestr/
http://www.semwebtech.org/mondial/10/river/Moraca/
http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/lake/Poopo/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/
http://www.semwebtech.org/mondial/10/lake/Chiemsee/
http://www.semwebtech.org/mondial/10/river/Pjandsh/
http://www.semwebtech.org/mondial/10/river/Marne/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/
http://www.semwebtech.org/mondial/10/river/Lomami/
http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/river/Murgab/
http://www.semwebtech.org/mondial/10/river/Buna/
http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/river/Werra/
http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/
http://www.semwebtech.org/mondial/10/river/Vaal/
http://www.semwebtech.org/mondial/10/river/Bartang/
http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/river/Amudarja/
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/
http://www.semwebtech.org/mondial/10/river/Enns/
http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/river/Kolyma/
http://www.semwebtech.org/mondial/10/river/Saar/
http://www.semwebtech.org/mondial/10/river/Moldau/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/
http://www.semwebtech.org/mondial/10/river/Narva/
http://www.semwebtech.org/mondial/10/river/Suchona/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/
http://www.semwebtech.org/mondial/10/river/Ischim/
http://www.semwebtech.org/mondial/10/river/Katun/
http://www.semwebtech.org/mondial/10/river/Busira/
http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/river/WesternMorava/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/
http://www.semwebtech.org/mondial/10/river/Dalaelv/
http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/river/Bomu/
http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/river/March/
http://www.semwebtech.org/mondial/10/river/Lech/
http://www.semwebtech.org/mondial/10/river/Murat/
http://www.semwebtech.org/mondial/10/river/Gambia/
http://www.semwebtech.org/mondial/10/river/YukonRiver/
http://www.semwebtech.org/mondial/10/river/Chatanga/
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/
http://www.semwebtech.org/mondial/10/river/Pruth/
http://www.semwebtech.org/mondial/10/river/Cuango/
http://www.semwebtech.org/mondial/10/river/Dnister/
http://www.semwebtech.org/mondial/10/river/WhiteNile/
http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/river/Isere/
http://www.semwebtech.org/mondial/10/river/WesternDwina/
http://www.semwebtech.org/mondial/10/river/Paraguay/
http://www.semwebtech.org/mondial/10/river/WesternBug/
http://www.semwebtech.org/mondial/10/river/Lulua/
http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/river/Asahan/
http://www.semwebtech.org/mondial/10/river/Tara/
http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/river/Tambo/
http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/river/Iller/
http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/river/RioNegro/
http://www.semwebtech.org/mondial/10/river/Adda/
http://www.semwebtech.org/mondial/10/river/Klaraelv/
http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/
http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/river/Saluen/
http://www.semwebtech.org/mondial/10/river/Volta/
http://www.semwebtech.org/mondial/10/river/Tshuapa/
http://www.semwebtech.org/mondial/10/river/Maranon/
http://www.semwebtech.org/mondial/10/river/Reuss/
http://www.semwebtech.org/mondial/10/river/Raab/
http://www.semwebtech.org/mondial/10/river/Shabelle/
http://www.semwebtech.org/mondial/10/river/Morava/
http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/
http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/river/RioLerma/
http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/river/Luvua/
http://www.semwebtech.org/mondial/10/river/Baro/
http://www.semwebtech.org/mondial/10/river/Kura/
http://www.semwebtech.org/mondial/10/river/Drin/
http://www.semwebtech.org/mondial/10/river/RioMamore/
http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/river/Jubba/
http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/river/Chire/
http://www.semwebtech.org/mondial/10/river/Ucayali/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/
http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/river/Ene/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/river/Arno/
http://www.semwebtech.org/mondial/10/river/Ruki/
http://www.semwebtech.org/mondial/10/river/Selenge/
http://www.semwebtech.org/mondial/10/river/Ebro/
http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/river/Akagera/
http://www.semwebtech.org/mondial/10/river/Schilka/
http://www.semwebtech.org/mondial/10/river/Brigach/
http://www.semwebtech.org/mondial/10/river/Thjorsa/
http://www.semwebtech.org/mondial/10/lake/LakeVan/
http://www.semwebtech.org/mondial/10/lake/Bodensee/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/
http://www.semwebtech.org/mondial/10/lake/Saimaa/
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/
http://www.semwebtech.org/mondial/10/lake/Brienzersee/
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/
http://www.semwebtech.org/mondial/10/lake/LakeTana/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/
http://www.semwebtech.org/mondial/10/lake/LakeEyre/
http://www.semwebtech.org/mondial/10/lake/LochNess/
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/
http://www.semwebtech.org/mondial/10/lake/Arresoe/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/lake/LakeHume/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/
http://www.semwebtech.org/mondial/10/lake/Vaettern/
http://www.semwebtech.org/mondial/10/lake/Storuman/
http://www.semwebtech.org/mondial/10/lake/LakeNasser/
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/
http://www.semwebtech.org/mondial/10/lake/KoliSarez/
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/
http://www.semwebtech.org/mondial/10/lake/LakeManagua/
http://www.semwebtech.org/mondial/10/lake/LakeManitou/
http://www.semwebtech.org/mondial/10/lake/LakeNgami/
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/
http://www.semwebtech.org/mondial/10/lake/Kallavesi/
http://www.semwebtech.org/mondial/10/lake/LagoJunin/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/
http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/
http://www.semwebtech.org/mondial/10/lake/LakeKioga/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/
http://www.semwebtech.org/mondial/10/lake/ChadLake/
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/
http://www.semwebtech.org/mondial/10/lake/LakeNatron/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/lake/LochLomond/
http://www.semwebtech.org/mondial/10/lake/LakeMead/
http://www.semwebtech.org/mondial/10/lake/LacAssal/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/lake/Ammersee/
http://www.semwebtech.org/mondial/10/lake/CraterLake/
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/
http://www.semwebtech.org/mondial/10/lake/LacLeman/
http://www.semwebtech.org/mondial/10/lake/NamCo/
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/
http://www.semwebtech.org/mondial/10/lake/Balaton/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/lake/LakeNyos/
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/
http://www.semwebtech.org/mondial/10/country/NIC/city/León/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/
http://www.semwebtech.org/mondial/10/country/HR/city/Split/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/
http://www.semwebtech.org/mondial/10/country/MV/city/Male/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/
\.


--
-- TOC entry 5929 (class 0 OID 90100)
-- Dependencies: 699
-- Data for Name: Island; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Island" ("URI", population, elevation, "belongsToIslands", area, type) FROM stdin;
http://www.semwebtech.org/mondial/10/island/LaPalma/	\N	2426	http://www.semwebtech.org/mondial/10/islands/Canares/	708	volcanic
http://www.semwebtech.org/mondial/10/island/EasterIsland/	\N	507	\N	163	volcanic
http://www.semwebtech.org/mondial/10/island/SaintLucia/	\N	950	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	616	volcanic
http://www.semwebtech.org/mondial/10/island/Providenciales/	\N	\N	http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	\N	\N
http://www.semwebtech.org/mondial/10/island/VitiLevu/	\N	1394	http://www.semwebtech.org/mondial/10/islands/FijiIslands/	10429	volcanic
http://www.semwebtech.org/mondial/10/island/BanksIsland/	\N	\N	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	70028	\N
http://www.semwebtech.org/mondial/10/island/Tasmania/	\N	1617	\N	67800	\N
http://www.semwebtech.org/mondial/10/island/Lavan/	\N	\N	\N	76	\N
http://www.semwebtech.org/mondial/10/island/SaintPierre/	\N	\N	\N	26	\N
http://www.semwebtech.org/mondial/10/island/Gheschm/	\N	\N	\N	1491	\N
http://www.semwebtech.org/mondial/10/island/Newfoundland/	\N	814	\N	108860	\N
http://www.semwebtech.org/mondial/10/island/Oeland/	\N	55	\N	1344	\N
http://www.semwebtech.org/mondial/10/island/SaoTome/	\N	2024	\N	859	volcanic
http://www.semwebtech.org/mondial/10/island/Efate/	\N	647	http://www.semwebtech.org/mondial/10/islands/Vanuatu/	900	\N
http://www.semwebtech.org/mondial/10/island/Corse/	\N	2706	\N	8680	\N
http://www.semwebtech.org/mondial/10/island/Impalila/	\N	818	\N	18	\N
http://www.semwebtech.org/mondial/10/island/Sansibar/	\N	135	\N	1658	\N
http://www.semwebtech.org/mondial/10/island/Niue/	\N	67	\N	260	coral
http://www.semwebtech.org/mondial/10/island/Sumatra/	\N	3805	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	473000	\N
http://www.semwebtech.org/mondial/10/island/Cyprus/	\N	1952	\N	9251	\N
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	\N	350	\N	135	coral
http://www.semwebtech.org/mondial/10/island/Fakaofo/	\N	\N	http://www.semwebtech.org/mondial/10/islands/Tokelau/	4	atoll
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	\N	\N	http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	30	\N
http://www.semwebtech.org/mondial/10/island/Helgoland/	\N	61.3	\N	1.7	\N
http://www.semwebtech.org/mondial/10/island/Guam/	\N	\N	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	541	coral
http://www.semwebtech.org/mondial/10/island/Guernsey/	\N	111	http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	194	\N
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	\N	\N	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	33339	\N
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	\N	259	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	37	\N
http://www.semwebtech.org/mondial/10/island/Westray/	\N	169	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	47	\N
http://www.semwebtech.org/mondial/10/island/Filicudi/	\N	774	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	9.5	volcanic
http://www.semwebtech.org/mondial/10/island/Langeoog/	\N	5	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	20	\N
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	\N	366	http://www.semwebtech.org/mondial/10/islands/AndamanIslands/	1210	\N
http://www.semwebtech.org/mondial/10/island/Hierro/	\N	1500	http://www.semwebtech.org/mondial/10/islands/Canares/	268	volcanic
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	\N	142	\N	5660	\N
http://www.semwebtech.org/mondial/10/island/Nantucket/	\N	\N	\N	125	\N
http://www.semwebtech.org/mondial/10/island/Kyushu/	\N	1758	http://www.semwebtech.org/mondial/10/islands/Japan/	35640	volcanic
http://www.semwebtech.org/mondial/10/island/Khark/	\N	1394	\N	20.5	\N
http://www.semwebtech.org/mondial/10/island/Bali/	\N	3142	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	5561	volcanic
http://www.semwebtech.org/mondial/10/island/Norderney/	\N	5	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	26.3	\N
http://www.semwebtech.org/mondial/10/island/Bornholm/	\N	162	\N	588	\N
http://www.semwebtech.org/mondial/10/island/Mohilla/	\N	\N	http://www.semwebtech.org/mondial/10/islands/Comores/	290	\N
http://www.semwebtech.org/mondial/10/island/Samar/	\N	\N	http://www.semwebtech.org/mondial/10/islands/Philipines/	13080	\N
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	\N	9	http://www.semwebtech.org/mondial/10/islands/CocosIslands/	6.23	atoll
http://www.semwebtech.org/mondial/10/island/Mauritius/	\N	828	\N	1860	volcanic
http://www.semwebtech.org/mondial/10/island/Sardegna/	\N	1834	\N	24090	\N
http://www.semwebtech.org/mondial/10/island/Oesel/	\N	54	\N	2714	\N
http://www.semwebtech.org/mondial/10/island/Menorca/	\N	358	http://www.semwebtech.org/mondial/10/islands/Baleares/	760	\N
http://www.semwebtech.org/mondial/10/island/Lesbos/	\N	968	http://www.semwebtech.org/mondial/10/islands/Sporades/	1636	\N
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	\N	2195	\N	31285	\N
http://www.semwebtech.org/mondial/10/island/Nauru/	\N	60	\N	21	coral
http://www.semwebtech.org/mondial/10/island/Dagoe/	\N	\N	\N	965	\N
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	\N	318	\N	34	volcanic
http://www.semwebtech.org/mondial/10/island/Hainan/	\N	1897	\N	34380	\N
http://www.semwebtech.org/mondial/10/island/Sicilia/	\N	3323	\N	25462	\N
http://www.semwebtech.org/mondial/10/island/Hokkaido/	\N	2290	http://www.semwebtech.org/mondial/10/islands/Japan/	83456	volcanic
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	\N	271	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	492	\N
http://www.semwebtech.org/mondial/10/island/Oahu/	\N	1225	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	1557	volcanic
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	\N	\N	\N	232	\N
http://www.semwebtech.org/mondial/10/island/Fuenen/	\N	131	\N	2976	\N
http://www.semwebtech.org/mondial/10/island/Pemba/	\N	95	\N	984	\N
http://www.semwebtech.org/mondial/10/island/Majuro/	\N	\N	http://www.semwebtech.org/mondial/10/islands/MarshallIslands/	9.2	atoll
http://www.semwebtech.org/mondial/10/island/Usedom/	\N	\N	\N	445	\N
http://www.semwebtech.org/mondial/10/island/Manitoulin/	\N	\N	\N	2766	\N
http://www.semwebtech.org/mondial/10/island/Falster/	\N	44	\N	514	\N
http://www.semwebtech.org/mondial/10/island/Uvea/	\N	131	http://www.semwebtech.org/mondial/10/islands/WallisIslands/	90	volcanic
http://www.semwebtech.org/mondial/10/island/Krakatau/	\N	813	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	\N	volcanic
http://www.semwebtech.org/mondial/10/island/Upolu/	\N	1158	http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	1125	volcanic
http://www.semwebtech.org/mondial/10/island/Korfu/	\N	906	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	593	\N
http://www.semwebtech.org/mondial/10/island/Sumbawa/	\N	2850	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	15448	\N
http://www.semwebtech.org/mondial/10/island/Santiago/	\N	1394	http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	991	volcanic
http://www.semwebtech.org/mondial/10/island/SaoJorge/	\N	1053	http://www.semwebtech.org/mondial/10/islands/Azores/	233.5	volcanic
http://www.semwebtech.org/mondial/10/island/Jersey/	\N	136	http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	117	\N
http://www.semwebtech.org/mondial/10/island/BishopRock/	\N	\N	http://www.semwebtech.org/mondial/10/islands/ScillyIslands/	\N	\N
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	\N	\N	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	40	\N
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	\N	1628	http://www.semwebtech.org/mondial/10/islands/NewCaledonia/	16372	\N
http://www.semwebtech.org/mondial/10/island/Jamaica/	\N	2256	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	10991	\N
http://www.semwebtech.org/mondial/10/island/Curacao/	\N	375	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	444	\N
http://www.semwebtech.org/mondial/10/island/Mull/	\N	875	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	910	\N
http://www.semwebtech.org/mondial/10/island/Barbuda/	\N	38	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	161	lime
http://www.semwebtech.org/mondial/10/island/Gotland/	\N	82	\N	3140	\N
http://www.semwebtech.org/mondial/10/island/MargitSziget/	\N	\N	\N	1	\N
http://www.semwebtech.org/mondial/10/island/GrandTurk/	\N	20	http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	14	\N
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	\N	2616	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	196236	\N
http://www.semwebtech.org/mondial/10/island/SouthUist/	\N	620	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	320	\N
http://www.semwebtech.org/mondial/10/island/Antigua/	\N	400	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	281	\N
http://www.semwebtech.org/mondial/10/island/Panay/	\N	2117	http://www.semwebtech.org/mondial/10/islands/Philipines/	12297	\N
http://www.semwebtech.org/mondial/10/island/Ibiza/	\N	476	http://www.semwebtech.org/mondial/10/islands/Baleares/	572	\N
http://www.semwebtech.org/mondial/10/island/Hispaniola/	\N	3098	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	76192	\N
http://www.semwebtech.org/mondial/10/island/Ternate/	\N	1721	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	137	\N
http://www.semwebtech.org/mondial/10/island/Islay/	\N	491	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	619.6	\N
http://www.semwebtech.org/mondial/10/island/Taiwan/	\N	3950	\N	35801	\N
http://www.semwebtech.org/mondial/10/island/KoSamui/	\N	635	\N	229	\N
http://www.semwebtech.org/mondial/10/island/Kreta/	\N	2456	\N	8331	\N
http://www.semwebtech.org/mondial/10/island/Texel/	\N	15	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	162	\N
http://www.semwebtech.org/mondial/10/island/Leyte/	\N	\N	http://www.semwebtech.org/mondial/10/islands/Philipines/	7368	\N
http://www.semwebtech.org/mondial/10/island/Zhoushan/	\N	503	\N	502	\N
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	\N	952	\N	2020	\N
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	\N	\N	\N	5800	\N
http://www.semwebtech.org/mondial/10/island/Banaba/	\N	81	\N	6.29	volcanic
http://www.semwebtech.org/mondial/10/island/Koror/	\N	100	http://www.semwebtech.org/mondial/10/islands/Carolines/	8	volcanic
http://www.semwebtech.org/mondial/10/island/Luzon/	\N	2928	http://www.semwebtech.org/mondial/10/islands/Philipines/	108172	\N
http://www.semwebtech.org/mondial/10/island/Terschelling/	\N	\N	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	88	\N
http://www.semwebtech.org/mondial/10/island/Paramuschir/	\N	1816	http://www.semwebtech.org/mondial/10/islands/Curiles/	2042	volcanic
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	\N	2335	http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	5358	\N
http://www.semwebtech.org/mondial/10/island/WestFalkland/	\N	700	http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	4532	\N
http://www.semwebtech.org/mondial/10/island/Kauai/	\N	1598	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	1433	volcanic
http://www.semwebtech.org/mondial/10/island/Gomera/	\N	1487	http://www.semwebtech.org/mondial/10/islands/Canares/	369	volcanic
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	\N	2797	http://www.semwebtech.org/mondial/10/islands/NewZealand/	114597	\N
http://www.semwebtech.org/mondial/10/island/Malta/	\N	252	http://www.semwebtech.org/mondial/10/islands/Malta/	246	lime
http://www.semwebtech.org/mondial/10/island/Tinian/	\N	171	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	101	\N
http://www.semwebtech.org/mondial/10/island/Honshu/	\N	3776	http://www.semwebtech.org/mondial/10/islands/Japan/	230500	volcanic
http://www.semwebtech.org/mondial/10/island/Borkum/	\N	6	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	31	\N
http://www.semwebtech.org/mondial/10/island/Arran/	\N	874	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	430	\N
http://www.semwebtech.org/mondial/10/island/Bougainville/	\N	2715	http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	8800	\N
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	\N	807	http://www.semwebtech.org/mondial/10/islands/Canares/	1660	volcanic
http://www.semwebtech.org/mondial/10/island/Lombok/	\N	3726	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	4725	volcanic
http://www.semwebtech.org/mondial/10/island/NewProvidence/	\N	\N	http://www.semwebtech.org/mondial/10/islands/BahamaIslands/	207	\N
http://www.semwebtech.org/mondial/10/island/Negros/	\N	2435	http://www.semwebtech.org/mondial/10/islands/Philipines/	13328	\N
http://www.semwebtech.org/mondial/10/island/Lanai/	\N	1027	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	364	volcanic
http://www.semwebtech.org/mondial/10/island/Saipan/	\N	474	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	115	volcanic
http://www.semwebtech.org/mondial/10/island/Teneriffa/	\N	3718	http://www.semwebtech.org/mondial/10/islands/Canares/	2034	volcanic
http://www.semwebtech.org/mondial/10/island/Batam/	\N	\N	http://www.semwebtech.org/mondial/10/islands/RiauIslands/	415	\N
http://www.semwebtech.org/mondial/10/island/SaintKitts/	\N	1156	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	164	volcanic
http://www.semwebtech.org/mondial/10/island/Tarawa/	\N	\N	http://www.semwebtech.org/mondial/10/islands/GilbertIslands/	39	atoll
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	\N	286	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	21	\N
http://www.semwebtech.org/mondial/10/island/Tortola/	\N	521	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	55	volcanic
http://www.semwebtech.org/mondial/10/island/Shikoku/	\N	1965	http://www.semwebtech.org/mondial/10/islands/Japan/	18800	volcanic
http://www.semwebtech.org/mondial/10/island/Tongatapu/	\N	65	http://www.semwebtech.org/mondial/10/islands/TongaIslands/	260	coral
http://www.semwebtech.org/mondial/10/island/Alicudi/	\N	675	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	5.2	volcanic
http://www.semwebtech.org/mondial/10/island/Timor/	\N	2963	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	33850	\N
http://www.semwebtech.org/mondial/10/island/Mayotte/	\N	660	http://www.semwebtech.org/mondial/10/islands/Comores/	374	volcanic
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	\N	20	http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	\N	\N
http://www.semwebtech.org/mondial/10/island/Mahe/	\N	905	http://www.semwebtech.org/mondial/10/islands/Seychelles/	154	\N
http://www.semwebtech.org/mondial/10/island/Halmahera/	\N	1635	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	18040	\N
http://www.semwebtech.org/mondial/10/island/Rugen/	\N	161	\N	926	\N
http://www.semwebtech.org/mondial/10/island/Formentera/	\N	192	http://www.semwebtech.org/mondial/10/islands/Baleares/	83	\N
http://www.semwebtech.org/mondial/10/island/Ponape/	\N	782	http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/	336	volcanic
http://www.semwebtech.org/mondial/10/island/Lefkas/	\N	1158	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	293	\N
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	\N	2062	\N	104	volcanic
http://www.semwebtech.org/mondial/10/island/Reunion/	\N	3069	\N	2510	volcanic
http://www.semwebtech.org/mondial/10/island/Fongafale/	\N	\N	http://www.semwebtech.org/mondial/10/islands/ElliceIslands/	2.8	atoll
http://www.semwebtech.org/mondial/10/island/SaintThomas/	\N	\N	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	31	\N
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	\N	\N	\N	375	\N
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	\N	599	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	147	\N
http://www.semwebtech.org/mondial/10/island/DevonIsland/	\N	1920	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	55247	\N
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	\N	79	http://www.semwebtech.org/mondial/10/islands/BermudaIslands/	53.3	coral
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	\N	\N	\N	1.5	\N
http://www.semwebtech.org/mondial/10/island/Samosir/	\N	\N	\N	852	volcanic
http://www.semwebtech.org/mondial/10/island/Skye/	\N	993	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	1385	\N
http://www.semwebtech.org/mondial/10/island/Rarotonga/	\N	658	http://www.semwebtech.org/mondial/10/islands/CookIslands/	67	volcanic
http://www.semwebtech.org/mondial/10/island/SantaMaria/	\N	586	http://www.semwebtech.org/mondial/10/islands/Azores/	97	volcanic
http://www.semwebtech.org/mondial/10/island/Hoy/	\N	479	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	143	\N
http://www.semwebtech.org/mondial/10/island/Cuba/	\N	1974	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	105806	\N
http://www.semwebtech.org/mondial/10/island/Palawan/	\N	2085	http://www.semwebtech.org/mondial/10/islands/Philipines/	11785	\N
http://www.semwebtech.org/mondial/10/island/Kiritimati/	\N	13	http://www.semwebtech.org/mondial/10/islands/LineIslands/	388	atoll
http://www.semwebtech.org/mondial/10/island/Olkhon/	\N	1276	\N	730	\N
http://www.semwebtech.org/mondial/10/island/Iceland/	\N	2119	\N	102829	volcanic
http://www.semwebtech.org/mondial/10/island/IsleofMan/	\N	621	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	588	\N
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	\N	1700	\N	270	\N
http://www.semwebtech.org/mondial/10/island/Phuket/	\N	529	\N	576	\N
http://www.semwebtech.org/mondial/10/island/Principe/	\N	927	\N	142	volcanic
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	\N	1111	http://www.semwebtech.org/mondial/10/islands/FijiIslands/	5500	volcanic
http://www.semwebtech.org/mondial/10/island/Lolland/	\N	25	\N	1241	\N
http://www.semwebtech.org/mondial/10/island/IsleofWight/	\N	241	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	381	\N
http://www.semwebtech.org/mondial/10/island/Futuna/	\N	524	http://www.semwebtech.org/mondial/10/islands/FutunaIslands/	64	volcanic
http://www.semwebtech.org/mondial/10/island/Langeland/	\N	46	\N	284	\N
http://www.semwebtech.org/mondial/10/island/Ceram/	\N	3027	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	17100	\N
http://www.semwebtech.org/mondial/10/island/Java/	\N	3676	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	126650	\N
http://www.semwebtech.org/mondial/10/island/LittleCayman/	\N	\N	http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	20	\N
http://www.semwebtech.org/mondial/10/island/GreatBritain/	\N	1344	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	229850	\N
http://www.semwebtech.org/mondial/10/island/Singapore/	\N	176	\N	632.6	\N
http://www.semwebtech.org/mondial/10/island/NorthUist/	\N	347	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	303	\N
http://www.semwebtech.org/mondial/10/island/Madagaskar/	\N	2876	\N	587041	\N
http://www.semwebtech.org/mondial/10/island/Ascension/	\N	859	\N	91	volcanic
http://www.semwebtech.org/mondial/10/island/Molokai/	\N	1512	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	676	volcanic
http://www.semwebtech.org/mondial/10/island/Ambon/	\N	1225	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	775	\N
http://www.semwebtech.org/mondial/10/island/Montserrat/	\N	1050	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	102	volcanic
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	\N	449	http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/	970	\N
http://www.semwebtech.org/mondial/10/island/Trinidad/	\N	940	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	4827	\N
http://www.semwebtech.org/mondial/10/island/Unalaska/	\N	2036	http://www.semwebtech.org/mondial/10/islands/Aleutes/	2721	volcanic
http://www.semwebtech.org/mondial/10/island/Gozo/	\N	176	http://www.semwebtech.org/mondial/10/islands/Malta/	67	lime
http://www.semwebtech.org/mondial/10/island/Hawaii/	\N	4214	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	10450	volcanic
http://www.semwebtech.org/mondial/10/island/Babelthuap/	\N	331	http://www.semwebtech.org/mondial/10/islands/Carolines/	8	volcanic
http://www.semwebtech.org/mondial/10/island/Barra/	\N	383	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	91	\N
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	\N	625	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	41214	\N
http://www.semwebtech.org/mondial/10/island/Ireland/	\N	1041	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	84421	\N
http://www.semwebtech.org/mondial/10/island/Kavaratti/	\N	2	http://www.semwebtech.org/mondial/10/islands/Laccadives/	6	\N
http://www.semwebtech.org/mondial/10/island/Lampedusa/	\N	113	\N	20	volcanic
http://www.semwebtech.org/mondial/10/island/PuertoRico/	\N	1338	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	8870	\N
http://www.semwebtech.org/mondial/10/island/Bintan/	\N	348	http://www.semwebtech.org/mondial/10/islands/RiauIslands/	1173	\N
http://www.semwebtech.org/mondial/10/island/PortoSanto/	\N	517	http://www.semwebtech.org/mondial/10/islands/Madeira/	42	volcanic
http://www.semwebtech.org/mondial/10/island/Fohr/	\N	13	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	82	\N
http://www.semwebtech.org/mondial/10/island/Linosa/	\N	195	\N	5	volcanic
http://www.semwebtech.org/mondial/10/island/Tahiti/	\N	2241	http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/	1045	volcanic
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	\N	1547	\N	90650	\N
http://www.semwebtech.org/mondial/10/island/Sokotra/	\N	1525	\N	3579	\N
http://www.semwebtech.org/mondial/10/island/St.Martin/	\N	411	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	87	\N
http://www.semwebtech.org/mondial/10/island/Pitcairn/	\N	347	http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/	4.5	volcanic
http://www.semwebtech.org/mondial/10/island/Madeira/	\N	1861	http://www.semwebtech.org/mondial/10/islands/Madeira/	794	volcanic
http://www.semwebtech.org/mondial/10/island/Tobago/	\N	576	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	301	\N
http://www.semwebtech.org/mondial/10/island/Juist/	\N	3	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	16.4	\N
http://www.semwebtech.org/mondial/10/island/Svalbard/	\N	1717	http://www.semwebtech.org/mondial/10/islands/Svalbard/	39044	\N
http://www.semwebtech.org/mondial/10/island/Sylt/	\N	52.5	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	99	\N
http://www.semwebtech.org/mondial/10/island/Bangka/	\N	700	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	11942	\N
http://www.semwebtech.org/mondial/10/island/Rhum/	\N	810	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	104	volcanic
http://www.semwebtech.org/mondial/10/island/Borneo/	\N	4101	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	743122	\N
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	\N	747	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	245	\N
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	\N	799	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	2170	\N
http://www.semwebtech.org/mondial/10/island/Zakynthos/	\N	756	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	406	\N
http://www.semwebtech.org/mondial/10/island/Faial/	\N	1043	http://www.semwebtech.org/mondial/10/islands/Azores/	172	volcanic
http://www.semwebtech.org/mondial/10/island/Wangerooge/	\N	17	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	7.9	\N
http://www.semwebtech.org/mondial/10/island/Lipari/	\N	602	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	37.5	volcanic
http://www.semwebtech.org/mondial/10/island/Anguilla/	\N	65	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	91	\N
http://www.semwebtech.org/mondial/10/island/Grenada/	\N	840	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	344	volcanic
http://www.semwebtech.org/mondial/10/island/Nevis/	\N	985	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	93	volcanic
http://www.semwebtech.org/mondial/10/island/Barbados/	\N	336	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	430	lime
http://www.semwebtech.org/mondial/10/island/Fogo/	\N	2829	http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	476	volcanic
http://www.semwebtech.org/mondial/10/island/Niihau/	\N	381	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	178	volcanic
http://www.semwebtech.org/mondial/10/island/Panarea/	\N	421	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	3.4	volcanic
http://www.semwebtech.org/mondial/10/island/Rhodos/	\N	1215	http://www.semwebtech.org/mondial/10/islands/Sporades/	1401	\N
http://www.semwebtech.org/mondial/10/island/Pellworm/	\N	2	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	37.4	\N
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	\N	3	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	18.2	\N
http://www.semwebtech.org/mondial/10/island/Mindanao/	\N	2954	http://www.semwebtech.org/mondial/10/islands/Philipines/	95581	\N
http://www.semwebtech.org/mondial/10/island/Samos/	\N	1434	http://www.semwebtech.org/mondial/10/islands/Sporades/	478	\N
http://www.semwebtech.org/mondial/10/island/Lanzarote/	\N	671	http://www.semwebtech.org/mondial/10/islands/Canares/	846	volcanic
http://www.semwebtech.org/mondial/10/island/Jura/	\N	785	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	367	\N
http://www.semwebtech.org/mondial/10/island/Kefallinia/	\N	1628	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	689	\N
http://www.semwebtech.org/mondial/10/island/Syros/	\N	442	http://www.semwebtech.org/mondial/10/islands/Kyklades/	84	\N
http://www.semwebtech.org/mondial/10/island/Chios/	\N	1297	http://www.semwebtech.org/mondial/10/islands/Sporades/	843	\N
http://www.semwebtech.org/mondial/10/island/Graciosa/	\N	402	http://www.semwebtech.org/mondial/10/islands/Azores/	61	volcanic
http://www.semwebtech.org/mondial/10/island/Terceira/	\N	1022	http://www.semwebtech.org/mondial/10/islands/Azores/	400	volcanic
http://www.semwebtech.org/mondial/10/island/Maui/	\N	3055	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	1883	volcanic
http://www.semwebtech.org/mondial/10/island/Baltrum/	\N	5	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	6.5	\N
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	\N	1104	http://www.semwebtech.org/mondial/10/islands/Azores/	747	volcanic
http://www.semwebtech.org/mondial/10/island/Corvo/	\N	718	http://www.semwebtech.org/mondial/10/islands/Azores/	17.5	volcanic
http://www.semwebtech.org/mondial/10/island/Isabela/	\N	1707	http://www.semwebtech.org/mondial/10/islands/Galapagos/	5436	volcanic
http://www.semwebtech.org/mondial/10/island/Bioko/	\N	3011	\N	2017	volcanic
http://www.semwebtech.org/mondial/10/island/Flores/	\N	914	http://www.semwebtech.org/mondial/10/islands/Azores/	143	volcanic
http://www.semwebtech.org/mondial/10/island/Pico/	\N	2351	http://www.semwebtech.org/mondial/10/islands/Azores/	442	volcanic
http://www.semwebtech.org/mondial/10/island/SaintVincent/	\N	1300	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	346	volcanic
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	\N	1467	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	848	volcanic
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	\N	648	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	194	\N
http://www.semwebtech.org/mondial/10/island/Stromboli/	\N	926	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	12.6	volcanic
http://www.semwebtech.org/mondial/10/island/Anglesey/	\N	\N	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	715	\N
http://www.semwebtech.org/mondial/10/island/Sachalin/	\N	1609	\N	76400	volcanic
http://www.semwebtech.org/mondial/10/island/Mindoro/	\N	2582	http://www.semwebtech.org/mondial/10/islands/Philipines/	10244	\N
http://www.semwebtech.org/mondial/10/island/Tiree/	\N	141	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	78	\N
http://www.semwebtech.org/mondial/10/island/Mykonos/	\N	341	http://www.semwebtech.org/mondial/10/islands/Kyklades/	105	\N
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	\N	\N	\N	19162	\N
http://www.semwebtech.org/mondial/10/island/Ameland/	\N	\N	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	57.6	\N
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	\N	2147	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	507451	\N
http://www.semwebtech.org/mondial/10/island/Labuan/	\N	\N	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	91	\N
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	\N	118	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	50	\N
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	\N	1146	http://www.semwebtech.org/mondial/10/islands/Lofotes/	526	\N
http://www.semwebtech.org/mondial/10/island/Cebu/	\N	1000	http://www.semwebtech.org/mondial/10/islands/Philipines/	5088	\N
http://www.semwebtech.org/mondial/10/island/NewGuinea/	\N	4884	\N	786000	\N
http://www.semwebtech.org/mondial/10/island/EastFalkland/	\N	705	http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	6605	\N
http://www.semwebtech.org/mondial/10/island/Savaii/	\N	1858	http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	1707	volcanic
http://www.semwebtech.org/mondial/10/island/Fehmarn/	\N	27.2	\N	185	\N
http://www.semwebtech.org/mondial/10/island/Ikaria/	\N	1037	http://www.semwebtech.org/mondial/10/islands/Sporades/	255	\N
http://www.semwebtech.org/mondial/10/island/Benbecula/	\N	124	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	82	\N
http://www.semwebtech.org/mondial/10/island/Seeland/	\N	122	\N	7439	\N
http://www.semwebtech.org/mondial/10/island/Streymoy/	\N	789	http://www.semwebtech.org/mondial/10/islands/FaroeIslands/	373	\N
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	\N	484	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	215	\N
http://www.semwebtech.org/mondial/10/island/Sulawesi/	\N	3455	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	189216	volcanic
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	\N	\N	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	212291	\N
http://www.semwebtech.org/mondial/10/island/Salina/	\N	962	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	26.8	volcanic
http://www.semwebtech.org/mondial/10/island/Mallorca/	\N	1445	http://www.semwebtech.org/mondial/10/islands/Baleares/	3618	\N
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	\N	\N	\N	1885	\N
http://www.semwebtech.org/mondial/10/island/Martinique/	\N	1397	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	1128	volcanic
http://www.semwebtech.org/mondial/10/island/Tutuila/	\N	653	http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	135	volcanic
http://www.semwebtech.org/mondial/10/island/Vulcano/	\N	499	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	21.2	volcanic
http://www.semwebtech.org/mondial/10/island/GranCanaria/	\N	1949	http://www.semwebtech.org/mondial/10/islands/Canares/	1560	volcanic
http://www.semwebtech.org/mondial/10/island/Male/	\N	1	http://www.semwebtech.org/mondial/10/islands/Maldives/	2.74	atoll
http://www.semwebtech.org/mondial/10/island/Greenland/	\N	\N	\N	2175600	\N
http://www.semwebtech.org/mondial/10/island/Kos/	\N	846	http://www.semwebtech.org/mondial/10/islands/Sporades/	287	\N
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	\N	374	\N	11665	\N
http://www.semwebtech.org/mondial/10/island/Okinawa/	\N	\N	http://www.semwebtech.org/mondial/10/islands/Japan/	2255	volcanic
http://www.semwebtech.org/mondial/10/island/Aland/	\N	\N	http://www.semwebtech.org/mondial/10/islands/AlandIslands/	650	\N
http://www.semwebtech.org/mondial/10/island/GrandComoro/	\N	2361	http://www.semwebtech.org/mondial/10/islands/Comores/	1148	\N
http://www.semwebtech.org/mondial/10/island/Bahrain/	\N	135	\N	620	\N
http://www.semwebtech.org/mondial/10/island/Jeju/	\N	1950	\N	1845	volcanic
http://www.semwebtech.org/mondial/10/island/Aruba/	\N	188	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	193	\N
http://www.semwebtech.org/mondial/10/island/Amrum/	\N	32	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	20.5	\N
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	\N	3754	http://www.semwebtech.org/mondial/10/islands/NewZealand/	151757	\N
http://www.semwebtech.org/mondial/10/island/Rota/	\N	495	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	85	\N
http://www.semwebtech.org/mondial/10/island/Bohol/	\N	\N	http://www.semwebtech.org/mondial/10/islands/Philipines/	4117	\N
http://www.semwebtech.org/mondial/10/island/GrandCayman/	\N	\N	http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	197	\N
http://www.semwebtech.org/mondial/10/island/Dominica/	\N	1447	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	746	volcanic
http://www.semwebtech.org/mondial/10/island/Vlieland/	\N	\N	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	40	\N
http://www.semwebtech.org/mondial/10/island/Anjouan/	\N	\N	http://www.semwebtech.org/mondial/10/islands/Comores/	424	\N
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	\N	240	\N	205	\N
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	\N	136	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	589	lime
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	\N	307	\N	4405	\N
http://www.semwebtech.org/mondial/10/island/SriLanka/	\N	2524	\N	65610	\N
http://www.semwebtech.org/mondial/10/island/LongIsland/	\N	122	\N	3566	\N
http://www.semwebtech.org/mondial/10/island/SanAndres/	\N	85	\N	26	\N
http://www.semwebtech.org/mondial/10/island/SaintHelena/	\N	818	\N	122	volcanic
\.


--
-- TOC entry 5930 (class 0 OID 90107)
-- Dependencies: 700
-- Data for Name: Islands; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Islands" ("URI", type, population, elevation, area) FROM stdin;
http://www.semwebtech.org/mondial/10/islands/Seychelles/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/ElliceIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/NewCaledonia/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/ScillyIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Malta/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/LipariIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/BermudaIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Kyklades/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/WallisIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/FaroeIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Tokelau/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/MarshallIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/AndamanIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Laccadives/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/CocosIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/SundaIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Aleutes/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/NewZealand/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Maldives/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Sporades/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Baleares/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/CookIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/GilbertIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Vanuatu/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Madeira/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Comores/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/BritishIsles/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/BahamaIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/IonicIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/AlandIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Lofotes/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/TongaIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/RiauIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/FutunaIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Azores/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Curiles/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/FijiIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Carolines/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Philipines/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Japan/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Svalbard/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Canares/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/LineIslands/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/islands/Galapagos/	\N	\N	\N	\N
\.


--
-- TOC entry 5931 (class 0 OID 90114)
-- Dependencies: 701
-- Data for Name: Lake; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Lake" ("URI", "flowsInto", elevation, type, "flowsThrough_Inv", depth) FROM stdin;
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/river/Colorado/	1127	dam	http://www.semwebtech.org/mondial/10/river/Colorado/	171
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	176	\N	\N	281
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	\N	31	salt	\N	35
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	\N	107	impact	\N	81
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/river/Narva/	30	\N	\N	14.6
http://www.semwebtech.org/mondial/10/lake/LakeVan/	\N	1719	salt	\N	457
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	\N	164	caldera	\N	160
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	0.7	\N	\N	66
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	\N	335	caldera	\N	151
http://www.semwebtech.org/mondial/10/lake/Vaettern/	\N	88	\N	\N	119
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	\N	1155	salt	\N	108
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/river/Dnepr/	44	dam	http://www.semwebtech.org/mondial/10/river/Dnepr/	28
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	\N	275	caldera	\N	53
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	http://www.semwebtech.org/mondial/10/river/Aare/	564	\N	http://www.semwebtech.org/mondial/10/river/Aare/	260
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/river/Dnepr/	44	dam	http://www.semwebtech.org/mondial/10/river/Dnepr/	26
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	619	\N	\N	48
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/river/Kymijoki/	78	\N	\N	95
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	\N	995	\N	\N	1.5
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	\N	dam	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	\N
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	\N	1000	salt	\N	0
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	\N	350	impact	\N	\N
http://www.semwebtech.org/mondial/10/lake/Arresoe/	\N	\N	\N	\N	5.6
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	30	\N	\N	121
http://www.semwebtech.org/mondial/10/lake/Siljan/	http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	161	impact	http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	134
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/river/Dnepr/	\N	dam	http://www.semwebtech.org/mondial/10/river/Dnepr/	8
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	\N	\N	\N	\N	20
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	\N	\N	salt	\N	2
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	\N	1280	salt	\N	7
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/river/Limmat/	406	\N	\N	136
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	\N	\N	caldera	\N	208
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	http://www.semwebtech.org/mondial/10/river/Vuoksi/	\N	\N	http://www.semwebtech.org/mondial/10/river/Vuoksi/	\N
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	http://www.semwebtech.org/mondial/10/river/Fimi/	300	\N	\N	10
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	\N	\N	salt	\N	0
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	\N	156	\N	\N	446
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/river/Lagen/	123	\N	http://www.semwebtech.org/mondial/10/river/Lagen/	449
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/river/Colorado/	372	dam	http://www.semwebtech.org/mondial/10/river/Colorado/	180
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	\N	3200	acid	\N	\N
http://www.semwebtech.org/mondial/10/lake/Poopo/	\N	3686	salt	\N	4
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	\N	342	salt	\N	26
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	\N	259	caldera	\N	7
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	\N	600	salt	\N	2
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	\N	1279	salt	\N	10
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	174	\N	\N	64
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	\N	1030	salt	\N	\N
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	http://www.semwebtech.org/mondial/10/river/Alz/	518	\N	http://www.semwebtech.org/mondial/10/river/Alz/	73
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	http://www.semwebtech.org/mondial/10/river/VictoriaNile/	914	\N	http://www.semwebtech.org/mondial/10/river/VictoriaNile/	5.7
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/river/Volga/	53	dam	http://www.semwebtech.org/mondial/10/river/Volga/	41
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	http://www.semwebtech.org/mondial/10/river/Buna/	7	\N	\N	44
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/river/Angara/	455	\N	http://www.semwebtech.org/mondial/10/river/Angara/	1637
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/river/Zambezi/	\N	dam	http://www.semwebtech.org/mondial/10/river/Zambezi/	32
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	http://www.semwebtech.org/mondial/10/river/Adda/	197	\N	http://www.semwebtech.org/mondial/10/river/Adda/	425
http://www.semwebtech.org/mondial/10/lake/Ammersee/	http://www.semwebtech.org/mondial/10/river/Ammer/	533	\N	http://www.semwebtech.org/mondial/10/river/Ammer/	81.1
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/river/Newa/	4	\N	\N	225
http://www.semwebtech.org/mondial/10/lake/LakeToba/	http://www.semwebtech.org/mondial/10/river/Asahan/	905	caldera	\N	505
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	\N	dam	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	\N
http://www.semwebtech.org/mondial/10/lake/Balaton/	\N	104	\N	\N	12.5
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	http://www.semwebtech.org/mondial/10/river/RioLerma/	1520	\N	http://www.semwebtech.org/mondial/10/river/RioLerma/	12
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/river/Tennessee/	\N	\N	http://www.semwebtech.org/mondial/10/river/Tennessee/	\N
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	http://www.semwebtech.org/mondial/10/river/Murgab/	3250	naturaldam	http://www.semwebtech.org/mondial/10/river/Murgab/	500
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	\N	\N	asphalt	\N	75
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	\N	\N	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	\N
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	156	\N	\N	614
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	http://www.semwebtech.org/mondial/10/river/Oulujoki/	123	\N	\N	35
http://www.semwebtech.org/mondial/10/lake/Storuman/	http://www.semwebtech.org/mondial/10/river/Umeaelv/	419	\N	http://www.semwebtech.org/mondial/10/river/Umeaelv/	139
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	1200	dam	http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	\N
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	http://www.semwebtech.org/mondial/10/river/Tennessee/	\N	\N	http://www.semwebtech.org/mondial/10/river/Tennessee/	\N
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/river/Missouri/	\N	dam	http://www.semwebtech.org/mondial/10/river/Missouri/	55
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/river/Rhone/	372	\N	http://www.semwebtech.org/mondial/10/river/Rhone/	310
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/river/RioSanJuan/	31	\N	\N	45
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	http://www.semwebtech.org/mondial/10/river/Sanaga/	\N	dam	http://www.semwebtech.org/mondial/10/river/Sanaga/	\N
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	\N	5	\N	\N	26
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	http://www.semwebtech.org/mondial/10/river/NelsonRiver/	218	\N	\N	18
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	\N	3195	salt	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	\N	243	salt	\N	37
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	\N	\N	\N	\N	4
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	75	\N	\N	244
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	556	dam	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	\N
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	\N	474	salt	\N	2
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	\N	10	\N	\N	106
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/river/Missouri/	\N	dam	http://www.semwebtech.org/mondial/10/river/Missouri/	\N
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	http://www.semwebtech.org/mondial/10/river/Missouri/	\N	dam	http://www.semwebtech.org/mondial/10/river/Missouri/	67
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	http://www.semwebtech.org/mondial/10/river/RioSanJuan/	39	\N	http://www.semwebtech.org/mondial/10/river/RioSanJuan/	20
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	\N	1609	salt	\N	668
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/river/Mincio/	65	\N	\N	346
http://www.semwebtech.org/mondial/10/lake/ChadLake/	\N	250	salt	\N	7
http://www.semwebtech.org/mondial/10/lake/DeadSea/	\N	-422	salt	\N	378
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	\N	115.5	\N	\N	1.8
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/river/Ruzizi/	1462	\N	\N	450
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	\N	800	salt	\N	5
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/river/Chire/	474	\N	\N	704
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	3812	\N	\N	281
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	0	\N	\N	50
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	\N	71	salt	\N	19
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/river/Goetaaelv/	44	\N	\N	106
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	\N	-17	salt	\N	4
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/river/Jordan/	-212	\N	http://www.semwebtech.org/mondial/10/river/Jordan/	46
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/river/YukonRiver/	668	\N	\N	283
http://www.semwebtech.org/mondial/10/lake/CraterLake/	\N	1883	caldera	\N	594
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/river/Swir/	33	\N	\N	127
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/river/Vuoksi/	76	\N	http://www.semwebtech.org/mondial/10/river/Vuoksi/	85
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	184	\N	\N	405
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	http://www.semwebtech.org/mondial/10/river/Würm/	584	\N	http://www.semwebtech.org/mondial/10/river/Würm/	127.7
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/river/Luapula/	1140	\N	\N	4
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/river/VictoriaNile/	1134	\N	\N	85
http://www.semwebtech.org/mondial/10/lake/Thunersee/	http://www.semwebtech.org/mondial/10/river/Aare/	558	\N	http://www.semwebtech.org/mondial/10/river/Aare/	217
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/river/Reuss/	434	\N	http://www.semwebtech.org/mondial/10/river/Reuss/	214
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	http://www.semwebtech.org/mondial/10/river/Nile/	183	dam	http://www.semwebtech.org/mondial/10/river/Nile/	180
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/river/Rhein/	395	\N	http://www.semwebtech.org/mondial/10/river/Rhein/	254
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/river/Semliki/	920	\N	\N	112
http://www.semwebtech.org/mondial/10/lake/LopNor/	\N	780	salt	\N	0
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	\N	520	salt	\N	7.5
http://www.semwebtech.org/mondial/10/lake/Inari/	http://www.semwebtech.org/mondial/10/river/Paatsjoki/	119	\N	\N	92
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	\N	849	\N	\N	54
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	http://www.semwebtech.org/mondial/10/river/Zambezi/	326	dam	http://www.semwebtech.org/mondial/10/river/Zambezi/	\N
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	\N	3650	salt	\N	0
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	http://www.semwebtech.org/mondial/10/river/Mantaro/	4082	\N	\N	12
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	\N	375	salt	\N	73
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	\N	619	salt	\N	13
http://www.semwebtech.org/mondial/10/lake/LochNess/	\N	16	\N	\N	226
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	\N	260	\N	\N	165
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/river/Lukuga/	782	\N	\N	1470
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	http://www.semwebtech.org/mondial/10/river/Asahan/	2008	caldera	\N	190
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/river/Luvua/	931	\N	\N	27
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	http://www.semwebtech.org/mondial/10/river/SnowyRiver/	915	dam	http://www.semwebtech.org/mondial/10/river/SnowyRiver/	\N
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	\N	-28	salt	\N	995
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	\N	5600	crater	\N	\N
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	\N	500	salt	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	1900	\N	\N	501
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	http://www.semwebtech.org/mondial/10/river/BlackDrin/	695	\N	\N	289
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/river/Euphrat/	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/river/Ticino/	193	\N	http://www.semwebtech.org/mondial/10/river/Ticino/	372
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/river/Volta/	\N	dam	http://www.semwebtech.org/mondial/10/river/Volta/	130
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/river/Niger/	\N	dam	http://www.semwebtech.org/mondial/10/river/Niger/	\N
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/river/Zaire/	272	\N	http://www.semwebtech.org/mondial/10/river/Zaire/	10
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	\N	790	salt	\N	1
http://www.semwebtech.org/mondial/10/lake/LochLomond/	\N	7.9	\N	\N	190
http://www.semwebtech.org/mondial/10/lake/LacAssal/	\N	-155	salt	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/river/DetroitRiver/	176	\N	\N	229
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	153	\N	\N	55
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/lake/NamCo/	\N	4718	salt	\N	125
http://www.semwebtech.org/mondial/10/lake/LakeTana/	http://www.semwebtech.org/mondial/10/river/BlueNile/	1830	\N	\N	14
\.


--
-- TOC entry 5932 (class 0 OID 90120)
-- Dependencies: 702
-- Data for Name: Language; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Language" ("URI") FROM stdin;
http://www.semwebtech.org/mondial/10/language/Pitkern/
http://www.semwebtech.org/mondial/10/language/Gagauz/
http://www.semwebtech.org/mondial/10/language/Brahui/
http://www.semwebtech.org/mondial/10/language/English/
http://www.semwebtech.org/mondial/10/language/Slovene/
http://www.semwebtech.org/mondial/10/language/Arabic/
http://www.semwebtech.org/mondial/10/language/Punjabi/
http://www.semwebtech.org/mondial/10/language/Futunian/
http://www.semwebtech.org/mondial/10/language/Estonian/
http://www.semwebtech.org/mondial/10/language/Creole/
http://www.semwebtech.org/mondial/10/language/Serbo-Croatian/
http://www.semwebtech.org/mondial/10/language/Albanian/
http://www.semwebtech.org/mondial/10/language/Garifuna/
http://www.semwebtech.org/mondial/10/language/Maori/
http://www.semwebtech.org/mondial/10/language/French/
http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/
http://www.semwebtech.org/mondial/10/language/Quechua/
http://www.semwebtech.org/mondial/10/language/Chinese/
http://www.semwebtech.org/mondial/10/language/Belorussian/
http://www.semwebtech.org/mondial/10/language/Amerindian/
http://www.semwebtech.org/mondial/10/language/Bulgarian/
http://www.semwebtech.org/mondial/10/language/Korean/
http://www.semwebtech.org/mondial/10/language/Swedish/
http://www.semwebtech.org/mondial/10/language/Portuguese/
http://www.semwebtech.org/mondial/10/language/Finnish/
http://www.semwebtech.org/mondial/10/language/Serbian/
http://www.semwebtech.org/mondial/10/language/Bosnian/
http://www.semwebtech.org/mondial/10/language/Siraiki/
http://www.semwebtech.org/mondial/10/language/Japanese/
http://www.semwebtech.org/mondial/10/language/Basque/
http://www.semwebtech.org/mondial/10/language/Luxembourgish/
http://www.semwebtech.org/mondial/10/language/Greek/
http://www.semwebtech.org/mondial/10/language/Hebrew/
http://www.semwebtech.org/mondial/10/language/Turkic/
http://www.semwebtech.org/mondial/10/language/Danish/
http://www.semwebtech.org/mondial/10/language/Montenegrin/
http://www.semwebtech.org/mondial/10/language/Dungun/
http://www.semwebtech.org/mondial/10/language/Kyrgyz/
http://www.semwebtech.org/mondial/10/language/Hindko/
http://www.semwebtech.org/mondial/10/language/Azeri/
http://www.semwebtech.org/mondial/10/language/Kurdish/
http://www.semwebtech.org/mondial/10/language/Slovenian/
http://www.semwebtech.org/mondial/10/language/ChineseLanguage/
http://www.semwebtech.org/mondial/10/language/Italian/
http://www.semwebtech.org/mondial/10/language/Persian/
http://www.semwebtech.org/mondial/10/language/Slovak/
http://www.semwebtech.org/mondial/10/language/Sinhala/
http://www.semwebtech.org/mondial/10/language/Georgian/
http://www.semwebtech.org/mondial/10/language/Russian/
http://www.semwebtech.org/mondial/10/language/Galician/
http://www.semwebtech.org/mondial/10/language/Miskito/
http://www.semwebtech.org/mondial/10/language/KhalkhaMongol/
http://www.semwebtech.org/mondial/10/language/Luri/
http://www.semwebtech.org/mondial/10/language/Kurd/
http://www.semwebtech.org/mondial/10/language/Bambara/
http://www.semwebtech.org/mondial/10/language/Aymara/
http://www.semwebtech.org/mondial/10/language/Latvian/
http://www.semwebtech.org/mondial/10/language/Ukrainian/
http://www.semwebtech.org/mondial/10/language/Somali/
http://www.semwebtech.org/mondial/10/language/Wallisian/
http://www.semwebtech.org/mondial/10/language/Sindhi/
http://www.semwebtech.org/mondial/10/language/Armenian/
http://www.semwebtech.org/mondial/10/language/MayanDialects/
http://www.semwebtech.org/mondial/10/language/Polish/
http://www.semwebtech.org/mondial/10/language/OtherPacificIslandLanguage/
http://www.semwebtech.org/mondial/10/language/Romanian/
http://www.semwebtech.org/mondial/10/language/Tajik/
http://www.semwebtech.org/mondial/10/language/Spanish/
http://www.semwebtech.org/mondial/10/language/German/
http://www.semwebtech.org/mondial/10/language/Kazakh/
http://www.semwebtech.org/mondial/10/language/Tongan/
http://www.semwebtech.org/mondial/10/language/Urdu/
http://www.semwebtech.org/mondial/10/language/Turkish/
http://www.semwebtech.org/mondial/10/language/Tamil/
http://www.semwebtech.org/mondial/10/language/Chamorro/
http://www.semwebtech.org/mondial/10/language/Polynesian/
http://www.semwebtech.org/mondial/10/language/Hungarian/
http://www.semwebtech.org/mondial/10/language/Uzbek/
http://www.semwebtech.org/mondial/10/language/Lithuanian/
http://www.semwebtech.org/mondial/10/language/Balochi/
http://www.semwebtech.org/mondial/10/language/Croatian/
http://www.semwebtech.org/mondial/10/language/Lezgi/
http://www.semwebtech.org/mondial/10/language/Burmese/
http://www.semwebtech.org/mondial/10/language/Pashtu/
http://www.semwebtech.org/mondial/10/language/Afrikaans/
http://www.semwebtech.org/mondial/10/language/Catalan/
http://www.semwebtech.org/mondial/10/language/Hindi/
http://www.semwebtech.org/mondial/10/language/Norwegian/
http://www.semwebtech.org/mondial/10/language/Icelandic/
http://www.semwebtech.org/mondial/10/language/Vietnamese/
http://www.semwebtech.org/mondial/10/language/AfghanPersian/
http://www.semwebtech.org/mondial/10/language/Samoan/
http://www.semwebtech.org/mondial/10/language/Maltese/
http://www.semwebtech.org/mondial/10/language/Roma/
http://www.semwebtech.org/mondial/10/language/Macedonian/
http://www.semwebtech.org/mondial/10/language/Nepali/
http://www.semwebtech.org/mondial/10/language/Guarani/
http://www.semwebtech.org/mondial/10/language/Papiamento/
http://www.semwebtech.org/mondial/10/language/Romansch/
http://www.semwebtech.org/mondial/10/language/Dutch/
http://www.semwebtech.org/mondial/10/language/Turkmen/
http://www.semwebtech.org/mondial/10/language/Monegasque/
http://www.semwebtech.org/mondial/10/language/Czech/
\.


--
-- TOC entry 5933 (class 0 OID 90123)
-- Dependencies: 703
-- Data for Name: Line; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Line" ("URI", "flowsInto", area, length, name) FROM stdin;
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/	1410000	3531	Volga
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	67733	742	Guadiana
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/lake/OzeroAral/	782669	2129	Syrdarja
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/	629100	2330	Colorado
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/river/Sobat/	10000	320	Pibor
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	973000	2160	Oranje
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	297199	1790	Uruguay
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/river/Donau/	146500	1308	Theiss
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/sea/KaraSea/	2554482	4092	Jenissej
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/river/Drina/	1270	120	Piva
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/river/Donau/	8370	295	Isar
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	3700000	4374	Zaire
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/river/Amur/	164000	1620	Argun
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	795000	4350	Mekong
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/river/Rhein/	28286	544	Mosel
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/river/Donau/	24010	615	Olt
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/river/Tocantins/	384800	2198	Araguaia
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/river/Ob/	1673470	4248	Irtysch
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	1722155	6380	Jangtse
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/sea/BlackSea/	531817	2201	Dnepr
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	1030000	1197	Saint Lawrence River
http://www.semwebtech.org/mondial/10/river/Ammer/	http://www.semwebtech.org/mondial/10/river/Isar/	3100	168	Ammer
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/river/Po/	7228	248	Ticino
http://www.semwebtech.org/mondial/10/river/Würm/	http://www.semwebtech.org/mondial/10/river/Ammer/	3100	35	Würm
http://www.semwebtech.org/mondial/10/river/Alz/	http://www.semwebtech.org/mondial/10/river/Inn/	2197	150	Alz
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	100000	812	Rhone
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	75000	652	Po
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	117000	1013	Loire
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/river/Aller/	6512	281	Leine
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/river/Donau/	11828	749	Drau
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	337000	1430	Senegal
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	12900	177	Merrimack River
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/river/Ob/	60900	688	Katun
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/river/Amazonas/	720114	2253	Rio Negro
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/river/Kasai/	263500	1100	Cuango
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/sea/BlackSea/	72100	1352	Dnjestr
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/river/Rhein/	27292	524	Main
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	2306772	4400	Lena
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/river/Mississippi/	1371010	4130	Missouri
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/	320000	2980	Saluen
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/	980000	3180	Indus
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	507000	1805	Kama
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	41.094	440	Weser
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/river/Donau/	95419	945	Save
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/river/Oranje/	973000	1251	Vaal
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/sea/BlackSea/	72100	1352	Dnister
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	526000	2129	Kolyma
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/	357052	740	Northern Dwina
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/lake/OzeroAral/	465000	1415	Amudarja
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/river/Rhein/	17620	288	Aare
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/river/Donau/	27633	358	March
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/river/Aare/	3425	164	Reuss
http://www.semwebtech.org/mondial/10/river/Adda/	http://www.semwebtech.org/mondial/10/river/Po/	7979	313	Adda
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/river/Jenissej/	1039000	1779	Angara
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	27046	121	Kokemaeenjoki
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	12200	415	Etsch
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	80600	1007	Tajo
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/sea/YellowSea/	752000	4845	Hwangho
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/river/Tambo/	15410	724	Mantaro
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/river/Amazonas/	337519	1600	Ucayali
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/lake/ChadLake/	548747	1400	Schari
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/	18404	145	Paatsjoki
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/river/Ob/	426000	1591	Tobol
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	2981076	3778	Mississippi
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	52.4	162	Vuoksi
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/	413674	2170	Irawaddy
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/sea/TheChannel/	75000	776	Seine
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/	244280	2428	Ural
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/river/Donau/	1020	250	Raab
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	263858	1538	Rio Magdalena
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	34548	925	Maas
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/	684000	58	Niagara River
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/river/Save/	19926	346	Drina
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/river/Donau/	25700	517	Inn
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/sea/BlackSea/	795686	2845	Donau
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	1016104	2511	Ganges
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	198735	1324	Rhein
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	2261763	4184	Niger
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	83093	925	Ebro
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/	497626	1658	Jubba
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/	1332574	2574	Zambezi
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	7050000	3778	Amazonas
http://www.semwebtech.org/mondial/10/river/Kemijoki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	51.127	550	Kemijoki
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/lake/KievReservoir/	114300	775	Prypjat
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/river/SchattalArab/	375000	1900	Tigris
http://www.semwebtech.org/mondial/10/river/Oulujoki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	22.841	107	Oulujoki
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	http://www.semwebtech.org/mondial/10/river/Drin/	4964	175	White Drin
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/river/Nile/	112000	1120	Atbara
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/river/Drau/	13824	453	Mur
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	425600	1870	Don
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	146100	1392	Saskatchewan River
http://www.semwebtech.org/mondial/10/river/Sobat/	http://www.semwebtech.org/mondial/10/river/WhiteNile/	225000	740	Sobat
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	98400	897	Douro
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	194424	1047	Weichsel
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/	413000	1750	Limpopo
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	56978	657	Guadalquivir
http://www.semwebtech.org/mondial/10/river/Neckar/	http://www.semwebtech.org/mondial/10/river/Rhein/	14000	367	Neckar
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	617812	2830	Rio Sao Francisco
http://www.semwebtech.org/mondial/10/river/Aller/	http://www.semwebtech.org/mondial/10/river/Weser/	15744	211	Aller
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	http://www.semwebtech.org/mondial/10/river/Kemijoki/	13968	300	Ounasjoki
http://www.semwebtech.org/mondial/10/river/Breg/	http://www.semwebtech.org/mondial/10/river/Donau/	291.2	45.9	Breg
http://www.semwebtech.org/mondial/10/river/Fulda/	http://www.semwebtech.org/mondial/10/river/Weser/	6947	221	Fulda
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	http://www.semwebtech.org/mondial/10/sea/Kattegat/	50180	93	Goetaaelv
http://www.semwebtech.org/mondial/10/river/Mincio/	http://www.semwebtech.org/mondial/10/river/Po/	2859	75	Mincio
http://www.semwebtech.org/mondial/10/river/Moraca/	http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	1600	99.5	Moraca
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/river/Seine/	12800	514	Marne
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	530	Sanga
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/river/Aare/	2416	36.3	Limmat
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/river/Weser/	5496	292	Werra
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/river/Donau/	27500	953	Pruth
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	1855000	2824	Amur
http://www.semwebtech.org/mondial/10/river/Buna/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	5187	44	Buna
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	886300	1903	Mackenzie River
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/river/OhioRiver/	29992	523	Allegheny River
http://www.semwebtech.org/mondial/10/river/Enns/	http://www.semwebtech.org/mondial/10/river/Donau/	5940	254	Enns
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/river/Mosel/	7431	227	Saar
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/river/Elbe/	28000	440	Moldau
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/river/Morava/	15469	295	Southern Morava
http://www.semwebtech.org/mondial/10/river/Suchona/	http://www.semwebtech.org/mondial/10/river/NorthernDwina/	50300	558	Suchona
http://www.semwebtech.org/mondial/10/river/WesternMorava/	http://www.semwebtech.org/mondial/10/river/Morava/	15849	308	Western Morava
http://www.semwebtech.org/mondial/10/river/Chatanga/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	275000	1636	Chatanga
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	118861	866	Oder
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/river/Parana/	1168540	2549	Paraguay
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	12935	346	Thames
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	69931	1120	Gambia
http://www.semwebtech.org/mondial/10/river/Isere/	http://www.semwebtech.org/mondial/10/river/Rhone/	11800	290	Isere
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/river/Donau/	2152	147	Iller
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	23400	124	Riviere Richelieu
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	2582672	3998	Parana
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/river/Amazonas/	382877	1905	Maranon
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/river/Jubba/	336627	1820	Shabelle
http://www.semwebtech.org/mondial/10/river/Morava/	http://www.semwebtech.org/mondial/10/river/Donau/	37444	185	Morava
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/river/Donau/	10640	403	Waag
http://www.semwebtech.org/mondial/10/river/Luvua/	http://www.semwebtech.org/mondial/10/river/Lualaba/	265300	350	Luvua
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/river/Sobat/	41400	306	Baro
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/	218906	1364	Kura
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	55000	647	Garonne
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/river/Inn/	6700	225	Salzach
http://www.semwebtech.org/mondial/10/river/Newa/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	281000	74	Newa
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/	668217	1953	Columbia River
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/river/Mississippi/	435122	2334	Arkansas
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/	1093442	664	Nelson River
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/river/Saone/	4400	453	Doubs
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/sea/KaraSea/	2972497	3650	Ob
http://www.semwebtech.org/mondial/10/river/Drin/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	11756	152	Drin
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	148268	1091	Elbe
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/river/Ganges/	651334	2896	Brahmaputra
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/	1050111	2589	Murray River
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	5405	493	Hudson River
http://www.semwebtech.org/mondial/10/river/Arno/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	8200	240	Arno
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	447000	992	Selenge
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/river/Mississippi/	490574	1579	Ohio River
http://www.semwebtech.org/mondial/10/river/Brigach/	http://www.semwebtech.org/mondial/10/river/Donau/	195	43	Brigach
http://www.semwebtech.org/mondial/10/river/Thjorsa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	7530	230	Thjorsa
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	607965	3034	Rio Grande
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/river/RioMadeira/	24300	1931	Rio Mamore
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/river/Donau/	3926	264	Lech
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/river/Narew/	39400	772	Western Bug
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	749200	2450	Tocantins
http://www.semwebtech.org/mondial/10/river/Nile/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	3254853	\N	Nile
http://www.semwebtech.org/mondial/10/river/Okavango/	\N	721.258	1700	Okavango
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/lake/LakeErie/	\N	200	Detroit River
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/lake/LakeHuron/	\N	120	Saint Marys River
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/river/Kasai/	\N	970	Cuilo
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/	\N	604	Glomma
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	918	Sanaga
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/lake/DeadSea/	\N	251	Jordan
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/river/Fimi/	\N	900	Lukenie
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/lake/LakeMweru/	\N	300	Luapula
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	\N	104	Ruzizi
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	2140	Orinoco
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/river/SchattalArab/	\N	2736	Euphrat
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/river/Irtysch/	\N	2450	Ischim
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/river/Weichsel/	\N	448	Narew
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/river/Amazonas/	\N	1450	Rio Madeira
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/river/Niger/	\N	1400	Benue
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/river/Amudarja/	\N	1141	Pjandsh
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	1450	Lomami
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/river/Volga/	\N	1480	Oka
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	1020	Western Dwina
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/	\N	193	Schatt al Arab
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	520	Dalaelv
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	1120	Ubangi
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/river/Zambezi/	\N	402	Chire
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/river/Rhone/	\N	480	Saone
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/river/Kwa/	\N	1983	Kasai
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	405	Tiber
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/river/OhioRiver/	\N	1049	Tennessee
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	\N	230	Semliki
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	\N	1001	Ili
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	965	Rio Lerma
http://www.semwebtech.org/mondial/10/river/Aruwimi/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	1287	Aruwimi
http://www.semwebtech.org/mondial/10/river/BlackDrin/	http://www.semwebtech.org/mondial/10/river/Drin/	\N	133	Black Drin
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/lake/PyramidLake/	\N	225	Truckee River
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/	\N	1809	Petschora
http://www.semwebtech.org/mondial/10/river/Kwa/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	100	Kwa
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/river/Glomma/	\N	322	Lagen
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/river/Dalaelv/	\N	241	Oesterdalaelv
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/lake/LakeKeban/	\N	720	Karasu
http://www.semwebtech.org/mondial/10/river/Umeaelv/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	470	Umeaelv
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	\N	83	Eucumbene River
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/river/SchattalArab/	\N	950	Karun
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/river/Ucayali/	\N	750	Urubamba
http://www.semwebtech.org/mondial/10/river/Lukuga/	http://www.semwebtech.org/mondial/10/river/Lualaba/	\N	350	Lukuga
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/river/Maranon/	\N	1138	Huallaga
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/river/Ubangi/	\N	1130	Uelle
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/lake/Poopo/	\N	383	Rio Desaguadero
http://www.semwebtech.org/mondial/10/river/Fimi/	http://www.semwebtech.org/mondial/10/river/Kwa/	\N	200	Fimi
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/river/Syrdarja/	\N	807	Naryn
http://www.semwebtech.org/mondial/10/river/Perene/	http://www.semwebtech.org/mondial/10/river/Tambo/	\N	165	Perene
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	\N	2739	Darling River
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	\N	1579	Murrumbidgee River
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/river/Niger/	\N	430	Bani
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	403	Snowy River
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	\N	199	Rio San Juan
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/river/Bartang/	\N	395	Murgab
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/river/Dalaelv/	\N	320	Vaesterdalaelv
http://www.semwebtech.org/mondial/10/river/Bartang/	http://www.semwebtech.org/mondial/10/river/Pjandsh/	\N	133	Bartang
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	78	Narva
http://www.semwebtech.org/mondial/10/river/Busira/	http://www.semwebtech.org/mondial/10/river/Ruki/	\N	830	Busira
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/lake/LakeKeban/	\N	720	Murat
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/sea/BeringSea/	\N	3185	Yukon River
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/river/WhiteNile/	\N	716	Bahr el-Ghasal
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/river/Kasai/	\N	970	Lulua
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/river/Ubangi/	\N	280	Bomu
http://www.semwebtech.org/mondial/10/river/Asahan/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	\N	150	Asahan
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/river/Drina/	\N	140	Tara
http://www.semwebtech.org/mondial/10/river/Tambo/	http://www.semwebtech.org/mondial/10/river/Ucayali/	\N	160	Tambo
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/lake/Vaenern/	\N	460	Klaraelv
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/river/Busira/	\N	1300	Tshuapa
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/lake/LakeHuron/	\N	0.1	Straits of Mackinac
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	203	Kymijoki
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/river/Tambo/	\N	730	Apurimac
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	1500	Volta
http://www.semwebtech.org/mondial/10/river/Swir/	http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	\N	224	Swir
http://www.semwebtech.org/mondial/10/river/Manicouagan/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	\N	560	Manicouagan
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	\N	206	Joekulsa a Fjoellum
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/lake/LopNor/	\N	3260	Tarim-Yarkend
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/river/Nile/	\N	1783	Blue Nile
http://www.semwebtech.org/mondial/10/river/Ene/	http://www.semwebtech.org/mondial/10/river/Tambo/	\N	180	Ene
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	655	Connecticut River
http://www.semwebtech.org/mondial/10/river/Ruki/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	130	Ruki
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	\N	275	Akagera
http://www.semwebtech.org/mondial/10/river/Schilka/	http://www.semwebtech.org/mondial/10/river/Amur/	\N	560	Schilka
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	\N	\N	Victoria Nile
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	Lualaba
http://www.semwebtech.org/mondial/10/river/WhiteNile/	http://www.semwebtech.org/mondial/10/river/Nile/	\N	\N	White Nile
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/river/WhiteNile/	\N	\N	Bahr el-Djebel/Albert-Nil
\.


--
-- TOC entry 5934 (class 0 OID 90129)
-- Dependencies: 704
-- Data for Name: Location; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Location" ("URI", latitude, longitude) FROM stdin;
http://www.semwebtech.org/mondial/10/island/Iceland/	65	-18
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/	-5.9	155
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	-8.4	116.5
http://www.semwebtech.org/mondial/10/island/Ceram/	-2	128
http://www.semwebtech.org/mondial/10/mountain/Damavand/	35.95	52.1
http://www.semwebtech.org/mondial/10/island/Trinidad/	10.4	-61.35
http://www.semwebtech.org/mondial/10/island/Ponape/	6.85	158.2
http://www.semwebtech.org/mondial/10/lake/LakeVan/	38.6	42.9
http://www.semwebtech.org/mondial/10/lake/Maelaren/	59.4	17.1
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	1.7	30.9
http://www.semwebtech.org/mondial/10/island/Bintan/	1.1	104.5
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	53	108
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	49.2	32.65
http://www.semwebtech.org/mondial/10/desert/Ferlo/	15	-14
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	-2.05	18.3
http://www.semwebtech.org/mondial/10/lake/LakeErie/	42.16	-81.27
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	46.2	-121.5
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/	0.2	6.6
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	10.4	4.5
http://www.semwebtech.org/mondial/10/island/Fohr/	54.7	8.5
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	44.81	59.62
http://www.semwebtech.org/mondial/10/desert/Tenere/	18	11
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/	-19.3	47.2
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	79.25	-79.6
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	50.7	15.7
http://www.semwebtech.org/mondial/10/desert/Thar/	27.5	72
http://www.semwebtech.org/mondial/10/island/Ibiza/	38.5	1.5
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	64.5	-84.5
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	47.45	34.2
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	74	56
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	42.2	19.3
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	45.9	7.9
http://www.semwebtech.org/mondial/10/island/Santiago/	15.1	-23.6
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	44	65
http://www.semwebtech.org/mondial/10/island/Sokotra/	12.5	53.9
http://www.semwebtech.org/mondial/10/island/St.Martin/	18.1	-63.1
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	6.3	0.5
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	47	8.4
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/	13	24.6
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/	-37.1	-12.3
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	40.9	21
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/	-21.1	55.5
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/	64.1	-16.7
http://www.semwebtech.org/mondial/10/island/SouthUist/	57.2	-7.2
http://www.semwebtech.org/mondial/10/island/Sylt/	54.9	8.3
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/	16.05	-61.65
http://www.semwebtech.org/mondial/10/island/Borneo/	-0.2	113.67
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	61.7	-113.9
http://www.semwebtech.org/mondial/10/island/Rhum/	57	-6.3
http://www.semwebtech.org/mondial/10/mountain/Soufriere/	13.35	-61.2
http://www.semwebtech.org/mondial/10/island/Lampedusa/	35.4	13.2
http://www.semwebtech.org/mondial/10/island/Taiwan/	24	121
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/	-9.7	160.1
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/	-0.7	-78.4
http://www.semwebtech.org/mondial/10/mountain/Pulog/	17	121
http://www.semwebtech.org/mondial/10/island/Bangka/	2.25	106
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	11.2	41.8
http://www.semwebtech.org/mondial/10/lake/Saimaa/	61.3	28
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/	-17.6	-149.5
http://www.semwebtech.org/mondial/10/island/Wangerooge/	53.8	7.9
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	-24.7	-68.5
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/	-14	48.5
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	3.5	8.7
http://www.semwebtech.org/mondial/10/mountain/Andringitra/	-22.5	47
http://www.semwebtech.org/mondial/10/mountain/Snaefell/	64.5	-15.2
http://www.semwebtech.org/mondial/10/island/Luzon/	16.1	121
http://www.semwebtech.org/mondial/10/lake/Poopo/	-18.55	-67.1
http://www.semwebtech.org/mondial/10/mountain/Hekla/	64	-19.7
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	4.9	-75.3
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	47.8	16.7
http://www.semwebtech.org/mondial/10/mountain/Karthala/	-11.75	43.35
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	28.4	-14
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/	-1.2	-78.5
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	-30.5	-62.67
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	43.1	12.1
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	35.75	76.65
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	-4.3	15.5
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	47.95	17.65
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	17.9	-62.82
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	-1.5	29.45
http://www.semwebtech.org/mondial/10/island/Grenada/	12	-62
http://www.semwebtech.org/mondial/10/mountain/MountKenia/	0.15	37.3
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	-8	32.35
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/	-17.8	178
http://www.semwebtech.org/mondial/10/island/Barbados/	13	-59.3
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	31	-105
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	35.6	76.7
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	47.48	-101.42
http://www.semwebtech.org/mondial/10/island/Rhodos/	36.2	28
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/	15	-91.9
http://www.semwebtech.org/mondial/10/island/Menorca/	40	4
http://www.semwebtech.org/mondial/10/island/Negros/	10	123
http://www.semwebtech.org/mondial/10/desert/Karakum/	40	60
http://www.semwebtech.org/mondial/10/island/Fogo/	17.95	-24.4
http://www.semwebtech.org/mondial/10/island/Niihau/	21.9	-160.1
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	-15.84	-69.33
http://www.semwebtech.org/mondial/10/mountain/MountApo/	7	125.45
http://www.semwebtech.org/mondial/10/desert/Nefud/	28	42
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/	-21.2	55.7
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	47.7675	-87.37
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	-11.2	29.7
http://www.semwebtech.org/mondial/10/island/Samos/	37.7	26.8
http://www.semwebtech.org/mondial/10/island/SaintLucia/	14	-60.5
http://www.semwebtech.org/mondial/10/island/Nevis/	17	-62.3
http://www.semwebtech.org/mondial/10/desert/Trarza/	18	-15
http://www.semwebtech.org/mondial/10/mountain/Concepcion/	11.5	-85.6
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	45.95	8.6
http://www.semwebtech.org/mondial/10/island/Mindanao/	7.55	124.9
http://www.semwebtech.org/mondial/10/lake/Thunersee/	46.69	7.716
http://www.semwebtech.org/mondial/10/island/Jura/	56	-6
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	32.81	35.6
http://www.semwebtech.org/mondial/10/island/Kefallinia/	38.2	20.6
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/	-39.3	175.6
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	47.92	11.32
http://www.semwebtech.org/mondial/10/mountain/Fako/	4.2	9.2
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	-22.8	-67.9
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	-28.6	137.3
http://www.semwebtech.org/mondial/10/island/Chios/	38.4	26.2
http://www.semwebtech.org/mondial/10/mountain/Tahat/	23.3	5.5
http://www.semwebtech.org/mondial/10/mountain/Silisili/	-13.6	-172.4
http://www.semwebtech.org/mondial/10/island/Pellworm/	54.5	8.6
http://www.semwebtech.org/mondial/10/island/SantaMaria/	37	-25.1
http://www.semwebtech.org/mondial/10/island/Cuba/	22	-79
http://www.semwebtech.org/mondial/10/island/Baltrum/	53.6	7.4
http://www.semwebtech.org/mondial/10/island/Isabela/	-1	-91.3
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/	15.5	-61.4
http://www.semwebtech.org/mondial/10/island/Vulcano/	38.4	15
http://www.semwebtech.org/mondial/10/island/Kos/	36.8	27.1
http://www.semwebtech.org/mondial/10/mountain/Pelee/	14.8	-61.15
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	57.7	11.97
http://www.semwebtech.org/mondial/10/island/Bioko/	3.5	8.7
http://www.semwebtech.org/mondial/10/island/Mykonos/	37.45	25.4
http://www.semwebtech.org/mondial/10/mountain/Cayambe/	0.1	-78
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/	-6.05	143.9
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/	20	18.5
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	44.45	-100.4
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	-15.6	32.7
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	58.6	-3.1
http://www.semwebtech.org/mondial/10/island/Corvo/	39.7	-31.1
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	50.6	30.5
http://www.semwebtech.org/mondial/10/mountain/Semeru/	-8.1	112.9
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	32.5	57
http://www.semwebtech.org/mondial/10/lake/LakeTana/	12	37.3
http://www.semwebtech.org/mondial/10/island/NewGuinea/	-5	142
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	16.15	-61.8
http://www.semwebtech.org/mondial/10/island/Ikaria/	37.6	26.2
http://www.semwebtech.org/mondial/10/island/Benbecula/	57.45	-7.3
http://www.semwebtech.org/mondial/10/island/Male/	2	72
http://www.semwebtech.org/mondial/10/island/Greenland/	70	-40
http://www.semwebtech.org/mondial/10/mountain/Katla/	63.6	-19
http://www.semwebtech.org/mondial/10/island/Tiree/	56.3	6.9
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	42.2	80.16
http://www.semwebtech.org/mondial/10/island/SaintVincent/	13.25	-61.3
http://www.semwebtech.org/mondial/10/mountain/Ararat/	39.7	44.3
http://www.semwebtech.org/mondial/10/island/Sachalin/	50	143
http://www.semwebtech.org/mondial/10/island/Okinawa/	26	128
http://www.semwebtech.org/mondial/10/island/Seeland/	55.3	12
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/	16.7	-62.2
http://www.semwebtech.org/mondial/10/island/Tongatapu/	-21.2	-175.15
http://www.semwebtech.org/mondial/10/island/LaPalma/	28.7	-17.9
http://www.semwebtech.org/mondial/10/island/IsleofWight/	50.6	-1.3
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	47.85	17.45
http://www.semwebtech.org/mondial/10/island/Gozo/	36.05	14.3
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	32.17	-64.47
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	69	72
http://www.semwebtech.org/mondial/10/island/Streymoy/	62	-7
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	68.3	14.6
http://www.semwebtech.org/mondial/10/island/Cebu/	10.4	123.8
http://www.semwebtech.org/mondial/10/island/Upolu/	-13.9	-171.75
http://www.semwebtech.org/mondial/10/island/PuertoRico/	18.49	-66.12
http://www.semwebtech.org/mondial/10/island/Svalbard/	78.9	18.2
http://www.semwebtech.org/mondial/10/island/GranCanaria/	28	-15.6
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	34	-120.1
http://www.semwebtech.org/mondial/10/island/Tobago/	11.25	-60.7
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	34	-119.7
http://www.semwebtech.org/mondial/10/island/Faial/	38.6	-28.7
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	33	-120.4
http://www.semwebtech.org/mondial/10/island/Paramuschir/	50.5	155.75
http://www.semwebtech.org/mondial/10/island/Honshu/	36.3	138.6
http://www.semwebtech.org/mondial/10/island/Lanai/	20.5	-157
http://www.semwebtech.org/mondial/10/island/Saipan/	15.2	145.75
http://www.semwebtech.org/mondial/10/island/Madeira/	31	-16
http://www.semwebtech.org/mondial/10/island/EasterIsland/	-27.1	-109.35
http://www.semwebtech.org/mondial/10/island/Kyushu/	32	131
http://www.semwebtech.org/mondial/10/island/Anguilla/	18	-64
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	57.9	-6.8
http://www.semwebtech.org/mondial/10/island/Syros/	37.45	24.9
http://www.semwebtech.org/mondial/10/island/Pitcairn/	-25.04	-130.05
http://www.semwebtech.org/mondial/10/island/Lanzarote/	29	-13.6
http://www.semwebtech.org/mondial/10/island/Norderney/	53.7	7.9
http://www.semwebtech.org/mondial/10/island/Shikoku/	34	134
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	6.5	-1.4
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	-6	30
http://www.semwebtech.org/mondial/10/lake/Bodensee/	47.6	9.4
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	47.501794	8.236313
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	38.2	72.75
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	42.1	12.2
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	-16.5	28.75
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	58.68	27.49
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	46	9.3
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	53.5	49.45
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	4.7	36.85
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	-11.02	-76.12
http://www.semwebtech.org/mondial/10/lake/LacLeman/	46.5	6.5
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	46.73	7.97
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	60.82	31.53
http://www.semwebtech.org/mondial/10/lake/LakeToba/	2.6	98.8
http://www.semwebtech.org/mondial/10/lake/DeadSea/	31.3	35.5
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	41.15	-112.6
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	9.72	-71.55
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	61.67	35.485
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	45.6	10.65
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	-1	33
http://www.semwebtech.org/mondial/10/lake/Vaenern/	58.8	13.3
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	30.8	61.2
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	-35.3	149.1
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	59.5	-133.75
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	39	-120
http://www.semwebtech.org/mondial/10/desert/Gobi/	41	105
http://www.semwebtech.org/mondial/10/desert/UstUrt/	43	56
http://www.semwebtech.org/mondial/10/desert/Ryn/	48	47
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	21	51
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	58.9	-137.5
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	47.3	11.1
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	46.4	9.9
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	\N	2.8
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	\N	-98
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	\N	-68.85
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	\N	-155.6
http://www.semwebtech.org/mondial/10/mountain/Meru/	\N	36.8
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	\N	-121.75
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	\N	-111.65
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	\N	-16.6
http://www.semwebtech.org/mondial/10/island/Samar/	12	125.1
http://www.semwebtech.org/mondial/10/island/Rarotonga/	-21.12	-159.46
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	44.8	20.45
http://www.semwebtech.org/mondial/10/island/Anglesey/	53.3	-4.4
http://www.semwebtech.org/mondial/10/island/Futuna/	-14.3	-178.1
http://www.semwebtech.org/mondial/10/island/Molokai/	21.1	-157
http://www.semwebtech.org/mondial/10/island/Kavaratti/	10.6	72.6
http://www.semwebtech.org/mondial/10/island/Kiritimati/	1.9	-157.4
http://www.semwebtech.org/mondial/10/island/Ambon/	-3.7	128.2
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	-16.35	179.25
http://www.semwebtech.org/mondial/10/island/Mayotte/	-12.46	45.13
http://www.semwebtech.org/mondial/10/island/PortoSanto/	33	-16.35
http://www.semwebtech.org/mondial/10/island/Flores/	39.5	-31.2
http://www.semwebtech.org/mondial/10/island/Linosa/	35.85	13.85
http://www.semwebtech.org/mondial/10/island/Ireland/	53.5	-7.8
http://www.semwebtech.org/mondial/10/island/LittleCayman/	19.8	-80
http://www.semwebtech.org/mondial/10/island/Singapore/	1.3	103.833
http://www.semwebtech.org/mondial/10/island/NorthUist/	57.4	-7.1
http://www.semwebtech.org/mondial/10/island/Montserrat/	16.42	-62.13
http://www.semwebtech.org/mondial/10/island/Skye/	57.3	-6.3
http://www.semwebtech.org/mondial/10/island/Rugen/	54.5	13.4
http://www.semwebtech.org/mondial/10/island/Lefkas/	38.7	20.6
http://www.semwebtech.org/mondial/10/island/Zakynthos/	37.8	20.75
http://www.semwebtech.org/mondial/10/island/Sumatra/	0	102
http://www.semwebtech.org/mondial/10/island/Panay/	11.15	122.5
http://www.semwebtech.org/mondial/10/island/Ternate/	0.8	127.3
http://www.semwebtech.org/mondial/10/island/Lipari/	38.5	14.95
http://www.semwebtech.org/mondial/10/island/Unalaska/	63.9	-166.5
http://www.semwebtech.org/mondial/10/island/Kauai/	22	-159.5
http://www.semwebtech.org/mondial/10/island/Arran/	55.3	-5.5
http://www.semwebtech.org/mondial/10/island/Mallorca/	39.3	3
http://www.semwebtech.org/mondial/10/island/Palawan/	9.5	118.4
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	-37.1	-12.3
http://www.semwebtech.org/mondial/10/island/Reunion/	-20.9	55.5
http://www.semwebtech.org/mondial/10/island/Fongafale/	-8.5	179.1
http://www.semwebtech.org/mondial/10/island/SaintThomas/	18.3	-64.9
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	33	-118.5
http://www.semwebtech.org/mondial/10/island/Samosir/	2.6	98.85
http://www.semwebtech.org/mondial/10/island/Martinique/	14.6	-61
http://www.semwebtech.org/mondial/10/island/Gomera/	28.1	-17.3
http://www.semwebtech.org/mondial/10/island/Panarea/	38.65	15.05
http://www.semwebtech.org/mondial/10/island/Barbuda/	17.3	-61.4
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	-11.3	-50.4
http://www.semwebtech.org/mondial/10/island/Ameland/	53.5	5.75
http://www.semwebtech.org/mondial/10/island/Madagaskar/	-20	46
http://www.semwebtech.org/mondial/10/island/Mindoro/	13	121.1
http://www.semwebtech.org/mondial/10/island/Labuan/	5.3	115.2
http://www.semwebtech.org/mondial/10/island/Babelthuap/	7.5	134.6
http://www.semwebtech.org/mondial/10/island/Antigua/	17.05	-61.8
http://www.semwebtech.org/mondial/10/island/EastFalkland/	-51.8	-58.8
http://www.semwebtech.org/mondial/10/island/Savaii/	-13.6	-172.4
http://www.semwebtech.org/mondial/10/island/Barra/	57	-7.7
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	16.3	-61.4
http://www.semwebtech.org/mondial/10/island/Formentera/	38	1.5
http://www.semwebtech.org/mondial/10/island/DevonIsland/	75.1	-87.85
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	37.7	-25.5
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	33.2	-118.2
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	75.4	141
http://www.semwebtech.org/mondial/10/island/Tutuila/	-14.16	-170.42
http://www.semwebtech.org/mondial/10/island/Stromboli/	38.8	15.15
http://www.semwebtech.org/mondial/10/island/Krakatau/	-6.1	105.6
http://www.semwebtech.org/mondial/10/island/Korfu/	39.6	19.8
http://www.semwebtech.org/mondial/10/island/Jersey/	49.2	-2.1
http://www.semwebtech.org/mondial/10/island/BishopRock/	50	-6.3
http://www.semwebtech.org/mondial/10/island/Fehmarn/	54.4	11.2
http://www.semwebtech.org/mondial/10/island/Tasmania/	-42	145
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	53.5	6.2
http://www.semwebtech.org/mondial/10/island/Sumbawa/	-8.8	116.1
http://www.semwebtech.org/mondial/10/island/Lavan/	26.5	53.1
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	-22.16	166.27
http://www.semwebtech.org/mondial/10/island/SaintPierre/	47	-56
http://www.semwebtech.org/mondial/10/island/Jamaica/	18.1	-77.3
http://www.semwebtech.org/mondial/10/island/Curacao/	12.2	-69
http://www.semwebtech.org/mondial/10/island/Newfoundland/	48.6	-55.8
http://www.semwebtech.org/mondial/10/island/Mull/	56.45	6
http://www.semwebtech.org/mondial/10/island/Islay/	62.1	7
http://www.semwebtech.org/mondial/10/island/Hawaii/	19.6	-155.5
http://www.semwebtech.org/mondial/10/island/Oeland/	57	17
http://www.semwebtech.org/mondial/10/island/Ascension/	-7.9	-14.4
http://www.semwebtech.org/mondial/10/island/SaoTome/	0.2	6.6
http://www.semwebtech.org/mondial/10/island/Alicudi/	38.6	14.4
http://www.semwebtech.org/mondial/10/island/SaoJorge/	38.6	-28
http://www.semwebtech.org/mondial/10/island/Corse/	41.4	8.4
http://www.semwebtech.org/mondial/10/island/Impalila/	-17.77	25.23
http://www.semwebtech.org/mondial/10/island/Sansibar/	-6.1	39.3
http://www.semwebtech.org/mondial/10/island/Tortola/	18.27	-64.37
http://www.semwebtech.org/mondial/10/island/Cyprus/	35.4	33.2
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	-10.25	105.43
http://www.semwebtech.org/mondial/10/island/Timor/	-9.2	124.9
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	22.1	-72.1
http://www.semwebtech.org/mondial/10/island/Providenciales/	22	-72.3
http://www.semwebtech.org/mondial/10/island/Helgoland/	54.2	7.9
http://www.semwebtech.org/mondial/10/island/VitiLevu/	-17.8	178
http://www.semwebtech.org/mondial/10/island/BanksIsland/	72.85	-122.1
http://www.semwebtech.org/mondial/10/island/Tahiti/	-17.32	-149.34
http://www.semwebtech.org/mondial/10/island/Efate/	-17.8	168.4
http://www.semwebtech.org/mondial/10/island/Juist/	53.6	7
http://www.semwebtech.org/mondial/10/island/Niue/	-19.01	-169.55
http://www.semwebtech.org/mondial/10/island/Fakaofo/	-9.37	-171.2
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	19.7	-79.8
http://www.semwebtech.org/mondial/10/island/Sulawesi/	-2.1	120.3
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	70.75	-110.1
http://www.semwebtech.org/mondial/10/island/Guernsey/	49.6	-2.6
http://www.semwebtech.org/mondial/10/island/Hispaniola/	19	-70.7
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	72.6	-98.55
http://www.semwebtech.org/mondial/10/island/Guam/	13.4	144.7
http://www.semwebtech.org/mondial/10/island/Westray/	59.4	-3
http://www.semwebtech.org/mondial/10/island/Filicudi/	38.6	14.55
http://www.semwebtech.org/mondial/10/island/Langeoog/	53.65	7.5
http://www.semwebtech.org/mondial/10/island/Salina/	38.6	14.9
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	11.4	92.5
http://www.semwebtech.org/mondial/10/island/Hierro/	27.7	-18
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	46.3	-63.4
http://www.semwebtech.org/mondial/10/island/Koror/	7.3	134.5
http://www.semwebtech.org/mondial/10/island/Terschelling/	53.4	5.3
http://www.semwebtech.org/mondial/10/island/Lombok/	-8.4	116.5
http://www.semwebtech.org/mondial/10/island/WestFalkland/	-51.8	-60.1
http://www.semwebtech.org/mondial/10/island/Teneriffa/	28.3	-16.6
http://www.semwebtech.org/mondial/10/island/Nantucket/	41.5	-70.1
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	-38.4	175.7
http://www.semwebtech.org/mondial/10/island/Khark/	29.1	50.2
http://www.semwebtech.org/mondial/10/island/Tinian/	15	145.6
http://www.semwebtech.org/mondial/10/island/Bougainville/	-6.2	155.25
http://www.semwebtech.org/mondial/10/island/Malta/	35.9	14.5
http://www.semwebtech.org/mondial/10/island/Bornholm/	55.1	14.9
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	-12.2	96.9
http://www.semwebtech.org/mondial/10/island/SaintKitts/	17.3	-62.75
http://www.semwebtech.org/mondial/10/island/Mauritius/	-20	57
http://www.semwebtech.org/mondial/10/island/NewProvidence/	25	-77.4
http://www.semwebtech.org/mondial/10/island/Batam/	1.1	104.05
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	49.6	-125.65
http://www.semwebtech.org/mondial/10/island/Tarawa/	1.4	173
http://www.semwebtech.org/mondial/10/island/Nauru/	-1	167
http://www.semwebtech.org/mondial/10/island/Dagoe/	58.8	22.7
http://www.semwebtech.org/mondial/10/island/Borkum/	53.6	6.7
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	-29	168
http://www.semwebtech.org/mondial/10/island/Hainan/	19.1	109.6
http://www.semwebtech.org/mondial/10/island/Sicilia/	37	14
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	-9.6	160.2
http://www.semwebtech.org/mondial/10/island/Mohilla/	-12.25	43.75
http://www.semwebtech.org/mondial/10/island/Sardegna/	40	9
http://www.semwebtech.org/mondial/10/island/Hokkaido/	43.3	143
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	41.4	-70.6
http://www.semwebtech.org/mondial/10/island/Fuenen/	55.35	10.25
http://www.semwebtech.org/mondial/10/island/Majuro/	7.1	171.4
http://www.semwebtech.org/mondial/10/island/Oesel/	58.3	22
http://www.semwebtech.org/mondial/10/island/Lesbos/	39.2	26.3
http://www.semwebtech.org/mondial/10/island/Maui/	20.7	-156.3
http://www.semwebtech.org/mondial/10/island/Usedom/	53.9	14.1
http://www.semwebtech.org/mondial/10/island/Manitoulin/	45.75	-82.2
http://www.semwebtech.org/mondial/10/island/Falster/	54.8	12
http://www.semwebtech.org/mondial/10/island/Uvea/	-13.16	-176.2
http://www.semwebtech.org/mondial/10/island/Bali/	-8.4	115.1
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	59	-3.1
http://www.semwebtech.org/mondial/10/island/Oahu/	21.5	-158
http://www.semwebtech.org/mondial/10/island/Pemba/	-5.2	39.7
http://www.semwebtech.org/mondial/10/island/Gotland/	57.5	18.5
http://www.semwebtech.org/mondial/10/island/MargitSziget/	47.5	19.05
http://www.semwebtech.org/mondial/10/island/GrandTurk/	21.28	-71.08
http://www.semwebtech.org/mondial/10/island/Aland/	60.1	20
http://www.semwebtech.org/mondial/10/island/GrandComoro/	-11.7	43.4
http://www.semwebtech.org/mondial/10/island/Bahrain/	26	50.5
http://www.semwebtech.org/mondial/10/island/Hoy/	59.1	-3.2
http://www.semwebtech.org/mondial/10/island/Jeju/	33.4	126.5
http://www.semwebtech.org/mondial/10/island/Mahe/	-4.65	55.5
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	47.1	-56.3
http://www.semwebtech.org/mondial/10/island/Halmahera/	0.6	127.9
http://www.semwebtech.org/mondial/10/island/Aruba/	12.31	-70.02
http://www.semwebtech.org/mondial/10/island/Graciosa/	39	-28
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	-35.8	137.3
http://www.semwebtech.org/mondial/10/island/Amrum/	54.65	8.3
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	-44	170.4
http://www.semwebtech.org/mondial/10/island/LongIsland/	40.8	-73.3
http://www.semwebtech.org/mondial/10/island/Rota/	15.15	145.2
http://www.semwebtech.org/mondial/10/island/SanAndres/	12.5	-81.7
http://www.semwebtech.org/mondial/10/island/Bohol/	9.9	124.2
http://www.semwebtech.org/mondial/10/island/GrandCayman/	19.18	-81.23
http://www.semwebtech.org/mondial/10/island/Pico/	38.5	-28.4
http://www.semwebtech.org/mondial/10/island/Kreta/	37	25
http://www.semwebtech.org/mondial/10/island/Texel/	53.1	4.8
http://www.semwebtech.org/mondial/10/island/Olkhon/	53.15	107.4
http://www.semwebtech.org/mondial/10/island/IsleofMan/	54.1	-4.5
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	11.5	-85.6
http://www.semwebtech.org/mondial/10/island/Phuket/	7.4	98.4
http://www.semwebtech.org/mondial/10/island/Principe/	1.6	7.4
http://www.semwebtech.org/mondial/10/island/Lolland/	54.4	11.5
http://www.semwebtech.org/mondial/10/island/Langeland/	55	10.5
http://www.semwebtech.org/mondial/10/island/Java/	-7.5	111.25
http://www.semwebtech.org/mondial/10/island/GreatBritain/	53	-1.5
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	60.3	-1.3
http://www.semwebtech.org/mondial/10/island/Dominica/	15.4	-61.35
http://www.semwebtech.org/mondial/10/island/Leyte/	11	124.9
http://www.semwebtech.org/mondial/10/island/Zhoushan/	30.05	122.15
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	51.4	-68.7
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	-12	131
http://www.semwebtech.org/mondial/10/island/Banaba/	-0.85	169.54
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	53.8	7.6
http://www.semwebtech.org/mondial/10/island/Terceira/	38.7	-27.2
http://www.semwebtech.org/mondial/10/island/SriLanka/	7	80
http://www.semwebtech.org/mondial/10/island/SaintHelena/	-15.56	-5.44
http://www.semwebtech.org/mondial/10/island/Vlieland/	53.25	5
http://www.semwebtech.org/mondial/10/island/KoSamui/	9.5	100
http://www.semwebtech.org/mondial/10/island/Anjouan/	-12.2	44.35
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	6.3	37.8
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	-20.1	-67.5
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	47.9	12.4
http://www.semwebtech.org/mondial/10/lake/LopNor/	40.2	90.6
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	41	20.7
http://www.semwebtech.org/mondial/10/lake/LakePowell/	36.9	-111.5
http://www.semwebtech.org/mondial/10/lake/Vaettern/	58.3	14.5
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	-36.45	148.6
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	40.03	-119.57
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	60.65	11
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	3.6	36.1
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	-12	34
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	-8.4	116.45
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	43.69	-87.08
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	49.83	-88.5
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	40.96	-1.5
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	51.4	-68.7
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	37	-88.3
http://www.semwebtech.org/mondial/10/lake/Arresoe/	56	12.1
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	38.8	38.75
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	44.56	-73.35
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	14.4	121.35
http://www.semwebtech.org/mondial/10/lake/LakeHume/	-36.1	147
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	37.7	45.3
http://www.semwebtech.org/mondial/10/lake/Storuman/	65.22	16.88
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	22.4	31.75
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	-25.5	21
http://www.semwebtech.org/mondial/10/lake/Siljan/	60.85	14.8
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	-18.8	16
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	12.35	-86.4
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	45.76	-82
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	-20.5	23
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	6.44	10.3
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	65.9	-120.6
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	42.6	11.9
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	35.4	-85
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	-3.6	35
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	62.9	27.7
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	10	-83.9
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	-9.46	-40.7
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	20.22	-103.05
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	61.5	25.4
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	-36.1	148.6
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	10.24	-61.64
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	64.3	27.25
http://www.semwebtech.org/mondial/10/lake/Balaton/	46.8	17.6
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	-0.35	29.6
http://www.semwebtech.org/mondial/10/lake/Inari/	68.95	27.7
http://www.semwebtech.org/mondial/10/lake/LochNess/	57.31	-4.44
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	11.6	-85.35
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	74.5	101.6
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	52.77	-97.97
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	36.9	100.2
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	48	-106.4
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	26.94	-80.8
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	43.695	-77.96
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	46.55	74.88
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	1.5	33
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	-15.3	35.7
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	54.9	77.5
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	42.4	77.2
http://www.semwebtech.org/mondial/10/lake/ChadLake/	13.2	14
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	47.95	-119
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	-2.4	36
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	6.4	12.75
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	-9	28.7
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	34.5	51.88
http://www.semwebtech.org/mondial/10/lake/LochLomond/	56.08	-4.59
http://www.semwebtech.org/mondial/10/lake/LakeMead/	36.05	-114.75
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	-1.8	29.2
http://www.semwebtech.org/mondial/10/lake/LacAssal/	11.65	42.4
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	41	51
http://www.semwebtech.org/mondial/10/lake/Ammersee/	48	11.6
http://www.semwebtech.org/mondial/10/lake/CraterLake/	42.9	-122.1
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	44.795	-82.44
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	50.4	7.3
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	43.6	-71.3
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	45	132.4
http://www.semwebtech.org/mondial/10/lake/NamCo/	30.7	90.55
http://www.semwebtech.org/mondial/10/estuary/Jordan/	31.3	35.5
http://www.semwebtech.org/mondial/10/estuary/Volga/	46.733333333333	47.85
http://www.semwebtech.org/mondial/10/estuary/Piva/	43.35	18.8
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	42.819444	-70.811944
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	46.35	30.23
http://www.semwebtech.org/mondial/10/estuary/Argun/	53.33	121.48
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	46	60.5
http://www.semwebtech.org/mondial/10/estuary/Oranje/	-28.55	16.4
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	46.6	-83.9
http://www.semwebtech.org/mondial/10/estuary/Theiss/	45.05	20.3
http://www.semwebtech.org/mondial/10/estuary/Don/	47.1	39.4
http://www.semwebtech.org/mondial/10/estuary/Missouri/	38.81	-90.12
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	37.1	68.3
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	57	24.1
http://www.semwebtech.org/mondial/10/estuary/Sanga/	-2	17
http://www.semwebtech.org/mondial/10/estuary/Mincio/	45.1	10.95
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	17	96
http://www.semwebtech.org/mondial/10/estuary/Breg/	47.95	8.52
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	46.5257	32.252
http://www.semwebtech.org/mondial/10/estuary/Schari/	13.2	14
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	45.8	-84.75
http://www.semwebtech.org/mondial/10/estuary/Inn/	48.57	13.47
http://www.semwebtech.org/mondial/10/estuary/Lomami/	-0.8	24
http://www.semwebtech.org/mondial/10/estuary/Bartang/	37.9	71.6
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	44	59
http://www.semwebtech.org/mondial/10/estuary/Lagen/	61.1	11.45
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	37.07	-88.63
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	1.7	30.9
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	49.6	-64.8
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	60.7	15.1
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	66.2	-16.6
http://www.semwebtech.org/mondial/10/estuary/Pibor/	8.45	33.2
http://www.semwebtech.org/mondial/10/estuary/Save/	44.8	20.4667
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	0	-50
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	69.2	-135.02
http://www.semwebtech.org/mondial/10/estuary/Buna/	41.85	19.35
http://www.semwebtech.org/mondial/10/estuary/Tajo/	38.7	-9.3
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	40.42	-80
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	65.77	24.45
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	36.8	-6.35
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	3.3	17.4
http://www.semwebtech.org/mondial/10/estuary/Ili/	45.4	74.15
http://www.semwebtech.org/mondial/10/estuary/Sobat/	9.63	31.65
http://www.semwebtech.org/mondial/10/estuary/Tobol/	58.2	68.25
http://www.semwebtech.org/mondial/10/estuary/Tigris/	31	47.44
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	29.9	48.6
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	43.7	21.4
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	43	-82.2
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	0.5	25.2
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	37.74	119.14
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	10.95	-74.8
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	61.07	68.93
http://www.semwebtech.org/mondial/10/estuary/Douro/	41.15	-8.66
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	65.3	25.2
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	-1.73	-49.16
http://www.semwebtech.org/mondial/10/estuary/Vaal/	-29	24
http://www.semwebtech.org/mondial/10/estuary/Ammer/	48.5	11.96
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	73	115
http://www.semwebtech.org/mondial/10/estuary/Enns/	48.24	14.52
http://www.semwebtech.org/mondial/10/estuary/Atbara/	17.68	33.97
http://www.semwebtech.org/mondial/10/estuary/Dnister/	46.35	30.23
http://www.semwebtech.org/mondial/10/estuary/Saar/	49.7	6.6
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	-27.3	-58.4
http://www.semwebtech.org/mondial/10/estuary/Drau/	45.54	18.93
http://www.semwebtech.org/mondial/10/estuary/Ticino/	45.14	9.235
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	40.7	-74
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	25.96	-97.18
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	60.7	15.1
http://www.semwebtech.org/mondial/10/estuary/Rhone/	43.33	4.84
http://www.semwebtech.org/mondial/10/estuary/Karun/	30.43	48.17
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	-25.2	34
http://www.semwebtech.org/mondial/10/estuary/Kama/	55.4	50.3
http://www.semwebtech.org/mondial/10/estuary/Zaire/	-6	12
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	66.3	24.4
http://www.semwebtech.org/mondial/10/estuary/Uelle/	4	22.5
http://www.semwebtech.org/mondial/10/estuary/Mekong/	9	107
http://www.semwebtech.org/mondial/10/estuary/Lech/	48.73	10.93
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	-3.1	-60
http://www.semwebtech.org/mondial/10/estuary/Gambia/	13.5	-16.6
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	59.4	13.5
http://www.semwebtech.org/mondial/10/estuary/Karasu/	38.8	38.75
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	57.7	11.9
http://www.semwebtech.org/mondial/10/estuary/Oka/	56.3	44
http://www.semwebtech.org/mondial/10/estuary/Loire/	47.27	-2.18
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	3	16.9
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	-34.1	141.9
http://www.semwebtech.org/mondial/10/estuary/Oder/	53.6	14.59
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	-0.2	20.8
http://www.semwebtech.org/mondial/10/estuary/Niger/	5.32	6.42
http://www.semwebtech.org/mondial/10/estuary/Maranon/	-4.44	-73.45
http://www.semwebtech.org/mondial/10/estuary/Glomma/	59.2	10.95
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	-3.4	-58.76
http://www.semwebtech.org/mondial/10/estuary/Bomu/	4	22.5
http://www.semwebtech.org/mondial/10/estuary/Shabelle/	0.5	42.76
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	10.9	-83.7
http://www.semwebtech.org/mondial/10/estuary/Leine/	52.72	9.59
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	57.15	-92.33
http://www.semwebtech.org/mondial/10/estuary/Parana/	-34.5	-58.2
http://www.semwebtech.org/mondial/10/estuary/Tara/	43.35	18.8
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	-10.7	-73.75
http://www.semwebtech.org/mondial/10/estuary/Main/	49.99	8.29
http://www.semwebtech.org/mondial/10/estuary/Naryn/	41	71.7
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	21.5	-105.6
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	61.3	21.2
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	-6	27
http://www.semwebtech.org/mondial/10/estuary/Aller/	52.94	9.18
http://www.semwebtech.org/mondial/10/estuary/Ural/	47.1	51.9
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	41.27	-72.33
http://www.semwebtech.org/mondial/10/estuary/Adda/	45.13	9.88
http://www.semwebtech.org/mondial/10/estuary/Amur/	53.1	140.73
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	3.55	9.65
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	-3.4	29.3
http://www.semwebtech.org/mondial/10/estuary/Fulda/	51.4	9.65
http://www.semwebtech.org/mondial/10/estuary/Raab/	47.69	17.63
http://www.semwebtech.org/mondial/10/estuary/Ob/	66.48	71.35
http://www.semwebtech.org/mondial/10/estuary/Narew/	52.43	20.67
http://www.semwebtech.org/mondial/10/estuary/Petschora/	68.5	54
http://www.semwebtech.org/mondial/10/estuary/BlueNile/	15.6	32.5
http://www.semwebtech.org/mondial/10/estuary/Waag/	47.75	18.15
http://www.semwebtech.org/mondial/10/estuary/Perene/	-11.15	-74.23
http://www.semwebtech.org/mondial/10/estuary/Ganges/	22	90
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	-37.6	148.55
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	31	47.44
http://www.semwebtech.org/mondial/10/estuary/Selenge/	58.2	92.5
http://www.semwebtech.org/mondial/10/estuary/Akagera/	-1	33
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	52.77	-97.97
http://www.semwebtech.org/mondial/10/estuary/Schilka/	53.33	121.48
http://www.semwebtech.org/mondial/10/estuary/Benue/	7.78	6.75
http://www.semwebtech.org/mondial/10/estuary/Brigach/	47.95	8.52
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	63.9	-20.8
http://www.semwebtech.org/mondial/10/estuary/Marne/	48.8	2.4
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	37.35	-7.65
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	39.85	-119.43
http://www.semwebtech.org/mondial/10/estuary/Baro/	8.45	33.2
http://www.semwebtech.org/mondial/10/estuary/Etsch/	44.8	7.09
http://www.semwebtech.org/mondial/10/estuary/Elbe/	53.89	8.71
http://www.semwebtech.org/mondial/10/estuary/Garonne/	45	-0.6
http://www.semwebtech.org/mondial/10/estuary/Maas/	51.72	4.67
http://www.semwebtech.org/mondial/10/estuary/Werra/	51.4	9.65
http://www.semwebtech.org/mondial/10/estuary/Nile/	31.5	31
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	62.574	-163.98
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	51.06	100.02
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	46.24	-124.06
http://www.semwebtech.org/mondial/10/estuary/Salzach/	48.21	12.92
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	-33.9	-58.4
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	15.6	32.5
http://www.semwebtech.org/mondial/10/estuary/Limmat/	47.501794	8.236313
http://www.semwebtech.org/mondial/10/estuary/Seine/	49.42	0.1
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	52.5	21.08
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	60.81	31.54
http://www.semwebtech.org/mondial/10/estuary/Arno/	43.7	10.2
http://www.semwebtech.org/mondial/10/estuary/Ruki/	0	18
http://www.semwebtech.org/mondial/10/estuary/Ebro/	40.8	0.5
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	34	-91
http://www.semwebtech.org/mondial/10/estuary/Moraca/	42.25	19.15
http://www.semwebtech.org/mondial/10/estuary/Narva/	59.46	28.04
http://www.semwebtech.org/mondial/10/estuary/Murgab/	38.3	72.45
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	-5.37	-48.73
http://www.semwebtech.org/mondial/10/estuary/Aare/	47.61	8.22
http://www.semwebtech.org/mondial/10/estuary/Katun/	52.43	85
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	-19	36
http://www.semwebtech.org/mondial/10/estuary/Alz/	48.3	12.8
http://www.semwebtech.org/mondial/10/estuary/Newa/	59.95	30.17
http://www.semwebtech.org/mondial/10/estuary/Swir/	60.51	32.79
http://www.semwebtech.org/mondial/10/estuary/March/	48.17	16.98
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	2.5	29.5
http://www.semwebtech.org/mondial/10/estuary/Murat/	38.8	38.75
http://www.semwebtech.org/mondial/10/estuary/Suchona/	46.3	60.9
http://www.semwebtech.org/mondial/10/estuary/Okavango/	-18.95	22.5
http://www.semwebtech.org/mondial/10/estuary/Pruth/	45.47	28.21
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	51.15	30.5
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	29.15	-89.25
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	69.63	161.49
http://www.semwebtech.org/mondial/10/estuary/Semliki/	1.7	30.9
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	60.7	17.2
http://www.semwebtech.org/mondial/10/estuary/Moldau/	50.35	14.47
http://www.semwebtech.org/mondial/10/estuary/Po/	44.95	12.43
http://www.semwebtech.org/mondial/10/estuary/Lulua/	3.3	17.4
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	43.7	21.4
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	64.55	40.5333
http://www.semwebtech.org/mondial/10/estuary/Ischim/	58	71.5
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	23.8	89.8
http://www.semwebtech.org/mondial/10/estuary/Isere/	45	4.9
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	9.5	30.43
http://www.semwebtech.org/mondial/10/estuary/Busira/	-0.3	19
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	-10.4	-65.4
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	46	-73.1
http://www.semwebtech.org/mondial/10/estuary/Tambo/	-10.7	-73.75
http://www.semwebtech.org/mondial/10/estuary/Indus/	24	67.4
http://www.semwebtech.org/mondial/10/estuary/Colorado/	31.81	-114.8
http://www.semwebtech.org/mondial/10/estuary/Iller/	48.38	9.97
http://www.semwebtech.org/mondial/10/estuary/Donau/	45.16	29.65
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	-34.73	143.22
http://www.semwebtech.org/mondial/10/estuary/Cuango/	3.3	17.4
http://www.semwebtech.org/mondial/10/estuary/Volta/	5.77	0.68
http://www.semwebtech.org/mondial/10/estuary/Reuss/	47.4921	8.2371
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	-35.55	138.88
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	9.5	30.43
http://www.semwebtech.org/mondial/10/estuary/Thames/	51.5	0.65
http://www.semwebtech.org/mondial/10/estuary/Ene/	-11.15	-74.23
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	36.98	-89.13
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	54.36	18.95
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	32	121.5
http://www.semwebtech.org/mondial/10/estuary/Asahan/	3.1	99.2
http://www.semwebtech.org/mondial/10/estuary/Weser/	53.5	8.5
http://www.semwebtech.org/mondial/10/estuary/Luvua/	-7	27
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	63.5	20.1
http://www.semwebtech.org/mondial/10/estuary/Luapula/	-9	28.7
http://www.semwebtech.org/mondial/10/estuary/Würm/	48.3	11.5
http://www.semwebtech.org/mondial/10/estuary/Saluen/	17	97.5
http://www.semwebtech.org/mondial/10/estuary/Lena/	72.4005	126.69187
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	-5.1	-75.62
http://www.semwebtech.org/mondial/10/estuary/Jubba/	-0.5	42.7
http://www.semwebtech.org/mondial/10/estuary/Rhein/	51.9	4
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	-36.3	148.6
http://www.semwebtech.org/mondial/10/estuary/Chire/	-18	35.5
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	-10.5	-36.4
http://www.semwebtech.org/mondial/10/estuary/Isar/	48.8	12.98
http://www.semwebtech.org/mondial/10/estuary/Morava/	44.6	21.1
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	60.75	30.05
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	60.3	26.5
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	-18.55	-67.1
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	49.2	-68.15
http://www.semwebtech.org/mondial/10/estuary/Angara/	58.2	92.5
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	-4.44	-73.45
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	43.25	79.1
http://www.semwebtech.org/mondial/10/estuary/Neckar/	49.51	8.44
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	40.2	90.6
http://www.semwebtech.org/mondial/10/estuary/Bani/	14.52	-4.2
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	42.1	20.4
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	-0.8	17.7
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	-12.26	-73.97
http://www.semwebtech.org/mondial/10/estuary/Kura/	39.28	49.43
http://www.semwebtech.org/mondial/10/estuary/Drin/	41.8	19.6
http://www.semwebtech.org/mondial/10/estuary/Kasai/	3.3	17.4
http://www.semwebtech.org/mondial/10/estuary/Drina/	44.9	19.35
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	-12.26	-73.97
http://www.semwebtech.org/mondial/10/estuary/Saone/	45.7	4.8
http://www.semwebtech.org/mondial/10/estuary/Olt/	43.7	24.8
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	42.1	20.4
http://www.semwebtech.org/mondial/10/estuary/Kwa/	-3.1765	16.1967
http://www.semwebtech.org/mondial/10/estuary/Senegal/	15.96	-16.5
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	9	-62
http://www.semwebtech.org/mondial/10/estuary/Doubs/	46.9	5
http://www.semwebtech.org/mondial/10/estuary/Fimi/	3	16.9
http://www.semwebtech.org/mondial/10/estuary/Tiber/	41.74	12.23
http://www.semwebtech.org/mondial/10/estuary/Mosel/	50.37	7.61
http://www.semwebtech.org/mondial/10/estuary/Mur/	46.3	16.88
http://www.semwebtech.org/mondial/10/desert/Fesan/	26	13
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	32.5	55
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	30	-1
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	-25	137
http://www.semwebtech.org/mondial/10/desert/Sonora/	32	-113
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	44	72
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	27	-5
http://www.semwebtech.org/mondial/10/desert/Talak/	17	6
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	38	82
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	31	8
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	-29	129
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	-23	125
http://www.semwebtech.org/mondial/10/desert/Negev/	30.5	35
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	33	26
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	27	-10
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	23	22
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	-29	141
http://www.semwebtech.org/mondial/10/desert/Namib/	-25	15
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	-31	129
http://www.semwebtech.org/mondial/10/desert/KumTagh/	40	92
http://www.semwebtech.org/mondial/10/desert/Rigestan/	30	65
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	36	-110
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	21	-11
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	41	-114
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	22	-11
http://www.semwebtech.org/mondial/10/desert/Mojave/	36.2	-115.2
http://www.semwebtech.org/mondial/10/desert/RedCentre/	-26	135
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	31	-116
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	30	12
http://www.semwebtech.org/mondial/10/desert/Kalahari/	-22	21
http://www.semwebtech.org/mondial/10/desert/Darfur/	15	27
http://www.semwebtech.org/mondial/10/desert/Owyhee/	42	-117
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	18	22
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	32	21
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	33	39
http://www.semwebtech.org/mondial/10/desert/ErgChech/	25	-3
http://www.semwebtech.org/mondial/10/desert/Atacama/	-24.5	-69.25
http://www.semwebtech.org/mondial/10/desert/Ordos/	38	108
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	28	8
http://www.semwebtech.org/mondial/10/desert/Tanami/	-20	130
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	45	87.5
http://www.semwebtech.org/mondial/10/desert/Djourab/	17	18
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	-20	123
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	38	-117
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	31	62
http://www.semwebtech.org/mondial/10/desert/Qaidam/	37.5	95
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	23	0
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/	-8.9	125.5
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	37	3.3
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	51.4	-125.26
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	-13.8	-71.2
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	45.8	6.8
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	35.8	76.6
http://www.semwebtech.org/mondial/10/mountain/MtBona/	61.4	-141.75
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	36.6	-118.2
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/	18.3	-71.3
http://www.semwebtech.org/mondial/10/mountain/Korab/	41.4	20.3
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	49.1	13
http://www.semwebtech.org/mondial/10/mountain/Brocken/	51.8	10.6
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	31	-8
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	46	7.56
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	39	71.5
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	61.4	8.1
http://www.semwebtech.org/mondial/10/mountain/Schchara/	43	43.1
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	-3.1	129.3
http://www.semwebtech.org/mondial/10/mountain/Illampu/	-15.8	-68.5
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	-8.8	-78
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/	28.5	33.95
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	32	-105
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	9.05	7.5
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/	28.7	83.5
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/	18.1	-76.4
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	66.55	-65.6
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	52.15	-117.44
http://www.semwebtech.org/mondial/10/mountain/Annapurna/	28.6	83.8
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	44.1	-73.9
http://www.semwebtech.org/mondial/10/mountain/Olympos/	34.9	32.85
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	-32.65	-70
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	61.4	5.5
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	0.4	29.9
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	45.6	24.7
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	42.5	13.55
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	35.5	-6.5
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	42.6	0.65
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	63.1	-151
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	43.05	43.13
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	28	86.9
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	-22.4	-44.65
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	47	12.5
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	42	80.1
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	65	60.1
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	-29.1	29.35
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	10.85	-73.7
http://www.semwebtech.org/mondial/10/mountain/Olymp/	40.1	22.35
http://www.semwebtech.org/mondial/10/mountain/Kailash/	31.1	81.3
http://www.semwebtech.org/mondial/10/mountain/K2/	35.9	76.5
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	-4.1	137.11
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	46.4	11.85
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	42.4	8.9
http://www.semwebtech.org/mondial/10/mountain/Tahan/	4	108
http://www.semwebtech.org/mondial/10/mountain/Zhima/	53.15	107.4
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	43.2	4.85
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	-8.9	-77.7
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	62.1	9
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/	18.2	-66.6
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	42	128.1
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	51.45	-68.7
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	-37	147.5
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	67	17.3
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	67.5	18.3
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	44.9	6.3
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	38.3	72.2
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	36.4	87.4
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	11.4	76.7
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	52.3	-119.1
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	67.1	16.2
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	28	86.9
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	43.7	40.2
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	49.48	86.4
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	-36.5	148
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/	-29.5	29.3
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	20	-76.8
http://www.semwebtech.org/mondial/10/mountain/Joekul/	60.3	7.2
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/	7	80.8
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	39.1	-106.4
http://www.semwebtech.org/mondial/10/mountain/Athos/	40.15	24.35
http://www.semwebtech.org/mondial/10/mountain/Makalu/	27.9	87.1
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	46.5	8.1
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	28.35	86.65
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/	34.3	36.1
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	67.1	17.4
http://www.semwebtech.org/mondial/10/mountain/Illimani/	-16.65	-67.8
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	36.25	71.8
http://www.semwebtech.org/mondial/10/mountain/Manaslu/	28.55	84.6
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	35.4	-82.1
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	60.3	-140.9
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	40.25	-5.3
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	56.8	-5
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	8.6	-71
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	36.55	-105.4
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	41.8	1.85
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	37.8	35.2
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	35.2	74.6
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	39	72
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	40.5	-110.4
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	43.9	11.7
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	44.1	-113.8
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	35.3	-83.2
http://www.semwebtech.org/mondial/10/mountain/Kongur/	38.65	75.35
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	47.5	7.5
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	81.9	-75
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	28.55	85.8
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	44	-103.4
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	60.6	-140.4
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	42.8	0.15
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	37.16	72.5
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	43.2	-110
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	44.3	-71.3
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	45.5	7.25
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	-9	-77.3
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	37.9	-118.3
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	67	21.4
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/	-43.6	170.2
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	45.9	7.3
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	46.85	9.2
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	38.8	-105
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	44.61	34.25
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	35.3	80.9
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	32.35	50.1
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	45	-109.5
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	27.7	88.1
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	61.4	8
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	30.4	80
http://www.semwebtech.org/mondial/10/mountain/Jezerce/	42.3	19.4
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	20	9
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	49.2	20.1
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	38.27	75.1
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/	15.5	44
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	40.3	-7.6
http://www.semwebtech.org/mondial/10/mountain/Uluru/	-25.3	131
http://www.semwebtech.org/mondial/10/mountain/YuShan/	23.5	121
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/	-5.8	145
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	35.2	24.7
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	39.35	72.9
http://www.semwebtech.org/mondial/10/mountain/Musala/	42.2	23.6
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	47.9	7.1
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	6.1	116.5
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	67.3	17.4
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	47.3	13.75
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	2	-77
http://www.semwebtech.org/mondial/10/source/Benue/	7.58	12.58
http://www.semwebtech.org/mondial/10/source/Marne/	47.8	5.35
http://www.semwebtech.org/mondial/10/source/Lukenie/	-6.8	24.5
http://www.semwebtech.org/mondial/10/source/Hwangho/	35.3	96.2
http://www.semwebtech.org/mondial/10/source/OhioRiver/	40.42	-80
http://www.semwebtech.org/mondial/10/source/Uruguay/	-27.5	-52
http://www.semwebtech.org/mondial/10/source/Uelle/	2	30.5
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	58.4	12.34
http://www.semwebtech.org/mondial/10/source/Jubba/	7	39
http://www.semwebtech.org/mondial/10/source/Huallaga/	-10.5	-76.3
http://www.semwebtech.org/mondial/10/source/Rhein/	46.6	8.7
http://www.semwebtech.org/mondial/10/source/Po/	44.7	7.09
http://www.semwebtech.org/mondial/10/source/Chire/	-14.2	35.2
http://www.semwebtech.org/mondial/10/source/Waag/	49.02	19.81
http://www.semwebtech.org/mondial/10/source/Fulda/	50.5	9.9
http://www.semwebtech.org/mondial/10/source/Mississippi/	47.25	-95.2
http://www.semwebtech.org/mondial/10/source/Jangtse/	33.5	91.2
http://www.semwebtech.org/mondial/10/source/Ischim/	52	71.5
http://www.semwebtech.org/mondial/10/source/Fimi/	-2.7	18.2
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	45.25	-71.21
http://www.semwebtech.org/mondial/10/source/Alz/	47.3	12.35
http://www.semwebtech.org/mondial/10/source/Limpopo/	-26	28
http://www.semwebtech.org/mondial/10/source/SchattalArab/	31	47.44
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	42.1	-82.6
http://www.semwebtech.org/mondial/10/source/Umeaelv/	66.1	15
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	-37	148.5
http://www.semwebtech.org/mondial/10/source/Apurimac/	-15.24	-71.84
http://www.semwebtech.org/mondial/10/source/Breg/	48.1	8.16
http://www.semwebtech.org/mondial/10/source/Mekong/	32.5	94
http://www.semwebtech.org/mondial/10/source/BlueNile/	12	37.3
http://www.semwebtech.org/mondial/10/source/Gambia/	11.3	-12.3
http://www.semwebtech.org/mondial/10/source/Karasu/	49.9	41.3
http://www.semwebtech.org/mondial/10/source/Petschora/	62	59
http://www.semwebtech.org/mondial/10/source/Asahan/	2.7	98.7
http://www.semwebtech.org/mondial/10/source/Seine/	47.48	4.71
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	31.06	81.33
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	-38	148
http://www.semwebtech.org/mondial/10/source/Doubs/	46.7	6.2
http://www.semwebtech.org/mondial/10/source/Aare/	46.55	8.2
http://www.semwebtech.org/mondial/10/source/Argun/	49.94	122.46
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	61.7	-113.9
http://www.semwebtech.org/mondial/10/source/Syrdarja/	41	71.7
http://www.semwebtech.org/mondial/10/source/Jenissej/	52.33	97.5
http://www.semwebtech.org/mondial/10/source/Newa/	60.82	31.53
http://www.semwebtech.org/mondial/10/source/Save/	46.2	13.6
http://www.semwebtech.org/mondial/10/source/Buna/	42.05	19.5
http://www.semwebtech.org/mondial/10/source/Parana/	-19	-46.5
http://www.semwebtech.org/mondial/10/source/Saluen/	32.5	91.9
http://www.semwebtech.org/mondial/10/source/Lukuga/	-5.9	29.2
http://www.semwebtech.org/mondial/10/source/SouthernMorava/	42.1	21.4
http://www.semwebtech.org/mondial/10/source/Katun/	49.75	86.56
http://www.semwebtech.org/mondial/10/source/Irawaddy/	29	98
http://www.semwebtech.org/mondial/10/source/WhiteNile/	9.5	30.43
http://www.semwebtech.org/mondial/10/source/Ene/	-12.26	-73.97
http://www.semwebtech.org/mondial/10/source/March/	50.21	16.85
http://www.semwebtech.org/mondial/10/source/Jordan/	33.7	35.7
http://www.semwebtech.org/mondial/10/source/Vaal/	-26	30
http://www.semwebtech.org/mondial/10/source/Murat/	39.55	44.1
http://www.semwebtech.org/mondial/10/source/Ruzizi/	-1.8	29.2
http://www.semwebtech.org/mondial/10/source/Enns/	47.33	13.35
http://www.semwebtech.org/mondial/10/source/Selenge/	52	106
http://www.semwebtech.org/mondial/10/source/Senegal/	11.5	-12
http://www.semwebtech.org/mondial/10/source/Akagera/	-2.5	29.3
http://www.semwebtech.org/mondial/10/source/Kama/	58.2	53.75
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	52.77	-97.97
http://www.semwebtech.org/mondial/10/source/Saar/	48.5	7.15
http://www.semwebtech.org/mondial/10/source/Orinoco/	2	-63.5
http://www.semwebtech.org/mondial/10/source/Lulua/	-11.3	14.7
http://www.semwebtech.org/mondial/10/source/Manicouagan/	51.4	-68.7
http://www.semwebtech.org/mondial/10/source/Amazonas/	-4.44	-73.45
http://www.semwebtech.org/mondial/10/source/Ganges/	30.5	79.5
http://www.semwebtech.org/mondial/10/source/Dnjestr/	49	23
http://www.semwebtech.org/mondial/10/source/Isere/	45.4	7
http://www.semwebtech.org/mondial/10/source/Kemijoki/	67.96	28.9525
http://www.semwebtech.org/mondial/10/source/Cuilo/	-11.3	14.7
http://www.semwebtech.org/mondial/10/source/Okavango/	-18.4	12.7
http://www.semwebtech.org/mondial/10/source/Pjandsh/	37	73
http://www.semwebtech.org/mondial/10/source/Tambo/	-11.15	-74.23
http://www.semwebtech.org/mondial/10/source/Lech/	47.17	10
http://www.semwebtech.org/mondial/10/source/Douro/	42	-3
http://www.semwebtech.org/mondial/10/source/Oulujoki/	64.3	27.25
http://www.semwebtech.org/mondial/10/source/Chatanga/	68	95
http://www.semwebtech.org/mondial/10/source/Donau/	47.95	8.52
http://www.semwebtech.org/mondial/10/source/Volta/	11	-4.5
http://www.semwebtech.org/mondial/10/source/Oder/	49.61	17.52
http://www.semwebtech.org/mondial/10/source/Limmat/	47.23	8.64
http://www.semwebtech.org/mondial/10/source/Bartang/	38.3	72.45
http://www.semwebtech.org/mondial/10/source/Vuoksi/	61.2	28.75
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	39	-120
http://www.semwebtech.org/mondial/10/source/Bomu/	5	27
http://www.semwebtech.org/mondial/10/source/RioMamore/	-18	-66.5
http://www.semwebtech.org/mondial/10/source/Euphrat/	38.8	38.75
http://www.semwebtech.org/mondial/10/source/Moraca/	42.85	19.25
http://www.semwebtech.org/mondial/10/source/Oranje/	-28.5	28.5
http://www.semwebtech.org/mondial/10/source/Theiss/	48.1	24.25
http://www.semwebtech.org/mondial/10/source/Main/	50.1	11.4
http://www.semwebtech.org/mondial/10/source/Murgab/	37.35	74.4
http://www.semwebtech.org/mondial/10/source/Ural/	54	59
http://www.semwebtech.org/mondial/10/source/Suchona/	39	59
http://www.semwebtech.org/mondial/10/source/Olt/	46.65	25.8
http://www.semwebtech.org/mondial/10/source/Klaraelv/	62.2	11.9
http://www.semwebtech.org/mondial/10/source/Amur/	53.33	121.48
http://www.semwebtech.org/mondial/10/source/Kwa/	3.3	17.4
http://www.semwebtech.org/mondial/10/source/Weichsel/	49.61	19.01
http://www.semwebtech.org/mondial/10/source/Schari/	8	21
http://www.semwebtech.org/mondial/10/source/Semliki/	-0.35	29.6
http://www.semwebtech.org/mondial/10/source/Dalaelv/	60.7	15.1
http://www.semwebtech.org/mondial/10/source/Lualaba/	-12	27
http://www.semwebtech.org/mondial/10/source/Niger/	9.65	-10.87
http://www.semwebtech.org/mondial/10/source/Mur/	47.13	13.35
http://www.semwebtech.org/mondial/10/source/Raab/	47.35	15.52
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	45.8	-84.75
http://www.semwebtech.org/mondial/10/source/Shabelle/	7	38.5
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	62.2	12.6
http://www.semwebtech.org/mondial/10/source/Dnister/	49.2	22.93
http://www.semwebtech.org/mondial/10/source/Kolyma/	61.5	145
http://www.semwebtech.org/mondial/10/source/Don/	53	37.5
http://www.semwebtech.org/mondial/10/source/Glomma/	62.6	12
http://www.semwebtech.org/mondial/10/source/Moldau/	48.97	13.56
http://www.semwebtech.org/mondial/10/source/VictoriaNile/	-1	33
http://www.semwebtech.org/mondial/10/source/Naryn/	42	78
http://www.semwebtech.org/mondial/10/source/RioLerma/	19	-99
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	64.8	-16.5
http://www.semwebtech.org/mondial/10/source/Aller/	52.1	11.23
http://www.semwebtech.org/mondial/10/source/Baro/	8.5	36.2
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	37.8	-3
http://www.semwebtech.org/mondial/10/source/Kura/	40.7	42.76
http://www.semwebtech.org/mondial/10/source/Drin/	42.1	20.4
http://www.semwebtech.org/mondial/10/source/Busira/	-0.2	20.8
http://www.semwebtech.org/mondial/10/source/Elbe/	50.78	15.54
http://www.semwebtech.org/mondial/10/source/Maas/	47.97	5.63
http://www.semwebtech.org/mondial/10/source/Tigris/	38.3	41
http://www.semwebtech.org/mondial/10/source/Nile/	15.6	32.5
http://www.semwebtech.org/mondial/10/source/Inn/	46.41	9.67
http://www.semwebtech.org/mondial/10/source/Kymijoki/	61.5	25.4
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	68.95	28.3
http://www.semwebtech.org/mondial/10/source/Cuango/	-11.5	14.2
http://www.semwebtech.org/mondial/10/source/Narew/	53	24
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	43.4	-71.6
http://www.semwebtech.org/mondial/10/source/Atbara/	12.8	37.3
http://www.semwebtech.org/mondial/10/source/Kasai/	-10.96	19.3
http://www.semwebtech.org/mondial/10/source/Drina/	43.35	18.8
http://www.semwebtech.org/mondial/10/source/Tshuapa/	-3	24.5
http://www.semwebtech.org/mondial/10/source/Saone/	48.1	6.2
http://www.semwebtech.org/mondial/10/source/Maranon/	-10	-76.66
http://www.semwebtech.org/mondial/10/source/Arno/	43.9	11.7
http://www.semwebtech.org/mondial/10/source/Ruki/	-0.3	19
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	61.3	23
http://www.semwebtech.org/mondial/10/source/Ebro/	43.0375	-4.37
http://www.semwebtech.org/mondial/10/source/Thames/	51.7	-2.03
http://www.semwebtech.org/mondial/10/source/Ticino/	46.475	8.42
http://www.semwebtech.org/mondial/10/source/Guadiana/	42	-3
http://www.semwebtech.org/mondial/10/source/Ili/	43.8	85.5
http://www.semwebtech.org/mondial/10/source/Luapula/	-11.2	29.7
http://www.semwebtech.org/mondial/10/source/BlackDrin/	41	20.7
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	33.5	80.5
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	-20.3	-43
http://www.semwebtech.org/mondial/10/source/Etsch/	46.7	10.5
http://www.semwebtech.org/mondial/10/source/Tiber/	43.77	12.08
http://www.semwebtech.org/mondial/10/source/Mosel/	47.89	6.89
http://www.semwebtech.org/mondial/10/source/Werra/	50.5	10.96
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	44.1	-73.95
http://www.semwebtech.org/mondial/10/source/Swir/	60.99	35.49
http://www.semwebtech.org/mondial/10/source/Sanga/	6	15
http://www.semwebtech.org/mondial/10/source/WhiteDrin/	42.7	20.2
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	-28	152
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	61.8	12.6
http://www.semwebtech.org/mondial/10/source/Dnepr/	55.5	34
http://www.semwebtech.org/mondial/10/source/RioMadeira/	-10.4	-65.4
http://www.semwebtech.org/mondial/10/source/Arkansas/	39.25	-106.3
http://www.semwebtech.org/mondial/10/source/Ucayali/	-10.7	-73.75
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	41.9	-77.9
http://www.semwebtech.org/mondial/10/source/Morava/	43.7	21.4
http://www.semwebtech.org/mondial/10/source/Narva/	58.68	27.49
http://www.semwebtech.org/mondial/10/source/RioSanJuan/	11.6	-85.35
http://www.semwebtech.org/mondial/10/source/Missouri/	45.9	-111.5
http://www.semwebtech.org/mondial/10/source/Tajo/	40.32	-1.7
http://www.semwebtech.org/mondial/10/source/Volga/	57	33
http://www.semwebtech.org/mondial/10/source/Araguaia/	-17.97	-53.07
http://www.semwebtech.org/mondial/10/source/Angara/	56.5	113
http://www.semwebtech.org/mondial/10/source/Schilka/	49.8	111
http://www.semwebtech.org/mondial/10/source/Brigach/	48.11	8.28
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	50.2	-115.85
http://www.semwebtech.org/mondial/10/source/Thjorsa/	65	-18
http://www.semwebtech.org/mondial/10/source/Lagen/	62.19	8.45
http://www.semwebtech.org/mondial/10/source/Neckar/	48.05	8.5
http://www.semwebtech.org/mondial/10/source/Mantaro/	-10.92	-76.27
http://www.semwebtech.org/mondial/10/source/Pibor/	7	33.5
http://www.semwebtech.org/mondial/10/source/Oka/	52.5	36.1
http://www.semwebtech.org/mondial/10/source/Ob/	52.43	85
http://www.semwebtech.org/mondial/10/source/Garonne/	42.73	0.8
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	1.7	30.9
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	44.2	-76.55
http://www.semwebtech.org/mondial/10/source/Sanaga/	5.3	13.4
http://www.semwebtech.org/mondial/10/source/Ubangi/	4	22.5
http://www.semwebtech.org/mondial/10/source/Amudarja/	37.1	68.3
http://www.semwebtech.org/mondial/10/source/Salzach/	47.3	12.11
http://www.semwebtech.org/mondial/10/source/Pruth/	48.16	24.55
http://www.semwebtech.org/mondial/10/source/Sobat/	8.45	33.2
http://www.semwebtech.org/mondial/10/source/Tobol/	51.2	60.8
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	42.9	-78.9
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	46.5	-84.6
http://www.semwebtech.org/mondial/10/source/Drau/	46.73	12.26
http://www.semwebtech.org/mondial/10/source/Ammer/	47.57	11.05
http://www.semwebtech.org/mondial/10/source/Tennessee/	35.2	-83
http://www.semwebtech.org/mondial/10/source/Perene/	-10.95	-75.27
http://www.semwebtech.org/mondial/10/source/Piva/	43.11	18.82
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	-36.5	148.3
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	52.5	-123
http://www.semwebtech.org/mondial/10/source/Indus/	32.45	79.7
http://www.semwebtech.org/mondial/10/source/Colorado/	40.35	-105.7
http://www.semwebtech.org/mondial/10/source/Iller/	47.43	10.27
http://www.semwebtech.org/mondial/10/source/Zambezi/	-11	24.2
http://www.semwebtech.org/mondial/10/source/YukonRiver/	60.54	-134.5
http://www.semwebtech.org/mondial/10/source/Rhone/	46.57	8.38
http://www.semwebtech.org/mondial/10/source/Karun/	32.35	50.1
http://www.semwebtech.org/mondial/10/source/Würm/	48	11.35
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	-35.8	148.5
http://www.semwebtech.org/mondial/10/source/Tocantins/	-16	-49
http://www.semwebtech.org/mondial/10/source/Zaire/	0.5	25.2
http://www.semwebtech.org/mondial/10/source/Aruwimi/	-11.3	14.7
http://www.semwebtech.org/mondial/10/source/Lena/	53.99	107.88
http://www.semwebtech.org/mondial/10/source/Reuss/	46.56	8.54
http://www.semwebtech.org/mondial/10/source/WesternMorava/	43.85	20.2
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	46.3	60.9
http://www.semwebtech.org/mondial/10/source/WesternBug/	49.09	25.06
http://www.semwebtech.org/mondial/10/source/Paraguay/	-14.5	-56.5
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	45	-73.3
http://www.semwebtech.org/mondial/10/source/Mincio/	45.4	10.7
http://www.semwebtech.org/mondial/10/source/Isar/	47.37	11.4
http://www.semwebtech.org/mondial/10/source/Prypjat/	51.5	24.1
http://www.semwebtech.org/mondial/10/source/WesternDwina/	56	34
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	-16.55	-69
http://www.semwebtech.org/mondial/10/source/Weser/	51.4	9.65
http://www.semwebtech.org/mondial/10/source/Loire/	44.84	4.22
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	5	28.5
http://www.semwebtech.org/mondial/10/source/Tara/	42.6	19.57
http://www.semwebtech.org/mondial/10/source/Lomami/	-8.7	24.7
http://www.semwebtech.org/mondial/10/source/RioGrande/	38	-107.5
http://www.semwebtech.org/mondial/10/source/Luvua/	-9	28.7
http://www.semwebtech.org/mondial/10/source/Adda/	46.55	10.3
http://www.semwebtech.org/mondial/10/source/RioNegro/	-2	-70
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	68.6	23.8
http://www.semwebtech.org/mondial/10/source/Leine/	51.39	10.32
http://www.semwebtech.org/mondial/10/source/Bani/	12.6	-6.56
http://www.semwebtech.org/mondial/10/source/Irtysch/	47.9	90
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	9.5	\N
http://www.semwebtech.org/mondial/10/mountain/Pico/	38.5	\N
http://www.semwebtech.org/mondial/10/mountain/Etna/	37.7	\N
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	19	\N
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	1.3	103.8
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	\N	\N
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	\N	\N
http://www.semwebtech.org/mondial/10/island/Gheschm/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Fogo/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Leuser/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Ampato/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	\N	\N
http://www.semwebtech.org/mondial/10/source/Urubamba/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Tambora/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Elgon/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/MtHood/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Merapi/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Sajama/	\N	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	\N	\N
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	\N	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	\N	\N
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	\N	\N
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	\N	\N
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	\N	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	\N	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	\N	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	\N	\N
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Azbine/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Sinai/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Hawaii/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Corse/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AleutianRange/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Himalaya/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Karakorum/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Karpaten/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Troodos/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Vogesen/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WestGhats/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Madeira/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kamchatka/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Amhara/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Lebanon/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BlackForest/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Harz/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CoastMountains/	\N	\N
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	12.36	-1.54
http://www.semwebtech.org/mondial/10/mountains/Rhön/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Cevennes/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Andes/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Atlas/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Altai/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Zagros/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Darfur/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EliasRange/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Apennin/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Antitaurus/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/TianShan/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Vosges/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Jura/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Elburs/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Tibesti/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Crete/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Ural/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Alps/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Pamir/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Balkan/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kunlun/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Azores/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Changbai/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Ahaggar/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Rif/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Taurus/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Beskides/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Grampians/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraParima/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Hindukusch/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraMadre/	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Seychelles/	\N	\N
http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/ElliceIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/NewCaledonia/	\N	\N
http://www.semwebtech.org/mondial/10/islands/ScillyIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	\N	\N
http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Malta/	\N	\N
http://www.semwebtech.org/mondial/10/islands/LipariIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/BermudaIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Kyklades/	\N	\N
http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	\N	\N
http://www.semwebtech.org/mondial/10/islands/WallisIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/FaroeIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Tokelau/	\N	\N
http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/MarshallIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/AndamanIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	\N	\N
http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Laccadives/	\N	\N
http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	\N	\N
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	13.8	-89.18
http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	\N	\N
http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	\N	\N
http://www.semwebtech.org/mondial/10/islands/CocosIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/SundaIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Aleutes/	\N	\N
http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/NewZealand/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Maldives/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Sporades/	\N	\N
http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Baleares/	\N	\N
http://www.semwebtech.org/mondial/10/islands/CookIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/GilbertIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Vanuatu/	\N	\N
http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Madeira/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Comores/	\N	\N
http://www.semwebtech.org/mondial/10/islands/BritishIsles/	\N	\N
http://www.semwebtech.org/mondial/10/islands/BahamaIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/IonicIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/AlandIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Lofotes/	\N	\N
http://www.semwebtech.org/mondial/10/islands/TongaIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/RiauIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/FutunaIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Azores/	\N	\N
http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Curiles/	\N	\N
http://www.semwebtech.org/mondial/10/islands/FijiIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Carolines/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Philipines/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Japan/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Svalbard/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Canares/	\N	\N
http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	\N	\N
http://www.semwebtech.org/mondial/10/islands/LineIslands/	\N	\N
http://www.semwebtech.org/mondial/10/islands/Galapagos/	\N	\N
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	3.6	98.48
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	19.24	73.13
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	36.46	52.86
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	-26.17	28.33
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	32.65	-16.92
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	-23.8	-64.78
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	61.78	34.33
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	3.87	-67.92
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	39.7	125.91
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	6.5	2.61
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	44.98	126.05
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	21.02	107.32
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	43.68	-79.77
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	3.08	101.53
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	47.35	130.3
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	-17.4	-66.04
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	-23.55	-46.93
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	7.07	-73.85
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	22.26	-97.87
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	26.09	-98.28
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	34.82	134.68
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	43.92	42.72
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	14.47	121.02
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	26.27	-80.26
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	41.78	129.77
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	38.9	22.43
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	19.43	-99.13
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	25.88	-97.5
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	60.8	11.06
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	-12.18	26.4
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	36.21	58.8
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	-19.89	-43.81
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	-29.68	-51.13
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	66.53	66.6
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	7.36	134.48
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	39.37	22.93
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	38.63	-90.2
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	40.12	124.38
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	12.7	-15.55
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	-7.23	-35.88
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	39.72	140.1
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	17.62	121.72
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	37.62	112.85
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	42.49	-83.02
http://www.semwebtech.org/mondial/10/mountain/Irazu/	10	\N
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	20.7	\N
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	13.2	\N
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	56.1	\N
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	23.13	-82.38
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	38.05	23.77
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	55.72	9.53
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	15.78	-87.47
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	38.07	46.3
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	7.48	134.6
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	41.73	125.93
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	41.81	-6.76
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	24.96	121.22
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	-8.84	13.23
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	50.04	15.78
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	42.27	-71.8
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	17.12	-61.85
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	55.86	-4.26
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	32.63	110.8
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	-4.46	-43.89
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	36.3	59.6
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	22.63	120.27
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	41.36	2.1
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	30.87	120.1
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	50.13	18.98
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	35.47	44.32
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	23.03	113.72
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	10.6	-66.93
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	20.27	73.02
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	-18.15	49.42
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	24.32	116.12
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	-22.8	-43.37
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	46.36	17.78
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	42.95	126.73
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	-38.95	-68.06
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	40.84	31.16
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	26.08	119.31
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	18.22	42.51
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	-16.52	-68.17
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	-12.77	15.73
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	43.21	-71.54
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	32.2	35.3
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	40.44	-79.98
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	51.45	-0.97
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	-4.62	55.45
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	38.4	42.11
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	37.73	115.7
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	5.53	-73.37
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	65.68	-18.1
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	39.64	22.42
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	53.28	69.38
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	4.81	-75.69
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	-29	168
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	-19.87	47.03
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	-33.96	25.6
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	47.29	5.04
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	33.93	-6.91
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	32.81	-96.95
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	5.93	-4.22
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	-5.2	-80.63
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	31.86	-116.61
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	-19.47	-44.25
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	35.83	10.63
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	21.03	105.85
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	-34.65	-58.62
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	4.15	-73.63
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	39.93	119.6
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	-9.65	20.4
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	34.35	107.38
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	9.04	-69.75
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	49.18	-122.85
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	61.67	50.82
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	35.55	129.32
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	1.21	-77.28
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	27.15	-13.2
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	40.08	65.38
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	34.76	126.38
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	-23.01	-44.32
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	38.27	-0.7
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	35.24	113.22
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	41.08	-85.14
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	46.52	6.63
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	47.17	8.52
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	21.2	110.4
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	22.41	-83.67
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	29.57	103.77
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	7.62	4.72
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	18.81	-99.96
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	10.46	-64.17
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	35.4	116.57
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	47.66	-117.42
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	3.13	101.68
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	27.98	-15.42
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	53.67	23.83
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	49.9	-97.14
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	31.3	120.6
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	56.83	60.58
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	52.04	-0.76
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	21.85	111.97
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	4.05	9.68
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	37.58	43.74
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	-29.94	-50.99
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	43.32	-1.99
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	-22.57	17.08
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	36.9	30.68
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	13.52	-87.48
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	60.98	25.65
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	-27.83	-48.42
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	22.17	113.55
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	6.8	-58.17
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	34.19	-119.18
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	-8.11	-79.03
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	40.59	49.67
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	14.92	-23.51
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	38.67	-9.07
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	-30.08	-51.02
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	45.5	-73.57
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	48.08	38.07
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	29.97	40.2
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	52.56	-1.82
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	35.05	-85.27
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	7.08	4.83
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	36.51	40.74
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	53.38	-1.47
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	9.75	-63.18
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	29.56	106.57
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	17.07	-96.72
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	32.29	-64.78
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	44.93	26.03
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	-31.4	-58.03
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	-6.27	14.25
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	53.08	8.8
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	30.75	76.78
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	36.63	127.48
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	47.67	23.58
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	47.9	20.37
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	9.56	-69.2
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	14.46	5.24
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	52.31	104.3
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	16.03	-16.5
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	10.47	-66.62
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	-18.14	178.44
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	46.95	8.35
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	27.97	-82.76
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	-25.75	28.19
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	33.95	-83.38
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	33.73	113.3
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	6.5	124.85
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	52.22	6.9
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	49.22	18.74
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	30.44	48.17
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	34.34	62.2
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	56.05	12.72
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	15.3	-61.39
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	-15.79	35.01
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	-2.13	106.12
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	12.58	-81.7
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	46.85	9.53
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	8.48	124.65
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	14.6	-61
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	7.07	171.27
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	33.93	118.28
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	-31.33	-54.11
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	44.63	41.93
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	-23.72	-46.42
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	31.7	118.35
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	18.27	-64.37
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	60.17	24.94
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	51.66	-0.4
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	15.23	104.86
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	34.06	-117.76
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	38.2	-84.87
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	45.25	19.85
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	47.17	20.18
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	42.1	-72.59
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	47.5	8.75
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	40.12	67.84
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	48	37.81
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	39.1	39.55
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	-6.48	-76.37
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	42.88	47.64
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	35.17	129.07
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	64.13	-21.93
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	6.13	102.25
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	-18.93	47.52
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	52.06	1.16
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	-0.48	15.9
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	-17.53	-149.57
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	35.87	128.6
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	52.05	113.47
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	10.48	-66.82
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	45.1	24.38
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	36.58	109.48
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	39.77	-86.15
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	-33.3	-66.33
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	39.23	-8.68
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	43.97	25.33
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	31.62	-2.22
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	18.67	105.67
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	37.48	57.33
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	-23.52	-46.84
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	36.08	-115.12
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	-54.8	-68.3
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	23.55	87.32
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	-0.9	119.83
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	42.26	-89.06
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	18.53	-72.4
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	18.47	-69.95
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	14.53	100.91
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	53.45	-2.75
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	-12.97	-38.48
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	-19.12	33.48
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	51.56	-1.78
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	-43.53	172.62
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	35.4	8.12
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	10.34	-68.74
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	14.1	-87.22
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	14.6	-87.83
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	2.96	99.06
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	28.98	-10.07
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	36.47	52.35
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	41.46	15.55
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	-0.23	-78.52
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	61.18	6.85
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	46.23	7.37
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	42.33	-83.05
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	12.04	24.88
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	-22.13	-51.38
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	37.95	23.63
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	35.52	139.7
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	33.51	126.52
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	53.55	8.58
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	45.42	11.87
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	37.52	22.38
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	36.35	6.6
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	59.46	10.7
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	34.58	105.73
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	39.78	30.52
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	26.25	117.62
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	56.13	40.42
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	26.01	-80.31
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	4.89	114.94
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	-17.86	-41.5
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	43.83	87.6
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	34.68	-118.15
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	-4.81	34.74
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	-6.88	109.67
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	56.23	43.45
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	23.45	91.2
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	33.8	2.88
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	20.87	106.68
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	43	41.02
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	46.36	18.7
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	33.53	-7.58
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	31.77	104.76
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	41.73	27.23
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	-34.93	138.6
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	32.38	48.4
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	9.87	-83.92
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	35.98	126.72
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	13.18	30.22
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	-2.9	-41.78
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	39.98	-0.03
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	13.58	44.02
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	60.45	22.27
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	45.43	10.98
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	49.68	5.82
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	-22.92	-45.46
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	50.88	12.08
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	40.53	72.8
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	40.4	49.88
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	30.05	121.15
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	40.21	-8.43
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	-45.86	-67.48
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	-14.87	-40.84
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	7.96	-11.74
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	9.51	-7.56
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	-43.3	-65.1
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	35.52	112.83
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	15.88	-87.95
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	-36.62	-64.28
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	6.33	-75.57
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	27.89	102.26
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	18.41	-66.06
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	6.17	-75.62
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	40.71	-74.07
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	34.21	73.28
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	-33.05	-71.62
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	-17.97	-67.12
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	26.02	-80.17
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	62.44	-114.4
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	29.76	-95.38
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	39	-1.86
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	33.58	116.47
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	52.22	5.97
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	40.67	129.2
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	-25.97	32.58
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	32.85	51.6
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	7.25	5.2
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	47.7	40.23
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	13.77	-13.67
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	25.56	89.25
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	29.42	-98.5
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	54.91	-1.38
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	3.03	101.45
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	18.3	-64.9
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	45.52	-122.68
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	41.65	41.64
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	42.13	-80.09
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	-20.22	-70.15
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	7.05	38.47
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	13.11	-59.61
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	48.81	44.74
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	34.77	113.65
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	1.64	18.07
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	41.67	-83.58
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	1.08	104.03
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	20.52	-13.05
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	50.03	22
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	64.57	39.87
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	50.45	3.95
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	-18.85	-41.95
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	-22.54	-44.17
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	58.38	26.72
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	35.31	46.99
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	53.75	87.12
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	51.58	0.49
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	32.68	109.02
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	32.98	114.03
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	56.45	9.4
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	-22.83	-43.05
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	-23.26	-47.3
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	13.16	-61.22
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	51.03	6.98
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	65.02	25.47
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	8.52	-80.36
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	44.83	11.62
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	51.27	-1.09
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	38.45	-122.7
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	47.68	17.63
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	43.87	18.42
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	8.36	-81.67
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	-0.72	8.78
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	46.68	21.09
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	34.71	137.73
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	33.42	-111.83
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	36.78	118.05
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	40.71	-74.01
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	9.32	42.12
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	43.17	-77.61
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	55.92	37.77
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	13	8.91
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	54.58	-1.24
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	46.83	35.37
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	37.05	41.22
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	3.82	103.33
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	51.5	46.12
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	20.42	72.85
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	-33.45	-70.67
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	63.75	-68.52
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	48.15	14.02
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	35.48	-97.53
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	-5.35	-49.12
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	5.03	7.92
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	45.58	-73.75
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	6.31	-10.8
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	37.92	139.04
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	52.38	4.63
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	50.57	137
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	38.63	34.71
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	12.92	-85.92
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	28.83	78.78
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	20.52	85.79
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	45.77	131
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	34.12	-117.58
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	43.22	27.92
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	56.47	53.8
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	50.72	-1.98
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	30.25	120.17
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	2.72	101.95
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	6.88	-6.45
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	32.41	119.19
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	40.94	-73.86
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	11.24	-74.21
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	-20.34	-40.29
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	37.97	34.68
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	48.3	25.93
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	53	-2.18
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	55.7	13.2
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	-23.94	-46.32
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	23.03	72.58
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	37.55	-121.99
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	39.15	34.16
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	49.28	120.72
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	35.42	136.77
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	36.17	-86.78
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	-22.73	-47.65
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	20.52	-100.81
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	33.5	119.13
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	52.27	10.52
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	20.78	97.03
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	33.45	-112.07
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	49.89	2.3
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	37.2	-93.29
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	-29.17	-51.18
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	14.67	-86.22
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	36.56	104.21
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	44.8	10.33
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	36.56	53.06
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	5.1	-1.25
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	-17.38	-66.17
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	-12.3	49.28
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	43.3	-2.99
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	-13.16	-74.22
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	14.61	-90.54
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	12.43	-86.89
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	7.07	125.6
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	-18.58	-46.52
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	47.19	23.06
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	34.03	-5
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	-6.15	23.6
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	-1.68	29.23
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	39.82	34.81
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	55.15	61.38
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	10.18	-68
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	5.12	7.37
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	46.85	29.63
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	66.08	76.68
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	45.42	28.04
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	41.38	2.18
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	45.05	9.7
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	33.96	-118.35
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	47.53	21.64
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	19.11	-96.11
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	53.33	83.75
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	52.37	4.9
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	9.6	41.87
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	63.57	53.7
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	-21.45	47.09
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	50.01	20.99
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	49.49	8.47
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	-12.03	-77.13
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	42.03	35.15
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	51.53	46.02
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	40.72	120.83
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	34.82	135.65
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	7.68	4.82
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	60.61	15.63
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	34.35	108.72
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	60.72	-135.05
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	46.81	-100.78
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	38.27	140.87
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	45.17	26.82
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	41.1	20.07
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	4.75	7
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	55.92	38
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	7.77	-72.23
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	49.85	24.02
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	14.63	-90.61
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	23.97	121.61
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	-5.45	105.27
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	12.05	-61.75
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	33.3	-111.83
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	34.8	48.52
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	30.17	120.25
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	-18.48	-70.33
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	42.82	132.87
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	40.24	-3.77
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	19.47	-70.7
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	67.5	64.03
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	43.45	-80.48
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	43.25	46.58
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	58.96	5.72
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	16.75	-93.12
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	-15.2	12.15
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	55.4	10.39
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	34.73	127.73
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	7.52	5.75
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	-9.75	-36.66
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	13.67	-89.24
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	52.92	-1.48
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	38.63	27.42
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	44.7	10.63
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	6.37	2.43
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	-32.85	27.44
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	36.67	116.98
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	22.68	-12.47
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	42.23	-8.71
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	51.46	6.62
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	34.06	-117.92
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	11.25	75.77
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	23.25	77.42
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	28.2	112.97
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	50.25	28.67
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	13.36	100.98
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	53.81	-3.05
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	49.6	117.43
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	59.37	143.26
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	-19.83	34.85
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	6.2	6.73
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	30.93	117.77
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	46.2	6.15
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	23.13	113.27
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	32.9	13.19
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	40.3	-3.73
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	52.23	-0.89
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	-38.15	144.35
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	52.73	15.25
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	35.19	-0.64
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	16.15	-13.51
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	47.14	9.52
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	13.17	-86
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	45.62	122.83
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	9.93	8.88
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	43.11	12.39
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	36.53	-6.28
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	54.32	48.37
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	-23.31	-45.97
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	48.86	2.44
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	-6.82	37.67
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	32.78	-96.8
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	42.98	-81.25
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	43.07	141.35
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	43.32	21.9
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	42.7	2.9
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	-29.68	-53.8
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	16.42	120.6
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	48.89	18.04
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	35.2	-101.85
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	35.95	39.02
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	-12.1	96.5
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	41.62	0.63
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	32	47
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	18.98	72.83
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	-2.21	113.92
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	48.86	2.35
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	15.03	120.68
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	50.77	16.28
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	43.84	4.36
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	59.62	16.55
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	26.22	50.58
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	19.76	-72.2
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	48.58	7.75
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	9.93	-84.08
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	47.85	16.52
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	49.75	13.38
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	-23.99	-46.26
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	12.67	108.05
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	-22.75	-47.41
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	33.63	114.63
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	-12.53	27.85
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	55.75	38.02
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	7.16	3.35
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	31.95	35.93
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	33.57	-101.88
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	23.22	-106.42
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	46.32	44.27
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	30.34	-81.66
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	24.52	117.65
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	37.43	127.15
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	50.73	7.1
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	35.57	-5.37
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	-6.18	106.63
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	64.06	11.72
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	10.67	122.95
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	32.9	115.82
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	35.93	36.63
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	11.92	-72
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	45.54	126.97
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	38.47	106.27
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	14.45	-11.43
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	46.07	23.57
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	41.3	-7.75
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	52.62	39.6
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	36.9	7.77
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	48.92	24.71
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	-25.42	-49.25
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	6.17	6.78
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	40.48	68.78
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	39.16	-119.75
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	44.65	10.93
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	54.33	10.13
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	34.39	132.46
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	51.45	7.01
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	55.43	11.57
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	37.48	126.63
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	-29.95	-71.34
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	38.51	125.75
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	64.07	-21.95
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	55.61	13.04
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	41.28	36.33
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	1.49	124.84
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	55.92	37.82
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	49.25	-123.1
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	35.01	135.77
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	28.48	-16.3
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	24.48	118.09
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	51.98	5.92
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	0.31	32.58
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	33.12	-117.08
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	51.68	5.3
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	19.88	75.32
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	7.89	98.4
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	51.44	6.76
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	14.33	-16.41
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	60.1	19.93
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	-8.9	33.45
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	31.57	120.3
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	32.91	-96.64
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	-3.66	33.42
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	37.87	112.56
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	-25.29	-49.22
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	-22.22	-54.81
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	11.85	-15.57
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	15.48	-86.58
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	41.31	-72.92
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	2.82	-60.67
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	-5.56	12.19
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	52.55	19.7
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	-2.87	32.23
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	6.33	8.1
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	36.34	43.13
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	42.9	129.5
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	58.98	-2.96
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	18.22	-63.05
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	49.15	9.22
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	28.95	118.87
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	29.72	112.4
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	51.78	19.47
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	24.32	109.38
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	51.58	-3
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	16.98	81.78
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	30.72	111.28
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	-22.31	-49.06
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	60.47	26.94
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	40.72	-74.17
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	30.97	31.16
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	30.22	115.08
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	37.88	58.53
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	-23.69	-46.61
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	14.31	-88.18
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	52.21	0.12
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	45.5	124.28
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	-22.82	-47.27
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	16.51	-15.8
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	40.14	29.98
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	8.49	8.52
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	35.87	139.98
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	30.05	31.23
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	49.75	6.63
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	44.05	-123.09
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	22.97	-82.16
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	32.87	59.2
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	-12.7	-38.32
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	37.22	67.28
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	5.9	5.67
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	51.54	0.71
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	51.03	13.73
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	59.37	16.51
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	-5.85	13.05
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	50.62	26.25
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	50.94	6.95
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	11.93	-85.95
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	-20.02	-44.06
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	10.78	106.7
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	31.07	31.68
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	45.07	7.7
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	33.38	120.12
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	26.45	87.28
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	26.18	91.73
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	3.58	98.67
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	54.9	23.89
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	59.21	9.55
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	51.51	-0.59
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	16.62	-7.25
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	37.53	121.39
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	48.37	10.9
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	-15.72	46.32
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	-19.92	-43.93
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	32.08	36.1
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	-29.99	-51.08
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	36.8	34.63
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	31.26	34.8
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	47.92	106.92
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	42.9	-78.85
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	19.61	-99.17
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	7.4	3.92
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	42.14	21.72
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	9.43	-82.52
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	26.08	119.31
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	61.22	-149.9
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	51.72	36.18
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	-32.95	-60.67
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	-1.46	-48.5
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	35.9	114.2
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	4.6	101.07
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	23.02	113.12
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	32.34	-6.36
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	40.47	17.23
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	56.46	10.04
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	50.67	17.93
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	47.4	8.05
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	20	73.78
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	31.75	116.51
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	30.91	75.85
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	26.41	112.93
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	-26.18	-58.18
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	31.32	120.99
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	50.6	36.6
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	35.77	115.07
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	12.55	-12.18
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	13.08	80.27
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	23.67	116.63
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	8.28	-7.68
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	30.5	47.82
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	17.97	102.6
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	43.53	-5.7
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	53.23	-0.54
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	35.99	-78.91
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	35.52	35.78
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	23.48	120.45
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	38.9	16.6
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	22.82	108.32
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	-12.89	-38.33
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	28.42	-81.3
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	45.27	27.96
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	50.9	-1.4
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	59.27	15.21
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	-19.75	-47.93
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	36.08	-79.82
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	14.45	120.98
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	37.18	-3.6
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	53.12	23.15
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	40.46	128.91
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	37.85	27.85
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	-4.21	-69.93
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	29.88	114.22
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	37.67	-122.08
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	35.78	-78.64
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	-4.28	-55.98
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	-2.8	33.98
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	-29.76	-51.15
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	-31.63	-60.7
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	36.11	-115.25
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	4.6	-74.08
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	46.58	26.92
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	56.4	61.93
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	22.55	114.1
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	39.91	41.28
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	51.45	-2.58
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	18.85	-97.1
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	50.45	30.52
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	19.67	97.21
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	26.45	74.64
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	55.47	65.35
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	31.33	75.58
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	-12.07	-75.22
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	39.97	125.17
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	59.88	10.52
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	22.47	70.07
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	33.83	-118.34
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	68.42	17.56
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	-13.13	28.4
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	20.15	92.9
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	24.15	120.67
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	-23.65	-70.4
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	51.93	15.5
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	39.52	54.37
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	51.82	4.67
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	40.73	8.57
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	51.38	0.55
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	-15.28	23.13
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	32.13	112.75
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	40.55	34.95
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	30.66	73.11
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	-7.11	-34.98
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	11.55	104.92
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	-22.65	-43.04
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	51.27	0.53
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	-17.34	-63.26
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	51	5.87
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	31.94	49.3
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	47.78	67.7
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	40.67	-74.19
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	31.74	-106.49
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	26.15	68.25
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	24.82	120.98
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	40.97	-5.67
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	-29.92	-51.18
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	34.85	5.73
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	32.73	74.87
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	32.82	34.98
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	40.78	30.4
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	35.7	-0.63
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	61.48	21.8
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	29.37	113.43
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	20.53	-97.45
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	27.49	-99.51
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	30.17	72.68
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	-34.47	-58.52
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	33	112.53
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	4.26	18.4
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	59.23	17.98
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	40.26	24.24
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	9.52	-13.7
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	40.46	39.48
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	-13.86	-40.08
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	-22.3	-48.56
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	49.83	73.17
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	48.5	32.27
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	8.11	-80.97
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	39.47	75.98
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	-6.29	106.72
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	37.87	-122.27
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	45.54	10.22
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	11.93	79.79
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	0.05	18.26
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	58.42	15.63
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	5.1	-75.55
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	30.45	-91.13
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	28.45	117.97
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	40.62	20.77
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	17.55	-99.5
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	20.96	-76.95
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	53.51	49.42
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	33.91	-118.08
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	42.43	25.65
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	47.07	15.43
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	24.86	67.01
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	37.6	61.83
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	5.32	115.21
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	5.33	103.15
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	36.18	117.67
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	16.62	-11.4
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	-0.5	117.15
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	58.7	13.82
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	-0.87	14.82
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	31.62	113.83
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	15.63	-88
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	49.61	6.13
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	30.05	70.63
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	28.77	104.62
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	52.19	-2.22
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	10.48	-73.25
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	30.22	-92.03
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	28.12	30.74
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	-14.43	28.45
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	42.25	118.88
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	20.93	77.76
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	19.75	-14.38
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	40.85	69.6
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	-5.92	-35.25
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	52.13	-106.68
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	-0.1	34.75
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	28.42	70.3
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	34.03	-6.83
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	59.74	10.21
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	36.67	48.48
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	38.87	-104.76
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	48.72	37.53
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	52.45	30.98
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	-9.33	34.77
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	50.4	4.43
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	29.74	115.99
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	-21.79	-46.56
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	12.26	76.6
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	51.37	7.48
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	-13.52	-71.97
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	4.37	18.58
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	39.98	-82.98
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	42.25	42.7
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	46.58	125
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	-19.93	-44.05
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	34.03	-6.8
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	6.55	-7.48
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	14.22	121.17
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	37.6	-0.98
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	35.52	24.02
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	31.13	30.13
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	35.3	-2.95
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	51.59	7.16
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	45.53	131.87
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	0.36	32.75
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	27.7	85.33
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	15.5	73.83
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	37.25	-6.95
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	47.9	1.91
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	42.34	-7.86
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	34.27	-118.74
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	37.38	-5.99
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	47.77	27.92
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	40.46	-3.5
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	14.63	121.03
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	51.55	6.85
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	-7.94	-34.87
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	13.48	-88.18
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	33.57	114.03
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	-7.16	-78.51
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	-2.52	32.9
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	35.67	139.32
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	52.02	8.52
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	44.54	18.68
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	36.63	138.18
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	5.66	-67.63
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	44.41	8.93
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	41.68	26.56
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	9.35	42.8
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	38.11	-122.24
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	-19.26	146.82
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	21.15	79.09
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	37.28	-5.92
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	18.02	-63.05
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	54.88	69.17
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	-34.67	-58.37
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	14.46	-87.65
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	38.11	15.66
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	-41.29	174.78
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	8.48	-13.23
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	-34.77	-58.4
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	11.18	-4.28
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	22.68	120.49
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	35.17	-2.93
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	34.67	33.03
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	46.85	75
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	40.67	-7.92
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	20.67	-103.35
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	-6.12	106.15
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	37.66	-120.99
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	-3.1	-60.02
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	-0.25	-79.17
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	9.42	-70.5
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	32.48	3.67
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	47	28.92
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	34.23	135.17
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	35.44	139.64
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	30.4	114.89
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	10.12	-64.72
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	36.92	-76.2
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	35.87	120.05
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	-15.84	-70.02
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	41.63	-4.72
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	23.73	92.72
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	6.91	79.89
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	9.03	-79.5
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	37.8	-122.27
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	25.27	110.28
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	40.18	29.05
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	20.1	-98.75
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	40.68	14.77
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	35.33	40.15
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	-24.78	-65.42
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	5.03	6.33
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	37.19	40.59
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	-15.42	28.28
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	22.57	113.07
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	50.66	14.04
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	40.72	-89.61
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	43.62	-116.2
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	-17.8	-63.18
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	51.05	3.73
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	14.58	121.08
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	-0.3	36.07
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	34.68	135.8
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	42.97	47.5
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	51.05	-114.07
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	11.6	43.17
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	-15.12	39.27
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	37.93	102.64
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	53.38	59.03
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	52.95	-1.13
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	46.78	-56.18
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	-13.31	35.24
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	49.44	32.06
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	34.87	117.55
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	19.17	72.96
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	41.82	-71.42
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	32.93	119.83
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	-20.32	-40.34
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	5.35	-72.41
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	33.5	119.13
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	5.52	5.75
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	33.78	-117.96
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	25.97	113.23
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	43.62	13.52
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	-22.52	-44.1
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	-7.75	113.22
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	56.12	101.6
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	33.5	-111.93
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	-9.39	-40.51
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	50.78	6.08
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	51.92	0.47
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	-22.89	-48.44
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	46.07	125.98
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	10.06	-69.33
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	19.44	-98.95
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	51.52	81.2
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	44.93	-123.03
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	49.12	6.18
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	53.39	-3.01
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	4.53	-75.68
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	-3.22	40.13
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	53.47	-2.23
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	45.55	11.55
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	35.02	135.85
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	42	21.43
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	38.03	-7.88
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	20.02	-75.81
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	13.4	121.18
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	39.75	37.02
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	14.58	121.03
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	10.25	-67.9
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	31.04	30.47
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	15.62	-13.33
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	41.15	1.12
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	36.13	-5.35
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	56.5	84.97
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	31.32	-110.95
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	40.98	27.52
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	-17.99	31.05
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	-11.2	28.88
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	-3.67	-40.24
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	24.02	-104.67
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	29.31	30.84
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	21.43	40.35
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	35.13	36.75
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	30.58	114.28
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	-16.5	-68.15
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	50.12	8.68
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	-2.43	-54.72
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	45.43	4.39
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	46.07	11.12
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	39.16	-75.53
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	68.97	33.08
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	39.62	125.66
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	41.12	122.05
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	36.87	43
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	7.18	5.58
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	33.47	-81.97
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	30.4	112.9
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	34.88	-1.32
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	-16.82	-49.23
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	33.51	36.29
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	45.19	28.8
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	47.27	11.38
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	6.18	-67.47
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	34.31	47.07
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	36.52	-4.88
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	20.67	-103.35
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	11	122.67
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	-32.92	151.75
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	41.72	44.78
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	48.52	34.62
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	5.69	-76.66
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	53.03	18.62
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	22.98	120.18
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	6.33	5.62
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	44.43	24.36
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	7.97	3.6
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	-17.2	-70.93
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	50.93	5.34
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	51.32	-0.56
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	53.87	10.69
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	53.68	-1.5
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	64.53	40.53
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	13.52	2.11
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	-22.86	-47.22
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	29.7	107.39
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	27.52	41.68
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	18.1	-15.95
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	38.58	-92.17
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	38.71	-9.14
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	34.69	-1.91
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	9.7	1.67
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	27.33	88.62
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	54.9	52.3
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	28.97	50.83
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	45.02	78.37
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	54.5	18.53
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	61.08	72.7
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	31.95	34.8
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	41.22	16.3
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	19.65	-99.21
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	31.32	48.67
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	4.08	-76.2
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	33.9	-98.51
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	56.83	53.18
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	4.93333	-52.45
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	47	6.93
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	32.51	-93.75
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	50.63	3.06
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	37.03	-76.36
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	37.33	-121.9
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	35.05	118.35
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	12.56	-16.28
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	33.02	-96.7
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	11.97	-86.1
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	13.31	12.62
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	18.89	-96.93
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	32	44.33
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	50.1	8.8
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	47.7	8.63
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	-12.14	-38.42
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	48.8	132.93
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	14.97	8.88
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	39.42	29.98
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	56.02	37.83
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	35.12	-89.97
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	20.15	94.95
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	36.22	37.17
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	33.9	-5.55
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	35.67	-105.96
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	-26.9	-48.67
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	17.37	78.48
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	14.7	120.98
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	50.88	20.62
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	-22.95	-46.54
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	-26.65	153.07
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	-22.76	-43.45
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	43.51	16.45
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	21.18	72.83
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	53.14	8.21
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	8.49	76.95
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	20.27	85.84
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	25.36	55.39
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	-13.65	32.63
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	27.52	-99.49
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	30.02	113.53
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	-3.32	17.37
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	37.22	28.37
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	41.19	-73.2
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	37.53	-77.47
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	-10.69	-76.26
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	32.43	105.82
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	31.33	27.22
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	24.82	93.95
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	27.85	113.13
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	-6.13	39.32
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	29.58	105.07
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	9.34	-82.24
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	31.1	77.17
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	41.77	140.73
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	40.88	122.68
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	30.5	117.03
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	32.45	-99.75
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	53.39	-2.6
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	45.96	-66.65
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	40.8	29.43
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	23.1	109.61
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	-0.95	100.35
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	49.23	7
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	7.74	4.44
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	31.13	104.4
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	46.97	32
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	46.26	20.15
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	21.02	-101.27
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	41.55	2.11
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	14.08	98.2
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	50.21	15.83
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	10.03	105.78
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	41.25	-96
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	39.25	9.05
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	10.07	34.52
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	15.4	-87.8
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	-22.74	-47.33
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	4.83	-75.68
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	37.63	120.33
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	23.7	90.37
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	9.61	6.56
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	16.62	120.32
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	19.54	-99.19
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	55.8	38.97
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	46.43	20.32
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	13.81	8.99
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	55.95	-3.19
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	8.37	-62.65
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	20.38	-76.64
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	13.3	-87.18
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	27.18	31.17
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	-24.96	-53.46
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	-21.01	55.27
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	46.93	26.37
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	18	-66.61
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	22.11	95.14
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	8.54	39.27
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	39.06	-95.69
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	54.2	37.62
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	35.92	74.29
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	41.45	2.25
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	36.2	36.15
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	-12.46	45.13
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	40.47	-3.37
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	32.13	114.05
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	47.39	0.69
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	-7.27	112.74
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	33.57	133.53
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	11.7	9.34
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	34.35	134.05
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	21.21	81.38
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	19.71	-155.09
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	36.75	-119.77
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	12.88	-14.95
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	24.14	-110.31
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	54.78	32.05
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	37.07	114.48
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	-23.54	-46.31
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	34.65	133.92
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	15.16	-12.18
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	-15.79	-47.88
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	40.82	140.75
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	-25.39	-51.46
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	5.67	0
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	6.9	158.15
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	-10.68	35.65
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	33.87	-117.57
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	13.73	-89.15
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	-5.06	39.73
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	-11.21	13.84
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	10.92	-74.75
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	0.39	9.45
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	33.69	-118
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	14.65	121.1
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	16.51	80.64
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	9.03	38.74
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	-22.27	-42.53
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	2.94	101.7
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	13.45	-16.58
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	49	21.24
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	46.55	15.65
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	31.8	34.65
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	6.98	-5.75
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	36.35	127.39
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	49.17	-123.13
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	24.63	46.72
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	37.52	122.12
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	53.43	-1.36
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	50.72	12.5
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	35.17	126.92
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	22.37	91.8
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	25.32	51.37
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	14.4	33.52
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	51.5	31.3
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	46.97	142.73
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	56.95	24.11
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	-3.57	-80.45
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	46.35	48.05
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	42.05	48.3
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	-31.38	-57.95
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	41.12	121.13
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	53.76	-2.7
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	9.25	-74.77
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	46.47	30.73
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	-32.03	-52.1
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	-39.81	-73.25
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	41.15	-104.8
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	8.95	-79.65
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	54.55	36.28
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	-8.58	13.66
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	36.98	120.71
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	23.75	114.7
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	25.93	-97.48
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	44.23	12.05
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	43.37	128.23
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	32.71	-97.12
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	42.65	-73.76
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	14.9	-92.27
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	22.25	-97.83
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	-8.42	20.75
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	8.48	-71.19
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	44.85	65.52
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	-10.25	105.43
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	14.55	121
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	31.97	74.22
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	47.17	39.73
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	32.62	44.03
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	44.72	37.75
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	-25.55	-54.58
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	37.87	127.73
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	27.28	-80.35
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	34.3	48.82
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	-27.45	-58.99
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	-28.25	-52.4
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	-15.75	-48.28
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	45.3	21.89
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	46.07	18.23
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	56.25	90.5
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	33.65	-86.81
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	47.52	42.15
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	23.73	-99.13
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	25.57	91.88
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	50.93	11.59
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	53.49	18.78
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	8.98	-79.52
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	53.65	-1.78
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	52.4	16.92
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	52.4	13.07
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	33.88	130.88
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	-45.57	-72.07
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	7.75	-8.82
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	33.99	51.48
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	51.52	7.47
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	36.77	3.22
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	31.43	73.08
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	57.77	40.93
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	-8.02	-34.98
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	26.58	107.97
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	9.91	-67.36
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	-8.52	179.2
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	5.47	-3.2
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	53.53	-113.5
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	41.47	2.22
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	36.7	137.22
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	21.98	96.08
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	33	-7.62
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	52.67	-8.62
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	52.48	-1.89
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	57.92	59.97
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	35.87	139.65
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	61.07	28.18
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	34.72	136.5
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	53.8	-1.55
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	36.55	52.68
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	50.3	18.95
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	43.26	-2.92
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	28	120.7
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	41.18	41.82
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	49.87	8.65
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	42.82	-1.65
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	9.65	-68.58
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	-14.79	-39.05
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	33.58	130.4
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	53.78	20.5
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	25.03	121.63
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	51.22	4.4
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	37.97	23.72
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	4.75	-6.64
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	52.15	10.33
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	7.77	4.57
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	48.78	9.18
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	32.57	74.08
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	-23.66	-46.53
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	28.58	112.33
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	36.72	119.1
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	45.05	41.98
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	45.45	8.62
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	44.15	125.84
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	16.89	42.56
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	37.07	-76.48
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	20.72	-103.39
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	33.49	48.36
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	-6.39	106.83
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	50.88	5.98
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	43.07	-89.4
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	36.17	-115.14
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	21.85	-78.76
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	28.36	79.42
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	46.88	8.23
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	48.97	14.47
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	43.25	-79.87
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	53.27	-9.05
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	33.42	43.31
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	34.53	69.17
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	42.28	-83
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	-36.83	-73.05
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	-27.78	-64.27
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	-8.6	125.6
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	19.56	-99.25
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	41.48	-81.67
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	40.16	26.41
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	39.28	-76.62
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	22.53	113.35
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	40.77	114.88
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	10.25	-67.6
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	40.1	124.4
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	-26.01	28.21
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	42.87	74.61
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	33.77	-118.2
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	44.05	43.07
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	21.47	109.1
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	22.76	121.14
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	23.22	72.68
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	19.24	-103.72
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	52.13	23.67
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	35.93	0.08
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	56.03	14.16
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	-13.28	-176.18
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	34.73	135.4
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	51.2	58.57
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	56.33	44.01
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	3.75	8.77
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	-25.53	-49.21
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	47.57	-52.71
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	58.48	8.78
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	39.68	141.15
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	50.38	18.9
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	21.3	-157.82
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	30.13	31.24
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	-17.79	-50.92
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	30.8	106.08
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	23.35	116.67
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	43.92	81.32
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	38.88	-77.11
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	51.1	17.03
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	42.77	129.43
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	51.2	6.7
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	50.08	45.4
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	41.15	27.8
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	16.43	102.83
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	40.56	-105.08
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	10.02	105.08
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	55.68	12.57
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	44.37	-100.34
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	34.05	-117.63
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	49.23	28.48
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	35.82	127.15
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	32.12	20.07
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	-22.41	-42.97
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	43.02	44.65
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	10.65	-71.63
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	43.28	76.9
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	33.84	-117.89
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	31.92	131.42
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	-14.79	-39.28
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	11.42	-69.67
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	41.87	123.9
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	60.39	5.33
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	-16.25	-47.95
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	-29.9	-71.25
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	39.84	33.51
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	-23.51	-46.88
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	6.82	-5.28
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	-7.98	112.62
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	-34.68	-58.55
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	24.9	91.87
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	25.58	-103.5
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	30.18	67
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	24.07	120.53
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	4.43	-75.23
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	39.76	-104.88
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	42.7	23.33
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	-26.92	-49.07
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	16.85	96.18
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	50.72	15.07
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	19.48	-99.24
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	-13.45	-76.13
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	37.88	41.13
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	36.85	115.71
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	48.3	38.05
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	8.9	11.37
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	41.93	126.42
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	40.62	43.1
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	5.55	95.32
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	41.16	-8.62
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	-17.88	36.89
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	14.81	121.05
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	59.86	17.64
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	49.95	18.58
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	-3.72	-38.54
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	40.53	70.94
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	43.88	11.1
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	40.31	36.55
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	6.45	2.36
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	20.34	-77.11
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	7.36	4.18
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	37.43	116.27
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	28.61	77.23
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	48.7	44.52
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	36.1	-80.26
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	37.16	38.79
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	52.55	103.9
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	-37.78	175.28
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	22.8	86.3
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	30.32	78.03
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	40.68	46.36
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	42.44	19.26
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	21.65	110.92
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	51.58	4.78
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	-3.87	-38.63
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	36.37	140.47
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	41.02	70.14
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	-22.21	-49.95
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	37.76	38.28
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	17.05	-13.92
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	42.35	13.4
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	22.82	89.55
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	47.75	7.34
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	8.75	38.98
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	32.48	44.43
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	-6.97	110.42
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	35.05	-78.88
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	48.95	2.25
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	-23.59	-48.05
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	34.47	72.22
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	15.35	44.21
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	55.83	37.32
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	10.28	11.17
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	31.47	104.68
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	27.77	-82.64
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	53.2	45
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	61.5	23.77
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	13.79	5.25
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	41.32	19.45
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	45.79	-108.54
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	23.07	114.4
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	-5.53	-47.48
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	36.23	-115.15
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	33.8	-117.83
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	20.57	-101.2
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	-45.87	170.5
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	40.73	31.61
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	38.35	38.3
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	31.67	120.82
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	37.18	33.22
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	52.58	-0.25
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	34.05	-118.25
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	49.98	82.62
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	22.81	-82.76
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	33.76	-84.39
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	24.99	121.31
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	-6.6	106.8
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	26.26	107.52
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	41.65	-0.88
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	-1.26	116.83
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	22.15	-100.84
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	26.22	78.18
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	52.62	38.47
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	34.73	10.77
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	-21.79	-48.18
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	13.93	-86.82
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	29.62	52.53
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	32.76	-97.33
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	53.54	-2.63
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	-25.27	-57.63
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	42.47	59.6
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	13.07	5.23
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	43.01	-83.69
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	36.7	67.12
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	33.68	-7.38
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	49.23	17.67
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	32.63	-117.05
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	53.2	5.78
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	50.82	-1.08
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	36.13	-5.45
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	5.83	-5.37
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	40.82	111.65
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	1.85	9.75
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	51.52	-0.09
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	14.05	-86.58
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	19.77	-101.19
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	44.43	26.1
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	55.37	86.07
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	55.18	30.17
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	8.1	-76.73
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	14.58	-88.58
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	40.77	29.92
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	51.23	6.78
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	-20.16	57.5
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	37.99	-1.13
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	42.22	123.73
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	5.55	-0.2
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	43.62	122.27
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	55.42	37.53
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	34.16	-118.13
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	53.23	34.37
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	38.54	68.78
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	36.6	114.48
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	18.44	1.41
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	-23.96	-46.39
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	35.55	139.45
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	54.95	-1.6
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	37.03	-7.92
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	16.97	7.98
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	44.2	27.33
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	13.98	-89.53
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	-8.38	-74.52
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	45.03	38.97
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	31.84	120.3
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	37.45	118.47
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	-35.43	-71.67
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	35.7	139.98
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	37.77	-3.77
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	40.08	128.25
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	-24.66	25.91
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	52.08	5.12
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	48.1	20.79
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	51.4	21.17
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	49.02	12.08
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	43.6	1.44
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	-7.62	15.05
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	48.39	-4.49
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	40.78	72.33
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	48.09	19.79
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	37.27	127.02
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	34.73	36.71
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	-21.17	27.51
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	55.93	12.31
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	42.88	125.15
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	50.98	11.03
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	19.45	-72.68
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	50.28	57.17
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	12.86	-7.56
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	2.45	-76.61
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	37.85	113.57
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	35.2	128.08
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	12.75	-8.07
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	-23.72	-46.85
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	-1.72	-48.88
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	-11.7	43.26
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	-22.78	-43.43
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	-9.53	-77.53
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	17.5	-88.19
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	26.64	-81.98
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	52.5	5.48
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	31.9	35.2
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	28.42	77.31
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	25.54	-103.45
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	39.1	-94.58
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	32.7	35.3
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	51.55	7.22
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	37.52	42.46
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	41.27	123.18
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	14.42	-16.97
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	56.65	47.88
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	41.55	60.63
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	9.97	-84.83
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	51.72	94.45
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	36.04	14.24
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	-27.1	-52.62
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	11.65	78.16
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	22.3	114.2
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	-3.33	37.34
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	42.88	-8.54
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	-26.83	-65.22
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	35.18	136.9
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	-8.29	-35.03
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	45.48	-75.65
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	53.43	14.55
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	9.9	78.1
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	12.1	-68.9
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	50.81	-0.37
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	30.17	121.23
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	40.65	109.83
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	26.55	31.7
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	14.77	-88.78
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	44.6	33.53
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	-23.54	-46.37
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	-20.13	-40.31
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	38.73	35.48
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	1.48	103.73
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	45.82	15.98
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	-27.48	-58.82
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	39.75	39.49
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	40.85	107.43
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	41.65	86.13
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	13.77	109.23
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	50.72	4.6
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	-7.97	31.62
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	50.72	-3.53
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	43.7	126.2
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	45.32	14.42
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	21.5	41
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	-29.88	31.05
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	-9.14	-78.59
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	58.75	17.01
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	-8.12	-35.3
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	21.54	39.17
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	46.62	13.85
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	57.15	-2.11
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	6.23	-75.59
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	-4.78	11.86
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	10.37	105.45
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	-12.15	-44.99
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	51.67	39.21
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	-19.77	-43.85
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	-26.32	31.13
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	26.13	-80.15
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	49.6	17.25
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	36.68	-121.66
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	-8.76	-63.9
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	20.14	-75.21
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	35.78	139.9
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	-9.37	-171.21
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	60.67	17.14
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	7.67	36.83
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	-22.88	-43.1
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	-11.03	-68.73
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	19.67	-99.09
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	16.48	97.62
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	23.62	90.5
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	57.05	9.92
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	37.49	71.56
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	30.08	-94.13
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	7.22	124.25
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	48.38	-89.25
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	40.47	19.49
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	39.75	126.33
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	-4.22	35.75
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	-22.91	-43.2
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	56.66	16.36
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	-51.63	-69.22
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	49.18	-0.37
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	-5.09	-42.84
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	-21.18	-47.81
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	34.64	50.88
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	-1.3	-47.92
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	22.59	88.31
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	35.23	115.43
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	19.4	-98.99
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	14.52	121.05
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	-2.53	140.72
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	32.7	51.52
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	-23.55	-46.63
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	50.25	127.53
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	-19.39	-40.07
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	40.66	29.28
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	49.42	27
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	0.52	35.28
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	34.09	49.69
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	-6.23	107
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	4.26	117.89
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	50.63	5.57
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	37.5	126.78
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	16.27	-0.05
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	14.88	5.27
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	-18.92	-48.29
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	39.72	43.05
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	51.33	6.57
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	-12.97	28.63
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	41.47	12.9
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	38.76	30.54
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	31.6	130.55
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	21.16	-86.85
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	51.33	12.38
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	12.62	-87.15
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	52.68	-2.45
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	61	24.47
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	21.93	-79.44
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	27.8	114.92
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	-3.97	122.59
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	52.17	4.48
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	12.14	-86.25
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	-22.79	-43.31
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	9.98	-83.03
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	-22.88	-42.02
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	32.7	36.57
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	43.32	45.72
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	55.79	49.13
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	-23.19	-45.88
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	6.21	7.07
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	56.46	-2.97
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	47.35	123.92
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	-9.53	16.35
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	48.31	18.09
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	7.6	5.1
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	26.58	101.72
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	43.78	11.25
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	27.88	78.08
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	-24.01	-46.4
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	-30.03	-51.23
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	-17.86	31.03
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	50.06	19.94
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	10.32	123.75
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	35.25	139.67
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	-1.37	-48.37
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	-2.53	-44.3
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	40.38	-3.72
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	-29.72	-52.43
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	12.38	-5.47
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	37.91	40.24
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	10.81	78.69
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	22.7	75.9
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	59.38	13.5
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	40.93	24.4
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	40.97	126.6
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	34.58	133.77
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	42.46	14.21
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	-51.42	-57.51
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	37.98	-122.03
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	12	8.52
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	33.9	48.9
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	-6.76	-79.84
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	23.48	111.32
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	-23.7	-46.55
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	36.87	6.9
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	14.5	-4.2
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	55.02	82.93
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	42.58	-83.03
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	35.72	139.93
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	7.4	-7.55
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	25.07	-77.33
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	26.65	106.63
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	38.35	-0.48
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	21.6	105.85
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	7.55	6.23
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	12.45	4.2
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	37	35.32
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	30.43	-9.6
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	40.98	37.88
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	-41.47	-72.93
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	21.12	-101.68
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	33.72	73.07
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	59.95	10.75
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	23.37	103.15
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	43.05	-76.14
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	-23.86	35.38
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	47.38	9.27
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	32.72	-97.02
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	39.13	117.18
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	37.38	126.93
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	-8.65	115.22
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	51.43	6.88
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	35.25	-3.93
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	41.57	14.67
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	48.4	9.98
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	45.84	1.26
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	37.57	126.97
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	15.18	145.76
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	13.72	-89.17
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	48.2	16.37
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	26.9	75.8
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	32.38	15.09
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	-15.56	-5.44
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	16.78	-3.01
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	6.17	-75.58
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	10.38	107.12
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	34.98	138.38
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	-6.88	107.53
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	12.15	6.67
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	37.97	126.55
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	-2.9	-79.02
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	20.92	82
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	39.76	-84.19
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	38.47	23.6
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	25.78	-80.21
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	13.6	100.6
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	41.67	-86.26
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	43.53	5.45
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	30.32	112.25
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	48.25	126.52
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	41.13	-8.62
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	32.78	129.87
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	35.84	51.01
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	24.37	88.6
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	-21.55	-45.43
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	-16.73	-43.86
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	78.13	15.33
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	30.02	31.22
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	10.02	-84.22
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	41.8	120.78
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	55.68	52.32
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	0.34	6.68
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	19.42	-102.06
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	44.87	18.81
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	51.75	-1.26
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	46.63	131.15
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	12.52	-70.04
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	37.58	36.93
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	26.5	80.3
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	40.35	18.17
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	43.13	5.92
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	57.62	39.85
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	35.3	113.87
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	14.8	42.95
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	33.67	-117.91
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	39.15	127.45
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	40.97	117.93
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	-28.74	24.77
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	27.68	106.9
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	41.7	-8.83
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	31.93	34.87
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	44.05	12.57
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	40.28	-3.8
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	53.1	49.93
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	44.51	11.35
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	51.63	-0.75
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	25.07	102.68
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	40.45	124.07
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	51.5	3.62
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	53.52	-1.13
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	5.47	10.42
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	22.79	5.53
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	27.56	68.23
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	18.55	-72.3
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	63.18	14.64
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	50.75	25.34
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	28.02	73.31
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	9.23	12.46
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	44.57	22.67
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	32.78	130.73
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	19.85	-90.53
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	43.17	124.37
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	50.88	8.02
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	44.3	86.03
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	36.92	34.9
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	-34.88	-56.18
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	47.75	26.67
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	34.19	-118.87
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	14.58	121
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	35.17	33.37
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	51.67	75.37
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	56.16	15.59
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	22.3	73.2
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	7.47	4.57
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	53.12	18
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	9.36	-79.9
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	39.92	116.38
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	45.67	25.62
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	-23.6	-46.92
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	59.33	18.07
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	54.37	18.63
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	44.94	-93.09
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	-0.87	134.08
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	42.5	27.47
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	13.48	144.75
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	40.63	15.8
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	61.68	27.27
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	25.87	114.93
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	44.84	-0.58
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	39.23	106.77
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	47.12	51.88
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	26.76	83.37
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	-10.18	-48.33
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	44.65	-63.57
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	36.03	103.8
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	2.2	102.25
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	32.53	-117.03
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	11.57	41.43
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	58.3	-134.42
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	-6.92	106.93
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	34.57	135.48
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	6.13	1.22
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	28.88	105.45
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	18.38	-66.16
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	52.53	85.22
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	8.25	34.58
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	53.51	-2.33
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	13.85	100.52
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	4.95	8.32
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	36.07	136.22
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	12.6	37.47
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	14.22	1.45
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	43.32	-79.8
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	6.6	3.5
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	41.57	120.45
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	40.6	33.62
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	38.73	125.4
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	-12.55	13.42
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	31.98	120.9
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	58.15	8
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	52.41	-1.78
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	27.8	114.38
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	10.4	-71.45
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	41	39.73
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	30.25	-97.75
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	41.47	69.58
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	17.99	-92.93
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	2.29	111.83
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	51.76	18.08
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	33.58	-112.24
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	52.23	21.02
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	36.55	139.88
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	44.56	27.37
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	37.69	-97.34
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	52.37	5.22
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	38.05	125.72
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	31.55	-97.16
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	35.97	-83.94
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	-4.27	15.29
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	-4.88	29.63
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	56.88	14.81
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	33.33	44.43
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	-3.37	36.68
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	41.53	125.68
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	51.23	51.37
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	22.57	88.37
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	49.01	8.4
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	-16.38	-71.53
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	42.85	-2.68
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	33.89	35.51
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	4.18	73.51
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	33.74	-117.88
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	4.85	31.6
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	62.89	27.68
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	29.45	55.68
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	18.15	-94.43
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	21.95	108.62
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	14.58	121.17
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	51.11	-0.19
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	-34.6	-58.38
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	62.6	29.75
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	-2.18	-79.88
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	29.03	111.68
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	38.73	41.49
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	-12.97	40.55
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	18.58	-72.33
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	27.67	113.47
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	25.45	81.85
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	11.83	13.15
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	47.19	18.41
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	23.89	90.41
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	46.6	-112.03
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	46.88	-96.79
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	36.18	113.1
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	19.3	-81.39
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	36.43	28.22
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	51.4	30.06
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	53.2	50.14
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	20.97	-89.62
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	27.1	93.62
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	22.77	-102.58
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	53.22	6.57
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	26.33	43.97
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	39.67	20.85
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	30.67	113.17
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	44.1	9.82
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	35.67	138.57
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	56.15	10.22
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	53.61	-2.16
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	-12.52	17.57
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	47.75	39.93
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	47.51	9.75
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	32.4	111.77
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	32.28	-9.23
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	-23.52	-46.19
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	45.75	126.63
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	25.78	-108.99
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	49.26	4.03
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	-28.47	-65.78
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	-4.9	-80.52
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	7.13	-73
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	43.9	25.97
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	-3.37	29.14
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	22.87	88.41
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	29.72	113.9
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	32.2	119.42
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	36.18	5.4
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	53.63	11.42
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	41.76	-88.29
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	30.81	108.41
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	38.37	34.03
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	40.93	14.2
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	54.75	55.97
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	7.73	8.54
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	47.98	7.85
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	-9.43	159.95
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	30.78	31
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	-6.12	106.15
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	12.11	15.05
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	-22.56	-47.4
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	32.4	119.42
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	-12.45	130.83
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	27.74	-97.4
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	16.3	-86.55
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	-23.31	-51.16
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	-7	23.45
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	-12.6	-69.18
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	37.94	-122.35
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	-19.05	-65.25
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	41.56	2.01
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	44.95	34.1
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	42.73	-84.55
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	31.9	54.37
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	-20.81	-49.38
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	33.95	-117.4
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	-9.67	-35.73
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	-38	-57.55
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	30.58	32.27
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	1.15	-76.65
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	57	40.98
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	31.78	119.97
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	33.1	6.07
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	40.92	38.39
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	16.77	121.78
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	33.43	-111.94
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	51.85	5.87
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	52.52	6.1
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	7.89	-67.47
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	-7.33	108.2
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	55	60.1
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	10.42	-66.87
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	55.4	43.82
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	-6.13	39.28
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	11.24	125
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	47.24	6.02
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	45.42	-75.68
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	43.46	-3.8
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	29.5	60.86
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	27.25	111.47
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	34.2	43.87
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	7.21	100.6
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	50.32	19.27
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	3.58	-76.25
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	-4.58	-81.27
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	45.86	25.79
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	-42.88	147.32
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	37.2	122.05
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	55.1	61.62
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	44.98	-93.27
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	-23.09	-47.22
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	32.8	120.52
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	-13.83	-171.75
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	10.96	-74.8
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	-33.33	-60.22
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	22.28	113.57
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	15.65	-16.35
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	-14.07	-75.73
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	16.69	74.23
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	51.2	6.43
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	-29.75	-57.09
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	51.25	22.57
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	50.45	-104.61
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	25.6	85.1
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	45.78	3.08
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	6.67	-1.62
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	42.07	19.5
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	40.62	120.73
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	41.2	32.63
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	44.77	17.18
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	6.12	125.17
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	33.07	107.02
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	25.68	-100.26
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	42.47	-2.45
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	45.6	84.88
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	51.22	3.23
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	51.17	7.08
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	-23.49	-46.35
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	-12.79	-74.98
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	27.71	68.85
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	34.92	33.63
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	27.69	111.44
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	69.68	18.94
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	25.68	32.65
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	43.9	125.2
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	55.67	37.93
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	18.5	-88.31
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	55.85	38.43
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	-53.17	-70.93
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	36.72	-4.42
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	-11.79	19.91
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	43.5	124.82
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	31.72	72.98
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	37.78	-122.42
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	56.6	84.85
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	15.65	32.48
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	46.63	126.98
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	39.75	-8.8
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	-8.01	-34.85
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	18.62	73.8
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	-20.54	-47.4
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	29.37	47.98
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	36.7	-6.12
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	14.55	121.03
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	48.9	8.72
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	-27.47	153.03
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	15.63	32.63
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	42.9	71.37
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	35.35	139.47
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	48.77	11.43
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	-16.43	-39.08
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	51.78	55.1
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	46.64	27.73
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	19.3	73.06
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	52.97	36.07
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	-22.5	-43.18
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	-31.95	115.86
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	47.13	24.5
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	13.73	-89.22
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	-38.73	-72.67
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	51.89	0.9
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	50.85	4.35
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	55.17	59.67
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	-6.92	107.6
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	-8.89	-36.49
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	53.57	10
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	12.2	-86.1
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	-5.09	-42.8
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	-19.58	-65.75
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	-1.52	37.27
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	-0.55	166.92
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	24.82	113.6
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	30.2	71.47
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	30.17	122.4
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	47.42	40.08
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	6.92	122.08
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	31.2	29.92
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	48.48	135.07
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	13.75	7.98
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	31.42	119.38
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	6.1	-0.27
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	32.02	112.13
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	32.78	-96.61
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	39.08	63.57
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	40.47	71.72
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	-15.6	-56.1
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	37.92	41.95
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	18.41	-65.97
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	60.95	76.55
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	39.92	44.04
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	13.75	100.47
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	18.25	109.5
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	55.9	37.45
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	16.3	80.44
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	-34.7	-58.4
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	35.56	45.44
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	20.59	-100.39
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	46.85	16.85
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	37.82	-25.75
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	29.96	77.55
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	-14.45	40.67
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	49.4	15.59
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	26.22	-98.24
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	38.87	115.47
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	43.72	10.4
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	-37.81	144.96
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	37.28	49.58
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	18	79.58
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	38.88	-6.97
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	-10.18	123.58
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	53.75	-0.33
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	50.25	19
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	-5.78	-35.2
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	33.83	132.77
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	34.68	135.6
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	32.36	-86.28
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	35.9	14.51
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	31.5	34.5
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	28.4	36.58
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	19.75	96.1
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	40.22	-74.76
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	43.22	44.77
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	14.03	35.38
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	17.34	96.48
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	26.9	112.6
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	53.9	27.57
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	32.72	-117.16
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	55.67	37.27
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	44.31	-69.78
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	32.22	-110.93
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	41.56	-73.04
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	49.07	33.42
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	54.47	53.47
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	25.67	-100.3
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	27.85	112.9
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	-12.55	28.23
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	32.15	74.18
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	44.83	126.55
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	-27.61	-48.63
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	50.43	80.27
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	39.7	66.98
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	-4.86	-43.36
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	23.05	112.47
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	23.6	58.58
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	31.37	118.39
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	40.27	-76.88
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	-23.53	-46.8
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	32.66	-115.47
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	-17.85	25.87
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	1.81	-78.76
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	54.17	19.4
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	36.63	101.77
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	37.25	55.17
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	39.02	125.74
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	28.15	-15.42
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	54.08	38.22
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	27.47	89.64
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	26.14	91.79
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	61	69
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	7.22	-73.07
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	34.67	112.44
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	40.18	44.52
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	53.96	-1.08
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	27.63	113.85
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	40.35	-3.83
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	47.09	17.91
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	50.3	19.17
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	54.6	-5.93
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	38.53	-8.88
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	64.73	177.52
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	32.93	73.73
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	26.17	32.73
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	31.63	-8.01
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	8.41	-78.15
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	-22.74	-42.86
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	13.86	8.3
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	-23.67	-46.46
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	27.78	120.63
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	31.05	46.27
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	38.25	-85.77
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	17.49	44.13
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	14.78	-17.4
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	-14.92	13.5
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	60.21	24.66
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	47.55	8.9
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	-20.17	28.58
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	9.3	-75.4
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	52.08	4.32
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	39.1	-84.52
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	11.74	11.96
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	-23.47	-46.53
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	-22.72	-43.55
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	54.18	45.18
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	20.62	-103.23
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	33.35	-111.79
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	40.39	71.79
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	53.15	29.23
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	41.59	-93.62
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	47.04	-122.89
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	48.48	9.22
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	32.63	51.65
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	33.23	131.61
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	41.9	12.5
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	51.97	7.63
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	45.38	126.35
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	-22.41	-47.56
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	59.2	37.9
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	41.9	12.45
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	25.38	68.37
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	45.7	27.18
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	34.1	-117.3
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	47.07	21.92
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	38.08	23.73
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	18.52	73.86
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	-9.3	14.92
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	41.98	-91.67
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	17.25	-88.77
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	45.73	7.32
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	38.57	-7.9
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	55.78	38.47
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	12.57	-8.03
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	3.88	-77.03
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	13.04	3.19
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	-4.2	12.67
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	45.63	13.8
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	33.12	35.82
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	66.5	25.73
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	54.92	37.4
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	49.27	-122.97
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	33.54	-112.19
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	47.37	8.55
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	23.18	75.78
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	14.32	-87.67
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	-22.28	166.46
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	48.73	19.15
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	51.53	9.94
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	18.8	99
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	44.75	19.22
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	41.11	42.7
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	35.07	109.08
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	15.45	36.4
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	38.89	40.5
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	-21.53	-64.73
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	41.12	122.98
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	53.4	-2.98
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	51.48	7.22
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	70.66	23.68
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	39.32	-7.42
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	17.69	83.22
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	-21.12	-159.46
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	54.68	25.28
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	-13.63	-72.88
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	38.18	15.55
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	35.5	134.23
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	36.53	37.95
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	31.25	32.28
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	-5.88	39.27
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	14.66	-16.39
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	6.65	-4.7
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	55.48	8.45
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	-25.47	30.99
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	48.57	39.3
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	49.49	0.1
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	43.18	-79.23
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	51.95	85.97
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	13.49	7.1
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	8.03	-2.8
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	25.48	103.8
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	63.43	10.39
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	13.69	-89.19
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	25.13	121.73
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	42.84	93.5
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	31.2	121.5
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	-25.42	-49.25
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	-17.4	-66.28
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	56.37	41.33
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	16.77	94.72
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	-17.75	168.3
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	9.97	76.28
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	14.43	-89.18
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	47.03	9.07
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	48.01	0.2
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	37.77	29.08
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	13.13	123.73
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	39.58	19.87
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	6.61	0.47
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	-25.96	32.46
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	-27.37	-55.9
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	44.51	-88.02
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	34.27	108.9
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	-22.76	-43.4
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	47.23	39.7
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	43.61	3.88
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	29.4	71.68
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	-6.42	20.8
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	33.94	-117.23
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	5.4	100.23
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	-23.28	-46.74
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	9.06	-62.07
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	-0.61	30.66
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	-7.82	112.01
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	41.55	-8.43
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	17.9	-62.85
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	-16.93	145.78
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	-8.05	-34.9
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	37.93	58.37
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	41.52	-88.15
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	45.88	22.91
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	47.95	21.73
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	10.6	-67.03
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	58.05	38.83
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	41.76	-72.67
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	35.68	139.68
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	43.33	17.8
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	36.84	54.43
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	18.47	-97.4
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	40.17	126.28
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	8.12	-63.55
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	31.78	35.22
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	48.96	4.37
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	22.78	115.37
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	32.05	118.77
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	34.02	71.58
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	7.88	-76.63
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	50.27	18.7
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	48.84	2.24
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	41.84	-87.68
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	31.2	107.52
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	31.36	119.82
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	53.54	-2.12
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	54.97	-1.6
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	4.85	100.73
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	43.3	5.37
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	21.47	-71.14
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	5.97	116.1
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	-4.05	39.67
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	-20.26	-40.42
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	53.74	-2.48
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	-10.98	26.73
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	12.8	45.03
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	52.42	10.79
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	29.1	-110.95
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	36.75	5.07
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	36.58	36.17
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	-9.43	-40.5
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	38.35	-81.63
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	0.03	-51.07
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	-29.41	-66.85
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	8.63	-70.2
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	36.47	2.82
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	-3.73	-38.66
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	37.08	15.28
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	37.84	68.78
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	27.18	56.27
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	38.55	44.95
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	11.02	76.97
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	25.29	51.53
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	37.72	30.28
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	25.45	78.57
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	62.64	17.94
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	0.53	123.07
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	-14.28	-170.7
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	4.59	-74.22
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	4.9	-1.76
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	-4.36	14.76
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	5.93	10.17
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	49.59	34.55
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	31.72	73.99
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	51.43	5.48
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	-3.73	-73.25
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	20.89	-76.26
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	70.08	29.73
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	43.6	-79.65
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	40.28	69.62
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	16.89	97.63
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	57.15	65.53
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	26.21	127.68
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	47.22	38.92
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	15.77	-86.83
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	-1.63	13.58
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	35.27	128.66
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	42.35	-3.71
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	51.62	-3.95
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	22.3	70.78
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	49.78	9.93
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	30.46	31.19
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	61.25	73.43
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	38.68	-9.16
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	34.58	-118.1
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	-8.58	116.12
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	0.53	101.45
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	34.17	-118.25
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	63.83	20.26
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	38.49	43.38
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	35.9	-5.3
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	50.28	18.67
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	35.56	51.23
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	39.08	-94.41
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	51.87	-2.24
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	-28.02	153.4
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	36.13	-95.94
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	41.83	59.97
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	42.61	-5.57
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	44.25	-72.57
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	27.49	-109.93
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	37.23	127.2
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	28.47	-16.25
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	10.6	14.32
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	58.55	31.27
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	34.07	134.55
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	53	6.57
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	58.38	12.33
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	47.22	7.53
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	54.15	-4.6
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	-31.53	-68.53
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	52.3	76.95
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	46.2	9.02
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	37.5	15.09
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	20.95	107.08
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	45.21	127.97
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	-7.19	-48.21
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	-23.5	-47.46
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	33.6	73.03
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	8.48	-79.95
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	35.57	53.4
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	46.45	125.5
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	-10.85	-37.06
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	50.87	4.38
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	-17.07	15.73
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	43.83	-79.5
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	-7.2	-39.33
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	44.11	15.23
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	47.47	7.73
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	41.3	123.77
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	52.52	13.38
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	6.13	-5.93
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	6.73	-3.48
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	36.57	136.65
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	46.82	-71.22
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	15.33	38.93
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	50.3	18.78
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	52.41	-1.51
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	36.1	114.33
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	3	-75.3
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	63.1	21.62
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	37.43	24.92
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	46.36	25.8
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	19.62	37.22
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	40.65	22.9
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	44.2	17.91
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	36.84	-2.47
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	17.98	-94.55
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	39.65	106.68
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	52.13	11.62
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	-22.9	-47.06
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	-33.13	-64.35
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	44.86	24.87
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	31.87	117.28
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	47.83	35.17
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	50.83	4.33
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	-16.33	-48.95
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	50.85	4.33
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	21.38	-77.91
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	34.09	74.79
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	29.87	121.55
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	60.16	-1.14
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	38.03	-84.49
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	-4.32	15.32
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	1.67	101.45
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	12.97	77.57
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	40.78	14.37
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	52.37	9.72
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	-33.86	151.21
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	36.07	120.38
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	2.03	45.35
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	41.93	8.74
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	45.36	36.47
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	-34.17	-70.75
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	-5.89	22.4
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	45	41.12
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	52.63	1.3
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	16.67	-9.62
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	11.67	92.74
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	50.05	72.95
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	47.13	7.25
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	50.72	-1.88
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	-33.93	18.42
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	28.68	115.88
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	10.5	-66.92
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	-19.54	-40.63
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	42.64	-71.31
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	43.59	39.72
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	46.13	122.8
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	-23.55	-51.46
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	14.65	120.97
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	55.09	36.61
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	59.95	30.3
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	50.9	30.33
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	10.47	-68.02
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	52.23	5.17
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	14.92	-88.23
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	33.67	-117.82
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	7.97	-80.43
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	48.72	21.25
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	15.48	-90.37
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	48.38	17.59
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	20.93	-17.03
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	35.6	140.1
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	30.81	73.45
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	6.2	-1.68
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	30.77	120.75
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	34.2	72.05
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	39.86	-4.02
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	-4.15	13.55
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	40.91	-74.16
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	47.33	9.42
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	39.57	2.65
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	-19.77	-44.09
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	39.7	-105.08
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	45.58	9.27
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	18.88	-99.17
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	9.41	-0.85
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	41.12	1.25
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	23.17	79.93
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	14.02	-60.98
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	11.13	39.63
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	52.66	19.07
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	8.95	125.53
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	-6.72	108.57
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	59.22	39.9
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	49.42	8.72
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	10.2	-64.63
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	19.3	-98.23
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	-9.51	147.22
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	25.43	-101
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	39.47	-0.38
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	32	119.59
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	51.48	11.97
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	-1.33	31.82
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	34.74	-92.33
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	-29.31	27.48
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	-25.52	-48.51
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	19.29	-99.66
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	-10.92	-37.05
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	34.1	-117.47
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	17.3	-62.73
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	4.58	13.68
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	-5.07	39.1
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	41.33	19.82
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	-1.28	36.82
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	54.7	20.45
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	46.5	11.35
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	47.59	18.39
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	6.45	7.51
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	40.53	-7.33
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	53.2	63.62
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	7.07	-73.17
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	45.77	4.88
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	32	45
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	51.48	-3.18
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	13.63	25.35
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	44.55	129.63
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	24.85	89.37
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	1.2	-70.17
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	39.73	-104.83
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	-2.95	25.95
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	41.38	33.78
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	63.2	75.45
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	58	56.32
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	61.12	10.47
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	53.88	86.72
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	15.5	-88.03
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	28.64	-106.09
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	38.87	65.8
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	-33	-71.52
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	44.6	40.08
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	37.65	126.8
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	39.93	32.87
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	19.02	73.02
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	-7.77	35.7
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	-25.04	-130.05
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	-34.92	-57.95
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	43.65	51.15
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	41.05	-73.54
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	43.93	12.45
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	62.76	7.24
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	42.99	-71.46
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	18.52	-72.28
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	-32.98	27.87
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	42.67	21.17
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	39.95	-75.17
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	40.33	-3.87
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	39.3	16.25
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	52.58	-2.13
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	7.77	-80.28
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	38.12	13.37
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	36.27	50
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	51.21	16.16
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	35.63	36.67
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	18.92	-99.23
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	18.55	-11.43
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	39.83	97.57
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	57.72	12.94
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	10.4	-75.5
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	38.02	23.68
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	38.07	114.48
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	51.68	7.82
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	-20.9	55.5
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	49.82	19.04
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	7.32	13.58
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	13.08	-86.35
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	38.92	121.64
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	40.3	21.78
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	35.42	119.43
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	47.24	16.62
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	55.6	38.12
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	43.13	131.9
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	50.77	0.28
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	48.62	22.3
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	41.07	-81.52
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	-26.7	27.84
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	-21.14	-48.97
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	40.75	-111.88
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	14.38	121.05
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	38.68	29.4
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	45.3	130.97
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	28.67	77.42
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	25.67	94.11
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	30.66	104.06
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	32.62	116.98
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	42.96	-85.66
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	36.85	-75.98
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	9.55	-78.97
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	-31.77	-52.34
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	43.88	-79.25
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	16.47	107.58
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	64.18	-51.74
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	48.43	-123.37
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	49.44	7.77
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	1.56	110.35
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	50.47	4.87
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	1.61	16.05
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	50.08	18.55
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	-21.13	-175.2
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	48.96	-54.61
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	-3.38	29.37
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	69.33	88.22
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	37.32	40.74
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	37.56	45.07
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	52.15	9.95
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	-20.56	-48.57
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	38.56	-121.47
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	51.52	6.92
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	-40.83	-62.97
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	29.97	32.55
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	44.17	28.64
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	0.68	127.4
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	29.65	91.12
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	5.49	7.04
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	47.1	37.55
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	-20.14	-44.88
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	-5.93	29.2
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	33.88	-117.93
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	34.42	-118.51
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	67.28	14.4
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	57.63	18.3
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	30.56	31.01
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	24.8	-107.39
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	46.55	24.56
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	56.3	38.13
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	13.48	39.47
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	9.3	13.4
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	1.61	-75.61
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	3.87	11.52
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	19.43	-96.38
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	14.78	-16.92
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	12.98	7.6
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	36.72	37.12
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	45.76	4.84
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	-20.85	-41.11
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	14.72	-17.27
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	34.77	111.2
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	15.92	-86
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	40.83	14.25
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	-23.53	-46.8
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	10.67	-61.52
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	46.63	32.58
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	14.02	-16.25
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	-25.85	25.63
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	41.53	2.45
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	-11.67	27.47
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	50.23	12.87
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	50	8.27
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	-14.66	17.68
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	27.67	85.32
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	-8.28	-35.98
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	-18.06	-70.25
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	46.87	8.63
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	31.79	-106.42
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	43.55	10.32
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	-6.8	39.28
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	44.03	42.85
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	30.57	31.5
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	7.83	123.43
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	-1.5	33.8
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	38.25	48.28
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	47.8	13.03
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	31.12	74.45
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	-31.73	-60.53
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	10.52	7.44
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	-29.84	-51.14
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	25.67	-100.3
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	45.53	-73.52
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	-23.49	-46.35
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	37.98	-87.55
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	39.92	127.53
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	49.2	119.7
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	30.93	118.73
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	-16.47	-54.64
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	49.48	8.44
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	41	71.67
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	41.41	27.36
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	43.9	-78.85
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	-29.62	30.38
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	25.86	-80.29
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	55.63	51.82
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	11.6	37.38
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	54.08	12.13
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	48.11	-1.68
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	33.27	130.3
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	59.3	10.42
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	40.26	40.23
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	28.99	77.7
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	45.44	12.34
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	15.63	32.53
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	38.32	116.87
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	31.55	74.34
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	55.08	38.78
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	39.53	-119.82
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	33.21	-117.33
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	48.3	14.28
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	20	41.45
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	-7.8	110.36
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	-25.05	33.65
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	30.69	-88.04
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	14.75	-17.4
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	-3.7	128.17
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	19.22	73.15
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	37.91	69.78
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	53.37	55.93
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	47.24	-122.46
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	-21.21	-50.43
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	10.32	9.84
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	7.09	-70.76
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	-15.49	-70.13
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	54.6	39.7
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	-16.17	33.6
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	-23.7	-46.55
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	-21.75	-41.32
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	44.42	12.2
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	-2.5	28.87
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	45.63	-122.6
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	10	-84.12
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	38.97	-76.5
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	-1.94	30.06
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	56.67	12.86
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	34.25	-6.58
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	16.15	-61.8
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	10.78	-0.85
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	24.21	55.74
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	27.97	-82.48
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	30.98	41.02
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	49.2	-2.1
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	5.53	7.48
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	17.98	-76.8
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	38.42	27.13
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	22.41	-79.96
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	15.36	75.08
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	3.42	-76.52
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	-3.3	102.86
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	36.19	44.01
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	49.44	1.1
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	40.65	35.83
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	44.92	25.46
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	44.82	20.47
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	37.07	37.38
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	50.36	7.6
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	-27.82	-50.33
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	35.7	51.42
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	37.08	36.25
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	62.03	129.73
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	52.28	8.05
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	33.77	72.75
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	-9.93	-76.24
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	59.57	150.8
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	49.47	11
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	42.5	1.5
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	44.22	42.05
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	10.57	72.62
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	-23.4	-51.92
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	35.77	-5.8
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	-6.17	35.74
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	47.57	7.6
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	7.62	5.22
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	34.69	135.5
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	-34.72	-58.27
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	21.88	95.98
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	43.7	-79.4
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	64.02	-22.57
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	31.32	45.28
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	38.98	-94.67
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	33.57	36.4
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	-22.37	-41.79
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	-6.03	-76.97
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	35.23	-80.84
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	22.18	-100.93
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	40.33	-3.76
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	23.67	86.15
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	35.91	117.78
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	48.2	15.62
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	41.02	40.52
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	46.23	-63.15
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	36	119.42
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	-27.37	-70.33
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	35.55	6.17
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	42.36	-71.06
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	1.43	173
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	40.63	-8.65
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	39.39	27.53
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	34.8	114.3
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	45.8	24.15
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	11.32	-5.67
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	-6.87	109.13
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	58.6	16.2
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	11.01	-74.25
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	19.54	-96.93
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	-9.97	-67.81
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	51.52	7.1
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	-32.88	-68.82
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	34.73	-86.58
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	46.91	19.69
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	7.68	-5.02
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	46.77	23.58
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	-19.05	-169.9
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	31.27	72.32
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	54.18	49.58
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	34.42	115.65
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	31.62	65.72
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	35.11	-106.61
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	38.7	116.1
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	53.58	-2.43
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	56.92	59.93
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	49.45	11.08
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	42.15	24.75
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	-5.02	32.8
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	51.72	8.77
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	35.47	133.05
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	2.92	11.15
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	30.53	120.68
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	20.04	110.34
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	36.25	119.96
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	0.13	29.29
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	-20.46	-54.61
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	26.28	50.2
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	45.03	23.27
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	-21.22	-43.77
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	50.83	-0.15
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	34.03	-80.9
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	-12.82	28.2
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	46.95	7.45
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	39.42	125.93
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	6.93	79.84
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	11.07	7.7
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	23.05	-81.58
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	34.88	35.88
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	34.69	135.2
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	30.34	48.3
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	53.17	48.47
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	36.71	-76.24
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	5.7	-0.03
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	40.6	-75.48
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	-23.9	29.45
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	10.33	-67.03
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	14.98	102.1
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	14.53	-90.59
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	35.57	139.37
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	25.08	117.02
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	47.65	26.26
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	22.65	93.61
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	32.62	36.1
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	41.8	123.4
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	-5.25	39.77
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	7.85	3.93
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	6.82	3.92
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	56.15	47.23
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	0	109.33
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	-19.97	-44.2
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	38.25	140.33
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	39.62	118.18
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	24.75	90.4
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	36.21	57.68
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	43.8	131.97
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	21.76	72.15
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	41.1	25.42
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	34.5	109.5
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	-22.02	-47.89
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	5.83	118.12
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	39.63	121.97
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	51.92	4.5
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	12.65	-8
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	-23.35	43.67
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	48.13	11.57
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	-1.59	103.61
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	2.57	-72.63
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	53.02	158.65
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	25.38	97.4
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	13.45	-6.27
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	47.73	128.9
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	8.75	-75.88
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	16.71	-62.22
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	15.13	-87.13
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	-22.81	-43.41
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	52.63	-1.13
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	45.76	21.23
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	55.75	37.62
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	50.8	19.12
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	50.85	5.68
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	26.65	118.18
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	37.88	-4.77
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	12.25	109.18
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	24.92	118.58
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	22.15	-80.44
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	8.13	4.25
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	36.39	139.06
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	21.88	-82.8
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	51.9	-8.47
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	45.56	18.68
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	-2.67	118.86
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	52.97	63.13
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	47.02	8.65
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	5.32	-4.03
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	52.03	47.78
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	25.28	82.96
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	41.01	28.96
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	55.57	42.03
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	45.2	5.72
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	-26.2	28.05
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	32.09	34.89
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	43.54	-96.73
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	4.17	9.23
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	-10	39.71
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	54.18	16.18
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	-31.42	-64.18
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	56.13	47.5
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	-38.72	-62.27
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	42.57	12.65
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	36.2	117.08
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	43.37	-8.41
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	37.77	140.47
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	-10.27	40.18
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	46.06	14.51
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	28.26	83.97
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	11.03	-63.86
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	47.37	7.35
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	46.8	130.32
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	35.8	139.72
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	15.27	-83.77
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	49.8	30.12
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	51.18	7.2
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	51.3	37.83
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	43.7	7.27
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	33.64	46.42
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	29.28	117.2
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	51.17	71.43
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	18.1	-63.1
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	20.42	106.17
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	32.3	-90.18
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	23.36	85.33
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	37.39	46.24
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	46.17	21.32
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	59.44	24.75
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	-5.19	-37.34
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	36.18	-115.06
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	45.62	63.32
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	55.71	21.13
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	28.95	112.6
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	50.88	4.7
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	50.92	34.75
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	34.03	113.85
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	26.25	105.93
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	47.05	8.3
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	52.72	41.43
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	24.47	54.37
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	42.02	121.65
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	27.18	78.02
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	39.11	-94.68
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	34.6	119.17
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	19.98	-102.28
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	-5.82	13.47
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	50.08	14.42
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	9.07	7.48
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	51.76	14.33
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	6.45	3.4
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	26.28	73.02
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	-3.33	114.58
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	23.83	91.27
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	10.63	-85.43
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	6.12	100.37
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	34.48	133.37
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	49.84	18.29
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	7.82	6.75
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	47.16	27.59
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	47.42	9.37
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	46.8	7.15
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	25.01	121.45
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	11.54	-72.91
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	37.37	-122.04
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	56.14	54.47
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	34.67	3.25
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	38.9	-6.33
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	51.27	7.18
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	25	39.5
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	51.88	-2.07
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	22.8	90.5
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	4.7	-75.92
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	33.75	44.63
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	30.46	-84.25
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	-14.83	-64.9
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	19.03	-98.18
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	35.08	137.15
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	-5.04	18.82
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	-6.2	106.82
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	51.83	107.6
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	49.58	11.02
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	40.08	113.3
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	-6.35	31.07
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	38.73	-9.23
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	7	158.2
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	-6.22	-77.85
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	-26.32	-48.84
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	37.32	126.83
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	35.4	116.57
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	47.57	34.4
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	10.07	-2.5
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	26.8	80.9
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	-36.84	174.74
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	56.02	93.07
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	24.95	55.33
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	65.58	22.15
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	-3.69	13.35
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	56.86	35.92
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	-2.54	14.75
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	34.18	131.47
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	53.35	-6.26
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	51.43	7.33
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	47.79	22.89
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	41.63	32.34
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	43.05	-87.96
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	29.34	104.77
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	52.43	4.82
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	26.59	104.83
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	49.6	-2.6
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	38.25	21.73
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	-2.99	104.76
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	-33.62	-70.57
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	-10.21	31.18
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	25.68	-100.45
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	36.08	111.52
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	51.32	9.5
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	48.69	6.18
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	-16.67	-49.25
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	-23.19	-46.88
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	15.71	100.14
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	30.28	57.08
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	-8.11	-35.02
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	36.03	-114.98
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	40.08	29.51
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	32.08	72.67
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	57.82	28.33
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	30.67	51.59
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	6.43	100.2
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	1.08	104.48
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	32.02	-81.12
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	23.68	58.18
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	47.92	33.25
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	16.86	-99.88
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	47.61	-122.33
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	32.49	-84.94
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	46.62	14.3
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	38.5	-77
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	59.42	56.78
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	42.32	69.6
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	43.36	-5.84
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	30.92	113.9
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	39.82	-7.5
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	8.44	99.96
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	36.78	119.96
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	32.5	74.54
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	37.76	30.56
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	-22.37	-46.94
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	40.81	-96.68
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	49.57	25.6
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	51.1	7.12
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	20.67	-101.35
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	45.7	9.67
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	51.9	-0.43
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	51.55	5.08
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	34.07	-118.03
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	29.95	-90.07
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	-19.5	-42.53
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	41.46	31.8
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	32.92	117.38
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	-7.08	-34.83
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	37.87	32.48
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	54.98	73.37
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	32.45	119.92
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	32.55	35.85
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	7.33	-2.33
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	19.61	-99.06
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	25.75	-100.28
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	40.53	-3.63
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	32.9	119.8
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	41.75	-88.17
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	34.74	135.34
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	50.83	12.92
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	47.47	-0.55
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	31.64	74.86
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	50.37	-4.14
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	21.51	-104.89
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	14.69	-17.45
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	46.58	0.34
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	10.95	106.82
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	48.14	17.11
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	-10.72	25.47
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	27.73	112
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	53.72	91.47
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	29.68	-95.17
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	9.08	6.02
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	62.24	25.74
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	45.47	9.18
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	-25.52	-54.62
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	29.08	119.65
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	41.27	69.22
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	36.45	115.98
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	-12.04	-77.03
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	48.45	34.98
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	8.5	4.55
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	8.43	-82.43
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	0.52	25.2
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	24.09	32.9
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	40.67	122.23
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	14.12	-15.7
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	16.07	108.23
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	30	120.58
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	-29.12	26.22
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	21.85	-102.3
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	-36.72	-73.12
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	17.68	75.92
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	55.82	37.97
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	42.28	-83.75
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	43.48	43.62
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	49.2	16.62
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	39.7	-89.62
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	-15.65	-56.13
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	-12.25	-38.95
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	44.33	23.82
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	58.6	49.65
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	27.26	33.81
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	-24.18	-65.3
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	39.1	26.55
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	57.78	14.16
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	-7.57	110.82
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	29.07	31.08
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	41.13	16.87
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	62	-7
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	47.49	19.05
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	-34.43	150.88
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	-21.76	-43.35
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	41.17	80.25
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	39.77	64.43
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	38.67	39.22
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	43.82	25.95
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	32.33	50.86
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	18.53	-72.33
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	53.41	-2.15
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	47.22	-1.55
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	43.73	7.42
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	38.8	-77.05
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	50	36.23
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	3.08	101.65
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	25.18	75.83
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	36.8	10.18
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	9.42	-5.62
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	53.63	55.95
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	-28.68	-49.37
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	35.37	-119.02
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	-23.02	-45.56
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	-5.13	119.42
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	25.98	117.37
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	5.87	-55.17
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	32.51	45.82
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	25.53	69.02
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	32.07	34.78
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	27.55	109.97
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	50.08	8.24
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	-35.31	149.12
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	7.89	-72.5
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	53.79	-1.75
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	26.91	-101.42
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	52.15	5.38
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	37.98	-121.3
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	-3.8	102.26
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	-13.98	33.78
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	46	8.95
\.


--
-- TOC entry 5935 (class 0 OID 90135)
-- Dependencies: 705
-- Data for Name: Male; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Male" ("URI", "hasMother", "hasFather") FROM stdin;
\.


--
-- TOC entry 5936 (class 0 OID 90141)
-- Dependencies: 706
-- Data for Name: Membership; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Membership" ("URI", "inOrganization", "ofMember", type) FROM stdin;
3441d4f:1508ad97479:-79e5	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:7d36	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:700f	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-75f7	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:7964	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/COOK/	member
3441d4f:1508ad97479:-7553	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:7f96	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:76b0	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/SF/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-74c2	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:7e99	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/CV/	National Olympic Committee
3441d4f:1508ad6f828:6f21	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:70b0	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/IND/	observer
3441d4f:1508ad6f828:7958	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-7547	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:76a4	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/D/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7b79	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:7cd6	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:7600	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7c32	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-74f3	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:7860	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:6dcc	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/USA/	observer
3441d4f:1508ad97479:-7a81	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/MA/	observer
3441d4f:1508ad6f828:7e92	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/BI/	National Olympic Committee
3441d4f:1508ad97479:-7eb9	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:716b	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-7e15	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad97479:-6faf	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad97479:-7c1c	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-784a	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:7587	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/GB/	national committee
3441d4f:1508ad97479:-7e7c	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/NCA/	member
3441d4f:1508ad97479:-7176	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:72d3	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-6f93	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:7452	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-7041	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:7a84	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/LAR/	List B
3441d4f:1508ad6f828:7e18	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/UZB/	National Olympic Committee
3441d4f:1508ad97479:-745c	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-713c	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:6f61	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7738	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/RCH/	state accepting jurisdiction
3441d4f:1508ad6f828:70f0	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/B/	stake holder
3441d4f:1508ad97479:-7327	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:7ab6	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/BZ/	List C
3441d4f:1508ad6f828:7f19	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:7998	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-7587	http://www.semwebtech.org/mondial/10/organization/UNMIT/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:74c1	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-70b0	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:6c3d	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:7af3	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/CAM/	List C
3441d4f:1508ad97479:-7958	http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:6e9d	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/NIC/	signatory
3441d4f:1508ad97479:-76a4	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/TOK/	associate member
3441d4f:1508ad97479:-7cd6	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-7600	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad6f828:731c	http://www.semwebtech.org/mondial/10/organization/InOC/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-7c32	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-7860	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:757c	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/RO/	national committee
3441d4f:1508ad97479:-7e92	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-716b	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-775f	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:7a12	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:76e4	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/PY/	accepting compulsory jurisdiction without reservations
3441d4f:1508ad97479:-72d3	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:7640	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:6bac	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:7c72	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-78c7	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-7ef9	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-7823	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:753f	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-7e55	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-712e	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:7fb2	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-7ba1	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-6fef	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:779f	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-738e	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SPMI/	member
3441d4f:1508ad97479:-6f4b	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:74eb	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-70da	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:6c88	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:7e0d	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RSM/	National Olympic Committee
3441d4f:1508ad6f828:7107	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/RN/	compliant countries
3441d4f:1508ad97479:-76ce	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-762a	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:6fc8	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:6b90	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:7367	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-7c5c	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:6f24	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:70b3	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-788a	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:6ed0	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:76a7	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/SK/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad6f828:7cd9	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7603	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:7c35	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-74f6	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:7863	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-7452	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:6dcf	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/BR/	observer
3441d4f:1508ad6f828:7e95	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RCA/	National Olympic Committee
3441d4f:1508ad6f828:716e	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-7a84	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/CL/	observer
3441d4f:1508ad6f828:6d2b	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:7be1	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-7e18	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:6f8b	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/UA/	observer
3441d4f:1508ad97479:-6f0e	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:74ae	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-7dc4	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-79f2	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:740a	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-7d20	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:7a3c	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-72fd	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad97479:-6eba	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:766a	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-7f80	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:6bf7	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad6f828:7c9c	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:6b53	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad97479:-7c1f	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-784d	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:79aa	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad97479:-7e7f	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-7179	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:7fdc	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:72d6	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-7bcb	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:7232	http://www.semwebtech.org/mondial/10/organization/G-11/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-6f96	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:7492	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-74b9	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-7081	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:7826	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/CAYM/	subbureau
3441d4f:1508ad97479:-7415	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:7e58	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/HCA/	National Olympic Committee
3441d4f:1508ad97479:-7a47	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:7ba4	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad97479:-7675	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:7b00	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/SP/	List C
3441d4f:1508ad6f828:77d2	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/CUR/	member
3441d4f:1508ad97479:-73c1	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:6f4e	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:70dd	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:7d60	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-79b5	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:6efa	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7911	http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-7fe7	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:762d	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad97479:-7f43	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad97479:-721c	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:7c5f	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:6b16	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:788d	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad97479:-747c	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:6d76	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad6f828:6ac2	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/RIM/	regional member
3441d4f:1508ad97479:-77bc	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad97479:-6f59	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-70e8	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:74f9	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-7dee	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:7455	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-7d4a	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad97479:-7044	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:7a87	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/AL/	List C
3441d4f:1508ad6f828:71a1	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad97479:-6e61	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-7638	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:6b7d	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad6f828:7dc7	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-7898	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:7d23	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:79f5	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-75e4	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:7951	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-7540	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:6ebd	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/RSA/	signatory
3441d4f:1508ad6f828:7f83	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/HCA/	subscriber member
3441d4f:1508ad6f828:725c	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7b72	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-7f06	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-743f	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-7eb2	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:6d39	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:7bce	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad97479:-769f	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:7b2a	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:77fc	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-73eb	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/V/	member
3441d4f:1508ad6f828:6f99	http://www.semwebtech.org/mondial/10/organization/D-8/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:6ce5	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7d8a	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:7084	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:6c41	http://www.semwebtech.org/mondial/10/organization/AMU/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-79df	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:7418	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-7d0d	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-7007	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-793b	http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-6ec8	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad6f828:7678	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-7f6d	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-7267	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:73c4	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:7320	http://www.semwebtech.org/mondial/10/organization/InOC/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:79b8	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7580	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/SF/	national committee
3441d4f:1508ad97479:-75a7	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:6aec	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/RM/	regional member
3441d4f:1508ad6f828:7914	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-7bd9	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-7503	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:7f46	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:721f	http://www.semwebtech.org/mondial/10/organization/GCTU/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad97479:-7b35	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-7763	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:78c0	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:747f	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7d95	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-706e	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:7ef2	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:71cb	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-7ae1	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/IL/	signatory state
3441d4f:1508ad97479:-6e8b	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/IR/	observer
3441d4f:1508ad6f828:77bf	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/ARU/	member
3441d4f:1508ad97479:-73ae	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:78eb	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:771b	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/RP/	state accepting jurisdiction
3441d4f:1508ad97479:-730a	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:6ca8	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/RC/	member
3441d4f:1508ad6f828:7d4d	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:7047	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:6c04	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:797b	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-756a	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad97479:-7b9c	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:6e64	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/I/	signatory
3441d4f:1508ad6f828:6bb0	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad97479:-78aa	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:75e7	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-7edc	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad97479:-71d6	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:7543	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-7132	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad6f828:7b75	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-6ff3	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:7f09	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-7392	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-7726	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:6c6b	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad97479:-7d58	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:7eb5	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-7986	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-7aa4	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/RO/	observer
3441d4f:1508ad6f828:7e11	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/GB/	National Olympic Committee
3441d4f:1508ad97479:-76d2	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7a00	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/TL/	observer
3441d4f:1508ad6f828:73ee	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:6fab	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:734a	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-7c60	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:793e	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-752d	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-7fa0	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad97479:-7b5f	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:6e27	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:7cbc	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad97479:-778d	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:78ea	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:6dd3	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:7172	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:7506	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:7b38	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-73f9	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad97479:-6fb6	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:7766	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-7355	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-6f12	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:7d98	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad6f828:74b2	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-70a1	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:6c2e	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:7ae4	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RCB/	List C
3441d4f:1508ad6f828:7a40	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-7949	http://www.semwebtech.org/mondial/10/organization/SACEP/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:6e8e	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/PNG/	signatory
3441d4f:1508ad6f828:6bda	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-7cc7	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-78f5	http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/PA/	observer
3441d4f:1508ad6f828:730d	http://www.semwebtech.org/mondial/10/organization/G-9/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-7c23	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-7851	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:756d	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/D/	national committee
3441d4f:1508ad97479:-7e83	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad97479:-715c	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:7fe0	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:7b9f	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:78ad	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:7edf	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:71d9	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-7ace	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-76fc	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:7e3b	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/MV/	National Olympic Committee
3441d4f:1508ad97479:-7a2a	http://www.semwebtech.org/mondial/10/organization/OPEC/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:7135	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-6e99	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:6ff6	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:7395	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-7c8a	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/TAD/	observer
3441d4f:1508ad6f828:6f52	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:70e1	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:7729	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/KN/	state accepting jurisdiction
3441d4f:1508ad97479:-7318	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:7aa7	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/ET/	List C
3441d4f:1508ad6f828:7989	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-7578	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:7a03	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:76d5	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/EAU/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fca	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-72c4	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/CUR/	member
3441d4f:1508ad6f828:7631	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-7220	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:7c63	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad6f828:7891	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-78b8	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-7480	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:6dfd	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:719c	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad97479:-7814	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-7e46	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-711f	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:7fa3	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-77c0	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-737f	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/NIUE/	member
3441d4f:1508ad97479:-6f3c	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:74dc	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-7df2	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-70cb	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad6f828:6c79	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:7a6a	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/CH/	List A
3441d4f:1508ad97479:-76bf	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad97479:-761b	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:6fb9	http://www.semwebtech.org/mondial/10/organization/CEMAC/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:6b81	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/COOK/	member
3441d4f:1508ad6f828:7358	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/F/	partner
3441d4f:1508ad97479:-7c4d	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:6f15	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:7daa	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:70a4	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-787b	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad6f828:7000	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:6ec1	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/SN/	signatory
3441d4f:1508ad6f828:7260	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:7c26	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:78f8	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/AND/	member
3441d4f:1508ad97479:-74e7	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:7854	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad97479:-7443	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:7e86	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/NAM/	National Olympic Committee
3441d4f:1508ad6f828:75a0	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/Q/	national committee
3441d4f:1508ad6f828:715f	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7a75	http://www.semwebtech.org/mondial/10/organization/OAPEC/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:7bd2	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad6f828:6d1c	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-7e09	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:6f7c	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-7db5	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-79e3	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-7d11	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:7a2d	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:76ff	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/BIH/	state accepting jurisdiction
3441d4f:1508ad97479:-72ee	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/MACX/	member
3441d4f:1508ad97479:-6eab	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:765b	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad97479:-7f71	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-724a	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:6be8	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:7c8d	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:6b44	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-783e	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:6af0	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/SD/	regional member
3441d4f:1508ad6f828:7fcd	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/ROU/	observer
3441d4f:1508ad6f828:72c7	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7bbc	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad97479:-77ea	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:7223	http://www.semwebtech.org/mondial/10/organization/G-10/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-6f87	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad6f828:7483	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-7072	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:7817	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad97479:-7406	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad6f828:7e49	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/GCA/	National Olympic Committee
3441d4f:1508ad97479:-7a38	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-7666	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:77c3	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-7c98	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad97479:-73b2	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:6f3f	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/P/	observer
3441d4f:1508ad6f828:7df5	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/SLO/	National Olympic Committee
3441d4f:1508ad6f828:70ce	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:7d51	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:702a	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-79a6	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:6eeb	http://www.semwebtech.org/mondial/10/organization/CPLP/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad97479:-7fd8	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:728a	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-7902	http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:761e	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad97479:-7f34	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad97479:-720d	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad6f828:6b07	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/UAE/	nonregional member
3441d4f:1508ad6f828:787e	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-746d	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-7a9f	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/N/	observer
3441d4f:1508ad6f828:75ca	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/MD/	having direct member
3441d4f:1508ad97479:-7ee0	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:6d67	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/HR/	observer
3441d4f:1508ad6f828:7bfc	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-77ad	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-7ddf	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/I/	observer
3441d4f:1508ad97479:-70d9	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:7446	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-7d3b	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-7035	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:7a78	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/CDN/	List A
3441d4f:1508ad97479:-6ef6	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-7f9b	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad97479:-7295	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-6e52	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:73f2	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-7629	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:6b6e	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:7db8	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-7889	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7d14	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:79e6	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad97479:-75d5	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:7942	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-7531	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:6eae	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/PE/	signatory
3441d4f:1508ad6f828:7f74	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/BI/	correspondent member
3441d4f:1508ad6f828:724d	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-7b63	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:6e0a	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:7cc0	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-7791	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-709c	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-7ea3	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:7bbf	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:7b1b	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:77ed	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-73dc	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:6cd6	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/IND/	dialogue partner
3441d4f:1508ad6f828:7d7b	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:7075	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:6c32	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:7409	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-792c	http://www.semwebtech.org/mondial/10/organization/Sparteca/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad6f828:6e92	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/ROK/	signatory
3441d4f:1508ad97479:-6eb9	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-7f5e	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:7669	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-7258	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:73b5	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-7caa	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:7311	http://www.semwebtech.org/mondial/10/organization/G-9/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:79a9	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad6f828:7571	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/SLO/	national committee
3441d4f:1508ad97479:-7160	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:6add	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/SUD/	regional member
3441d4f:1508ad6f828:7905	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:7f37	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad97479:-77f8	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad97479:-7b26	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad97479:-7754	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:78b1	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-7d86	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad97479:-74a0	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-705f	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:7ee3	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:71bc	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad97479:-7ad2	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-6e7c	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/LB/	observer
3441d4f:1508ad6f828:770c	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/MD/	state accepting jurisdiction
3441d4f:1508ad6f828:7d3e	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:7038	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-75ff	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:796c	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-755b	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:6ef9	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:7f9e	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:7298	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-7b8d	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:6e55	http://www.semwebtech.org/mondial/10/organization/CIS/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:7cea	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:6ba1	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:75d8	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/PE/	having direct member
3441d4f:1508ad97479:-7ecd	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-71c7	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad6f828:7534	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-7123	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7b66	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-6f40	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-6fe4	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:7794	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad97479:-7383	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad6f828:74e0	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:709f	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-7717	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:6c5c	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad97479:-7d49	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad6f828:7ea6	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/WAL/	National Olympic Committee
3441d4f:1508ad97479:-7977	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:7e02	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/BG/	National Olympic Committee
3441d4f:1508ad97479:-76c3	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:73df	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-7cf5	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad6f828:733b	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-7c51	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:759b	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/RL/	national committee
3441d4f:1508ad97479:-718a	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad6f828:792f	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-751e	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:6e18	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:7cad	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-777e	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:78db	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-74ca	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-7afc	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:6dc4	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/E/	observer
3441d4f:1508ad6f828:7163	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:6d20	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:7b29	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:6f80	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-6fa7	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:7757	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/DJI/	state accepting jurisdiction
3441d4f:1508ad97479:-7346	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-6f03	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:7d89	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:74a3	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:6c1f	http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:7ad5	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/BOL/	List C
3441d4f:1508ad6f828:7a31	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-72f2	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:6e7f	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/MD/	signatory
3441d4f:1508ad97479:-7cb8	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:6bcb	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:7c91	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-78e6	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-7c14	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-7842	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:755e	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad97479:-7e74	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-714d	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:7fd1	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:72aa	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad97479:-7bc0	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-6f6a	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-7abf	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:7e2c	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/NEP/	National Olympic Committee
3441d4f:1508ad97479:-76ed	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:7126	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-7a1b	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad6f828:6fe7	http://www.semwebtech.org/mondial/10/organization/ECO/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:7386	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-7c7b	http://www.semwebtech.org/mondial/10/organization/NC/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:6f43	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/J/	observer
3441d4f:1508ad6f828:70d2	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-7309	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-7569	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:76c6	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/PE/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fbb	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-72b5	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:7cf8	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:7622	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-7211	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:7c54	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:7882	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-78a9	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-7471	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:6dee	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:718d	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad97479:-7805	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:6d4a	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad97479:-7e37	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-77b1	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-6f2d	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:74cd	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-7de3	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-70bc	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:7aff	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/ETH/	List C
3441d4f:1508ad6f828:7a5b	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad97479:-760c	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:6b72	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:7349	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-7c3e	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:6f06	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad97479:-786c	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-7e9e	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-7198	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:7ffb	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:72f5	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad97479:-7bea	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:6eb2	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/EC/	signatory
3441d4f:1508ad6f828:7251	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:7c17	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:78e9	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-74d8	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:7845	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-7434	http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/LT/	nonpermanent member
3441d4f:1508ad6f828:7e77	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/ROU/	National Olympic Committee
3441d4f:1508ad97479:-7a66	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:6d0d	http://www.semwebtech.org/mondial/10/organization/BA/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:7bc3	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad97479:-7694	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:77f1	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-73e0	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:6f6d	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:70fc	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/AL/	compliant countries
3441d4f:1508ad97479:-7da6	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-79d4	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-7d02	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:7a1e	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-7930	http://www.semwebtech.org/mondial/10/organization/Sparteca/	http://www.semwebtech.org/mondial/10/country/COOK/	member
3441d4f:1508ad97479:-72df	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:764c	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-7f62	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad97479:-723b	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad6f828:6bd9	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7c7e	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad6f828:6b35	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-749b	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-782f	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:6d95	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/KN/	regional member
3441d4f:1508ad6f828:6ae1	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/DJI/	regional member
3441d4f:1508ad6f828:7fbe	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/CZ/	observer
3441d4f:1508ad6f828:72b8	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-7bad	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:7f1a	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:7214	http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-77db	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad97479:-6f78	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:7474	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-7063	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:7808	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:71c0	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad97479:-7a29	http://www.semwebtech.org/mondial/10/organization/OPEC/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-6e80	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/LAR/	observer
3441d4f:1508ad97479:-7657	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:6b9c	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:77b4	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-7c89	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/ARM/	observer
3441d4f:1508ad97479:-73a3	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:7de6	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/AL/	National Olympic Committee
3441d4f:1508ad6f828:7710	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/TAD/	state accepting jurisdiction
3441d4f:1508ad6f828:70bf	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7d42	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:701b	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:7970	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:6edc	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad97479:-7b91	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-7fc9	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:727b	http://www.semwebtech.org/mondial/10/organization/G-7/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:760f	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad97479:-7f25	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad6f828:786f	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-745e	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:75bb	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/RT/	national committee
3441d4f:1508ad97479:-7ed1	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-71aa	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:6d58	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7bed	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:6c60	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad97479:-79fe	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/GUAM/	observer
3441d4f:1508ad6f828:7437	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-7d2c	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7026	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:7a69	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/I/	List A
3441d4f:1508ad97479:-795a	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/WAFU/	member
3441d4f:1508ad97479:-6ee7	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:7697	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad97479:-7f8c	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-7286	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:73e3	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:6fa0	http://www.semwebtech.org/mondial/10/organization/EAC/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:6b5f	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:7da9	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7d05	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:79d7	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-75c6	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:7933	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad97479:-7bf8	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-7522	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:7f65	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/NIC/	correspondent member
3441d4f:1508ad6f828:723e	http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-7b54	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:7cb1	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad97479:-7782	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:749e	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad97479:-708d	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:71ea	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:7b0c	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/SD/	List C
3441d4f:1508ad6f828:77de	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-73cd	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:773a	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/ROU/	state accepting jurisdiction
3441d4f:1508ad6f828:6cc7	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/GB/	nonregional member
3441d4f:1508ad6f828:7d6c	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:7066	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:6c23	http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:799a	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad97479:-791d	http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad6f828:6e83	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/GE/	signatory
3441d4f:1508ad97479:-7f4f	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-7249	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:73a6	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad6f828:7302	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-7efb	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-71f5	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7562	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-7151	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:6ace	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/RT/	regional member
3441d4f:1508ad6f828:7b94	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:7f28	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-77e9	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-7b17	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-7745	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:6c8a	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:78a2	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-7d77	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:7ed4	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:71ad	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-7ac3	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:7e30	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RI/	National Olympic Committee
3441d4f:1508ad97479:-76f1	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad97479:-6e6d	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:6fca	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:7d2f	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:7029	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:795d	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-754c	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:7f8f	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad6f828:7289	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad97479:-7b7e	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:6e46	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:7cdb	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:6df2	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad97479:-7ebe	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:75c9	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/M/	having direct member
3441d4f:1508ad6f828:7191	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-71b8	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:7525	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad97479:-7e1a	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7114	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:7b57	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-6fd5	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:7785	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-7374	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-6f31	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/PR/	associate member
3441d4f:1508ad6f828:74d1	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-7708	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad97479:-70c0	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:6c4d	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad97479:-7968	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad97479:-76b4	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad97479:-7ce6	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-7610	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:732c	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-7c42	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-7870	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:758c	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/BRN/	national committee
3441d4f:1508ad97479:-717b	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-750f	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:6e09	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-776f	http://www.semwebtech.org/mondial/10/organization/UNDOF/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:78cc	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-74bb	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:7efe	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:71f8	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-7aed	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:6db5	http://www.semwebtech.org/mondial/10/organization/BCIE/	http://www.semwebtech.org/mondial/10/country/RA/	nonregional member
3441d4f:1508ad6f828:7e5a	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/JA/	National Olympic Committee
3441d4f:1508ad6f828:7154	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:6d11	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:6f71	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:7748	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/BF/	state accepting jurisdiction
3441d4f:1508ad97479:-7337	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:7ac6	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/WL/	List C
3441d4f:1508ad97479:-7597	http://www.semwebtech.org/mondial/10/organization/UNITAR/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:7a22	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:76f4	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/I/	state accepting jurisdiction
3441d4f:1508ad97479:-72e3	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-6ea0	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:7650	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:6bbc	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:7c82	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-7ca9	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad97479:-78d7	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad97479:-7c05	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-7833	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/V/	observer
3441d4f:1508ad6f828:754f	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad97479:-7e65	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-713e	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:7fc2	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/LV/	observer
3441d4f:1508ad97479:-7bb1	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad97479:-6fff	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-739e	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-6f5b	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:74fb	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-70ea	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:6c98	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:7e1d	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/BD/	National Olympic Committee
3441d4f:1508ad97479:-76de	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad6f828:7117	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/RP/	candidate countries
3441d4f:1508ad97479:-7a0c	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/I/	partner
3441d4f:1508ad97479:-763a	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:6fd8	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:7377	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-7c6c	http://www.semwebtech.org/mondial/10/organization/NAFTA/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:6f34	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:70c3	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-789a	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:6ee0	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-7fac	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:76b7	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/IND/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-72a6	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:7ce9	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:7613	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad97479:-7202	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:7c45	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:7873	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-7462	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:6ddf	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:717e	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad97479:-7a94	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/ARM/	observer
3441d4f:1508ad6f828:6d3b	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:7bf1	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-7e28	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:6f9b	http://www.semwebtech.org/mondial/10/organization/D-8/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-77a2	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-6f1e	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:74be	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-7dd4	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/GCA/	observer
3441d4f:1508ad97479:-70ad	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:741a	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-7d30	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:7a4c	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-6eca	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:767a	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-7f90	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:6b63	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-7c2f	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-785d	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:79ba	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-7e8f	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-7189	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad6f828:7fec	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:72e6	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-7bdb	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:6ea3	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/HCA/	signatory
3441d4f:1508ad6f828:7242	http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:7c08	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad97479:-74c9	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7091	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:7836	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-7425	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:7e68	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/MH/	National Olympic Committee
3441d4f:1508ad97479:-7a57	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:7bb4	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad97479:-7685	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:7b10	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:77e2	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-73d1	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:6f5e	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:70ed	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/D/	stake holder
3441d4f:1508ad6f828:6caa	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/COOK/	member
3441d4f:1508ad6f828:7d70	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-79c5	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7a0f	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-7ff7	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad97479:-7921	http://www.semwebtech.org/mondial/10/organization/SACU/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:763d	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-7f53	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad97479:-722c	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:7c6f	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:6b26	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:789d	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-748c	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:6d86	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/YV/	observer
3441d4f:1508ad6f828:6ad2	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/CI/	regional member
3441d4f:1508ad6f828:7faf	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:72a9	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad97479:-77cc	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:7f0b	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:7205	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/FARX/	associate member
3441d4f:1508ad97479:-6f69	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-7dfe	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-70f8	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:7465	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-7d5a	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad97479:-7054	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:7a97	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/BD/	List C
3441d4f:1508ad6f828:71b1	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-6e71	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-7648	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:6b8d	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:77a5	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:7dd7	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:7701	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/BG/	state accepting jurisdiction
3441d4f:1508ad6f828:7d33	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:700c	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-75f4	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:7961	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad97479:-7550	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:6ecd	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:7f93	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:726c	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-7b82	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-7f16	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-744f	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:75ac	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/ES/	national committee
3441d4f:1508ad97479:-7ec2	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:6d49	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:7bde	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:7b3a	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-73fb	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:6cf5	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:7d9a	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:7094	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:6c51	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-79ef	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:7428	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-7d1d	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad97479:-7017	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad97479:-794b	http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/MNG/	observer
3441d4f:1508ad97479:-6ed8	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad97479:-7f7d	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7688	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad97479:-7277	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:73d4	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7330	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:79c8	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:7590	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/THA/	national committee
3441d4f:1508ad97479:-75b7	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:6afc	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/SF/	nonregional member
3441d4f:1508ad6f828:7924	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad97479:-7be9	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-7513	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:7f56	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/MD/	correspondent member
3441d4f:1508ad6f828:722f	http://www.semwebtech.org/mondial/10/organization/G-11/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-7b45	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:7ca2	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-7773	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:78d0	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:748f	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-707e	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-7af1	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:71db	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-6e9b	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:77cf	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-73be	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:772b	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/WV/	state accepting jurisdiction
3441d4f:1508ad97479:-731a	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:6cb8	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/E/	nonregional member
3441d4f:1508ad6f828:7d5d	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:7057	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:6c14	http://www.semwebtech.org/mondial/10/organization/CAN/	http://www.semwebtech.org/mondial/10/country/BR/	associate member
3441d4f:1508ad6f828:798b	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-757a	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-790e	http://www.semwebtech.org/mondial/10/organization/Mercosur/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:6e74	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/RO/	signatory
3441d4f:1508ad6f828:6bc0	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad97479:-78ba	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad97479:-7eec	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad6f828:75f7	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-71e6	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:7553	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad97479:-7142	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:6abf	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/DZ/	regional member
3441d4f:1508ad6f828:7b85	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-7b08	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-7736	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:6c7b	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-7d68	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:7ec5	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-7996	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-7ab4	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/H/	observer
3441d4f:1508ad6f828:7e21	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/BRU/	National Olympic Committee
3441d4f:1508ad97479:-76e2	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7a10	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad97479:-6e5e	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:73fe	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:6fbb	http://www.semwebtech.org/mondial/10/organization/CEMAC/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:735a	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/D/	partner
3441d4f:1508ad97479:-7c70	http://www.semwebtech.org/mondial/10/organization/NIB/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:794e	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad97479:-753d	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-7fb0	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-7b6f	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:6e37	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad6f828:7ccc	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-779d	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:78fa	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:6de3	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-7eaf	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:7182	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-71a9	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:7516	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad97479:-7e0b	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-7105	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad6f828:7b48	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-6fc6	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7776	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-7365	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-6f22	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:74c2	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-70b1	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:6c3e	http://www.semwebtech.org/mondial/10/organization/AMU/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:7af4	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RCA/	List C
3441d4f:1508ad6f828:7a50	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-7959	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:6e9e	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/PA/	signatory
3441d4f:1508ad97479:-76a5	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/NLSM/	associate member
3441d4f:1508ad6f828:6bea	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad97479:-7601	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-7cd7	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:731d	http://www.semwebtech.org/mondial/10/organization/InOC/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-7c33	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-7861	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad6f828:757d	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/TR/	national committee
3441d4f:1508ad97479:-7e93	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-716c	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:7ff0	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:78bd	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad97479:-74ac	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:7eef	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-7ade	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:71e9	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:6da6	http://www.semwebtech.org/mondial/10/organization/BDEAC/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad97479:-7a3a	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:7e4b	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/BERM/	National Olympic Committee
3441d4f:1508ad6f828:7145	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:6d02	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-7c9a	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:6f62	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7739	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/PY/	state accepting jurisdiction
3441d4f:1508ad6f828:70f1	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/NL/	stake holder
3441d4f:1508ad97479:-7328	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:7ab7	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/GCA/	List C
3441d4f:1508ad6f828:7999	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad97479:-7588	http://www.semwebtech.org/mondial/10/organization/UNMIT/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:7a13	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad6f828:76e5	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/ROU/	accepting compulsory jurisdiction without reservations
3441d4f:1508ad97479:-7fda	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-72d4	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:7641	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad97479:-7230	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:6bad	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:7c73	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-78c8	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad97479:-7490	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-7824	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-7e56	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad97479:-712f	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:7fb3	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-7ba2	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-77d0	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-738f	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad97479:-6f4c	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:74ec	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-70db	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:6c89	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:7a7a	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/NZ/	List A
3441d4f:1508ad6f828:7e0e	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/M/	National Olympic Committee
3441d4f:1508ad6f828:7108	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/RCB/	compliant countries
3441d4f:1508ad97479:-76cf	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-762b	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:6fc9	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:6b91	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad6f828:7368	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-7c5d	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:6f25	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:7dba	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:70b4	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-788b	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:7010	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:6ed1	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:76a8	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/CH/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad6f828:7270	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:7604	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:7c36	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-74f7	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:7864	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-7453	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-7a85	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/Q/	observer
3441d4f:1508ad6f828:7e96	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/TCH/	National Olympic Committee
3441d4f:1508ad6f828:75b0	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/RA/	national committee
3441d4f:1508ad6f828:716f	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:6d2c	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:7be2	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-7e19	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:6f8c	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/NL/	observer
3441d4f:1508ad97479:-6f0f	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:74af	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-7dc5	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad97479:-79f3	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:740b	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-7d21	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:7a3d	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-6ebb	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-72fe	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad97479:-7f81	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:766b	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-725a	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad6f828:6bf8	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad6f828:7c9d	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:6b54	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad97479:-784e	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:79ab	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/CY/	observer
3441d4f:1508ad6f828:7fdd	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:72d7	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-7bcc	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad6f828:7233	http://www.semwebtech.org/mondial/10/organization/G-11/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-77fa	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad97479:-6f97	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:7493	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-7082	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:7827	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/MNTS/	subbureau
3441d4f:1508ad97479:-7416	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:7e59	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/WG/	National Olympic Committee
3441d4f:1508ad97479:-7a48	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:7ba5	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-7676	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:7b01	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/EAK/	List C
3441d4f:1508ad6f828:77d3	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/NLSM/	member
3441d4f:1508ad97479:-73c2	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:6f4f	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:70de	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:7d61	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:703a	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-79b6	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:6efb	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad97479:-7fe8	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:729a	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-7912	http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-7f44	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:762e	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-721d	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:6b17	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:788e	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad97479:-747d	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-7ef0	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:75da	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/ZRE/	having direct member
3441d4f:1508ad6f828:6d77	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:6ac3	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/MA/	regional member
3441d4f:1508ad97479:-77bd	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad97479:-7def	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-70e9	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:7456	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-7d4b	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-7045	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:7a88	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/MK/	List C
3441d4f:1508ad6f828:71a2	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-6e62	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-7639	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:6b7e	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:7dc8	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-7899	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7d24	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:79f6	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-75e5	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:7952	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-7541	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:6ebe	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/EAT/	signatory
3441d4f:1508ad6f828:7f84	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/WV/	subscriber member
3441d4f:1508ad6f828:725d	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-7b73	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:6e1a	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:7cd0	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-7f07	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-7eb3	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:7bcf	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:7b2b	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:77fd	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-73ec	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/GBG/	member
3441d4f:1508ad6f828:6ce6	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7d8b	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:7085	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:6c42	http://www.semwebtech.org/mondial/10/organization/AMU/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:7419	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-7d0e	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad97479:-7008	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-793c	http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-6ec9	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad6f828:7679	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-7f6e	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad97479:-7268	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:73c5	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad97479:-7cba	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:7321	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:79b9	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7581	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/N/	national committee
3441d4f:1508ad97479:-75a8	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad97479:-7170	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:6aed	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/MW/	regional member
3441d4f:1508ad6f828:7915	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-7504	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7f47	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/MK/	observer
3441d4f:1508ad97479:-7b36	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad97479:-7764	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:78c1	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad97479:-7d96	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-74b0	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-706f	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:7ef3	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:71cc	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-7ae2	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/MYA/	signatory state
3441d4f:1508ad97479:-6e8c	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/AFG/	observer
3441d4f:1508ad97479:-73af	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:771c	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/AG/	state accepting jurisdiction
3441d4f:1508ad97479:-730b	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:6ca9	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:7d4e	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:7048	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:6c05	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:797c	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-756b	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-7b9d	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:6e65	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/FL/	signatory
3441d4f:1508ad6f828:7cfa	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:6bb1	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad97479:-78ab	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:75e8	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-7edd	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-71d7	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:7544	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-7133	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7b76	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-6ff4	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-7393	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SBAR/	member
3441d4f:1508ad97479:-6f50	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:74f0	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-7727	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:6c6c	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad97479:-7d59	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:7eb6	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-7987	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-7aa5	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/BG/	observer
3441d4f:1508ad6f828:7e12	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/AFG/	National Olympic Committee
3441d4f:1508ad97479:-76d3	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-7a01	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/USA/	partner
3441d4f:1508ad6f828:73ef	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:6fac	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:734b	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-7c61	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-719a	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:793f	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-752e	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-7fa1	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:6e28	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:7cbd	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-778e	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad97479:-74da	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:6dd4	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:7173	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:6d30	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:7507	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:7b39	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:6f90	http://www.semwebtech.org/mondial/10/organization/Entente/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-6fb7	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7767	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/AND/	member
3441d4f:1508ad97479:-7356	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-6f13	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:7d99	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:74b3	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-70a2	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:6c2f	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:7ae5	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/NAM/	List C
3441d4f:1508ad6f828:7a41	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:7f2a	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:6e8f	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/JOR/	signatory
3441d4f:1508ad6f828:6bdb	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-7cc8	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-78f6	http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/MEX/	observer
3441d4f:1508ad97479:-7c24	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:730e	http://www.semwebtech.org/mondial/10/organization/G-9/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-7852	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:756e	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/H/	national committee
3441d4f:1508ad97479:-7e84	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-715d	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:7fe1	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:72ba	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad97479:-7bd0	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-6f7a	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:78ae	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:780a	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad97479:-7acf	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad6f828:7e3c	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/OM/	National Olympic Committee
3441d4f:1508ad97479:-76fd	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad6f828:7136	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/HONX/	member
3441d4f:1508ad97479:-7a2b	http://www.semwebtech.org/mondial/10/organization/OPEC/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:6ff7	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:7396	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7c8b	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/CN/	observer
3441d4f:1508ad6f828:6f53	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad6f828:70e2	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-7319	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:7aa8	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/TL/	List C
3441d4f:1508ad97479:-7579	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7fcb	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:7a04	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:76d6	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/LS/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-72c5	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad6f828:7632	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-7221	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:7c64	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:7892	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad97479:-78b9	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad97479:-7481	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:6dfe	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad6f828:719d	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-7815	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:6d5a	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-7e47	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:7fa4	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:7f00	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-77c1	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad97479:-6f3d	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:74dd	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad97479:-7df3	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-70cc	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:7a6b	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/B/	List A
3441d4f:1508ad97479:-761c	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:6b82	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:7359	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/A/	partner
3441d4f:1508ad97479:-7c4e	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:6f16	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:7dab	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:70a5	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-787c	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad6f828:7001	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-7bfa	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:6ec2	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/LS/	signatory
3441d4f:1508ad6f828:7261	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:7c27	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:78f9	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-74e8	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7855	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad97479:-7444	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:7e87	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/ZRE/	National Olympic Committee
3441d4f:1508ad6f828:75a1	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/SGP/	national committee
3441d4f:1508ad97479:-7a76	http://www.semwebtech.org/mondial/10/organization/OAPEC/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:6d1d	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:7bd3	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad97479:-73f0	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:6f7d	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-7db6	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-79e4	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-7d12	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:7a2e	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7940	http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-72ef	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/HONX/	member
3441d4f:1508ad97479:-6eac	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:765c	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-7f72	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-724b	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:6be9	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:7c8e	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:6b45	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-783f	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:6af1	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/STP/	regional member
3441d4f:1508ad6f828:7fce	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/MOC/	observer
3441d4f:1508ad6f828:72c8	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-7bbd	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7224	http://www.semwebtech.org/mondial/10/organization/G-10/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-77eb	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad97479:-6f88	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:7484	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-7073	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7818	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:71d0	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-7407	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-7a39	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad97479:-6e90	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/AND/	observer
3441d4f:1508ad97479:-7667	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:77c4	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-7c99	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad97479:-73b3	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:7df6	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/CH/	National Olympic Committee
3441d4f:1508ad6f828:7720	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/MEX/	state accepting jurisdiction
3441d4f:1508ad6f828:70cf	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7d52	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:702b	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:7980	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-79a7	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:6eec	http://www.semwebtech.org/mondial/10/organization/CPLP/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7fd9	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:728b	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad97479:-7903	http://www.semwebtech.org/mondial/10/organization/Mercosur/	http://www.semwebtech.org/mondial/10/country/EC/	associate member
3441d4f:1508ad6f828:761f	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-7f35	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-720e	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:6b08	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/CDN/	nonregional member
3441d4f:1508ad6f828:787f	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-746e	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:75cb	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/AFG/	having direct member
3441d4f:1508ad97479:-7ee1	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-71ba	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:6d68	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/IL/	observer
3441d4f:1508ad6f828:7bfd	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-77ae	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-770a	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:6c70	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:7447	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-7d3c	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7036	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:7a79	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/USA/	List A
3441d4f:1508ad97479:-796a	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/GUAM/	member
3441d4f:1508ad97479:-6ef7	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-7f9c	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-7296	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad97479:-6e53	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:73f3	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:6fb0	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:6b6f	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:7db9	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:7d15	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:79e7	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-75d6	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:7943	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-7532	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:7f75	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/G/	correspondent member
3441d4f:1508ad6f828:6eaf	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/GUY/	signatory
3441d4f:1508ad6f828:724e	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-7b64	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:6e0b	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:7cc1	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad97479:-7792	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-709d	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:71fa	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad97479:-7ea4	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-7e00	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:7b1c	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:77ee	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-73dd	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:774a	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/RB/	state accepting jurisdiction
3441d4f:1508ad6f828:6cd7	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/J/	dialogue partner
3441d4f:1508ad6f828:7d7c	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:7076	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:6c33	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-792d	http://www.semwebtech.org/mondial/10/organization/Sparteca/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad6f828:6e93	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/YE/	signatory
3441d4f:1508ad97479:-7f5f	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad97479:-7259	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:73b6	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-7cab	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:7312	http://www.semwebtech.org/mondial/10/organization/G-9/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7572	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/CH/	national committee
3441d4f:1508ad97479:-7161	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:6ade	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/COM/	regional member
3441d4f:1508ad6f828:7906	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:7f38	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad97479:-77f9	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-7b27	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/NIUE/	member
3441d4f:1508ad97479:-7755	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:6c9a	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:78b2	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7d87	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad97479:-74a1	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:7ee4	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:71bd	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-7ad3	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:7e40	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/Q/	National Olympic Committee
3441d4f:1508ad97479:-6e7d	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/COM/	observer
3441d4f:1508ad6f828:6fda	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:770d	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/P/	state accepting jurisdiction
3441d4f:1508ad6f828:7d3f	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:7039	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:796d	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad97479:-755c	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:7f9f	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad6f828:7299	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad97479:-7b8e	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:6e56	http://www.semwebtech.org/mondial/10/organization/CIS/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:7ceb	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:6ba2	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:75d9	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/RIM/	having direct member
3441d4f:1508ad97479:-7ece	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad97479:-71c8	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:7535	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-7e2a	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-7124	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:7b67	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-6fe5	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:7795	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad97479:-7384	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/GUAM/	member
3441d4f:1508ad97479:-6f41	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:74e1	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad97479:-7718	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-70d0	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:6c5d	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:7ea7	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/EAU/	National Olympic Committee
3441d4f:1508ad97479:-7978	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:7e03	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RO/	National Olympic Committee
3441d4f:1508ad97479:-76c4	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-7cf6	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-7620	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:733c	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-7c52	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-7880	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:759c	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/J/	national committee
3441d4f:1508ad97479:-718b	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad97479:-751f	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:6e19	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:7cae	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad97479:-777f	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:7c0a	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:78dc	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-74cb	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-7afd	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:6dc5	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/D/	observer
3441d4f:1508ad6f828:7e6a	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/NAU/	National Olympic Committee
3441d4f:1508ad6f828:7164	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:6d21	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:6f81	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-6fa8	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:7758	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/EAK/	state accepting jurisdiction
3441d4f:1508ad97479:-7347	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-6f04	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:74a4	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:7ad6	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/BR/	List C
3441d4f:1508ad6f828:7400	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:7a32	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-72f3	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-6eb0	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:7660	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:6bcc	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:7c92	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-7cb9	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-78e7	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad97479:-7c15	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-7843	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:79a0	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:755f	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad97479:-7e75	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-714e	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:7fd2	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:72ab	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad97479:-7bc1	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-6f6b	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-70fa	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-76ee	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:7e2d	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/CY/	National Olympic Committee
3441d4f:1508ad6f828:7127	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-7a1c	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-764a	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:6fe8	http://www.semwebtech.org/mondial/10/organization/ECO/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:7387	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-7c7c	http://www.semwebtech.org/mondial/10/organization/NC/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:6f44	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/CDN/	observer
3441d4f:1508ad6f828:70d3	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:6ef0	http://www.semwebtech.org/mondial/10/organization/CPLP/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:76c7	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/SME/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fbc	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-72b6	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:7cf9	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:7623	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-7212	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:7c55	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:7883	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-7472	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:6def	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:718e	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-7806	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:6d4b	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-7e38	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad97479:-77b2	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-6f2e	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:74ce	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-7de4	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-70bd	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-7d40	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:742a	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7a5c	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad97479:-6eda	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:768a	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-760d	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:6b73	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad97479:-7c3f	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:6f07	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-786d	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:79ca	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad97479:-7e9f	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-7199	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:7ffc	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:72f6	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad97479:-7beb	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:6eb3	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/DZ/	signatory
3441d4f:1508ad6f828:7252	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:7c18	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-74d9	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:7846	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-7435	http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/USA/	permanent member
3441d4f:1508ad6f828:7e78	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/PE/	National Olympic Committee
3441d4f:1508ad97479:-7a67	http://www.semwebtech.org/mondial/10/organization/OECS/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad6f828:6d0e	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:7bc4	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad97479:-7695	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:7b20	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:77f2	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-73e1	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:6f6e	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:70fd	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/AZ/	compliant countries
3441d4f:1508ad6f828:6cba	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/D/	nonregional member
3441d4f:1508ad6f828:7d80	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad97479:-7da7	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-79d5	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-7d03	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:7a1f	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad97479:-7931	http://www.semwebtech.org/mondial/10/organization/Sparteca/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-7f63	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:764d	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-723c	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/GUAD/	member
3441d4f:1508ad6f828:7c7f	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:6b36	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-749c	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:6d96	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/WL/	regional member
3441d4f:1508ad6f828:7fbf	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/H/	observer
3441d4f:1508ad6f828:6ae2	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/ER/	regional member
3441d4f:1508ad6f828:72b9	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-7bae	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:7f1b	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-77dc	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:7215	http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-7b0a	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-6f79	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:7475	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad97479:-7d6a	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-7064	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:7809	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:71c1	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-6e81	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/DZ/	observer
3441d4f:1508ad97479:-7658	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:6b9d	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:77b5	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-73a4	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:7de7	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/GR/	National Olympic Committee
3441d4f:1508ad6f828:7711	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/GE/	state accepting jurisdiction
3441d4f:1508ad97479:-7300	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:7d43	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:701c	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:7971	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-7560	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:6edd	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad6f828:727c	http://www.semwebtech.org/mondial/10/organization/G-7/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-7b92	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-7f26	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-78a0	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-745f	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:75bc	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/RSA/	national committee
3441d4f:1508ad97479:-7ed2	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-71ab	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:6d59	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7bee	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:7b4a	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:6c61	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-79ff	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/AMSA/	observer
3441d4f:1508ad6f828:7438	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7d2d	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-7027	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-795b	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-6ee8	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:7698	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad97479:-7f8d	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad97479:-7287	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:73e4	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:6fa1	http://www.semwebtech.org/mondial/10/organization/EAC/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:7340	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:7d06	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:79d8	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-75c7	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:7934	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad97479:-7bf9	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-7523	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:7f66	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/WD/	correspondent member
3441d4f:1508ad6f828:723f	http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7b55	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:7cb2	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad97479:-7783	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad6f828:78e0	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:749f	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad97479:-708e	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:71eb	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:7b0d	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/STP/	List C
3441d4f:1508ad6f828:77df	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad97479:-73ce	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:773b	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/PE/	state accepting jurisdiction
3441d4f:1508ad97479:-732a	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/AND/	member
3441d4f:1508ad6f828:6cc8	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/CDN/	nonregional member
3441d4f:1508ad6f828:7d6d	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:7067	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:6c24	http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:799b	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad97479:-758a	http://www.semwebtech.org/mondial/10/organization/UNMIT/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-791e	http://www.semwebtech.org/mondial/10/organization/SACU/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:6e84	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/AZ/	signatory
3441d4f:1508ad6f828:6bd0	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad6f828:73a7	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:7303	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad97479:-78ca	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-71f6	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-7efc	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:7563	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad97479:-7152	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:6acf	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/RB/	regional member
3441d4f:1508ad6f828:7b95	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:7f29	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-7b18	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-7746	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:6c8b	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:78a3	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7d78	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:7ed5	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:71ae	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-7ac4	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:7e31	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/TL/	National Olympic Committee
3441d4f:1508ad97479:-76f2	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad6f828:710a	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/BF/	compliant countries
3441d4f:1508ad97479:-7a20	http://www.semwebtech.org/mondial/10/organization/OPEC/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-6e6e	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:6fcb	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:736a	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-7c80	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/ROU/	observer
3441d4f:1508ad6f828:795e	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-754d	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:76aa	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/PL/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fc0	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7b7f	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:6e47	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:7cdc	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:6df3	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-7ebf	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7192	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-71b9	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:7526	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7e1b	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-7115	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:7b58	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-6fd6	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:7786	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad97479:-7375	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad97479:-6f32	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/ARU/	associate member
3441d4f:1508ad6f828:74d2	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-7709	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-70c1	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:6c4e	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:7a60	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-7969	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad97479:-76b5	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:6bfa	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad97479:-7ce7	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-7611	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:732d	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-7c43	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:7da0	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad97479:-7871	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:758d	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/BD/	national committee
3441d4f:1508ad97479:-717c	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:78cd	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad97479:-74bc	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:7eff	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:71f9	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-7aee	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:6db6	http://www.semwebtech.org/mondial/10/organization/CACM/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:7e5b	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/CO/	National Olympic Committee
3441d4f:1508ad6f828:7155	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-7a4a	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad6f828:6d12	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:6f72	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:7749	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/WAN/	state accepting jurisdiction
3441d4f:1508ad97479:-7338	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:7ac7	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/WV/	List C
3441d4f:1508ad97479:-7598	http://www.semwebtech.org/mondial/10/organization/UNITAR/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:7a23	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:76f5	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/FL/	state accepting jurisdiction
3441d4f:1508ad97479:-7fea	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-72e4	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-6ea1	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:7651	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad97479:-7240	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:6bbd	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:7c83	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/COOK/	member
3441d4f:1508ad97479:-78d8	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad97479:-7c06	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-7834	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad97479:-7e66	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-713f	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:7fc3	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/LT/	observer
3441d4f:1508ad97479:-7bb2	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad97479:-77e0	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-739f	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-6f5c	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:74fc	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-70eb	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:6c99	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:7a8a	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/HR/	List C
3441d4f:1508ad6f828:7e1e	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/MYA/	National Olympic Committee
3441d4f:1508ad97479:-76df	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:7118	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/GCA/	candidate countries
3441d4f:1508ad97479:-7a0d	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/F/	partner
3441d4f:1508ad97479:-763b	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:6fd9	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:7378	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-7c6d	http://www.semwebtech.org/mondial/10/organization/NAFTA/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:7dca	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:6f35	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:70c4	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad97479:-789b	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:7020	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:6ee1	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7fad	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:76b8	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/K/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad6f828:7280	http://www.semwebtech.org/mondial/10/organization/G-7/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-72a7	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:7614	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad97479:-7203	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:7c46	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:7874	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-7463	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:75c0	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/SN/	national committee
3441d4f:1508ad6f828:717f	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-7a95	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/PK/	observer
3441d4f:1508ad6f828:6d3c	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad97479:-7e29	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:7bf2	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:6f9c	http://www.semwebtech.org/mondial/10/organization/D-8/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-77a3	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-6f1f	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:74bf	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-7dd5	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/ROK/	observer
3441d4f:1508ad97479:-70ae	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-700a	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:741b	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-7d31	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:7a4d	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad97479:-6ecb	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:767b	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-7f91	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-726a	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:6b64	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-785e	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:79bb	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-75aa	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:7fed	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:72e7	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-7bdc	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:6ea4	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/CO/	signatory
3441d4f:1508ad6f828:7243	http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:6e00	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:7c09	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad97479:-7092	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:7837	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-7426	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:7e69	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/FSM/	National Olympic Committee
3441d4f:1508ad97479:-7a58	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:7bb5	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad97479:-7686	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:7b11	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:77e3	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-73d2	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:6f5f	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:70ee	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/I/	stake holder
3441d4f:1508ad6f828:6cab	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:7d71	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:704a	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-79c6	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-7ff8	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad97479:-7922	http://www.semwebtech.org/mondial/10/organization/SACU/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:763e	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad97479:-7f54	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad97479:-722d	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7ca0	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:6b27	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:789e	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-748d	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:75ea	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/AND/	member
3441d4f:1508ad6f828:6d87	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/AXA/	regional member
3441d4f:1508ad6f828:6ad3	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/GH/	regional member
3441d4f:1508ad6f828:7f0c	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:7206	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/TOK/	associate member
3441d4f:1508ad97479:-77cd	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-7dff	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-70f9	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:7466	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-7d5b	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-7055	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:7a98	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/MYA/	List C
3441d4f:1508ad6f828:71b2	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad97479:-6e72	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-7649	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:6b8e	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad6f828:77a6	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:7dd8	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:7702	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/RO/	state accepting jurisdiction
3441d4f:1508ad6f828:7d34	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:700d	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-75f5	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:7962	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-7551	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:6ece	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:7f94	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:726d	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-7b83	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:6e2a	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:7ce0	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad97479:-7f17	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-7ec3	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:75ad	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/CO/	national committee
3441d4f:1508ad6f828:7bdf	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:7b3b	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-73fc	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:6cf6	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:7d9b	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:7095	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:6c52	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-7018	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad6f828:7429	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-7d1e	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-794c	http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/IND/	observer
3441d4f:1508ad97479:-6ed9	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:7689	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-7f7e	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad97479:-7278	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:73d5	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-7cca	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7331	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:79c9	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7591	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/HONX/	national committee
3441d4f:1508ad97479:-75b8	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-7180	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:6afd	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/N/	nonregional member
3441d4f:1508ad6f828:7925	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad97479:-7514	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:7f57	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/AFG/	correspondent member
3441d4f:1508ad97479:-7b46	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:7ca3	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-7774	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad6f828:78d1	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad97479:-707f	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-74c0	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:71dc	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-7af2	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad97479:-6e9c	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-73bf	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:772c	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/TT/	state accepting jurisdiction
3441d4f:1508ad97479:-731b	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:7d5e	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad6f828:6cb9	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/A/	nonregional member
3441d4f:1508ad6f828:7058	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:6c15	http://www.semwebtech.org/mondial/10/organization/CAN/	http://www.semwebtech.org/mondial/10/country/RCH/	associate member
3441d4f:1508ad6f828:798c	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:7aaa	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/JOR/	List C
3441d4f:1508ad97479:-757b	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-790f	http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:6e75	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/TR/	signatory
3441d4f:1508ad6f828:6bc1	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad97479:-78bb	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:75f8	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-7eed	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad97479:-71e7	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:7554	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad97479:-7143	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:7b86	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad6f828:72a0	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-7b09	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-6f60	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7737	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:6c7c	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-7d69	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:7ec6	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad97479:-7997	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-7ab5	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/D/	observer
3441d4f:1508ad6f828:7e22	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/MAL/	National Olympic Committee
3441d4f:1508ad97479:-76e3	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-7a11	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-6e5f	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:73ff	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:6fbc	http://www.semwebtech.org/mondial/10/organization/CEMAC/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad97479:-7c71	http://www.semwebtech.org/mondial/10/organization/NIB/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:735b	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/I/	partner
3441d4f:1508ad6f828:794f	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-753e	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad97479:-7fb1	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:6e38	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad6f828:7ccd	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-779e	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:78fb	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-74ea	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:6de4	http://www.semwebtech.org/mondial/10/organization/CSTO/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:7183	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:6d40	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:7517	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad97479:-7e0c	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad97479:-7106	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:7b49	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-6fc7	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:7777	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-7366	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-6f23	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:74c3	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-70b2	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:6c3f	http://www.semwebtech.org/mondial/10/organization/AMU/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:7af5	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/TCH/	List C
3441d4f:1508ad6f828:7a51	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:6e9f	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/WD/	signatory
3441d4f:1508ad97479:-76a6	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/CUR/	associate member
3441d4f:1508ad6f828:6beb	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-7cd8	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad97479:-7602	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:731e	http://www.semwebtech.org/mondial/10/organization/InOC/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad97479:-7c34	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-7862	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:757e	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/DK/	national committee
3441d4f:1508ad97479:-7e94	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad97479:-716d	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad6f828:7ff1	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad97479:-7be0	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:72ca	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-6f8a	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:78be	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad97479:-74ad	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:781a	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-7adf	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:6da7	http://www.semwebtech.org/mondial/10/organization/BDEAC/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:7e4c	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/BVIR/	National Olympic Committee
3441d4f:1508ad6f828:7146	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-7a3b	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:6d03	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-7c9b	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:6f63	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:70f2	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/DK/	stake holder
3441d4f:1508ad97479:-7329	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:7ab8	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/MEX/	List C
3441d4f:1508ad97479:-7589	http://www.semwebtech.org/mondial/10/organization/UNMIT/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:76e6	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/CAM/	accepting compulsory jurisdiction without reservations
3441d4f:1508ad6f828:7a14	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-7fdb	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad97479:-72d5	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:7642	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-7231	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/NCA/	member
3441d4f:1508ad6f828:6bae	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:7c74	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:6b0a	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/RA/	nonregional member
3441d4f:1508ad97479:-78c9	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-7491	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-7825	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad6f828:6d6a	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/TN/	observer
3441d4f:1508ad97479:-7e57	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:7fb4	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad97479:-7ba3	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:7f10	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-77d1	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-6f4d	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:74ed	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-70dc	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:7a7b	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/IR/	List B
3441d4f:1508ad6f828:7e0f	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/MD/	National Olympic Committee
3441d4f:1508ad6f828:7109	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/Z/	compliant countries
3441d4f:1508ad97479:-762c	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad6f828:6b92	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:7369	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-7c5e	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:6f26	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/RIM/	candidate
3441d4f:1508ad6f828:7dbb	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:70b5	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-788c	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:7011	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:6ed2	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:76a9	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/LT/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad6f828:7271	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:7605	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:7c37	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-74f8	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:7865	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-7454	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7e97	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/GQ/	National Olympic Committee
3441d4f:1508ad6f828:75b1	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/BOL/	national committee
3441d4f:1508ad97479:-7a86	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/RP/	observer
3441d4f:1508ad97479:-71a0	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:6d2d	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:7be3	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:6f8d	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/RO/	observer
3441d4f:1508ad97479:-7dc6	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad97479:-79f4	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:740c	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-7d22	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:7a3e	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7950	http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/CL/	dialogue member
3441d4f:1508ad97479:-72ff	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-6ebc	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:766c	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7f82	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-725b	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:6bf9	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/NIUE/	member
3441d4f:1508ad6f828:7c9e	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad6f828:6b55	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-784f	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:79ac	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/TUV/	observer
3441d4f:1508ad6f828:7fde	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:72d8	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7bcd	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7f3a	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:7234	http://www.semwebtech.org/mondial/10/organization/G-11/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-77fb	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-6f98	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:7494	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-7083	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:7828	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/PR/	subbureau
3441d4f:1508ad6f828:71e0	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-7417	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-7a49	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad6f828:7ba6	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-7677	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:7b02	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/WAG/	List C
3441d4f:1508ad6f828:77d4	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-73c3	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:7730	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/MH/	state accepting jurisdiction
3441d4f:1508ad6f828:70df	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:7d62	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:703b	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:7990	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad97479:-79b7	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:6efc	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad97479:-7fe9	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:729b	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-7913	http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:762f	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-7f45	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-721e	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:6b18	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:788f	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-747e	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:75db	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/RB/	having direct member
3441d4f:1508ad97479:-7ef1	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad97479:-71ca	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:6d78	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad6f828:6ac4	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/RN/	regional member
3441d4f:1508ad97479:-77be	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-771a	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad6f828:6c80	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:7457	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-7d4c	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad97479:-7046	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:7a89	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/BIH/	List C
3441d4f:1508ad6f828:71a3	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-797a	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad97479:-6e63	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:6fc0	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:6b7f	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad6f828:7dc9	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:7d25	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:79f7	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-75e6	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:7953	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-7542	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:6ebf	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/CV/	signatory
3441d4f:1508ad6f828:7f85	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-7b74	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:725e	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:6e1b	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:7cd1	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-7f08	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-7eb4	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-7e10	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:7b2c	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:77fe	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-73ed	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/GBZ/	member
3441d4f:1508ad97479:-6faa	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:775a	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/SN/	state accepting jurisdiction
3441d4f:1508ad6f828:6ce7	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:7d8c	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:7086	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:6c43	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad97479:-7d0f	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad97479:-7009	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-793d	http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-7f6f	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-7269	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:73c6	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-7cbb	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:7322	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:7582	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/S/	national committee
3441d4f:1508ad97479:-7171	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-75a9	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:6aee	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/MOC/	regional member
3441d4f:1508ad6f828:7916	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-7505	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:7f48	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/R/	observer
3441d4f:1508ad97479:-7b37	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-7765	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:78c2	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad97479:-7d97	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-74b1	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:7ef4	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:71cd	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-7ae3	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:7e50	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/CR/	National Olympic Committee
3441d4f:1508ad97479:-6e8d	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/V/	observer
3441d4f:1508ad6f828:6fea	http://www.semwebtech.org/mondial/10/organization/ECO/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:771d	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/BDS/	state accepting jurisdiction
3441d4f:1508ad97479:-730c	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:7d4f	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:7049	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:6c06	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad6f828:797d	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-756c	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-7b9e	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:7cfb	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:6e66	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/SK/	signatory
3441d4f:1508ad6f828:6bb2	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-78ac	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-7ede	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:75e9	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-71d8	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-7e3a	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:7545	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-7134	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7b77	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-6ff5	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7394	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SMAR/	member
3441d4f:1508ad97479:-6f51	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:74f1	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-7728	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad97479:-70e0	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:6c6d	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7eb7	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-7988	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7aa6	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/HR/	observer
3441d4f:1508ad6f828:7e13	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/CN/	National Olympic Committee
3441d4f:1508ad97479:-76d4	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-7a02	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/CDN/	partner
3441d4f:1508ad97479:-7630	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:6fad	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:734c	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-7c62	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-7890	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-719b	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad97479:-752f	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-7fa2	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:6e29	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:7cbe	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-778f	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:7c1a	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:78ec	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-74db	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:6dd5	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:7e7a	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/SME/	National Olympic Committee
3441d4f:1508ad6f828:7174	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:6d31	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:7508	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:6f91	http://www.semwebtech.org/mondial/10/organization/Entente/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-6fb8	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7768	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-7357	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-6f14	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:74b4	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-70a3	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:7ae6	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/ZRE/	List C
3441d4f:1508ad6f828:7410	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:7a42	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-6ec0	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:7670	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad6f828:6bdc	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-7cc9	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-78f7	http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:730f	http://www.semwebtech.org/mondial/10/organization/G-9/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-7c25	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-7853	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-7e85	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/CUR/	member
3441d4f:1508ad6f828:79b0	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:756f	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/I/	national committee
3441d4f:1508ad97479:-715e	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:7fe2	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:72bb	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad97479:-7bd1	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-6f7b	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:78af	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:780b	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:7e3d	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/UAE/	National Olympic Committee
3441d4f:1508ad97479:-76fe	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:7137	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-7a2c	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/THA/	observer
3441d4f:1508ad97479:-765a	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:6ff8	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:7397	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad97479:-7c8c	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/HR/	observer
3441d4f:1508ad6f828:6f54	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:70e3	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:6ca0	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:7aa9	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/PNG/	List C
3441d4f:1508ad6f828:76d7	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/RM/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad6f828:7a05	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad97479:-7fcc	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-72c6	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:7633	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-7222	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:7c65	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:7893	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad97479:-7482	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:6dff	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad97479:-7816	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:719e	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:6d5b	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-7e48	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:7fa5	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:7f01	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-77c2	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad97479:-6f3e	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:74de	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad97479:-7df4	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-70cd	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-7d50	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad6f828:743a	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:7a6c	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/L/	List A
3441d4f:1508ad97479:-6eea	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:769a	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad97479:-761d	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:6b83	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad97479:-7c4f	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:6f17	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:7dac	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:70a6	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-787d	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad6f828:79da	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:7002	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-7bfb	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:6ec3	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/RM/	signatory
3441d4f:1508ad6f828:7262	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7c28	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-74e9	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:7856	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-7445	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:7e88	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/Z/	National Olympic Committee
3441d4f:1508ad6f828:75a2	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/CL/	national committee
3441d4f:1508ad97479:-7a77	http://www.semwebtech.org/mondial/10/organization/OAPEC/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:6d1e	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7bd4	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:7b30	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-73f1	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:6f7e	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:6cca	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:7d90	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-7db7	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-7d13	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:7a2f	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-7941	http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-6ead	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:765d	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad97479:-7f73	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad97479:-724c	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:7c8f	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:6b46	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:6af2	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/SY/	regional member
3441d4f:1508ad6f828:7fcf	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:72c9	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7bbe	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:7f2b	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-77ec	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:7225	http://www.semwebtech.org/mondial/10/organization/G-10/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-7b1a	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-6f89	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:7485	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-7d7a	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad97479:-7074	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:7819	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:71d1	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-7408	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-6e91	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/SRB/	observer
3441d4f:1508ad97479:-7668	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:77c5	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-73b4	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:7df7	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/BY/	National Olympic Committee
3441d4f:1508ad6f828:7721	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/CDN/	state accepting jurisdiction
3441d4f:1508ad97479:-7310	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:7d53	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:702c	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-79a8	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:7981	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-7570	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:6eed	http://www.semwebtech.org/mondial/10/organization/CPLP/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-7904	http://www.semwebtech.org/mondial/10/organization/Mercosur/	http://www.semwebtech.org/mondial/10/country/SME/	associate member
3441d4f:1508ad6f828:728c	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-7f36	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-720f	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:6b09	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/USA/	nonregional member
3441d4f:1508ad97479:-78b0	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-746f	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:75cc	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/TAD/	having direct member
3441d4f:1508ad97479:-7ee2	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad97479:-71bb	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:6d69	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/ET/	observer
3441d4f:1508ad6f828:7bfe	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:7b5a	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-77af	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-770b	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:6c71	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:7448	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad97479:-7d3d	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-7037	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-796b	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/FPOL/	member
3441d4f:1508ad97479:-6ef8	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/MACX/	member
3441d4f:1508ad97479:-7f9d	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-7297	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad97479:-6e54	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:73f4	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:6fb1	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:7350	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:7d16	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:79e8	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-75d7	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad6f828:7944	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-7533	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:7f76	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/RG/	correspondent member
3441d4f:1508ad6f828:724f	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-7b65	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:6e0c	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:7cc2	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/FARX/	associate member
3441d4f:1508ad97479:-7793	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:78f0	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-709e	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:71fb	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad97479:-7ea5	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-7e01	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:7b1d	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:77ef	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-73de	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:774b	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/RSA/	state accepting jurisdiction
3441d4f:1508ad97479:-733a	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:6cd8	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/ROK/	dialogue partner
3441d4f:1508ad6f828:7d7d	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:7077	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:6c34	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad97479:-759a	http://www.semwebtech.org/mondial/10/organization/UNITAR/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-792e	http://www.semwebtech.org/mondial/10/organization/Sparteca/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad6f828:6e94	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/RP/	signatory
3441d4f:1508ad6f828:6be0	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:73b7	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-7cac	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-78da	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:7313	http://www.semwebtech.org/mondial/10/organization/G-9/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:7573	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/LT/	national committee
3441d4f:1508ad97479:-7162	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:6adf	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/RG/	regional member
3441d4f:1508ad6f828:7907	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:7f39	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad97479:-7b28	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-7756	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:6c9b	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:78b3	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-7d88	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad97479:-74a2	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:7ee5	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:71be	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/NIUE/	member
3441d4f:1508ad97479:-7ad4	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:7e41	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/SGP/	National Olympic Committee
3441d4f:1508ad6f828:711a	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/TT/	candidate countries
3441d4f:1508ad97479:-7a30	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad97479:-6e7e	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/SUD/	observer
3441d4f:1508ad6f828:6fdb	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:737a	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-7c90	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/SRB/	observer
3441d4f:1508ad6f828:770e	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/GB/	state accepting jurisdiction
3441d4f:1508ad6f828:796e	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-755d	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-7b8f	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:76ba	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/ET/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fd0	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:6e57	http://www.semwebtech.org/mondial/10/organization/CIS/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:7cec	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:6ba3	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-7ecf	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-71c9	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:7536	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-7e2b	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-7125	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:7b68	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-6fe6	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad6f828:7796	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-7385	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/FPOL/	member
3441d4f:1508ad97479:-6f42	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:74e2	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-7719	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-70d1	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad6f828:6c5e	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:7ea8	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/LS/	National Olympic Committee
3441d4f:1508ad6f828:7a70	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/SF/	List A
3441d4f:1508ad97479:-7979	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:7e04	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/TR/	National Olympic Committee
3441d4f:1508ad97479:-76c5	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-7621	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad97479:-7cf7	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:733d	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-7c53	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:7db0	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7881	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:759d	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/ROK/	national committee
3441d4f:1508ad97479:-718c	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:7caf	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:7c0b	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:78dd	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-74cc	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7afe	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:6dc6	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/I/	observer
3441d4f:1508ad6f828:7e6b	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/NZ/	National Olympic Committee
3441d4f:1508ad6f828:7165	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-7a5a	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:6d22	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:6f82	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-6fa9	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:7759	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/WAG/	state accepting jurisdiction
3441d4f:1508ad97479:-7348	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad97479:-6f05	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:74a5	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:7ad7	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RCH/	List C
3441d4f:1508ad6f828:7401	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:7a33	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-7ffa	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-72f4	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-6eb1	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:7661	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad97479:-7250	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:6bcd	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7c93	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-78e8	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-7c16	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-7844	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad97479:-7e76	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:79a1	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad97479:-714f	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:7fd3	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:72ac	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad97479:-7bc2	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-77f0	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad97479:-6f6c	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-70fb	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:7a9a	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/BHT/	List C
3441d4f:1508ad6f828:7e2e	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/IL/	National Olympic Committee
3441d4f:1508ad97479:-76ef	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad6f828:7128	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-7a1d	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/COOK/	member
3441d4f:1508ad97479:-764b	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:6fe9	http://www.semwebtech.org/mondial/10/organization/ECO/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:7388	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-7c7d	http://www.semwebtech.org/mondial/10/organization/NC/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:6f45	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/USA/	observer
3441d4f:1508ad6f828:7dda	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:70d4	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:7030	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:6ef1	http://www.semwebtech.org/mondial/10/organization/CPLP/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-7fbd	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:76c8	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/ZRE/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad6f828:7290	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad97479:-72b7	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7624	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad97479:-7213	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:7c56	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:7884	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-7473	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:75d0	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/VN/	having direct member
3441d4f:1508ad6f828:718f	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-7807	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:6d4c	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad97479:-7e39	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad97479:-77b3	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad97479:-6f2f	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:74cf	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-7de5	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-70be	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-7d41	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:742b	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-701a	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/COOK/	member
3441d4f:1508ad6f828:7a5d	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad97479:-6edb	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:768b	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad97479:-727a	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-760e	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:6b74	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:6f08	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-786e	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:79cb	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-75ba	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:7ffd	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad97479:-7bec	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:72f7	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:6eb4	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/RMM/	signatory
3441d4f:1508ad6f828:7253	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:6e10	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad6f828:7c19	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:7847	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-7436	http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/CN/	permanent member
3441d4f:1508ad6f828:7e79	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/GUY/	National Olympic Committee
3441d4f:1508ad97479:-7a68	http://www.semwebtech.org/mondial/10/organization/OECS/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:6d0f	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:7bc5	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-7696	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7b21	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:77f3	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-73e2	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:6f6f	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:70fe	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/KAZ/	compliant countries
3441d4f:1508ad6f828:6cbb	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/I/	nonregional member
3441d4f:1508ad97479:-7da8	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:7d81	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/ARU/	member
3441d4f:1508ad6f828:705a	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-79d6	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-7d04	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7932	http://www.semwebtech.org/mondial/10/organization/Sparteca/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:764e	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad97479:-7f64	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad97479:-723d	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-7cb0	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:6b37	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad97479:-749d	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:75fa	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:6d97	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/WV/	regional member
3441d4f:1508ad6f828:6ae3	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/ETH/	regional member
3441d4f:1508ad97479:-7baf	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:7f1c	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-77dd	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:7216	http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad97479:-7b0b	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:7476	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-7d6b	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-7065	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad6f828:71c2	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad97479:-6e82	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/BS/	observer
3441d4f:1508ad97479:-7659	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:6b9e	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:77b6	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-73a5	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:7de8	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/MK/	National Olympic Committee
3441d4f:1508ad6f828:7712	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/BD/	state accepting jurisdiction
3441d4f:1508ad97479:-7301	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:7d44	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:701d	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:7972	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-7561	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:6ede	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:727d	http://www.semwebtech.org/mondial/10/organization/G-7/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-7b93	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad6f828:6e3a	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:7cf0	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-7f27	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-78a1	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:75bd	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/GH/	national committee
3441d4f:1508ad97479:-7ed3	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-71ac	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:7bef	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:7b4b	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:6c62	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:7439	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad97479:-7d2e	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-7028	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-795c	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/TOK/	member
3441d4f:1508ad97479:-6ee9	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-7f8e	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7699	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad97479:-7288	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:73e5	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-7cda	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:6fa2	http://www.semwebtech.org/mondial/10/organization/EADB/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:7341	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7d07	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:79d9	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-75c8	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-7190	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad6f828:7935	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-7524	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:7f67	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/DOM/	correspondent member
3441d4f:1508ad97479:-7b56	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:7cb3	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad97479:-7784	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:78e1	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-74d0	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-708f	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:71ec	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:7b0e	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/SY/	List C
3441d4f:1508ad97479:-73cf	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:773c	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/GUY/	state accepting jurisdiction
3441d4f:1508ad97479:-732b	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:6cc9	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/USA/	nonregional member
3441d4f:1508ad6f828:7d6e	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:6c25	http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:7068	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:799c	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:7aba	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/NIC/	List C
3441d4f:1508ad97479:-758b	http://www.semwebtech.org/mondial/10/organization/UNMIT/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad97479:-791f	http://www.semwebtech.org/mondial/10/organization/SACU/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:6e85	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/BD/	signatory
3441d4f:1508ad6f828:6bd1	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:73a8	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:7304	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-78cb	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-7efd	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-71f7	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:7564	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-7153	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:7b96	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:72b0	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-7b19	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-6f70	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-7747	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad6f828:6c8c	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:78a4	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-7d79	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:7ed6	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:7800	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:71af	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad97479:-7ac5	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7e32	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/PNG/	National Olympic Committee
3441d4f:1508ad97479:-76f3	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/NIUE/	member
3441d4f:1508ad6f828:710b	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/WAN/	compliant countries
3441d4f:1508ad97479:-7a21	http://www.semwebtech.org/mondial/10/organization/OPEC/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-6e6f	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:6fcc	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:736b	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-7c81	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/PY/	observer
3441d4f:1508ad6f828:795f	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad97479:-754e	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:76ab	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/B/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fc1	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:6e48	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:7cdd	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-74fa	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:6df4	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:7193	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:6d50	http://www.semwebtech.org/mondial/10/organization/Benelux/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-7e1c	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:7527	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-7116	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:7b59	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-6fd7	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:7787	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/V/	member
3441d4f:1508ad97479:-7376	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/WAFU/	member
3441d4f:1508ad97479:-6f33	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/MACX/	associate member
3441d4f:1508ad6f828:74d3	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-70c2	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:6c4f	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:7a61	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad97479:-76b6	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:6bfb	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad97479:-7ce8	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-7612	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad6f828:732e	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-7c44	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:7da1	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad97479:-7872	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:758e	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/IND/	national committee
3441d4f:1508ad97479:-717d	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:72da	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-7bf0	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-6f9a	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:78ce	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad97479:-74bd	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:782a	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/AMSA/	subbureau
3441d4f:1508ad97479:-7aef	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:6db7	http://www.semwebtech.org/mondial/10/organization/CACM/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:7e5c	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/PR/	National Olympic Committee
3441d4f:1508ad97479:-7a4b	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:7156	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:6d13	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:6f73	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad97479:-7339	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:7ac8	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/TT/	List C
3441d4f:1508ad97479:-7599	http://www.semwebtech.org/mondial/10/organization/UNITAR/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:76f6	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/SK/	state accepting jurisdiction
3441d4f:1508ad6f828:7a24	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7feb	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-72e5	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-6ea2	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:7652	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad97479:-7241	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:6bbe	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad6f828:7c84	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:6b1a	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-78d9	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7c07	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-7835	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad6f828:6d7a	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/AXA/	associate member
3441d4f:1508ad97479:-7e67	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:7fc4	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/PL/	observer
3441d4f:1508ad97479:-7bb3	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:7f20	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-77e1	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-6f5d	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:74fd	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-70ec	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad6f828:7a8b	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RO/	List C
3441d4f:1508ad6f828:7e1f	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/IND/	National Olympic Committee
3441d4f:1508ad6f828:7119	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/HCA/	candidate countries
3441d4f:1508ad97479:-7a0e	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/NCA/	associate member
3441d4f:1508ad97479:-763c	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:7379	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-7c6e	http://www.semwebtech.org/mondial/10/organization/NIB/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:6f36	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:7dcb	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:70c5	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-789c	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:7021	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:6ee2	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-7fae	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:76b9	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/CY/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad6f828:7281	http://www.semwebtech.org/mondial/10/organization/G-7/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-72a8	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:7615	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad97479:-7f0a	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7204	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:7c47	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:7875	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-7464	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:75c1	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/RM/	national committee
3441d4f:1508ad97479:-7a96	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/CN/	observer
3441d4f:1508ad97479:-71b0	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:6d3d	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:7bf3	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:6f9d	http://www.semwebtech.org/mondial/10/organization/EAC/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-77a4	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-7dd6	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/J/	observer
3441d4f:1508ad97479:-7700	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-70af	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:741c	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-7d32	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-700b	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:7a4e	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad97479:-7960	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/PITC/	member
3441d4f:1508ad97479:-6ecc	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:767c	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7f92	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-726b	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:6b65	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-785f	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:79bc	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-75ab	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:7fee	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-7bdd	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:72e8	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:7f4a	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/CN/	observer
3441d4f:1508ad6f828:6ea5	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/WL/	signatory
3441d4f:1508ad6f828:7244	http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:6e01	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-7093	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:7838	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:71f0	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-7427	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-7a59	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:7bb6	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad97479:-7687	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:7b12	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:77e4	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-73d3	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:7740	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/RMM/	state accepting jurisdiction
3441d4f:1508ad6f828:70ef	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/CH/	stake holder
3441d4f:1508ad6f828:6cac	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad6f828:7d72	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:704b	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-79c7	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-7ff9	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-7923	http://www.semwebtech.org/mondial/10/organization/Sparteca/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:763f	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad97479:-7f55	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-722e	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-7ca1	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad6f828:6b28	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:789f	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-748e	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:75eb	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-71da	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad6f828:6d88	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/AG/	regional member
3441d4f:1508ad6f828:6ad4	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/BI/	regional member
3441d4f:1508ad6f828:7f0d	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7207	http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-77ce	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-772a	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:6c90	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:7467	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-7d5c	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-7056	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:7a99	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/IND/	List C
3441d4f:1508ad6f828:71b3	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad97479:-798a	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-6e73	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:6fd0	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:6b8f	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad6f828:77a7	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:7dd9	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:7703	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/DK/	state accepting jurisdiction
3441d4f:1508ad6f828:7d35	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:700e	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad97479:-75f6	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:7963	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-7552	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:6ecf	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:7f95	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:726e	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-7b84	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:6e2b	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad6f828:7ce1	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-7f18	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:75ae	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/AUS/	national committee
3441d4f:1508ad97479:-7ec4	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:750a	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-7e20	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:7b3c	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-73fd	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-6fba	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:776a	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:6cf7	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:7d9c	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad6f828:7096	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:6c53	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7d1f	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-7019	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-794d	http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/PK/	observer
3441d4f:1508ad97479:-7f7f	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7279	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:73d6	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-7ccb	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:7332	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:7592	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/MACX/	national committee
3441d4f:1508ad97479:-7181	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-75b9	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:6afe	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/S/	nonregional member
3441d4f:1508ad6f828:7926	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad97479:-7515	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7f58	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/TAD/	correspondent member
3441d4f:1508ad97479:-7b47	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:7ca4	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7775	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:7c00	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:78d2	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-74c1	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:71dd	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-7af3	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad6f828:7e60	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/TT/	National Olympic Committee
3441d4f:1508ad97479:-6e9d	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:6ffa	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:772d	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/AUS/	state accepting jurisdiction
3441d4f:1508ad97479:-731c	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:7d5f	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:7059	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:6c16	http://www.semwebtech.org/mondial/10/organization/CAN/	http://www.semwebtech.org/mondial/10/country/PY/	associate member
3441d4f:1508ad6f828:798d	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:7aab	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/SYR/	List C
3441d4f:1508ad97479:-757c	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:6e76	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/DK/	signatory
3441d4f:1508ad6f828:6bc2	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad97479:-78bc	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:75f9	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-7eee	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad97479:-71e8	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:7555	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad97479:-7e4a	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad97479:-7144	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:7b87	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:72a1	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-6f61	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-7738	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad97479:-70f0	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:6c7d	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:7ec7	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7998	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-7ab6	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/CZ/	observer
3441d4f:1508ad6f828:7e23	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/LAO/	National Olympic Committee
3441d4f:1508ad97479:-76e4	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-7a12	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad97479:-7640	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:6fbd	http://www.semwebtech.org/mondial/10/organization/CEMAC/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-7c72	http://www.semwebtech.org/mondial/10/organization/NIB/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:735c	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/CH/	partner
3441d4f:1508ad97479:-753f	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-7fb2	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:6e39	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:7cce	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-779f	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:7c2a	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:78fc	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-74eb	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:6de5	http://www.semwebtech.org/mondial/10/organization/CSTO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7e8a	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/BF/	National Olympic Committee
3441d4f:1508ad6f828:7184	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:6d41	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:7518	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad97479:-7e0d	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad97479:-7107	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad97479:-6fc8	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:7778	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-7367	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-6f24	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad6f828:74c4	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-70b3	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:7af6	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/GQ/	List C
3441d4f:1508ad6f828:7420	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:7a52	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad97479:-6ed0	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad6f828:7680	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-76a7	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/CAYM/	associate member
3441d4f:1508ad6f828:6bec	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-7cd9	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad97479:-7603	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-7c35	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:731f	http://www.semwebtech.org/mondial/10/organization/InOC/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-7863	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:79c0	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:757f	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/EW/	national committee
3441d4f:1508ad97479:-7e95	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad97479:-716e	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:7ff2	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:72cb	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-7be1	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-6f8b	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:78bf	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-74ae	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:781b	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-740a	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:6da8	http://www.semwebtech.org/mondial/10/organization/BDEAC/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:7e4d	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/CDN/	National Olympic Committee
3441d4f:1508ad6f828:7147	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-7a3c	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:6d04	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-766a	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7c9c	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:6f64	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:70f3	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/SF/	stake holder
3441d4f:1508ad6f828:6cb0	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:7ab9	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/CR/	List C
3441d4f:1508ad97479:-79aa	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:76e7	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/GNB/	accepting compulsory jurisdiction without reservations
3441d4f:1508ad6f828:7a15	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-7fdc	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-72d6	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7643	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-7232	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:6baf	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad6f828:7c75	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:6b0b	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/BR/	nonregional member
3441d4f:1508ad97479:-7492	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad97479:-7826	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:6d6b	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad97479:-7e58	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:7fb5	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-7ba4	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:7f11	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-77d2	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-7b00	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-6f4e	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:74ee	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad97479:-70dd	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:744a	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-7d60	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:7a7c	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RI/	List B
3441d4f:1508ad97479:-6efa	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-762d	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:6b93	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-7c5f	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-788d	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:6f27	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/COM/	candidate
3441d4f:1508ad6f828:7dbc	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:70b6	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:79ea	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:7012	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:6ed3	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:7272	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:7606	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7c38	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-74f9	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:7866	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad97479:-7455	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-71a1	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:7e98	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/G/	National Olympic Committee
3441d4f:1508ad6f828:75b2	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/BR/	national committee
3441d4f:1508ad97479:-7a87	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/YE/	observer
3441d4f:1508ad6f828:6d2e	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:7be4	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:7b40	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:6f8e	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/GB/	observer
3441d4f:1508ad6f828:6cda	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/USA/	dialogue partner
3441d4f:1508ad97479:-7dc7	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-79f5	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-7d23	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:740d	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:7a3f	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-7951	http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/TR/	dialogue member
3441d4f:1508ad97479:-6ebd	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-7f83	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:766d	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-725c	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:7c9f	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:6b56	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:79ad	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/ER/	observer
3441d4f:1508ad6f828:7fdf	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:72d9	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-7bce	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7f3b	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-77fc	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:7235	http://www.semwebtech.org/mondial/10/organization/G-11/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7b2a	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad97479:-6f99	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad6f828:7495	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-7d8a	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad97479:-7084	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:7829	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/TUCA/	subbureau
3441d4f:1508ad6f828:71e1	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-7418	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:7ba7	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad97479:-7678	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:7b03	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/SN/	List C
3441d4f:1508ad6f828:77d5	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad97479:-73c4	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:7731	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/NAU/	state accepting jurisdiction
3441d4f:1508ad97479:-7320	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:7d63	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:703c	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:7991	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad97479:-7580	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-79b8	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:6efd	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:729c	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-7914	http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad97479:-7f46	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-721f	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad6f828:6b19	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-78c0	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad97479:-747f	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:75dc	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/CI/	having direct member
3441d4f:1508ad97479:-7ef2	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad97479:-71cb	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:6d79	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad6f828:6ac5	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/TN/	regional member
3441d4f:1508ad6f828:7b6a	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-77bf	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-771b	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:6c81	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:7458	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-7d4d	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-7047	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:7eaa	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/MW/	National Olympic Committee
3441d4f:1508ad6f828:71a4	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-797b	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:7100	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/MNG/	compliant countries
3441d4f:1508ad97479:-6e64	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:6fc1	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:7360	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/N/	partner
3441d4f:1508ad6f828:7d26	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:79f8	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-75e7	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad6f828:7954	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-7543	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:7f86	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:76a0	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad6f828:725f	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-7b75	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:6e1c	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:7cd2	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-7f09	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-7eb5	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad97479:-7e11	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:7b2d	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:77ff	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-73ee	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad97479:-6fab	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:775b	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/WAL/	state accepting jurisdiction
3441d4f:1508ad97479:-734a	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:6ce8	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:7d8d	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:7087	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:6c44	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-793e	http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad6f828:6bf0	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:73c7	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-7cbc	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:7323	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-78ea	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7583	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/MC/	national committee
3441d4f:1508ad97479:-7172	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:6aef	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/MS/	regional member
3441d4f:1508ad6f828:7917	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad97479:-7506	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:7f49	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RSM/	observer
3441d4f:1508ad97479:-7b38	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-7766	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:78c3	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-7d98	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-74b2	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:7ef5	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:71ce	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-7ae4	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad6f828:7e51	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/NIC/	National Olympic Committee
3441d4f:1508ad6f828:712a	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-7a40	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-6e8e	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/BIH/	observer
3441d4f:1508ad6f828:6feb	http://www.semwebtech.org/mondial/10/organization/ECO/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:738a	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:771e	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/BZ/	state accepting jurisdiction
3441d4f:1508ad97479:-730d	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:6c07	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:797e	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-756d	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:76ca	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/RT/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fe0	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-7b9f	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:6e67	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/SLO/	signatory
3441d4f:1508ad6f828:7cfc	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:6bb3	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-78ad	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad97479:-7edf	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-71d9	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:7546	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-7e3b	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad97479:-7135	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7b78	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-6ff6	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-7395	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/NLSM/	member
3441d4f:1508ad97479:-6f52	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:74f2	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad97479:-7729	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-70e1	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:6c6e	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:7eb8	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7a80	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/UAE/	List B
3441d4f:1508ad97479:-7989	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-7aa7	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/BIH/	observer
3441d4f:1508ad97479:-76d5	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:7e14	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/IR/	National Olympic Committee
3441d4f:1508ad97479:-7a03	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/RP/	partner
3441d4f:1508ad97479:-7631	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:6fae	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:734d	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-7c63	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:6f0a	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:7dc0	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7891	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-719c	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-7fa3	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:7cbf	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:7c1b	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:78ed	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-74dc	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:6dd6	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:7e7b	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/YV/	National Olympic Committee
3441d4f:1508ad6f828:7175	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad97479:-7a6a	http://www.semwebtech.org/mondial/10/organization/OECS/	http://www.semwebtech.org/mondial/10/country/MNTS/	member
3441d4f:1508ad6f828:6d32	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:7509	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:6f92	http://www.semwebtech.org/mondial/10/organization/Entente/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-6fb9	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:7769	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-7358	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-6f15	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:74b5	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-7daa	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-70a4	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:7ae7	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/Z/	List C
3441d4f:1508ad6f828:7411	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-7000	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:7a43	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-6ec1	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:7671	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-7260	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:6bdd	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-78f8	http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-7c26	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-7854	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:79b1	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-7e86	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad97479:-75a0	http://www.semwebtech.org/mondial/10/organization/UNITAR/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-715f	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:7fe3	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:72bc	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad97479:-7bd2	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-6f7c	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:780c	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:7e3e	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/YE/	National Olympic Committee
3441d4f:1508ad97479:-76ff	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad6f828:7138	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-7a2d	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/BIH/	observer
3441d4f:1508ad97479:-765b	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:6ff9	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:7398	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-7c8d	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/BIH/	observer
3441d4f:1508ad6f828:6f55	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:7dea	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/MNE/	National Olympic Committee
3441d4f:1508ad6f828:70e4	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:6ca1	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:7040	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:76d8	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/MW/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad6f828:7a06	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad97479:-7fcd	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-72c7	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7634	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-7223	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:7c66	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:7894	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad97479:-7483	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-7817	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:75e0	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/ER/	having direct member
3441d4f:1508ad6f828:719f	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:6d5c	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-7e49	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:7fa6	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:7f02	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-77c3	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad97479:-6f3f	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:74df	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad97479:-7df5	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-70ce	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:743b	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-7d51	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad97479:-702a	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:7a6d	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/NL/	List A
3441d4f:1508ad97479:-6eeb	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad6f828:769b	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad97479:-728a	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-761e	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:6b84	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad6f828:6f18	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:7dad	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-787e	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad6f828:70a7	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:79db	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:7003	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-75ca	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-7bfc	http://www.semwebtech.org/mondial/10/organization/GUAM/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:6ec4	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/MW/	signatory
3441d4f:1508ad6f828:7263	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:6e20	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:7c29	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:7857	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad97479:-7446	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:7e89	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/BEN/	National Olympic Committee
3441d4f:1508ad6f828:75a3	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/RC/	national committee
3441d4f:1508ad97479:-7a78	http://www.semwebtech.org/mondial/10/organization/OAPEC/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:6d1f	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:7bd5	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad6f828:7b31	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-73f2	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/FARX/	member
3441d4f:1508ad6f828:6f7f	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:6ccb	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:7d91	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad97479:-7db8	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/ER/	observer
3441d4f:1508ad6f828:706a	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-79e6	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-7d14	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-7942	http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad97479:-6eae	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:765e	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad97479:-7f74	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-724d	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:73aa	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad97479:-7cc0	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:6b47	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:6af3	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/F/	nonregional member
3441d4f:1508ad97479:-7bbf	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:7f2c	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-77ed	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:7226	http://www.semwebtech.org/mondial/10/organization/G-10/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-7b1b	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:7486	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7d7b	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-7075	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:71d2	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-7409	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-6e92	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad97479:-7669	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:77c6	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-73b5	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:7df8	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/LV/	National Olympic Committee
3441d4f:1508ad6f828:7722	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/CR/	state accepting jurisdiction
3441d4f:1508ad97479:-7311	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:7d54	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:702d	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/KOS/	member
3441d4f:1508ad6f828:7982	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:7aa0	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/KAZ/	List C
3441d4f:1508ad97479:-79a9	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-7571	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:6eee	http://www.semwebtech.org/mondial/10/organization/CPLP/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:728d	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad97479:-7905	http://www.semwebtech.org/mondial/10/organization/Mercosur/	http://www.semwebtech.org/mondial/10/country/GUY/	associate member
3441d4f:1508ad6f828:6e4a	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-7f37	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-78b1	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:75cd	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/ARM/	having direct member
3441d4f:1508ad97479:-7ee3	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad97479:-71bc	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:7bff	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:7b5b	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-770c	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:6c72	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7449	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-7d3e	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-7038	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-796c	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-6ef9	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/HONX/	member
3441d4f:1508ad97479:-7f9e	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-7298	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-6e55	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:73f5	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad97479:-7cea	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:6fb2	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:7351	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:7d17	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:79e9	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-75d8	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad6f828:7945	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-7534	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:7f77	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/LB/	correspondent member
3441d4f:1508ad97479:-7b66	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad6f828:6e0d	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:7cc3	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/HONX/	associate member
3441d4f:1508ad97479:-7794	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:78f1	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-74e0	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-709f	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:71fc	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad97479:-7ea6	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/HONX/	member
3441d4f:1508ad97479:-7e02	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:7b1e	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad97479:-73df	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:774c	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/CI/	state accepting jurisdiction
3441d4f:1508ad97479:-733b	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:6cd9	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/CDN/	dialogue partner
3441d4f:1508ad6f828:7d7e	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:7078	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:6c35	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:7aca	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/FJI/	List C
3441d4f:1508ad97479:-759b	http://www.semwebtech.org/mondial/10/organization/UNITAR/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-792f	http://www.semwebtech.org/mondial/10/organization/Sparteca/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:6e95	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/Q/	signatory
3441d4f:1508ad6f828:6be1	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:73b8	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-7cad	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:7314	http://www.semwebtech.org/mondial/10/organization/G-9/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-78db	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:7574	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/PL/	national committee
3441d4f:1508ad97479:-7163	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:7908	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:72c0	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad97479:-7b29	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad97479:-6f80	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad97479:-7757	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:6c9c	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/HONX/	member
3441d4f:1508ad6f828:78b4	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-74a3	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7d89	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:7ee6	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:7810	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:71bf	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad97479:-7ad5	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:7e42	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/CL/	National Olympic Committee
3441d4f:1508ad6f828:711b	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/SLB/	candidate countries
3441d4f:1508ad97479:-7a31	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad97479:-6e7f	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/GQ/	observer
3441d4f:1508ad6f828:6fdc	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:737b	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-7c91	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:770f	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/AFG/	state accepting jurisdiction
3441d4f:1508ad6f828:796f	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-755e	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:76bb	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/J/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fd1	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad97479:-72aa	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:6e58	http://www.semwebtech.org/mondial/10/organization/CIS/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:7ced	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:6ba4	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:6b00	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/GB/	nonregional member
3441d4f:1508ad6f828:6d60	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/A/	observer
3441d4f:1508ad97479:-7126	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:7537	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7e2c	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:7b69	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-6fe7	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:7797	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad97479:-7386	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-6f43	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:74e3	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad97479:-70d2	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:6c5f	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:7ea9	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RM/	National Olympic Committee
3441d4f:1508ad6f828:7a71	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/N/	List A
3441d4f:1508ad6f828:7194	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:7e05	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/DK/	National Olympic Committee
3441d4f:1508ad97479:-76c6	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad97479:-7622	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad97479:-7cf8	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:733e	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-7c54	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7db1	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-7882	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad6f828:759e	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/UAE/	national committee
3441d4f:1508ad97479:-718d	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/COOK/	member
3441d4f:1508ad6f828:72ea	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:7c0c	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:78de	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-74cd	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:783a	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-7aff	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:6dc7	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/V/	observer
3441d4f:1508ad6f828:7e6c	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/PAL/	National Olympic Committee
3441d4f:1508ad6f828:7166	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-7a5b	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:6d23	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:6f83	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-7349	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad97479:-6f06	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:74a6	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:7ad8	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/PY/	List C
3441d4f:1508ad6f828:7402	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:7a34	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-7ffb	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-72f5	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad97479:-6eb2	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:7662	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7251	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:6bce	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:7c94	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:6b2a	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-78e9	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-7c17	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-7845	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:6d8a	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/BDS/	regional member
3441d4f:1508ad6f828:79a2	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad97479:-7e77	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:7fd4	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:72ad	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-7bc3	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-77f1	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:7f30	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-6f6d	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-70fc	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:7a9b	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/MAL/	List C
3441d4f:1508ad6f828:7e2f	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/ET/	National Olympic Committee
3441d4f:1508ad6f828:7129	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-7a1e	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-764c	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-7c7e	http://www.semwebtech.org/mondial/10/organization/NC/	http://www.semwebtech.org/mondial/10/country/FARX/	member
3441d4f:1508ad6f828:7389	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:6f46	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:7ddb	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:70d5	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:7031	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:6ef2	http://www.semwebtech.org/mondial/10/organization/CPLP/	http://www.semwebtech.org/mondial/10/country/GQ/	associate observer
3441d4f:1508ad97479:-7fbe	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:76c9	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/WAN/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad6f828:7291	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-72b8	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7f1a	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:7625	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad97479:-7214	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:7c57	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:7885	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad97479:-7474	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:75d1	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/NOK/	having direct member
3441d4f:1508ad97479:-7808	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-71c0	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:6d4d	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-77b4	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-7de6	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-7710	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad97479:-70bf	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad6f828:742c	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad97479:-7d42	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-701b	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:7a5e	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-7970	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-6edc	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:768c	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad97479:-727b	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-760f	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:6b75	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:6f09	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-786f	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:79cc	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-75bb	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:7ffe	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:72f8	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-7bed	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:6eb5	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/MA/	signatory
3441d4f:1508ad6f828:7f5a	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/GE/	correspondent member
3441d4f:1508ad6f828:7254	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:6e11	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:7848	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-7437	http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/GB/	permanent member
3441d4f:1508ad97479:-7a69	http://www.semwebtech.org/mondial/10/organization/OECS/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad6f828:7bc6	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-7697	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:7b22	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:77f4	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-73e3	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-6fa0	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:7750	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/RCA/	state accepting jurisdiction
3441d4f:1508ad6f828:70ff	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/KGZ/	compliant countries
3441d4f:1508ad6f828:6cbc	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/CH/	nonregional member
3441d4f:1508ad97479:-7da9	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:7d82	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:705b	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad97479:-79d7	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-7d05	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-7933	http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/MS/	observer
3441d4f:1508ad6f828:764f	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-7f65	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad97479:-723e	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-7cb1	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:6b38	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad97479:-749e	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:75fb	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-71ea	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:6d98	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/TT/	regional member
3441d4f:1508ad6f828:6ae4	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/SP/	regional member
3441d4f:1508ad6f828:7f1d	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-77de	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad6f828:7217	http://www.semwebtech.org/mondial/10/organization/GCTU/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-7b0c	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-773a	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:7477	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7d6c	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-7066	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:71c3	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-799a	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-6e83	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/YE/	observer
3441d4f:1508ad6f828:6fe0	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:6b9f	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:77b7	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-73a6	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/CAYM/	member
3441d4f:1508ad6f828:7de9	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/SRB/	National Olympic Committee
3441d4f:1508ad6f828:7713	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/K/	state accepting jurisdiction
3441d4f:1508ad97479:-7302	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:7d45	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:701e	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:7973	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-7562	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:6edf	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:727e	http://www.semwebtech.org/mondial/10/organization/G-7/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-7b94	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:6e3b	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad6f828:7cf1	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad97479:-7f28	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-78a2	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:75be	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/CAM/	national committee
3441d4f:1508ad97479:-7ed4	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-71ad	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-7e30	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:751a	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:7b4c	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-6fca	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:777a	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:6c63	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-7d2f	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-7029	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-795d	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad97479:-7f8f	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-7289	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:73e6	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-7cdb	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:6fa3	http://www.semwebtech.org/mondial/10/organization/EADB/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:7342	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:7d08	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-75c9	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-7191	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:7936	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-7525	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:7f68	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/BOL/	correspondent member
3441d4f:1508ad97479:-7b57	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:7cb4	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad97479:-7785	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:7c10	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:78e2	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-74d1	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:71ed	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:6daa	http://www.semwebtech.org/mondial/10/organization/BCIE/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:7e70	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/VU/	National Olympic Committee
3441d4f:1508ad6f828:7b0f	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:773d	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/SME/	state accepting jurisdiction
3441d4f:1508ad97479:-732c	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:7d6f	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:7069	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:6c26	http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad6f828:799d	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:7abb	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/PA/	List C
3441d4f:1508ad97479:-758c	http://www.semwebtech.org/mondial/10/organization/UNMIT/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:6e86	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/IND/	signatory
3441d4f:1508ad6f828:6bd2	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad6f828:73a9	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:7305	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad97479:-78cc	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-7efe	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-71f8	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:7565	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad97479:-7e5a	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-7154	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:7b97	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:72b1	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad97479:-6f71	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-7748	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:6c8d	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:78a5	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:7ed7	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:7801	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-7ac6	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-76f4	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:7e33	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/IRQ/	National Olympic Committee
3441d4f:1508ad6f828:710c	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/RT/	compliant countries
3441d4f:1508ad97479:-7a22	http://www.semwebtech.org/mondial/10/organization/OPEC/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-7650	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:6fcd	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:736c	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/AND/	member
3441d4f:1508ad97479:-7c82	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/BR/	observer
3441d4f:1508ad97479:-754f	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:76ac	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/NL/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fc2	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:6e49	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:7cde	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7c3a	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-74fb	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:6df5	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:7e9a	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/SUD/	National Olympic Committee
3441d4f:1508ad6f828:6d51	http://www.semwebtech.org/mondial/10/organization/Benelux/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:7528	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7e1d	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-7117	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-6fd8	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:7788	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-7377	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-6f34	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/HONX/	associate member
3441d4f:1508ad6f828:74d4	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-70c3	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7430	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad6f828:7a62	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-6ee0	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:7690	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad97479:-76b7	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:6bfc	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-7613	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad97479:-7ce9	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-7c45	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:732f	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:7da2	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-7873	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:79d0	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:758f	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/MAL/	national committee
3441d4f:1508ad97479:-717e	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:72db	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-7bf1	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-6f9b	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:78cf	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad97479:-74be	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:782b	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-741a	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:6db8	http://www.semwebtech.org/mondial/10/organization/CACM/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:7e5d	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/KN/	National Olympic Committee
3441d4f:1508ad97479:-7a4c	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:7157	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:6d14	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-767a	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:6f74	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:6cc0	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/TR/	nonregional member
3441d4f:1508ad6f828:7ac9	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/COOK/	List C
3441d4f:1508ad97479:-79ba	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:76f7	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/SLO/	state accepting jurisdiction
3441d4f:1508ad6f828:7a25	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-7fec	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-72e6	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-6ea3	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:7653	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad97479:-7242	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:7c85	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad6f828:6bbf	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:6b1b	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-7c08	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-7836	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:6d7b	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/BERM/	associate member
3441d4f:1508ad97479:-7e68	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:7fc5	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/UA/	observer
3441d4f:1508ad97479:-7bb4	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/V/	member
3441d4f:1508ad6f828:7f21	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-77e2	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-7b10	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-6f5e	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:74fe	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-70ed	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:745a	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-7d70	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:7a8c	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/TR/	List C
3441d4f:1508ad97479:-7a0f	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/FPOL/	associate member
3441d4f:1508ad97479:-763d	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-7c6f	http://www.semwebtech.org/mondial/10/organization/NIB/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:6f37	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/F/	observer
3441d4f:1508ad6f828:7dcc	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:70c6	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-789d	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:79fa	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:7022	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:6ee3	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-7faf	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:7282	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad97479:-72a9	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad6f828:7616	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-7f0b	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-7205	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:7c48	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:7876	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-7465	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:75c2	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/MK/	having direct member
3441d4f:1508ad97479:-7a97	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/GB/	observer
3441d4f:1508ad97479:-71b1	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:6d3e	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:7bf4	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:7b50	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:6f9e	http://www.semwebtech.org/mondial/10/organization/EAC/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-77a5	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:6cea	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-7dd7	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/PK/	observer
3441d4f:1508ad97479:-7701	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad6f828:741d	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-7d33	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-700c	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7a4f	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-7961	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad97479:-6ecd	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-7f93	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:767d	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-726c	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:6b66	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:79bd	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-75ac	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:7fef	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:72e9	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-7bde	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:6ea6	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/AUS/	signatory
3441d4f:1508ad6f828:7f4b	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/TM/	observer
3441d4f:1508ad6f828:7245	http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-7b3a	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:6e02	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-7d9a	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-7094	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:7839	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:71f1	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-7428	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:7bb7	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-7688	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:7b13	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:77e5	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-73d4	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad6f828:7741	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/RN/	state accepting jurisdiction
3441d4f:1508ad97479:-7330	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:6cad	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad6f828:7d73	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:704c	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-79c8	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-7590	http://www.semwebtech.org/mondial/10/organization/UNMIT/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-7924	http://www.semwebtech.org/mondial/10/organization/Sparteca/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-7f56	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-722f	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad97479:-7ca2	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:6b29	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-78d0	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad97479:-748f	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:75ec	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-71db	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:6d89	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/BS/	regional member
3441d4f:1508ad6f828:6ad5	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/RWA/	regional member
3441d4f:1508ad6f828:7b7a	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:7f0e	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-77cf	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:7208	http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-772b	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:6c91	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:7468	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad97479:-7d5d	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-7057	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:7eba	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:71b4	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad97479:-798b	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad6f828:7110	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/CAM/	compliant countries
3441d4f:1508ad97479:-6e74	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:6fd1	http://www.semwebtech.org/mondial/10/organization/CEPGL/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:77a8	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:7370	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:7704	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/EW/	state accepting jurisdiction
3441d4f:1508ad6f828:726f	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-7b85	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:6e2c	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad6f828:7ce2	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-7f19	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:75af	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/NZ/	national committee
3441d4f:1508ad97479:-7ec5	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:750b	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-7e21	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad6f828:7b3d	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-73fe	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-6fbb	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:776b	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-735a	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:6cf8	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7d9d	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad6f828:7097	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:6c54	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad97479:-794e	http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/IR/	observer
3441d4f:1508ad6f828:73d7	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-7ccc	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:7333	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-78fa	http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad6f828:7593	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/CY/	national committee
3441d4f:1508ad97479:-7182	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad97479:-740b	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:6aff	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/P/	nonregional member
3441d4f:1508ad6f828:7927	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-7516	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7f59	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/TM/	correspondent member
3441d4f:1508ad97479:-7b48	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7ca5	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-7776	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:7c01	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:78d3	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:71de	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-7af4	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:7e61	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/VIRG/	National Olympic Committee
3441d4f:1508ad6f828:713a	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/ARU/	member
3441d4f:1508ad97479:-7a50	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-6e9e	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:6ffb	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:739a	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:772e	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/COOK/	state accepting jurisdiction
3441d4f:1508ad97479:-731d	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:6c17	http://www.semwebtech.org/mondial/10/organization/CAN/	http://www.semwebtech.org/mondial/10/country/ROU/	associate member
3441d4f:1508ad6f828:798e	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:7aac	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RL/	List C
3441d4f:1508ad97479:-757d	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:76da	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/SD/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7ff0	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:6e77	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/EW/	signatory
3441d4f:1508ad6f828:6bc3	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad97479:-78bd	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-7eef	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-71e9	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:7556	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad97479:-7e4b	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-7145	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:7b88	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:72a2	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-6f62	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-70f1	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-7739	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:6c7e	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:7ec8	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7a90	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/CN/	List C
3441d4f:1508ad97479:-7999	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-7ab7	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/A/	observer
3441d4f:1508ad6f828:7e24	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/THA/	National Olympic Committee
3441d4f:1508ad97479:-76e5	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-7a13	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-7641	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:6fbe	http://www.semwebtech.org/mondial/10/organization/CEMAC/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:735d	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/B/	partner
3441d4f:1508ad97479:-7c73	http://www.semwebtech.org/mondial/10/organization/NIB/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:6f1a	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:7dd0	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad97479:-7fb3	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:7ccf	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:7c2b	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:78fd	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-74ec	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:6de6	http://www.semwebtech.org/mondial/10/organization/CSTO/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:7e8b	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/WAN/	National Olympic Committee
3441d4f:1508ad6f828:7185	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad97479:-7a7a	http://www.semwebtech.org/mondial/10/organization/OAPEC/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:6d42	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:7519	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-7e0e	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad97479:-7108	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-6fc9	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:7779	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-7368	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/FALK/	member
3441d4f:1508ad97479:-6f25	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:74c5	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad97479:-7dba	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/BR/	observer
3441d4f:1508ad97479:-70b4	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad6f828:7af7	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/CV/	List C
3441d4f:1508ad6f828:7421	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-7010	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:7a53	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad97479:-6ed1	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:7681	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-76a8	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/BVIR/	associate member
3441d4f:1508ad97479:-7270	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:6bed	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad97479:-7604	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-7c36	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-7864	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:79c1	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-7e96	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/ARU/	member
3441d4f:1508ad97479:-75b0	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad97479:-716f	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:7ff3	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:72cc	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-7be2	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad97479:-6f8c	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-74af	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:781c	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:6da9	http://www.semwebtech.org/mondial/10/organization/BDEAC/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:7e4e	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/USA/	National Olympic Committee
3441d4f:1508ad6f828:7148	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-7a3d	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:6d05	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-766b	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7c9d	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:6f65	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:7dfa	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/PL/	National Olympic Committee
3441d4f:1508ad6f828:70f4	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/N/	stake holder
3441d4f:1508ad6f828:6cb1	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad6f828:7050	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-79ab	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:76e8	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/AL/	state accepting jurisdiction
3441d4f:1508ad6f828:7a16	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad97479:-7fdd	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-72d7	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:7644	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-7233	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:7c76	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:6b0c	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-7493	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:75f0	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-7827	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:6d6c	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad97479:-7e59	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:7fb6	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad97479:-7ba5	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:7f12	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-77d3	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-7b01	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-6f4f	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:74ef	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad97479:-70de	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:744b	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-7d61	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-703a	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:7a7d	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/IRQ/	List B
3441d4f:1508ad97479:-6efb	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-729a	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-762e	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:6b94	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:6f28	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/DJI/	candidate
3441d4f:1508ad6f828:7dbd	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:70b7	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-788e	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:79eb	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:7013	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-75da	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:6ed4	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:7273	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/CN/	observer
3441d4f:1508ad6f828:6e30	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:7607	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:7c39	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7867	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad97479:-7456	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:75b3	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/RCH/	national committee
3441d4f:1508ad97479:-7a88	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/ROK/	observer
3441d4f:1508ad97479:-71a2	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:6d2f	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:7be5	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:7b41	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:6f8f	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/USA/	observer
3441d4f:1508ad6f828:6cdb	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/AUS/	dialogue partner
3441d4f:1508ad97479:-7dc8	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:707a	http://www.semwebtech.org/mondial/10/organization/EFTA/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad97479:-79f6	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:740e	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-7d24	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-7952	http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/BY/	dialogue member
3441d4f:1508ad97479:-6ebe	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad6f828:766e	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-7f84	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-725d	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:73ba	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad97479:-7cd0	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:6b57	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:79ae	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:790a	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-7bcf	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7f3c	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-77fd	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:7236	http://www.semwebtech.org/mondial/10/organization/G-11/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-7b2b	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad6f828:7496	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-7d8b	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad97479:-7085	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:71e2	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-7419	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:7ba8	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-7679	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:7b04	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/GNB/	List C
3441d4f:1508ad6f828:77d6	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad97479:-73c5	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:7732	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/NZ/	state accepting jurisdiction
3441d4f:1508ad97479:-7321	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:7d64	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:703d	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:7992	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:7ab0	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/YE/	List C
3441d4f:1508ad97479:-79b9	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-7581	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:6efe	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:729d	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-7915	http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:6e5a	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/GR/	signatory
3441d4f:1508ad97479:-7f47	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-78c1	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-71cc	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:75dd	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/EAT/	having direct member
3441d4f:1508ad97479:-7ef3	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:6ac6	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/ANG/	regional member
3441d4f:1508ad6f828:7b6b	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-771c	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:6c82	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:7459	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-7d4e	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-7048	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:7eab	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/MOC/	National Olympic Committee
3441d4f:1508ad6f828:71a5	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-797c	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:7101	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/TL/	compliant countries
3441d4f:1508ad97479:-6e65	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad97479:-7cfa	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:6fc2	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:7361	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/S/	partner
3441d4f:1508ad6f828:7d27	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:79f9	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-75e8	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:7955	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-7544	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7f87	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:76a1	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad97479:-7b76	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:7cd3	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:6e1d	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-74f0	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-7eb6	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad97479:-7e12	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:7b2e	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-73ef	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-6fac	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:775c	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/EAU/	state accepting jurisdiction
3441d4f:1508ad97479:-734b	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:6ce9	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:7d8e	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:7088	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:6c45	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:7ada	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/PE/	List C
3441d4f:1508ad97479:-793f	http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:6bf1	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad6f828:73c8	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-7cbd	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-78eb	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:7324	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7584	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/IS/	national committee
3441d4f:1508ad97479:-7173	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:7918	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/V/	member
3441d4f:1508ad6f828:72d0	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-7507	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad97479:-7b39	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-6f90	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-7767	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/AND/	member
3441d4f:1508ad97479:-74b3	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7d99	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:78c4	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:7ef6	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:7820	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/GBZ/	subbureau
3441d4f:1508ad6f828:71cf	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7ae5	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:7e52	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/PA/	National Olympic Committee
3441d4f:1508ad6f828:712b	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-7a41	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-6e8f	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/BY/	observer
3441d4f:1508ad6f828:6fec	http://www.semwebtech.org/mondial/10/organization/ECO/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:738b	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad6f828:771f	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/GCA/	state accepting jurisdiction
3441d4f:1508ad97479:-730e	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:6c08	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/ARU/	observer
3441d4f:1508ad6f828:797f	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-756e	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:76cb	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/RB/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fe1	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-72ba	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:6e68	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/CH/	signatory
3441d4f:1508ad6f828:7cfd	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:6bb4	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:6b10	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-78ae	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad97479:-780a	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:6d70	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:7547	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-7e3c	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad97479:-7136	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:7b79	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-6ff7	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-7396	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/CUR/	member
3441d4f:1508ad97479:-6f53	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:74f3	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-70e2	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:6c6f	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:7eb9	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7a81	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/Q/	List B
3441d4f:1508ad97479:-7aa8	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/NL/	observer
3441d4f:1508ad6f828:7e15	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/PK/	National Olympic Committee
3441d4f:1508ad97479:-76d6	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-7a04	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/ROK/	partner
3441d4f:1508ad97479:-7632	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:6faf	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:734e	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-7c64	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:6f0b	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:7dc1	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-7892	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-719d	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:72fa	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-7fa4	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-7f00	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:7c1c	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:78ee	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-74dd	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:784a	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:6dd7	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:7e7c	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/EC/	National Olympic Committee
3441d4f:1508ad6f828:7176	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-7a6b	http://www.semwebtech.org/mondial/10/organization/OECS/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad6f828:6d33	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:6f93	http://www.semwebtech.org/mondial/10/organization/Entente/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7359	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-6f16	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:74b6	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-7dab	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-70a5	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:7ae8	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/BEN/	List C
3441d4f:1508ad6f828:7412	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-7001	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad6f828:7a44	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-6ec2	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7672	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-7261	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:6bde	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad6f828:6b3a	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad97479:-78f9	http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-7c27	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-7855	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:6d9a	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/GUY/	regional member
3441d4f:1508ad6f828:79b2	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-7e87	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-75a1	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:7fe4	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:72bd	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-7bd3	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:7f40	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad97479:-6f7d	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:780d	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:7e3f	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RP/	National Olympic Committee
3441d4f:1508ad6f828:7139	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad97479:-7a2e	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/R/	observer
3441d4f:1508ad97479:-765c	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:7399	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad97479:-7c8e	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/UA/	observer
3441d4f:1508ad6f828:6f56	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:7deb	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/AND/	National Olympic Committee
3441d4f:1508ad6f828:70e5	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:6ca2	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:7041	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:76d9	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/MS/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad6f828:7a07	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-7fce	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-72c8	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:7635	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-7f2a	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad97479:-7224	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:7c67	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:7895	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-7484	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:75e1	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/ETH/	having direct member
3441d4f:1508ad97479:-71d0	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad97479:-7818	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:6d5d	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:7fa7	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:7f03	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad97479:-77c4	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-7df6	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-7720	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-70cf	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad6f828:743c	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad97479:-7d52	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad97479:-702b	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:7a6e	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/DK/	List A
3441d4f:1508ad97479:-7980	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-6eec	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:769c	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-728b	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad97479:-761f	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:6b85	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad6f828:6f19	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:7dae	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad6f828:70a8	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-787f	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:7d0a	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:79dc	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:7004	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-75cb	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-7bfd	http://www.semwebtech.org/mondial/10/organization/GUAM/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:6ec5	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/MOC/	signatory
3441d4f:1508ad6f828:7f6a	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/GUY/	correspondent member
3441d4f:1508ad6f828:7264	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:6e21	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:7858	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad97479:-7447	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:75a4	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/GCA/	national committee
3441d4f:1508ad97479:-7a79	http://www.semwebtech.org/mondial/10/organization/OAPEC/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:7bd6	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad6f828:7500	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:7b32	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-73f3	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-6fb0	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:7760	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/MS/	state accepting jurisdiction
3441d4f:1508ad6f828:6ccc	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:7d92	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-7db9	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/YV/	observer
3441d4f:1508ad6f828:706b	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-79e7	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad97479:-7d15	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-7943	http://www.semwebtech.org/mondial/10/organization/SACEP/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-6eaf	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:765f	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-7f75	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/V/	member
3441d4f:1508ad97479:-724e	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:73ab	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad97479:-7cc1	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad6f828:6b48	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-71fa	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/AND/	member
3441d4f:1508ad6f828:6af4	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/E/	nonregional member
3441d4f:1508ad97479:-77ee	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:7f2d	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:7227	http://www.semwebtech.org/mondial/10/organization/G-10/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-7b1c	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-774a	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:7487	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-7d7c	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-7076	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:71d3	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-6e93	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:6ff0	http://www.semwebtech.org/mondial/10/organization/EurasEC/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:77c7	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-73b6	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:7df9	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/LT/	National Olympic Committee
3441d4f:1508ad6f828:7723	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/PA/	state accepting jurisdiction
3441d4f:1508ad97479:-7312	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:7d55	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:702e	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:7983	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:7aa1	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/NOK/	List C
3441d4f:1508ad97479:-7572	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:6eef	http://www.semwebtech.org/mondial/10/organization/CPLP/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:728e	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad97479:-7906	http://www.semwebtech.org/mondial/10/organization/Mercosur/	http://www.semwebtech.org/mondial/10/country/PE/	associate member
3441d4f:1508ad6f828:6e4b	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-7f38	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-78b2	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad97479:-7ee4	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:75ce	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/AZ/	having direct member
3441d4f:1508ad97479:-71bd	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:752a	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-7e40	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:7b5c	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-6fda	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:778a	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad97479:-770d	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:6c73	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-7d3f	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-7039	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-796d	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/COOK/	member
3441d4f:1508ad97479:-7f9f	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad97479:-7299	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-6e56	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:73f6	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-7ceb	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:6fb3	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:7352	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:7d18	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-75d9	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:7946	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-7535	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:7f78	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/ER/	correspondent member
3441d4f:1508ad97479:-7b67	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:6e0e	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:7cc4	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/MACX/	associate member
3441d4f:1508ad97479:-7795	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:7c20	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:78f2	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-74e1	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:71fd	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:6dba	http://www.semwebtech.org/mondial/10/organization/CACM/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:7e80	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RIM/	National Olympic Committee
3441d4f:1508ad97479:-7ea7	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-7e03	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:7b1f	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:774d	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/GH/	state accepting jurisdiction
3441d4f:1508ad97479:-733c	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:7d7f	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7079	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:6c36	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:7acb	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/KIR/	List C
3441d4f:1508ad97479:-759c	http://www.semwebtech.org/mondial/10/organization/UNITAR/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:6e96	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/CL/	signatory
3441d4f:1508ad6f828:6be2	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:73b9	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-7cae	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-78dc	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:7315	http://www.semwebtech.org/mondial/10/organization/G-9/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-7c0a	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:7575	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/UA/	national committee
3441d4f:1508ad97479:-7e6a	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7164	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:7909	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:72c1	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad97479:-6f81	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-7758	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:6c9d	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:78b5	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-74a4	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:7ee7	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:7811	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad97479:-7ad6	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-7400	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:7e43	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RC/	National Olympic Committee
3441d4f:1508ad6f828:711c	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/TCH/	candidate countries
3441d4f:1508ad97479:-7a32	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad97479:-7660	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:6fdd	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:737c	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-7c92	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-79a0	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-755f	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:76bc	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/RP/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fd2	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-72ab	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:6e59	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/AL/	signatory
3441d4f:1508ad6f828:7cee	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:6ba5	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:7c4a	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:6b01	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/CN/	nonregional member
3441d4f:1508ad6f828:6d61	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/CZ/	observer
3441d4f:1508ad6f828:7538	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-7e2d	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-7127	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-6fe8	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:7798	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad97479:-7387	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/COOK/	member
3441d4f:1508ad97479:-6f44	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad6f828:74e4	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad97479:-70d3	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad6f828:7440	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:7a72	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/S/	List A
3441d4f:1508ad97479:-6ef0	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:7e06	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/EW/	National Olympic Committee
3441d4f:1508ad97479:-76c7	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad97479:-7cf9	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad97479:-7623	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:733f	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-7c55	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:7db2	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-7883	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:79e0	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:759f	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/RP/	national committee
3441d4f:1508ad97479:-718e	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:72eb	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:7c0d	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:78df	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-74ce	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:783b	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-742a	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:6dc8	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/CN/	observer
3441d4f:1508ad6f828:7e6d	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/SLB/	National Olympic Committee
3441d4f:1508ad97479:-7a5c	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:7167	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:6d24	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad97479:-768a	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:6f84	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:6cd0	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-6f07	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:74a7	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:7ad9	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/ROU/	List C
3441d4f:1508ad6f828:7403	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad97479:-79ca	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7a35	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7ffc	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad97479:-72f6	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-6eb3	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:7663	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-7252	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:6bcf	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad6f828:7c95	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad6f828:6b2b	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad97479:-7c18	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad97479:-7846	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:6d8b	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/BZ/	regional member
3441d4f:1508ad6f828:79a3	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad97479:-7e78	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:7fd5	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:72ae	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-7bc4	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:7f31	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-77f2	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:720a	http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-7b20	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-6f6e	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-70fd	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad6f828:746a	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-7d80	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:7a9c	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/LAO/	List C
3441d4f:1508ad97479:-7a1f	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-764d	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:77aa	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-7c7f	http://www.semwebtech.org/mondial/10/organization/NC/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:6f47	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:7ddc	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:70d6	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:7032	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:6ef3	http://www.semwebtech.org/mondial/10/organization/CPLP/	http://www.semwebtech.org/mondial/10/country/SN/	associate observer
3441d4f:1508ad97479:-7fbf	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad6f828:7292	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-72b9	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:7626	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-7f1b	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7215	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:7c58	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:7886	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-7475	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:75d2	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/MNG/	having direct member
3441d4f:1508ad97479:-7809	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-71c1	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:6d4e	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:7b60	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad97479:-77b5	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad6f828:6cfa	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-7de7	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7711	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:742d	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/V/	member
3441d4f:1508ad97479:-7d43	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-701c	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:7ea0	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/ETH/	National Olympic Committee
3441d4f:1508ad6f828:7a5f	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-7971	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-6edd	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:768d	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-727c	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:6b76	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:79cd	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-75bc	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:72f9	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-7bee	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:6eb6	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/RN/	signatory
3441d4f:1508ad6f828:7f5b	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/MYA/	correspondent member
3441d4f:1508ad6f828:7255	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-7b4a	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:6e12	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:7849	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-7438	http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/R/	permanent member
3441d4f:1508ad97479:-7698	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:7bc7	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7b23	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:77f5	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-73e4	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-6fa1	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad6f828:7751	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/TCH/	state accepting jurisdiction
3441d4f:1508ad97479:-7340	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:6cbd	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/B/	nonregional member
3441d4f:1508ad6f828:7d83	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:705c	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad97479:-79d8	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-7d06	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad97479:-7934	http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/AUS/	observer
3441d4f:1508ad97479:-7f66	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad97479:-723f	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-7cb2	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:6b39	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad97479:-78e0	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-749f	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:75fc	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-71eb	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:6d99	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/TUCA/	regional member
3441d4f:1508ad6f828:6ae5	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/EAK/	regional member
3441d4f:1508ad6f828:7b8a	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:7f1e	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-77df	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:7218	http://www.semwebtech.org/mondial/10/organization/GCTU/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-7b0d	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-773b	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-7d6d	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:7478	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-7067	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7eca	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:71c4	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad97479:-799b	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:7120	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-6e84	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RL/	observer
3441d4f:1508ad6f828:6fe1	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:77b8	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:7380	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-73a7	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:7714	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/MNG/	state accepting jurisdiction
3441d4f:1508ad97479:-7303	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:7d46	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:701f	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:7974	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-7563	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:76c0	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/NIC/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad6f828:727f	http://www.semwebtech.org/mondial/10/organization/G-7/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-7b95	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:6e3c	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:7cf2	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad97479:-7f29	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad97479:-78a3	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-7ed5	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:75bf	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/EAK/	national committee
3441d4f:1508ad97479:-71ae	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:751b	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-7e31	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-710a	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:7b4d	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-6fcb	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/AND/	member
3441d4f:1508ad6f828:777b	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-736a	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:6c64	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad97479:-795e	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-76aa	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/AXA/	associate member
3441d4f:1508ad6f828:73e7	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-7cdc	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:6fa4	http://www.semwebtech.org/mondial/10/organization/EADB/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:7343	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad6f828:6f00	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:7d09	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad97479:-7192	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad6f828:7937	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-7526	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:7f69	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/PY/	correspondent member
3441d4f:1508ad97479:-7b58	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:7cb5	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad97479:-7786	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:7c11	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:78e3	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-74d2	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:71ee	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:6dab	http://www.semwebtech.org/mondial/10/organization/BCIE/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:7e71	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/WS/	National Olympic Committee
3441d4f:1508ad6f828:714a	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/AND/	member
3441d4f:1508ad97479:-7a60	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:773e	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/YV/	state accepting jurisdiction
3441d4f:1508ad97479:-732d	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-7da0	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:6c27	http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:799e	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:7abc	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/C/	List C
3441d4f:1508ad97479:-758d	http://www.semwebtech.org/mondial/10/organization/UNMIT/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:76ea	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/MK/	state accepting jurisdiction
3441d4f:1508ad6f828:6e87	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/THA/	signatory
3441d4f:1508ad6f828:6bd3	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:7306	http://www.semwebtech.org/mondial/10/organization/G-8/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-78cd	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad97479:-7eff	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-71f9	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-7e5b	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:7566	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/AL/	national committee
3441d4f:1508ad97479:-7155	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad6f828:7b98	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:72b2	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad97479:-6f72	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-7749	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad6f828:6c8e	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:78a6	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:7ed8	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:7802	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-7ac7	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:7e34	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/JOR/	National Olympic Committee
3441d4f:1508ad97479:-76f5	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad6f828:710d	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/CI/	compliant countries
3441d4f:1508ad97479:-7a23	http://www.semwebtech.org/mondial/10/organization/OPEC/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-7651	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:6fce	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:736d	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-7c83	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RA/	observer
3441d4f:1508ad6f828:6f2a	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:7de0	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:76ad	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/BG/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fc3	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad6f828:7cdf	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:7c3b	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad97479:-74fc	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:6df6	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:7e9b	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/COM/	National Olympic Committee
3441d4f:1508ad6f828:7195	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-7a8a	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/RL/	observer
3441d4f:1508ad6f828:6d52	http://www.semwebtech.org/mondial/10/organization/Benelux/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:7529	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-7e1e	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7118	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad97479:-6fd9	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:7789	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad97479:-7378	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/TOK/	member
3441d4f:1508ad97479:-6f35	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:74d5	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad97479:-7dca	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-70c4	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:7431	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-7020	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:7a63	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad97479:-6ee1	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:7691	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad97479:-7280	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-76b8	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:6bfd	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad97479:-7614	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-7c46	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:7da3	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad97479:-7874	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:79d1	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-75c0	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-717f	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:72dc	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-7bf2	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-6f9c	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-74bf	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:782c	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-741b	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:6db9	http://www.semwebtech.org/mondial/10/organization/CACM/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7e5e	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/WL/	National Olympic Committee
3441d4f:1508ad6f828:7158	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-7a4d	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:6d15	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7baa	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-767b	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:6f75	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/V/	observer
3441d4f:1508ad6f828:6cc1	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/DK/	nonregional member
3441d4f:1508ad6f828:7060	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-79bb	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:76f8	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/CH/	state accepting jurisdiction
3441d4f:1508ad6f828:7a26	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7fed	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-72e7	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad97479:-6ea4	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:7654	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-7243	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:7c86	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad6f828:73a0	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:6b1c	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7c09	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-7837	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:6d7c	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/BVIR/	associate member
3441d4f:1508ad97479:-7e69	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad6f828:7fc6	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/BIH/	observer
3441d4f:1508ad97479:-7bb5	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad6f828:7f22	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-77e3	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-7b11	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-6f5f	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad6f828:74ff	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad97479:-70ee	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:745b	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad97479:-7d71	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-704a	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:7a8d	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/M/	List C
3441d4f:1508ad97479:-763e	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:6f38	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/E/	observer
3441d4f:1508ad6f828:7dcd	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:70c7	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/H/	cooperating state
3441d4f:1508ad97479:-789e	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:79fb	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:7023	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad97479:-75ea	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:6ee4	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:7283	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:6e40	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:7617	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad97479:-7f0c	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-7206	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:7c49	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:7877	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad97479:-7466	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:75c3	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/MNE/	having direct member
3441d4f:1508ad97479:-7a98	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/P/	observer
3441d4f:1508ad97479:-71b2	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:6d3f	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:7bf5	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:7b51	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:6f9f	http://www.semwebtech.org/mondial/10/organization/EAC/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-77a6	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:6ceb	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-7dd8	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/CN/	observer
3441d4f:1508ad6f828:708a	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-7702	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad6f828:741e	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-7d34	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-700d	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7962	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/NMIS/	member
3441d4f:1508ad97479:-6ece	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad97479:-7f94	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:767e	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-726d	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:73ca	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-7ce0	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:6b67	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:79be	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-75ad	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:791a	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad97479:-7bdf	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:6ea7	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/NZ/	signatory
3441d4f:1508ad6f828:7f4c	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/BRN/	observer
3441d4f:1508ad97479:-7b3b	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:7246	http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:6e03	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-7d9b	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-7095	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:71f2	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad97479:-7429	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:7bb8	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad97479:-7689	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/V/	member
3441d4f:1508ad6f828:7b14	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:77e6	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-73d5	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:7742	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/TN/	state accepting jurisdiction
3441d4f:1508ad97479:-7331	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad6f828:6cae	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad6f828:7d74	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:704d	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:6fc3	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:6c0a	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/NLSM/	observer
3441d4f:1508ad6f828:7ac0	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/ES/	List C
3441d4f:1508ad97479:-79c9	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-7591	http://www.semwebtech.org/mondial/10/organization/UNMIT/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-7925	http://www.semwebtech.org/mondial/10/organization/Sparteca/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad6f828:6e6a	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/LT/	signatory
3441d4f:1508ad97479:-7f57	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-7ca3	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad97479:-78d1	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:75ed	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-71dc	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad6f828:6ad6	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/EAT/	regional member
3441d4f:1508ad6f828:7b7b	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:7f0f	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:7209	http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-772c	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad6f828:6c92	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-7d5e	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:7469	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad97479:-7058	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-798c	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:7ebb	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:71b5	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-7aaa	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/B/	observer
3441d4f:1508ad6f828:7111	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/LB/	compliant countries
3441d4f:1508ad97479:-6e75	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:6fd2	http://www.semwebtech.org/mondial/10/organization/CEPGL/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:77a9	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:7371	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7705	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/SF/	state accepting jurisdiction
3441d4f:1508ad6f828:7d37	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-75f8	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:7965	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-7554	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:7f97	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:76b1	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/N/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7b86	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad97479:-72a0	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:6e2d	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad6f828:7ce3	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-7ec6	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:750c	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-7e22	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:7b3e	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-73ff	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-6fbc	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:776c	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-735b	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:6cf9	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:7d9e	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad6f828:7098	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:6c55	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:7aea	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RT/	List C
3441d4f:1508ad97479:-794f	http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/AFG/	observer
3441d4f:1508ad97479:-7ccd	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:73d8	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad6f828:7334	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-78fb	http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:7594	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/IL/	national committee
3441d4f:1508ad97479:-7183	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad6f828:7928	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:72e0	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-7517	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7b49	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:7ca6	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-7777	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:7c02	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:78d4	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-74c3	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:7830	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/KOS/	member
3441d4f:1508ad6f828:71df	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7af5	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:7e62	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/AMSA/	National Olympic Committee
3441d4f:1508ad6f828:713b	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-7a51	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-6e9f	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:6ffc	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:739b	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:772f	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/FJI/	state accepting jurisdiction
3441d4f:1508ad97479:-731e	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:6c18	http://www.semwebtech.org/mondial/10/organization/CAN/	http://www.semwebtech.org/mondial/10/country/E/	observer
3441d4f:1508ad6f828:7aad	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/ROK/	List C
3441d4f:1508ad6f828:798f	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-757e	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:76db	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/A/	accepting compulsory jurisdiction without reservations
3441d4f:1508ad97479:-7ff1	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-72ca	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:6e78	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/SF/	signatory
3441d4f:1508ad6f828:6bc4	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:6b20	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-78be	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad97479:-781a	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:6d80	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/MEX/	observer
3441d4f:1508ad6f828:7557	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad97479:-7e4c	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-7146	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:7b89	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:72a3	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-6f63	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-70f2	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:6c7f	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/RC/	member
3441d4f:1508ad6f828:7ec9	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7a91	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/PK/	List C
3441d4f:1508ad97479:-7ab8	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/E/	observer
3441d4f:1508ad6f828:7e25	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/K/	National Olympic Committee
3441d4f:1508ad97479:-76e6	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-7a14	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad97479:-7642	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:6fbf	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:735e	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/NL/	partner
3441d4f:1508ad97479:-7c74	http://www.semwebtech.org/mondial/10/organization/NIB/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:6f1b	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:7dd1	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:70aa	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-7fb4	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-7f10	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:7c2c	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:78fe	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-74ed	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:785a	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:6de7	http://www.semwebtech.org/mondial/10/organization/CSTO/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:7e8c	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RT/	National Olympic Committee
3441d4f:1508ad6f828:7186	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-7a7b	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/GQ/	observer
3441d4f:1508ad6f828:6d43	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7e0f	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-7109	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad97479:-7369	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-6f26	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:74c6	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7dbb	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/IND/	observer
3441d4f:1508ad97479:-70b5	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:7af8	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/SUD/	List C
3441d4f:1508ad6f828:7422	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad97479:-7011	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:7a54	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad97479:-6ed2	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad6f828:7682	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-76a9	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/ARU/	associate member
3441d4f:1508ad97479:-7271	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:6bee	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-7605	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:6b4a	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-7c37	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-7865	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad6f828:79c2	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-7e97	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad97479:-75b1	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad6f828:7ff4	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:72cd	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-7be3	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:7f50	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/Q/	observer
3441d4f:1508ad97479:-6f8d	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:781d	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad97479:-740c	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:7e4f	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/CAYM/	National Olympic Committee
3441d4f:1508ad6f828:7149	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-7a3e	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:6d06	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-766c	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-7c9e	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:6f66	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:7dfb	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/UA/	National Olympic Committee
3441d4f:1508ad6f828:70f5	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/S/	stake holder
3441d4f:1508ad6f828:6cb2	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad6f828:7051	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-79ac	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:7a17	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:76e9	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/GR/	state accepting jurisdiction
3441d4f:1508ad97479:-7fde	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-72d8	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad97479:-7f3a	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:7645	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-7234	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:7c77	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:6b0d	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-7494	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:75f1	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-7828	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-71e0	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:6d6d	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:7fb7	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad97479:-7ba6	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:7f13	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-77d4	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad97479:-7b02	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-7730	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-70df	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:744c	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad97479:-7d62	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad97479:-703b	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:7a7e	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/KWT/	List B
3441d4f:1508ad97479:-7990	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-6efc	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-729b	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-762f	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:6b95	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:7dbe	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:6f29	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/SP/	candidate
3441d4f:1508ad6f828:70b8	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-788f	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:7d1a	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:79ec	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:7014	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-75db	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:6ed5	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:7f7a	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/WAL/	correspondent member
3441d4f:1508ad6f828:7274	http://www.semwebtech.org/mondial/10/organization/G-3/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:6e31	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:7608	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad6f828:7868	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-7457	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-71a3	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:75b4	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/ROU/	national committee
3441d4f:1508ad97479:-7a89	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/J/	observer
3441d4f:1508ad6f828:7be6	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:7510	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:7b42	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-6fc0	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:7770	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:6cdc	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/NZ/	dialogue partner
3441d4f:1508ad97479:-7dc9	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:707b	http://www.semwebtech.org/mondial/10/organization/EFTA/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-79f7	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:740f	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-7d25	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-7953	http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-6ebf	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:766f	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-7f85	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-725e	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:73bb	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad97479:-7cd1	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad6f828:6b58	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:79af	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:790b	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-77fe	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:7f3d	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad97479:-7b2c	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad6f828:7237	http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-775a	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:7497	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-7d8c	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad97479:-7086	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:71e3	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:6da0	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/CDN/	nonregional member
3441d4f:1508ad6f828:7ba9	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:7b05	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/WAL/	List C
3441d4f:1508ad6f828:77d7	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad97479:-73c6	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:7733	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/VU/	state accepting jurisdiction
3441d4f:1508ad97479:-7322	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:7d65	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:703e	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7ab1	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RP/	List C
3441d4f:1508ad6f828:7993	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-7582	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:6eff	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:729e	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-7916	http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:6e5b	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/MK/	signatory
3441d4f:1508ad97479:-7f48	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-78c2	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:75de	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/SUD/	having direct member
3441d4f:1508ad97479:-7ef4	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-71cd	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:753a	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-7e50	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:6ac7	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/RCB/	regional member
3441d4f:1508ad6f828:7b6c	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-6fea	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:779a	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-771d	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:6c83	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-7d4f	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-7049	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad6f828:7eac	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/MS/	National Olympic Committee
3441d4f:1508ad6f828:71a6	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-797d	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:7102	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/IRQ/	compliant countries
3441d4f:1508ad97479:-6e66	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7cfb	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:7362	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/IRL/	partner
3441d4f:1508ad6f828:7d28	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-75e9	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad6f828:7956	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad97479:-7545	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:7f88	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/AND/	member
3441d4f:1508ad6f828:76a2	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/GR/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7b77	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:6e1e	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:7cd4	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7c30	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-74f1	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:6dca	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/ROK/	observer
3441d4f:1508ad6f828:7e90	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/CI/	National Olympic Committee
3441d4f:1508ad97479:-7eb7	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-7e13	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:7b2f	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad97479:-6fad	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:775d	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/LS/	state accepting jurisdiction
3441d4f:1508ad97479:-734c	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:7d8f	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7089	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:6c46	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:7adb	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/GUY/	List C
3441d4f:1508ad6f828:6bf2	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:73c9	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-7cbe	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-78ec	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:7325	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-7c1a	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7e7a	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad6f828:7585	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/IRL/	national committee
3441d4f:1508ad97479:-7174	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:7919	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:72d1	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7508	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-6f91	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad97479:-7768	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:78c5	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad97479:-74b4	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:7ef7	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:7821	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/HONX/	subbureau
3441d4f:1508ad97479:-7ae6	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-7410	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:7e53	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/C/	National Olympic Committee
3441d4f:1508ad6f828:712c	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-7a42	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7670	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:6fed	http://www.semwebtech.org/mondial/10/organization/EurasEC/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:738c	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-730f	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:6c09	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/CUR/	observer
3441d4f:1508ad97479:-79b0	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-756f	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:76cc	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/CI/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fe2	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-72bb	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:6e69	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/LV/	signatory
3441d4f:1508ad6f828:7cfe	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:6bb5	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:7c5a	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:6b11	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-78af	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-780b	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad6f828:6d71	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad6f828:7548	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-7e3d	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7137	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-6ff8	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-7397	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/MNTS/	member
3441d4f:1508ad97479:-6f54	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:74f4	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-70e3	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:7450	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:7a82	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/YV/	List B
3441d4f:1508ad97479:-7aa9	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/L/	observer
3441d4f:1508ad6f828:7e16	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/TAD/	National Olympic Committee
3441d4f:1508ad97479:-76d7	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-7a05	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/J/	partner
3441d4f:1508ad97479:-7633	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:734f	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-7c65	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:6f0c	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/UA/	observer
3441d4f:1508ad6f828:7dc2	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-7893	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:79f0	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-719e	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:72fb	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad97479:-7fa5	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad97479:-7f01	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:7c1d	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:78ef	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-74de	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:784b	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-743a	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:6dd8	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7e7d	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/DZ/	National Olympic Committee
3441d4f:1508ad6f828:7177	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad97479:-7a6c	http://www.semwebtech.org/mondial/10/organization/OECS/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:6d34	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/HONX/	member
3441d4f:1508ad97479:-769a	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:6f94	http://www.semwebtech.org/mondial/10/organization/Entente/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:6ce0	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-6f17	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:74b7	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-7dac	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-70a6	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:7ae9	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/BF/	List C
3441d4f:1508ad6f828:7413	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-79da	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-7002	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:7a45	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-6ec3	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:7673	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7262	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:6bdf	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:6b3b	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad97479:-7c28	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-75a2	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-7856	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-7e88	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:6d9b	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/YV/	regional member
3441d4f:1508ad6f828:79b3	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/KOS/	member
3441d4f:1508ad6f828:7fe5	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:72be	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-7bd4	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/AND/	member
3441d4f:1508ad97479:-7b30	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:7f41	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:721a	http://www.semwebtech.org/mondial/10/organization/GCTU/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-6f7e	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:747a	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-7d90	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:780e	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad97479:-7a2f	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-765d	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:77ba	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad97479:-7c8f	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/MNE/	observer
3441d4f:1508ad6f828:6f57	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:7dec	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/F/	National Olympic Committee
3441d4f:1508ad6f828:70e6	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/MK/	candidate
3441d4f:1508ad6f828:6ca3	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:7042	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad97479:-7fcf	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:7a08	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-72c9	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:7636	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-7f2b	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad97479:-7225	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:7c68	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:7896	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad97479:-7485	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:75e2	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/EAU/	having direct member
3441d4f:1508ad97479:-7819	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-71d1	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:6d5e	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:7fa8	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:7b70	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:7f04	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-77c5	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-7721	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-7df7	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:743d	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad97479:-7d53	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-702c	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:7eb0	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:7a6f	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/EW/	List A
3441d4f:1508ad97479:-7981	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-6eed	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:769d	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-728c	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:6b86	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad6f828:7daf	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:70a9	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:7d0b	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:79dd	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:7005	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-75cc	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-7bfe	http://www.semwebtech.org/mondial/10/organization/GUAM/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:6ec6	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/MS/	signatory
3441d4f:1508ad6f828:7f6b	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/SME/	correspondent member
3441d4f:1508ad6f828:7265	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-7b5a	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:6e22	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad6f828:7859	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-7448	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:75a5	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/MEX/	national committee
3441d4f:1508ad6f828:7bd7	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad6f828:7501	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:7b33	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad97479:-73f4	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-6fb1	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:7761	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/SY/	state accepting jurisdiction
3441d4f:1508ad97479:-7350	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:6ccd	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:7d93	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/CUR/	member
3441d4f:1508ad6f828:706c	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-79e8	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad97479:-7d16	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad97479:-7944	http://www.semwebtech.org/mondial/10/organization/SACEP/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-7f76	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad97479:-724f	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:73ac	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-7cc2	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:6b49	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-78f0	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-71fb	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:6af5	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/A/	nonregional member
3441d4f:1508ad6f828:7b9a	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:7f2e	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad97479:-77ef	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:7228	http://www.semwebtech.org/mondial/10/organization/G-10/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-7b1d	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-774b	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7488	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-7d7d	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-7077	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:7eda	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:71d4	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:7130	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-6e94	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:6ff1	http://www.semwebtech.org/mondial/10/organization/EurasEC/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:77c8	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:7390	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-73b7	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:7724	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/WD/	state accepting jurisdiction
3441d4f:1508ad97479:-7313	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7d56	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:702f	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:7aa2	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/KGZ/	List C
3441d4f:1508ad6f828:7984	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-7573	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:76d0	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/DJI/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad6f828:728f	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-7907	http://www.semwebtech.org/mondial/10/organization/Mercosur/	http://www.semwebtech.org/mondial/10/country/RCH/	associate member
3441d4f:1508ad6f828:6e4c	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad97479:-7f39	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-78b3	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:75cf	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/MYA/	having direct member
3441d4f:1508ad97479:-7ee5	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad97479:-71be	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:752b	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-7e41	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-711a	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/V/	member
3441d4f:1508ad6f828:7b5d	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-6fdb	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:778b	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-737a	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-770e	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:6c74	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad97479:-796e	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-76ba	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-6e57	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:73f7	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-7cec	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:6fb4	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:7353	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:6f10	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/J/	observer
3441d4f:1508ad6f828:7d19	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:7947	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad97479:-7536	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7f79	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/WAG/	correspondent member
3441d4f:1508ad97479:-7b68	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:6e0f	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:7cc5	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-7796	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:7c21	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:78f3	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-74e2	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:71fe	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:6dbb	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad97479:-7ea8	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:7e81	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/MA/	National Olympic Committee
3441d4f:1508ad6f828:715a	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-7a70	http://www.semwebtech.org/mondial/10/organization/OAPEC/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7e04	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:774e	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/BI/	state accepting jurisdiction
3441d4f:1508ad97479:-733d	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad97479:-7db0	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:6c37	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:7acc	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/MH/	List C
3441d4f:1508ad97479:-759d	http://www.semwebtech.org/mondial/10/organization/UNITAR/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:76fa	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/LT/	state accepting jurisdiction
3441d4f:1508ad6f828:6e97	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/BZ/	signatory
3441d4f:1508ad6f828:6be3	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-7caf	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-78dd	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:7316	http://www.semwebtech.org/mondial/10/organization/GCC/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad97479:-7c0b	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:7576	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/R/	national committee
3441d4f:1508ad97479:-7e6b	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-7165	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:72c2	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad97479:-6f82	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad97479:-7759	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:6c9e	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:78b6	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-74a5	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:7ee8	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:7812	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-7ad7	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-7401	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:7e44	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/AG/	National Olympic Committee
3441d4f:1508ad6f828:711d	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/RG/	candidate countries
3441d4f:1508ad97479:-7a33	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-7661	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:6fde	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:737d	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-7c93	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:6f3a	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/D/	observer
3441d4f:1508ad6f828:7df0	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/D/	National Olympic Committee
3441d4f:1508ad97479:-79a1	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:76bd	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/BDS/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fd3	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-72ac	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:7cef	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad6f828:6ba6	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:7c4b	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:6b02	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/IND/	nonregional member
3441d4f:1508ad97479:-7a9a	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/IRL/	observer
3441d4f:1508ad6f828:6d62	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/D/	observer
3441d4f:1508ad6f828:7539	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-7e2e	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-7128	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-6fe9	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:7799	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad97479:-7388	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-6f45	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:74e5	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-7dda	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/RSM/	observer
3441d4f:1508ad97479:-70d4	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad6f828:7441	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-7030	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:7a73	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/IS/	List A
3441d4f:1508ad97479:-6ef1	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:7e07	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/SF/	National Olympic Committee
3441d4f:1508ad97479:-76c8	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad97479:-7290	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-7624	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7c56	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:7db3	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-7884	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad6f828:79e1	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-75d0	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-718f	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:72ec	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:7c0e	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-74cf	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:783c	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-742b	http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/TCH/	nonpermanent member
3441d4f:1508ad6f828:7e6e	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/TO/	National Olympic Committee
3441d4f:1508ad6f828:6dc9	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/J/	observer
3441d4f:1508ad6f828:7168	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad97479:-7a5d	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:6d25	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7bba	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad97479:-768b	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:6f85	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:6cd1	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-6f08	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:74a8	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:7070	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:7404	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-79cb	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7a36	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-7ffd	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad97479:-72f7	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad97479:-6eb4	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:7664	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7253	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:7c96	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad6f828:73b0	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:6b2c	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad97479:-7c19	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad97479:-7847	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:6d8c	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/MEX/	regional member
3441d4f:1508ad6f828:79a4	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad97479:-7e79	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:7fd6	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7900	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad6f828:72af	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-7bc5	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-77f3	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:7f32	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:720b	http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-7b21	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad97479:-6f6f	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-70fe	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:746b	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-7d81	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-705a	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:7a9d	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/THA/	List C
3441d4f:1508ad97479:-764e	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:77ab	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:6f48	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:7ddd	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:70d7	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:7033	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-75fa	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:6ef4	http://www.semwebtech.org/mondial/10/organization/CPLP/	http://www.semwebtech.org/mondial/10/country/MS/	associate observer
3441d4f:1508ad6f828:7293	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:6e50	http://www.semwebtech.org/mondial/10/organization/CIS/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7627	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-7f1c	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad97479:-7216	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:7c59	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:7887	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-7476	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:75d3	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/IRQ/	having direct member
3441d4f:1508ad97479:-71c2	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:6d4f	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7b61	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-77b6	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad6f828:6cfb	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad97479:-7de8	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:709a	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-7712	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:742e	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-7d44	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-701d	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:7ea1	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/SP/	National Olympic Committee
3441d4f:1508ad97479:-7972	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-6ede	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:768e	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-727d	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:73da	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7cf0	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:6b77	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:79ce	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-75bd	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:792a	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad97479:-7bef	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:6eb7	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/TN/	signatory
3441d4f:1508ad6f828:7f5c	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/BHT/	correspondent member
3441d4f:1508ad6f828:7256	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-7b4b	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:6e13	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad97479:-7439	http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/F/	permanent member
3441d4f:1508ad6f828:7bc8	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-7699	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:7b24	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:77f6	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-73e5	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-6fa2	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:7752	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/G/	state accepting jurisdiction
3441d4f:1508ad97479:-7341	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:6cbe	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/L/	nonregional member
3441d4f:1508ad6f828:7d84	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:705d	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:6c1a	http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:7ad0	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/TO/	List C
3441d4f:1508ad97479:-79d9	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad97479:-7d07	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-7935	http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/USA/	observer
3441d4f:1508ad6f828:6e7a	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/S/	signatory
3441d4f:1508ad97479:-7f67	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-7cb3	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-78e1	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:75fd	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-71ec	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:6ae6	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/WAG/	regional member
3441d4f:1508ad6f828:7b8b	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:7f1f	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:7219	http://www.semwebtech.org/mondial/10/organization/GCTU/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-7b0e	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-773c	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad97479:-7d6e	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:7479	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7068	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:7ecb	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-799c	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:71c5	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7aba	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/SRB/	observer
3441d4f:1508ad6f828:7121	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-6e85	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/SYR/	observer
3441d4f:1508ad6f828:6fe2	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:77b9	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:7381	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad97479:-73a8	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:7715	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/CY/	state accepting jurisdiction
3441d4f:1508ad97479:-7304	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:7d47	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:7975	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-7564	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-72b0	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:76c1	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/PA/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7b96	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:6e3d	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:7cf3	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-78a4	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-7800	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad97479:-7ed6	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/KOS/	member
3441d4f:1508ad97479:-71af	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:751c	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad97479:-7e32	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-710b	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:7b4e	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-6fcc	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:777c	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad97479:-736b	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad6f828:6c65	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:7afa	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/COM/	List C
3441d4f:1508ad97479:-795f	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad97479:-76ab	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/MACX/	associate member
3441d4f:1508ad97479:-7cdd	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:73e8	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:6fa5	http://www.semwebtech.org/mondial/10/organization/EADB/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:7344	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:6f01	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-7193	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:7938	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:72f0	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad97479:-7527	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7b59	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:7cb6	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-7787	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:7c12	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:78e4	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-74d3	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:7840	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:71ef	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad6f828:6dac	http://www.semwebtech.org/mondial/10/organization/BCIE/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:7e72	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RA/	National Olympic Committee
3441d4f:1508ad6f828:714b	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-7a61	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:773f	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/EC/	state accepting jurisdiction
3441d4f:1508ad97479:-732e	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-7da1	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:6c28	http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:7abd	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/WD/	List C
3441d4f:1508ad6f828:799f	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-758e	http://www.semwebtech.org/mondial/10/organization/UNMIT/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:76eb	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/SRB/	state accepting jurisdiction
3441d4f:1508ad97479:-72da	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:6e88	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/MNG/	signatory
3441d4f:1508ad6f828:6bd4	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad6f828:6b30	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:7307	http://www.semwebtech.org/mondial/10/organization/G-8/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-78ce	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad97479:-782a	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:6d90	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/RH/	regional member
3441d4f:1508ad6f828:7567	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/GR/	national committee
3441d4f:1508ad97479:-7e5c	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-7156	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:7b99	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:72b3	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-6f73	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:6c8f	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:78a7	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad6f828:7ed9	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:7803	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-7ac8	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-76f6	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad6f828:7e35	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/KWT/	National Olympic Committee
3441d4f:1508ad6f828:710e	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/GH/	compliant countries
3441d4f:1508ad97479:-7a24	http://www.semwebtech.org/mondial/10/organization/OPEC/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7652	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:6fcf	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:736e	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-7c84	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/ES/	observer
3441d4f:1508ad6f828:6f2b	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:7de1	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:70ba	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:76ae	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/DK/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fc4	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:760a	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad97479:-7f20	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad6f828:7c3c	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-74fd	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:786a	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:6df7	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:7e9c	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RG/	National Olympic Committee
3441d4f:1508ad97479:-7a8b	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/SA/	observer
3441d4f:1508ad6f828:7196	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:6d53	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-7119	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-7e1f	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-7379	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad97479:-6f36	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad6f828:74d6	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-7dcb	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-70c5	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:7432	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-7021	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7a64	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/GR/	List A
3441d4f:1508ad97479:-6ee2	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:7692	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad97479:-76b9	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-7281	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:6bfe	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-7615	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:6b5a	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-7c47	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7da4	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-7875	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:7d00	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:79d2	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-75c1	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:72dd	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-7bf3	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:7f60	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/HONX/	correspondent member
3441d4f:1508ad97479:-6f9d	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:782d	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-741c	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:7e5f	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/WV/	National Olympic Committee
3441d4f:1508ad6f828:7159	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-7a4e	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:6d16	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7bab	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-767c	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:6f76	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/IL/	observer
3441d4f:1508ad6f828:6cc2	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/SF/	nonregional member
3441d4f:1508ad6f828:7061	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-79bc	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:7a27	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:76f9	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/LV/	state accepting jurisdiction
3441d4f:1508ad97479:-7fee	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-72e8	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-6ea5	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:7655	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-7f4a	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-7244	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:7c87	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:73a1	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:6b1d	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-7838	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-71f0	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:6d7d	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/CAYM/	associate member
3441d4f:1508ad6f828:7fc7	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/HR/	observer
3441d4f:1508ad97479:-7bb6	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:7f23	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-77e4	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-7b12	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-7740	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-70ef	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:745c	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad97479:-7d72	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-704b	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:7a8e	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/MD/	List C
3441d4f:1508ad97479:-763f	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:6f39	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/A/	observer
3441d4f:1508ad6f828:7dce	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:70c8	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/SLO/	cooperating state
3441d4f:1508ad97479:-789f	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:7d2a	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:79fc	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad6f828:7024	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad97479:-75eb	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad6f828:6ee5	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:7f8a	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:7284	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:6e41	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:7618	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad97479:-7f0d	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-7207	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:7878	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad97479:-7467	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:75c4	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/AND/	having direct member
3441d4f:1508ad97479:-7a99	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/M/	observer
3441d4f:1508ad97479:-71b3	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:7bf6	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:7520	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad6f828:7b52	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-6fd0	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:7780	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-77a7	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:6cec	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-7dd9	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/P/	observer
3441d4f:1508ad6f828:708b	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-7703	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-7d35	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:741f	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-700e	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-7963	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/NIUE/	member
3441d4f:1508ad97479:-6ecf	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:767f	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-7f95	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/AND/	member
3441d4f:1508ad97479:-726e	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:73cb	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-7ce1	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:6b68	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:79bf	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-75ae	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:791b	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad97479:-750a	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:6ea8	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/RA/	signatory
3441d4f:1508ad6f828:7f4d	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/BHT/	observer
3441d4f:1508ad6f828:7247	http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-7b3c	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:6e04	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-776a	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-7d9c	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad97479:-7096	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:71f3	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:6db0	http://www.semwebtech.org/mondial/10/organization/BCIE/	http://www.semwebtech.org/mondial/10/country/RC/	nonregional member
3441d4f:1508ad6f828:7bb9	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:7b15	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:77e7	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-73d6	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:7743	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/RCB/	state accepting jurisdiction
3441d4f:1508ad97479:-7332	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/HELX/	member
3441d4f:1508ad6f828:6caf	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad6f828:7d75	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:704e	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:6c0b	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/PR/	observer
3441d4f:1508ad6f828:7ac1	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/HCA/	List C
3441d4f:1508ad97479:-7592	http://www.semwebtech.org/mondial/10/organization/UNMIT/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7926	http://www.semwebtech.org/mondial/10/organization/Sparteca/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad6f828:6e6b	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/PL/	signatory
3441d4f:1508ad97479:-7f58	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad97479:-7ca4	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-78d2	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-7c00	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:75ee	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-71dd	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:754a	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad97479:-7e60	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:6ad7	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/CAM/	regional member
3441d4f:1508ad6f828:7b7c	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-6ffa	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-772d	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:6c93	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad97479:-7d5f	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-7059	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:7ebc	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-798d	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:71b6	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-7aab	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/R/	observer
3441d4f:1508ad6f828:7112	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/MOC/	compliant countries
3441d4f:1508ad97479:-6e76	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:6fd3	http://www.semwebtech.org/mondial/10/organization/CEPGL/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:7372	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7706	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/N/	state accepting jurisdiction
3441d4f:1508ad6f828:7d38	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-75f9	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:7966	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad97479:-7555	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:7f98	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:76b2	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/S/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-72a1	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7b87	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:6e2e	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:7ce4	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:7c40	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:6dda	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-7ec7	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:750d	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-7e23	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:7b3f	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad97479:-6fbd	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:776d	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-735c	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:7d9f	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:7099	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:6c56	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:7aeb	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RB/	List C
3441d4f:1508ad6f828:73d9	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-7cce	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-78fc	http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:7335	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad97479:-7c2a	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:7595	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/ET/	national committee
3441d4f:1508ad97479:-7e8a	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-7184	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad6f828:7929	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:72e1	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7518	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7ca7	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-7778	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:7c03	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:78d5	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad97479:-74c4	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:7831	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-7af6	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-7420	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:7e63	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/AUS/	National Olympic Committee
3441d4f:1508ad6f828:713c	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-7a52	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-7680	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:6ffd	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:739c	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-731f	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:6c19	http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:7aae	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/MV/	List C
3441d4f:1508ad97479:-79c0	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-757f	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7a0a	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:76dc	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/L/	accepting compulsory jurisdiction without reservations
3441d4f:1508ad97479:-7ff2	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-72cb	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:6e79	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/N/	signatory
3441d4f:1508ad6f828:6bc5	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:7c6a	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:6b21	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-78bf	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad97479:-781b	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:6d81	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/DOM/	observer
3441d4f:1508ad6f828:7558	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-7e4d	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-7147	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:7faa	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:72a4	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:7200	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-6f64	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-70f3	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:7460	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:7a92	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/TAD/	List C
3441d4f:1508ad97479:-7ab9	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/F/	observer
3441d4f:1508ad6f828:7e26	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/VN/	National Olympic Committee
3441d4f:1508ad97479:-76e7	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-7a15	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad97479:-7643	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:77a0	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:735f	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/DK/	partner
3441d4f:1508ad97479:-7c75	http://www.semwebtech.org/mondial/10/organization/NIB/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:6f1c	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:7dd2	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:70ab	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-7fb5	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-7f11	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:7c2d	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:78ff	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-74ee	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:785b	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-744a	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:6de8	http://www.semwebtech.org/mondial/10/organization/CSTO/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:7e8d	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RB/	National Olympic Committee
3441d4f:1508ad6f828:7187	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-7a7c	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/GH/	observer
3441d4f:1508ad6f828:6d44	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:6cf0	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-6f27	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:74c7	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad97479:-7dbc	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad97479:-70b6	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:7af9	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/SSD/	List C
3441d4f:1508ad6f828:7423	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-79ea	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-7012	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad6f828:7a55	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad97479:-6ed3	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad6f828:7683	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-7272	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:6bef	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad97479:-7606	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:6b4b	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-7c38	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad97479:-7866	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:79c3	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-7e98	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RC/	member
3441d4f:1508ad97479:-75b2	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:7ff5	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:72ce	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-7be4	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:7f51	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/C/	observer
3441d4f:1508ad6f828:722a	http://www.semwebtech.org/mondial/10/organization/G-10/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-7b40	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-6f8e	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:748a	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:781e	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-740d	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-7a3f	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:6d07	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-766d	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:77ca	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad97479:-7c9f	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:6f67	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7dfc	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/R/	National Olympic Committee
3441d4f:1508ad6f828:70f6	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/GB/	stake holder
3441d4f:1508ad6f828:6cb3	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad6f828:7052	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad97479:-79ad	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:7a18	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-7fdf	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-72d9	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad97479:-7f3b	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:7646	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-7235	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad6f828:7c78	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:6b0e	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-7495	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:75f2	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-7829	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-71e1	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:6d6e	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:7fb8	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:7b80	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-7ba7	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:7f14	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-77d5	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad97479:-7b03	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-7731	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:744d	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad97479:-7d63	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad97479:-703c	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:7ec0	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:7a7f	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/SA/	List B
3441d4f:1508ad97479:-7991	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-6efd	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-729c	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:6b96	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:7dbf	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:70b9	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7d1b	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:79ed	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-75dc	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7015	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:6ed6	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7f7b	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/LS/	correspondent member
3441d4f:1508ad6f828:7275	http://www.semwebtech.org/mondial/10/organization/G-3/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-7b6a	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:6e32	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:7609	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:7869	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-7458	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:75b5	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/EC/	national committee
3441d4f:1508ad97479:-7eaa	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-71a4	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:7be7	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:7511	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-7100	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:7b43	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-6fc1	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:7771	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-7360	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad6f828:6cdd	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/TL/	observer
3441d4f:1508ad6f828:707c	http://www.semwebtech.org/mondial/10/organization/EFTA/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-79f8	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-7d26	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-7954	http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad97479:-7f86	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-76a0	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-725f	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:73bc	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad97479:-7cd2	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:6b59	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:790c	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:7f3e	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad97479:-77ff	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:7238	http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-7b2d	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-775b	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:7498	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-7d8d	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7087	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:7eea	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:71e4	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:6da1	http://www.semwebtech.org/mondial/10/organization/BDEAC/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:7140	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:7b06	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/EAU/	List C
3441d4f:1508ad6f828:77d8	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-73c7	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:7734	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/WS/	state accepting jurisdiction
3441d4f:1508ad97479:-7323	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7d66	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:703f	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:7ab2	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/CL/	List C
3441d4f:1508ad6f828:7994	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-7583	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:76e0	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/CR/	accepting compulsory jurisdiction without reservations
3441d4f:1508ad6f828:729f	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-7917	http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:6e5c	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/SRB/	signatory
3441d4f:1508ad97479:-7f49	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-78c3	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:75df	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/LB/	having direct member
3441d4f:1508ad97479:-7ef5	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad97479:-71ce	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:753b	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-7e51	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad97479:-712a	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:6ac8	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/NAM/	regional member
3441d4f:1508ad6f828:7b6d	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-6feb	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:779b	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad97479:-738a	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/VIRG/	member
3441d4f:1508ad97479:-771e	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:6c84	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:7ead	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/SD/	National Olympic Committee
3441d4f:1508ad6f828:71a7	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-797e	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:7103	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/YE/	compliant countries
3441d4f:1508ad97479:-76ca	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-6e67	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-7cfc	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad6f828:6fc4	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7363	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/GB/	partner
3441d4f:1508ad6f828:6f20	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:7d29	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:7957	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad97479:-7546	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:7f89	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:76a3	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/E/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7b78	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad6f828:6e1f	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:7cd5	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:7c31	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad97479:-74f2	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:6dcb	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/MEX/	observer
3441d4f:1508ad97479:-7eb8	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/V/	member
3441d4f:1508ad6f828:7e91	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/GH/	National Olympic Committee
3441d4f:1508ad6f828:716a	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad97479:-7a80	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/TN/	observer
3441d4f:1508ad97479:-7e14	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-6fae	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:775e	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/RM/	state accepting jurisdiction
3441d4f:1508ad97479:-734d	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad97479:-6f0a	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:74aa	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad97479:-7dc0	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:6c47	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:7adc	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/SME/	List C
3441d4f:1508ad6f828:6bf3	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/COOK/	member
3441d4f:1508ad97479:-7cbf	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-78ed	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-7c1b	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:7326	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:7586	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/P/	national committee
3441d4f:1508ad97479:-7e7b	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-7175	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:72d2	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-7509	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-6f92	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-7769	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:78c6	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad97479:-74b5	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:7ef8	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:7822	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/MACX/	subbureau
3441d4f:1508ad97479:-7411	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-7ae7	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:7e54	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/WD/	National Olympic Committee
3441d4f:1508ad6f828:712d	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-7a43	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:7ba0	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-7671	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:6fee	http://www.semwebtech.org/mondial/10/organization/EurasEC/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:738d	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:6f4a	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-79b1	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:76cd	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/SUD/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fe3	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad97479:-72bc	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:7cff	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:6bb6	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:7c5b	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:6b12	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-780c	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:6d72	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad6f828:7549	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-7e3e	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-7138	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-6ff9	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-7398	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/MART/	member
3441d4f:1508ad97479:-6f55	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:74f5	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-7dea	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-70e4	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:7451	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-7040	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:7a83	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/DZ/	List B
3441d4f:1508ad6f828:7e17	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/TM/	National Olympic Committee
3441d4f:1508ad97479:-76d8	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-7a06	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/RI/	partner
3441d4f:1508ad97479:-7634	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7c66	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:6f0d	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/BD/	observer
3441d4f:1508ad6f828:7dc3	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-7894	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:79f1	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-719f	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-75e0	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:72fc	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad97479:-7fa6	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad97479:-7f02	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:7c1e	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-74df	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:784c	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad97479:-743b	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:6dd9	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7e7e	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/LAR/	National Olympic Committee
3441d4f:1508ad6f828:7178	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad97479:-7a6d	http://www.semwebtech.org/mondial/10/organization/OECS/	http://www.semwebtech.org/mondial/10/country/BVIR/	member
3441d4f:1508ad6f828:6d35	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:7bca	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-769b	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:6f95	http://www.semwebtech.org/mondial/10/organization/D-8/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-6f18	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:6ce1	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-7dad	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:74b8	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7080	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-70a7	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:7414	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-79db	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-7003	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:7a46	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-6ec4	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:7674	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-7263	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:73c0	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:6b3c	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-7c29	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-7857	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:6d9c	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/D/	nonregional member
3441d4f:1508ad6f828:79b4	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-75a3	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad97479:-7e89	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:7fe6	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:7910	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:72bf	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad97479:-7bd5	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:7f42	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:721b	http://www.semwebtech.org/mondial/10/organization/GCTU/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad97479:-7b31	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad97479:-6f7f	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:747b	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-7d91	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-706a	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:780f	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad97479:-765e	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:77bb	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad97479:-73aa	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/BERM/	member
3441d4f:1508ad6f828:6f58	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:7ded	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/E/	National Olympic Committee
3441d4f:1508ad6f828:70e7	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/SRB/	candidate
3441d4f:1508ad6f828:6ca4	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad6f828:7043	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:6c00	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad6f828:7a09	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:6e60	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/A/	signatory
3441d4f:1508ad6f828:7637	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-7f2c	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-7226	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad6f828:7c69	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7897	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad97479:-7486	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:75e3	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/MOC/	having direct member
3441d4f:1508ad97479:-71d2	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:6d5f	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/F/	observer
3441d4f:1508ad6f828:7fa9	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:7b71	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:7f05	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-77c6	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad97479:-7df8	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-7722	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:743e	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad97479:-7d54	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-702d	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:7eb1	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-7982	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-7aa0	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/SF/	observer
3441d4f:1508ad97479:-6eee	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:769e	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-728d	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad6f828:73ea	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:6b87	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/NIUE/	member
3441d4f:1508ad6f828:7d0c	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/COOK/	member
3441d4f:1508ad6f828:79de	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:7006	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-75cd	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad6f828:793a	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-7bff	http://www.semwebtech.org/mondial/10/organization/GUAM/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:6ec7	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/STP/	signatory
3441d4f:1508ad6f828:7f6c	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/RIM/	correspondent member
3441d4f:1508ad6f828:7266	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-7b5b	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:6e23	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad97479:-7449	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:75a6	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/CDN/	national committee
3441d4f:1508ad6f828:7bd8	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:7502	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7b34	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad97479:-73f5	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-6fb2	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:7762	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-7351	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:6cce	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:7d94	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/NLSM/	member
3441d4f:1508ad6f828:706d	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:6c2a	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:7ae0	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/MA/	List C
3441d4f:1508ad97479:-79e9	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad97479:-7d17	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad97479:-7945	http://www.semwebtech.org/mondial/10/organization/SACEP/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:6e8a	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/CY/	signatory
3441d4f:1508ad97479:-7f77	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:73ad	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad97479:-7cc3	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-78f1	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-71fc	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:6af6	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/D/	nonregional member
3441d4f:1508ad6f828:7b9b	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:7f2f	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:7229	http://www.semwebtech.org/mondial/10/organization/G-10/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-7b1e	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-774c	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:7489	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-7d7e	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad97479:-7078	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:7edb	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:71d5	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-7aca	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad6f828:7131	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad97479:-6e95	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:6ff2	http://www.semwebtech.org/mondial/10/organization/EurasEC/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:77c9	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:7391	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-73b8	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad6f828:7725	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/DOM/	state accepting jurisdiction
3441d4f:1508ad97479:-7314	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7d57	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:7aa3	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/MNG/	List C
3441d4f:1508ad6f828:7985	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-7574	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:76d1	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/SP/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7908	http://www.semwebtech.org/mondial/10/organization/Mercosur/	http://www.semwebtech.org/mondial/10/country/CO/	associate member
3441d4f:1508ad97479:-72c0	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:6e4d	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad97479:-78b4	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-71bf	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad97479:-7ee6	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad97479:-7810	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:752c	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-7e42	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-711b	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad6f828:7b5e	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-6fdc	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:778c	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-737b	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad97479:-770f	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:6c75	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-796f	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/AMSA/	member
3441d4f:1508ad97479:-76bb	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad97479:-6e58	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:73f8	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad97479:-7ced	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:6fb5	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:7354	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:6f11	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/RP/	observer
3441d4f:1508ad6f828:70a0	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7948	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad97479:-7537	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-7b69	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:7cc6	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-7797	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:7c22	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:78f4	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-74e3	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:7850	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:71ff	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:6dbc	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-7a71	http://www.semwebtech.org/mondial/10/organization/OAPEC/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:7e82	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RN/	National Olympic Committee
3441d4f:1508ad97479:-7ea9	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:715b	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-7e05	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:774f	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/EAT/	state accepting jurisdiction
3441d4f:1508ad97479:-733e	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-7db1	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:7acd	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/NAU/	List C
3441d4f:1508ad6f828:6c38	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-759e	http://www.semwebtech.org/mondial/10/organization/UNITAR/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:76fb	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/PL/	state accepting jurisdiction
3441d4f:1508ad97479:-72ea	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:6e98	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/GCA/	signatory
3441d4f:1508ad6f828:6be4	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:6b40	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-78de	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7317	http://www.semwebtech.org/mondial/10/organization/GCC/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-7c0c	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-783a	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:7577	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/B/	national committee
3441d4f:1508ad97479:-7e6c	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-7166	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:72c3	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad97479:-6f83	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:6c9f	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:78b7	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-74a6	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:7ee9	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:7813	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-7ad8	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-7402	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:7e45	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/ARU/	National Olympic Committee
3441d4f:1508ad6f828:711e	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/SN/	candidate countries
3441d4f:1508ad97479:-7a34	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-7662	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:6fdf	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:737e	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-7c94	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:6f3b	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/I/	observer
3441d4f:1508ad6f828:7df1	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/H/	National Olympic Committee
3441d4f:1508ad6f828:70ca	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-79a2	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:76be	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/MEX/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fd4	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-72ad	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-7f30	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:761a	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:6ba7	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:7c4c	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:6b03	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/KWT/	nonregional member
3441d4f:1508ad6f828:787a	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-7a9b	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/IS/	observer
3441d4f:1508ad6f828:6d63	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/I/	observer
3441d4f:1508ad97479:-7e2f	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-7129	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-7389	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/AMSA/	member
3441d4f:1508ad97479:-6f46	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:74e6	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad97479:-7ddb	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/RO/	observer
3441d4f:1508ad97479:-70d5	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:7442	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad97479:-7031	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7a74	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/IRL/	List A
3441d4f:1508ad97479:-6ef2	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:7e08	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/N/	National Olympic Committee
3441d4f:1508ad97479:-76c9	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-7291	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-7625	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:6b6a	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-7c57	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:7db4	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-7885	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:7d10	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad6f828:79e2	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad97479:-75d1	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad6f828:72ed	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:6eaa	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/BR/	signatory
3441d4f:1508ad6f828:7f70	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/Z/	correspondent member
3441d4f:1508ad6f828:7c0f	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:783d	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-742c	http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/RWA/	nonpermanent member
3441d4f:1508ad6f828:7e6f	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/TUV/	National Olympic Committee
3441d4f:1508ad6f828:7169	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-7a5e	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:6d26	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-768c	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:7bbb	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:6f86	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/F/	observer
3441d4f:1508ad6f828:6cd2	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad97479:-6f09	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:74a9	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:7071	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:7405	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-79cc	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7ffe	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:7a37	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-72f8	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad97479:-6eb5	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad6f828:7665	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-7f5a	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-7254	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:7c97	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:73b1	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:6b2d	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-7848	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:6d8d	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/BVIR/	regional member
3441d4f:1508ad6f828:79a5	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:7fd7	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7901	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-7bc6	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-77f4	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:7f33	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad6f828:720c	http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-7b22	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-7750	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad97479:-70ff	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:746c	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-7d82	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad97479:-705b	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:7a9e	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/K/	List C
3441d4f:1508ad97479:-764f	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:77ac	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:6f49	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:7dde	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:70d8	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-75fb	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7d3a	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:7034	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:6ef5	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7f9a	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:7294	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad6f828:6e51	http://www.semwebtech.org/mondial/10/organization/CIS/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:7628	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-7f1d	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-7217	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:7888	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-7477	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:75d4	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/OM/	having direct member
3441d4f:1508ad97479:-71c3	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:7530	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:7b62	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-6fe0	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:7790	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-77b7	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad6f828:6cfc	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-7de9	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:709b	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-7713	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:742f	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad97479:-7d45	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-701e	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:7ea2	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/EAK/	National Olympic Committee
3441d4f:1508ad97479:-7973	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad97479:-6edf	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:768f	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad97479:-727e	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad6f828:73db	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-7cf1	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:6b78	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:79cf	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-75be	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:792b	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-751a	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-7b4c	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:6eb8	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/NAM/	signatory
3441d4f:1508ad6f828:7f5d	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/BRU/	correspondent member
3441d4f:1508ad6f828:7257	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:6e14	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad97479:-777a	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:6dc0	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7bc9	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad6f828:7b25	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad6f828:77f7	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-73e6	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/GBM/	member
3441d4f:1508ad97479:-6fa3	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:7753	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/CV/	state accepting jurisdiction
3441d4f:1508ad97479:-7342	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:6cbf	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/NL/	nonregional member
3441d4f:1508ad6f828:7d85	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:705e	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:6c1b	http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:7ad1	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/TUV/	List C
3441d4f:1508ad97479:-7d08	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad97479:-7936	http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/ROK/	observer
3441d4f:1508ad6f828:6e7b	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/MC/	signatory
3441d4f:1508ad97479:-7f68	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad97479:-7cb4	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-78e2	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-7c10	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:75fe	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad97479:-71ed	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-7e70	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:755a	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:6ae7	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/SN/	regional member
3441d4f:1508ad6f828:7b8c	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-7b0f	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-773d	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad97479:-7d6f	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-7069	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:7ecc	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-799d	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:71c6	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-7abb	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/MK/	observer
3441d4f:1508ad6f828:7122	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-6e86	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/IRQ/	observer
3441d4f:1508ad6f828:6fe3	http://www.semwebtech.org/mondial/10/organization/ECO/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:7382	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-73a9	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/BVIR/	member
3441d4f:1508ad6f828:7716	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/TL/	state accepting jurisdiction
3441d4f:1508ad97479:-7305	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:7d48	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7976	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-7565	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:76c2	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/HCA/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7b97	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-72b1	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:6e3e	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:7cf4	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:7c50	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-78a5	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:6dea	http://www.semwebtech.org/mondial/10/organization/CSTO/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-7ed7	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-7801	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:751d	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad97479:-7e33	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-710c	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:7b4f	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-6fcd	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:777d	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-736c	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad6f828:6c66	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:7afb	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RG/	List C
3441d4f:1508ad97479:-76ac	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/FARX/	associate member
3441d4f:1508ad97479:-7cde	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:73e9	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:6fa6	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7345	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-7c3a	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:6f02	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-7e9a	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad97479:-7194	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad6f828:7939	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:72f1	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-7528	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:7cb7	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-7788	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad6f828:7c13	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:78e5	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-74d4	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:7841	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-7430	http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/AUS/	nonpermanent member
3441d4f:1508ad6f828:6dad	http://www.semwebtech.org/mondial/10/organization/BCIE/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7e73	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/BOL/	National Olympic Committee
3441d4f:1508ad6f828:714c	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-7a62	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7690	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad97479:-732f	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-7da2	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:6c29	http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:7abe	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/DOM/	List C
3441d4f:1508ad97479:-79d0	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-758f	http://www.semwebtech.org/mondial/10/organization/UNMIT/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:7a1a	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:76ec	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/MNE/	state accepting jurisdiction
3441d4f:1508ad97479:-72db	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:6e89	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/NEP/	signatory
3441d4f:1508ad6f828:6bd5	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:7c7a	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:6b31	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad6f828:7308	http://www.semwebtech.org/mondial/10/organization/G-8/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-78cf	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-782b	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:6d91	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/WG/	regional member
3441d4f:1508ad6f828:7568	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/SRB/	national committee
3441d4f:1508ad97479:-7e5d	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-7157	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:7fba	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:72b4	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:7210	http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad97479:-6f74	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:78a8	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:7470	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:7804	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad97479:-7ac9	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-76f7	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad97479:-7a25	http://www.semwebtech.org/mondial/10/organization/OPEC/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:7e36	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/SA/	National Olympic Committee
3441d4f:1508ad6f828:710f	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/EAT/	compliant countries
3441d4f:1508ad97479:-7653	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:77b0	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:736f	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-7c85	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/CR/	observer
3441d4f:1508ad6f828:6f2c	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:7de2	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:70bb	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:76af	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/EW/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fc5	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:760b	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-7f21	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:7c3d	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad97479:-74fe	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:786b	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-745a	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:6df8	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:7e9d	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/LB/	National Olympic Committee
3441d4f:1508ad6f828:7197	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-7a8c	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/ET/	observer
3441d4f:1508ad6f828:6d54	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-6f37	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:74d7	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-7dcc	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-70c6	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:7433	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-79fa	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-7022	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:7a65	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/F/	List A
3441d4f:1508ad97479:-6ee3	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:7693	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad97479:-7282	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:6bff	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad97479:-7616	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:6b5b	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-7c48	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7da5	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad97479:-7876	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad6f828:7d01	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:79d3	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-75c2	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:72de	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-7bf4	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7f61	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/MACX/	correspondent member
3441d4f:1508ad6f828:723a	http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-7b50	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-6f9e	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:749a	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:782e	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-741d	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-7a4f	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad6f828:6d17	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7bac	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-767d	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:77da	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:6f77	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/J/	observer
3441d4f:1508ad6f828:6cc3	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/N/	nonregional member
3441d4f:1508ad6f828:7062	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-79bd	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:7a28	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-7fef	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-72e9	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-6ea6	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:7656	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/COOK/	member
3441d4f:1508ad97479:-7f4b	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-7245	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:7c88	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad6f828:73a2	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:6b1e	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-7839	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-71f1	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:6d7e	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/TUCA/	associate member
3441d4f:1508ad6f828:6aca	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/Z/	regional member
3441d4f:1508ad6f828:7fc8	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/EW/	observer
3441d4f:1508ad6f828:7b90	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad97479:-7bb7	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7f24	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-77e5	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-7b13	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-7741	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:745d	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad97479:-7d73	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-704c	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:7ed0	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/V/	member
3441d4f:1508ad6f828:7a8f	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/AFG/	List C
3441d4f:1508ad6f828:7dcf	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:70c9	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/EW/	cooperating state
3441d4f:1508ad6f828:7d2b	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:79fd	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:7025	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-75ec	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad6f828:6ee6	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad6f828:7f8b	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:7285	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-7b7a	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:6e42	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:7619	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad97479:-7f0e	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-7208	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:7879	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad97479:-7468	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:75c5	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/BY/	having direct member
3441d4f:1508ad97479:-7eba	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-71b4	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:7bf7	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:7521	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad97479:-7110	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:7b53	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-6fd1	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:7781	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-77a8	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7370	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:6ced	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:708c	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-7704	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-7d36	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-700f	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7964	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-726f	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-7f96	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-76b0	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:73cc	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-7ce2	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:6b69	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad97479:-75af	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:791c	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-750b	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:6ea9	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/BOL/	signatory
3441d4f:1508ad6f828:7f4e	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RI/	observer
3441d4f:1508ad6f828:7248	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-7b3d	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:6e05	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-776b	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-7d9d	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad97479:-7097	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:7efa	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:71f4	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad6f828:6db1	http://www.semwebtech.org/mondial/10/organization/BCIE/	http://www.semwebtech.org/mondial/10/country/MEX/	nonregional member
3441d4f:1508ad6f828:7150	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7b16	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:77e8	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-73d7	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:7744	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/NAM/	state accepting jurisdiction
3441d4f:1508ad97479:-7333	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/REUN/	member
3441d4f:1508ad6f828:7d76	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:704f	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:6c0c	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/VIRG/	observer
3441d4f:1508ad6f828:7ac2	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/WG/	List C
3441d4f:1508ad97479:-7593	http://www.semwebtech.org/mondial/10/organization/UNMIT/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:76f0	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/A/	state accepting jurisdiction
3441d4f:1508ad97479:-7927	http://www.semwebtech.org/mondial/10/organization/Sparteca/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad6f828:6e6c	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/UA/	signatory
3441d4f:1508ad97479:-7f59	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad97479:-7ca5	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-78d3	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-7c01	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:75ef	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-71de	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:754b	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad97479:-7e61	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-713a	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/AND/	member
3441d4f:1508ad6f828:6ad8	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/RCA/	regional member
3441d4f:1508ad6f828:7b7d	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad97479:-6ffb	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-739a	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/GUAD/	member
3441d4f:1508ad97479:-772e	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:6c94	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:7ebd	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-798e	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:71b7	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/COOK/	member
3441d4f:1508ad97479:-7aac	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/UA/	observer
3441d4f:1508ad6f828:7113	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/UA/	candidate countries
3441d4f:1508ad97479:-76da	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-6e77	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:6fd4	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:7373	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:6f30	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:7707	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/S/	state accepting jurisdiction
3441d4f:1508ad6f828:7d39	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:7967	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad97479:-7556	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:7f99	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:76b3	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/M/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7b88	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-72a2	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:6e2f	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad6f828:7ce5	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:7c41	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:6ddb	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-7ec8	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:717a	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-7a90	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/THA/	observer
3441d4f:1508ad6f828:750e	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad97479:-7e24	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-6fbe	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:776e	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-735d	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-6f1a	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:74ba	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-7dd0	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/HCA/	observer
3441d4f:1508ad6f828:6c57	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:7aec	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RSA/	List C
3441d4f:1508ad97479:-7ccf	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad97479:-78fd	http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:7336	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad97479:-7c2b	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:7596	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/RI/	national committee
3441d4f:1508ad97479:-7e8b	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad97479:-7185	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad6f828:72e2	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-7519	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:7ca8	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-7779	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:7c04	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad6f828:78d6	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-74c5	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:7832	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-7af7	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-7421	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:7e64	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/COOK/	National Olympic Committee
3441d4f:1508ad97479:-7a53	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:713d	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:7bb0	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-7681	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:6ffe	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:739d	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:6f5a	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:7aaf	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/OM/	List C
3441d4f:1508ad97479:-79c1	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:76dd	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/IRL/	accepting compulsory jurisdiction without reservations
3441d4f:1508ad6f828:7a0b	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-7ff3	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-72cc	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:6bc6	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:7c6b	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:6b22	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-781c	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:6d82	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/CUR/	observer
3441d4f:1508ad6f828:7559	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-7e4e	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad97479:-7148	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:7fab	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:72a5	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:7201	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-6f65	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-7dfa	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-70f4	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-7050	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:7461	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:7a93	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/UZB/	List C
3441d4f:1508ad6f828:7e27	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/KAZ/	National Olympic Committee
3441d4f:1508ad97479:-76e8	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-7a16	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/NIUE/	member
3441d4f:1508ad97479:-7644	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:77a1	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-7c76	http://www.semwebtech.org/mondial/10/organization/NC/	http://www.semwebtech.org/mondial/10/country/EW/	observer
3441d4f:1508ad6f828:6f1d	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:7dd3	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:70ac	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-75f0	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-7fb6	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-7f12	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:7c2e	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-74ef	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:785c	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad97479:-744b	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:6de9	http://www.semwebtech.org/mondial/10/organization/CSTO/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:7e8e	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RSA/	National Olympic Committee
3441d4f:1508ad6f828:7188	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-7a7d	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/WAN/	observer
3441d4f:1508ad6f828:6d45	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7bda	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:6cf1	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-6f28	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-7dbd	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:74c8	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7090	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad97479:-70b7	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:7424	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad97479:-79eb	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad97479:-7013	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad6f828:7a56	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-6ed4	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:7684	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-7273	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:73d0	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad97479:-7607	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:6b4c	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-7c39	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-7867	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:79c4	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-7e99	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-75b3	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:7ff6	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:7920	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:72cf	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-7be5	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:7f52	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/STP/	observer
3441d4f:1508ad6f828:722b	http://www.semwebtech.org/mondial/10/organization/G-10/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-7b41	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-6f8f	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:748b	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-707a	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:781f	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad97479:-740e	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:6d08	http://www.semwebtech.org/mondial/10/organization/ANZUS/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-766e	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:77cb	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad97479:-73ba	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:6f68	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:7dfd	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/B/	National Olympic Committee
3441d4f:1508ad6f828:70f7	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/J/	stake holder
3441d4f:1508ad6f828:6cb4	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad6f828:7053	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:6c10	http://www.semwebtech.org/mondial/10/organization/CAN/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-79ae	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:7a19	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-790a	http://www.semwebtech.org/mondial/10/organization/Mercosur/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:6e70	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/NL/	signatory
3441d4f:1508ad6f828:7647	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-7f3c	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad97479:-7236	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/SPMI/	member
3441d4f:1508ad6f828:7c79	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:6b0f	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-7496	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:75f3	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-71e2	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:6d6f	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:7fb9	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad6f828:7b81	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-7ba8	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:7f15	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-77d6	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad97479:-7b04	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-7732	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:744e	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-7d64	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad97479:-703d	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:7ec1	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-7992	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7ab0	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/CH/	observer
3441d4f:1508ad97479:-6efe	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad97479:-729d	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-6e5a	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:73fa	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:6b97	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:7d1c	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:79ee	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:7016	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-75dd	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:794a	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:6ed7	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:7f7c	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/RM/	correspondent member
3441d4f:1508ad6f828:7276	http://www.semwebtech.org/mondial/10/organization/G-5/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-7b6b	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:6e33	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad97479:-7459	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:75b6	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/DZ/	national committee
3441d4f:1508ad97479:-7eab	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad97479:-71a5	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:7be8	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad6f828:7512	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-7101	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:7b44	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-6fc2	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:7772	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-7361	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:6cde	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/PNG/	observer
3441d4f:1508ad6f828:707d	http://www.semwebtech.org/mondial/10/organization/EFTA/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:6c3a	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:7af0	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/BI/	List C
3441d4f:1508ad97479:-79f9	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-7d27	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-7955	http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:6e9a	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/CDN/	signatory
3441d4f:1508ad97479:-7f87	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-76a1	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-7cd3	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad6f828:73bd	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:790d	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:7f3f	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:7239	http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-7b2e	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/COOK/	member
3441d4f:1508ad97479:-775c	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:7499	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad97479:-7d8e	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-7088	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:7eeb	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-7ada	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:71e5	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:6da2	http://www.semwebtech.org/mondial/10/organization/BDEAC/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:7141	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:7b07	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/LS/	List C
3441d4f:1508ad6f828:77d9	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-73c8	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:7735	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/RA/	state accepting jurisdiction
3441d4f:1508ad97479:-7324	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7d67	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/HONX/	member
3441d4f:1508ad6f828:7995	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:7ab3	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/AG/	List C
3441d4f:1508ad97479:-7584	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:76e1	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/WD/	accepting compulsory jurisdiction without reservations
3441d4f:1508ad97479:-7918	http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-72d0	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/BERM/	member
3441d4f:1508ad6f828:6e5d	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/MNE/	signatory
3441d4f:1508ad97479:-78c4	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad97479:-7ef6	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad97479:-7820	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-71cf	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad97479:-7e52	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:753c	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-712b	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:6ac9	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/ZRE/	regional member
3441d4f:1508ad6f828:7b6e	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-6fec	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:779c	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-738b	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/TUCA/	member
3441d4f:1508ad97479:-771f	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:6c85	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7eae	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/STP/	National Olympic Committee
3441d4f:1508ad6f828:71a8	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-797f	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:7e0a	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/MC/	National Olympic Committee
3441d4f:1508ad6f828:7104	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/PE/	compliant countries
3441d4f:1508ad97479:-76cb	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-6e68	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-7cfd	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:6fc5	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:7364	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/J/	partner
3441d4f:1508ad6f828:775f	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/MW/	state accepting jurisdiction
3441d4f:1508ad97479:-734e	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad97479:-6f0b	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:74ab	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad97479:-7dc1	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:6c48	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:7add	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/EC/	List C
3441d4f:1508ad97479:-72fa	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:6bf4	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:6b50	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-78ee	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:7327	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:78c7	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad97479:-74b6	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:7ef9	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:7823	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/AXA/	subbureau
3441d4f:1508ad97479:-7ae8	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-7412	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:7e55	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/DOM/	National Olympic Committee
3441d4f:1508ad6f828:712e	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-7a44	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:7ba1	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-7672	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:6fef	http://www.semwebtech.org/mondial/10/organization/EurasEC/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:738e	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad6f828:6f4b	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/AND/	member
3441d4f:1508ad6f828:70da	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-79b2	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:76ce	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/RG/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fe4	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad97479:-72bd	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad6f828:762a	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad97479:-7f40	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:6bb7	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:7c5c	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:6b13	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/WSA/	member
3441d4f:1508ad6f828:788a	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad97479:-780d	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/V/	member
3441d4f:1508ad6f828:6d73	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/MNTS/	member
3441d4f:1508ad97479:-7e3f	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad97479:-7139	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-7399	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-6f56	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:74f6	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-7deb	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad97479:-70e5	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad97479:-76d9	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-7a07	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/THA/	partner
3441d4f:1508ad97479:-7635	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:6b7a	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-7c67	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:6f0e	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/MAL/	observer
3441d4f:1508ad6f828:7dc4	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-7895	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:7d20	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:79f2	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad97479:-75e1	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:72fd	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:6eba	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/BF/	signatory
3441d4f:1508ad6f828:7f80	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/SY/	correspondent member
3441d4f:1508ad97479:-7fa7	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-7f03	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:7c1f	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:784d	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-743c	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:7e7f	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RMM/	National Olympic Committee
3441d4f:1508ad6f828:7179	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad97479:-7a6e	http://www.semwebtech.org/mondial/10/organization/OECS/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:6d36	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:7bcb	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-769c	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:6f96	http://www.semwebtech.org/mondial/10/organization/D-8/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:6ce2	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-6f19	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-7dae	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:74b9	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:7081	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-70a8	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-79dc	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7415	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad97479:-7d0a	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad97479:-7004	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:7a47	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-6ec5	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:7675	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-7f6a	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad97479:-7264	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:73c1	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:6b3d	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-7858	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:6d9d	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/I/	nonregional member
3441d4f:1508ad6f828:79b5	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-75a4	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-7500	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:7fe7	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:7911	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-7bd6	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:7f43	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-7b32	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:721c	http://www.semwebtech.org/mondial/10/organization/GCTU/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-7760	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:747c	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-7d92	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-706b	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-765f	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:77bc	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad97479:-73ab	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:6f59	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:7dee	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/A/	National Olympic Committee
3441d4f:1508ad6f828:70e8	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/MNE/	candidate
3441d4f:1508ad6f828:6ca5	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:7d4a	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:7044	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:6c01	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad6f828:6e61	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/CZ/	signatory
3441d4f:1508ad6f828:7638	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-7f2d	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-7227	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/FGU/	member
3441d4f:1508ad6f828:7898	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-7487	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:75e4	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/MS/	having direct member
3441d4f:1508ad97479:-71d3	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:7540	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:7b72	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-6ff0	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:7f06	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad97479:-77c7	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-7df9	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7723	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:743f	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-7d55	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad97479:-702e	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:7eb2	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-7983	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-7aa1	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/EW/	observer
3441d4f:1508ad97479:-6eef	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:769f	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad97479:-728e	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:73eb	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:6b88	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad6f828:7d0d	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad6f828:79df	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:7007	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-75ce	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:793b	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad97479:-752a	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7f6d	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/RN/	correspondent member
3441d4f:1508ad6f828:6ec8	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/SY/	signatory
3441d4f:1508ad6f828:7267	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7b5c	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:6e24	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-778a	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:6dd0	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/RCH/	observer
3441d4f:1508ad6f828:75a7	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/USA/	national committee
3441d4f:1508ad6f828:7bd9	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:7503	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:7b35	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-73f6	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad97479:-6fb3	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad6f828:7763	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-7352	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:6ccf	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:7d95	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:706e	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:6c2b	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:7ae1	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RN/	List C
3441d4f:1508ad97479:-7d18	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad97479:-7946	http://www.semwebtech.org/mondial/10/organization/SACEP/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad6f828:6e8b	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/IL/	signatory
3441d4f:1508ad97479:-7f78	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:73ae	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-7cc4	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-78f2	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-7c20	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:730a	http://www.semwebtech.org/mondial/10/organization/G-8/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-71fd	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-7e80	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/COOK/	member
3441d4f:1508ad6f828:756a	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/E/	national committee
3441d4f:1508ad6f828:6af7	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/I/	nonregional member
3441d4f:1508ad6f828:7b9c	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-7b1f	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-774d	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:78aa	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7d7f	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-7079	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:7edc	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:71d6	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7acb	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:7132	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-6e96	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:6ff3	http://www.semwebtech.org/mondial/10/organization/EurasEC/	http://www.semwebtech.org/mondial/10/country/UA/	observer
3441d4f:1508ad6f828:7392	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-73b9	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:7726	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/HCA/	state accepting jurisdiction
3441d4f:1508ad97479:-7315	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:7d58	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:7986	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:7aa4	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/NEP/	List C
3441d4f:1508ad97479:-7575	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:76d2	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/EAK/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad6f828:7a00	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad97479:-7909	http://www.semwebtech.org/mondial/10/organization/Mercosur/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-72c1	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:6e4e	http://www.semwebtech.org/mondial/10/organization/CIS/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:7c60	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-78b5	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:6dfa	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-7ee7	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-7811	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:752d	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-7e43	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad97479:-711c	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:7fa0	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:7b5f	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-6fdd	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:778d	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-737c	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/PITC/	member
3441d4f:1508ad6f828:6c76	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-76bc	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad97479:-6e59	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:73f9	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad97479:-7cee	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:6fb6	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:7355	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-7c4a	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:6f12	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/Q/	observer
3441d4f:1508ad6f828:70a1	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7949	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad97479:-7538	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7cc7	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-7798	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:7c23	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:78f5	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-74e4	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:7851	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-7440	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:6dbd	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:7e83	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/TN/	National Olympic Committee
3441d4f:1508ad6f828:715c	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-7a72	http://www.semwebtech.org/mondial/10/organization/OAPEC/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-7e06	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-733f	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-7db2	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:6c39	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:7ace	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/NIUE/	List C
3441d4f:1508ad97479:-79e0	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-759f	http://www.semwebtech.org/mondial/10/organization/UNITAR/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:76fc	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/B/	state accepting jurisdiction
3441d4f:1508ad6f828:7a2a	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-72eb	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:6e99	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/MEX/	signatory
3441d4f:1508ad6f828:6be5	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:7c8a	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad6f828:6b41	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad97479:-78df	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:7318	http://www.semwebtech.org/mondial/10/organization/GCC/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-7c0d	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-783b	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:7578	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/L/	national committee
3441d4f:1508ad97479:-7e6d	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-7167	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:7fca	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/THA/	observer
3441d4f:1508ad6f828:72c4	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad6f828:7220	http://www.semwebtech.org/mondial/10/organization/GCTU/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-6f84	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:78b8	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:7480	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-74a7	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:7814	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-7403	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-7ad9	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:7e46	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/BS/	National Olympic Committee
3441d4f:1508ad6f828:711f	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/STP/	candidate countries
3441d4f:1508ad97479:-7a35	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad97479:-7663	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:77c0	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:737f	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-7c95	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:6f3c	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/UA/	observer
3441d4f:1508ad6f828:7df2	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/I/	National Olympic Committee
3441d4f:1508ad6f828:70cb	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-79a3	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad97479:-7fd5	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:76bf	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/CDN/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-72ae	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-720a	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:761b	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad97479:-7f31	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:6ba8	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:7c4d	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:6b04	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/SA/	nonregional member
3441d4f:1508ad6f828:787b	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad97479:-746a	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-7a9c	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/V/	observer
3441d4f:1508ad6f828:6d64	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/SK/	observer
3441d4f:1508ad97479:-77aa	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-6f47	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:74e7	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-7ddc	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/R/	observer
3441d4f:1508ad97479:-70d6	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7443	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-7032	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:7a75	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/P/	List A
3441d4f:1508ad97479:-6ef3	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:7e09	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/S/	National Olympic Committee
3441d4f:1508ad97479:-7292	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad97479:-7626	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:6b6b	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-7c58	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7db5	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-7886	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad6f828:7d11	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:79e3	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-75d2	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:72ee	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:6eab	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/RCH/	signatory
3441d4f:1508ad6f828:7f71	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/BEN/	correspondent member
3441d4f:1508ad6f828:724a	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-7b60	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:783e	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-742d	http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/WAN/	nonpermanent member
3441d4f:1508ad97479:-7ea0	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-7a5f	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:6d27	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:7bbc	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-768d	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:77ea	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:6f87	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/E/	observer
3441d4f:1508ad6f828:6cd3	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:7072	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:7406	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-79cd	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:7a38	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-7fff	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-72f9	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-6eb6	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:7666	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad97479:-7f5b	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-7255	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:7c98	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:73b2	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:6b2e	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-7849	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad6f828:6d8e	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/CAYM/	regional member
3441d4f:1508ad6f828:79a6	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:6ada	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/GQ/	regional member
3441d4f:1508ad6f828:7fd8	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7902	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-7bc7	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:7f34	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-77f5	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:720d	http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7b23	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad97479:-7751	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7d49	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:746d	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-7d83	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-705c	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:7ee0	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:7a9f	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/VN/	List C
3441d4f:1508ad6f828:77ad	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:7ddf	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:70d9	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:7d3b	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:7035	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad97479:-75fc	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:6ef6	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:7f9b	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:7295	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-7b8a	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:6e52	http://www.semwebtech.org/mondial/10/organization/CIS/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:7629	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad97479:-7f1e	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad97479:-7218	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:7889	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-7478	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-71c4	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:75d5	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/BERM/	having direct member
3441d4f:1508ad97479:-7eca	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:7531	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-7120	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:7b63	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-6fe1	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad6f828:7791	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-77b8	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad97479:-7380	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:6cfd	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:709c	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-7714	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-7d46	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-701f	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad6f828:7ea3	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/WAG/	National Olympic Committee
3441d4f:1508ad97479:-7974	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-76c0	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-727f	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:73dc	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-7cf2	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:6b79	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-75bf	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:792c	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad97479:-751b	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:6eb9	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/BEN/	signatory
3441d4f:1508ad6f828:7f5e	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/K/	correspondent member
3441d4f:1508ad6f828:7258	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7b4d	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:6e15	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:7caa	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-777b	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:6dc1	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:7160	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7b26	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:77f8	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-73e7	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-6fa4	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:7754	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/COM/	state accepting jurisdiction
3441d4f:1508ad97479:-7343	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad97479:-6f00	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:7d86	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:74a0	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:705f	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:6c1c	http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:7ad2	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/VU/	List C
3441d4f:1508ad97479:-7d09	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-7937	http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/J/	observer
3441d4f:1508ad6f828:6e7c	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/IS/	signatory
3441d4f:1508ad97479:-7f69	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad97479:-7cb5	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-78e3	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-7c11	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:75ff	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-71ee	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-7e71	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:755b	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad97479:-714a	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:6ae8	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/GNB/	regional member
3441d4f:1508ad6f828:7b8d	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-773e	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:7ecd	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-799e	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:71c7	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7abc	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/GR/	observer
3441d4f:1508ad6f828:7123	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-76ea	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-6e87	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/KAZ/	observer
3441d4f:1508ad6f828:6fe4	http://www.semwebtech.org/mondial/10/organization/ECO/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:7383	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:6f40	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/GB/	observer
3441d4f:1508ad6f828:7717	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/JOR/	state accepting jurisdiction
3441d4f:1508ad97479:-7306	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:7977	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-7566	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:76c3	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/AUS/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7b98	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-72b2	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:6e3f	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:7cf5	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:7c51	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad97479:-78a6	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:6deb	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad97479:-7ed8	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:718a	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad97479:-7802	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:751e	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad97479:-7e34	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad97479:-710d	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad97479:-6fce	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:777e	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad97479:-736d	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/FGU/	member
3441d4f:1508ad97479:-6f2a	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:74ca	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-7de0	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/E/	observer
3441d4f:1508ad6f828:6c67	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:7afc	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/LB/	List C
3441d4f:1508ad97479:-76ad	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad97479:-7cdf	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:6fa7	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-7c3b	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7346	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:6f03	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad97479:-7e9b	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad97479:-7195	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad6f828:72f2	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-7529	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7cb8	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-7789	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:7c14	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:78e6	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-74d5	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7842	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-7431	http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/ROK/	nonpermanent member
3441d4f:1508ad6f828:6dae	http://www.semwebtech.org/mondial/10/organization/BCIE/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:7e74	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/BR/	National Olympic Committee
3441d4f:1508ad6f828:714d	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-7a63	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:6d0a	http://www.semwebtech.org/mondial/10/organization/ANZUS/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:7bc0	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-7691	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:6f6a	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-7da3	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7abf	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RH/	List C
3441d4f:1508ad97479:-79d1	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:76ed	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/AND/	state accepting jurisdiction
3441d4f:1508ad6f828:7a1b	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad97479:-72dc	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:6bd6	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:7c7b	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad6f828:6b32	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:7309	http://www.semwebtech.org/mondial/10/organization/G-8/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-782c	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:6d92	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/JA/	regional member
3441d4f:1508ad6f828:7569	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/F/	national committee
3441d4f:1508ad97479:-7e5e	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-7158	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:7fbb	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/SRB/	observer
3441d4f:1508ad97479:-7baa	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:72b5	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7211	http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad97479:-6f75	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad6f828:78a9	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:7471	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-7060	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:7805	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:7e37	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/SYR/	National Olympic Committee
3441d4f:1508ad97479:-76f8	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad97479:-7a26	http://www.semwebtech.org/mondial/10/organization/OPEC/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad97479:-7654	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:77b1	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-7c86	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/MEX/	observer
3441d4f:1508ad97479:-73a0	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:6f2d	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:7de3	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:70bc	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-7fc6	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:760c	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-7f22	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad6f828:7c3e	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-74ff	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:786c	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-745b	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:6df9	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:7e9e	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/DJI/	National Olympic Committee
3441d4f:1508ad6f828:7198	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-7a8d	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/IL/	observer
3441d4f:1508ad6f828:6d55	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:7bea	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-6f38	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:74d8	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7dcd	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-70c7	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:7434	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-79fb	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-7023	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:7a66	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/E/	List A
3441d4f:1508ad97479:-6ee4	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RC/	member
3441d4f:1508ad6f828:7694	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-7283	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:73e0	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-7617	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:6b5c	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-7c49	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7da6	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7877	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad6f828:7d02	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:79d4	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-75c3	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:7930	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:72df	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-7bf5	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7f62	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/NEP/	correspondent member
3441d4f:1508ad6f828:723b	http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-7b51	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-6f9f	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:749b	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:789a	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-708a	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:782f	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-741e	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:6d18	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:7bad	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-767e	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:77db	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad97479:-73ca	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/HONX/	member
3441d4f:1508ad6f828:6f78	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/MEX/	observer
3441d4f:1508ad6f828:6cc4	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/S/	nonregional member
3441d4f:1508ad6f828:7063	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:6c20	http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-79be	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:7a29	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-791a	http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:6e80	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/P/	signatory
3441d4f:1508ad97479:-6ea7	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:7657	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-7f4c	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-7246	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:7c89	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad6f828:73a3	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:6b1f	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-71f2	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:6d7f	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/ARU/	observer
3441d4f:1508ad6f828:6acb	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/BEN/	regional member
3441d4f:1508ad6f828:7fc9	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/GE/	observer
3441d4f:1508ad6f828:7b91	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad97479:-7bb8	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:7f25	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-77e6	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-7b14	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-7742	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:745e	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad97479:-7d74	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-704d	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:7ed1	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:71aa	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad97479:-7ac0	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-6e6a	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7d2c	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/KOS/	member
3441d4f:1508ad6f828:79fe	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:7026	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-75ed	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:795a	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:6ee7	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad6f828:7f8c	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:7286	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7b7b	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/V/	member
3441d4f:1508ad6f828:6e43	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-7f0f	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-7209	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-7469	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:75c6	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/LV/	having direct member
3441d4f:1508ad97479:-7ebb	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-71b5	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:7bf8	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:7522	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-7111	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:7b54	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-6fd2	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad6f828:7782	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-77a9	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-7371	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:6cee	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:708d	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-7705	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:6c4a	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-7d37	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-7965	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/NCA/	member
3441d4f:1508ad97479:-7f97	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-76b1	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:73cd	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad97479:-7ce3	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:791d	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-750c	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:7f4f	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/SA/	observer
3441d4f:1508ad6f828:7249	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-7b3e	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:6e06	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-776c	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-7d9e	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7098	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad6f828:7efb	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:71f5	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad97479:-7aea	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:6db2	http://www.semwebtech.org/mondial/10/organization/BCIE/	http://www.semwebtech.org/mondial/10/country/PA/	nonregional member
3441d4f:1508ad6f828:7151	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7b17	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:77e9	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-73d8	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:7745	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/ZRE/	state accepting jurisdiction
3441d4f:1508ad97479:-7334	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:7d77	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:6c0d	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/AMSA/	observer
3441d4f:1508ad6f828:7ac3	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/JA/	List C
3441d4f:1508ad97479:-7594	http://www.semwebtech.org/mondial/10/organization/UNMIT/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:76f1	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/CZ/	state accepting jurisdiction
3441d4f:1508ad97479:-7928	http://www.semwebtech.org/mondial/10/organization/Sparteca/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad97479:-72e0	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:6e6d	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/R/	signatory
3441d4f:1508ad97479:-7ca6	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad97479:-78d4	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-7c02	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7830	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-71df	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-7e62	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:754c	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad97479:-713b	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:6ad9	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/TCH/	regional member
3441d4f:1508ad6f828:7b7e	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad97479:-6ffc	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-739b	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad97479:-772f	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:6c95	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-798f	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7ebe	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:71b8	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-7aad	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/PL/	observer
3441d4f:1508ad6f828:7e1a	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/GE/	National Olympic Committee
3441d4f:1508ad6f828:7114	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/AFG/	candidate countries
3441d4f:1508ad97479:-76db	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-6e78	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:6fd5	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:7374	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad6f828:6f31	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:7708	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/IS/	state accepting jurisdiction
3441d4f:1508ad6f828:70c0	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:7968	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-7557	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:76b4	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/P/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7b89	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-72a3	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:7ce6	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:7610	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:7c42	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:7870	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:6ddc	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-7ec9	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:717b	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad97479:-7a91	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/IND/	observer
3441d4f:1508ad6f828:750f	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-7e25	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-6fbf	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:776f	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad97479:-735e	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-6f1b	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:74bb	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-7dd1	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/ES/	observer
3441d4f:1508ad97479:-70aa	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:6c58	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7aed	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/ZW/	List C
3441d4f:1508ad6f828:6b60	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-78fe	http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7337	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad97479:-7c2c	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-785a	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:7597	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/JOR/	national committee
3441d4f:1508ad97479:-7e8c	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-7186	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/NIUE/	member
3441d4f:1508ad6f828:72e3	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:6ea0	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/DOM/	signatory
3441d4f:1508ad6f828:7ca9	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:7c05	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:78d7	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-74c6	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:7833	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-7af8	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad97479:-7422	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:7e65	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/FJI/	National Olympic Committee
3441d4f:1508ad97479:-7a54	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:713e	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/CUR/	member
3441d4f:1508ad6f828:7bb1	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad97479:-7682	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:6fff	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:739e	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:6f5b	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:70ea	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/IS/	candidate
3441d4f:1508ad97479:-79c2	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad97479:-7ff4	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:76de	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/GE/	accepting compulsory jurisdiction without reservations
3441d4f:1508ad6f828:7a0c	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-72cd	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:763a	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad97479:-7f50	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:6bc7	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:7c6c	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:6b23	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-781d	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:6d83	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/NLSM/	observer
3441d4f:1508ad97479:-7e4f	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad97479:-7149	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:7fac	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:72a6	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:7202	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad97479:-6f66	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-7dfb	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-70f5	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:7462	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-7051	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad6f828:7a94	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/ARM/	List C
3441d4f:1508ad6f828:7e28	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/NOK/	National Olympic Committee
3441d4f:1508ad97479:-76e9	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-7a17	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-7645	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:6b8a	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad6f828:77a2	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-7c77	http://www.semwebtech.org/mondial/10/organization/NC/	http://www.semwebtech.org/mondial/10/country/LT/	observer
3441d4f:1508ad6f828:6f1e	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:7dd4	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:70ad	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:7d30	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-75f1	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:6eca	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:7f90	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-7fb7	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7f13	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad6f828:7c2f	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:785d	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-744c	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:7e8f	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/ZW/	National Olympic Committee
3441d4f:1508ad6f828:7189	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad97479:-7a7e	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/BEN/	observer
3441d4f:1508ad6f828:6d46	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:7bdb	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:6cf2	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad97479:-6f29	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-7dbe	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:74c9	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:7091	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-70b8	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-79ec	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:7425	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad97479:-7d1a	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-7014	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad6f828:7a57	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-6ed5	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7685	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-7f7a	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-7274	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:73d1	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-7608	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:6b4d	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-7868	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:79c5	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-75b4	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:7ff7	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:7921	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-7be6	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-7510	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:7f53	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/AL/	correspondent member
3441d4f:1508ad6f828:722c	http://www.semwebtech.org/mondial/10/organization/G-11/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7b42	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-7770	http://www.semwebtech.org/mondial/10/organization/UNDOF/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:748c	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-707b	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-740f	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:6d09	http://www.semwebtech.org/mondial/10/organization/ANZUS/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-766f	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:77cc	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-73bb	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:6f69	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad6f828:7dfe	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/L/	National Olympic Committee
3441d4f:1508ad6f828:70f8	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/Q/	stake holder
3441d4f:1508ad6f828:6cb5	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:7d5a	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:7054	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:6c11	http://www.semwebtech.org/mondial/10/organization/CAN/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-79af	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-790b	http://www.semwebtech.org/mondial/10/organization/Mercosur/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:6e71	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/BIH/	signatory
3441d4f:1508ad97479:-7f3d	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:7648	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-7237	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad97479:-7497	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:75f4	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-71e3	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7550	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad6f828:7b82	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-7ba9	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:7f16	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-77d7	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad97479:-7b05	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-7733	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:744f	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-7d65	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad97479:-703e	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:7ec2	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-7993	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-7ab1	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/SLO/	observer
3441d4f:1508ad97479:-6eff	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-729e	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-6e5b	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:73fb	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:6b98	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:7d1d	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:79ef	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:7017	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-75de	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:794b	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad97479:-753a	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:6ed8	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad6f828:7f7d	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/MW/	correspondent member
3441d4f:1508ad6f828:7277	http://www.semwebtech.org/mondial/10/organization/G-5/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-7b6c	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:6e34	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad97479:-779a	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:6de0	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7eac	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:75b7	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/MA/	national committee
3441d4f:1508ad97479:-71a6	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:7be9	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:7513	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad97479:-7102	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:7b45	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-6fc3	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:7773	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-7362	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:6cdf	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:707e	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:6c3b	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:7af1	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RWA/	List C
3441d4f:1508ad97479:-7d28	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-7956	http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:6e9b	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/USA/	signatory
3441d4f:1508ad97479:-76a2	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-7f88	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:73be	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-7cd4	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad6f828:731a	http://www.semwebtech.org/mondial/10/organization/GCC/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-7c30	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:757a	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/HR/	national committee
3441d4f:1508ad97479:-7e90	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:790e	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7b2f	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-775d	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:78ba	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-7d8f	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-7089	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-7adb	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:7eec	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:71e6	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:6da3	http://www.semwebtech.org/mondial/10/organization/BDEAC/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:7142	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:7b08	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RM/	List C
3441d4f:1508ad97479:-73c9	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/MACX/	member
3441d4f:1508ad6f828:7736	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/BOL/	state accepting jurisdiction
3441d4f:1508ad97479:-7325	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7d68	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/MACX/	member
3441d4f:1508ad6f828:7996	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad6f828:7ab4	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/BS/	List C
3441d4f:1508ad97479:-7585	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:76e2	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/DOM/	accepting compulsory jurisdiction without reservations
3441d4f:1508ad6f828:7a10	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-7919	http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-72d1	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:6e5e	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/KOS/	signatory
3441d4f:1508ad6f828:6baa	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:7c70	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-78c5	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7ef7	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad97479:-7821	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:753d	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-7e53	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-712c	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:7fb0	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:7b6f	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-6fed	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:779d	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad97479:-738c	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:6c86	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:7eaf	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/SY/	National Olympic Committee
3441d4f:1508ad6f828:71a9	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:7e0b	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/IS/	National Olympic Committee
3441d4f:1508ad6f828:7105	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/RMM/	compliant countries
3441d4f:1508ad97479:-76cc	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-6e69	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-7cfe	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:6fc6	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:7365	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/CDN/	partner
3441d4f:1508ad97479:-7c5a	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:6f22	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:70b1	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/J/	observer
3441d4f:1508ad6f828:7959	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-7548	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:76a5	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/H/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad6f828:7cd7	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:7601	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7c33	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad97479:-74f4	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:7861	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-7450	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:6dcd	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/AUS/	observer
3441d4f:1508ad6f828:7e93	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RWA/	National Olympic Committee
3441d4f:1508ad6f828:716c	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-7a82	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/DZ/	observer
3441d4f:1508ad97479:-7e16	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-734f	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-6f0c	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-7dc2	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad6f828:74ac	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:7ade	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RMM/	List C
3441d4f:1508ad6f828:6c49	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-79f0	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:7a3a	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-72fb	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:6bf5	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad6f828:7c9a	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:6b51	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-78ef	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/AND/	member
3441d4f:1508ad6f828:7328	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-7c1d	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-784b	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-7e7d	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad6f828:7588	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/CN/	national committee
3441d4f:1508ad97479:-7177	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad6f828:7fda	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:72d4	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:7230	http://www.semwebtech.org/mondial/10/organization/G-11/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-6f94	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:78c8	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:7490	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-74b7	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7824	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/BERM/	subbureau
3441d4f:1508ad97479:-7ae9	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad97479:-7413	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7e56	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RH/	National Olympic Committee
3441d4f:1508ad6f828:712f	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-7a45	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad6f828:7ba2	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-7673	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:77d0	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad6f828:738f	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:6f4c	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:70db	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad97479:-79b3	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:76cf	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/LB/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fe5	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-72be	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:762b	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-7f41	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad97479:-721a	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:6bb8	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:7c5d	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:6b14	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad6f828:788b	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-747a	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-780e	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad6f828:6d74	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad6f828:6ac0	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/LAR/	regional member
3441d4f:1508ad97479:-77ba	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad97479:-6f57	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:74f7	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-7dec	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-70e6	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7453	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-7042	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:7a85	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/WAN/	List B
3441d4f:1508ad6f828:7e19	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/ARM/	National Olympic Committee
3441d4f:1508ad97479:-7a08	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/MAL/	partner
3441d4f:1508ad97479:-7636	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:6b7b	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad97479:-7c68	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:6f0f	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/RI/	observer
3441d4f:1508ad6f828:7dc5	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-7896	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:7d21	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:79f3	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-75e2	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad6f828:72fe	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:6ebb	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/WAN/	signatory
3441d4f:1508ad6f828:7f81	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/LAO/	subscriber member
3441d4f:1508ad97479:-7fa8	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:725a	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-7b70	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7f04	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:784e	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-743d	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-7eb0	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7a6f	http://www.semwebtech.org/mondial/10/organization/OECS/	http://www.semwebtech.org/mondial/10/country/AXA/	member
3441d4f:1508ad6f828:6d37	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:7bcc	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad97479:-769d	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:77fa	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:6f97	http://www.semwebtech.org/mondial/10/organization/D-8/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:6ce3	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-7daf	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:7082	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-70a9	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-79dd	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:7416	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-7d0b	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-7005	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:7a48	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad97479:-6ec6	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:7676	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-7f6b	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7265	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:73c2	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:6b3e	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-7859	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:6d9e	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/GB/	nonregional member
3441d4f:1508ad6f828:79b6	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-75a5	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:6aea	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/EAU/	regional member
3441d4f:1508ad6f828:7fe8	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7912	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-7bd7	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-7501	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:7f44	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:721d	http://www.semwebtech.org/mondial/10/organization/GCTU/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad97479:-7b33	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad97479:-7761	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:747d	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-7d93	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad97479:-706c	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7ef0	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:7c99	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:77bd	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-73ac	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:7def	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/CZ/	National Olympic Committee
3441d4f:1508ad6f828:70e9	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/TR/	candidate
3441d4f:1508ad6f828:6ca6	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:7d4b	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad6f828:7045	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:6c02	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-7b9a	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:6e62	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/D/	signatory
3441d4f:1508ad6f828:7639	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-7f2e	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad97479:-7228	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:7899	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad97479:-7488	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:75e5	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-7eda	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-71d4	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:7541	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-7130	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:7b73	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-6ff1	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:7f07	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad97479:-7390	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad97479:-77c8	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-7724	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad97479:-7d56	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-702f	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:7eb3	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-7984	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-7aa2	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/DK/	observer
3441d4f:1508ad97479:-76d0	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-728f	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:73ec	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:6b89	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad6f828:7d0e	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:7008	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-75cf	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:793c	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-752b	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:6ec9	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:7f6e	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/ANG/	correspondent member
3441d4f:1508ad6f828:7268	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7b5d	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:6e25	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:7cba	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad97479:-778b	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:6dd1	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/PE/	observer
3441d4f:1508ad6f828:75a8	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/CR/	national committee
3441d4f:1508ad6f828:7170	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:7504	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:7b36	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-73f7	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad97479:-6fb4	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad6f828:7764	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-7353	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-6f10	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:7d96	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad6f828:74b0	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:706f	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:6c2c	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:7ae2	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/TN/	List C
3441d4f:1508ad97479:-7d19	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad97479:-7947	http://www.semwebtech.org/mondial/10/organization/SACEP/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:6e8c	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/ET/	signatory
3441d4f:1508ad97479:-7f79	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:73af	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-7cc5	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-78f3	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:730b	http://www.semwebtech.org/mondial/10/organization/G-8/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-7c21	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-71fe	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:756b	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/A/	national committee
3441d4f:1508ad97479:-7e81	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-715a	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:6af8	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/CH/	nonregional member
3441d4f:1508ad6f828:7b9d	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-774e	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:78ab	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad6f828:7edd	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:71d7	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-7acc	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad6f828:7133	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-76fa	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/COOK/	member
3441d4f:1508ad97479:-6e97	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:6ff4	http://www.semwebtech.org/mondial/10/organization/EurasEC/	http://www.semwebtech.org/mondial/10/country/MD/	observer
3441d4f:1508ad6f828:7393	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:6f50	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7727	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/WG/	state accepting jurisdiction
3441d4f:1508ad97479:-7316	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:7d59	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:7987	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:7aa5	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/CY/	List C
3441d4f:1508ad97479:-7576	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:76d3	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/WAG/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad6f828:7a01	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad97479:-72c2	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:6e4f	http://www.semwebtech.org/mondial/10/organization/CIS/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:7c61	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-78b6	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:6dfb	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-7ee8	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:719a	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad97479:-7812	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:752e	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-7e44	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-711d	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7fa1	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-6fde	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:778e	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-737d	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/NMIS/	member
3441d4f:1508ad97479:-6f3a	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:74da	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad97479:-7df0	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:6c77	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-76bd	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad97479:-7cef	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:6fb7	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:7356	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad97479:-7c4b	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:6f13	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/CL/	observer
3441d4f:1508ad6f828:70a2	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-7539	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7cc8	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-7799	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:7c24	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:78f6	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-74e5	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:7852	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-7441	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:6dbe	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:7e84	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/ANG/	National Olympic Committee
3441d4f:1508ad6f828:715d	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-7a73	http://www.semwebtech.org/mondial/10/organization/OAPEC/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:6d1a	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:7bd0	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-7e07	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:6f7a	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/USA/	observer
3441d4f:1508ad97479:-7db3	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:7acf	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/SLB/	List C
3441d4f:1508ad97479:-79e1	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:76fd	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/L/	state accepting jurisdiction
3441d4f:1508ad6f828:7a2b	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-72ec	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:6be6	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:7c8b	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad6f828:6b42	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7319	http://www.semwebtech.org/mondial/10/organization/GCC/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-7c0e	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-783c	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad97479:-7e6e	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:7579	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/NL/	national committee
3441d4f:1508ad97479:-7168	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:7fcb	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/UAE/	observer
3441d4f:1508ad6f828:72c5	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-7bba	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:7221	http://www.semwebtech.org/mondial/10/organization/G-10/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-6f85	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:78b9	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:7481	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-74a8	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-7070	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:7815	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad97479:-7404	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:7e47	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/BDS/	National Olympic Committee
3441d4f:1508ad97479:-7a36	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad97479:-7664	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad6f828:77c1	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad97479:-7c96	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-73b0	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/ARU/	member
3441d4f:1508ad6f828:6f3d	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/B/	observer
3441d4f:1508ad6f828:7df3	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/FL/	National Olympic Committee
3441d4f:1508ad6f828:70cc	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-79a4	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-7fd6	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-7900	http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-72af	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-7f32	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:761c	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-720b	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:6ba9	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:7c4e	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:6b05	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/J/	nonregional member
3441d4f:1508ad6f828:787c	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad97479:-746b	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-7a9d	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/MC/	observer
3441d4f:1508ad6f828:6d65	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/BY/	observer
3441d4f:1508ad6f828:7bfa	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-77ab	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-6f48	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:74e8	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-7ddd	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/UA/	observer
3441d4f:1508ad97479:-70d7	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:7444	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad97479:-7033	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:7a76	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/GB/	List A
3441d4f:1508ad97479:-6ef4	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad97479:-7293	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:73f0	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-7627	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:6b6c	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-7c59	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7db6	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad97479:-7887	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad6f828:7d12	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:79e4	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad97479:-75d3	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:7940	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:72ef	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:6eac	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/PY/	signatory
3441d4f:1508ad6f828:7f72	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/BF/	correspondent member
3441d4f:1508ad6f828:724b	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-7b61	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-709a	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:783f	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-742e	http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/RCH/	nonpermanent member
3441d4f:1508ad97479:-7ea1	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:7bbd	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:6d28	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-768e	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:77eb	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-73da	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:6f88	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/I/	observer
3441d4f:1508ad6f828:6cd4	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/R/	dialogue partner
3441d4f:1508ad6f828:7073	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:6c30	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:7407	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-79ce	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:7a39	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-792a	http://www.semwebtech.org/mondial/10/organization/Sparteca/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:6e90	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/KWT/	signatory
3441d4f:1508ad97479:-6eb7	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:7667	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-7f5c	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-7256	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:73b3	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:6b2f	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:6d8f	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/WD/	regional member
3441d4f:1508ad6f828:79a7	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:6adb	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/G/	regional member
3441d4f:1508ad6f828:7fd9	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/FL/	member
3441d4f:1508ad6f828:7903	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-7bc8	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:7f35	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-77f6	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:720e	http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-7b24	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-7752	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7d84	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:746e	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-705d	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:7ee1	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:71ba	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad97479:-7ad0	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-6e7a	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/STP/	observer
3441d4f:1508ad6f828:77ae	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:770a	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/RSM/	state accepting jurisdiction
3441d4f:1508ad6f828:7d3c	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7036	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-75fd	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:796a	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad6f828:6ef7	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:7f9c	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:7296	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-7b8b	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:6e53	http://www.semwebtech.org/mondial/10/organization/CIS/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad97479:-7f1f	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-7219	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7479	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:75d6	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/RH/	having direct member
3441d4f:1508ad97479:-7ecb	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-71c5	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:7532	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-7121	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:7b64	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-6fe2	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:7792	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-77b9	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-7381	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/NCA/	member
3441d4f:1508ad6f828:6cfe	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:709d	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-7715	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:6c5a	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7d47	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:7ea4	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/SN/	National Olympic Committee
3441d4f:1508ad97479:-7975	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:7e00	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/BIH/	National Olympic Committee
3441d4f:1508ad97479:-76c1	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-7cf3	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:73dd	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:792d	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-751c	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:7f5f	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/KGZ/	correspondent member
3441d4f:1508ad6f828:7259	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7b4e	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:6e16	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:7cab	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad97479:-777c	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad97479:-7afa	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:6dc2	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/DOM/	associated member
3441d4f:1508ad6f828:7161	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7b27	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:77f9	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-73e8	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/GBJ/	member
3441d4f:1508ad97479:-6fa5	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:7755	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/RG/	state accepting jurisdiction
3441d4f:1508ad97479:-7344	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad97479:-6f01	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:7d87	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:74a1	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:6c1d	http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:7ad3	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/WS/	List C
3441d4f:1508ad97479:-72f0	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-7938	http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/MYA/	observer
3441d4f:1508ad6f828:6e7d	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/IRL/	signatory
3441d4f:1508ad97479:-7cb6	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-78e4	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-7c12	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-7840	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-71ef	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:755c	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad97479:-7e72	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-714b	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:6ae9	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/WAL/	regional member
3441d4f:1508ad6f828:7b8e	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-773f	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-799f	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-7abd	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/AL/	observer
3441d4f:1508ad6f828:7ece	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:71c8	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7e2a	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/HONX/	National Olympic Committee
3441d4f:1508ad97479:-76eb	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:7124	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-6e88	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/BHT/	observer
3441d4f:1508ad6f828:6fe5	http://www.semwebtech.org/mondial/10/organization/ECO/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:7384	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:6f41	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/GE/	observer
3441d4f:1508ad6f828:7718	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/J/	state accepting jurisdiction
3441d4f:1508ad6f828:70d0	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-7307	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:7978	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7567	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:76c4	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/MH/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7b99	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-72b3	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad6f828:7cf6	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad6f828:7620	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:7c52	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad6f828:7880	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-78a7	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:6dec	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-7ed9	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:718b	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-7803	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:751f	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-7e35	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-710e	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad97479:-6fcf	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:777f	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad97479:-736e	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-6f2b	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:74cb	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-7de1	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-70ba	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:6c68	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:7afd	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/DJI/	List C
3441d4f:1508ad97479:-76ae	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-760a	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:6fa8	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:6b70	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-7c3c	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:7347	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:6f04	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-786a	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-7e9c	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad97479:-7196	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:72f3	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:6eb0	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/SME/	signatory
3441d4f:1508ad6f828:7cb9	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:7c15	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:78e7	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-74d6	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:7843	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad97479:-7432	http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/JOR/	nonpermanent member
3441d4f:1508ad6f828:6daf	http://www.semwebtech.org/mondial/10/organization/BCIE/	http://www.semwebtech.org/mondial/10/country/E/	nonregional member
3441d4f:1508ad6f828:7e75	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RCH/	National Olympic Committee
3441d4f:1508ad97479:-7a64	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:714e	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:6d0b	http://www.semwebtech.org/mondial/10/organization/BA/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:7bc1	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-7692	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:6f6b	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:70fa	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/USA/	stake holder
3441d4f:1508ad97479:-7da4	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-79d2	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-7d00	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:76ee	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/F/	state accepting jurisdiction
3441d4f:1508ad6f828:7a1c	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad97479:-72dd	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad6f828:764a	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-7f60	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad6f828:6bd7	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:7c7c	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad6f828:6b33	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad97479:-782d	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/AND/	member
3441d4f:1508ad6f828:6d93	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/MNTS/	regional member
3441d4f:1508ad97479:-7e5f	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-7159	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:7fbc	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/MNE/	observer
3441d4f:1508ad6f828:72b6	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-7bab	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:7212	http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad97479:-6f76	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:7472	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-7061	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:7806	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:7e38	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RL/	National Olympic Committee
3441d4f:1508ad97479:-76f9	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-7a27	http://www.semwebtech.org/mondial/10/organization/OPEC/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-7655	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:6b9a	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:77b2	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-7c87	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/KGZ/	observer
3441d4f:1508ad97479:-73a1	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:6f2e	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:7de4	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad6f828:70bd	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:7d40	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:6eda	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-7fc7	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:760d	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-7f23	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad6f828:7c3f	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:786d	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:7e9f	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/ER/	National Olympic Committee
3441d4f:1508ad6f828:7199	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-7a8e	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/CY/	observer
3441d4f:1508ad6f828:6d56	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:7beb	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-6f39	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:74d9	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad97479:-7dce	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-70c8	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-79fc	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/WAFU/	observer
3441d4f:1508ad6f828:7435	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad97479:-7d2a	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-7024	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:7a67	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/D/	List A
3441d4f:1508ad97479:-6ee5	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7695	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-7f8a	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-7284	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/LS/	member
3441d4f:1508ad6f828:73e1	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7618	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:6b5d	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:7da7	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-7878	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad6f828:7d03	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:79d5	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-75c4	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:7931	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-7bf6	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-7520	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:7f63	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/PNG/	correspondent member
3441d4f:1508ad97479:-7b52	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:723c	http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-7780	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:749c	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-708b	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad97479:-741f	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:6d19	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:7bae	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-767f	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:7b0a	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/MOC/	List C
3441d4f:1508ad6f828:77dc	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad97479:-73cb	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:6f79	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/CDN/	observer
3441d4f:1508ad6f828:6cc5	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/IRL/	nonregional member
3441d4f:1508ad6f828:7d6a	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad6f828:7064	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad6f828:6c21	http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-79bf	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-791b	http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:6e81	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/GB/	signatory
3441d4f:1508ad97479:-6ea8	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:7658	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad97479:-7f4d	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-7247	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:73a4	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:7300	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-71f3	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7560	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:6acc	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/BF/	regional member
3441d4f:1508ad6f828:7b92	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-7bb9	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:7f26	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-77e7	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-7b15	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-7743	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:78a0	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:745f	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-7d75	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-704e	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:7ed2	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:71ab	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-7ac1	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad97479:-6e6b	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:7d2d	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:79ff	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:7027	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-75ee	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:795b	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-754a	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad6f828:6ee8	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:7f8d	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7287	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad97479:-7b7c	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad6f828:6e44	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:6df0	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:75c7	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/BIH/	having direct member
3441d4f:1508ad97479:-7ebc	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-71b6	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:7bf9	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:7523	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad97479:-7112	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:7b55	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-6fd3	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:7783	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-7372	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:6cef	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:708e	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7706	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:6c4b	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-7d38	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-7966	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad97479:-7f98	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-76b2	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad97479:-7ce4	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:73ce	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:732a	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7c40	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:758a	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/PK/	national committee
3441d4f:1508ad6f828:791e	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-750d	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad97479:-7b3f	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad6f828:6e07	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-776d	http://www.semwebtech.org/mondial/10/organization/UNDOF/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad6f828:78ca	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-7d9f	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad97479:-7099	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:7efc	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:71f6	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad97479:-7aeb	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:6db3	http://www.semwebtech.org/mondial/10/organization/BCIE/	http://www.semwebtech.org/mondial/10/country/DOM/	nonregional member
3441d4f:1508ad6f828:7152	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:7b18	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-73d9	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:7746	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/Z/	state accepting jurisdiction
3441d4f:1508ad97479:-7335	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/MAYO/	member
3441d4f:1508ad6f828:7d78	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:6c0e	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/GUAM/	observer
3441d4f:1508ad6f828:7ac4	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/CO/	List C
3441d4f:1508ad97479:-7595	http://www.semwebtech.org/mondial/10/organization/UNITAR/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:76f2	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/D/	state accepting jurisdiction
3441d4f:1508ad6f828:7a20	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad97479:-7929	http://www.semwebtech.org/mondial/10/organization/Sparteca/	http://www.semwebtech.org/mondial/10/country/NIUE/	member
3441d4f:1508ad97479:-72e1	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:6e6e	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/B/	signatory
3441d4f:1508ad6f828:6bba	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:7c80	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad97479:-7ca7	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-78d5	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-7c03	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-7831	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:754d	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-7e63	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:7fc0	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/SK/	observer
3441d4f:1508ad6f828:7b7f	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-6ffd	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-739c	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/GROX/	member
3441d4f:1508ad6f828:6c96	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:7ebf	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:71b9	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/KIR/	member
3441d4f:1508ad97479:-7aae	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/LT/	observer
3441d4f:1508ad97479:-76dc	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:7e1b	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/AZ/	National Olympic Committee
3441d4f:1508ad6f828:7115	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/TAD/	candidate countries
3441d4f:1508ad97479:-7a0a	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/CN/	partner
3441d4f:1508ad97479:-6e79	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/SY/	observer
3441d4f:1508ad6f828:6fd6	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:7375	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-7c6a	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:6f32	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:7709	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/IRL/	state accepting jurisdiction
3441d4f:1508ad6f828:70c1	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:7969	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad97479:-7558	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:76b5	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/GB/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7faa	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-72a4	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:7ce7	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:7611	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-7200	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/REUN/	member
3441d4f:1508ad6f828:7c43	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:7871	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-7460	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:6ddd	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:717c	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-7a92	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/AZ/	observer
3441d4f:1508ad97479:-7e26	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad97479:-77a0	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-735f	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-6f1c	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:74bc	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-7dd2	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/DOM/	observer
3441d4f:1508ad97479:-70ab	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:6c59	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:7aee	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/CI/	List C
3441d4f:1508ad6f828:7a4a	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:6b61	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-78ff	http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:7338	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-7c2d	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-785b	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:7598	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/KWT/	national committee
3441d4f:1508ad97479:-7e8d	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-7187	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:7fea	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/MC/	member
3441d4f:1508ad6f828:72e4	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:6ea1	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/RH/	signatory
3441d4f:1508ad6f828:7240	http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:7c06	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:78d8	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-74c7	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:7834	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-7af9	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-7423	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7e66	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/GUAM/	National Olympic Committee
3441d4f:1508ad6f828:713f	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/NLSM/	member
3441d4f:1508ad97479:-7a55	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:7bb2	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad97479:-7683	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:77e0	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:739f	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad6f828:6f5c	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:70eb	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/F/	stake holder
3441d4f:1508ad97479:-79c3	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:76df	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/TL/	accepting compulsory jurisdiction without reservations
3441d4f:1508ad6f828:7a0d	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-7ff5	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-72ce	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:763b	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad97479:-7f51	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-722a	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:6bc8	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:7c6d	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:6b24	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:789b	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad97479:-748a	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-781e	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:6d84	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/CO/	observer
3441d4f:1508ad6f828:6ad0	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/RSA/	regional member
3441d4f:1508ad6f828:7fad	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:72a7	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:7203	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad97479:-77ca	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad97479:-6f67	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7dfc	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-70f6	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:7463	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-7052	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:7a95	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/GE/	List C
3441d4f:1508ad6f828:7e29	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/KGZ/	National Olympic Committee
3441d4f:1508ad97479:-7a18	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad97479:-7646	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:6b8b	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/TUV/	member
3441d4f:1508ad6f828:77a3	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-7c78	http://www.semwebtech.org/mondial/10/organization/NC/	http://www.semwebtech.org/mondial/10/country/LV/	observer
3441d4f:1508ad6f828:6f1f	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:7dd5	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad6f828:70ae	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/R/	observer
3441d4f:1508ad6f828:7d31	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:700a	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-75f2	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:6ecb	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:7f91	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-7fb8	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:726a	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-7b80	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-7f14	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad6f828:785e	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad97479:-744d	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-7a7f	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/ANG/	observer
3441d4f:1508ad6f828:75aa	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/C/	national committee
3441d4f:1508ad97479:-7ec0	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:6d47	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:7bdc	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:6cf3	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad97479:-7dbf	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:7092	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-70b9	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-79ed	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:7426	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-7d1b	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-7015	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/NIUE/	member
3441d4f:1508ad6f828:7a58	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-6ed6	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:7686	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad97479:-7f7b	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-7275	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad6f828:73d2	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-7609	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad6f828:6b4e	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/NEP/	member
3441d4f:1508ad97479:-7869	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:79c6	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-75b5	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:7ff8	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:6afa	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/NL/	nonregional member
3441d4f:1508ad6f828:7922	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-7511	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-7be7	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:7f54	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/MNE/	correspondent member
3441d4f:1508ad6f828:722d	http://www.semwebtech.org/mondial/10/organization/G-11/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7b43	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:7ca0	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-7771	http://www.semwebtech.org/mondial/10/organization/UNDOF/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:748d	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-707c	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:77cd	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-73bc	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:7dff	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/NL/	National Olympic Committee
3441d4f:1508ad6f828:70f9	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/CDN/	stake holder
3441d4f:1508ad6f828:6cb6	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad6f828:7d5b	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:7055	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad6f828:6c12	http://www.semwebtech.org/mondial/10/organization/CAN/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-790c	http://www.semwebtech.org/mondial/10/organization/Mercosur/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:6e72	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/HR/	signatory
3441d4f:1508ad6f828:7649	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad97479:-7f3e	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad97479:-7238	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/PR/	member
3441d4f:1508ad97479:-7498	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:75f5	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-7eea	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad97479:-71e4	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7551	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad97479:-7140	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:7b83	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7f17	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-77d8	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-7b06	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-7734	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad97479:-7d66	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-703f	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:7ec3	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-7994	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-7ab2	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/SK/	observer
3441d4f:1508ad97479:-729f	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-76e0	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-6e5c	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:73fc	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:6b99	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:7d1e	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:7018	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad97479:-75df	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:794c	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad97479:-753b	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:7f7e	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/MOC/	correspondent member
3441d4f:1508ad6f828:6ed9	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad6f828:7278	http://www.semwebtech.org/mondial/10/organization/G-5/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-7b6d	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:7cca	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:6e35	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-779b	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:6de1	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad97479:-7ead	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:75b8	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/TN/	national committee
3441d4f:1508ad6f828:7180	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad97479:-71a7	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7514	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-7103	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:7b46	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-6fc4	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:7774	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-7363	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad97479:-6f20	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:74c0	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:707f	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:6c3c	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:7af2	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/EAT/	List C
3441d4f:1508ad97479:-7d29	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-7957	http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:6e9c	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/CR/	signatory
3441d4f:1508ad97479:-7f89	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-76a3	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:73bf	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-7cd5	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:731b	http://www.semwebtech.org/mondial/10/organization/GCC/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad97479:-7c31	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:757b	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/BG/	national committee
3441d4f:1508ad97479:-7e91	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/BERM/	member
3441d4f:1508ad97479:-716a	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:790f	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad97479:-775e	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:78bb	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-74aa	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad97479:-7adc	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:7eed	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:71e7	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad6f828:6da4	http://www.semwebtech.org/mondial/10/organization/BDEAC/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:7143	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:6d00	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:7b09	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/MW/	List C
3441d4f:1508ad6f828:6f60	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:7737	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/BR/	state accepting jurisdiction
3441d4f:1508ad97479:-7326	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad6f828:7d69	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:7997	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:7ab5	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/BDS/	List C
3441d4f:1508ad97479:-7586	http://www.semwebtech.org/mondial/10/organization/UNMIT/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:76e3	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/RH/	accepting compulsory jurisdiction without reservations
3441d4f:1508ad6f828:7a11	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-72d2	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:6e5f	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/E/	signatory
3441d4f:1508ad6f828:6bab	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:7c71	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-78c6	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-7ef8	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-7822	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:753e	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-7e54	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-712d	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:7fb1	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-7ba0	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-6fee	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:779e	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad97479:-738d	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/WV/	member
3441d4f:1508ad97479:-6f4a	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:74ea	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:6c87	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:7e0c	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/IRL/	National Olympic Committee
3441d4f:1508ad6f828:7106	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/RIM/	compliant countries
3441d4f:1508ad97479:-76cd	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad97479:-7cff	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:6fc7	http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:7366	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/USA/	partner
3441d4f:1508ad97479:-7c5b	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:6f23	http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:70b2	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/USA/	observer
3441d4f:1508ad97479:-7549	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad6f828:76a6	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/FL/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad6f828:7cd8	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:7602	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:7c34	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad97479:-74f5	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:7862	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad97479:-7451	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:6dce	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/RA/	observer
3441d4f:1508ad6f828:7e94	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/CAM/	National Olympic Committee
3441d4f:1508ad6f828:716d	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-7a83	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/VU/	observer
3441d4f:1508ad6f828:6d2a	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7be0	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-7e17	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:6f8a	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/BY/	observer
3441d4f:1508ad97479:-6f0d	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:74ad	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-7dc3	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:7adf	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RIM/	List C
3441d4f:1508ad97479:-79f1	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:7a3b	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-72fc	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:6bf6	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad6f828:7c9b	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad6f828:6b52	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:7329	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad97479:-7c1e	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-784c	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:7589	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/IR/	national committee
3441d4f:1508ad97479:-7e7e	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/FPOL/	member
3441d4f:1508ad97479:-7178	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/GUY/	member
3441d4f:1508ad6f828:7fdb	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:72d5	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-7bca	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:7231	http://www.semwebtech.org/mondial/10/organization/G-11/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-6f95	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:78c9	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:7491	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-74b8	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad97479:-7080	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:7825	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/BVIR/	subbureau
3441d4f:1508ad97479:-7414	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:7e57	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/ES/	National Olympic Committee
3441d4f:1508ad97479:-7a46	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad6f828:7ba3	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad97479:-7674	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:77d1	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-73c0	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:6f4d	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:70dc	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad97479:-79b4	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-72bf	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-7910	http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad97479:-7fe6	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad97479:-721b	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:762c	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-7f42	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:6bb9	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:7c5e	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:6b15	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:788c	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad97479:-747b	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-780f	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:6d75	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:6ac1	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/RMM/	regional member
3441d4f:1508ad97479:-77bb	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad97479:-6f58	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:74f8	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-7ded	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad97479:-70e7	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:7454	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-7043	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:7a86	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/G/	List B
3441d4f:1508ad6f828:71a0	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad97479:-7a09	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/IND/	partner
3441d4f:1508ad97479:-6e60	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-7637	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:6b7c	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-7c69	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad6f828:7dc6	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/BI/	member
3441d4f:1508ad97479:-7897	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:7d22	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:79f4	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-75e3	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad6f828:7950	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:72ff	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:6ebc	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/RB/	signatory
3441d4f:1508ad6f828:7f82	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/AG/	subscriber member
3441d4f:1508ad97479:-7fa9	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:725b	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-7b71	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-7f05	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:784f	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-743e	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-7eb1	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:6d38	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:7bcd	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad97479:-769e	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:77fb	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-73ea	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:6f98	http://www.semwebtech.org/mondial/10/organization/D-8/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:6ce4	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:7083	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad6f828:6c40	http://www.semwebtech.org/mondial/10/organization/AMU/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-79de	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:7417	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-7d0c	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-7006	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:7a49	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad97479:-793a	http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/CN/	observer
3441d4f:1508ad97479:-6ec7	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:7677	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-7f6c	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-7266	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:73c3	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/NIC/	member
3441d4f:1508ad6f828:6b3f	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:6d9f	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/CN/	nonregional member
3441d4f:1508ad6f828:79b7	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-75a6	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/MW/	member
3441d4f:1508ad6f828:6aeb	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/LS/	regional member
3441d4f:1508ad6f828:7fe9	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:7913	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad97479:-7bd8	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-7502	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:7f45	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:721e	http://www.semwebtech.org/mondial/10/organization/GCTU/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad97479:-7b34	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-7762	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-7d94	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:747e	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-706d	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:7ef1	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:71ca	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-7ae0	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad97479:-6e8a	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/UZB/	observer
3441d4f:1508ad6f828:77be	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad97479:-73ad	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:771a	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/MV/	state accepting jurisdiction
3441d4f:1508ad6f828:6ca7	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7d4c	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:7046	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:6c03	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/COM/	member
3441d4f:1508ad6f828:797a	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-7b9b	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/AND/	member
3441d4f:1508ad6f828:6e63	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/H/	signatory
3441d4f:1508ad97479:-7f2f	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-7229	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-7489	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:75e6	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-7edb	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-71d5	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:7542	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-7131	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:7b74	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-6ff2	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:7f08	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-7391	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/PR/	member
3441d4f:1508ad97479:-77c9	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-7725	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:6c6a	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-7d57	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7eb4	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad97479:-7985	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-7aa3	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/TR/	observer
3441d4f:1508ad6f828:7e10	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/P/	National Olympic Committee
3441d4f:1508ad97479:-76d1	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:73ed	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:6faa	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:7d0f	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad6f828:7009	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:793d	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-752c	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:7f6f	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/RCB/	correspondent member
3441d4f:1508ad6f828:7269	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-7b5e	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/KGZ/	member
3441d4f:1508ad6f828:6e26	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad6f828:7cbb	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad97479:-778c	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:6dd2	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:75a9	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/PA/	national committee
3441d4f:1508ad6f828:7171	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad6f828:7505	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:7b37	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-73f8	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-6fb5	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7765	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-7354	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-6f11	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad6f828:7d97	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:74b1	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/KOS/	member
3441d4f:1508ad97479:-70a0	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:6c2d	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:7ae3	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/ANG/	List C
3441d4f:1508ad97479:-7948	http://www.semwebtech.org/mondial/10/organization/SACEP/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad6f828:6e8d	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/RI/	signatory
3441d4f:1508ad97479:-7cc6	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-78f4	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:730c	http://www.semwebtech.org/mondial/10/organization/G-8/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-7c22	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-7850	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-71ff	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:756c	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/CZ/	national committee
3441d4f:1508ad97479:-7e82	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-715b	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:6af9	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/B/	nonregional member
3441d4f:1508ad6f828:7b9e	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-774f	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:78ac	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad6f828:7ede	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:71d8	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RCB/	member
3441d4f:1508ad97479:-7acd	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:7e3a	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/ROK/	National Olympic Committee
3441d4f:1508ad6f828:7134	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-76fb	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-6e98	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:6ff5	http://www.semwebtech.org/mondial/10/organization/EurasEC/	http://www.semwebtech.org/mondial/10/country/ARM/	observer
3441d4f:1508ad6f828:7394	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:6f51	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7728	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/CO/	state accepting jurisdiction
3441d4f:1508ad6f828:70e0	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-7317	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:7988	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad6f828:7aa6	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/IL/	List C
3441d4f:1508ad97479:-7577	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:76d4	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/SN/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad6f828:7a02	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad97479:-72c3	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:7630	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:7c62	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:7890	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-78b7	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad6f828:6dfc	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-7ee9	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:719b	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad97479:-7813	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:752f	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-7e45	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-711e	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:7fa2	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-6fdf	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:778f	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad97479:-737e	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/NORF/	member
3441d4f:1508ad97479:-6f3b	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad6f828:74db	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad97479:-7df1	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-70ca	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:6c78	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/HONX/	member
3441d4f:1508ad97479:-76be	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad97479:-761a	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:6fb8	http://www.semwebtech.org/mondial/10/organization/CEMAC/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad6f828:6b80	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad6f828:7357	http://www.semwebtech.org/mondial/10/organization/IGAD/	http://www.semwebtech.org/mondial/10/country/GR/	partner
3441d4f:1508ad97479:-7c4c	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:6f14	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/USA/	observer
3441d4f:1508ad6f828:70a3	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-787a	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:6ec0	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/EAK/	signatory
3441d4f:1508ad6f828:7cc9	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:7c25	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad6f828:78f7	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad97479:-74e6	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:7853	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7442	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-7a74	http://www.semwebtech.org/mondial/10/organization/OAPEC/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:6dbf	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:7e85	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/RCB/	National Olympic Committee
3441d4f:1508ad6f828:715e	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:6d1b	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad6f828:7bd1	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/FJI/	member
3441d4f:1508ad97479:-7e08	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:6f7b	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-7db4	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-79e2	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-7d10	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:76fe	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/NL/	state accepting jurisdiction
3441d4f:1508ad6f828:7a2c	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-72ed	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-6eaa	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad6f828:765a	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad97479:-7f70	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:7c8c	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:6be7	http://www.semwebtech.org/mondial/10/organization/AOSIS/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad6f828:6b43	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-7c0f	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-783d	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad97479:-7e6f	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-7169	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:7fcc	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/DOM/	observer
3441d4f:1508ad6f828:72c6	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/WS/	member
3441d4f:1508ad97479:-7bbb	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:7222	http://www.semwebtech.org/mondial/10/organization/G-10/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-6f86	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:7482	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-74a9	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-7071	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:7b28	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:7816	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad97479:-7405	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:7e48	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/BZ/	National Olympic Committee
3441d4f:1508ad97479:-7a37	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-7665	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:77c2	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad97479:-7c97	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad97479:-73b1	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:6f3e	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/NL/	observer
3441d4f:1508ad6f828:7df4	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/SK/	National Olympic Committee
3441d4f:1508ad6f828:70cd	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad6f828:7d50	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad97479:-79a5	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:6eea	http://www.semwebtech.org/mondial/10/organization/CPLP/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad97479:-7fd7	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-7901	http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:761d	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad97479:-7f33	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad97479:-720c	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:7c4f	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad6f828:6b06	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/ROK/	nonregional member
3441d4f:1508ad6f828:787d	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad97479:-746c	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7a9e	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/S/	observer
3441d4f:1508ad6f828:6d66	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/PL/	observer
3441d4f:1508ad6f828:7bfb	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-77ac	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-6f49	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:74e9	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad97479:-7dde	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/CH/	observer
3441d4f:1508ad97479:-70d8	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:7445	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-7d3a	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-7034	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:7a77	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/J/	List A
3441d4f:1508ad97479:-6ef5	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad97479:-7f9a	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-7294	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad6f828:73f1	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-7628	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:6b6d	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:7db7	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-7888	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad6f828:7d13	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:79e5	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad97479:-75d4	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:7941	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad97479:-7530	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:6ead	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/ROU/	signatory
3441d4f:1508ad6f828:7f73	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/RT/	correspondent member
3441d4f:1508ad6f828:724c	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-7b62	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-7790	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/EAT/	member
3441d4f:1508ad97479:-709b	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-742f	http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/RA/	nonpermanent member
3441d4f:1508ad97479:-7ea2	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/IL/	member
3441d4f:1508ad6f828:6d29	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:7bbe	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-73db	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/ARM/	member
3441d4f:1508ad97479:-768f	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:7b1a	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:77ec	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad6f828:6f89	http://www.semwebtech.org/mondial/10/organization/CBSS/	http://www.semwebtech.org/mondial/10/country/SK/	observer
3441d4f:1508ad6f828:6cd5	http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/CN/	dialogue partner
3441d4f:1508ad6f828:7d7a	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/OM/	member
3441d4f:1508ad6f828:7074	http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/EW/	member
3441d4f:1508ad6f828:6c31	http://www.semwebtech.org/mondial/10/organization/AFESD/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:7408	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad97479:-79cf	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-792b	http://www.semwebtech.org/mondial/10/organization/Sparteca/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad6f828:6e91	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/J/	signatory
3441d4f:1508ad97479:-6eb8	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:7668	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-7f5d	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad97479:-7257	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:73b4	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad6f828:7310	http://www.semwebtech.org/mondial/10/organization/G-9/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:79a8	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:7570	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/SK/	national committee
3441d4f:1508ad6f828:6adc	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/CV/	regional member
3441d4f:1508ad6f828:7904	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/BY/	member
3441d4f:1508ad97479:-7bc9	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:7f36	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad97479:-77f7	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:720f	http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-7b25	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad97479:-7753	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad6f828:78b0	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:746f	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-7d85	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-705e	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:7ee2	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/VN/	member
3441d4f:1508ad6f828:71bb	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad97479:-7ad1	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-6e7b	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/ETH/	observer
3441d4f:1508ad6f828:77af	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad6f828:770b	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/M/	state accepting jurisdiction
3441d4f:1508ad6f828:7d3d	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:7037	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-75fe	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:796b	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-755a	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:6ef8	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:7f9d	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:7297	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-7b8c	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:6e54	http://www.semwebtech.org/mondial/10/organization/CIS/	http://www.semwebtech.org/mondial/10/country/UZB/	member
3441d4f:1508ad6f828:6ba0	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:75d7	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/HCA/	having direct member
3441d4f:1508ad97479:-7ecc	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad97479:-71c6	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:7533	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-7122	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7b65	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad97479:-6fe3	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:7793	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad97479:-7382	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad6f828:6cff	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:709e	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-7716	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad6f828:6c5b	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/BD/	member
3441d4f:1508ad97479:-7d48	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:7ea5	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/GNB/	National Olympic Committee
3441d4f:1508ad97479:-7976	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:7e01	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/HR/	National Olympic Committee
3441d4f:1508ad97479:-76c2	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad6f828:73de	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-7cf4	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:733a	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-7c50	http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad6f828:759a	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/SYR/	national committee
3441d4f:1508ad6f828:792e	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad97479:-751d	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-7b4f	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad6f828:6e17	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad6f828:7cac	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-777d	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:78da	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/A/	member
3441d4f:1508ad97479:-7afb	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/GQ/	member
3441d4f:1508ad6f828:6dc3	http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/F/	observer
3441d4f:1508ad6f828:7162	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-73e9	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad97479:-6fa6	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:7756	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/LB/	state accepting jurisdiction
3441d4f:1508ad97479:-7345	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad97479:-6f02	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:7d88	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:74a2	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:6c1e	http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:7ad4	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/RA/	List C
3441d4f:1508ad6f828:7a30	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-7939	http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/IR/	observer
3441d4f:1508ad97479:-72f1	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:6e7e	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/M/	signatory
3441d4f:1508ad6f828:6bca	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:7c90	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7cb7	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad97479:-78e5	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-7c13	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-7841	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:755d	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad97479:-7e73	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-714c	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad6f828:7fd0	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:7b8f	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:7ecf	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad97479:-7abe	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:71c9	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/PY/	member
3441d4f:1508ad6f828:7e2b	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/MNG/	National Olympic Committee
3441d4f:1508ad97479:-76ec	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:7125	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-7a1a	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad97479:-6e89	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/AZ/	observer
3441d4f:1508ad6f828:6fe6	http://www.semwebtech.org/mondial/10/organization/ECO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:7385	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-7c7a	http://www.semwebtech.org/mondial/10/organization/NC/	http://www.semwebtech.org/mondial/10/country/IS/	member
3441d4f:1508ad6f828:6f42	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/AZ/	observer
3441d4f:1508ad6f828:7719	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/ROK/	state accepting jurisdiction
3441d4f:1508ad6f828:70d1	http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/I/	member
3441d4f:1508ad97479:-7308	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:7979	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-7568	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:76c5	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/NZ/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fba	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-72b4	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad6f828:7cf7	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:7621	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-7210	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad6f828:7c53	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad6f828:7881	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-78a8	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad97479:-7470	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:6ded	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad6f828:718c	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad97479:-7804	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/IR/	member
3441d4f:1508ad97479:-7e36	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad97479:-710f	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad97479:-77b0	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-736f	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad97479:-6f2c	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:74cc	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad97479:-7de2	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-70bb	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad6f828:6c69	http://www.semwebtech.org/mondial/10/organization/ARF/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:7afe	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/ER/	List C
3441d4f:1508ad6f828:7a5a	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad97479:-76af	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/SD/	member
3441d4f:1508ad97479:-760b	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:6fa9	http://www.semwebtech.org/mondial/10/organization/EAS/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:6b71	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:7348	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7c3d	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:6f05	http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/MNG/	member
3441d4f:1508ad97479:-786b	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/SME/	member
3441d4f:1508ad97479:-7e9d	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad97479:-7197	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7ffa	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:72f4	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/DJI/	member
3441d4f:1508ad6f828:6eb1	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/YV/	signatory
3441d4f:1508ad6f828:7250	http://www.semwebtech.org/mondial/10/organization/G-20/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:7c16	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:78e8	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-74d7	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:7844	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad97479:-7433	http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/L/	nonpermanent member
3441d4f:1508ad6f828:7e76	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/PY/	National Olympic Committee
3441d4f:1508ad6f828:714f	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-7a65	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:6d0c	http://www.semwebtech.org/mondial/10/organization/BA/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:7bc2	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad97479:-7693	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:77f0	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RN/	member
3441d4f:1508ad6f828:6f6c	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad6f828:70fb	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/AUS/	stake holder
3441d4f:1508ad97479:-7da5	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad97479:-79d3	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-7d01	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:76ef	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/E/	state accepting jurisdiction
3441d4f:1508ad6f828:7a1d	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad97479:-72de	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:764b	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-7f61	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad97479:-723a	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/MART/	member
3441d4f:1508ad6f828:6bd8	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:7c7d	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:6b34	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-749a	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-782e	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/MNE/	member
3441d4f:1508ad6f828:6d94	http://www.semwebtech.org/mondial/10/organization/CDB/	http://www.semwebtech.org/mondial/10/country/CO/	regional member
3441d4f:1508ad6f828:6ae0	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/LB/	regional member
3441d4f:1508ad6f828:7fbd	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/A/	observer
3441d4f:1508ad6f828:72b7	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad97479:-7bac	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/TAD/	member
3441d4f:1508ad6f828:7213	http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-77da	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/Q/	member
3441d4f:1508ad97479:-6f77	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad6f828:7473	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad97479:-7062	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:7807	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:7e39	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/J/	National Olympic Committee
3441d4f:1508ad97479:-7a28	http://www.semwebtech.org/mondial/10/organization/OPEC/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad97479:-7656	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:6b9b	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:77b3	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/RL/	member
3441d4f:1508ad97479:-73a2	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad97479:-7c88	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/KAZ/	observer
3441d4f:1508ad6f828:6f2f	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7de5	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad6f828:70be	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:7d41	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:701a	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad6f828:6edb	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/KN/	member
3441d4f:1508ad97479:-7fc8	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad6f828:727a	http://www.semwebtech.org/mondial/10/organization/G-5/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-7b90	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:760e	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-7f24	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad6f828:786e	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/KWT/	member
3441d4f:1508ad97479:-745d	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:75ba	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/WAN/	national committee
3441d4f:1508ad97479:-7ed0	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad97479:-7a8f	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/KAZ/	observer
3441d4f:1508ad6f828:6d57	http://www.semwebtech.org/mondial/10/organization/BSEC/	http://www.semwebtech.org/mondial/10/country/R/	member
3441d4f:1508ad6f828:7bec	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-7dcf	http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad97479:-70c9	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-79fd	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/TOK/	observer
3441d4f:1508ad6f828:7436	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad97479:-7d2b	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/RB/	member
3441d4f:1508ad97479:-7025	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:7a68	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/H/	List A
3441d4f:1508ad97479:-6ee6	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:7696	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad97479:-7f8b	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-7285	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:73e2	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/ANG/	member
3441d4f:1508ad97479:-7619	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad6f828:6b5e	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:7da8	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad97479:-7879	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad6f828:7d04	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad6f828:79d6	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad97479:-75c5	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:7932	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/K/	member
3441d4f:1508ad97479:-7bf7	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/CZ/	member
3441d4f:1508ad97479:-7521	http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:7f64	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/GCA/	correspondent member
3441d4f:1508ad6f828:723d	http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-7b53	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/SYR/	member
3441d4f:1508ad6f828:7cb0	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-7781	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/SP/	member
3441d4f:1508ad6f828:749d	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad97479:-708c	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:7baf	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:7b0b	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/MS/	List C
3441d4f:1508ad6f828:77dd	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad97479:-73cc	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/NOK/	member
3441d4f:1508ad6f828:6cc6	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/P/	nonregional member
3441d4f:1508ad6f828:7d6b	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/CY/	member
3441d4f:1508ad6f828:7065	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:6c22	http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-791c	http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad6f828:6e82	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/ARM/	signatory
3441d4f:1508ad97479:-6ea9	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-7248	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad6f828:7659	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/MH/	member
3441d4f:1508ad97479:-7f4e	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/IRQ/	member
3441d4f:1508ad6f828:73a5	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad6f828:7301	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-7efa	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/RWA/	member
3441d4f:1508ad97479:-71f4	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7561	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad97479:-7150	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/ER/	member
3441d4f:1508ad6f828:6acd	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/WAN/	regional member
3441d4f:1508ad6f828:7b93	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:7f27	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/ZW/	member
3441d4f:1508ad97479:-77e8	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad97479:-7b16	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad97479:-7744	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:78a1	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-7d76	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad97479:-704f	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:7ed3	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:71ac	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad97479:-7ac2	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-76f0	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-6e6c	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:7d2e	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad6f828:7028	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad97479:-75ef	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/RH/	member
3441d4f:1508ad6f828:795c	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad97479:-754b	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:6ee9	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/EC/	member
3441d4f:1508ad6f828:7f8e	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:7288	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad97479:-7b7d	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:6e45	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:7cda	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad6f828:6df1	http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad97479:-7ebd	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad6f828:75c8	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/GBZ/	having direct member
3441d4f:1508ad6f828:7190	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/JOR/	member
3441d4f:1508ad97479:-71b7	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/TL/	member
3441d4f:1508ad6f828:7524	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad97479:-7113	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad6f828:7b56	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-6fd4	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:7784	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-7373	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-6f30	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/V/	observer
3441d4f:1508ad6f828:74d0	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RSM/	member
3441d4f:1508ad6f828:708f	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad97479:-7707	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad6f828:6c4c	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-7d39	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/RMM/	member
3441d4f:1508ad97479:-7967	http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad97479:-7f99	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/GR/	member
3441d4f:1508ad97479:-76b3	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/RM/	member
3441d4f:1508ad97479:-7ce5	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:73cf	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/PAL/	member
3441d4f:1508ad6f828:732b	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-7c41	http://www.semwebtech.org/mondial/10/organization/NEA/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad6f828:758b	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/GE/	national committee
3441d4f:1508ad97479:-717a	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:791f	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad97479:-750e	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:6e08	http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-776e	http://www.semwebtech.org/mondial/10/organization/UNDOF/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:78cb	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/WAG/	member
3441d4f:1508ad97479:-74ba	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/PL/	member
3441d4f:1508ad6f828:7efd	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:71f7	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-7aec	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/WAL/	member
3441d4f:1508ad6f828:6db4	http://www.semwebtech.org/mondial/10/organization/BCIE/	http://www.semwebtech.org/mondial/10/country/CO/	nonregional member
3441d4f:1508ad6f828:7153	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad6f828:6d10	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad6f828:7b19	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:6f70	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/GB/	member
3441d4f:1508ad6f828:7747	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/BEN/	state accepting jurisdiction
3441d4f:1508ad97479:-7336	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:7d79	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/MV/	member
3441d4f:1508ad6f828:6c0f	http://www.semwebtech.org/mondial/10/organization/CAN/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad6f828:7ac5	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/KN/	List C
3441d4f:1508ad97479:-7596	http://www.semwebtech.org/mondial/10/organization/UNITAR/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad6f828:76f3	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/H/	state accepting jurisdiction
3441d4f:1508ad6f828:7a21	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/TO/	member
3441d4f:1508ad97479:-72e2	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:6e6f	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/L/	signatory
3441d4f:1508ad6f828:6bbb	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/MOC/	member
3441d4f:1508ad6f828:7c81	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/TT/	member
3441d4f:1508ad97479:-7ca8	http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-78d6	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-7c04	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-7832	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/AL/	member
3441d4f:1508ad6f828:754e	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/CV/	member
3441d4f:1508ad97479:-7e64	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad97479:-713d	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/MK/	member
3441d4f:1508ad6f828:7fc1	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/SLO/	observer
3441d4f:1508ad97479:-7bb0	http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/M/	member
3441d4f:1508ad97479:-6ffe	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-739d	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/HCA/	member
3441d4f:1508ad97479:-6f5a	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:74fa	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:6c97	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-7aaf	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/LV/	observer
3441d4f:1508ad97479:-76dd	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/MA/	member
3441d4f:1508ad6f828:7e1c	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/BRN/	National Olympic Committee
3441d4f:1508ad6f828:7116	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/RI/	candidate countries
3441d4f:1508ad97479:-7a0b	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/GB/	partner
3441d4f:1508ad6f828:6fd7	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:7376	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/SLO/	member
3441d4f:1508ad97479:-7c6b	http://www.semwebtech.org/mondial/10/organization/NAFTA/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad6f828:6f33	http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/BG/	member
3441d4f:1508ad6f828:70c2	http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-7559	http://www.semwebtech.org/mondial/10/organization/UNISFA/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:76b6	http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/PK/	accepting compulsory jurisdiction with reservations
3441d4f:1508ad97479:-7fab	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad97479:-72a5	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:7ce8	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/BRN/	member
3441d4f:1508ad6f828:7612	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7201	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/MS/	member
3441d4f:1508ad6f828:7c44	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7461	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/SN/	member
3441d4f:1508ad6f828:7872	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad6f828:6dde	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-7a93	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/GE/	observer
3441d4f:1508ad6f828:717d	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/BHT/	member
3441d4f:1508ad6f828:6d3a	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad6f828:7bf0	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad97479:-7e27	http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/YE/	member
3441d4f:1508ad6f828:6f9a	http://www.semwebtech.org/mondial/10/organization/D-8/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-77a1	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/TN/	member
3441d4f:1508ad97479:-6f1d	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad6f828:74bd	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-7dd3	http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/CR/	observer
3441d4f:1508ad97479:-70ac	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad6f828:7aef	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/GH/	List C
3441d4f:1508ad6f828:7a4b	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/G/	member
3441d4f:1508ad6f828:6b62	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad6f828:7339	http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/MEX/	member
3441d4f:1508ad97479:-7c2e	http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/SRB/	member
3441d4f:1508ad97479:-785c	http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/BEN/	member
3441d4f:1508ad6f828:7599	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/SA/	national committee
3441d4f:1508ad97479:-7e8e	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/CR/	member
3441d4f:1508ad97479:-7188	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/NAU/	member
3441d4f:1508ad6f828:7feb	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/V/	member
3441d4f:1508ad6f828:72e5	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-7bda	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:6ea2	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/ES/	signatory
3441d4f:1508ad6f828:7241	http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad6f828:7c07	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/LB/	member
3441d4f:1508ad6f828:78d9	http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/E/	member
3441d4f:1508ad97479:-74c8	http://www.semwebtech.org/mondial/10/organization/UNMISS/	http://www.semwebtech.org/mondial/10/country/NAM/	member
3441d4f:1508ad97479:-7090	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/EAU/	member
3441d4f:1508ad6f828:7835	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-7424	http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:7e67	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/KIR/	National Olympic Committee
3441d4f:1508ad97479:-7a56	http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/RI/	member
3441d4f:1508ad6f828:7bb3	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/UAE/	member
3441d4f:1508ad97479:-7684	http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/CN/	member
3441d4f:1508ad6f828:77e1	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad97479:-73d0	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad6f828:6f5d	http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad6f828:70ec	http://www.semwebtech.org/mondial/10/organization/EITI/	http://www.semwebtech.org/mondial/10/country/E/	stake holder
3441d4f:1508ad97479:-79c4	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:7a0e	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad97479:-7ff6	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad97479:-7920	http://www.semwebtech.org/mondial/10/organization/SACU/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad97479:-72cf	http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/CDN/	member
3441d4f:1508ad97479:-722b	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:763c	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad97479:-7f52	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:6bc9	http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad6f828:7c6e	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/GCA/	member
3441d4f:1508ad6f828:6b25	http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:789c	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad97479:-748b	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	http://www.semwebtech.org/mondial/10/country/UA/	member
3441d4f:1508ad97479:-781f	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad6f828:6d85	http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/PR/	observer
3441d4f:1508ad6f828:6ad1	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/ZW/	regional member
3441d4f:1508ad6f828:7fae	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad6f828:72a8	http://www.semwebtech.org/mondial/10/organization/G-77/	http://www.semwebtech.org/mondial/10/country/CL/	member
3441d4f:1508ad6f828:7f0a	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RA/	member
3441d4f:1508ad6f828:7204	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/SY/	member
3441d4f:1508ad97479:-77cb	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/WD/	member
3441d4f:1508ad97479:-6f68	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/YV/	member
3441d4f:1508ad97479:-7dfd	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/WG/	member
3441d4f:1508ad97479:-70f7	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:7464	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/USA/	member
3441d4f:1508ad97479:-7053	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:7a96	http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/AZ/	List C
3441d4f:1508ad6f828:71b0	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/JA/	member
3441d4f:1508ad97479:-7a19	http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/FSM/	member
3441d4f:1508ad97479:-6e70	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad97479:-7647	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/F/	member
3441d4f:1508ad6f828:6b8c	http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/VU/	member
3441d4f:1508ad6f828:77a4	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/KAZ/	member
3441d4f:1508ad97479:-7c79	http://www.semwebtech.org/mondial/10/organization/NC/	http://www.semwebtech.org/mondial/10/country/GROX/	member
3441d4f:1508ad6f828:7dd6	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad6f828:7700	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/HR/	state accepting jurisdiction
3441d4f:1508ad6f828:70af	http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/TR/	observer
3441d4f:1508ad6f828:7d32	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:700b	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/B/	member
3441d4f:1508ad97479:-75f3	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/PA/	member
3441d4f:1508ad6f828:7960	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/WL/	member
3441d4f:1508ad6f828:6ecc	http://www.semwebtech.org/mondial/10/organization/CELAC/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:7f92	http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/LAO/	member
3441d4f:1508ad97479:-7fb9	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/BF/	member
3441d4f:1508ad6f828:726b	http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-7b81	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-7f15	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/PE/	member
3441d4f:1508ad97479:-8000	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/MAL/	member
3441d4f:1508ad6f828:785f	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-744e	http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:75ab	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/DOM/	national committee
3441d4f:1508ad97479:-7ec1	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:6d48	http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:7bdd	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/RCH/	member
3441d4f:1508ad97479:-73fa	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:6cf4	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad6f828:7093	http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/SF/	member
3441d4f:1508ad6f828:6c50	http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/LAR/	member
3441d4f:1508ad97479:-79ee	http://www.semwebtech.org/mondial/10/organization/PFP/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:7427	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/DK/	member
3441d4f:1508ad97479:-7d1c	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/SSD/	member
3441d4f:1508ad97479:-7016	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/NZ/	member
3441d4f:1508ad6f828:7a59	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad97479:-794a	http://www.semwebtech.org/mondial/10/organization/SACEP/	http://www.semwebtech.org/mondial/10/country/AFG/	member
3441d4f:1508ad97479:-6ed7	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/DOM/	member
3441d4f:1508ad6f828:7687	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/TCH/	member
3441d4f:1508ad97479:-7f7c	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/TR/	member
3441d4f:1508ad97479:-7276	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/SK/	member
3441d4f:1508ad6f828:73d3	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/BR/	member
3441d4f:1508ad6f828:6b4f	http://www.semwebtech.org/mondial/10/organization/UNAMID/	http://www.semwebtech.org/mondial/10/country/ET/	member
3441d4f:1508ad6f828:79c7	http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/BIH/	member
3441d4f:1508ad97479:-75b6	http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/SUD/	member
3441d4f:1508ad6f828:6afb	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/DK/	nonregional member
3441d4f:1508ad6f828:7ff9	http://www.semwebtech.org/mondial/10/organization/ITSO/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:7923	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/PK/	member
3441d4f:1508ad97479:-7be8	http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/N/	member
3441d4f:1508ad97479:-7512	http://www.semwebtech.org/mondial/10/organization/UNMIL/	http://www.semwebtech.org/mondial/10/country/MD/	member
3441d4f:1508ad6f828:7f55	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/LV/	correspondent member
3441d4f:1508ad6f828:722e	http://www.semwebtech.org/mondial/10/organization/G-11/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad97479:-7b44	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:7ca1	http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-7772	http://www.semwebtech.org/mondial/10/organization/UNDOF/	http://www.semwebtech.org/mondial/10/country/NL/	member
3441d4f:1508ad6f828:748e	http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/WAN/	member
3441d4f:1508ad97479:-707d	http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:71da	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/ZRE/	member
3441d4f:1508ad97479:-7af0	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad97479:-6e9a	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/GNB/	member
3441d4f:1508ad6f828:77ce	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/ES/	member
3441d4f:1508ad97479:-73bd	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/SA/	member
3441d4f:1508ad6f828:772a	http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/WL/	state accepting jurisdiction
3441d4f:1508ad6f828:6cb7	http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/F/	nonregional member
3441d4f:1508ad6f828:7d5c	http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/MYA/	member
3441d4f:1508ad6f828:7056	http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/GE/	member
3441d4f:1508ad6f828:6c13	http://www.semwebtech.org/mondial/10/organization/CAN/	http://www.semwebtech.org/mondial/10/country/RA/	associate member
3441d4f:1508ad6f828:798a	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/CI/	member
3441d4f:1508ad97479:-790d	http://www.semwebtech.org/mondial/10/organization/Mercosur/	http://www.semwebtech.org/mondial/10/country/BOL/	member
3441d4f:1508ad6f828:6e73	http://www.semwebtech.org/mondial/10/organization/CD/	http://www.semwebtech.org/mondial/10/country/BG/	signatory
3441d4f:1508ad97479:-7f3f	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/AG/	member
3441d4f:1508ad97479:-7239	http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-7499	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/GH/	member
3441d4f:1508ad6f828:75f6	http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/LV/	member
3441d4f:1508ad97479:-7eeb	http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/ETH/	member
3441d4f:1508ad97479:-71e5	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/HR/	member
3441d4f:1508ad6f828:7552	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/RG/	member
3441d4f:1508ad97479:-7141	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/STP/	member
3441d4f:1508ad6f828:6abe	http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/ET/	regional member
3441d4f:1508ad6f828:7b84	http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/S/	member
3441d4f:1508ad6f828:7f18	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-77d9	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad97479:-7b07	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/RT/	member
3441d4f:1508ad97479:-7735	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/IND/	member
3441d4f:1508ad6f828:6c7a	http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/PNG/	member
3441d4f:1508ad97479:-7d67	http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:7ec4	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/L/	member
3441d4f:1508ad97479:-7995	http://www.semwebtech.org/mondial/10/organization/PCA/	http://www.semwebtech.org/mondial/10/country/AUS/	member
3441d4f:1508ad97479:-7ab3	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/I/	observer
3441d4f:1508ad6f828:7e20	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/BHT/	National Olympic Committee
3441d4f:1508ad97479:-76e1	http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/DZ/	member
3441d4f:1508ad97479:-6e5d	http://www.semwebtech.org/mondial/10/organization/ZC/	http://www.semwebtech.org/mondial/10/country/P/	member
3441d4f:1508ad6f828:73fd	http://www.semwebtech.org/mondial/10/organization/IPU/	http://www.semwebtech.org/mondial/10/country/EAK/	member
3441d4f:1508ad6f828:6fba	http://www.semwebtech.org/mondial/10/organization/CEMAC/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad6f828:7d1f	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:7019	http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/IRL/	member
3441d4f:1508ad6f828:794d	http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/BDS/	member
3441d4f:1508ad97479:-753c	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	http://www.semwebtech.org/mondial/10/country/ROU/	member
3441d4f:1508ad6f828:7f7f	http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/SD/	correspondent member
3441d4f:1508ad6f828:7279	http://www.semwebtech.org/mondial/10/organization/G-5/	http://www.semwebtech.org/mondial/10/country/J/	member
3441d4f:1508ad97479:-7b6e	http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/TM/	member
3441d4f:1508ad6f828:6e36	http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/SLB/	member
3441d4f:1508ad6f828:7ccb	http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/D/	member
3441d4f:1508ad97479:-779c	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	http://www.semwebtech.org/mondial/10/country/Z/	member
3441d4f:1508ad6f828:6de2	http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/RO/	member
3441d4f:1508ad97479:-7eae	http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/AZ/	member
3441d4f:1508ad6f828:75b9	http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/BF/	national committee
3441d4f:1508ad6f828:7181	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/THA/	member
3441d4f:1508ad97479:-71a8	http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/SGP/	member
3441d4f:1508ad6f828:7515	http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/CO/	member
3441d4f:1508ad97479:-7e0a	http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/BS/	member
3441d4f:1508ad97479:-7104	http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/BRU/	member
3441d4f:1508ad6f828:7b47	http://www.semwebtech.org/mondial/10/organization/IHO/	http://www.semwebtech.org/mondial/10/country/C/	member
3441d4f:1508ad97479:-6fc5	http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/H/	member
3441d4f:1508ad6f828:7775	http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/LT/	member
3441d4f:1508ad97479:-7364	http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/RIM/	member
3441d4f:1508ad97479:-6f21	http://www.semwebtech.org/mondial/10/organization/WTO/	http://www.semwebtech.org/mondial/10/country/CH/	member
3441d4f:1508ad6f828:78bc	http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/RCA/	member
3441d4f:1508ad97479:-74ab	http://www.semwebtech.org/mondial/10/organization/UNOCI/	http://www.semwebtech.org/mondial/10/country/RP/	member
3441d4f:1508ad6f828:7eee	http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/ROK/	member
3441d4f:1508ad6f828:71e8	http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad97479:-7add	http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/BZ/	member
3441d4f:1508ad6f828:6da5	http://www.semwebtech.org/mondial/10/organization/BDEAC/	http://www.semwebtech.org/mondial/10/country/CAM/	member
3441d4f:1508ad6f828:7e4a	http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/MEX/	National Olympic Committee
3441d4f:1508ad6f828:7144	http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/RSA/	member
3441d4f:1508ad6f828:6d01	http://www.semwebtech.org/mondial/10/organization/AG/	http://www.semwebtech.org/mondial/10/country/ROK/	member
\.


--
-- TOC entry 5937 (class 0 OID 90144)
-- Dependencies: 707
-- Data for Name: MondialThing; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "MondialThing" ("URI") FROM stdin;
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/
http://www.semwebtech.org/mondial/10/mountain/Rinjani/
http://www.semwebtech.org/mondial/10/mountain/Damavand/
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/
http://www.semwebtech.org/mondial/10/mountain/Etna/
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/
http://www.semwebtech.org/mondial/10/mountain/Tambora/
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/
http://www.semwebtech.org/mondial/10/mountain/MtAdams/
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/
http://www.semwebtech.org/mondial/10/mountain/Irazu/
http://www.semwebtech.org/mondial/10/mountain/Tupungato/
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/
http://www.semwebtech.org/mondial/10/mountain/Vesuv/
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/
http://www.semwebtech.org/mondial/10/mountain/Meru/
http://www.semwebtech.org/mondial/10/mountain/Haleakala/
http://www.semwebtech.org/mondial/10/mountain/Tamgak/
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/
http://www.semwebtech.org/mondial/10/mountain/Elbrus/
http://www.semwebtech.org/mondial/10/mountain/Soufriere/
http://www.semwebtech.org/mondial/10/mountain/Merapi/
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/
http://www.semwebtech.org/mondial/10/mountain/Pulog/
http://www.semwebtech.org/mondial/10/mountain/Fogo/
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/
http://www.semwebtech.org/mondial/10/mountain/Andringitra/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/
http://www.semwebtech.org/mondial/10/mountain/Snaefell/
http://www.semwebtech.org/mondial/10/mountain/Coropuna/
http://www.semwebtech.org/mondial/10/mountain/Hekla/
http://www.semwebtech.org/mondial/10/mountain/MtRainier/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/
http://www.semwebtech.org/mondial/10/mountain/Karthala/
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/
http://www.semwebtech.org/mondial/10/mountain/Elgon/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/
http://www.semwebtech.org/mondial/10/mountain/MountKenia/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/
http://www.semwebtech.org/mondial/10/mountain/Krakatau/
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/
http://www.semwebtech.org/mondial/10/mountain/MountApo/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/
http://www.semwebtech.org/mondial/10/mountain/Leuser/
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/
http://www.semwebtech.org/mondial/10/mountain/Pico/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/
http://www.semwebtech.org/mondial/10/mountain/Concepcion/
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/
http://www.semwebtech.org/mondial/10/mountain/Fako/
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/
http://www.semwebtech.org/mondial/10/mountain/Ampato/
http://www.semwebtech.org/mondial/10/mountain/Tahat/
http://www.semwebtech.org/mondial/10/mountain/Silisili/
http://www.semwebtech.org/mondial/10/mountain/Sajama/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/
http://www.semwebtech.org/mondial/10/mountain/Pelee/
http://www.semwebtech.org/mondial/10/mountain/Cayambe/
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/
http://www.semwebtech.org/mondial/10/mountain/Semeru/
http://www.semwebtech.org/mondial/10/mountain/MtHood/
http://www.semwebtech.org/mondial/10/mountain/Kerinci/
http://www.semwebtech.org/mondial/10/mountain/Katla/
http://www.semwebtech.org/mondial/10/mountain/Ararat/
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/
http://www.semwebtech.org/mondial/10/source/Goetaaelv/
http://www.semwebtech.org/mondial/10/source/Jubba/
http://www.semwebtech.org/mondial/10/source/Huallaga/
http://www.semwebtech.org/mondial/10/source/Rhein/
http://www.semwebtech.org/mondial/10/source/Po/
http://www.semwebtech.org/mondial/10/source/Chire/
http://www.semwebtech.org/mondial/10/source/Waag/
http://www.semwebtech.org/mondial/10/source/Fulda/
http://www.semwebtech.org/mondial/10/source/Mississippi/
http://www.semwebtech.org/mondial/10/source/Jangtse/
http://www.semwebtech.org/mondial/10/source/Ischim/
http://www.semwebtech.org/mondial/10/source/Fimi/
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/source/Alz/
http://www.semwebtech.org/mondial/10/source/Limpopo/
http://www.semwebtech.org/mondial/10/source/SchattalArab/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/
http://www.semwebtech.org/mondial/10/source/Umeaelv/
http://www.semwebtech.org/mondial/10/source/RioMagdalena/
http://www.semwebtech.org/mondial/10/source/Benue/
http://www.semwebtech.org/mondial/10/source/Marne/
http://www.semwebtech.org/mondial/10/source/Lukenie/
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/source/Apurimac/
http://www.semwebtech.org/mondial/10/source/Breg/
http://www.semwebtech.org/mondial/10/source/Mekong/
http://www.semwebtech.org/mondial/10/source/BlueNile/
http://www.semwebtech.org/mondial/10/source/Gambia/
http://www.semwebtech.org/mondial/10/source/Karasu/
http://www.semwebtech.org/mondial/10/source/Petschora/
http://www.semwebtech.org/mondial/10/source/Asahan/
http://www.semwebtech.org/mondial/10/source/Seine/
http://www.semwebtech.org/mondial/10/source/Brahmaputra/
http://www.semwebtech.org/mondial/10/source/MurrayRiver/
http://www.semwebtech.org/mondial/10/source/Doubs/
http://www.semwebtech.org/mondial/10/source/Aare/
http://www.semwebtech.org/mondial/10/source/Argun/
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/
http://www.semwebtech.org/mondial/10/source/Syrdarja/
http://www.semwebtech.org/mondial/10/source/Jenissej/
http://www.semwebtech.org/mondial/10/source/Newa/
http://www.semwebtech.org/mondial/10/source/Save/
http://www.semwebtech.org/mondial/10/source/Buna/
http://www.semwebtech.org/mondial/10/source/Parana/
http://www.semwebtech.org/mondial/10/source/Saluen/
http://www.semwebtech.org/mondial/10/source/Lukuga/
http://www.semwebtech.org/mondial/10/source/SouthernMorava/
http://www.semwebtech.org/mondial/10/source/Katun/
http://www.semwebtech.org/mondial/10/source/Irawaddy/
http://www.semwebtech.org/mondial/10/source/WhiteNile/
http://www.semwebtech.org/mondial/10/source/Ene/
http://www.semwebtech.org/mondial/10/source/March/
http://www.semwebtech.org/mondial/10/source/Jordan/
http://www.semwebtech.org/mondial/10/source/Vaal/
http://www.semwebtech.org/mondial/10/source/Murat/
http://www.semwebtech.org/mondial/10/source/Ruzizi/
http://www.semwebtech.org/mondial/10/source/Enns/
http://www.semwebtech.org/mondial/10/source/Selenge/
http://www.semwebtech.org/mondial/10/source/Senegal/
http://www.semwebtech.org/mondial/10/source/Akagera/
http://www.semwebtech.org/mondial/10/source/NelsonRiver/
http://www.semwebtech.org/mondial/10/source/Saar/
http://www.semwebtech.org/mondial/10/source/Orinoco/
http://www.semwebtech.org/mondial/10/source/Lulua/
http://www.semwebtech.org/mondial/10/source/Manicouagan/
http://www.semwebtech.org/mondial/10/source/Amazonas/
http://www.semwebtech.org/mondial/10/source/Ganges/
http://www.semwebtech.org/mondial/10/source/Dnjestr/
http://www.semwebtech.org/mondial/10/source/Isere/
http://www.semwebtech.org/mondial/10/source/Kemijoki/
http://www.semwebtech.org/mondial/10/source/Cuilo/
http://www.semwebtech.org/mondial/10/source/Okavango/
http://www.semwebtech.org/mondial/10/source/Pjandsh/
http://www.semwebtech.org/mondial/10/source/Kama/
http://www.semwebtech.org/mondial/10/source/Tambo/
http://www.semwebtech.org/mondial/10/source/Lech/
http://www.semwebtech.org/mondial/10/source/Douro/
http://www.semwebtech.org/mondial/10/source/Oulujoki/
http://www.semwebtech.org/mondial/10/source/Chatanga/
http://www.semwebtech.org/mondial/10/source/Donau/
http://www.semwebtech.org/mondial/10/source/Volta/
http://www.semwebtech.org/mondial/10/source/Oder/
http://www.semwebtech.org/mondial/10/source/Limmat/
http://www.semwebtech.org/mondial/10/source/Bartang/
http://www.semwebtech.org/mondial/10/source/Vuoksi/
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/
http://www.semwebtech.org/mondial/10/source/Bomu/
http://www.semwebtech.org/mondial/10/source/RioMamore/
http://www.semwebtech.org/mondial/10/source/Euphrat/
http://www.semwebtech.org/mondial/10/source/Moraca/
http://www.semwebtech.org/mondial/10/source/Oranje/
http://www.semwebtech.org/mondial/10/source/Theiss/
http://www.semwebtech.org/mondial/10/source/Main/
http://www.semwebtech.org/mondial/10/source/Murgab/
http://www.semwebtech.org/mondial/10/source/Uelle/
http://www.semwebtech.org/mondial/10/source/Ural/
http://www.semwebtech.org/mondial/10/source/Suchona/
http://www.semwebtech.org/mondial/10/source/Olt/
http://www.semwebtech.org/mondial/10/source/Klaraelv/
http://www.semwebtech.org/mondial/10/source/Amur/
http://www.semwebtech.org/mondial/10/source/Kwa/
http://www.semwebtech.org/mondial/10/source/Weichsel/
http://www.semwebtech.org/mondial/10/source/Schari/
http://www.semwebtech.org/mondial/10/source/Semliki/
http://www.semwebtech.org/mondial/10/source/Dalaelv/
http://www.semwebtech.org/mondial/10/source/Lualaba/
http://www.semwebtech.org/mondial/10/source/Hwangho/
http://www.semwebtech.org/mondial/10/source/OhioRiver/
http://www.semwebtech.org/mondial/10/source/Niger/
http://www.semwebtech.org/mondial/10/source/Mur/
http://www.semwebtech.org/mondial/10/source/Raab/
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/
http://www.semwebtech.org/mondial/10/source/Shabelle/
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/
http://www.semwebtech.org/mondial/10/source/Dnister/
http://www.semwebtech.org/mondial/10/source/Kolyma/
http://www.semwebtech.org/mondial/10/source/Don/
http://www.semwebtech.org/mondial/10/source/Moldau/
http://www.semwebtech.org/mondial/10/source/VictoriaNile/
http://www.semwebtech.org/mondial/10/source/Urubamba/
http://www.semwebtech.org/mondial/10/source/Naryn/
http://www.semwebtech.org/mondial/10/source/RioLerma/
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/
http://www.semwebtech.org/mondial/10/source/Aller/
http://www.semwebtech.org/mondial/10/source/Baro/
http://www.semwebtech.org/mondial/10/source/Guadalquivir/
http://www.semwebtech.org/mondial/10/source/Kura/
http://www.semwebtech.org/mondial/10/source/Drin/
http://www.semwebtech.org/mondial/10/source/Busira/
http://www.semwebtech.org/mondial/10/source/Elbe/
http://www.semwebtech.org/mondial/10/source/Maas/
http://www.semwebtech.org/mondial/10/source/Tigris/
http://www.semwebtech.org/mondial/10/source/Nile/
http://www.semwebtech.org/mondial/10/source/Inn/
http://www.semwebtech.org/mondial/10/source/Kymijoki/
http://www.semwebtech.org/mondial/10/source/Paatsjoki/
http://www.semwebtech.org/mondial/10/source/Cuango/
http://www.semwebtech.org/mondial/10/source/Narew/
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/
http://www.semwebtech.org/mondial/10/source/Atbara/
http://www.semwebtech.org/mondial/10/source/Kasai/
http://www.semwebtech.org/mondial/10/source/Drina/
http://www.semwebtech.org/mondial/10/source/Tshuapa/
http://www.semwebtech.org/mondial/10/source/Saone/
http://www.semwebtech.org/mondial/10/source/Maranon/
http://www.semwebtech.org/mondial/10/source/Arno/
http://www.semwebtech.org/mondial/10/source/Ruki/
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/source/Ebro/
http://www.semwebtech.org/mondial/10/source/Thames/
http://www.semwebtech.org/mondial/10/source/Ticino/
http://www.semwebtech.org/mondial/10/source/Guadiana/
http://www.semwebtech.org/mondial/10/source/Ili/
http://www.semwebtech.org/mondial/10/source/Luapula/
http://www.semwebtech.org/mondial/10/source/BlackDrin/
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/source/Etsch/
http://www.semwebtech.org/mondial/10/source/Tiber/
http://www.semwebtech.org/mondial/10/source/Mosel/
http://www.semwebtech.org/mondial/10/source/Werra/
http://www.semwebtech.org/mondial/10/source/HudsonRiver/
http://www.semwebtech.org/mondial/10/source/Swir/
http://www.semwebtech.org/mondial/10/source/Sanga/
http://www.semwebtech.org/mondial/10/source/WhiteDrin/
http://www.semwebtech.org/mondial/10/source/DarlingRiver/
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/
http://www.semwebtech.org/mondial/10/source/Glomma/
http://www.semwebtech.org/mondial/10/source/Dnepr/
http://www.semwebtech.org/mondial/10/source/RioMadeira/
http://www.semwebtech.org/mondial/10/source/Arkansas/
http://www.semwebtech.org/mondial/10/source/Ucayali/
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/
http://www.semwebtech.org/mondial/10/source/Morava/
http://www.semwebtech.org/mondial/10/source/Narva/
http://www.semwebtech.org/mondial/10/source/RioSanJuan/
http://www.semwebtech.org/mondial/10/source/Missouri/
http://www.semwebtech.org/mondial/10/source/Tajo/
http://www.semwebtech.org/mondial/10/source/Volga/
http://www.semwebtech.org/mondial/10/source/Araguaia/
http://www.semwebtech.org/mondial/10/source/Angara/
http://www.semwebtech.org/mondial/10/source/Schilka/
http://www.semwebtech.org/mondial/10/source/Brigach/
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/source/Thjorsa/
http://www.semwebtech.org/mondial/10/source/Lagen/
http://www.semwebtech.org/mondial/10/source/Neckar/
http://www.semwebtech.org/mondial/10/source/Mantaro/
http://www.semwebtech.org/mondial/10/source/Pibor/
http://www.semwebtech.org/mondial/10/source/Oka/
http://www.semwebtech.org/mondial/10/source/Ob/
http://www.semwebtech.org/mondial/10/source/Garonne/
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/source/Sanaga/
http://www.semwebtech.org/mondial/10/source/Ubangi/
http://www.semwebtech.org/mondial/10/source/Amudarja/
http://www.semwebtech.org/mondial/10/source/Salzach/
http://www.semwebtech.org/mondial/10/source/Pruth/
http://www.semwebtech.org/mondial/10/source/Uruguay/
http://www.semwebtech.org/mondial/10/source/Sobat/
http://www.semwebtech.org/mondial/10/source/Tobol/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/
http://www.semwebtech.org/mondial/10/source/Drau/
http://www.semwebtech.org/mondial/10/source/Ammer/
http://www.semwebtech.org/mondial/10/source/Tennessee/
http://www.semwebtech.org/mondial/10/source/Perene/
http://www.semwebtech.org/mondial/10/source/Piva/
http://www.semwebtech.org/mondial/10/source/SnowyRiver/
http://www.semwebtech.org/mondial/10/source/Indus/
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/source/Colorado/
http://www.semwebtech.org/mondial/10/source/Iller/
http://www.semwebtech.org/mondial/10/source/Zambezi/
http://www.semwebtech.org/mondial/10/source/YukonRiver/
http://www.semwebtech.org/mondial/10/source/Rhone/
http://www.semwebtech.org/mondial/10/source/Karun/
http://www.semwebtech.org/mondial/10/source/Würm/
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/
http://www.semwebtech.org/mondial/10/source/Tocantins/
http://www.semwebtech.org/mondial/10/source/Zaire/
http://www.semwebtech.org/mondial/10/source/Aruwimi/
http://www.semwebtech.org/mondial/10/source/Lena/
http://www.semwebtech.org/mondial/10/source/Reuss/
http://www.semwebtech.org/mondial/10/source/WesternMorava/
http://www.semwebtech.org/mondial/10/source/NorthernDwina/
http://www.semwebtech.org/mondial/10/source/WesternBug/
http://www.semwebtech.org/mondial/10/source/Paraguay/
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/
http://www.semwebtech.org/mondial/10/source/Mincio/
http://www.semwebtech.org/mondial/10/source/Isar/
http://www.semwebtech.org/mondial/10/source/Prypjat/
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/
http://www.semwebtech.org/mondial/10/source/Weser/
http://www.semwebtech.org/mondial/10/source/Loire/
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/
http://www.semwebtech.org/mondial/10/source/Tara/
http://www.semwebtech.org/mondial/10/source/Lomami/
http://www.semwebtech.org/mondial/10/source/RioGrande/
http://www.semwebtech.org/mondial/10/source/WesternDwina/
http://www.semwebtech.org/mondial/10/source/Luvua/
http://www.semwebtech.org/mondial/10/source/Adda/
http://www.semwebtech.org/mondial/10/source/RioNegro/
http://www.semwebtech.org/mondial/10/source/Ounasjoki/
http://www.semwebtech.org/mondial/10/source/Leine/
http://www.semwebtech.org/mondial/10/source/Bani/
http://www.semwebtech.org/mondial/10/source/Irtysch/
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/
http://www.semwebtech.org/mondial/10/mountain/Zhima/
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/
http://www.semwebtech.org/mondial/10/mountain/BenNevis/
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/
http://www.semwebtech.org/mondial/10/mountain/Tahan/
http://www.semwebtech.org/mondial/10/mountain/Joekul/
http://www.semwebtech.org/mondial/10/mountain/TirichMir/
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/
http://www.semwebtech.org/mondial/10/mountain/MtBona/
http://www.semwebtech.org/mondial/10/mountain/Kongur/
http://www.semwebtech.org/mondial/10/mountain/Feldberg/
http://www.semwebtech.org/mondial/10/mountain/Manaslu/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/
http://www.semwebtech.org/mondial/10/mountain/MtWashington/
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/
http://www.semwebtech.org/mondial/10/mountain/Musala/
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/
http://www.semwebtech.org/mondial/10/mountain/GranSasso/
http://www.semwebtech.org/mondial/10/mountain/Brocken/
http://www.semwebtech.org/mondial/10/mountain/Korab/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/
http://www.semwebtech.org/mondial/10/mountain/Glittertind/
http://www.semwebtech.org/mondial/10/mountain/Schchara/
http://www.semwebtech.org/mondial/10/mountain/Illampu/
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/
http://www.semwebtech.org/mondial/10/mountain/Annapurna/
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/
http://www.semwebtech.org/mondial/10/mountain/AsoRock/
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/
http://www.semwebtech.org/mondial/10/mountain/Dychtau/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/
http://www.semwebtech.org/mondial/10/mountain/Jezerce/
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/
http://www.semwebtech.org/mondial/10/mountain/MtElbert/
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/
http://www.semwebtech.org/mondial/10/mountain/Athos/
http://www.semwebtech.org/mondial/10/mountain/Makalu/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/
http://www.semwebtech.org/mondial/10/mountain/Illimani/
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/
http://www.semwebtech.org/mondial/10/mountain/Muztagata/
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/
http://www.semwebtech.org/mondial/10/mountain/Uluru/
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/
http://www.semwebtech.org/mondial/10/mountain/Ausangate/
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/
http://www.semwebtech.org/mondial/10/mountain/Olympos/
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/
http://www.semwebtech.org/mondial/10/mountain/Olymp/
http://www.semwebtech.org/mondial/10/mountain/MtRobson/
http://www.semwebtech.org/mondial/10/mountain/Kailash/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/
http://www.semwebtech.org/mondial/10/mountain/YuShan/
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/
http://www.semwebtech.org/mondial/10/mountain/K2/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/
http://www.semwebtech.org/mondial/10/mountain/MtLogan/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/
http://www.semwebtech.org/mondial/10/mountain/Huascaran/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/
http://www.semwebtech.org/mondial/10/estuary/Argun/
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/
http://www.semwebtech.org/mondial/10/estuary/Oranje/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/
http://www.semwebtech.org/mondial/10/estuary/Theiss/
http://www.semwebtech.org/mondial/10/estuary/Don/
http://www.semwebtech.org/mondial/10/estuary/Missouri/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/
http://www.semwebtech.org/mondial/10/estuary/Sanga/
http://www.semwebtech.org/mondial/10/estuary/Mincio/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/
http://www.semwebtech.org/mondial/10/estuary/Breg/
http://www.semwebtech.org/mondial/10/estuary/Dnepr/
http://www.semwebtech.org/mondial/10/estuary/Schari/
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/
http://www.semwebtech.org/mondial/10/estuary/Inn/
http://www.semwebtech.org/mondial/10/estuary/Lomami/
http://www.semwebtech.org/mondial/10/estuary/Bartang/
http://www.semwebtech.org/mondial/10/estuary/Amudarja/
http://www.semwebtech.org/mondial/10/estuary/Volga/
http://www.semwebtech.org/mondial/10/estuary/Lagen/
http://www.semwebtech.org/mondial/10/estuary/Tennessee/
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/
http://www.semwebtech.org/mondial/10/estuary/Pibor/
http://www.semwebtech.org/mondial/10/estuary/Save/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/
http://www.semwebtech.org/mondial/10/estuary/Buna/
http://www.semwebtech.org/mondial/10/estuary/Tajo/
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/
http://www.semwebtech.org/mondial/10/estuary/Cuilo/
http://www.semwebtech.org/mondial/10/estuary/Ili/
http://www.semwebtech.org/mondial/10/estuary/Sobat/
http://www.semwebtech.org/mondial/10/estuary/Tobol/
http://www.semwebtech.org/mondial/10/estuary/Tigris/
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/
http://www.semwebtech.org/mondial/10/estuary/Lualaba/
http://www.semwebtech.org/mondial/10/estuary/Hwangho/
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/
http://www.semwebtech.org/mondial/10/estuary/Irtysch/
http://www.semwebtech.org/mondial/10/estuary/Douro/
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/
http://www.semwebtech.org/mondial/10/estuary/Tocantins/
http://www.semwebtech.org/mondial/10/estuary/Vaal/
http://www.semwebtech.org/mondial/10/estuary/Ammer/
http://www.semwebtech.org/mondial/10/estuary/Chatanga/
http://www.semwebtech.org/mondial/10/estuary/Enns/
http://www.semwebtech.org/mondial/10/estuary/Atbara/
http://www.semwebtech.org/mondial/10/estuary/Dnister/
http://www.semwebtech.org/mondial/10/estuary/Saar/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/
http://www.semwebtech.org/mondial/10/estuary/Drau/
http://www.semwebtech.org/mondial/10/estuary/Ticino/
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/
http://www.semwebtech.org/mondial/10/estuary/Rhone/
http://www.semwebtech.org/mondial/10/estuary/Karun/
http://www.semwebtech.org/mondial/10/estuary/Limpopo/
http://www.semwebtech.org/mondial/10/estuary/Kama/
http://www.semwebtech.org/mondial/10/estuary/Zaire/
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/
http://www.semwebtech.org/mondial/10/estuary/Uelle/
http://www.semwebtech.org/mondial/10/estuary/Mekong/
http://www.semwebtech.org/mondial/10/estuary/Lech/
http://www.semwebtech.org/mondial/10/estuary/RioNegro/
http://www.semwebtech.org/mondial/10/estuary/Gambia/
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/
http://www.semwebtech.org/mondial/10/estuary/Karasu/
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/
http://www.semwebtech.org/mondial/10/estuary/Oka/
http://www.semwebtech.org/mondial/10/estuary/Loire/
http://www.semwebtech.org/mondial/10/estuary/Lukenie/
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/
http://www.semwebtech.org/mondial/10/estuary/Oder/
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/
http://www.semwebtech.org/mondial/10/estuary/Niger/
http://www.semwebtech.org/mondial/10/estuary/Maranon/
http://www.semwebtech.org/mondial/10/estuary/Glomma/
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/
http://www.semwebtech.org/mondial/10/estuary/Bomu/
http://www.semwebtech.org/mondial/10/estuary/Shabelle/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/
http://www.semwebtech.org/mondial/10/estuary/Leine/
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/
http://www.semwebtech.org/mondial/10/estuary/Parana/
http://www.semwebtech.org/mondial/10/estuary/Tara/
http://www.semwebtech.org/mondial/10/estuary/Urubamba/
http://www.semwebtech.org/mondial/10/estuary/Main/
http://www.semwebtech.org/mondial/10/estuary/Naryn/
http://www.semwebtech.org/mondial/10/estuary/RioLerma/
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/estuary/Lukuga/
http://www.semwebtech.org/mondial/10/estuary/Aller/
http://www.semwebtech.org/mondial/10/estuary/Ural/
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/estuary/Adda/
http://www.semwebtech.org/mondial/10/estuary/Amur/
http://www.semwebtech.org/mondial/10/estuary/Jordan/
http://www.semwebtech.org/mondial/10/estuary/Sanaga/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/
http://www.semwebtech.org/mondial/10/estuary/Fulda/
http://www.semwebtech.org/mondial/10/estuary/Raab/
http://www.semwebtech.org/mondial/10/estuary/Ob/
http://www.semwebtech.org/mondial/10/estuary/Narew/
http://www.semwebtech.org/mondial/10/estuary/Petschora/
http://www.semwebtech.org/mondial/10/estuary/BlueNile/
http://www.semwebtech.org/mondial/10/estuary/Waag/
http://www.semwebtech.org/mondial/10/estuary/Perene/
http://www.semwebtech.org/mondial/10/estuary/Ganges/
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/
http://www.semwebtech.org/mondial/10/estuary/Selenge/
http://www.semwebtech.org/mondial/10/estuary/Akagera/
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/estuary/Schilka/
http://www.semwebtech.org/mondial/10/estuary/Benue/
http://www.semwebtech.org/mondial/10/estuary/Brigach/
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/
http://www.semwebtech.org/mondial/10/estuary/Marne/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/
http://www.semwebtech.org/mondial/10/estuary/Baro/
http://www.semwebtech.org/mondial/10/estuary/Etsch/
http://www.semwebtech.org/mondial/10/estuary/Elbe/
http://www.semwebtech.org/mondial/10/estuary/Garonne/
http://www.semwebtech.org/mondial/10/estuary/Maas/
http://www.semwebtech.org/mondial/10/estuary/Werra/
http://www.semwebtech.org/mondial/10/estuary/Nile/
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/
http://www.semwebtech.org/mondial/10/estuary/Jenissej/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/estuary/Salzach/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/
http://www.semwebtech.org/mondial/10/estuary/Limmat/
http://www.semwebtech.org/mondial/10/estuary/Seine/
http://www.semwebtech.org/mondial/10/estuary/WesternBug/
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/
http://www.semwebtech.org/mondial/10/estuary/Arno/
http://www.semwebtech.org/mondial/10/estuary/Ruki/
http://www.semwebtech.org/mondial/10/estuary/Ebro/
http://www.semwebtech.org/mondial/10/estuary/Arkansas/
http://www.semwebtech.org/mondial/10/estuary/Moraca/
http://www.semwebtech.org/mondial/10/estuary/Narva/
http://www.semwebtech.org/mondial/10/estuary/Murgab/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/
http://www.semwebtech.org/mondial/10/estuary/Aare/
http://www.semwebtech.org/mondial/10/estuary/Katun/
http://www.semwebtech.org/mondial/10/estuary/Euphrat/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/
http://www.semwebtech.org/mondial/10/estuary/Alz/
http://www.semwebtech.org/mondial/10/estuary/Newa/
http://www.semwebtech.org/mondial/10/estuary/Swir/
http://www.semwebtech.org/mondial/10/estuary/March/
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/
http://www.semwebtech.org/mondial/10/estuary/Murat/
http://www.semwebtech.org/mondial/10/estuary/Suchona/
http://www.semwebtech.org/mondial/10/estuary/Okavango/
http://www.semwebtech.org/mondial/10/estuary/Pruth/
http://www.semwebtech.org/mondial/10/estuary/Prypjat/
http://www.semwebtech.org/mondial/10/estuary/Mississippi/
http://www.semwebtech.org/mondial/10/estuary/Kolyma/
http://www.semwebtech.org/mondial/10/estuary/Semliki/
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/
http://www.semwebtech.org/mondial/10/estuary/Moldau/
http://www.semwebtech.org/mondial/10/estuary/Po/
http://www.semwebtech.org/mondial/10/estuary/Lulua/
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/
http://www.semwebtech.org/mondial/10/estuary/Ischim/
http://www.semwebtech.org/mondial/10/estuary/Isere/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/
http://www.semwebtech.org/mondial/10/estuary/Busira/
http://www.semwebtech.org/mondial/10/estuary/RioMamore/
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/
http://www.semwebtech.org/mondial/10/estuary/Tambo/
http://www.semwebtech.org/mondial/10/estuary/Indus/
http://www.semwebtech.org/mondial/10/estuary/Colorado/
http://www.semwebtech.org/mondial/10/estuary/Iller/
http://www.semwebtech.org/mondial/10/estuary/Donau/
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/estuary/Cuango/
http://www.semwebtech.org/mondial/10/estuary/Volta/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/
http://www.semwebtech.org/mondial/10/estuary/Reuss/
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/estuary/Thames/
http://www.semwebtech.org/mondial/10/estuary/Ene/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/
http://www.semwebtech.org/mondial/10/estuary/Weichsel/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/
http://www.semwebtech.org/mondial/10/estuary/Asahan/
http://www.semwebtech.org/mondial/10/estuary/Weser/
http://www.semwebtech.org/mondial/10/estuary/Piva/
http://www.semwebtech.org/mondial/10/estuary/Luvua/
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/
http://www.semwebtech.org/mondial/10/estuary/Luapula/
http://www.semwebtech.org/mondial/10/estuary/Würm/
http://www.semwebtech.org/mondial/10/estuary/Saluen/
http://www.semwebtech.org/mondial/10/estuary/Lena/
http://www.semwebtech.org/mondial/10/estuary/Huallaga/
http://www.semwebtech.org/mondial/10/estuary/Jubba/
http://www.semwebtech.org/mondial/10/estuary/Rhein/
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/
http://www.semwebtech.org/mondial/10/estuary/Chire/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/estuary/Isar/
http://www.semwebtech.org/mondial/10/estuary/Morava/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/
http://www.semwebtech.org/mondial/10/estuary/Angara/
http://www.semwebtech.org/mondial/10/estuary/Ucayali/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/
http://www.semwebtech.org/mondial/10/estuary/Neckar/
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/
http://www.semwebtech.org/mondial/10/estuary/Bani/
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/
http://www.semwebtech.org/mondial/10/estuary/Mantaro/
http://www.semwebtech.org/mondial/10/estuary/Kura/
http://www.semwebtech.org/mondial/10/estuary/Drin/
http://www.semwebtech.org/mondial/10/estuary/Kasai/
http://www.semwebtech.org/mondial/10/estuary/Drina/
http://www.semwebtech.org/mondial/10/estuary/Apurimac/
http://www.semwebtech.org/mondial/10/estuary/Saone/
http://www.semwebtech.org/mondial/10/estuary/Olt/
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/
http://www.semwebtech.org/mondial/10/estuary/Kwa/
http://www.semwebtech.org/mondial/10/estuary/Senegal/
http://www.semwebtech.org/mondial/10/estuary/Orinoco/
http://www.semwebtech.org/mondial/10/estuary/Doubs/
http://www.semwebtech.org/mondial/10/estuary/Fimi/
http://www.semwebtech.org/mondial/10/estuary/Tiber/
http://www.semwebtech.org/mondial/10/estuary/Mosel/
http://www.semwebtech.org/mondial/10/estuary/Mur/
http://www.semwebtech.org/mondial/10/desert/Sonora/
http://www.semwebtech.org/mondial/10/desert/Tenere/
http://www.semwebtech.org/mondial/10/desert/Talak/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/
http://www.semwebtech.org/mondial/10/desert/Karakum/
http://www.semwebtech.org/mondial/10/desert/Trarza/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/
http://www.semwebtech.org/mondial/10/desert/Ferlo/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/
http://www.semwebtech.org/mondial/10/desert/Negev/
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/
http://www.semwebtech.org/mondial/10/desert/Thar/
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/
http://www.semwebtech.org/mondial/10/desert/Gobi/
http://www.semwebtech.org/mondial/10/desert/Namib/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/
http://www.semwebtech.org/mondial/10/desert/KumTagh/
http://www.semwebtech.org/mondial/10/desert/Rigestan/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/
http://www.semwebtech.org/mondial/10/desert/UstUrt/
http://www.semwebtech.org/mondial/10/desert/Mojave/
http://www.semwebtech.org/mondial/10/desert/RedCentre/
http://www.semwebtech.org/mondial/10/desert/Ryn/
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/
http://www.semwebtech.org/mondial/10/desert/Kalahari/
http://www.semwebtech.org/mondial/10/desert/Darfur/
http://www.semwebtech.org/mondial/10/desert/Owyhee/
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/
http://www.semwebtech.org/mondial/10/desert/Fesan/
http://www.semwebtech.org/mondial/10/desert/NubianDesert/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/
http://www.semwebtech.org/mondial/10/desert/ErgChech/
http://www.semwebtech.org/mondial/10/desert/Nefud/
http://www.semwebtech.org/mondial/10/desert/Atacama/
http://www.semwebtech.org/mondial/10/desert/Ordos/
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/
http://www.semwebtech.org/mondial/10/desert/Tanami/
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/
http://www.semwebtech.org/mondial/10/desert/Djourab/
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/
http://www.semwebtech.org/mondial/10/desert/Qaidam/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/
http://www.semwebtech.org/mondial/10/islands/Seychelles/
http://www.semwebtech.org/mondial/10/islands/CaymanIslands/
http://www.semwebtech.org/mondial/10/islands/ElliceIslands/
http://www.semwebtech.org/mondial/10/islands/NewCaledonia/
http://www.semwebtech.org/mondial/10/islands/ScillyIslands/
http://www.semwebtech.org/mondial/10/islands/InnerHebrides/
http://www.semwebtech.org/mondial/10/islands/OuterHebrides/
http://www.semwebtech.org/mondial/10/islands/Malta/
http://www.semwebtech.org/mondial/10/islands/LipariIslands/
http://www.semwebtech.org/mondial/10/islands/BermudaIslands/
http://www.semwebtech.org/mondial/10/islands/Kyklades/
http://www.semwebtech.org/mondial/10/islands/CapeVerdes/
http://www.semwebtech.org/mondial/10/islands/WallisIslands/
http://www.semwebtech.org/mondial/10/islands/FaroeIslands/
http://www.semwebtech.org/mondial/10/islands/Tokelau/
http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/
http://www.semwebtech.org/mondial/10/islands/MarianaIslands/
http://www.semwebtech.org/mondial/10/islands/MarshallIslands/
http://www.semwebtech.org/mondial/10/islands/AndamanIslands/
http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/
http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/
http://www.semwebtech.org/mondial/10/islands/Laccadives/
http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/
http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/
http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/
http://www.semwebtech.org/mondial/10/islands/LesserAntilles/
http://www.semwebtech.org/mondial/10/islands/CocosIslands/
http://www.semwebtech.org/mondial/10/islands/FalklandIslands/
http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/
http://www.semwebtech.org/mondial/10/islands/SamoanIslands/
http://www.semwebtech.org/mondial/10/islands/SundaIslands/
http://www.semwebtech.org/mondial/10/islands/Aleutes/
http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/
http://www.semwebtech.org/mondial/10/islands/NewZealand/
http://www.semwebtech.org/mondial/10/islands/Maldives/
http://www.semwebtech.org/mondial/10/islands/Sporades/
http://www.semwebtech.org/mondial/10/islands/SolomonIslands/
http://www.semwebtech.org/mondial/10/islands/Baleares/
http://www.semwebtech.org/mondial/10/islands/CookIslands/
http://www.semwebtech.org/mondial/10/islands/GilbertIslands/
http://www.semwebtech.org/mondial/10/islands/Vanuatu/
http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/
http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/
http://www.semwebtech.org/mondial/10/islands/Madeira/
http://www.semwebtech.org/mondial/10/islands/Comores/
http://www.semwebtech.org/mondial/10/islands/BritishIsles/
http://www.semwebtech.org/mondial/10/islands/BahamaIslands/
http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/
http://www.semwebtech.org/mondial/10/islands/IonicIslands/
http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/
http://www.semwebtech.org/mondial/10/islands/AlandIslands/
http://www.semwebtech.org/mondial/10/islands/Lofotes/
http://www.semwebtech.org/mondial/10/islands/TongaIslands/
http://www.semwebtech.org/mondial/10/islands/RiauIslands/
http://www.semwebtech.org/mondial/10/islands/FutunaIslands/
http://www.semwebtech.org/mondial/10/islands/Azores/
http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/
http://www.semwebtech.org/mondial/10/islands/Curiles/
http://www.semwebtech.org/mondial/10/islands/FijiIslands/
http://www.semwebtech.org/mondial/10/islands/Carolines/
http://www.semwebtech.org/mondial/10/islands/Philipines/
http://www.semwebtech.org/mondial/10/islands/Japan/
http://www.semwebtech.org/mondial/10/islands/Svalbard/
http://www.semwebtech.org/mondial/10/islands/Canares/
http://www.semwebtech.org/mondial/10/islands/ChannelIslands/
http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/
http://www.semwebtech.org/mondial/10/islands/LineIslands/
http://www.semwebtech.org/mondial/10/islands/Galapagos/
http://www.semwebtech.org/mondial/10/mountains/Azbine/
http://www.semwebtech.org/mondial/10/mountains/Sinai/
http://www.semwebtech.org/mondial/10/mountains/Hawaii/
http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/
http://www.semwebtech.org/mondial/10/mountains/Corse/
http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/
http://www.semwebtech.org/mondial/10/mountains/AleutianRange/
http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/
http://www.semwebtech.org/mondial/10/mountains/Himalaya/
http://www.semwebtech.org/mondial/10/mountains/Karakorum/
http://www.semwebtech.org/mondial/10/mountains/Karpaten/
http://www.semwebtech.org/mondial/10/mountains/Troodos/
http://www.semwebtech.org/mondial/10/mountains/Vogesen/
http://www.semwebtech.org/mondial/10/mountains/WestGhats/
http://www.semwebtech.org/mondial/10/mountains/Madeira/
http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/
http://www.semwebtech.org/mondial/10/mountains/Kamchatka/
http://www.semwebtech.org/mondial/10/mountains/Amhara/
http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/
http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/
http://www.semwebtech.org/mondial/10/mountains/Kurdistan/
http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/
http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/
http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/
http://www.semwebtech.org/mondial/10/mountains/Lebanon/
http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/
http://www.semwebtech.org/mondial/10/mountains/RockyMountains/
http://www.semwebtech.org/mondial/10/mountains/BlackForest/
http://www.semwebtech.org/mondial/10/mountains/Harz/
http://www.semwebtech.org/mondial/10/mountains/CoastMountains/
http://www.semwebtech.org/mondial/10/mountains/Rhön/
http://www.semwebtech.org/mondial/10/mountains/Cevennes/
http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/
http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/
http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/
http://www.semwebtech.org/mondial/10/mountains/Pyrenees/
http://www.semwebtech.org/mondial/10/mountains/Atlas/
http://www.semwebtech.org/mondial/10/mountains/Altai/
http://www.semwebtech.org/mondial/10/mountains/Zagros/
http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/
http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/
http://www.semwebtech.org/mondial/10/mountains/Darfur/
http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/
http://www.semwebtech.org/mondial/10/mountains/Kaukasus/
http://www.semwebtech.org/mondial/10/mountains/EliasRange/
http://www.semwebtech.org/mondial/10/mountains/Drakensberge/
http://www.semwebtech.org/mondial/10/mountains/Apennin/
http://www.semwebtech.org/mondial/10/mountains/Antitaurus/
http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/
http://www.semwebtech.org/mondial/10/mountains/TianShan/
http://www.semwebtech.org/mondial/10/mountains/Vosges/
http://www.semwebtech.org/mondial/10/mountains/Jura/
http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/
http://www.semwebtech.org/mondial/10/mountains/Elburs/
http://www.semwebtech.org/mondial/10/mountains/Tibesti/
http://www.semwebtech.org/mondial/10/mountains/Crete/
http://www.semwebtech.org/mondial/10/mountains/Ural/
http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/
http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/
http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/
http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/
http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/
http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/
http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/
http://www.semwebtech.org/mondial/10/mountains/Pamir/
http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/
http://www.semwebtech.org/mondial/10/mountains/Balkan/
http://www.semwebtech.org/mondial/10/mountains/Kunlun/
http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/
http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/
http://www.semwebtech.org/mondial/10/mountains/Azores/
http://www.semwebtech.org/mondial/10/mountains/Changbai/
http://www.semwebtech.org/mondial/10/mountains/Ahaggar/
http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/
http://www.semwebtech.org/mondial/10/mountains/Rif/
http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/
http://www.semwebtech.org/mondial/10/mountains/Taurus/
http://www.semwebtech.org/mondial/10/mountains/CascadeRange/
http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/
http://www.semwebtech.org/mondial/10/mountains/Beskides/
http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/
http://www.semwebtech.org/mondial/10/mountains/Grampians/
http://www.semwebtech.org/mondial/10/mountains/SierraParima/
http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/
http://www.semwebtech.org/mondial/10/mountains/Hindukusch/
http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/
http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/
http://www.semwebtech.org/mondial/10/mountains/Adirondacks/
http://www.semwebtech.org/mondial/10/mountains/SierraMadre/
http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/
http://www.semwebtech.org/mondial/10/continent/Africa/
http://www.semwebtech.org/mondial/10/continent/Asia/
http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
http://www.semwebtech.org/mondial/10/continent/America/
http://www.semwebtech.org/mondial/10/continent/Europe/
http://www.semwebtech.org/mondial/10/island/LaPalma/
http://www.semwebtech.org/mondial/10/island/EasterIsland/
http://www.semwebtech.org/mondial/10/island/SaintLucia/
http://www.semwebtech.org/mondial/10/island/Providenciales/
http://www.semwebtech.org/mondial/10/island/VitiLevu/
http://www.semwebtech.org/mondial/10/island/BanksIsland/
http://www.semwebtech.org/mondial/10/island/Tasmania/
http://www.semwebtech.org/mondial/10/island/Lavan/
http://www.semwebtech.org/mondial/10/island/SaintPierre/
http://www.semwebtech.org/mondial/10/island/Gheschm/
http://www.semwebtech.org/mondial/10/island/Newfoundland/
http://www.semwebtech.org/mondial/10/island/Oeland/
http://www.semwebtech.org/mondial/10/island/SaoTome/
http://www.semwebtech.org/mondial/10/island/Efate/
http://www.semwebtech.org/mondial/10/island/Corse/
http://www.semwebtech.org/mondial/10/island/Impalila/
http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/island/Niue/
http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/
http://www.semwebtech.org/mondial/10/island/Fakaofo/
http://www.semwebtech.org/mondial/10/island/CaymanBrac/
http://www.semwebtech.org/mondial/10/island/Helgoland/
http://www.semwebtech.org/mondial/10/island/Guam/
http://www.semwebtech.org/mondial/10/island/Guernsey/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/
http://www.semwebtech.org/mondial/10/island/Westray/
http://www.semwebtech.org/mondial/10/island/Filicudi/
http://www.semwebtech.org/mondial/10/island/Langeoog/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/
http://www.semwebtech.org/mondial/10/island/Hierro/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/island/Nantucket/
http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/island/Khark/
http://www.semwebtech.org/mondial/10/island/Bali/
http://www.semwebtech.org/mondial/10/island/Norderney/
http://www.semwebtech.org/mondial/10/island/Bornholm/
http://www.semwebtech.org/mondial/10/island/Mohilla/
http://www.semwebtech.org/mondial/10/island/Samar/
http://www.semwebtech.org/mondial/10/island/PulauPanjang/
http://www.semwebtech.org/mondial/10/island/Mauritius/
http://www.semwebtech.org/mondial/10/island/Sardegna/
http://www.semwebtech.org/mondial/10/island/Oesel/
http://www.semwebtech.org/mondial/10/island/Menorca/
http://www.semwebtech.org/mondial/10/island/Lesbos/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/
http://www.semwebtech.org/mondial/10/island/Nauru/
http://www.semwebtech.org/mondial/10/island/Dagoe/
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/
http://www.semwebtech.org/mondial/10/island/Hainan/
http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/island/Hokkaido/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/
http://www.semwebtech.org/mondial/10/island/Oahu/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/
http://www.semwebtech.org/mondial/10/island/Fuenen/
http://www.semwebtech.org/mondial/10/island/Pemba/
http://www.semwebtech.org/mondial/10/island/Majuro/
http://www.semwebtech.org/mondial/10/island/Usedom/
http://www.semwebtech.org/mondial/10/island/Manitoulin/
http://www.semwebtech.org/mondial/10/island/Falster/
http://www.semwebtech.org/mondial/10/island/Uvea/
http://www.semwebtech.org/mondial/10/island/Krakatau/
http://www.semwebtech.org/mondial/10/island/Upolu/
http://www.semwebtech.org/mondial/10/island/Korfu/
http://www.semwebtech.org/mondial/10/island/Sumbawa/
http://www.semwebtech.org/mondial/10/island/Santiago/
http://www.semwebtech.org/mondial/10/island/SaoJorge/
http://www.semwebtech.org/mondial/10/island/Jersey/
http://www.semwebtech.org/mondial/10/island/BishopRock/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/
http://www.semwebtech.org/mondial/10/island/GrandeTerre/
http://www.semwebtech.org/mondial/10/island/Jamaica/
http://www.semwebtech.org/mondial/10/island/Curacao/
http://www.semwebtech.org/mondial/10/island/Mull/
http://www.semwebtech.org/mondial/10/island/Barbuda/
http://www.semwebtech.org/mondial/10/island/Gotland/
http://www.semwebtech.org/mondial/10/island/MargitSziget/
http://www.semwebtech.org/mondial/10/island/GrandTurk/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/
http://www.semwebtech.org/mondial/10/island/SouthUist/
http://www.semwebtech.org/mondial/10/island/Antigua/
http://www.semwebtech.org/mondial/10/island/Panay/
http://www.semwebtech.org/mondial/10/island/Ibiza/
http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/island/Ternate/
http://www.semwebtech.org/mondial/10/island/Islay/
http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/island/KoSamui/
http://www.semwebtech.org/mondial/10/island/Kreta/
http://www.semwebtech.org/mondial/10/island/Texel/
http://www.semwebtech.org/mondial/10/island/Leyte/
http://www.semwebtech.org/mondial/10/island/Zhoushan/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/
http://www.semwebtech.org/mondial/10/island/Banaba/
http://www.semwebtech.org/mondial/10/island/Koror/
http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/island/Terschelling/
http://www.semwebtech.org/mondial/10/island/Paramuschir/
http://www.semwebtech.org/mondial/10/island/Guadalcanal/
http://www.semwebtech.org/mondial/10/island/WestFalkland/
http://www.semwebtech.org/mondial/10/island/Kauai/
http://www.semwebtech.org/mondial/10/island/Gomera/
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/island/Malta/
http://www.semwebtech.org/mondial/10/island/Tinian/
http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/island/Borkum/
http://www.semwebtech.org/mondial/10/island/Arran/
http://www.semwebtech.org/mondial/10/island/Bougainville/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/
http://www.semwebtech.org/mondial/10/island/Lombok/
http://www.semwebtech.org/mondial/10/island/NewProvidence/
http://www.semwebtech.org/mondial/10/island/Negros/
http://www.semwebtech.org/mondial/10/island/Lanai/
http://www.semwebtech.org/mondial/10/island/Saipan/
http://www.semwebtech.org/mondial/10/island/Teneriffa/
http://www.semwebtech.org/mondial/10/island/Batam/
http://www.semwebtech.org/mondial/10/island/SaintKitts/
http://www.semwebtech.org/mondial/10/island/Tarawa/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/
http://www.semwebtech.org/mondial/10/island/Tortola/
http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/island/Tongatapu/
http://www.semwebtech.org/mondial/10/island/Alicudi/
http://www.semwebtech.org/mondial/10/island/Timor/
http://www.semwebtech.org/mondial/10/island/Mayotte/
http://www.semwebtech.org/mondial/10/island/NorthCaicos/
http://www.semwebtech.org/mondial/10/island/Mahe/
http://www.semwebtech.org/mondial/10/island/Halmahera/
http://www.semwebtech.org/mondial/10/island/Rugen/
http://www.semwebtech.org/mondial/10/island/Formentera/
http://www.semwebtech.org/mondial/10/island/Ponape/
http://www.semwebtech.org/mondial/10/island/Lefkas/
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/
http://www.semwebtech.org/mondial/10/island/Reunion/
http://www.semwebtech.org/mondial/10/island/Fongafale/
http://www.semwebtech.org/mondial/10/island/SaintThomas/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/
http://www.semwebtech.org/mondial/10/island/DevonIsland/
http://www.semwebtech.org/mondial/10/island/GrandBermuda/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/
http://www.semwebtech.org/mondial/10/island/Samosir/
http://www.semwebtech.org/mondial/10/island/Skye/
http://www.semwebtech.org/mondial/10/island/Rarotonga/
http://www.semwebtech.org/mondial/10/island/SantaMaria/
http://www.semwebtech.org/mondial/10/island/Hoy/
http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/island/Palawan/
http://www.semwebtech.org/mondial/10/island/Kiritimati/
http://www.semwebtech.org/mondial/10/island/Olkhon/
http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/island/IsleofMan/
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/
http://www.semwebtech.org/mondial/10/island/Phuket/
http://www.semwebtech.org/mondial/10/island/Principe/
http://www.semwebtech.org/mondial/10/island/VanuaLevu/
http://www.semwebtech.org/mondial/10/island/Lolland/
http://www.semwebtech.org/mondial/10/island/IsleofWight/
http://www.semwebtech.org/mondial/10/island/Futuna/
http://www.semwebtech.org/mondial/10/island/Langeland/
http://www.semwebtech.org/mondial/10/island/Ceram/
http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/island/LittleCayman/
http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/island/Singapore/
http://www.semwebtech.org/mondial/10/island/NorthUist/
http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/island/Ascension/
http://www.semwebtech.org/mondial/10/island/Molokai/
http://www.semwebtech.org/mondial/10/island/Ambon/
http://www.semwebtech.org/mondial/10/island/Montserrat/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/
http://www.semwebtech.org/mondial/10/island/Trinidad/
http://www.semwebtech.org/mondial/10/island/Unalaska/
http://www.semwebtech.org/mondial/10/island/Gozo/
http://www.semwebtech.org/mondial/10/island/Hawaii/
http://www.semwebtech.org/mondial/10/island/Babelthuap/
http://www.semwebtech.org/mondial/10/island/Barra/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/
http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/island/Kavaratti/
http://www.semwebtech.org/mondial/10/island/Lampedusa/
http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/island/Bintan/
http://www.semwebtech.org/mondial/10/island/PortoSanto/
http://www.semwebtech.org/mondial/10/island/Fohr/
http://www.semwebtech.org/mondial/10/island/Linosa/
http://www.semwebtech.org/mondial/10/island/Tahiti/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/
http://www.semwebtech.org/mondial/10/island/Sokotra/
http://www.semwebtech.org/mondial/10/island/St.Martin/
http://www.semwebtech.org/mondial/10/island/Pitcairn/
http://www.semwebtech.org/mondial/10/island/Madeira/
http://www.semwebtech.org/mondial/10/island/Tobago/
http://www.semwebtech.org/mondial/10/island/Juist/
http://www.semwebtech.org/mondial/10/island/Svalbard/
http://www.semwebtech.org/mondial/10/island/Sylt/
http://www.semwebtech.org/mondial/10/island/Bangka/
http://www.semwebtech.org/mondial/10/island/Rhum/
http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/
http://www.semwebtech.org/mondial/10/island/Zakynthos/
http://www.semwebtech.org/mondial/10/island/Faial/
http://www.semwebtech.org/mondial/10/island/Wangerooge/
http://www.semwebtech.org/mondial/10/island/Lipari/
http://www.semwebtech.org/mondial/10/island/Anguilla/
http://www.semwebtech.org/mondial/10/island/Grenada/
http://www.semwebtech.org/mondial/10/island/Nevis/
http://www.semwebtech.org/mondial/10/island/Barbados/
http://www.semwebtech.org/mondial/10/island/Fogo/
http://www.semwebtech.org/mondial/10/island/Niihau/
http://www.semwebtech.org/mondial/10/island/Panarea/
http://www.semwebtech.org/mondial/10/island/Rhodos/
http://www.semwebtech.org/mondial/10/island/Pellworm/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/
http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/island/Samos/
http://www.semwebtech.org/mondial/10/island/Lanzarote/
http://www.semwebtech.org/mondial/10/island/Jura/
http://www.semwebtech.org/mondial/10/island/Kefallinia/
http://www.semwebtech.org/mondial/10/island/Syros/
http://www.semwebtech.org/mondial/10/island/Chios/
http://www.semwebtech.org/mondial/10/island/Graciosa/
http://www.semwebtech.org/mondial/10/island/Terceira/
http://www.semwebtech.org/mondial/10/island/Maui/
http://www.semwebtech.org/mondial/10/island/Baltrum/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/
http://www.semwebtech.org/mondial/10/island/Corvo/
http://www.semwebtech.org/mondial/10/island/Isabela/
http://www.semwebtech.org/mondial/10/island/Bioko/
http://www.semwebtech.org/mondial/10/island/Flores/
http://www.semwebtech.org/mondial/10/island/Pico/
http://www.semwebtech.org/mondial/10/island/SaintVincent/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/
http://www.semwebtech.org/mondial/10/island/Stromboli/
http://www.semwebtech.org/mondial/10/island/Anglesey/
http://www.semwebtech.org/mondial/10/island/Sachalin/
http://www.semwebtech.org/mondial/10/island/Mindoro/
http://www.semwebtech.org/mondial/10/island/Tiree/
http://www.semwebtech.org/mondial/10/island/Mykonos/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/
http://www.semwebtech.org/mondial/10/island/Ameland/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/
http://www.semwebtech.org/mondial/10/island/Labuan/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/
http://www.semwebtech.org/mondial/10/island/Cebu/
http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/island/EastFalkland/
http://www.semwebtech.org/mondial/10/island/Savaii/
http://www.semwebtech.org/mondial/10/island/Fehmarn/
http://www.semwebtech.org/mondial/10/island/Ikaria/
http://www.semwebtech.org/mondial/10/island/Benbecula/
http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/island/Streymoy/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/
http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/
http://www.semwebtech.org/mondial/10/island/Salina/
http://www.semwebtech.org/mondial/10/island/Mallorca/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/
http://www.semwebtech.org/mondial/10/island/Martinique/
http://www.semwebtech.org/mondial/10/island/Tutuila/
http://www.semwebtech.org/mondial/10/island/Vulcano/
http://www.semwebtech.org/mondial/10/island/GranCanaria/
http://www.semwebtech.org/mondial/10/island/Male/
http://www.semwebtech.org/mondial/10/island/Greenland/
http://www.semwebtech.org/mondial/10/island/Kos/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/
http://www.semwebtech.org/mondial/10/island/Okinawa/
http://www.semwebtech.org/mondial/10/island/Aland/
http://www.semwebtech.org/mondial/10/island/GrandComoro/
http://www.semwebtech.org/mondial/10/island/Bahrain/
http://www.semwebtech.org/mondial/10/island/Jeju/
http://www.semwebtech.org/mondial/10/island/Aruba/
http://www.semwebtech.org/mondial/10/island/Amrum/
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/
http://www.semwebtech.org/mondial/10/island/Rota/
http://www.semwebtech.org/mondial/10/island/Bohol/
http://www.semwebtech.org/mondial/10/island/GrandCayman/
http://www.semwebtech.org/mondial/10/island/Dominica/
http://www.semwebtech.org/mondial/10/island/Vlieland/
http://www.semwebtech.org/mondial/10/island/Anjouan/
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/
http://www.semwebtech.org/mondial/10/island/SriLanka/
http://www.semwebtech.org/mondial/10/island/LongIsland/
http://www.semwebtech.org/mondial/10/island/SanAndres/
http://www.semwebtech.org/mondial/10/island/SaintHelena/
http://www.semwebtech.org/mondial/10/lake/Inari/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/
http://www.semwebtech.org/mondial/10/river/Guadiana/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/river/Mantaro/
http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/river/Garonne/
http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/
http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/river/Salzach/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/
http://www.semwebtech.org/mondial/10/river/Doubs/
http://www.semwebtech.org/mondial/10/river/Oranje/
http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/
http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/
http://www.semwebtech.org/mondial/10/river/Theiss/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/
http://www.semwebtech.org/mondial/10/river/Newa/
http://www.semwebtech.org/mondial/10/river/Swir/
http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/
http://www.semwebtech.org/mondial/10/lake/PyramidLake/
http://www.semwebtech.org/mondial/10/river/Drina/
http://www.semwebtech.org/mondial/10/river/Tiber/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/river/Saone/
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/
http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/lake/LakeToba/
http://www.semwebtech.org/mondial/10/river/NelsonRiver/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/
http://www.semwebtech.org/mondial/10/river/Schari/
http://www.semwebtech.org/mondial/10/river/Manicouagan/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/
http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/river/Araguaia/
http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/river/Argun/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/
http://www.semwebtech.org/mondial/10/river/Aruwimi/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/
http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/river/Sanga/
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/
http://www.semwebtech.org/mondial/10/river/BlackDrin/
http://www.semwebtech.org/mondial/10/river/Kemijoki/
http://www.semwebtech.org/mondial/10/river/Okavango/
http://www.semwebtech.org/mondial/10/river/Prypjat/
http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/
http://www.semwebtech.org/mondial/10/river/Semliki/
http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/river/Oulujoki/
http://www.semwebtech.org/mondial/10/river/Petschora/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/
http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/river/Kwa/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/
http://www.semwebtech.org/mondial/10/lake/Thunersee/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/
http://www.semwebtech.org/mondial/10/river/WhiteDrin/
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/
http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/river/Piva/
http://www.semwebtech.org/mondial/10/river/Atbara/
http://www.semwebtech.org/mondial/10/river/Lagen/
http://www.semwebtech.org/mondial/10/river/Mur/
http://www.semwebtech.org/mondial/10/river/Pibor/
http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/river/Sobat/
http://www.semwebtech.org/mondial/10/river/Lena/
http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/river/Ammer/
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/
http://www.semwebtech.org/mondial/10/river/Karasu/
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/
http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/river/Isar/
http://www.semwebtech.org/mondial/10/river/VictoriaNile/
http://www.semwebtech.org/mondial/10/river/Inn/
http://www.semwebtech.org/mondial/10/lake/LopNor/
http://www.semwebtech.org/mondial/10/river/Limpopo/
http://www.semwebtech.org/mondial/10/river/Glomma/
http://www.semwebtech.org/mondial/10/river/Guadalquivir/
http://www.semwebtech.org/mondial/10/river/Umeaelv/
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/
http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/river/Bani/
http://www.semwebtech.org/mondial/10/river/Karun/
http://www.semwebtech.org/mondial/10/river/Urubamba/
http://www.semwebtech.org/mondial/10/river/Lukenie/
http://www.semwebtech.org/mondial/10/river/Lukuga/
http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/river/Uelle/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/river/Kymijoki/
http://www.semwebtech.org/mondial/10/river/Colorado/
http://www.semwebtech.org/mondial/10/river/Ticino/
http://www.semwebtech.org/mondial/10/river/Ruzizi/
http://www.semwebtech.org/mondial/10/river/Cuilo/
http://www.semwebtech.org/mondial/10/river/Würm/
http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/river/Alz/
http://www.semwebtech.org/mondial/10/river/Fimi/
http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/river/Luapula/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/
http://www.semwebtech.org/mondial/10/river/Leine/
http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/river/Naryn/
http://www.semwebtech.org/mondial/10/river/Huallaga/
http://www.semwebtech.org/mondial/10/river/Ili/
http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/river/Jordan/
http://www.semwebtech.org/mondial/10/river/Sanaga/
http://www.semwebtech.org/mondial/10/river/Perene/
http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/river/Aller/
http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/lake/Siljan/
http://www.semwebtech.org/mondial/10/lake/LakePowell/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/
http://www.semwebtech.org/mondial/10/lake/LagodiComo/
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/
http://www.semwebtech.org/mondial/10/lake/DeadSea/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/
http://www.semwebtech.org/mondial/10/river/Ounasjoki/
http://www.semwebtech.org/mondial/10/river/Apurimac/
http://www.semwebtech.org/mondial/10/river/Breg/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/
http://www.semwebtech.org/mondial/10/river/Fulda/
http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/river/Goetaaelv/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/river/Narew/
http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/river/Limmat/
http://www.semwebtech.org/mondial/10/river/Vuoksi/
http://www.semwebtech.org/mondial/10/river/Mincio/
http://www.semwebtech.org/mondial/10/river/RioMadeira/
http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/river/Dnjestr/
http://www.semwebtech.org/mondial/10/river/Moraca/
http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/lake/Poopo/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/
http://www.semwebtech.org/mondial/10/lake/Chiemsee/
http://www.semwebtech.org/mondial/10/river/Pjandsh/
http://www.semwebtech.org/mondial/10/river/Marne/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/
http://www.semwebtech.org/mondial/10/river/Lomami/
http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/river/Murgab/
http://www.semwebtech.org/mondial/10/river/Buna/
http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/river/Werra/
http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/
http://www.semwebtech.org/mondial/10/river/Vaal/
http://www.semwebtech.org/mondial/10/river/Bartang/
http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/river/Amudarja/
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/
http://www.semwebtech.org/mondial/10/river/Enns/
http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/river/Kolyma/
http://www.semwebtech.org/mondial/10/river/Saar/
http://www.semwebtech.org/mondial/10/river/Moldau/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/
http://www.semwebtech.org/mondial/10/river/Narva/
http://www.semwebtech.org/mondial/10/river/Suchona/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/
http://www.semwebtech.org/mondial/10/river/Ischim/
http://www.semwebtech.org/mondial/10/river/Katun/
http://www.semwebtech.org/mondial/10/river/Busira/
http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/river/WesternMorava/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/
http://www.semwebtech.org/mondial/10/river/Dalaelv/
http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/river/Bomu/
http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/river/March/
http://www.semwebtech.org/mondial/10/river/Lech/
http://www.semwebtech.org/mondial/10/river/Murat/
http://www.semwebtech.org/mondial/10/river/Gambia/
http://www.semwebtech.org/mondial/10/river/YukonRiver/
http://www.semwebtech.org/mondial/10/river/Chatanga/
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/
http://www.semwebtech.org/mondial/10/river/Pruth/
http://www.semwebtech.org/mondial/10/river/Cuango/
http://www.semwebtech.org/mondial/10/river/Dnister/
http://www.semwebtech.org/mondial/10/river/WhiteNile/
http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/river/Isere/
http://www.semwebtech.org/mondial/10/river/WesternDwina/
http://www.semwebtech.org/mondial/10/river/Paraguay/
http://www.semwebtech.org/mondial/10/river/WesternBug/
http://www.semwebtech.org/mondial/10/river/Lulua/
http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/river/Asahan/
http://www.semwebtech.org/mondial/10/river/Tara/
http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/river/Tambo/
http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/river/Iller/
http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/river/RioNegro/
http://www.semwebtech.org/mondial/10/river/Adda/
http://www.semwebtech.org/mondial/10/river/Klaraelv/
http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/
http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/river/Saluen/
http://www.semwebtech.org/mondial/10/river/Volta/
http://www.semwebtech.org/mondial/10/river/Tshuapa/
http://www.semwebtech.org/mondial/10/river/Maranon/
http://www.semwebtech.org/mondial/10/river/Reuss/
http://www.semwebtech.org/mondial/10/river/Raab/
http://www.semwebtech.org/mondial/10/river/Shabelle/
http://www.semwebtech.org/mondial/10/river/Morava/
http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/
http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/river/RioLerma/
http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/river/Luvua/
http://www.semwebtech.org/mondial/10/river/Baro/
http://www.semwebtech.org/mondial/10/river/Kura/
http://www.semwebtech.org/mondial/10/river/Drin/
http://www.semwebtech.org/mondial/10/river/RioMamore/
http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/river/Jubba/
http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/river/Chire/
http://www.semwebtech.org/mondial/10/river/Ucayali/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/
http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/river/Ene/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/river/Arno/
http://www.semwebtech.org/mondial/10/river/Ruki/
http://www.semwebtech.org/mondial/10/river/Selenge/
http://www.semwebtech.org/mondial/10/river/Ebro/
http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/river/Akagera/
http://www.semwebtech.org/mondial/10/river/Schilka/
http://www.semwebtech.org/mondial/10/river/Brigach/
http://www.semwebtech.org/mondial/10/river/Thjorsa/
http://www.semwebtech.org/mondial/10/lake/LakeVan/
http://www.semwebtech.org/mondial/10/lake/Bodensee/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/
http://www.semwebtech.org/mondial/10/lake/Saimaa/
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/
http://www.semwebtech.org/mondial/10/lake/Brienzersee/
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/
http://www.semwebtech.org/mondial/10/lake/LakeTana/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/
http://www.semwebtech.org/mondial/10/lake/LakeEyre/
http://www.semwebtech.org/mondial/10/lake/LochNess/
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/
http://www.semwebtech.org/mondial/10/lake/Arresoe/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/lake/LakeHume/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/
http://www.semwebtech.org/mondial/10/lake/Vaettern/
http://www.semwebtech.org/mondial/10/lake/Storuman/
http://www.semwebtech.org/mondial/10/lake/LakeNasser/
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/
http://www.semwebtech.org/mondial/10/lake/KoliSarez/
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/
http://www.semwebtech.org/mondial/10/lake/LakeManagua/
http://www.semwebtech.org/mondial/10/lake/LakeManitou/
http://www.semwebtech.org/mondial/10/lake/LakeNgami/
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/
http://www.semwebtech.org/mondial/10/lake/Kallavesi/
http://www.semwebtech.org/mondial/10/lake/LagoJunin/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/
http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/
http://www.semwebtech.org/mondial/10/lake/LakeKioga/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/
http://www.semwebtech.org/mondial/10/lake/ChadLake/
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/
http://www.semwebtech.org/mondial/10/lake/LakeNatron/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/lake/LochLomond/
http://www.semwebtech.org/mondial/10/lake/LakeMead/
http://www.semwebtech.org/mondial/10/lake/LacAssal/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/lake/Ammersee/
http://www.semwebtech.org/mondial/10/lake/CraterLake/
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/
http://www.semwebtech.org/mondial/10/lake/LacLeman/
http://www.semwebtech.org/mondial/10/lake/NamCo/
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/
http://www.semwebtech.org/mondial/10/lake/Balaton/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/lake/LakeNyos/
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/
http://www.semwebtech.org/mondial/10/country/NIC/city/León/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/
http://www.semwebtech.org/mondial/10/country/HR/city/Split/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/
http://www.semwebtech.org/mondial/10/country/MV/city/Male/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/
http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/country/SY/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/country/MACX/
http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/GBZ/
http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/SME/
http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/GBM/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/country/NCA/
http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/HONX/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/country/COCO/
http://www.semwebtech.org/mondial/10/country/LAO/
http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/RT/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/COOK/
http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/PITC/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/SD/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/TO/
http://www.semwebtech.org/mondial/10/country/VU/
http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/XMAS/
http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/GUAM/
http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/GNB/
http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/country/GBG/
http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/MC/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/BDS/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/BS/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/NORF/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/BRU/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/CEU/
http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/MS/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/WAL/
http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/GAZA/
http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/BHT/
http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/country/BERM/
http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/country/MH/
http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/country/NAU/
http://www.semwebtech.org/mondial/10/country/MV/
http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/CUR/
http://www.semwebtech.org/mondial/10/country/V/
http://www.semwebtech.org/mondial/10/country/WSA/
http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/KWT/
http://www.semwebtech.org/mondial/10/country/AMSA/
http://www.semwebtech.org/mondial/10/country/ARU/
http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/TUV/
http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/country/GUY/
http://www.semwebtech.org/mondial/10/country/BZ/
http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/K/
http://www.semwebtech.org/mondial/10/country/BRN/
http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/LB/
http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/L/
http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/FL/
http://www.semwebtech.org/mondial/10/country/FGU/
http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/country/MAYO/
http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/ER/
http://www.semwebtech.org/mondial/10/country/ARM/
http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/NIUE/
http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/country/RSM/
http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/country/TOK/
http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/Q/
http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/country/AND/
http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/MEL/
http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/country/GBJ/
http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/
http://www.semwebtech.org/mondial/10/country/Z/province/Western/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/
http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/
http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/
http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/
http://www.semwebtech.org/mondial/10/country/Z/province/Central/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/
http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/
http://www.semwebtech.org/mondial/10/country/H/province/Heves/
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/
http://www.semwebtech.org/mondial/10/country/PK/province/FATA/
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/
http://www.semwebtech.org/mondial/10/country/H/province/Pest/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Molise/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/
http://www.semwebtech.org/mondial/10/country/P/province/Braga/
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/
http://www.semwebtech.org/mondial/10/country/TR/province/Van/
http://www.semwebtech.org/mondial/10/country/PE/province/Lima/
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/country/H/province/Békés/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/country/P/province/Beja/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/country/TAD/province/RegionsofRepublicanSubordination/
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/country/BY/province/Minsk/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/
http://www.semwebtech.org/mondial/10/country/R/province/Penza/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/H/province/Vas/
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/
http://www.semwebtech.org/mondial/10/country/RO/province/Ilfov/
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/
http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/
http://www.semwebtech.org/mondial/10/country/GB/province/London/
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/country/P/province/Evora/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/organization/OECD/
http://www.semwebtech.org/mondial/10/organization/FATF/
http://www.semwebtech.org/mondial/10/organization/BDEAC/
http://www.semwebtech.org/mondial/10/organization/IFC/
http://www.semwebtech.org/mondial/10/organization/G-11/
http://www.semwebtech.org/mondial/10/organization/CIS/
http://www.semwebtech.org/mondial/10/organization/FZ/
http://www.semwebtech.org/mondial/10/organization/SAARC/
http://www.semwebtech.org/mondial/10/organization/CAEU/
http://www.semwebtech.org/mondial/10/organization/BSEC/
http://www.semwebtech.org/mondial/10/organization/EAPC/
http://www.semwebtech.org/mondial/10/organization/ADB/
http://www.semwebtech.org/mondial/10/organization/ECOWAS/
http://www.semwebtech.org/mondial/10/organization/Entente/
http://www.semwebtech.org/mondial/10/organization/BA/
http://www.semwebtech.org/mondial/10/organization/OECS/
http://www.semwebtech.org/mondial/10/organization/ICAO/
http://www.semwebtech.org/mondial/10/organization/CPLP/
http://www.semwebtech.org/mondial/10/organization/EIB/
http://www.semwebtech.org/mondial/10/organization/PFP/
http://www.semwebtech.org/mondial/10/organization/EAS/
http://www.semwebtech.org/mondial/10/organization/COMESA/
http://www.semwebtech.org/mondial/10/organization/IPU/
http://www.semwebtech.org/mondial/10/organization/G-77/
http://www.semwebtech.org/mondial/10/organization/NAM/
http://www.semwebtech.org/mondial/10/organization/BCIE/
http://www.semwebtech.org/mondial/10/organization/ASEAN/
http://www.semwebtech.org/mondial/10/organization/WIPO/
http://www.semwebtech.org/mondial/10/organization/PCA/
http://www.semwebtech.org/mondial/10/organization/CEI/
http://www.semwebtech.org/mondial/10/organization/ICC/
http://www.semwebtech.org/mondial/10/organization/GUAM/
http://www.semwebtech.org/mondial/10/organization/UNOCI/
http://www.semwebtech.org/mondial/10/organization/UNRWA/
http://www.semwebtech.org/mondial/10/organization/IMF/
http://www.semwebtech.org/mondial/10/organization/OPCW/
http://www.semwebtech.org/mondial/10/organization/SCO/
http://www.semwebtech.org/mondial/10/organization/AfDB/
http://www.semwebtech.org/mondial/10/organization/AFESD/
http://www.semwebtech.org/mondial/10/organization/PIF/
http://www.semwebtech.org/mondial/10/organization/OAPEC/
http://www.semwebtech.org/mondial/10/organization/G-20/
http://www.semwebtech.org/mondial/10/organization/AG/
http://www.semwebtech.org/mondial/10/organization/MONUSCO/
http://www.semwebtech.org/mondial/10/organization/ITU/
http://www.semwebtech.org/mondial/10/organization/ARF/
http://www.semwebtech.org/mondial/10/organization/NATO/
http://www.semwebtech.org/mondial/10/organization/AU/
http://www.semwebtech.org/mondial/10/organization/UNMISS/
http://www.semwebtech.org/mondial/10/organization/IOM/
http://www.semwebtech.org/mondial/10/organization/WHO/
http://www.semwebtech.org/mondial/10/organization/OAS/
http://www.semwebtech.org/mondial/10/organization/UNMIL/
http://www.semwebtech.org/mondial/10/organization/OPEC/
http://www.semwebtech.org/mondial/10/organization/IFAD/
http://www.semwebtech.org/mondial/10/organization/CERN/
http://www.semwebtech.org/mondial/10/organization/IDA/
http://www.semwebtech.org/mondial/10/organization/G-15/
http://www.semwebtech.org/mondial/10/organization/Caricom/
http://www.semwebtech.org/mondial/10/organization/OIC/
http://www.semwebtech.org/mondial/10/organization/UN/
http://www.semwebtech.org/mondial/10/organization/EBRD/
http://www.semwebtech.org/mondial/10/organization/EFTA/
http://www.semwebtech.org/mondial/10/organization/BIS/
http://www.semwebtech.org/mondial/10/organization/IBRD/
http://www.semwebtech.org/mondial/10/organization/LAIA/
http://www.semwebtech.org/mondial/10/organization/ICCt/
http://www.semwebtech.org/mondial/10/organization/CDB/
http://www.semwebtech.org/mondial/10/organization/EU/
http://www.semwebtech.org/mondial/10/organization/IDB/
http://www.semwebtech.org/mondial/10/organization/ECO/
http://www.semwebtech.org/mondial/10/organization/NEA/
http://www.semwebtech.org/mondial/10/organization/APEC/
http://www.semwebtech.org/mondial/10/organization/CAN/
http://www.semwebtech.org/mondial/10/organization/UNIDO/
http://www.semwebtech.org/mondial/10/organization/UNTSO/
http://www.semwebtech.org/mondial/10/organization/ECB/
http://www.semwebtech.org/mondial/10/organization/NAFTA/
http://www.semwebtech.org/mondial/10/organization/CP/
http://www.semwebtech.org/mondial/10/organization/IHO/
http://www.semwebtech.org/mondial/10/organization/MINURSO/
http://www.semwebtech.org/mondial/10/organization/UNITAR/
http://www.semwebtech.org/mondial/10/organization/CEPGL/
http://www.semwebtech.org/mondial/10/organization/SICA/
http://www.semwebtech.org/mondial/10/organization/FAO/
http://www.semwebtech.org/mondial/10/organization/UNDOF/
http://www.semwebtech.org/mondial/10/organization/G-3/
http://www.semwebtech.org/mondial/10/organization/G-24/
http://www.semwebtech.org/mondial/10/organization/IOC/
http://www.semwebtech.org/mondial/10/organization/ISO/
http://www.semwebtech.org/mondial/10/organization/OIF/
http://www.semwebtech.org/mondial/10/organization/AOSIS/
http://www.semwebtech.org/mondial/10/organization/UNMOGIP/
http://www.semwebtech.org/mondial/10/organization/SADC/
http://www.semwebtech.org/mondial/10/organization/CD/
http://www.semwebtech.org/mondial/10/organization/NC/
http://www.semwebtech.org/mondial/10/organization/ILO/
http://www.semwebtech.org/mondial/10/organization/UNESCO/
http://www.semwebtech.org/mondial/10/organization/LAES/
http://www.semwebtech.org/mondial/10/organization/IEA/
http://www.semwebtech.org/mondial/10/organization/NIB/
http://www.semwebtech.org/mondial/10/organization/GCTU/
http://www.semwebtech.org/mondial/10/organization/SACU/
http://www.semwebtech.org/mondial/10/organization/Benelux/
http://www.semwebtech.org/mondial/10/organization/UPU/
http://www.semwebtech.org/mondial/10/organization/EADB/
http://www.semwebtech.org/mondial/10/organization/ITUC/
http://www.semwebtech.org/mondial/10/organization/WTO/
http://www.semwebtech.org/mondial/10/organization/UNCTAD/
http://www.semwebtech.org/mondial/10/organization/EMU/
http://www.semwebtech.org/mondial/10/organization/CE/
http://www.semwebtech.org/mondial/10/organization/IADB/
http://www.semwebtech.org/mondial/10/organization/CEMAC/
http://www.semwebtech.org/mondial/10/organization/G-5/
http://www.semwebtech.org/mondial/10/organization/EurasEC/
http://www.semwebtech.org/mondial/10/organization/WMO/
http://www.semwebtech.org/mondial/10/organization/OPANAL/
http://www.semwebtech.org/mondial/10/organization/UNSC/
http://www.semwebtech.org/mondial/10/organization/ICJ/
http://www.semwebtech.org/mondial/10/organization/SACEP/
http://www.semwebtech.org/mondial/10/organization/Mercosur/
http://www.semwebtech.org/mondial/10/organization/UNHCR/
http://www.semwebtech.org/mondial/10/organization/UNWTO/
http://www.semwebtech.org/mondial/10/organization/BIMSTEC/
http://www.semwebtech.org/mondial/10/organization/WFTU/
http://www.semwebtech.org/mondial/10/organization/CSTO/
http://www.semwebtech.org/mondial/10/organization/NSG/
http://www.semwebtech.org/mondial/10/organization/InOC/
http://www.semwebtech.org/mondial/10/organization/ABEDA/
http://www.semwebtech.org/mondial/10/organization/SELEC/
http://www.semwebtech.org/mondial/10/organization/MIGA/
http://www.semwebtech.org/mondial/10/organization/LAS/
http://www.semwebtech.org/mondial/10/organization/ACP/
http://www.semwebtech.org/mondial/10/organization/Interpol/
http://www.semwebtech.org/mondial/10/organization/UNASUR/
http://www.semwebtech.org/mondial/10/organization/IMSO/
http://www.semwebtech.org/mondial/10/organization/G-7/
http://www.semwebtech.org/mondial/10/organization/CICA/
http://www.semwebtech.org/mondial/10/organization/ESA/
http://www.semwebtech.org/mondial/10/organization/GCC/
http://www.semwebtech.org/mondial/10/organization/IFRCS/
http://www.semwebtech.org/mondial/10/organization/IAEA/
http://www.semwebtech.org/mondial/10/organization/IMO/
http://www.semwebtech.org/mondial/10/organization/AMF/
http://www.semwebtech.org/mondial/10/organization/UNMIT/
http://www.semwebtech.org/mondial/10/organization/WCO/
http://www.semwebtech.org/mondial/10/organization/OSCE/
http://www.semwebtech.org/mondial/10/organization/C/
http://www.semwebtech.org/mondial/10/organization/D-8/
http://www.semwebtech.org/mondial/10/organization/G-8/
http://www.semwebtech.org/mondial/10/organization/CACM/
http://www.semwebtech.org/mondial/10/organization/UNFICYP/
http://www.semwebtech.org/mondial/10/organization/UNIFIL/
http://www.semwebtech.org/mondial/10/organization/ZC/
http://www.semwebtech.org/mondial/10/organization/UNAMID/
http://www.semwebtech.org/mondial/10/organization/EITI/
http://www.semwebtech.org/mondial/10/organization/G-10/
http://www.semwebtech.org/mondial/10/organization/ITSO/
http://www.semwebtech.org/mondial/10/organization/UNISFA/
http://www.semwebtech.org/mondial/10/organization/CBSS/
http://www.semwebtech.org/mondial/10/organization/EAC/
http://www.semwebtech.org/mondial/10/organization/ANZUS/
http://www.semwebtech.org/mondial/10/organization/SPC/
http://www.semwebtech.org/mondial/10/organization/G-9/
http://www.semwebtech.org/mondial/10/organization/IGAD/
http://www.semwebtech.org/mondial/10/organization/Sparteca/
http://www.semwebtech.org/mondial/10/organization/AMU/
http://www.semwebtech.org/mondial/10/organization/CELAC/
http://www.semwebtech.org/mondial/10/politicalbody/HolyRomanEmpire/
http://www.semwebtech.org/mondial/10/politicalbody/Austria-Hungary/
http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/
http://www.semwebtech.org/mondial/10/politicalbody/Yugoslavia/
http://www.semwebtech.org/mondial/10/politicalbody/OttomanEmpire/
http://www.semwebtech.org/mondial/10/politicalbody/Czechoslovakia/
http://www.semwebtech.org/mondial/10/politicalbody/MergerofNorth-SouthYemen/
http://www.semwebtech.org/mondial/10/language/Pitkern/
http://www.semwebtech.org/mondial/10/language/Gagauz/
http://www.semwebtech.org/mondial/10/language/Brahui/
http://www.semwebtech.org/mondial/10/language/English/
http://www.semwebtech.org/mondial/10/language/Slovene/
http://www.semwebtech.org/mondial/10/language/Arabic/
http://www.semwebtech.org/mondial/10/language/Punjabi/
http://www.semwebtech.org/mondial/10/language/Futunian/
http://www.semwebtech.org/mondial/10/language/Estonian/
http://www.semwebtech.org/mondial/10/language/Creole/
http://www.semwebtech.org/mondial/10/language/Serbo-Croatian/
http://www.semwebtech.org/mondial/10/language/Albanian/
http://www.semwebtech.org/mondial/10/language/Garifuna/
http://www.semwebtech.org/mondial/10/language/Maori/
http://www.semwebtech.org/mondial/10/language/French/
http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/
http://www.semwebtech.org/mondial/10/language/Quechua/
http://www.semwebtech.org/mondial/10/language/Chinese/
http://www.semwebtech.org/mondial/10/language/Belorussian/
http://www.semwebtech.org/mondial/10/language/Amerindian/
http://www.semwebtech.org/mondial/10/language/Bulgarian/
http://www.semwebtech.org/mondial/10/language/Korean/
http://www.semwebtech.org/mondial/10/language/Swedish/
http://www.semwebtech.org/mondial/10/language/Portuguese/
http://www.semwebtech.org/mondial/10/language/Finnish/
http://www.semwebtech.org/mondial/10/language/Serbian/
http://www.semwebtech.org/mondial/10/language/Bosnian/
http://www.semwebtech.org/mondial/10/language/Siraiki/
http://www.semwebtech.org/mondial/10/language/Japanese/
http://www.semwebtech.org/mondial/10/language/Basque/
http://www.semwebtech.org/mondial/10/language/Luxembourgish/
http://www.semwebtech.org/mondial/10/language/Greek/
http://www.semwebtech.org/mondial/10/language/Hebrew/
http://www.semwebtech.org/mondial/10/language/Turkic/
http://www.semwebtech.org/mondial/10/language/Danish/
http://www.semwebtech.org/mondial/10/language/Montenegrin/
http://www.semwebtech.org/mondial/10/language/Dungun/
http://www.semwebtech.org/mondial/10/language/Kyrgyz/
http://www.semwebtech.org/mondial/10/language/Hindko/
http://www.semwebtech.org/mondial/10/language/Azeri/
http://www.semwebtech.org/mondial/10/language/Kurdish/
http://www.semwebtech.org/mondial/10/language/Slovenian/
http://www.semwebtech.org/mondial/10/language/ChineseLanguage/
http://www.semwebtech.org/mondial/10/language/Italian/
http://www.semwebtech.org/mondial/10/language/Persian/
http://www.semwebtech.org/mondial/10/language/Slovak/
http://www.semwebtech.org/mondial/10/language/Sinhala/
http://www.semwebtech.org/mondial/10/language/Georgian/
http://www.semwebtech.org/mondial/10/language/Russian/
http://www.semwebtech.org/mondial/10/language/Galician/
http://www.semwebtech.org/mondial/10/language/Miskito/
http://www.semwebtech.org/mondial/10/language/KhalkhaMongol/
http://www.semwebtech.org/mondial/10/language/Luri/
http://www.semwebtech.org/mondial/10/language/Kurd/
http://www.semwebtech.org/mondial/10/language/Bambara/
http://www.semwebtech.org/mondial/10/language/Aymara/
http://www.semwebtech.org/mondial/10/language/Latvian/
http://www.semwebtech.org/mondial/10/language/Ukrainian/
http://www.semwebtech.org/mondial/10/language/Somali/
http://www.semwebtech.org/mondial/10/language/Wallisian/
http://www.semwebtech.org/mondial/10/language/Sindhi/
http://www.semwebtech.org/mondial/10/language/Armenian/
http://www.semwebtech.org/mondial/10/language/MayanDialects/
http://www.semwebtech.org/mondial/10/language/Polish/
http://www.semwebtech.org/mondial/10/language/OtherPacificIslandLanguage/
http://www.semwebtech.org/mondial/10/language/Romanian/
http://www.semwebtech.org/mondial/10/language/Tajik/
http://www.semwebtech.org/mondial/10/language/Spanish/
http://www.semwebtech.org/mondial/10/language/German/
http://www.semwebtech.org/mondial/10/language/Kazakh/
http://www.semwebtech.org/mondial/10/language/Tongan/
http://www.semwebtech.org/mondial/10/language/Urdu/
http://www.semwebtech.org/mondial/10/language/Turkish/
http://www.semwebtech.org/mondial/10/language/Tamil/
http://www.semwebtech.org/mondial/10/language/Chamorro/
http://www.semwebtech.org/mondial/10/language/Polynesian/
http://www.semwebtech.org/mondial/10/language/Hungarian/
http://www.semwebtech.org/mondial/10/language/Uzbek/
http://www.semwebtech.org/mondial/10/language/Lithuanian/
http://www.semwebtech.org/mondial/10/language/Balochi/
http://www.semwebtech.org/mondial/10/language/Croatian/
http://www.semwebtech.org/mondial/10/language/Lezgi/
http://www.semwebtech.org/mondial/10/language/Burmese/
http://www.semwebtech.org/mondial/10/language/Pashtu/
http://www.semwebtech.org/mondial/10/language/Vietnamese/
http://www.semwebtech.org/mondial/10/language/Afrikaans/
http://www.semwebtech.org/mondial/10/language/Catalan/
http://www.semwebtech.org/mondial/10/language/Hindi/
http://www.semwebtech.org/mondial/10/language/Norwegian/
http://www.semwebtech.org/mondial/10/language/Icelandic/
http://www.semwebtech.org/mondial/10/language/AfghanPersian/
http://www.semwebtech.org/mondial/10/language/Samoan/
http://www.semwebtech.org/mondial/10/language/Maltese/
http://www.semwebtech.org/mondial/10/language/Roma/
http://www.semwebtech.org/mondial/10/language/Macedonian/
http://www.semwebtech.org/mondial/10/language/Nepali/
http://www.semwebtech.org/mondial/10/language/Guarani/
http://www.semwebtech.org/mondial/10/language/Papiamento/
http://www.semwebtech.org/mondial/10/language/Romansch/
http://www.semwebtech.org/mondial/10/language/Dutch/
http://www.semwebtech.org/mondial/10/language/Turkmen/
http://www.semwebtech.org/mondial/10/language/Monegasque/
http://www.semwebtech.org/mondial/10/language/Czech/
http://www.semwebtech.org/mondial/10/religion/Presbyterian/
http://www.semwebtech.org/mondial/10/religion/Baptist/
http://www.semwebtech.org/mondial/10/religion/ChurchofGod/
http://www.semwebtech.org/mondial/10/religion/Hindu/
http://www.semwebtech.org/mondial/10/religion/ArmenianApostolic/
http://www.semwebtech.org/mondial/10/religion/Catholic/
http://www.semwebtech.org/mondial/10/religion/CaoDai/
http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
http://www.semwebtech.org/mondial/10/religion/Sikh/
http://www.semwebtech.org/mondial/10/religion/Jains/
http://www.semwebtech.org/mondial/10/religion/Taoist/
http://www.semwebtech.org/mondial/10/religion/Episcopalian/
http://www.semwebtech.org/mondial/10/religion/ChristianCongregationalist/
http://www.semwebtech.org/mondial/10/religion/Mormon/
http://www.semwebtech.org/mondial/10/religion/Druze/
http://www.semwebtech.org/mondial/10/religion/Yezidi/
http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
http://www.semwebtech.org/mondial/10/religion/UkrainianGreekCatholic/
http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
http://www.semwebtech.org/mondial/10/religion/Methodist/
http://www.semwebtech.org/mondial/10/religion/UnitingChurchAustralia/
http://www.semwebtech.org/mondial/10/religion/Christian/
http://www.semwebtech.org/mondial/10/religion/Chondogyo/
http://www.semwebtech.org/mondial/10/religion/UnitedChurch/
http://www.semwebtech.org/mondial/10/religion/Protestant/
http://www.semwebtech.org/mondial/10/religion/EkalesiaNiue/
http://www.semwebtech.org/mondial/10/religion/HoaHao/
http://www.semwebtech.org/mondial/10/religion/Kimbanguist/
http://www.semwebtech.org/mondial/10/religion/Confucianism/
http://www.semwebtech.org/mondial/10/religion/NewApostolic/
http://www.semwebtech.org/mondial/10/religion/ChurchChrist/
http://www.semwebtech.org/mondial/10/religion/Jewish/
http://www.semwebtech.org/mondial/10/religion/Anglican/
http://www.semwebtech.org/mondial/10/religion/CongregationalChristian/
http://www.semwebtech.org/mondial/10/religion/Buddhist/
http://www.semwebtech.org/mondial/10/religion/Bahai/
http://www.semwebtech.org/mondial/10/religion/Mayan/
http://www.semwebtech.org/mondial/10/religion/ChurchTuvalu/
http://www.semwebtech.org/mondial/10/religion/Adventist/
http://www.semwebtech.org/mondial/10/religion/Muslim/
http://www.semwebtech.org/mondial/10/religion/CopticChristian/
http://www.semwebtech.org/mondial/10/religion/United/
http://www.semwebtech.org/mondial/10/religion/AfricanMethodistEpiscopal/
http://www.semwebtech.org/mondial/10/ethnicgroup/Gagauz/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandingo/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bengali/
http://www.semwebtech.org/mondial/10/ethnicgroup/Monegasque/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tay/
http://www.semwebtech.org/mondial/10/ethnicgroup/Austrian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldavian-Romanian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Songhai/
http://www.semwebtech.org/mondial/10/ethnicgroup/Romansch/
http://www.semwebtech.org/mondial/10/ethnicgroup/Latvian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Celt/
http://www.semwebtech.org/mondial/10/ethnicgroup/Arabic/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bakongo/
http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoLoum/
http://www.semwebtech.org/mondial/10/ethnicgroup/Nauruan/
http://www.semwebtech.org/mondial/10/ethnicgroup/Alemannic/
http://www.semwebtech.org/mondial/10/ethnicgroup/Dutch/
http://www.semwebtech.org/mondial/10/ethnicgroup/Scandinavian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bounty/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mboum/
http://www.semwebtech.org/mondial/10/ethnicgroup/Black/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/
http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/
http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kamba/
http://www.semwebtech.org/mondial/10/ethnicgroup/Baganda/
http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/
http://www.semwebtech.org/mondial/10/ethnicgroup/GilakiMazandarani/
http://www.semwebtech.org/mondial/10/ethnicgroup/CrimeanTatar/
http://www.semwebtech.org/mondial/10/ethnicgroup/Spanish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/
http://www.semwebtech.org/mondial/10/ethnicgroup/CaribIndians/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kalenjin/
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbs/
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Asian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Irish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mossi/
http://www.semwebtech.org/mondial/10/ethnicgroup/ArabIranian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Shan/
http://www.semwebtech.org/mondial/10/ethnicgroup/Fleming/
http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bhote/
http://www.semwebtech.org/mondial/10/ethnicgroup/Christian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Fula/
http://www.semwebtech.org/mondial/10/ethnicgroup/Viet-Kinh/
http://www.semwebtech.org/mondial/10/ethnicgroup/BerberArab/
http://www.semwebtech.org/mondial/10/ethnicgroup/White/
http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kimbundu/
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Mauritian/
http://www.semwebtech.org/mondial/10/ethnicgroup/MediterraneanNordic/
http://www.semwebtech.org/mondial/10/ethnicgroup/Wallisian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Byelorussian/
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthernIrish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/
http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Karen/
http://www.semwebtech.org/mondial/10/ethnicgroup/Sino-Mauritian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Nung/
http://www.semwebtech.org/mondial/10/ethnicgroup/Ovimbundu/
http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bantu/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigraway/
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoTheung/
http://www.semwebtech.org/mondial/10/ethnicgroup/Americo-Liberians/
http://www.semwebtech.org/mondial/10/ethnicgroup/BasquesBretons/
http://www.semwebtech.org/mondial/10/ethnicgroup/Franco-Mauritian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Garifuna/
http://www.semwebtech.org/mondial/10/ethnicgroup/Surinamese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tutsi/
http://www.semwebtech.org/mondial/10/ethnicgroup/Colored/
http://www.semwebtech.org/mondial/10/ethnicgroup/Euro-African/
http://www.semwebtech.org/mondial/10/ethnicgroup/MBaka/
http://www.semwebtech.org/mondial/10/ethnicgroup/EquatorialBantu/
http://www.semwebtech.org/mondial/10/ethnicgroup/Welaita/
http://www.semwebtech.org/mondial/10/ethnicgroup/Sara/
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternHamitic/
http://www.semwebtech.org/mondial/10/ethnicgroup/Madurese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Banda/
http://www.semwebtech.org/mondial/10/ethnicgroup/Wolof/
http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/
http://www.semwebtech.org/mondial/10/ethnicgroup/Azerbaijani/
http://www.semwebtech.org/mondial/10/ethnicgroup/Lugbara/
http://www.semwebtech.org/mondial/10/ethnicgroup/Nepalese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Danish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/
http://www.semwebtech.org/mondial/10/ethnicgroup/Maori/
http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/
http://www.semwebtech.org/mondial/10/ethnicgroup/BlackMaur/
http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/
http://www.semwebtech.org/mondial/10/ethnicgroup/Yezidi/
http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Amhara/
http://www.semwebtech.org/mondial/10/ethnicgroup/HanChinese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tamil/
http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/
http://www.semwebtech.org/mondial/10/ethnicgroup/Dravidian/
http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese-Chinese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Batswana/
http://www.semwebtech.org/mondial/10/ethnicgroup/European/
http://www.semwebtech.org/mondial/10/ethnicgroup/Hadiya/
http://www.semwebtech.org/mondial/10/ethnicgroup/Twa/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/
http://www.semwebtech.org/mondial/10/ethnicgroup/Burman/
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthwesternBantu/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kgalagadi/
http://www.semwebtech.org/mondial/10/ethnicgroup/Toucouleur/
http://www.semwebtech.org/mondial/10/ethnicgroup/Baoule/
http://www.semwebtech.org/mondial/10/ethnicgroup/Djerma/
http://www.semwebtech.org/mondial/10/ethnicgroup/Fijian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Japanese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/
http://www.semwebtech.org/mondial/10/ethnicgroup/RussianUkrainian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kunama/
http://www.semwebtech.org/mondial/10/ethnicgroup/Soussou/
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Maya/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mon/
http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/
http://www.semwebtech.org/mondial/10/ethnicgroup/Gourmantche/
http://www.semwebtech.org/mondial/10/ethnicgroup/Beja/
http://www.semwebtech.org/mondial/10/ethnicgroup/BritishIsles/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mande/
http://www.semwebtech.org/mondial/10/ethnicgroup/black-Amerindian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Africandescent/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bahraini/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bagisu/
http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/
http://www.semwebtech.org/mondial/10/ethnicgroup/European-CaribbeanAmerindian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/
http://www.semwebtech.org/mondial/10/ethnicgroup/Oromo/
http://www.semwebtech.org/mondial/10/ethnicgroup/Sami/
http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/
http://www.semwebtech.org/mondial/10/ethnicgroup/Seychellois/
http://www.semwebtech.org/mondial/10/ethnicgroup/English/
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/
http://www.semwebtech.org/mondial/10/ethnicgroup/Circassian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/
http://www.semwebtech.org/mondial/10/ethnicgroup/Batobo/
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/
http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/
http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Luo/
http://www.semwebtech.org/mondial/10/ethnicgroup/Georgian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Saho/
http://www.semwebtech.org/mondial/10/ethnicgroup/Taiwanese/
http://www.semwebtech.org/mondial/10/ethnicgroup/African/
http://www.semwebtech.org/mondial/10/ethnicgroup/Vedda/
http://www.semwebtech.org/mondial/10/ethnicgroup/Aymara/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bete/
http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/
http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanLebanese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Sidama/
http://www.semwebtech.org/mondial/10/ethnicgroup/Hazara/
http://www.semwebtech.org/mondial/10/ethnicgroup/Luhya/
http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/
http://www.semwebtech.org/mondial/10/ethnicgroup/Maur/
http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/
http://www.semwebtech.org/mondial/10/ethnicgroup/Walloon/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kuwaiti/
http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Senoufou/
http://www.semwebtech.org/mondial/10/ethnicgroup/Emiri/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mong/
http://www.semwebtech.org/mondial/10/ethnicgroup/Meru/
http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/
http://www.semwebtech.org/mondial/10/ethnicgroup/None/
http://www.semwebtech.org/mondial/10/ethnicgroup/Greenlander/
http://www.semwebtech.org/mondial/10/ethnicgroup/Diola/
http://www.semwebtech.org/mondial/10/ethnicgroup/Moroccan/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kirdi/
http://www.semwebtech.org/mondial/10/ethnicgroup/German/
http://www.semwebtech.org/mondial/10/ethnicgroup/Quechua/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kikuyu/
http://www.semwebtech.org/mondial/10/ethnicgroup/Gypsy/
http://www.semwebtech.org/mondial/10/ethnicgroup/Hutu/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazakh/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/
http://www.semwebtech.org/mondial/10/ethnicgroup/Hausa/
http://www.semwebtech.org/mondial/10/ethnicgroup/Inuit/
http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tongan/
http://www.semwebtech.org/mondial/10/ethnicgroup/Rashaida/
http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Sotho/
http://www.semwebtech.org/mondial/10/ethnicgroup/French/
http://www.semwebtech.org/mondial/10/ethnicgroup/CameroonHighlanders/
http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/
http://www.semwebtech.org/mondial/10/ethnicgroup/Baloch/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bashkir/
http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Voltaic/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kisii/
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-EastIndian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Caribbean/
http://www.semwebtech.org/mondial/10/ethnicgroup/Scottish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Sundanese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Dungan/
http://www.semwebtech.org/mondial/10/ethnicgroup/Welsh/
http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Pashtun/
http://www.semwebtech.org/mondial/10/ethnicgroup/Sinhalese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurd/
http://www.semwebtech.org/mondial/10/ethnicgroup/Luxembourgish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Lur/
http://www.semwebtech.org/mondial/10/ethnicgroup/Muong/
http://www.semwebtech.org/mondial/10/ethnicgroup/Karakalpak/
http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Aryan/
http://www.semwebtech.org/mondial/10/ethnicgroup/Ruthenian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandjia/
http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Basogo/
http://www.semwebtech.org/mondial/10/ethnicgroup/Iteso/
http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/
http://www.semwebtech.org/mondial/10/ethnicgroup/Euronesians/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigrinya/
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoSoungHmongYao/
http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bilen/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bunyoro/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/
http://www.semwebtech.org/mondial/10/ethnicgroup/Chuvash/
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/
http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Chamorro/
http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/
http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Karamojong/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mangbetu-Azande/
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternNigritic/
http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Gurage/
http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Moravian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Persian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Rakhine/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/
http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanSyrian-Lebanese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Serer/
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Chinese/
http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Acholi/
http://www.semwebtech.org/mondial/10/ethnicgroup/Langi/
http://www.semwebtech.org/mondial/10/ethnicgroup/Borneoindigenous/
http://www.semwebtech.org/mondial/10/ethnicgroup/Hindustani/
http://www.semwebtech.org/mondial/10/ethnicgroup/Andorran/
http://www.semwebtech.org/mondial/10/ethnicgroup/Assyrian/
http://www.semwebtech.org/mondial/10/ethnicgroup/BeriBeri/
http://www.semwebtech.org/mondial/10/ethnicgroup/Dagestani/
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigre/
http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/
http://www.semwebtech.org/mondial/10/ethnicgroup/Rwanda/
http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-European/
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldovan/
http://www.semwebtech.org/mondial/10/ethnicgroup/Baya/
http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/
http://www.semwebtech.org/mondial/10/ethnicgroup/African-white-Indian/
http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/
\.


--
-- TOC entry 5938 (class 0 OID 90147)
-- Dependencies: 708
-- Data for Name: Mountain; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Mountain" ("URI", type, "lastEruption", name, "locatedOnIsland", "inMountains", rdftype) FROM stdin;
http://www.semwebtech.org/mondial/10/mountain/Etna/	\N	\N	\N	http://www.semwebtech.org/mondial/10/island/Sicilia/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	\N	\N	Puncak Jaya	http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/	\N
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	\N	\N	Monte Cinto	http://www.semwebtech.org/mondial/10/island/Corse/	http://www.semwebtech.org/mondial/10/mountains/Corse/	\N
http://www.semwebtech.org/mondial/10/mountain/Zhima/	\N	\N	Zhima	http://www.semwebtech.org/mondial/10/island/Olkhon/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/	\N	\N	Cerro de Punta	http://www.semwebtech.org/mondial/10/island/PuertoRico/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	\N	\N	Matterhorn	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	\N	\N	Mt. Babel	http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/	\N	\N	Tatamailau	http://www.semwebtech.org/mondial/10/island/Timor/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Volcano
http://www.semwebtech.org/mondial/10/mountain/Meru/	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Volcano
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Amhara/	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	\N	\N	Mt Whitney	\N	http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	\N	\N	Pico de Agulhas Negras	\N	http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/	\N
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	\N	\N	Ulug Muztag	\N	http://www.semwebtech.org/mondial/10/mountains/Kunlun/	\N
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	\N	\N	Ben Nevis	http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/mountains/Grampians/	\N
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	\N	\N	Barbeau Peak	http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/	\N
http://www.semwebtech.org/mondial/10/mountain/MountApo/	\N	\N	Mount Apo	http://www.semwebtech.org/mondial/10/island/Mindanao/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/	\N	\N	Mt. Wilhelm	http://www.semwebtech.org/mondial/10/island/NewGuinea/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	\N	\N	Psiloritis	http://www.semwebtech.org/mondial/10/island/Kreta/	http://www.semwebtech.org/mondial/10/mountains/Crete/	\N
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/	\N	\N	Pico Duarte	http://www.semwebtech.org/mondial/10/island/Hispaniola/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	\N	\N	Dodabetta	\N	http://www.semwebtech.org/mondial/10/mountains/WestGhats/	\N
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	\N	\N	Lhotse	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	\N
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	\N	\N	Mt. Kosciuszko	\N	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	\N	\N	\N	http://www.semwebtech.org/mondial/10/island/LaPalma/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	\N	\N	Zachwoa	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	\N
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	\N	\N	Gunung Binaiya	http://www.semwebtech.org/mondial/10/island/Ceram/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/	volcanic	\N	Mt. Balbi	http://www.semwebtech.org/mondial/10/island/Bougainville/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	\N	\N	Bjelucha	\N	http://www.semwebtech.org/mondial/10/mountains/Altai/	\N
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/	\N	\N	Thabana Ntlenyana	\N	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	\N
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Volcano
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Volcano
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	\N	\N	Gasherbrum I	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	\N
http://www.semwebtech.org/mondial/10/mountain/Pico/	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Azores/	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tahan/	\N	\N	Tahan	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Joekul/	\N	\N	Joekul	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	\N	\N	Tirich Mir	\N	http://www.semwebtech.org/mondial/10/mountains/Hindukusch/	\N
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	\N	\N	Gannett Peak	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	\N	\N	Borah Peak	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	\N	\N	Clingmans Dome	\N	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtBona/	\N	\N	Mt Bona	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	\N
http://www.semwebtech.org/mondial/10/mountain/Kongur/	\N	\N	Kongur	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	\N
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	\N	\N	Feldberg	\N	http://www.semwebtech.org/mondial/10/mountains/BlackForest/	\N
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Manaslu/	\N	\N	Manaslu	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	\N
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	\N	\N	Piz Bernina	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	\N
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	\N	\N	Mt Mitchell	\N	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	\N	\N	Mt Washington	\N	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	\N	\N	Pico de Almanzor	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	\N
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	\N	\N	Pico Bolivar	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	\N
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	\N	\N	Wheeler Peak	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	\N	\N	Moncayo	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	\N
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	volcano	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Volcano
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	\N	\N	Demirkazik	\N	http://www.semwebtech.org/mondial/10/mountains/Taurus/	\N
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	\N	\N	Nanga Parbat	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	\N
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	\N	\N	Pik Ismoil Somoni	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	\N
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	\N	\N	Kings Peak	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	\N	\N	Monte Falterona	\N	http://www.semwebtech.org/mondial/10/mountains/Apennin/	\N
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	\N	\N	Portefjaellen	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	\N	\N	Mont Blanc	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	\N
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	\N	\N	Pik Lenina	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	\N
http://www.semwebtech.org/mondial/10/mountain/Musala/	\N	\N	Musala	\N	http://www.semwebtech.org/mondial/10/mountains/Balkan/	\N
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	\N	\N	Grosser Arber	\N	http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/	\N
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	\N	\N	Gran Sasso	\N	http://www.semwebtech.org/mondial/10/mountains/Apennin/	\N
http://www.semwebtech.org/mondial/10/mountain/Brocken/	\N	\N	Brocken	\N	http://www.semwebtech.org/mondial/10/mountains/Harz/	\N
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	volcanic	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Volcano
http://www.semwebtech.org/mondial/10/mountain/Korab/	\N	\N	Korab	\N	http://www.semwebtech.org/mondial/10/mountains/Balkan/	\N
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	\N	\N	Tubkhal	\N	http://www.semwebtech.org/mondial/10/mountains/Atlas/	\N
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	\N	\N	Mt Columbia	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	\N	\N	Pik Moskva	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	\N
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	\N	\N	Glittertind	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/	volcanic	\N	Pico de Sao Tome	http://www.semwebtech.org/mondial/10/island/SaoTome/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Schchara/	\N	\N	Schchara	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	\N
http://www.semwebtech.org/mondial/10/mountain/Illampu/	granite	\N	Illampu	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	\N
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	\N	\N	Pico Rocarre	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/	\N
http://www.semwebtech.org/mondial/10/mountain/Damavand/	volcano	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/	volcanic	\N	Tsiafajavona	http://www.semwebtech.org/mondial/10/island/Madagaskar/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/	volcano	\N	Queen Marys Peak	http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/	volcanic	\N	Piton des Neiges	http://www.semwebtech.org/mondial/10/island/Reunion/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	volcano	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Annapurna/	\N	\N	Annapurna	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	\N
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	\N	\N	Mt Marcy	\N	http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	\N
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/	\N	\N	Jabal Katrina	\N	http://www.semwebtech.org/mondial/10/mountains/Sinai/	\N
http://www.semwebtech.org/mondial/10/mountain/Tambora/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	\N	\N	Broad Peak	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	\N
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	\N	\N	Guadalupe Peak	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	monolith	\N	Aso Rock	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/	volcano	\N	Chimborazo	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Volcano
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	volcano	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	\N	\N	Pico de Aneto	\N	http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	\N
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	\N	\N	Dychtau	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	\N
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	\N	\N	Mount Everest	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	\N
http://www.semwebtech.org/mondial/10/mountain/Cayambe/	volcano	\N	Cayambe	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Volcano
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	\N	\N	Grand Ballon	\N	http://www.semwebtech.org/mondial/10/mountains/Vosges/	\N
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/	volcano	\N	Emi Kussi	\N	http://www.semwebtech.org/mondial/10/mountains/Tibesti/	Volcano
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	\N	\N	Sarektjokko	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Ararat/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	\N	\N	Hochgolling	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	\N
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	\N	\N	Granite Peak	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	\N	1991-06-15	Pinatubo	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	\N	\N	Kangchendzonga	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	\N
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	\N	\N	Galdhoeppig	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	\N	\N	Nanda Devi	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	\N
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	volcano	\N	Mauna Loa	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Jezerce/	\N	\N	Jezerce	\N	http://www.semwebtech.org/mondial/10/mountains/Balkan/	\N
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	\N	\N	Mont Greboun	\N	http://www.semwebtech.org/mondial/10/mountains/Azbine/	\N
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	\N	\N	Mt Elbert	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/	\N	\N	Pidurutalagala	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Athos/	\N	\N	Athos	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Makalu/	\N	\N	Makalu	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	\N
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	\N	\N	Finsteraarhorn	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	\N
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	\N	\N	Cho Oyu	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	\N
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/	\N	\N	Jabal Lubnan	\N	http://www.semwebtech.org/mondial/10/mountains/Lebanon/	\N
http://www.semwebtech.org/mondial/10/mountain/Elgon/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Illimani/	granite	\N	Illimani	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	\N
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	\N	\N	Gerlachovsky Stit	\N	http://www.semwebtech.org/mondial/10/mountains/Beskides/	\N
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	\N	\N	Nevado del Huila	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	\N	\N	Muztagata	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	\N
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/	\N	\N	Jabal Shuayb	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/MtHood/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	\N	\N	Torre de Estrela	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	\N
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	\N	\N	Mt Fairweather	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	\N
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	\N	\N	Pik Chan-Tengri	\N	http://www.semwebtech.org/mondial/10/mountains/TianShan/	\N
http://www.semwebtech.org/mondial/10/mountain/Uluru/	monolith	\N	Uluru	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/	volcanic	\N	Tsaratanana	http://www.semwebtech.org/mondial/10/island/Madagaskar/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Pulog/	volcanic	\N	Pulog	http://www.semwebtech.org/mondial/10/island/Luzon/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/	volcanic	\N	Hvannadalshnukur	http://www.semwebtech.org/mondial/10/island/Iceland/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/	volcano	\N	La Soufriere	http://www.semwebtech.org/mondial/10/island/Basse-Terre/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Soufriere/	volcano	\N	Soufriere	http://www.semwebtech.org/mondial/10/island/SaintVincent/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/	volcanic	\N	Popomanaseu	http://www.semwebtech.org/mondial/10/island/Guadalcanal/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/	volcanic	\N	Mont Orohena	http://www.semwebtech.org/mondial/10/island/Tahiti/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	volcano	\N	Pico Basile	http://www.semwebtech.org/mondial/10/island/Bioko/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Andringitra/	volcanic	\N	Andringitra	http://www.semwebtech.org/mondial/10/island/Madagaskar/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Snaefell/	volcanic	\N	Snaefell	http://www.semwebtech.org/mondial/10/island/Iceland/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Hekla/	volcano	\N	Hekla	http://www.semwebtech.org/mondial/10/island/Iceland/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Karthala/	volcano	\N	Karthala	http://www.semwebtech.org/mondial/10/island/GrandComoro/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/	volcano	\N	Piton de la Fournaise	http://www.semwebtech.org/mondial/10/island/Reunion/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/	volcanic	\N	Mt. Victoria	http://www.semwebtech.org/mondial/10/island/VitiLevu/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Irazu/	volcano	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Concepcion/	volcano	\N	Concepcion	http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/	volcano	\N	Ruapehu	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Silisili/	volcanic	\N	Silisili	http://www.semwebtech.org/mondial/10/island/Savaii/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/	volcano	\N	Morne Diablotins	http://www.semwebtech.org/mondial/10/island/Dominica/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Pelee/	volcano	\N	Pelee	http://www.semwebtech.org/mondial/10/island/Martinique/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/	\N	\N	Dhaulagiri	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	\N
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	\N	\N	Aconcagua	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	\N
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	\N	\N	Mt McKinley	\N	http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/	\N
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	\N	\N	Djebel Aures	\N	http://www.semwebtech.org/mondial/10/mountains/Rif/	\N
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	\N	\N	Mulhacen	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	\N
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	\N	1944-03-18	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	\N	\N	Mt Waddington	\N	http://www.semwebtech.org/mondial/10/mountains/CoastMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	\N	\N	Ausangate	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/	\N
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	\N	\N	Jostedalsbre	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	\N	\N	Ruwenzori	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	\N
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	\N	\N	Moldoveanu	\N	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	\N
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/	\N	\N	Blue Mountain Peak	http://www.semwebtech.org/mondial/10/island/Jamaica/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Olympos/	\N	\N	Olympos	http://www.semwebtech.org/mondial/10/island/Cyprus/	http://www.semwebtech.org/mondial/10/mountains/Troodos/	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	\N	\N	Mt. Odin	http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/	\N
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	\N	\N	Grossglockner	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	\N
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	\N	\N	Pik Pobeda	\N	http://www.semwebtech.org/mondial/10/mountains/TianShan/	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/	volcano	\N	Mt. Giluwe	http://www.semwebtech.org/mondial/10/island/NewGuinea/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	granite	\N	Kinabalu	http://www.semwebtech.org/mondial/10/island/Borneo/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	\N	\N	Narodnaja	\N	http://www.semwebtech.org/mondial/10/mountains/Ural/	\N
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	\N	\N	Cathkin Peak	\N	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	\N
http://www.semwebtech.org/mondial/10/mountain/Semeru/	volcano	\N	Semeru	http://www.semwebtech.org/mondial/10/island/Java/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	\N	\N	Pico Cristobal Colon	\N	http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/	\N
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Katla/	volcano	\N	Katla	http://www.semwebtech.org/mondial/10/island/Iceland/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Olymp/	\N	\N	Olymp	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Fogo/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/	volcano	\N	Soufriere Hills	http://www.semwebtech.org/mondial/10/island/Montserrat/	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	\N	\N	Mt Robson	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/Kailash/	\N	\N	Kailash	\N	http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/	\N
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	\N	\N	Marmolata	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	\N
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	\N	\N	Torre de Cerredo	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	\N
http://www.semwebtech.org/mondial/10/mountain/YuShan/	\N	\N	Yu Shan	http://www.semwebtech.org/mondial/10/island/Taiwan/	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	\N	\N	Alpamayo	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	\N
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Merapi/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	\N	\N	Snoehetta	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	\N	\N	Changbai Shan	\N	http://www.semwebtech.org/mondial/10/mountains/Changbai/	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	\N	\N	Mt. Bogong	\N	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	\N	\N	Tarrekaise	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	\N	\N	Sulitjelma	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	\N	\N	Kebnekaise	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	\N	\N	Barre des Ecrins	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	\N
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	\N	\N	Pik Revoluzija	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	\N
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	\N	\N	Zugspitze	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	\N
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	\N	\N	Schneekoppe	\N	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	\N	\N	Monte Rosa	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	\N
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	\N	\N	Rinjani	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	\N	\N	Mt Adams	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/K2/	\N	\N	K2	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	\N
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	volcano	\N	Popocatepetl	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Volcano
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/	volcanic	\N	Jabal Marra	\N	http://www.semwebtech.org/mondial/10/mountains/Darfur/	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	\N	\N	Pico Turquino	http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/	\N
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	\N	\N	Gasherbrum II	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	\N
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	\N	\N	Rantekombola	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	\N	\N	Mt Rainier	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	\N	\N	Mt St.Elias	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	\N
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/	volcano	\N	Cotopaxi	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Volcano
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	volcano	\N	Karisimbi	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Volcano
http://www.semwebtech.org/mondial/10/mountain/MountKenia/	volcanic	\N	Mount Kenia	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/	volcanic	\N	Tajumulco	\N	http://www.semwebtech.org/mondial/10/mountains/SierraMadre/	Volcano
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	volcanic	\N	Cerro Chirripo	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/	\N	\N	Mt. Cook	http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/	\N
http://www.semwebtech.org/mondial/10/mountain/Tahat/	volcanic	\N	Tahat	\N	http://www.semwebtech.org/mondial/10/mountains/Ahaggar/	Volcano
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	\N	\N	Puy De Dome	\N	http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Volcano
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	\N	\N	Hotaka-Dake	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	\N	\N	Shishapangma	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	\N
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	\N	\N	Harney Peak	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	\N	\N	Mt Logan	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	\N
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	\N	\N	Vignemale	\N	http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	\N
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	\N	\N	Pik Karl-Marx	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	\N
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	\N	\N	Gran Paradiso	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	\N
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	\N	\N	Huascaran	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	\N
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	\N	\N	Boundary Peak	\N	http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	\N
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	\N	\N	Haltiatunturi	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	\N	\N	Grand Combin	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	\N
http://www.semwebtech.org/mondial/10/mountain/Sajama/	\N	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	\N	\N	Crap Sogn Gion	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	\N
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	\N	\N	Pikes Peak	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	\N	\N	Roman Kosch	\N	http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/	\N
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	\N	\N	Liushi Shan	\N	http://www.semwebtech.org/mondial/10/mountains/Kunlun/	\N
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	\N	\N	Zard Kuh	\N	http://www.semwebtech.org/mondial/10/mountains/Zagros/	\N
http://www.semwebtech.org/mondial/10/mountain/Fako/	volcano	\N	Fako	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Leuser/	volcanic	\N	\N	\N	\N	Volcano
http://www.semwebtech.org/mondial/10/mountain/Ampato/	volcano	\N	\N	\N	\N	Volcano
\.


--
-- TOC entry 5939 (class 0 OID 90150)
-- Dependencies: 709
-- Data for Name: Mountains; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Mountains" ("URI", area, type, elevation) FROM stdin;
http://www.semwebtech.org/mondial/10/mountains/Azbine/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Sinai/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Hawaii/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Corse/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AleutianRange/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Himalaya/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Karakorum/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Karpaten/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Troodos/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Vogesen/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WestGhats/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Madeira/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kamchatka/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Amhara/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Lebanon/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BlackForest/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Harz/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CoastMountains/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Rhön/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Cevennes/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Andes/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Atlas/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Altai/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Zagros/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Darfur/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EliasRange/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Apennin/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Antitaurus/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/TianShan/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Vosges/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Jura/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Elburs/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Tibesti/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Crete/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Ural/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Alps/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Pamir/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Balkan/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kunlun/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Azores/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Changbai/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Ahaggar/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Rif/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Taurus/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Beskides/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Grampians/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraParima/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Hindukusch/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraMadre/	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	\N	\N	\N
\.


--
-- TOC entry 5940 (class 0 OID 90156)
-- Dependencies: 710
-- Data for Name: Organization; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Organization" ("URI", abbrev, established, "hasHeadq") FROM stdin;
http://www.semwebtech.org/mondial/10/organization/OECS/	OECS	1981-06-17	http://www.semwebtech.org/mondial/10/country/WL/city/Castries/
http://www.semwebtech.org/mondial/10/organization/OECD/	OECD	1960-12-14	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/
http://www.semwebtech.org/mondial/10/organization/FATF/	FATF	1989-07-15	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/
http://www.semwebtech.org/mondial/10/organization/PCA/	PCA	1899-07-29	\N
http://www.semwebtech.org/mondial/10/organization/BDEAC/	BDEAC	1975-12-03	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/
http://www.semwebtech.org/mondial/10/organization/ICAO/	ICAO	1944-12-07	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/
http://www.semwebtech.org/mondial/10/organization/IFC/	IFC	1955-05-25	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/
http://www.semwebtech.org/mondial/10/organization/G-11/	G-11	1984-06-22	\N
http://www.semwebtech.org/mondial/10/organization/CPLP/	CPLP	\N	\N
http://www.semwebtech.org/mondial/10/organization/CIS/	CIS	1991-12-08	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/
http://www.semwebtech.org/mondial/10/organization/FZ/	FZ	1945-12-20	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/
http://www.semwebtech.org/mondial/10/organization/SAARC/	SAARC	1985-12-08	http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/
http://www.semwebtech.org/mondial/10/organization/EIB/	EIB	1957-03-25	http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/
http://www.semwebtech.org/mondial/10/organization/CAEU/	CAEU	1957-06-02	http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/
http://www.semwebtech.org/mondial/10/organization/BSEC/	BSEC	1992-06-24	\N
http://www.semwebtech.org/mondial/10/organization/EAPC/	EAPC	1991-11-07	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/
http://www.semwebtech.org/mondial/10/organization/PFP/	PFP	1994-01-10	\N
http://www.semwebtech.org/mondial/10/organization/ADB/	ADB	1966-12-19	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/
http://www.semwebtech.org/mondial/10/organization/ECOWAS/	ECOWAS	1975-05-28	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/
http://www.semwebtech.org/mondial/10/organization/EAS/	EAS	2005-12-14	\N
http://www.semwebtech.org/mondial/10/organization/Entente/	Entente	1959-05-29	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/
http://www.semwebtech.org/mondial/10/organization/BA/	BA	1990-05-12	http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/
http://www.semwebtech.org/mondial/10/organization/CEI/	CEI	1989-11-10	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/
http://www.semwebtech.org/mondial/10/organization/COMESA/	COMESA	1994-12-08	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/
http://www.semwebtech.org/mondial/10/organization/IPU/	IPU	\N	\N
http://www.semwebtech.org/mondial/10/organization/G-77/	G-77	1964-06-14	\N
http://www.semwebtech.org/mondial/10/organization/NAM/	NAM	1961-09-05	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/
http://www.semwebtech.org/mondial/10/organization/BCIE/	BCIE	1960-12-13	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/
http://www.semwebtech.org/mondial/10/organization/ICC/	ICC	1919-01-01	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/
http://www.semwebtech.org/mondial/10/organization/ASEAN/	ASEAN	1967-08-07	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/
http://www.semwebtech.org/mondial/10/organization/WIPO/	WIPO	1967-07-14	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/
http://www.semwebtech.org/mondial/10/organization/OPCW/	OPCW	1997-04-28	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/
http://www.semwebtech.org/mondial/10/organization/GUAM/	GUAM	2001-06-06	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/
http://www.semwebtech.org/mondial/10/organization/UNOCI/	UNOCI	2004-02-26	\N
http://www.semwebtech.org/mondial/10/organization/UNRWA/	UNRWA	1949-12-08	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/
http://www.semwebtech.org/mondial/10/organization/PIF/	PIF	1971-08-04	http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/
http://www.semwebtech.org/mondial/10/organization/IMF/	IMF	1944-07-22	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/
http://www.semwebtech.org/mondial/10/organization/SCO/	SCO	2001-06-14	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/
http://www.semwebtech.org/mondial/10/organization/AfDB/	AfDB	1964-09-09	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/
http://www.semwebtech.org/mondial/10/organization/AFESD/	AFESD	1968-05-16	\N
http://www.semwebtech.org/mondial/10/organization/OAPEC/	OAPEC	1968-01-08	\N
http://www.semwebtech.org/mondial/10/organization/G-20/	G-20	1999-12-16	\N
http://www.semwebtech.org/mondial/10/organization/AG/	AG	\N	\N
http://www.semwebtech.org/mondial/10/organization/MONUSCO/	MONUSCO	2010-05-28	\N
http://www.semwebtech.org/mondial/10/organization/ARF/	ARF	1994-07-25	\N
http://www.semwebtech.org/mondial/10/organization/ITU/	ITU	1865-05-17	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/
http://www.semwebtech.org/mondial/10/organization/NATO/	NATO	1949-04-03	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/
http://www.semwebtech.org/mondial/10/organization/AU/	AU	1963-05-25	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/
http://www.semwebtech.org/mondial/10/organization/UNMISS/	UNMISS	2011-07-08	\N
http://www.semwebtech.org/mondial/10/organization/IOM/	IOM	1951-12-05	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/
http://www.semwebtech.org/mondial/10/organization/WHO/	WHO	1946-07-22	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/
http://www.semwebtech.org/mondial/10/organization/OAS/	OAS	1890-04-13	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/
http://www.semwebtech.org/mondial/10/organization/UNMIL/	UNMIL	2003-09-18	\N
http://www.semwebtech.org/mondial/10/organization/ICCt/	ICCt	2002-07-01	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/
http://www.semwebtech.org/mondial/10/organization/OPEC/	OPEC	1960-09-13	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/
http://www.semwebtech.org/mondial/10/organization/IFAD/	IFAD	1974-11-01	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/
http://www.semwebtech.org/mondial/10/organization/CDB/	CDB	1969-10-18	\N
http://www.semwebtech.org/mondial/10/organization/CERN/	CERN	1953-07-01	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/
http://www.semwebtech.org/mondial/10/organization/IDA/	IDA	1960-01-25	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/
http://www.semwebtech.org/mondial/10/organization/G-15/	G-15	\N	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/
http://www.semwebtech.org/mondial/10/organization/ECB/	ECB	1998-05-31	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/
http://www.semwebtech.org/mondial/10/organization/Caricom/	Caricom	1973-07-04	http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/
http://www.semwebtech.org/mondial/10/organization/EU/	EU	1992-02-06	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/
http://www.semwebtech.org/mondial/10/organization/OIC/	OIC	1969-09-24	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/
http://www.semwebtech.org/mondial/10/organization/UN/	UN	1945-06-25	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/
http://www.semwebtech.org/mondial/10/organization/EBRD/	EBRD	1990-01-08	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/
http://www.semwebtech.org/mondial/10/organization/IDB/	IDB	1973-12-15	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/
http://www.semwebtech.org/mondial/10/organization/EFTA/	EFTA	1960-01-03	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/
http://www.semwebtech.org/mondial/10/organization/BIS/	BIS	1930-01-19	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/
http://www.semwebtech.org/mondial/10/organization/NAFTA/	NAFTA	1992-12-17	\N
http://www.semwebtech.org/mondial/10/organization/IBRD/	IBRD	1944-07-22	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/
http://www.semwebtech.org/mondial/10/organization/ECO/	ECO	1985-01-28	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/
http://www.semwebtech.org/mondial/10/organization/LAIA/	LAIA	1980-08-11	http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/
http://www.semwebtech.org/mondial/10/organization/NEA/	NEA	1958-01-31	\N
http://www.semwebtech.org/mondial/10/organization/SADC/	SADC	1992-08-16	http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/
http://www.semwebtech.org/mondial/10/organization/APEC/	APEC	1989-11-06	http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/
http://www.semwebtech.org/mondial/10/organization/CP/	CP	1951-07-01	http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/
http://www.semwebtech.org/mondial/10/organization/CAN/	CAN	1969-05-26	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/
http://www.semwebtech.org/mondial/10/organization/IHO/	IHO	\N	\N
http://www.semwebtech.org/mondial/10/organization/UNIDO/	UNIDO	1966-11-16	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/
http://www.semwebtech.org/mondial/10/organization/UNTSO/	UNTSO	1948-05-01	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/
http://www.semwebtech.org/mondial/10/organization/UNDOF/	UNDOF	1974-05-31	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/
http://www.semwebtech.org/mondial/10/organization/MINURSO/	MINURSO	1991-04-28	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/
http://www.semwebtech.org/mondial/10/organization/UNITAR/	UNITAR	1963-12-11	\N
http://www.semwebtech.org/mondial/10/organization/CEPGL/	CEPGL	1976-09-19	\N
http://www.semwebtech.org/mondial/10/organization/G-3/	G-3	1990-10-01	\N
http://www.semwebtech.org/mondial/10/organization/SICA/	SICA	1991-12-13	http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/
http://www.semwebtech.org/mondial/10/organization/FAO/	FAO	1945-10-16	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/
http://www.semwebtech.org/mondial/10/organization/ISO/	ISO	1947-02-01	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/
http://www.semwebtech.org/mondial/10/organization/G-24/	G-24	1989-07-31	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/
http://www.semwebtech.org/mondial/10/organization/IOC/	IOC	1894-06-22	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/
http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	UNMOGIP	1949-01-23	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/
http://www.semwebtech.org/mondial/10/organization/OIF/	OIF	1970-03-20	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/
http://www.semwebtech.org/mondial/10/organization/AOSIS/	AOSIS	\N	\N
http://www.semwebtech.org/mondial/10/organization/CD/	CD	2000-06-26	\N
http://www.semwebtech.org/mondial/10/organization/NC/	NC	1952-03-16	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/
http://www.semwebtech.org/mondial/10/organization/ILO/	ILO	1919-06-27	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/
http://www.semwebtech.org/mondial/10/organization/UNESCO/	UNESCO	1945-11-15	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/
http://www.semwebtech.org/mondial/10/organization/LAES/	LAES	1975-10-17	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/
http://www.semwebtech.org/mondial/10/organization/IEA/	IEA	1974-11-14	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/
http://www.semwebtech.org/mondial/10/organization/OPANAL/	OPANAL	1967-02-13	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/
http://www.semwebtech.org/mondial/10/organization/NIB/	NIB	1975-12-04	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/
http://www.semwebtech.org/mondial/10/organization/GCTU/	GCTU	1992-04-15	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/
http://www.semwebtech.org/mondial/10/organization/ACP/	ACP	1975-06-05	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/
http://www.semwebtech.org/mondial/10/organization/SACU/	SACU	1969-12-11	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/
http://www.semwebtech.org/mondial/10/organization/UNSC/	UNSC	1945-06-25	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/
http://www.semwebtech.org/mondial/10/organization/Benelux/	Benelux	1958-02-02	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/
http://www.semwebtech.org/mondial/10/organization/UPU/	UPU	1874-10-09	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/
http://www.semwebtech.org/mondial/10/organization/InOC/	InOC	1982-12-21	http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/
http://www.semwebtech.org/mondial/10/organization/EADB/	EADB	1967-06-05	http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/
http://www.semwebtech.org/mondial/10/organization/ICJ/	ICJ	1945-06-25	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/
http://www.semwebtech.org/mondial/10/organization/ITUC/	ITUC	2006-11-02	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/
http://www.semwebtech.org/mondial/10/organization/WTO/	WTO	1994-04-14	\N
http://www.semwebtech.org/mondial/10/organization/UNCTAD/	UNCTAD	1964-12-30	\N
http://www.semwebtech.org/mondial/10/organization/SACEP/	SACEP	\N	\N
http://www.semwebtech.org/mondial/10/organization/EMU/	EMU	1992-02-06	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/
http://www.semwebtech.org/mondial/10/organization/CE/	CE	1949-05-05	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/
http://www.semwebtech.org/mondial/10/organization/IADB/	IADB	1959-04-07	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/
http://www.semwebtech.org/mondial/10/organization/Mercosur/	Mercosur	1991-03-26	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/
http://www.semwebtech.org/mondial/10/organization/CEMAC/	CEMAC	1964-12-08	http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/
http://www.semwebtech.org/mondial/10/organization/G-5/	G-5	1985-09-21	\N
http://www.semwebtech.org/mondial/10/organization/EurasEC/	EurasEC	\N	\N
http://www.semwebtech.org/mondial/10/organization/WMO/	WMO	1947-10-11	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/
http://www.semwebtech.org/mondial/10/organization/ABEDA/	ABEDA	1974-02-17	http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/
http://www.semwebtech.org/mondial/10/organization/UNHCR/	UNHCR	1949-12-03	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/
http://www.semwebtech.org/mondial/10/organization/UNWTO/	UNWTO	1975-01-01	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/
http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	BIMSTEC	\N	\N
http://www.semwebtech.org/mondial/10/organization/G-7/	G-7	1985-09-21	\N
http://www.semwebtech.org/mondial/10/organization/WFTU/	WFTU	1945-10-03	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/
http://www.semwebtech.org/mondial/10/organization/SELEC/	SELEC	2011-10-07	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/
http://www.semwebtech.org/mondial/10/organization/CSTO/	CSTO	2002-10-07	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/
http://www.semwebtech.org/mondial/10/organization/NSG/	NSG	\N	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/
http://www.semwebtech.org/mondial/10/organization/Interpol/	Interpol	1956-06-13	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/
http://www.semwebtech.org/mondial/10/organization/MIGA/	MIGA	1988-04-11	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/
http://www.semwebtech.org/mondial/10/organization/LAS/	LAS	1945-03-22	http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/
http://www.semwebtech.org/mondial/10/organization/UNASUR/	UNASUR	2008-05-23	http://www.semwebtech.org/mondial/10/country/EC/city/Quito/
http://www.semwebtech.org/mondial/10/organization/CICA/	CICA	1999-09-13	http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/
http://www.semwebtech.org/mondial/10/organization/IMSO/	IMSO	1999-04-14	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/
http://www.semwebtech.org/mondial/10/organization/IFRCS/	IFRCS	1919-05-05	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/
http://www.semwebtech.org/mondial/10/organization/ESA/	ESA	1975-05-31	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/
http://www.semwebtech.org/mondial/10/organization/GCC/	GCC	1981-05-25	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/
http://www.semwebtech.org/mondial/10/organization/IAEA/	IAEA	1956-10-26	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/
http://www.semwebtech.org/mondial/10/organization/IMO/	IMO	1948-03-06	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/
http://www.semwebtech.org/mondial/10/organization/AMF/	AMF	1976-04-26	http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/
http://www.semwebtech.org/mondial/10/organization/UNMIT/	UNMIT	2006-08-24	\N
http://www.semwebtech.org/mondial/10/organization/WCO/	WCO	1950-12-15	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/
http://www.semwebtech.org/mondial/10/organization/OSCE/	OSCE	1994-12-31	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/
http://www.semwebtech.org/mondial/10/organization/C/	C	1931-12-31	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/
http://www.semwebtech.org/mondial/10/organization/D-8/	D-8	1997-06-14	\N
http://www.semwebtech.org/mondial/10/organization/G-8/	G-8	1975-10-01	\N
http://www.semwebtech.org/mondial/10/organization/CACM/	CACM	1960-12-13	http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/
http://www.semwebtech.org/mondial/10/organization/UNFICYP/	UNFICYP	1964-03-04	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/
http://www.semwebtech.org/mondial/10/organization/UNIFIL/	UNIFIL	1978-03-19	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/
http://www.semwebtech.org/mondial/10/organization/ZC/	ZC	\N	\N
http://www.semwebtech.org/mondial/10/organization/UNAMID/	UNAMID	2007-07-31	\N
http://www.semwebtech.org/mondial/10/organization/EITI/	EITI	\N	\N
http://www.semwebtech.org/mondial/10/organization/G-10/	G-10	1962-10-01	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/
http://www.semwebtech.org/mondial/10/organization/ITSO/	ITSO	\N	\N
http://www.semwebtech.org/mondial/10/organization/UNISFA/	UNISFA	2011-06-26	\N
http://www.semwebtech.org/mondial/10/organization/CBSS/	CBSS	1992-03-06	\N
http://www.semwebtech.org/mondial/10/organization/EAC/	EAC	\N	\N
http://www.semwebtech.org/mondial/10/organization/ANZUS/	ANZUS	1951-08-31	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/
http://www.semwebtech.org/mondial/10/organization/SPC/	SPC	1947-02-05	http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/
http://www.semwebtech.org/mondial/10/organization/G-9/	G-9	\N	\N
http://www.semwebtech.org/mondial/10/organization/IGAD/	IGAD	\N	\N
http://www.semwebtech.org/mondial/10/organization/Sparteca/	Sparteca	1981-01-01	\N
http://www.semwebtech.org/mondial/10/organization/AMU/	AMU	1989-02-16	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/
http://www.semwebtech.org/mondial/10/organization/CELAC/	CELAC	2010-02-22	\N
\.


--
-- TOC entry 5941 (class 0 OID 90159)
-- Dependencies: 711
-- Data for Name: Place; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Place" ("URI", elevation) FROM stdin;
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/	2715
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	4663
http://www.semwebtech.org/mondial/10/mountain/Damavand/	5610
http://www.semwebtech.org/mondial/10/mountain/Etna/	3323
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	5450
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	5895
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	6795
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	3743
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/	2024
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/	2642
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	4634
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/	3088
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/	2062
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/	3069
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/	2110
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/	1467
http://www.semwebtech.org/mondial/10/mountain/Soufriere/	1220
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/	2335
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/	5897
http://www.semwebtech.org/mondial/10/mountain/Pulog/	2928
http://www.semwebtech.org/mondial/10/mountain/Fogo/	2829
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/	2241
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/	2876
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	3011
http://www.semwebtech.org/mondial/10/mountain/Andringitra/	2658
http://www.semwebtech.org/mondial/10/mountain/Snaefell/	1833
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	1974
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	6425
http://www.semwebtech.org/mondial/10/mountain/Hekla/	1491
http://www.semwebtech.org/mondial/10/mountain/Karthala/	2361
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/	6287
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	8034
http://www.semwebtech.org/mondial/10/mountain/MountKenia/	5199
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	3776
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/	1323
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	8080
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/	4220
http://www.semwebtech.org/mondial/10/mountain/MountApo/	2954
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	3819
http://www.semwebtech.org/mondial/10/mountain/Leuser/	3466
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/	2631
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	3718
http://www.semwebtech.org/mondial/10/mountain/Concepcion/	1700
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/	2797
http://www.semwebtech.org/mondial/10/mountain/Fako/	4095
http://www.semwebtech.org/mondial/10/mountain/Ampato/	6288
http://www.semwebtech.org/mondial/10/mountain/Tahat/	3003
http://www.semwebtech.org/mondial/10/mountain/Silisili/	1858
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	3190
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/	1447
http://www.semwebtech.org/mondial/10/mountain/Pelee/	1397
http://www.semwebtech.org/mondial/10/mountain/Cayambe/	5796
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/	4368
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/	3415
http://www.semwebtech.org/mondial/10/mountain/Katla/	1450
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	7010
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/	1050
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	4418
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/	3098
http://www.semwebtech.org/mondial/10/mountain/Korab/	2751
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	1456
http://www.semwebtech.org/mondial/10/mountain/Brocken/	1141
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	4165
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	4478
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	6785
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	2452
http://www.semwebtech.org/mondial/10/mountain/Schchara/	5200
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	3027
http://www.semwebtech.org/mondial/10/mountain/Illampu/	6368
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	5187
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/	2637
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	8051
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	2667
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	400
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/	8167
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/	2256
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	2147
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	3747
http://www.semwebtech.org/mondial/10/mountain/Annapurna/	8091
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	1629
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	2963
http://www.semwebtech.org/mondial/10/mountain/Olympos/	1952
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	6962
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	3482
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	1602
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	4019
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	6336
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	2083
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	5109
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	2544
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	2912
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	2456
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	3404
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	6193
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	5204
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	8848
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	2791
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	3797
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	7439
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	1895
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	3181
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	5775
http://www.semwebtech.org/mondial/10/mountain/Olymp/	2917
http://www.semwebtech.org/mondial/10/mountain/Kailash/	6638
http://www.semwebtech.org/mondial/10/mountain/K2/	8611
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	4884
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	3343
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	2706
http://www.semwebtech.org/mondial/10/mountain/Tahan/	2190
http://www.semwebtech.org/mondial/10/mountain/Zhima/	1276
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	2648
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	5947
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	2286
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/	1338
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	2744
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	952
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	1986
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	1850
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	2114
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	4101
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	6940
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	6973
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	2636
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	3954
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	1914
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	8516
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	3345
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	4506
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/	2963
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	2228
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/	3482
http://www.semwebtech.org/mondial/10/mountain/Joekul/	1876
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/	2524
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	4401
http://www.semwebtech.org/mondial/10/mountain/Athos/	2033
http://www.semwebtech.org/mondial/10/mountain/Makalu/	8485
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	4274
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	8188
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/	3088
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	2021
http://www.semwebtech.org/mondial/10/mountain/Illimani/	6439
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	7708
http://www.semwebtech.org/mondial/10/mountain/MtBona/	5005
http://www.semwebtech.org/mondial/10/mountain/Manaslu/	8163
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	4048
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	2037
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	5489
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	2648
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	1344
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	4981
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	4011
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	2313
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	3756
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	8125
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	7495
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	4123
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	1654
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	3859
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	2025
http://www.semwebtech.org/mondial/10/mountain/Kongur/	7649
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	1493
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	2616
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	8027
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	2207
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	5959
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	3298
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	6726
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	4207
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	1917
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	4061
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	6768
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	4006
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	1328
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/	3754
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	4314
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	2228
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	4302
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	1545
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	7167
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	4808
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	4550
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	3901
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	8586
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	2469
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	7816
http://www.semwebtech.org/mondial/10/mountain/Jezerce/	2694
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	1944
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	2655
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	7509
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/	3760
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	1993
http://www.semwebtech.org/mondial/10/mountain/Uluru/	869
http://www.semwebtech.org/mondial/10/mountain/YuShan/	3950
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/	4509
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	2456
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	7134
http://www.semwebtech.org/mondial/10/mountain/Musala/	2925
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	1424
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	4101
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	2090
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	2862
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	44
http://www.semwebtech.org/mondial/10/source/Huallaga/	5800
http://www.semwebtech.org/mondial/10/source/Rhein/	2345
http://www.semwebtech.org/mondial/10/source/Po/	2022
http://www.semwebtech.org/mondial/10/source/Chire/	474
http://www.semwebtech.org/mondial/10/source/Waag/	664
http://www.semwebtech.org/mondial/10/source/Fulda/	850
http://www.semwebtech.org/mondial/10/source/Mississippi/	512
http://www.semwebtech.org/mondial/10/source/Jangtse/	5405
http://www.semwebtech.org/mondial/10/source/Limpopo/	1800
http://www.semwebtech.org/mondial/10/source/SchattalArab/	20
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	176
http://www.semwebtech.org/mondial/10/source/Benue/	1100
http://www.semwebtech.org/mondial/10/source/Marne/	406
http://www.semwebtech.org/mondial/10/source/Apurimac/	5020
http://www.semwebtech.org/mondial/10/source/Breg/	1078
http://www.semwebtech.org/mondial/10/source/Mekong/	5200
http://www.semwebtech.org/mondial/10/source/BlueNile/	1830
http://www.semwebtech.org/mondial/10/source/Gambia/	438
http://www.semwebtech.org/mondial/10/source/Karasu/	1950
http://www.semwebtech.org/mondial/10/source/Asahan/	905
http://www.semwebtech.org/mondial/10/source/Seine/	470
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	6000
http://www.semwebtech.org/mondial/10/source/Doubs/	937
http://www.semwebtech.org/mondial/10/source/Aare/	2310
http://www.semwebtech.org/mondial/10/source/Argun/	1200
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	156
http://www.semwebtech.org/mondial/10/source/Newa/	4
http://www.semwebtech.org/mondial/10/source/Buna/	1
http://www.semwebtech.org/mondial/10/source/Saluen/	5450
http://www.semwebtech.org/mondial/10/source/Lukuga/	782
http://www.semwebtech.org/mondial/10/source/Katun/	2000
http://www.semwebtech.org/mondial/10/source/Irawaddy/	4300
http://www.semwebtech.org/mondial/10/source/Ene/	400
http://www.semwebtech.org/mondial/10/source/March/	1380
http://www.semwebtech.org/mondial/10/source/Murat/	1950
http://www.semwebtech.org/mondial/10/source/Ruzizi/	1462
http://www.semwebtech.org/mondial/10/source/Enns/	1375
http://www.semwebtech.org/mondial/10/source/Akagera/	2700
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	218
http://www.semwebtech.org/mondial/10/source/Saar/	640
http://www.semwebtech.org/mondial/10/source/Manicouagan/	350
http://www.semwebtech.org/mondial/10/source/Amazonas/	88
http://www.semwebtech.org/mondial/10/source/Dnjestr/	1000
http://www.semwebtech.org/mondial/10/source/Isere/	2770
http://www.semwebtech.org/mondial/10/source/Kemijoki/	230
http://www.semwebtech.org/mondial/10/source/Pjandsh/	4130
http://www.semwebtech.org/mondial/10/source/Tambo/	295
http://www.semwebtech.org/mondial/10/source/Lech/	1840
http://www.semwebtech.org/mondial/10/source/Douro/	2160
http://www.semwebtech.org/mondial/10/source/Oulujoki/	123
http://www.semwebtech.org/mondial/10/source/Donau/	686
http://www.semwebtech.org/mondial/10/source/Oder/	634
http://www.semwebtech.org/mondial/10/source/Limmat/	406
http://www.semwebtech.org/mondial/10/source/Bartang/	2595
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	1900
http://www.semwebtech.org/mondial/10/source/Moraca/	1
http://www.semwebtech.org/mondial/10/source/Oranje/	1800
http://www.semwebtech.org/mondial/10/source/Theiss/	460
http://www.semwebtech.org/mondial/10/source/Main/	887
http://www.semwebtech.org/mondial/10/source/Murgab/	4015
http://www.semwebtech.org/mondial/10/source/Suchona/	180
http://www.semwebtech.org/mondial/10/source/Olt/	1280
http://www.semwebtech.org/mondial/10/source/Klaraelv/	662
http://www.semwebtech.org/mondial/10/source/Amur/	305
http://www.semwebtech.org/mondial/10/source/Weichsel/	1100
http://www.semwebtech.org/mondial/10/source/Semliki/	920
http://www.semwebtech.org/mondial/10/source/Hwangho/	4500
http://www.semwebtech.org/mondial/10/source/OhioRiver/	222
http://www.semwebtech.org/mondial/10/source/Niger/	490
http://www.semwebtech.org/mondial/10/source/Mur/	1898
http://www.semwebtech.org/mondial/10/source/Raab/	1150
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	176
http://www.semwebtech.org/mondial/10/source/Dnister/	1000
http://www.semwebtech.org/mondial/10/source/Moldau/	1174
http://www.semwebtech.org/mondial/10/source/VictoriaNile/	1134
http://www.semwebtech.org/mondial/10/source/Aller/	130
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	1400
http://www.semwebtech.org/mondial/10/source/Kura/	2650
http://www.semwebtech.org/mondial/10/source/Elbe/	1.386
http://www.semwebtech.org/mondial/10/source/Maas/	409
http://www.semwebtech.org/mondial/10/source/Inn/	2484
http://www.semwebtech.org/mondial/10/source/Kymijoki/	78
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	119
http://www.semwebtech.org/mondial/10/source/Cuango/	502
http://www.semwebtech.org/mondial/10/source/Drina/	441
http://www.semwebtech.org/mondial/10/source/Saone/	451
http://www.semwebtech.org/mondial/10/source/Maranon/	5800
http://www.semwebtech.org/mondial/10/source/Arno/	1385
http://www.semwebtech.org/mondial/10/source/Ebro/	1.6
http://www.semwebtech.org/mondial/10/source/Thames/	105
http://www.semwebtech.org/mondial/10/source/Ticino/	2400
http://www.semwebtech.org/mondial/10/source/Guadiana/	608
http://www.semwebtech.org/mondial/10/source/Luapula/	1140
http://www.semwebtech.org/mondial/10/source/BlackDrin/	695
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	1200
http://www.semwebtech.org/mondial/10/source/Etsch/	1525
http://www.semwebtech.org/mondial/10/source/Tiber/	1348
http://www.semwebtech.org/mondial/10/source/Mosel/	715
http://www.semwebtech.org/mondial/10/source/Werra/	797
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	1309
http://www.semwebtech.org/mondial/10/source/Swir/	33
http://www.semwebtech.org/mondial/10/source/Glomma/	860
http://www.semwebtech.org/mondial/10/source/Dnepr/	220
http://www.semwebtech.org/mondial/10/source/Arkansas/	4260
http://www.semwebtech.org/mondial/10/source/Ucayali/	287
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	759
http://www.semwebtech.org/mondial/10/source/Narva/	30
http://www.semwebtech.org/mondial/10/source/RioSanJuan/	31
http://www.semwebtech.org/mondial/10/source/Missouri/	1232
http://www.semwebtech.org/mondial/10/source/Tajo/	1.58
http://www.semwebtech.org/mondial/10/source/Araguaia/	760
http://www.semwebtech.org/mondial/10/source/Brigach/	940
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	808
http://www.semwebtech.org/mondial/10/source/Lagen/	611
http://www.semwebtech.org/mondial/10/source/Neckar/	706
http://www.semwebtech.org/mondial/10/source/Mantaro/	4082
http://www.semwebtech.org/mondial/10/source/Ob/	162
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	619
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	75
http://www.semwebtech.org/mondial/10/source/Sanaga/	628
http://www.semwebtech.org/mondial/10/source/Amudarja/	310
http://www.semwebtech.org/mondial/10/source/Salzach/	2300
http://www.semwebtech.org/mondial/10/source/Uruguay/	1800
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	174
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	184
http://www.semwebtech.org/mondial/10/source/Drau/	1450
http://www.semwebtech.org/mondial/10/source/Ammer/	850
http://www.semwebtech.org/mondial/10/source/Perene/	650
http://www.semwebtech.org/mondial/10/source/Indus/	5300
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	1920
http://www.semwebtech.org/mondial/10/source/Colorado/	2700
http://www.semwebtech.org/mondial/10/source/Iller/	783
http://www.semwebtech.org/mondial/10/source/Zambezi/	1500
http://www.semwebtech.org/mondial/10/source/YukonRiver/	668
http://www.semwebtech.org/mondial/10/source/Rhone/	1753
http://www.semwebtech.org/mondial/10/source/Würm/	596
http://www.semwebtech.org/mondial/10/source/Tocantins/	1070
http://www.semwebtech.org/mondial/10/source/Lena/	1465
http://www.semwebtech.org/mondial/10/source/Reuss/	2431
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	180
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	30
http://www.semwebtech.org/mondial/10/source/Mincio/	65
http://www.semwebtech.org/mondial/10/source/Isar/	1.16
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	3812
http://www.semwebtech.org/mondial/10/source/Weser/	116.5
http://www.semwebtech.org/mondial/10/source/Loire/	1408
http://www.semwebtech.org/mondial/10/source/Tara/	2000
http://www.semwebtech.org/mondial/10/source/Lomami/	1140
http://www.semwebtech.org/mondial/10/source/RioGrande/	3900
http://www.semwebtech.org/mondial/10/source/WesternDwina/	228
http://www.semwebtech.org/mondial/10/source/Luvua/	931
http://www.semwebtech.org/mondial/10/source/Adda/	2235
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	450
http://www.semwebtech.org/mondial/10/source/Leine/	340
http://www.semwebtech.org/mondial/10/source/Bani/	285
http://www.semwebtech.org/mondial/10/source/Irtysch/	2930
http://www.semwebtech.org/mondial/10/source/Jubba/	\N
http://www.semwebtech.org/mondial/10/source/Ischim/	\N
http://www.semwebtech.org/mondial/10/source/Fimi/	\N
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	\N
http://www.semwebtech.org/mondial/10/source/Alz/	\N
http://www.semwebtech.org/mondial/10/source/Umeaelv/	\N
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	\N
http://www.semwebtech.org/mondial/10/source/Lukenie/	\N
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	\N
http://www.semwebtech.org/mondial/10/source/Petschora/	\N
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	\N
http://www.semwebtech.org/mondial/10/source/Syrdarja/	\N
http://www.semwebtech.org/mondial/10/source/Jenissej/	\N
http://www.semwebtech.org/mondial/10/source/Save/	\N
http://www.semwebtech.org/mondial/10/source/Parana/	\N
http://www.semwebtech.org/mondial/10/source/SouthernMorava/	\N
http://www.semwebtech.org/mondial/10/source/WhiteNile/	\N
http://www.semwebtech.org/mondial/10/source/Jordan/	\N
http://www.semwebtech.org/mondial/10/source/Vaal/	\N
http://www.semwebtech.org/mondial/10/source/Selenge/	\N
http://www.semwebtech.org/mondial/10/source/Senegal/	\N
http://www.semwebtech.org/mondial/10/source/Orinoco/	\N
http://www.semwebtech.org/mondial/10/source/Lulua/	\N
http://www.semwebtech.org/mondial/10/source/Ganges/	\N
http://www.semwebtech.org/mondial/10/source/Cuilo/	\N
http://www.semwebtech.org/mondial/10/source/Okavango/	\N
http://www.semwebtech.org/mondial/10/source/Kama/	\N
http://www.semwebtech.org/mondial/10/source/Chatanga/	\N
http://www.semwebtech.org/mondial/10/source/Volta/	\N
http://www.semwebtech.org/mondial/10/source/Vuoksi/	\N
http://www.semwebtech.org/mondial/10/source/Bomu/	\N
http://www.semwebtech.org/mondial/10/source/RioMamore/	\N
http://www.semwebtech.org/mondial/10/source/Euphrat/	\N
http://www.semwebtech.org/mondial/10/source/Uelle/	\N
http://www.semwebtech.org/mondial/10/source/Ural/	\N
http://www.semwebtech.org/mondial/10/source/Kwa/	\N
http://www.semwebtech.org/mondial/10/source/Schari/	\N
http://www.semwebtech.org/mondial/10/source/Dalaelv/	\N
http://www.semwebtech.org/mondial/10/source/Lualaba/	\N
http://www.semwebtech.org/mondial/10/source/Shabelle/	\N
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	\N
http://www.semwebtech.org/mondial/10/source/Kolyma/	\N
http://www.semwebtech.org/mondial/10/source/Don/	\N
http://www.semwebtech.org/mondial/10/source/Urubamba/	\N
http://www.semwebtech.org/mondial/10/source/Naryn/	\N
http://www.semwebtech.org/mondial/10/source/RioLerma/	\N
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	\N
http://www.semwebtech.org/mondial/10/source/Baro/	\N
http://www.semwebtech.org/mondial/10/source/Drin/	\N
http://www.semwebtech.org/mondial/10/source/Busira/	\N
http://www.semwebtech.org/mondial/10/source/Tigris/	\N
http://www.semwebtech.org/mondial/10/source/Nile/	\N
http://www.semwebtech.org/mondial/10/source/Narew/	\N
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	\N
http://www.semwebtech.org/mondial/10/source/Atbara/	\N
http://www.semwebtech.org/mondial/10/source/Kasai/	\N
http://www.semwebtech.org/mondial/10/source/Tshuapa/	\N
http://www.semwebtech.org/mondial/10/source/Ruki/	\N
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	\N
http://www.semwebtech.org/mondial/10/source/Ili/	\N
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	\N
http://www.semwebtech.org/mondial/10/source/Sanga/	\N
http://www.semwebtech.org/mondial/10/source/WhiteDrin/	\N
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	\N
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	\N
http://www.semwebtech.org/mondial/10/source/RioMadeira/	\N
http://www.semwebtech.org/mondial/10/source/Morava/	\N
http://www.semwebtech.org/mondial/10/source/Volga/	\N
http://www.semwebtech.org/mondial/10/source/Angara/	\N
http://www.semwebtech.org/mondial/10/source/Schilka/	\N
http://www.semwebtech.org/mondial/10/source/Thjorsa/	\N
http://www.semwebtech.org/mondial/10/source/Pibor/	\N
http://www.semwebtech.org/mondial/10/source/Oka/	\N
http://www.semwebtech.org/mondial/10/source/Garonne/	\N
http://www.semwebtech.org/mondial/10/source/Ubangi/	\N
http://www.semwebtech.org/mondial/10/source/Pruth/	\N
http://www.semwebtech.org/mondial/10/source/Sobat/	\N
http://www.semwebtech.org/mondial/10/source/Tobol/	\N
http://www.semwebtech.org/mondial/10/source/Tennessee/	\N
http://www.semwebtech.org/mondial/10/source/Piva/	\N
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	\N
http://www.semwebtech.org/mondial/10/source/Karun/	\N
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	\N
http://www.semwebtech.org/mondial/10/source/Zaire/	\N
http://www.semwebtech.org/mondial/10/source/Aruwimi/	\N
http://www.semwebtech.org/mondial/10/source/WesternMorava/	\N
http://www.semwebtech.org/mondial/10/source/WesternBug/	\N
http://www.semwebtech.org/mondial/10/source/Paraguay/	\N
http://www.semwebtech.org/mondial/10/source/Prypjat/	\N
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	\N
http://www.semwebtech.org/mondial/10/source/RioNegro/	\N
http://www.semwebtech.org/mondial/10/mountain/Meru/	\N
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	\N
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	\N
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	\N
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	\N
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	\N
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	\N
http://www.semwebtech.org/mondial/10/mountain/Pico/	\N
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	\N
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	\N
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	\N
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	\N
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	\N
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	\N
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	\N
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	\N
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	\N
http://www.semwebtech.org/mondial/10/mountain/Tambora/	\N
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	\N
http://www.semwebtech.org/mondial/10/mountain/Ararat/	\N
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	\N
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	\N
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	\N
http://www.semwebtech.org/mondial/10/mountain/Elgon/	\N
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	\N
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	\N
http://www.semwebtech.org/mondial/10/mountain/MtHood/	\N
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	\N
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	\N
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	\N
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	\N
http://www.semwebtech.org/mondial/10/mountain/Irazu/	\N
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	\N
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	\N
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	\N
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	\N
http://www.semwebtech.org/mondial/10/mountain/Semeru/	\N
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	\N
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	\N
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	\N
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	\N
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	\N
http://www.semwebtech.org/mondial/10/mountain/Merapi/	\N
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	\N
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	\N
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	\N
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	\N
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	\N
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	\N
http://www.semwebtech.org/mondial/10/mountain/Sajama/	\N
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	\N
http://www.semwebtech.org/mondial/10/estuary/Argun/	\N
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	\N
http://www.semwebtech.org/mondial/10/estuary/Oranje/	\N
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Theiss/	\N
http://www.semwebtech.org/mondial/10/estuary/Don/	\N
http://www.semwebtech.org/mondial/10/estuary/Missouri/	\N
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	\N
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	\N
http://www.semwebtech.org/mondial/10/estuary/Sanga/	\N
http://www.semwebtech.org/mondial/10/estuary/Mincio/	\N
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	\N
http://www.semwebtech.org/mondial/10/estuary/Breg/	\N
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	\N
http://www.semwebtech.org/mondial/10/estuary/Schari/	\N
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	\N
http://www.semwebtech.org/mondial/10/estuary/Inn/	\N
http://www.semwebtech.org/mondial/10/estuary/Lomami/	\N
http://www.semwebtech.org/mondial/10/estuary/Bartang/	\N
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	\N
http://www.semwebtech.org/mondial/10/estuary/Volga/	\N
http://www.semwebtech.org/mondial/10/estuary/Lagen/	\N
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	\N
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	\N
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	\N
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	\N
http://www.semwebtech.org/mondial/10/estuary/Pibor/	\N
http://www.semwebtech.org/mondial/10/estuary/Save/	\N
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	\N
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Buna/	\N
http://www.semwebtech.org/mondial/10/estuary/Tajo/	\N
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	\N
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	\N
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	\N
http://www.semwebtech.org/mondial/10/estuary/Ili/	\N
http://www.semwebtech.org/mondial/10/estuary/Sobat/	\N
http://www.semwebtech.org/mondial/10/estuary/Tobol/	\N
http://www.semwebtech.org/mondial/10/estuary/Tigris/	\N
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	\N
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	\N
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	\N
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	\N
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	\N
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	\N
http://www.semwebtech.org/mondial/10/estuary/Douro/	\N
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	\N
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	\N
http://www.semwebtech.org/mondial/10/estuary/Vaal/	\N
http://www.semwebtech.org/mondial/10/estuary/Ammer/	\N
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	\N
http://www.semwebtech.org/mondial/10/estuary/Enns/	\N
http://www.semwebtech.org/mondial/10/estuary/Atbara/	\N
http://www.semwebtech.org/mondial/10/estuary/Dnister/	\N
http://www.semwebtech.org/mondial/10/estuary/Saar/	\N
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	\N
http://www.semwebtech.org/mondial/10/estuary/Drau/	\N
http://www.semwebtech.org/mondial/10/estuary/Ticino/	\N
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	\N
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	\N
http://www.semwebtech.org/mondial/10/estuary/Rhone/	\N
http://www.semwebtech.org/mondial/10/estuary/Karun/	\N
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	\N
http://www.semwebtech.org/mondial/10/estuary/Kama/	\N
http://www.semwebtech.org/mondial/10/estuary/Zaire/	\N
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	\N
http://www.semwebtech.org/mondial/10/estuary/Uelle/	\N
http://www.semwebtech.org/mondial/10/estuary/Mekong/	\N
http://www.semwebtech.org/mondial/10/estuary/Lech/	\N
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	\N
http://www.semwebtech.org/mondial/10/estuary/Gambia/	\N
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	\N
http://www.semwebtech.org/mondial/10/estuary/Karasu/	\N
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	\N
http://www.semwebtech.org/mondial/10/estuary/Oka/	\N
http://www.semwebtech.org/mondial/10/estuary/Loire/	\N
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	\N
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Oder/	\N
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	\N
http://www.semwebtech.org/mondial/10/estuary/Niger/	\N
http://www.semwebtech.org/mondial/10/estuary/Maranon/	\N
http://www.semwebtech.org/mondial/10/estuary/Glomma/	\N
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	\N
http://www.semwebtech.org/mondial/10/estuary/Bomu/	\N
http://www.semwebtech.org/mondial/10/estuary/Shabelle/	\N
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	\N
http://www.semwebtech.org/mondial/10/estuary/Leine/	\N
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Parana/	\N
http://www.semwebtech.org/mondial/10/estuary/Tara/	\N
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	\N
http://www.semwebtech.org/mondial/10/estuary/Main/	\N
http://www.semwebtech.org/mondial/10/estuary/Naryn/	\N
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	\N
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	\N
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	\N
http://www.semwebtech.org/mondial/10/estuary/Aller/	\N
http://www.semwebtech.org/mondial/10/estuary/Ural/	\N
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Adda/	\N
http://www.semwebtech.org/mondial/10/estuary/Amur/	\N
http://www.semwebtech.org/mondial/10/estuary/Jordan/	\N
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	\N
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	\N
http://www.semwebtech.org/mondial/10/estuary/Fulda/	\N
http://www.semwebtech.org/mondial/10/estuary/Raab/	\N
http://www.semwebtech.org/mondial/10/estuary/Ob/	\N
http://www.semwebtech.org/mondial/10/estuary/Narew/	\N
http://www.semwebtech.org/mondial/10/estuary/Petschora/	\N
http://www.semwebtech.org/mondial/10/estuary/BlueNile/	\N
http://www.semwebtech.org/mondial/10/estuary/Waag/	\N
http://www.semwebtech.org/mondial/10/estuary/Perene/	\N
http://www.semwebtech.org/mondial/10/estuary/Ganges/	\N
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Selenge/	\N
http://www.semwebtech.org/mondial/10/estuary/Akagera/	\N
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Schilka/	\N
http://www.semwebtech.org/mondial/10/estuary/Benue/	\N
http://www.semwebtech.org/mondial/10/estuary/Brigach/	\N
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	\N
http://www.semwebtech.org/mondial/10/estuary/Marne/	\N
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	\N
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Baro/	\N
http://www.semwebtech.org/mondial/10/estuary/Etsch/	\N
http://www.semwebtech.org/mondial/10/estuary/Elbe/	\N
http://www.semwebtech.org/mondial/10/estuary/Garonne/	\N
http://www.semwebtech.org/mondial/10/estuary/Maas/	\N
http://www.semwebtech.org/mondial/10/estuary/Werra/	\N
http://www.semwebtech.org/mondial/10/estuary/Nile/	\N
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	\N
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Salzach/	\N
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	\N
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	\N
http://www.semwebtech.org/mondial/10/estuary/Limmat/	\N
http://www.semwebtech.org/mondial/10/estuary/Seine/	\N
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	\N
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	\N
http://www.semwebtech.org/mondial/10/estuary/Arno/	\N
http://www.semwebtech.org/mondial/10/estuary/Ruki/	\N
http://www.semwebtech.org/mondial/10/estuary/Ebro/	\N
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	\N
http://www.semwebtech.org/mondial/10/estuary/Moraca/	\N
http://www.semwebtech.org/mondial/10/estuary/Narva/	\N
http://www.semwebtech.org/mondial/10/estuary/Murgab/	\N
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	\N
http://www.semwebtech.org/mondial/10/estuary/Aare/	\N
http://www.semwebtech.org/mondial/10/estuary/Katun/	\N
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	\N
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	\N
http://www.semwebtech.org/mondial/10/estuary/Alz/	\N
http://www.semwebtech.org/mondial/10/estuary/Newa/	\N
http://www.semwebtech.org/mondial/10/estuary/Swir/	\N
http://www.semwebtech.org/mondial/10/estuary/March/	\N
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	\N
http://www.semwebtech.org/mondial/10/estuary/Murat/	\N
http://www.semwebtech.org/mondial/10/estuary/Suchona/	\N
http://www.semwebtech.org/mondial/10/estuary/Okavango/	\N
http://www.semwebtech.org/mondial/10/estuary/Pruth/	\N
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	\N
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	\N
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	\N
http://www.semwebtech.org/mondial/10/estuary/Semliki/	\N
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	\N
http://www.semwebtech.org/mondial/10/estuary/Moldau/	\N
http://www.semwebtech.org/mondial/10/estuary/Po/	\N
http://www.semwebtech.org/mondial/10/estuary/Lulua/	\N
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	\N
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	\N
http://www.semwebtech.org/mondial/10/estuary/Ischim/	\N
http://www.semwebtech.org/mondial/10/estuary/Isere/	\N
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	\N
http://www.semwebtech.org/mondial/10/estuary/Busira/	\N
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	\N
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	\N
http://www.semwebtech.org/mondial/10/estuary/Tambo/	\N
http://www.semwebtech.org/mondial/10/estuary/Indus/	\N
http://www.semwebtech.org/mondial/10/estuary/Colorado/	\N
http://www.semwebtech.org/mondial/10/estuary/Iller/	\N
http://www.semwebtech.org/mondial/10/estuary/Donau/	\N
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Cuango/	\N
http://www.semwebtech.org/mondial/10/estuary/Volta/	\N
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	\N
http://www.semwebtech.org/mondial/10/estuary/Reuss/	\N
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	\N
http://www.semwebtech.org/mondial/10/estuary/Thames/	\N
http://www.semwebtech.org/mondial/10/estuary/Ene/	\N
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	\N
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	\N
http://www.semwebtech.org/mondial/10/estuary/Asahan/	\N
http://www.semwebtech.org/mondial/10/estuary/Weser/	\N
http://www.semwebtech.org/mondial/10/estuary/Piva/	\N
http://www.semwebtech.org/mondial/10/estuary/Luvua/	\N
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	\N
http://www.semwebtech.org/mondial/10/estuary/Luapula/	\N
http://www.semwebtech.org/mondial/10/estuary/Würm/	\N
http://www.semwebtech.org/mondial/10/estuary/Saluen/	\N
http://www.semwebtech.org/mondial/10/estuary/Lena/	\N
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	\N
http://www.semwebtech.org/mondial/10/estuary/Jubba/	\N
http://www.semwebtech.org/mondial/10/estuary/Rhein/	\N
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Chire/	\N
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	\N
http://www.semwebtech.org/mondial/10/estuary/Isar/	\N
http://www.semwebtech.org/mondial/10/estuary/Morava/	\N
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	\N
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	\N
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	\N
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	\N
http://www.semwebtech.org/mondial/10/estuary/Angara/	\N
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	\N
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	\N
http://www.semwebtech.org/mondial/10/estuary/Neckar/	\N
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	\N
http://www.semwebtech.org/mondial/10/estuary/Bani/	\N
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	\N
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	\N
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	\N
http://www.semwebtech.org/mondial/10/estuary/Kura/	\N
http://www.semwebtech.org/mondial/10/estuary/Drin/	\N
http://www.semwebtech.org/mondial/10/estuary/Kasai/	\N
http://www.semwebtech.org/mondial/10/estuary/Drina/	\N
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	\N
http://www.semwebtech.org/mondial/10/estuary/Saone/	\N
http://www.semwebtech.org/mondial/10/estuary/Olt/	\N
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	\N
http://www.semwebtech.org/mondial/10/estuary/Kwa/	\N
http://www.semwebtech.org/mondial/10/estuary/Senegal/	\N
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	\N
http://www.semwebtech.org/mondial/10/estuary/Doubs/	\N
http://www.semwebtech.org/mondial/10/estuary/Fimi/	\N
http://www.semwebtech.org/mondial/10/estuary/Tiber/	\N
http://www.semwebtech.org/mondial/10/estuary/Mosel/	\N
http://www.semwebtech.org/mondial/10/estuary/Mur/	\N
\.


--
-- TOC entry 5942 (class 0 OID 90165)
-- Dependencies: 712
-- Data for Name: PoliticalBody; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "PoliticalBody" ("URI") FROM stdin;
http://www.semwebtech.org/mondial/10/politicalbody/HolyRomanEmpire/
http://www.semwebtech.org/mondial/10/politicalbody/Austria-Hungary/
http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/
http://www.semwebtech.org/mondial/10/politicalbody/Yugoslavia/
http://www.semwebtech.org/mondial/10/politicalbody/OttomanEmpire/
http://www.semwebtech.org/mondial/10/politicalbody/Czechoslovakia/
http://www.semwebtech.org/mondial/10/politicalbody/MergerofNorth-SouthYemen/
http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/SY/
http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/BHT/
http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/country/MH/
http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/MACX/
http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/BERM/
http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/GBZ/
http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/SME/
http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/NCA/
http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/country/NAU/
http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/country/V/
http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/MV/
http://www.semwebtech.org/mondial/10/country/WSA/
http://www.semwebtech.org/mondial/10/country/CUR/
http://www.semwebtech.org/mondial/10/country/GBM/
http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/ARU/
http://www.semwebtech.org/mondial/10/country/KWT/
http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/country/AMSA/
http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/country/TUV/
http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/country/BZ/
http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/HONX/
http://www.semwebtech.org/mondial/10/country/BRN/
http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/GUY/
http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/K/
http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/COCO/
http://www.semwebtech.org/mondial/10/country/LAO/
http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/RT/
http://www.semwebtech.org/mondial/10/country/LB/
http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/COOK/
http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/PITC/
http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/L/
http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/country/FGU/
http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/SD/
http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/country/FL/
http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/country/MAYO/
http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/country/TO/
http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/country/VU/
http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/XMAS/
http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/ER/
http://www.semwebtech.org/mondial/10/country/GUAM/
http://www.semwebtech.org/mondial/10/country/ARM/
http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/BS/
http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/NIUE/
http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/GNB/
http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/NORF/
http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/country/MC/
http://www.semwebtech.org/mondial/10/country/GBG/
http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TOK/
http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/RSM/
http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/BDS/
http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/country/Q/
http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/country/AND/
http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/BRU/
http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/GBJ/
http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/MS/
http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/CEU/
http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/country/MEL/
http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/country/GAZA/
http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/country/WAL/
http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/organization/OECS/
http://www.semwebtech.org/mondial/10/organization/OECD/
http://www.semwebtech.org/mondial/10/organization/FATF/
http://www.semwebtech.org/mondial/10/organization/PCA/
http://www.semwebtech.org/mondial/10/organization/BDEAC/
http://www.semwebtech.org/mondial/10/organization/ICAO/
http://www.semwebtech.org/mondial/10/organization/IFC/
http://www.semwebtech.org/mondial/10/organization/G-11/
http://www.semwebtech.org/mondial/10/organization/CPLP/
http://www.semwebtech.org/mondial/10/organization/CIS/
http://www.semwebtech.org/mondial/10/organization/FZ/
http://www.semwebtech.org/mondial/10/organization/SAARC/
http://www.semwebtech.org/mondial/10/organization/EIB/
http://www.semwebtech.org/mondial/10/organization/CAEU/
http://www.semwebtech.org/mondial/10/organization/BSEC/
http://www.semwebtech.org/mondial/10/organization/EAPC/
http://www.semwebtech.org/mondial/10/organization/PFP/
http://www.semwebtech.org/mondial/10/organization/ADB/
http://www.semwebtech.org/mondial/10/organization/ECOWAS/
http://www.semwebtech.org/mondial/10/organization/EAS/
http://www.semwebtech.org/mondial/10/organization/Entente/
http://www.semwebtech.org/mondial/10/organization/BA/
http://www.semwebtech.org/mondial/10/organization/CEI/
http://www.semwebtech.org/mondial/10/organization/COMESA/
http://www.semwebtech.org/mondial/10/organization/IPU/
http://www.semwebtech.org/mondial/10/organization/G-77/
http://www.semwebtech.org/mondial/10/organization/NAM/
http://www.semwebtech.org/mondial/10/organization/BCIE/
http://www.semwebtech.org/mondial/10/organization/ICC/
http://www.semwebtech.org/mondial/10/organization/ASEAN/
http://www.semwebtech.org/mondial/10/organization/WIPO/
http://www.semwebtech.org/mondial/10/organization/OPCW/
http://www.semwebtech.org/mondial/10/organization/GUAM/
http://www.semwebtech.org/mondial/10/organization/UNOCI/
http://www.semwebtech.org/mondial/10/organization/UNRWA/
http://www.semwebtech.org/mondial/10/organization/PIF/
http://www.semwebtech.org/mondial/10/organization/IMF/
http://www.semwebtech.org/mondial/10/organization/SCO/
http://www.semwebtech.org/mondial/10/organization/AfDB/
http://www.semwebtech.org/mondial/10/organization/AFESD/
http://www.semwebtech.org/mondial/10/organization/OAPEC/
http://www.semwebtech.org/mondial/10/organization/G-20/
http://www.semwebtech.org/mondial/10/organization/AG/
http://www.semwebtech.org/mondial/10/organization/MONUSCO/
http://www.semwebtech.org/mondial/10/organization/ARF/
http://www.semwebtech.org/mondial/10/organization/ITU/
http://www.semwebtech.org/mondial/10/organization/NATO/
http://www.semwebtech.org/mondial/10/organization/AU/
http://www.semwebtech.org/mondial/10/organization/UNMISS/
http://www.semwebtech.org/mondial/10/organization/IOM/
http://www.semwebtech.org/mondial/10/organization/WHO/
http://www.semwebtech.org/mondial/10/organization/OAS/
http://www.semwebtech.org/mondial/10/organization/UNMIL/
http://www.semwebtech.org/mondial/10/organization/ICCt/
http://www.semwebtech.org/mondial/10/organization/OPEC/
http://www.semwebtech.org/mondial/10/organization/IFAD/
http://www.semwebtech.org/mondial/10/organization/CDB/
http://www.semwebtech.org/mondial/10/organization/CERN/
http://www.semwebtech.org/mondial/10/organization/IDA/
http://www.semwebtech.org/mondial/10/organization/G-15/
http://www.semwebtech.org/mondial/10/organization/ECB/
http://www.semwebtech.org/mondial/10/organization/Caricom/
http://www.semwebtech.org/mondial/10/organization/EU/
http://www.semwebtech.org/mondial/10/organization/OIC/
http://www.semwebtech.org/mondial/10/organization/UN/
http://www.semwebtech.org/mondial/10/organization/EBRD/
http://www.semwebtech.org/mondial/10/organization/IDB/
http://www.semwebtech.org/mondial/10/organization/EFTA/
http://www.semwebtech.org/mondial/10/organization/BIS/
http://www.semwebtech.org/mondial/10/organization/NAFTA/
http://www.semwebtech.org/mondial/10/organization/IBRD/
http://www.semwebtech.org/mondial/10/organization/ECO/
http://www.semwebtech.org/mondial/10/organization/LAIA/
http://www.semwebtech.org/mondial/10/organization/NEA/
http://www.semwebtech.org/mondial/10/organization/SADC/
http://www.semwebtech.org/mondial/10/organization/APEC/
http://www.semwebtech.org/mondial/10/organization/CP/
http://www.semwebtech.org/mondial/10/organization/CAN/
http://www.semwebtech.org/mondial/10/organization/IHO/
http://www.semwebtech.org/mondial/10/organization/UNIDO/
http://www.semwebtech.org/mondial/10/organization/UNTSO/
http://www.semwebtech.org/mondial/10/organization/UNDOF/
http://www.semwebtech.org/mondial/10/organization/MINURSO/
http://www.semwebtech.org/mondial/10/organization/UNITAR/
http://www.semwebtech.org/mondial/10/organization/CEPGL/
http://www.semwebtech.org/mondial/10/organization/G-3/
http://www.semwebtech.org/mondial/10/organization/SICA/
http://www.semwebtech.org/mondial/10/organization/FAO/
http://www.semwebtech.org/mondial/10/organization/ISO/
http://www.semwebtech.org/mondial/10/organization/G-24/
http://www.semwebtech.org/mondial/10/organization/IOC/
http://www.semwebtech.org/mondial/10/organization/UNMOGIP/
http://www.semwebtech.org/mondial/10/organization/OIF/
http://www.semwebtech.org/mondial/10/organization/AOSIS/
http://www.semwebtech.org/mondial/10/organization/CD/
http://www.semwebtech.org/mondial/10/organization/NC/
http://www.semwebtech.org/mondial/10/organization/ILO/
http://www.semwebtech.org/mondial/10/organization/UNESCO/
http://www.semwebtech.org/mondial/10/organization/LAES/
http://www.semwebtech.org/mondial/10/organization/IEA/
http://www.semwebtech.org/mondial/10/organization/OPANAL/
http://www.semwebtech.org/mondial/10/organization/NIB/
http://www.semwebtech.org/mondial/10/organization/GCTU/
http://www.semwebtech.org/mondial/10/organization/ACP/
http://www.semwebtech.org/mondial/10/organization/SACU/
http://www.semwebtech.org/mondial/10/organization/UNSC/
http://www.semwebtech.org/mondial/10/organization/Benelux/
http://www.semwebtech.org/mondial/10/organization/UPU/
http://www.semwebtech.org/mondial/10/organization/InOC/
http://www.semwebtech.org/mondial/10/organization/EADB/
http://www.semwebtech.org/mondial/10/organization/ICJ/
http://www.semwebtech.org/mondial/10/organization/ITUC/
http://www.semwebtech.org/mondial/10/organization/WTO/
http://www.semwebtech.org/mondial/10/organization/UNCTAD/
http://www.semwebtech.org/mondial/10/organization/SACEP/
http://www.semwebtech.org/mondial/10/organization/EMU/
http://www.semwebtech.org/mondial/10/organization/CE/
http://www.semwebtech.org/mondial/10/organization/IADB/
http://www.semwebtech.org/mondial/10/organization/Mercosur/
http://www.semwebtech.org/mondial/10/organization/CEMAC/
http://www.semwebtech.org/mondial/10/organization/G-5/
http://www.semwebtech.org/mondial/10/organization/EurasEC/
http://www.semwebtech.org/mondial/10/organization/WMO/
http://www.semwebtech.org/mondial/10/organization/ABEDA/
http://www.semwebtech.org/mondial/10/organization/UNHCR/
http://www.semwebtech.org/mondial/10/organization/UNWTO/
http://www.semwebtech.org/mondial/10/organization/BIMSTEC/
http://www.semwebtech.org/mondial/10/organization/G-7/
http://www.semwebtech.org/mondial/10/organization/WFTU/
http://www.semwebtech.org/mondial/10/organization/SELEC/
http://www.semwebtech.org/mondial/10/organization/CSTO/
http://www.semwebtech.org/mondial/10/organization/NSG/
http://www.semwebtech.org/mondial/10/organization/Interpol/
http://www.semwebtech.org/mondial/10/organization/MIGA/
http://www.semwebtech.org/mondial/10/organization/LAS/
http://www.semwebtech.org/mondial/10/organization/UNASUR/
http://www.semwebtech.org/mondial/10/organization/CICA/
http://www.semwebtech.org/mondial/10/organization/IMSO/
http://www.semwebtech.org/mondial/10/organization/IFRCS/
http://www.semwebtech.org/mondial/10/organization/ESA/
http://www.semwebtech.org/mondial/10/organization/GCC/
http://www.semwebtech.org/mondial/10/organization/IAEA/
http://www.semwebtech.org/mondial/10/organization/IMO/
http://www.semwebtech.org/mondial/10/organization/AMF/
http://www.semwebtech.org/mondial/10/organization/UNMIT/
http://www.semwebtech.org/mondial/10/organization/WCO/
http://www.semwebtech.org/mondial/10/organization/OSCE/
http://www.semwebtech.org/mondial/10/organization/C/
http://www.semwebtech.org/mondial/10/organization/D-8/
http://www.semwebtech.org/mondial/10/organization/G-8/
http://www.semwebtech.org/mondial/10/organization/CACM/
http://www.semwebtech.org/mondial/10/organization/UNFICYP/
http://www.semwebtech.org/mondial/10/organization/UNIFIL/
http://www.semwebtech.org/mondial/10/organization/ZC/
http://www.semwebtech.org/mondial/10/organization/UNAMID/
http://www.semwebtech.org/mondial/10/organization/EITI/
http://www.semwebtech.org/mondial/10/organization/G-10/
http://www.semwebtech.org/mondial/10/organization/ITSO/
http://www.semwebtech.org/mondial/10/organization/UNISFA/
http://www.semwebtech.org/mondial/10/organization/CBSS/
http://www.semwebtech.org/mondial/10/organization/EAC/
http://www.semwebtech.org/mondial/10/organization/ANZUS/
http://www.semwebtech.org/mondial/10/organization/SPC/
http://www.semwebtech.org/mondial/10/organization/G-9/
http://www.semwebtech.org/mondial/10/organization/IGAD/
http://www.semwebtech.org/mondial/10/organization/Sparteca/
http://www.semwebtech.org/mondial/10/organization/AMU/
http://www.semwebtech.org/mondial/10/organization/CELAC/
\.


--
-- TOC entry 5943 (class 0 OID 90168)
-- Dependencies: 713
-- Data for Name: PoliticalThing; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "PoliticalThing" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/	Andalucía
http://www.semwebtech.org/mondial/10/country/SK/	Slovakia
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/	Colorado
http://www.semwebtech.org/mondial/10/country/VIRG/	Virgin Islands
http://www.semwebtech.org/mondial/10/country/SPMI/	Saint Pierre and Miquelon
http://www.semwebtech.org/mondial/10/country/OM/	Oman
http://www.semwebtech.org/mondial/10/country/SY/	Seychelles
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/	Gauteng
http://www.semwebtech.org/mondial/10/country/HELX/	Saint Helena
http://www.semwebtech.org/mondial/10/country/MACX/	Macao
http://www.semwebtech.org/mondial/10/country/NIC/	Nicaragua
http://www.semwebtech.org/mondial/10/country/CR/	Costa Rica
http://www.semwebtech.org/mondial/10/country/RB/	Botswana
http://www.semwebtech.org/mondial/10/country/VN/	Vietnam
http://www.semwebtech.org/mondial/10/country/G/	Gabon
http://www.semwebtech.org/mondial/10/country/AZ/	Azerbaijan
http://www.semwebtech.org/mondial/10/country/RP/	Philippines
http://www.semwebtech.org/mondial/10/country/WAN/	Nigeria
http://www.semwebtech.org/mondial/10/country/UAE/	United Arab Emirates
http://www.semwebtech.org/mondial/10/country/GBZ/	Gibraltar
http://www.semwebtech.org/mondial/10/country/CDN/	Canada
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/	Guanajuato
http://www.semwebtech.org/mondial/10/country/SME/	Suriname
http://www.semwebtech.org/mondial/10/country/H/	Hungary
http://www.semwebtech.org/mondial/10/country/KIR/	Kiribati
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/	Chiba
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/	Copperbelt
http://www.semwebtech.org/mondial/10/country/GBM/	Isle of Man
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/	Ontario
http://www.semwebtech.org/mondial/10/country/JOR/	Jordan
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/	East Midlands
http://www.semwebtech.org/mondial/10/country/PK/	Pakistan
http://www.semwebtech.org/mondial/10/country/FALK/	Falkland Islands
http://www.semwebtech.org/mondial/10/country/KGZ/	Kyrgyzstan
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/	Maranhão
http://www.semwebtech.org/mondial/10/country/IND/	India
http://www.semwebtech.org/mondial/10/country/ZRE/	Zaire
http://www.semwebtech.org/mondial/10/country/ROU/	Uruguay
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/	Yorkshire and the Humber
http://www.semwebtech.org/mondial/10/country/WL/	Saint Lucia
http://www.semwebtech.org/mondial/10/country/GE/	Georgia
http://www.semwebtech.org/mondial/10/country/MW/	Malawi
http://www.semwebtech.org/mondial/10/country/TCH/	Chad
http://www.semwebtech.org/mondial/10/country/NCA/	New Caledonia
http://www.semwebtech.org/mondial/10/country/SN/	Senegal
http://www.semwebtech.org/mondial/10/country/FSM/	Micronesia
http://www.semwebtech.org/mondial/10/country/SGP/	Singapore
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/	South West
http://www.semwebtech.org/mondial/10/country/HONX/	Hong Kong
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/	Heilongjiang
http://www.semwebtech.org/mondial/10/country/IL/	Israel
http://www.semwebtech.org/mondial/10/country/SUD/	Sudan
http://www.semwebtech.org/mondial/10/country/J/	Japan
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/	Rio de Janeiro
http://www.semwebtech.org/mondial/10/country/CH/	Switzerland
http://www.semwebtech.org/mondial/10/country/NOK/	North Korea
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/	Goiás
http://www.semwebtech.org/mondial/10/country/CV/	Cape Verde
http://www.semwebtech.org/mondial/10/country/COCO/	Cocos Islands
http://www.semwebtech.org/mondial/10/country/LAO/	Laos
http://www.semwebtech.org/mondial/10/country/RCA/	Central African Republic
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/	Zhejiang
http://www.semwebtech.org/mondial/10/country/BOL/	Bolivia
http://www.semwebtech.org/mondial/10/country/RT/	Togo
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/	Shandong
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/	Ohio
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/	Chelyabinsk
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/	Sindh
http://www.semwebtech.org/mondial/10/country/COOK/	Cook Islands
http://www.semwebtech.org/mondial/10/country/GH/	Ghana
http://www.semwebtech.org/mondial/10/country/FJI/	Fiji
http://www.semwebtech.org/mondial/10/country/PA/	Panama
http://www.semwebtech.org/mondial/10/country/SYR/	Syria
http://www.semwebtech.org/mondial/10/country/RG/	Guinea
http://www.semwebtech.org/mondial/10/country/HR/	Croatia
http://www.semwebtech.org/mondial/10/country/ROK/	South Korea
http://www.semwebtech.org/mondial/10/country/Z/	Zambia
http://www.semwebtech.org/mondial/10/country/PITC/	Pitcairn
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/	North Carolina
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/	Guizhou
http://www.semwebtech.org/mondial/10/country/ETH/	Ethiopia
http://www.semwebtech.org/mondial/10/country/SD/	Swaziland
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/	Guangxi
http://www.semwebtech.org/mondial/10/country/KAZ/	Kazakhstan
http://www.semwebtech.org/mondial/10/country/EC/	Ecuador
http://www.semwebtech.org/mondial/10/country/WAFU/	Wallis and Futuna
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/	West Midlands
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/	Ceará
http://www.semwebtech.org/mondial/10/country/CAYM/	Cayman Islands
http://www.semwebtech.org/mondial/10/country/NAM/	Namibia
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/	Uttar Pradesh
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/	Bahia
http://www.semwebtech.org/mondial/10/country/GCA/	Guatemala
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	Iraklio
http://www.semwebtech.org/mondial/10/country/CY/	Cyprus
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/	Jawa Barat
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/	Michigan
http://www.semwebtech.org/mondial/10/country/MNTS/	Montserrat
http://www.semwebtech.org/mondial/10/country/RI/	Indonesia
http://www.semwebtech.org/mondial/10/country/TO/	Tonga
http://www.semwebtech.org/mondial/10/country/VU/	Vanuatu
http://www.semwebtech.org/mondial/10/country/WAG/	Gambia
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/	Stavropol´skiy
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/	Xinjiang
http://www.semwebtech.org/mondial/10/country/XMAS/	Christmas Island
http://www.semwebtech.org/mondial/10/country/CL/	Sri Lanka
http://www.semwebtech.org/mondial/10/country/TUCA/	Turks and Caicos Islands
http://www.semwebtech.org/mondial/10/country/WD/	Dominica
http://www.semwebtech.org/mondial/10/country/SLB/	Solomon Islands
http://www.semwebtech.org/mondial/10/country/A/	Austria
http://www.semwebtech.org/mondial/10/country/USA/province/California/	California
http://www.semwebtech.org/mondial/10/country/CZ/	Czech Republic
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/	Nei Mongol
http://www.semwebtech.org/mondial/10/country/REUN/	Reunion
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/	Paraná
http://www.semwebtech.org/mondial/10/country/NLSM/	Sint Maarten
http://www.semwebtech.org/mondial/10/country/AG/	Antigua and Barbuda
http://www.semwebtech.org/mondial/10/country/ES/	El Salvador
http://www.semwebtech.org/mondial/10/country/GUAM/	Guam
http://www.semwebtech.org/mondial/10/country/PR/	Puerto Rico
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	Karaganda
http://www.semwebtech.org/mondial/10/country/GNB/	Guinea-Bissau
http://www.semwebtech.org/mondial/10/country/MYA/	Myanmar
http://www.semwebtech.org/mondial/10/country/LT/	Lithuania
http://www.semwebtech.org/mondial/10/country/GBG/	Guernsey
http://www.semwebtech.org/mondial/10/country/PE/	Peru
http://www.semwebtech.org/mondial/10/country/MC/	Monaco
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/	Arizona
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/	Buenos Aires
http://www.semwebtech.org/mondial/10/country/BR/	Brazil
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/	Emilia-Romagna
http://www.semwebtech.org/mondial/10/country/C/	Cuba
http://www.semwebtech.org/mondial/10/country/SVAX/	Svalbard
http://www.semwebtech.org/mondial/10/country/DOM/	Dominican Republic
http://www.semwebtech.org/mondial/10/country/RL/	Lebanon
http://www.semwebtech.org/mondial/10/country/FARX/	Faroe Islands
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/	Guangdong
http://www.semwebtech.org/mondial/10/country/MEX/	Mexico
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/	Connecticut
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/	Texas
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/	Cataluña
http://www.semwebtech.org/mondial/10/country/BDS/	Barbados
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/	Virginia
http://www.semwebtech.org/mondial/10/country/UA/	Ukraine
http://www.semwebtech.org/mondial/10/country/USA/	United States
http://www.semwebtech.org/mondial/10/country/BS/	Bahamas
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/	Florida
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/	Valle de Cauca
http://www.semwebtech.org/mondial/10/country/D/	Germany
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	Göteborg
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/	New York
http://www.semwebtech.org/mondial/10/country/LV/	Latvia
http://www.semwebtech.org/mondial/10/country/UZB/	Uzbekistan
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/	New Jersey
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/	Niedersachsen
http://www.semwebtech.org/mondial/10/country/R/	Russia
http://www.semwebtech.org/mondial/10/country/RCH/	Chile
http://www.semwebtech.org/mondial/10/country/NORF/	Norfolk Island
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/	Missouri
http://www.semwebtech.org/mondial/10/country/BRU/	Brunei
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/	Rio Grande do Sul
http://www.semwebtech.org/mondial/10/country/NEP/	Nepal
http://www.semwebtech.org/mondial/10/country/BF/	Burkina Faso
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/	Jiangsu
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/	Washington
http://www.semwebtech.org/mondial/10/country/CEU/	Ceuta
http://www.semwebtech.org/mondial/10/country/DZ/	Algeria
http://www.semwebtech.org/mondial/10/country/MS/	Mauritius
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/	Henan
http://www.semwebtech.org/mondial/10/country/E/	Spain
http://www.semwebtech.org/mondial/10/country/MNE/	Montenegro
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/	Khuzestan
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/	Pernambuco
http://www.semwebtech.org/mondial/10/country/MART/	Martinique
http://www.semwebtech.org/mondial/10/country/RN/	Niger
http://www.semwebtech.org/mondial/10/country/WAL/	Sierra Leone
http://www.semwebtech.org/mondial/10/country/S/	Sweden
http://www.semwebtech.org/mondial/10/country/BG/	Bulgaria
http://www.semwebtech.org/mondial/10/country/GAZA/	Gaza Strip
http://www.semwebtech.org/mondial/10/country/EW/	Estonia
http://www.semwebtech.org/mondial/10/country/RA/	Argentina
http://www.semwebtech.org/mondial/10/country/F/	France
http://www.semwebtech.org/mondial/10/country/BHT/	Bhutan
http://www.semwebtech.org/mondial/10/country/GUAD/	Guadeloupe
http://www.semwebtech.org/mondial/10/country/RO/	Romania
http://www.semwebtech.org/mondial/10/country/RMM/	Mali
http://www.semwebtech.org/mondial/10/country/AL/	Albania
http://www.semwebtech.org/mondial/10/country/EAT/	Tanzania
http://www.semwebtech.org/mondial/10/country/MOC/	Mozambique
http://www.semwebtech.org/mondial/10/country/ANG/	Angola
http://www.semwebtech.org/mondial/10/country/MNG/	Mongolia
http://www.semwebtech.org/mondial/10/country/GQ/	Equatorial Guinea
http://www.semwebtech.org/mondial/10/country/THA/	Thailand
http://www.semwebtech.org/mondial/10/country/DJI/	Djibouti
http://www.semwebtech.org/mondial/10/country/BERM/	Bermuda
http://www.semwebtech.org/mondial/10/country/BI/	Burundi
http://www.semwebtech.org/mondial/10/country/MH/	Marshall Islands
http://www.semwebtech.org/mondial/10/country/COM/	Comoros
http://www.semwebtech.org/mondial/10/country/EAU/	Uganda
http://www.semwebtech.org/mondial/10/country/NAU/	Nauru
http://www.semwebtech.org/mondial/10/country/MV/	Maldives
http://www.semwebtech.org/mondial/10/country/RC/	Taiwan
http://www.semwebtech.org/mondial/10/country/GR/	Greece
http://www.semwebtech.org/mondial/10/country/CUR/	Curacao
http://www.semwebtech.org/mondial/10/country/V/	Holy See
http://www.semwebtech.org/mondial/10/country/WSA/	Western Sahara
http://www.semwebtech.org/mondial/10/country/PY/	Paraguay
http://www.semwebtech.org/mondial/10/country/CAM/	Cameroon
http://www.semwebtech.org/mondial/10/country/KWT/	Kuwait
http://www.semwebtech.org/mondial/10/country/AMSA/	American Samoa
http://www.semwebtech.org/mondial/10/country/ARU/	Aruba
http://www.semwebtech.org/mondial/10/country/I/	Italy
http://www.semwebtech.org/mondial/10/country/HCA/	Honduras
http://www.semwebtech.org/mondial/10/country/PL/	Poland
http://www.semwebtech.org/mondial/10/country/YE/	Yemen
http://www.semwebtech.org/mondial/10/country/IRQ/	Iraq
http://www.semwebtech.org/mondial/10/country/SA/	Saudi Arabia
http://www.semwebtech.org/mondial/10/country/TUV/	Tuvalu
http://www.semwebtech.org/mondial/10/country/PAL/	Palau
http://www.semwebtech.org/mondial/10/country/BY/	Belarus
http://www.semwebtech.org/mondial/10/country/BVIR/	British Virgin Islands
http://www.semwebtech.org/mondial/10/country/SRB/	Serbia
http://www.semwebtech.org/mondial/10/country/MK/	Macedonia
http://www.semwebtech.org/mondial/10/country/SMAR/	Saint Martin
http://www.semwebtech.org/mondial/10/country/GUY/	Guyana
http://www.semwebtech.org/mondial/10/country/BZ/	Belize
http://www.semwebtech.org/mondial/10/country/TL/	Timor-Leste
http://www.semwebtech.org/mondial/10/country/TAD/	Tajikistan
http://www.semwebtech.org/mondial/10/country/K/	Cambodia
http://www.semwebtech.org/mondial/10/country/BRN/	Bahrain
http://www.semwebtech.org/mondial/10/country/SP/	Somalia
http://www.semwebtech.org/mondial/10/country/CI/	Cote dIvoire
http://www.semwebtech.org/mondial/10/country/LB/	Liberia
http://www.semwebtech.org/mondial/10/country/EAK/	Kenya
http://www.semwebtech.org/mondial/10/country/GROX/	Greenland
http://www.semwebtech.org/mondial/10/country/BIH/	Bosnia and Herzegovina
http://www.semwebtech.org/mondial/10/country/AXA/	Anguilla
http://www.semwebtech.org/mondial/10/country/TM/	Turkmenistan
http://www.semwebtech.org/mondial/10/country/L/	Luxembourg
http://www.semwebtech.org/mondial/10/country/RCB/	Congo
http://www.semwebtech.org/mondial/10/country/FL/	Liechtenstein
http://www.semwebtech.org/mondial/10/country/FGU/	French Guiana
http://www.semwebtech.org/mondial/10/country/YV/	Venezuela
http://www.semwebtech.org/mondial/10/country/RH/	Haiti
http://www.semwebtech.org/mondial/10/country/TN/	Tunisia
http://www.semwebtech.org/mondial/10/country/M/	Malta
http://www.semwebtech.org/mondial/10/country/SBAR/	Saint Barthelemy
http://www.semwebtech.org/mondial/10/country/MAYO/	Mayotte
http://www.semwebtech.org/mondial/10/country/PNG/	Papua New Guinea
http://www.semwebtech.org/mondial/10/country/FPOL/	French Polynesia
http://www.semwebtech.org/mondial/10/country/SLO/	Slovenia
http://www.semwebtech.org/mondial/10/country/LAR/	Libya
http://www.semwebtech.org/mondial/10/country/N/	Norway
http://www.semwebtech.org/mondial/10/country/MA/	Morocco
http://www.semwebtech.org/mondial/10/country/ER/	Eritrea
http://www.semwebtech.org/mondial/10/country/ARM/	Armenia
http://www.semwebtech.org/mondial/10/country/LS/	Lesotho
http://www.semwebtech.org/mondial/10/country/SF/	Finland
http://www.semwebtech.org/mondial/10/country/NIUE/	Niue
http://www.semwebtech.org/mondial/10/country/NL/	Netherlands
http://www.semwebtech.org/mondial/10/country/B/	Belgium
http://www.semwebtech.org/mondial/10/country/NZ/	New Zealand
http://www.semwebtech.org/mondial/10/country/WS/	Samoa
http://www.semwebtech.org/mondial/10/country/RSM/	San Marino
http://www.semwebtech.org/mondial/10/country/IR/	Iran
http://www.semwebtech.org/mondial/10/country/SSD/	South Sudan
http://www.semwebtech.org/mondial/10/country/P/	Portugal
http://www.semwebtech.org/mondial/10/country/BEN/	Benin
http://www.semwebtech.org/mondial/10/country/WEST/	West Bank
http://www.semwebtech.org/mondial/10/country/BD/	Bangladesh
http://www.semwebtech.org/mondial/10/country/CN/	China
http://www.semwebtech.org/mondial/10/country/ET/	Egypt
http://www.semwebtech.org/mondial/10/country/JA/	Jamaica
http://www.semwebtech.org/mondial/10/country/TOK/	Tokelau
http://www.semwebtech.org/mondial/10/country/IS/	Iceland
http://www.semwebtech.org/mondial/10/country/TR/	Turkey
http://www.semwebtech.org/mondial/10/country/Q/	Qatar
http://www.semwebtech.org/mondial/10/country/MAL/	Malaysia
http://www.semwebtech.org/mondial/10/country/DK/	Denmark
http://www.semwebtech.org/mondial/10/country/MD/	Moldova
http://www.semwebtech.org/mondial/10/country/CO/	Colombia
http://www.semwebtech.org/mondial/10/country/WG/	Grenada
http://www.semwebtech.org/mondial/10/country/AFG/	Afghanistan
http://www.semwebtech.org/mondial/10/country/RSA/	South Africa
http://www.semwebtech.org/mondial/10/country/ZW/	Zimbabwe
http://www.semwebtech.org/mondial/10/country/AND/	Andorra
http://www.semwebtech.org/mondial/10/country/RM/	Madagascar
http://www.semwebtech.org/mondial/10/country/STP/	Sao Tome and Principe
http://www.semwebtech.org/mondial/10/country/IRL/	Ireland
http://www.semwebtech.org/mondial/10/country/KOS/	Kosovo
http://www.semwebtech.org/mondial/10/country/AUS/	Australia
http://www.semwebtech.org/mondial/10/country/MEL/	Melilla
http://www.semwebtech.org/mondial/10/country/RIM/	Mauritania
http://www.semwebtech.org/mondial/10/country/WV/	Saint Vincent and the Grenadines
http://www.semwebtech.org/mondial/10/country/GBJ/	Jersey
http://www.semwebtech.org/mondial/10/country/TT/	Trinidad and Tobago
http://www.semwebtech.org/mondial/10/country/RWA/	Rwanda
http://www.semwebtech.org/mondial/10/country/NMIS/	Northern Mariana Islands
http://www.semwebtech.org/mondial/10/country/GB/	United Kingdom
http://www.semwebtech.org/mondial/10/country/KN/	Saint Kitts and Nevis
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/	Western Visayas
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/	Oslo
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/	Edirne
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/	Auvergne
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/	Mato Grosso
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/	Erzurum
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/	Hainan
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/	Orientale
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/	Fromager
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/	Michoacán
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/	Khanty Mansi ao
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/	Nusa Tenggara Timur
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/	Kymi
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/	Kastamonu
http://www.semwebtech.org/mondial/10/country/Z/province/Western/	Western
http://www.semwebtech.org/mondial/10/country/B/province/Namur/	Namur
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/	Brabant Wallon
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/	Saint-Louis
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/	Adana
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/	North Dakota
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/	Muslim Mindanao
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/	Libertador General Bernardo O'Higgins
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/	Utrecht
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/	Orenburg
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/	Western Cape
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/	Nevada
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/	Chandigarh
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/	Beni
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/	Bas-Sassandra
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/	Andijon
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/	Tarija
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/	Northern
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/	Pskovskaya
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/	Ruvuma
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/	Yalova
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/	Nagasaki
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/	Mardin
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/	Szabolcs-Szatmár-Bereg
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/	Karelia
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/	Thessalias
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/	Rhône-Alpes
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/	Sirdaryo
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/	Siirt
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/	Bago
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/	Mopti
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/	Karachayevo-Cherkesskaya
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/	Telangana
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/	Prince Edward Island
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/	DKI Jakarta
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/	Malanje
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/	Sicilia
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/	Moravskoslezský
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/	Bayelsa
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/	Semnan
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	San Andrés, Providencia y Santa Catalina
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/	Tadla Azilal
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/	Nay Pyi Taw
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/	As Sulaymaniyah
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/	Johor
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/	Cagayan Valley
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/	Arusha
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/	Tolima
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/	Sogn og Fjordane
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/	Est
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/	Xizang
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/	Santiago de Estero
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	Duhouk
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/	Braşov
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/	Belgorodskaya
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/	Dytikis Makedonias
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/	Çorum
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/	Tul´skaya
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/	Ionion Nison
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/	Aust-Agder
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/	Sinaloa
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/	Delta Amacuro
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	al-Qadisiya
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/	Osmaniye
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/	Obwalden
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/	Azad Jammu and Kashmir
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/	Kalimantan Timur
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/	Idlib
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/	Papua Barat
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/	Quindío
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/	Grodno
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/	Aktobe
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/	Dushanbe
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/	Picardie
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/	Eastern Cape
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/	Vaud
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/	East of England
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/	Kerman
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/	Vitebsk
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/	Hatay
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/	Värmland
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/	Dar es Salaam
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/	Lorraine
http://www.semwebtech.org/mondial/10/country/J/province/Nara/	Nara
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/	Ancash
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/	Cabo Delgado
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/	Sulawesi Utara
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/	Kwara
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/	Terengganu
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/	Kirov
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/	Arica y Parinacota
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/	Geita
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/	Lagunes
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	Toshkent City
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/	Rakhine
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/	Chhattisgarh
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/	Rheinland-Pfalz
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/	Pulau Pinang
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/	Chukotka
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/	Sylhet
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/	Riau
http://www.semwebtech.org/mondial/10/country/S/province/Halland/	Halland
http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/	Kouilou
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/	Nayarit
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	Hims
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	Gambella
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/	Kütahya
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/	Rio Grande do Norte
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/	Liaoning
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/	Borsod-Abaúj-Zemplén
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/	Tombouctou
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/	Kırşehir
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/	Hainaut
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/	La Paz
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/	Kaffrine
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/	Liberecký
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/	Canarias
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/	Selangor
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/	Imo
http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/	Leningradskaya
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/	Querétaro
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/	Manica
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/	Al-Jouf
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/	Komárom-Esztergom
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/	Kalimantan Tengah
http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/	Pwani
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/	Kayin
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/	YeDebub Biheroch Bihereseboch na Hizboch
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/	Tokat
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/	Tolna
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/	Lakshadweep
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/	Holguín
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/	Luapula
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/	Genève
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/	Kilis
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/	Tartus
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/	Zhytomyrs´ka
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/	Delhi
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/	Nunavut
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/	Thiès
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/	Mwanza
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/	Poltavs´ka
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/	Olt
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/	Oberösterreich
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/	Calabarzon
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/	Oregon
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/	Kronoberg
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/	Francisco Morazán
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/	Sjælland
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	Yerushalayim
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/	Gombe
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/	Lubuskie
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/	Balıkesir
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/	Distrito Federal
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/	Yukon
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/	Schleswig-Holstein
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/	Omsk
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/	Anatolikis Makedonias kai Thrakis
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/	Amasya
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/	Hormozgan
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/	Peloponnisos
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/	Akmola
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	Fargʻona
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/	Bié
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/	Surxondaryo
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/	Luxembourg
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/	Okayama
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/	Singida
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/	Kärnten
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/	Sédhiou
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/	Ticino
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/	Lambayeque
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/	Colón
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/	Guidimagha
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/	Prahova
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/	Lebap
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/	Kagera
http://www.semwebtech.org/mondial/10/country/N/province/Troms/	Troms
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/	Maputo
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/	Rivnens´ka
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/	Tigray
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/	Tumbes
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/	Iowa
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/	Smolenskaya
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/	Mérida
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/	Tekirdağ
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/	Tiris Zemmour
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/	Pomorskie
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/	Islas de la Bahía
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/	Rize
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/	Trujillo
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/	Coahuila
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/	Herrera
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/	Valle
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/	Al-Hudud ash Shamaliyah
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/	Maniema
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/	Nagaland
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/	Kostromskaya
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/	Buskerud
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/	Manipur
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/	Qasqadaryo
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/	Sibiu
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/	Fukui
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/	Barisal
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/	Pinar del Río
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/	Krasnodarskiy
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/	Quintana Roo
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/	Aland
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/	Namangan
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/	Zamfara
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/	Los Santos
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/	Limburg
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/	Madrid
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/	Jász-Nagykun-Szolnok
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/	Kepulauan Bangka Belitung
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/	La Rioja
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/	Atacama
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/	Limón
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/	Cuvette
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/	Beijing
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/	Solothurn
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/	Västra Götaland
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/	Volgogradskaya
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/	South East
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/	Kars
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/	Yunnan
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/	Uttarakhand
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/	Sofala
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/	Shanghai
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/	Kaskazini Pemba
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/	Banten
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/	Jammu and Kashmir
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/	Odes´ka
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/	Jigawa
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/	Appenzell Ausserrhoden
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/	Putrajaya
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/	Atlántida
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/	Hovedstaden
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/	Junín
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/	Śląskie
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/	Attikis
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/	Tambacounda
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/	Sakha
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/	Aragua
http://www.semwebtech.org/mondial/10/country/J/province/Saga/	Saga
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/	Zaporiz´ka
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/	Labuan
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/	Valenciana
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/	Táchira
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/	Constanţa
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/	Doukala Abda
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/	New South Wales
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/	Bursa
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/	Kurgan
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/	Opolskie
http://www.semwebtech.org/mondial/10/country/Z/province/Central/	Central
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/	Kaluzhskaya
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/	Hebei
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/	Bruxelles
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/	Çanakkale
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/	Toyama
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/	Cortés
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/	Brandenburg
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/	Distrito Federal
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/	Basel-Stadt
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/	Sakhalin
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/	Jihomoravský
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/	Adygeya
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/	Jura
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/	Nineveh
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/	Gorontalo
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/	Tianjin
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/	Caldas
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/	Gracias a Dios
http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/	Haryana
http://www.semwebtech.org/mondial/10/country/H/province/Heves/	Heves
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/	Hakkari
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/	Hyogo
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/	Cajamarca
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/	Jilin
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/	Pennsylvania
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/	Ankara
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/	Alagoas
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/	Darién
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/	Muğla
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/	Sud-Kivu
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/	Kigoma
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/	Jizzax
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/	Vargas
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/	Saratov
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/	Pointe-Noire
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	Toshkent
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/	Oriental
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/	New Brunswick
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/	Rivers
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/	Lubelskie
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/	Shan
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/	Paraíba
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/	Bolu
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/	Notioy Aigaioy
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/	Apure
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/	Warmińsko-Mazurskie
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/	Sinop
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/	Glarus
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/	Bushehr
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/	Nidwalden
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/	Wasit
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/	Puglia
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/	Sarawak
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/	Kanagawa
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/	Loreto
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/	HaMerkaz
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/	Ucayali
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/	Maharashtra
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/	Qom
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/	Sud
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/	Bilecik
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/	Ordu
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/	Koulikoro
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/	Sergipe
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/	Murmanskaya
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/	Baranya
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/	Chechenskaya
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/	Kalmykiya
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/	Ağrı
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/	Adamawa
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/	Iğdır
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/	Wisconsin
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/	Khulna
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/	Zeeland
http://www.semwebtech.org/mondial/10/country/F/province/Corse/	Corse
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/	Eskişehir
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/	Tottori
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/	Lagos
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/	Abia
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/	Ivano-Frankivs´ka
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/	Guárico
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/	Bihor
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/	Centre
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/	Mersin
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/	Łódzkie
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/	Maramureş
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/	Corrientes
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/	Entre Ríos
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	Liège
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/	Valparaíso
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/	Erzincan
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	Tabouk
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/	Ilocos
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/	Tlaxcala
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/	Callao
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/	Mykolaïvs´ka
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/	Sankt Gallen
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/	Gorno-Badakhshan
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/	Cuanza Sul
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/	Voronezhskaya
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/	New Mexico
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/	Bengkulu
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	Santarem
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/	Lékoumou
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/	Dagestan
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/	Addis Ababa
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/	Inchiri
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/	Gansu
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/	Niger
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	İzmir
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/	Guerrero
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/	Aseer
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/	Atlántico
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/	Zulia
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/	Mecklenburg-Vorpommern
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/	Antioquia
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/	Tagant
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/	Ibaraki
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/	Vichada
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/	Bali
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/	Kasai-Occidental
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/	Kuopio
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	Samarqand
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/	Aargau
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/	Yamagata
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/	Dire Dawa
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/	Kujawsko-Pomorskie
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/	Bafing
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/	Qazvin
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/	Galaţi
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/	Iringa
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/	Ryazanskaya
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/	Maryland
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/	Mizoram
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/	Trentino-Alto Adige
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/	Miyagi
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/	Louga
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/	Republika Srpska
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/	Denizli
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/	Kolda
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/	Saarland
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/	Oaxaca
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/	Çankırı
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/	Kalmar
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/	Toscana
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/	Nord
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/	Teleorman
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/	Central Luzon
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/	Düzce
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/	Telemark
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/	Scotland
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/	Illinois
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/	Gao
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/	Liguria
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/	Sikasso
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/	Arequipa
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/	Georgia
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/	Benguela
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/	Appenzell Innerrhoden
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/	Meknes Tafilalet
http://www.semwebtech.org/mondial/10/country/R/province/Amur/	Amur
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/	British Columbia
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/	Denguélé
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/	Schwyz
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/	Orlovskaya
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Sankt-Peterburg
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/	Mato Grosso do Sul
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/	Harari
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/	Osaka
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/	Kamchatka
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/	Muş
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/	Bengo
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/	Niğde
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/	Cabinda
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/	Luhans´ka
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/	Mississippi
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/	Bocas del Toro
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/	Midtjylland
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/	Norrbotten
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/	Bourgogne
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/	Simiyu
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/	Kayes
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/	Bihar
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/	Córdoba
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/	Caraga
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/	Yamanashi
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/	San Juan
http://www.semwebtech.org/mondial/10/country/I/province/Marche/	Marche
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/	La Habana
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/	Dalarna
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/	Somali
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/	La Pampa
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/	West Bengal
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/	Vaasa
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/	Kaolack
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/	Sud-Bandama
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/	Santander
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	México, Estado de
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/	Ehime
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/	Guanacaste
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/	Marrakech Tensift Al Haouz
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/	Delta
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/	Kritis
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/	Iaşi
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/	Eastern
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/	Yucatán
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/	Tverskaya
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/	Zachodniopomorskie
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/	Qinghai
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/	Kuala Lumpur
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/	Niederösterreich
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/	Najran
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/	Minnesota
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/	Jujuy
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/	Aragón
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/	Chuvash
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/	Östergötland
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/	Kirovohrads´ka
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/	Bolívar
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/	Piura
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/	Braganca
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/	New Hampshire
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/	Tamil Nadu
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/	Sokoto
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/	Vâlcea
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/	Wales
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/	Kaduna
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/	Västernorrland
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/	Nuevo Léon
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/	Souss Massa Daraa
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/	Savanes
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/	West Kazakhstan
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/	Greater Accra
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/	Ash Sharqiyah
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/	Gorgol
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/	Carabobo
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/	Al-Qaseem
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/	Mazowieckie
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/	Sardegna
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/	Bremen
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	Dimashq
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/	Madhya Pradesh
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/	Balochistan
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/	Veracruz
http://www.semwebtech.org/mondial/10/country/P/province/Porto/	Porto
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/	Lunda-Sul
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/	Konya
http://www.semwebtech.org/mondial/10/country/GH/province/Western/	Western
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/	Santiago de Cuba
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/	Dytikis Elladas
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/	Ardebil
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/	Goa
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/	North Ossetia-Alania
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/	Worodougou
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/	La Guajira
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/	Chubut
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/	Hunedoara
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/	Ayeyarwady
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/	Njombe
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/	Copán
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/	Jiangxi
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/	Luanda
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/	Thi Qar
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/	Şırnak
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/	Al-Riyadh
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/	Noord-Holland
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/	Lacs
http://www.semwebtech.org/mondial/10/country/PK/province/FATA/	FATA
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/	Coimbra
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/	Graubünden
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/	Fukushima
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/	Košický
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/	El Paraíso
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/	Bolívar
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/	Jihočeský
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/	Sancti Spíritus
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/	Gävleborg
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/	Lara
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/	Basel-Landschaft
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/	Kayah
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/	Basse Normandie
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/	Ipeiroy
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/	Katavi
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/	Oromia
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/	South Australia
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/	Maradi
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/	Kebbi
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/	Khmel´nyts´ka
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/	Morelos
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/	Ségou
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./	Jewish ao.
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/	Donets´ka
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/	Finnmark
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/	Yangon
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/	Fars
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/	Amazonas
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/	Niigata
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/	Bío-Bío
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/	Babylon
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/	Buzău
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/	Bamako
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/	Lazio
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/	Karlovarský
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/	Benue
http://www.semwebtech.org/mondial/10/country/H/province/Pest/	Pest
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/	Maysan
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/	Setubal
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	Afyonkarahisar
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/	Buryat
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/	Västerbotten
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/	Sucre
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/	District of Columbia
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/	Vestfold
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/	Amazonas
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/	Montana
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/	Uppsala
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/	Roraima
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/	Midi-Pyrénées
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/	Gilgit-Baltistan
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/	Bistriţa-Năsăud
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/	Yaroslavskaya
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/	Magallanes
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/	Northern Cape
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/	Comayagua
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/	Ica
http://www.semwebtech.org/mondial/10/country/I/province/Campania/	Campania
http://www.semwebtech.org/mondial/10/country/I/province/Molise/	Molise
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/	Cochabamba
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/	Eastern
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/	Oyo
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/	Distrito Federal
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/	Yozgat
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/	Prešovský
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/	Ilam
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/	Khabarov
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/	Benishangul-Gumuz
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/	Vermont
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/	Aysén
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/	Bacău
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/	Continental
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	Dar`a
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/	Neuquén
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/	Haute-Normandie
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/	Huambo
http://www.semwebtech.org/mondial/10/country/J/province/Mie/	Mie
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/	Madre de Dios
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/	Maule
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/	Santa Fe
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/	Marahoué
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/	Almaty
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/	Tasmania
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/	Southern
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/	Santa Catarina
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/	Heredia
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/	Agadez
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/	Assam
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/	Sums´ka
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/	Fukuoka
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/	Affar
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/	Matanzas
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/	Zakarpats´ka
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/	Ha'il
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/	Limousin
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/	Pardubický
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/	Puebla
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/	Hordaland
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/	Gomel
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/	Santa Bárbara
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/	Huancavelica
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/	Alabama
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/	Coquimbo
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/	Rhode Island
http://www.semwebtech.org/mondial/10/country/P/province/Braga/	Braga
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/	Norte de Santander
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/	Artvin
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/	KwaZulu-Natal
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/	Kurskaya
http://www.semwebtech.org/mondial/10/country/TR/province/Van/	Van
http://www.semwebtech.org/mondial/10/country/PE/province/Lima/	Lima
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/	Sikkim
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/	Santa Cruz
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/	São Paulo
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/	Al Hasakah
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/	Khersons´ka
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/	Olomoucký
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/	Queensland
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/	Taza Al Hoceima Taounate
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/	Limpopo
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/	Ivanovskaya
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	Hamedan
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/	Arunachal Pradesh
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/	Kaskazini Unguja
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/	Mureş
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/	Isparta
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/	Valle d'Aosta
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/	Gillan
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/	Giresun
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/	Franche-Comté
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/	Pahang
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/	Dosso
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/	Mon
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/	Rajasthan
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/	Baghdad
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/	Niassa
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/	Moyen-Cavally
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/	Bretagne
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/	Veszprém
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/	Minas Gerais
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/	Udmurt
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/	West Virginia
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/	Amazonas
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/	Şanlıurfa
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/	Bas-Congo
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/	Algarve
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/	Praha
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/	Turku-Pori
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/	Viseu
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/	Tyumen
http://www.semwebtech.org/mondial/10/country/H/province/Békés/	Békés
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/	Sabah
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/	Sumatera Barat
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/	Himachal Pradesh
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/	North-Western
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/	Aquitaine
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/	Putumayo
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/	Ayacucho
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/	Dolnośląskie
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/	Dodoma
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/	Morogoro
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/	Nova Scotia
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/	Nebraska
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/	Dadra and Nagar Haveli
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/	Cluj
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/	Örebro
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/	Ningxia
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/	North-Kazakhstan
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/	Sud-Ouest
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/	Massachusetts
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/	al-Anbar
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/	Zhambyl
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/	Kagoshima
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/	Shaanxi
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/	Bayern
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/	Camagüey
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/	Castelo Branco
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/	Veneto
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/	South-Kazakhstan
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/	Gümüşhane
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/	Catamarca
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/	Bouenza
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/	Villa Clara
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/	Santa Cruz
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/	Saskatchewan
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/	Kilimanjaro
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/	Olancho
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	Al Qunaytirah
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/	Ashgabat
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/	Gifu
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/	Miranda
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/	Guainía
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/	Tatarstan
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/	Volta
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/	Artemisa
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/	Kedah
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/	Karabük
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/	Ríos
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/	Zinder
http://www.semwebtech.org/mondial/10/country/P/province/Azores/	Azores
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/	Kyïvs´ka
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/	Fatick
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/	Calabria
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/	Tamaulipas
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/	Navoiy
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/	Lombardia
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/	Enugu
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/	País Vasco
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/	Kagawa
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/	Hunan
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/	Irkutsk
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/	Vinnyts´ka
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/	Grand Casablanca
http://www.semwebtech.org/mondial/10/country/GH/province/Central/	Central
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/	Tillabéri
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/	Leiria
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/	Sonora
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/	Bicol
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/	Al-Madinah Al-Monawarah
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/	Portalegre
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/	Burdur
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/	Newfoundland and Labrador
http://www.semwebtech.org/mondial/10/country/P/province/Beja/	Beja
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/	Kyzylorda
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/	Chihuahua
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/	Rostovskaya
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/	Södermanland
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/	Kumamoto
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/	Andhra Pradesh
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/	Kerala
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/	Nord-Ouest
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/	Aghion Oros
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/	North Khorasan
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/	Zlínský
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/	Victoria
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/	Cunene
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/	Primorskiy
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/	Espírito Santo
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/	Moscow
http://www.semwebtech.org/mondial/10/country/J/province/Oita/	Oita
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/	Cundinamarca
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/	Soccsksargen
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/	Vologodskaya
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/	Flevoland
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/	Moxico
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/	Chiriquí
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/	Veraguas
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/	Trarza
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/	Amhara
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/	Tripura
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/	Nasarawa
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/	Novgorodskaya
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/	Moyen-Comoé
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/	Katsina
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/	Hamburg
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/	East-Kazakhstan
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/	San Luis Potosí
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/	Diala
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/	Sachsen
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/	Niamey
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/	Krym
http://www.semwebtech.org/mondial/10/country/R/province/Komi/	Komi
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Kostanai
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/	al-Muthanna
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/	Brčko
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/	Chocó
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/	Qoraqalpogʻiston
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/	Erbil
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/	Mpumalanga
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/	Khatlon
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/	Khorasan-e-Razavi
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/	Malatya
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/	Mordoviya
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/	Sichuan
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/	Batman
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/	Ashanti
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/	Ar Raqqah
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/	Jharkhand
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/	Brazzaville
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/	Baja California Sur
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/	Kédougou
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/	Insular
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/	Tabasco
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/	Lisboa
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/	Salah al-Deen
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/	Sevastopol´
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/	Tocantins
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/	Yazd
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/	Pavlodar
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/	Upper East
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/	Ardahan
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/	Bandundu
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/	Lampung
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/	Ingushskaya
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/	Hodh El Gharbi
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/	Syddanmark
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/	Groningen
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/	Punjab
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/	Zanjan
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/	Tucumán
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/	Trenčiansky
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/	Bashkortostan
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/	Rif Dimashq
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/	Formosa
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/	Atyrau
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/	Al Ladhiqiyah
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	Esfahan
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/	Zonguldak
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/	Chaouia Ouardigha
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/	Rabat Sale Zemmour Zaer
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/	Nordland
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/	South Khorasan
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	Dayr az Zawr
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/	Overijssel
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/	Călăraşi
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/	Luzern
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/	Nitriansky
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/	Nagano
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/	Sistan and Baluchestan
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/	Matam
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/	Bingöl
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/	Csongrád
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/	Abruzzo
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/	Astana
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/	Zacatecas
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/	Kemerov
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/	Umbria
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/	Abuja
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/	Cartago
http://www.semwebtech.org/mondial/10/country/TAD/province/RegionsofRepublicanSubordination/	Regions of Republican Subordination
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/	Assaba
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/	Rangpur
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/	Žilinský
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/	Antwerpen
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/	Sulawesi Selatan
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/	Chaharmahal and Bakhtiyari
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/	North West
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/	Dolj
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/	Ishikawa
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/	Kentrikis Makedonias
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/	Bucureşti
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/	Isla de la Juventud
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/	Cantabria
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/	Khakasiya
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/	Bartın
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/	Mimaropa
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/	Kasai-Oriental
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/	Lempira
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/	Yamalo Nenets ao
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/	Tambovskaya
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/	Sulawesi Tengah
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/	Mjini Magharibi Unguja
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/	Mogilev
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/	Galicia
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/	Stereas Elladas
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/	Murcia
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/	Trabzon
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/	Oppland
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/	Iwate
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/	Kentucky
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/	Amazonas
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/	Fribourg
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/	Northern Ireland
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/	Banskobystrický
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/	Extrême-Nord
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/	Mandalay
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/	Chittagong
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/	Sangha
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/	Blekinge
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/	Kohgiluyeh and Boyerahmad
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/	Mtwara
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/	Pará
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/	Sud-Comoé
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/	Uíge
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/	Dnipropetrovs´ka
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/	Casanare
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/	Cojedes
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/	Ialomiţa
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/	Papua
http://www.semwebtech.org/mondial/10/country/BY/province/Minsk/	Minsk
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/	Nord-Trøndelag
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/	Gujarat
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/	Kırklareli
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/	Maluku Utara
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/	Bayburt
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/	Tierra del Fuego
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/	Noord-Brabant
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/	Madeira
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/	Ngöbe Buglé
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/	Manitoba
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/	Baden-Württemberg
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/	Antofagasta
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	Al-Baha
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/	Puntarenas
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/	Kansas
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/	Kusini Pemba
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/	Tirol
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/	Rondônia
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/	East Azarbayejan
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/	Chaco
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/	Western Australia
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/	Yamaguchi
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/	Anhui
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/	Steiermark
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/	Hessen
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/	Kalimantan Selatan
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/	Alborz
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/	Baja California
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/	Sughd
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/	Adamaoua
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	Magwe
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/	Australia Capital Territory
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/	Mangistau
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/	Viana do Castelo
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/	Shanxi
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/	Potosí
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/	Brest
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/	Baikonur
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/	Tehran
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/	Central Visayas
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/	Idaho
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/	Świętokrzyskie
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/	Vorarlberg
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/	Uri
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/	Cienfuegos
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/	Nógrád
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/	Balkan
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/	Asturias
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/	Adrar
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/	Kochi
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/	Gharb Chrarda Beni Hssen
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/	Kocaeli
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/	Anzoátegui
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/	Cuanza Norte
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/	Győr-Moson-Sopron
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/	Hiroshima
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/	Brăila
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/	Amapá
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/	Neamţ
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/	Shimane
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/	Zambézia
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/	Borno
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/	Maine
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/	HaZafon
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/	Fejér
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/	Upper West
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/	Nampula
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/	Tochigi
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	Kerbela
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/	San Luis
http://www.semwebtech.org/mondial/10/country/R/province/Penza/	Penza
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/	Pool
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/	Uşak
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/	Oklahoma
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/	Manisa
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/	İstanbul
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/	Arad
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/	Lappia
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/	Tokyo
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/	Chiapas
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/	Aichi
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/	Gorj
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/	Stockholm
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/	Provence-Alpes-Côte d'Azur
http://www.semwebtech.org/mondial/10/country/H/province/Vas/	Vas
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/	Zug
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/	Cidade de Maputo
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/	Diourbel
http://www.semwebtech.org/mondial/10/country/C/province/Granma/	Granma
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/	Halab
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/	Akwa Ibom
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/	Kusini Unguja
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/	Lima City
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/	Wakayama
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/	Falcón
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/	Pando
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/	Shiga
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/	Campeche
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/	Brakna
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/	Boyacá
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/	Elazığ
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/	Federacija Bosne i Hercegovine
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/	Northern Mindanao
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/	Karnataka
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/	Apurímac
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/	Rukwa
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/	Jalisco
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/	Gaza
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/	Zürich
http://www.semwebtech.org/mondial/10/country/F/province/Centre/	Centre
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/	Gelderland
http://www.semwebtech.org/mondial/10/country/J/province/Akita/	Akita
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/	Puducherry
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/	Indiana
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/	Mikkeli
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/	Jönköping
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/	Giurgiu
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/	Argeş
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/	Tete
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	Buxoro
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/	Mariy-El
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/	Arauca
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/	Lipetskaya
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/	Ondo
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/	Taraba
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/	Metro Manila
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/	Xorazm
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/	West-Vlaanderen
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/	Guaviare
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/	Kurdestan
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/	Maluku
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/	Vysočina
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/	Colón
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/	Chongqing
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/	Boreioy Aigaioy
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/	Tabora
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/	Navarra
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/	Salzburg
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/	Jawa Timur
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/	Suomi
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/	Minsk City
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/	Ogun
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/	Nevşehir
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/	Tel Aviv
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/	Budapest
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/	Tanger Tetouan
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/	Osun
http://www.semwebtech.org/mondial/10/country/H/province/Zala/	Zala
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/	Tulcea
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/	Adıyaman
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/	Extremadura
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/	Rajshahi
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/	Niari
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/	Gotland
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/	Drenthe
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/	Karaman
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/	Skåne
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/	Ocotepeque
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/	Ternopil´s´ka
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/	Kırıkkale
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/	Zabaykalskiy
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/	Fujian
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/	Alba
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/	Vila Real
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/	Sumatera Utara
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/	Tarapacá
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/	Vaslui
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/	Cuando Cubango
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/	Aksaray
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/	Shinyanga
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/	Haut-Sassandra
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/	Chernivets´ka
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/	Podkarpackie
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/	Okinawa
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/	Sulawesi Tenggara
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/	Emberá
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/	Île-de-France
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/	Sucre
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/	Odisha
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/	Sør-Trøndelag
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/	Kogi
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/	West Azarbayejan
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/	Mary
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/	Haeme
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/	Aydın
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/	Likouala
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/	Jawa Tengah
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/	Friuli-Venezia Giulia
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/	Davao
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/	Markazi
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/	Královéhradecký
http://www.semwebtech.org/mondial/10/country/RO/province/Ilfov/	Ilfov
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/	Barinas
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/	Nusa Tenggara Barat
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/	Diyarbakır
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/	Akhal
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/	South Dakota
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/	Hokkaido
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/	Bács-Kiskun
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/	Free State
http://www.semwebtech.org/mondial/10/country/R/province/Perm/	Perm
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/	Saitama
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/	Somogy
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/	Mayabeque
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/	Chin
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/	Gumma
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/	Illes Balears
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/	Northern Territory
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/	Pays de la Loire
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/	Nueva Esparta
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/	Satu-Mare
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/	Plateaux
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/	Kidal
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/	Pasco
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/	Sulawesi Barat
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/	Cusco
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/	Schaffhausen
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/	Sachsen-Anhalt
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/	Meghalaya
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/	Covasna
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/	La Paz
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/	Bratislavský
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/	Mazandaran
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/	Monagas
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/	Cesar
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/	Nord-Pas-de-Calais
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/	Northwest Territories
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/	As Suwayda'
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/	Aguascalientes
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/	Kharkivs´ka
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/	Mehedinţi
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/	Gaziantep
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/	Misiones
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/	Tennessee
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/	Kyoto
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/	Chuquisaca
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/	Yaracuy
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/	Río Negro
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/	Plateau
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/	Meta
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/	Zaire
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/	Nariño
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/	Sagaing
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/	Santa Fe de Bogotá
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/	Puno
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/	Lusaka
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/	Makkah Al-Mokarramah
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/	Hubei
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/	Lagos
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/	Almaty City
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/	Hawaii
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/	Tunceli
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/	Perlis
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/	Timiş
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	Hamah
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/	Anambra
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/	Castilla-La Mancha
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/	Champagne-Ardenne
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/	Arkhangel´skaya
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/	Basilicata
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/	Podlaskie
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/	Mendoza
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/	Guelmim Es Semara
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/	Tacna
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/	Kinshasa
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/	Kano
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/	Guarda
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/	Kalimantan Barat
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/	Portuguesa
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/	Plzeňský
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/	Hidalgo
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/	Tahoua
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/	Trnavský
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/	Distrito Federal
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/	Arkansas
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/	Cross River
http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/	Středočeský
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/	Agnéby
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/	Botoşani
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/	Acre
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/	Panamá
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/	Ziguinchor
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/	Harghita
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/	Akershus
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/	Nordjylland
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/	Oost-Vlaanderen
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/	Alajuela
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/	Kachin
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/	Dhaka
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/	Pohjols-Karjala
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/	Sivas
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/	Alberta
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/	North East
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/	Eastern Visayas
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/	Kaliningradskaya
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/	Inhambane
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/	Littoral
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/	Tomsk
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/	Languedoc-Roussillon
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/	Daman and Diu
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/	Northern
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	Durango
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/	Neuchâtel
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/	Samsun
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/	Alsace
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/	Astrakhanskaya
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/	Wielkopolskie
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/	Choluteca
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/	Yoro
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/	Sverdlov
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/	Bitlis
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/	Zamboanga Peninsula
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/	Aomori
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/	San José
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/	Uusimaa
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/	Chernihivs´ka
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/	Ul´yanovsk
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/	Huíla
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/	Sakarya
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/	Araucanía
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/	Brong Ahafo
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/	Negeri Sembilan
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/	Manyara
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	Nizhnii Novgorod
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/	Jämtland
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/	Tyva
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/	Miyazaki
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/	Vlaams-Brabant
http://www.semwebtech.org/mondial/10/country/A/province/Wien/	Wien
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/	Diffa
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/	FCT Islamabad
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/	Wyoming
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/	Novosibirsk
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/	Vladimirskaya
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/	Kermanshah
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/	Poitou Charentes
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/	Moskovskaya
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/	Sumatera Selatan
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/	Kelantan
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/	Melaka
http://www.semwebtech.org/mondial/10/country/GB/province/London/	London
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/	Caquetá
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/	Córdoba
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/	Tanga
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/	Mbeya
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/	Rogaland
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/	Cuvette-Ouest
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/	La Rioja
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/	San Martín
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/	Thurgau
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/	Alaska
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/	Kahramanmaraş
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/	Lindi
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/	Edo
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/	Lunda-Norte
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/	Intibucá
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/	Małopolskie
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/	Cauca
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/	al-Najaf
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/	Ekiti
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/	Ouest
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/	Hodh Chargui
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/	Moquegua
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/	Aveiro
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/	Kayseri
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/	Khyber Pakhtunkhwa
http://www.semwebtech.org/mondial/10/country/P/province/Evora/	Evora
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/	Nordrhein-Westfalen
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/	Burgenland
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/	Kyïv
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/	Castilla y León
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/	Guantánamo
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/	Vest-Agder
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/	Hedmark
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/	Oruro
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/	Shizuoka
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/	Suceava
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/	Vaupés
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/	Ústecký
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/	Bryanskaya
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/	Quebec
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/	Namibe
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/	Fes Boulemane
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/	Utah
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	Jazan
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/	Østfold
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/	Kuna Yala
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/	Berlin
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/	Dâmboviţa
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/	Santiago
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/	Ebonyi
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/	Kabardino-Balkarskaya
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/	Møre og Romsdal
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/	Krasnoyarsk
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/	Tanintharyi
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/	Perak
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/	Equateur
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/	La Libertad
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/	Volyns´ka
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/	Dakhlet Nouadhibou
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/	Bern
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/	Mara
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/	Valais
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/	Golestan
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/	Vallée du Bandama
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/	Bauchi
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/	Colima
http://www.semwebtech.org/mondial/10/country/R/province/Samara/	Samara
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/	Lorestan
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/	Vrancea
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/	Katanga
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/	Piemonte
http://www.semwebtech.org/mondial/10/country/R/province/Altay/	Altay
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/	Coclé
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/	HaDarom
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/	Magadan
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/	Piauí
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/	Friesland
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/	Aceh
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/	L´vivs´ka
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/	Tokushima
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/	Ciego de Ávila
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/	Sălaj
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/	Hefa
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/	Antalya
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/	Huánuco
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/	Montagnes
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/	Cherkas´ka
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/	Altayskiy
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/	North West
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/	Kepulauan Riau
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/	N'zi-Comoé
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/	Limburg
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/	Las Tunas
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/	Dashhowuz
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/	Oulu
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/	Andaman and Nicobar Islands
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/	Zuid-Holland
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/	Huila
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/	Louisiana
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/	Yobe
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/	Delaware
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/	Risaralda
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/	Västmanland
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/	Cordillera
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/	Jambi
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/	Nouakchott
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/	Magdalena
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/	Caraş-Severin
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/	Hajdú-Bihar
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/	Zanzan
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/	Thüringen
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/	DI Yogyakarta
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/	Dakar
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/	Punjab
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/	Salta
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/	Kirkuk
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/	Nord-Kivu
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/	South Carolina
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	Basrah
http://www.semwebtech.org/mondial/10/organization/OECD/	Organization for Economic Cooperation and Development
http://www.semwebtech.org/mondial/10/organization/FATF/	Financial Action Task Force
http://www.semwebtech.org/mondial/10/organization/BDEAC/	Central African States Development Bank
http://www.semwebtech.org/mondial/10/organization/IFC/	International Finance Corporation
http://www.semwebtech.org/mondial/10/organization/G-11/	Group of 11
http://www.semwebtech.org/mondial/10/organization/CIS/	Commonwealth of Independent States
http://www.semwebtech.org/mondial/10/organization/FZ/	Franc Zone
http://www.semwebtech.org/mondial/10/organization/SAARC/	South Asian Association for Regional Cooperation
http://www.semwebtech.org/mondial/10/organization/CAEU/	Council of Arab Economic Unity
http://www.semwebtech.org/mondial/10/organization/BSEC/	Black Sea Economic Cooperation Zone
http://www.semwebtech.org/mondial/10/organization/EAPC/	Euro-Atlantic Partnership Council
http://www.semwebtech.org/mondial/10/organization/ADB/	Asian Development Bank
http://www.semwebtech.org/mondial/10/organization/ECOWAS/	Economic Community of West African States
http://www.semwebtech.org/mondial/10/organization/Entente/	Council of the Entente
http://www.semwebtech.org/mondial/10/organization/BA/	Baltic Assembly
http://www.semwebtech.org/mondial/10/organization/OECS/	Organization of Eastern Caribbean States
http://www.semwebtech.org/mondial/10/organization/ICAO/	International Civil Aviation Organization
http://www.semwebtech.org/mondial/10/organization/CPLP/	Comuinidade dos Paises de Lingua Portuguesa
http://www.semwebtech.org/mondial/10/organization/EIB/	European Investment Bank
http://www.semwebtech.org/mondial/10/organization/PFP/	Partnership for Peace
http://www.semwebtech.org/mondial/10/organization/EAS/	East Asia Summit
http://www.semwebtech.org/mondial/10/organization/COMESA/	Common Market for Eastern and Southern Africa
http://www.semwebtech.org/mondial/10/organization/IPU/	Inter-Parliamentary Union
http://www.semwebtech.org/mondial/10/organization/G-77/	Group of 77
http://www.semwebtech.org/mondial/10/organization/NAM/	Nonaligned Movement
http://www.semwebtech.org/mondial/10/organization/BCIE/	Central American Bank for Economic Integration
http://www.semwebtech.org/mondial/10/organization/ASEAN/	Association of Southeast Asian Nations
http://www.semwebtech.org/mondial/10/organization/WIPO/	World Intellectual Property Organization
http://www.semwebtech.org/mondial/10/organization/PCA/	Permanent Court of Arbitration
http://www.semwebtech.org/mondial/10/organization/CEI/	Central European Initiative
http://www.semwebtech.org/mondial/10/organization/ICC/	International Chamber of Commerce
http://www.semwebtech.org/mondial/10/organization/GUAM/	Organization for Democracy and Economic Development
http://www.semwebtech.org/mondial/10/organization/UNOCI/	United Nations Operation in Cote d'Ivoire
http://www.semwebtech.org/mondial/10/organization/UNRWA/	United Nations Relief and Works Agency for Palestine Refugees in the Near East
http://www.semwebtech.org/mondial/10/organization/IMF/	International Monetary Fund
http://www.semwebtech.org/mondial/10/organization/OPCW/	Organization for the Prohibition of Chemical Weapons
http://www.semwebtech.org/mondial/10/organization/SCO/	Shanghai Cooperation Organization
http://www.semwebtech.org/mondial/10/organization/AfDB/	African Development Bank Group
http://www.semwebtech.org/mondial/10/organization/AFESD/	Arab Fund for Economic and Social Development
http://www.semwebtech.org/mondial/10/organization/PIF/	Pacific Islands Forum
http://www.semwebtech.org/mondial/10/organization/OAPEC/	Organization of Arab Petroleum Exporting Countries
http://www.semwebtech.org/mondial/10/organization/G-20/	Group of 20
http://www.semwebtech.org/mondial/10/organization/AG/	Australia Group
http://www.semwebtech.org/mondial/10/organization/MONUSCO/	United Nations Organization Stabilization Mission in the Democratic Republic of the Congo
http://www.semwebtech.org/mondial/10/organization/ITU/	International Telecommunication Union
http://www.semwebtech.org/mondial/10/organization/ARF/	ASEAN Regional Forum
http://www.semwebtech.org/mondial/10/organization/NATO/	North Atlantic Treaty Organization
http://www.semwebtech.org/mondial/10/organization/AU/	African Union
http://www.semwebtech.org/mondial/10/organization/UNMISS/	United Nations Mission in the Republic of South Sudan
http://www.semwebtech.org/mondial/10/organization/IOM/	International Organization for Migration
http://www.semwebtech.org/mondial/10/organization/WHO/	World Health Organization
http://www.semwebtech.org/mondial/10/organization/OAS/	Organization of American States
http://www.semwebtech.org/mondial/10/organization/UNMIL/	United Nations Mission in Liberia
http://www.semwebtech.org/mondial/10/organization/OPEC/	Organization of Petroleum Exporting Countries
http://www.semwebtech.org/mondial/10/organization/IFAD/	International Fund for Agricultural Development
http://www.semwebtech.org/mondial/10/organization/CERN/	European Organization for Nuclear Research
http://www.semwebtech.org/mondial/10/organization/IDA/	International Development Association
http://www.semwebtech.org/mondial/10/organization/G-15/	Group of 15
http://www.semwebtech.org/mondial/10/organization/Caricom/	Caribbean Community and Common Market
http://www.semwebtech.org/mondial/10/organization/OIC/	Organization of Islamic Cooperation
http://www.semwebtech.org/mondial/10/organization/UN/	United Nations
http://www.semwebtech.org/mondial/10/organization/EBRD/	European Bank for Reconstruction and Development
http://www.semwebtech.org/mondial/10/organization/EFTA/	European Free Trade Association
http://www.semwebtech.org/mondial/10/organization/BIS/	Bank for International Settlements
http://www.semwebtech.org/mondial/10/organization/IBRD/	International Bank for Reconstruction and Development
http://www.semwebtech.org/mondial/10/organization/LAIA/	Latin American Integration Association
http://www.semwebtech.org/mondial/10/organization/ICCt/	International Criminal Court
http://www.semwebtech.org/mondial/10/organization/CDB/	Caribbean Development Bank
http://www.semwebtech.org/mondial/10/organization/EU/	European Union
http://www.semwebtech.org/mondial/10/organization/IDB/	Islamic Development Bank
http://www.semwebtech.org/mondial/10/organization/ECO/	Economic Cooperation Organization
http://www.semwebtech.org/mondial/10/organization/NEA/	Nuclear Energy Agency
http://www.semwebtech.org/mondial/10/organization/APEC/	Asia-Pacific Economic Cooperation
http://www.semwebtech.org/mondial/10/organization/CAN/	Andean Community
http://www.semwebtech.org/mondial/10/organization/UNIDO/	United Nations Industrial Development Organization
http://www.semwebtech.org/mondial/10/organization/UNTSO/	United Nations Truce Supervision Organization
http://www.semwebtech.org/mondial/10/organization/ECB/	European Central Bank
http://www.semwebtech.org/mondial/10/organization/NAFTA/	North American Free Trade Agreement
http://www.semwebtech.org/mondial/10/organization/CP/	Colombo Plan
http://www.semwebtech.org/mondial/10/organization/IHO/	International Hydrographic Organization
http://www.semwebtech.org/mondial/10/organization/MINURSO/	United Nations Mission for the Referendum in Western Sahara
http://www.semwebtech.org/mondial/10/organization/UNITAR/	United Nations Institute for Training and Research
http://www.semwebtech.org/mondial/10/organization/CEPGL/	Economic Community of the Great Lakes Countries
http://www.semwebtech.org/mondial/10/organization/SICA/	Central American Integration System
http://www.semwebtech.org/mondial/10/organization/FAO/	Food and Agriculture Organization
http://www.semwebtech.org/mondial/10/organization/UNDOF/	United Nations Disengagement Observer Force
http://www.semwebtech.org/mondial/10/organization/G-3/	Group of 3
http://www.semwebtech.org/mondial/10/organization/G-24/	Group of 24
http://www.semwebtech.org/mondial/10/organization/IOC/	International Olympic Committee
http://www.semwebtech.org/mondial/10/organization/ISO/	International Organization for Standardization
http://www.semwebtech.org/mondial/10/organization/OIF/	International Organization of the French-speaking World
http://www.semwebtech.org/mondial/10/organization/AOSIS/	Alliance of Small Island States
http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	United Nations Military Observer Group in India and Pakistan
http://www.semwebtech.org/mondial/10/organization/SADC/	Southern African Development Community
http://www.semwebtech.org/mondial/10/organization/CD/	Community of Democracies
http://www.semwebtech.org/mondial/10/organization/NC/	Nordic Council
http://www.semwebtech.org/mondial/10/organization/ILO/	International Labor Organization
http://www.semwebtech.org/mondial/10/organization/UNESCO/	United Nations Educational, Scientific, and Cultural Organization
http://www.semwebtech.org/mondial/10/organization/LAES/	Latin American and Caribbean Economic System
http://www.semwebtech.org/mondial/10/organization/IEA/	International Energy Agency
http://www.semwebtech.org/mondial/10/organization/NIB/	Nordic Investment Bank
http://www.semwebtech.org/mondial/10/organization/GCTU/	General Confederation of Trade Unions
http://www.semwebtech.org/mondial/10/organization/SACU/	Southern African Customs Union
http://www.semwebtech.org/mondial/10/organization/Benelux/	Benelux Union
http://www.semwebtech.org/mondial/10/organization/UPU/	Universal Postal Union
http://www.semwebtech.org/mondial/10/organization/EADB/	East African Development Bank
http://www.semwebtech.org/mondial/10/organization/ITUC/	International Trade Union Confederation
http://www.semwebtech.org/mondial/10/organization/WTO/	World Trade Organization
http://www.semwebtech.org/mondial/10/organization/UNCTAD/	United Nations Conference on Trade and Development
http://www.semwebtech.org/mondial/10/organization/EMU/	Economic and Monetary Union
http://www.semwebtech.org/mondial/10/organization/CE/	Council of Europe
http://www.semwebtech.org/mondial/10/organization/IADB/	Inter-American Development Bank
http://www.semwebtech.org/mondial/10/organization/CEMAC/	Economic and Monetary Community of Central Africa
http://www.semwebtech.org/mondial/10/organization/G-5/	Group of 5
http://www.semwebtech.org/mondial/10/organization/EurasEC/	Eurasian Economic Community
http://www.semwebtech.org/mondial/10/organization/WMO/	World Meteorological Organization
http://www.semwebtech.org/mondial/10/organization/OPANAL/	Agency for the Prohibition of Nuclear Weapons in Latin America and the Caribbean
http://www.semwebtech.org/mondial/10/organization/UNSC/	United Nations Security Council
http://www.semwebtech.org/mondial/10/organization/ICJ/	International Court of Justice
http://www.semwebtech.org/mondial/10/organization/SACEP/	South Asia Co-operative Environment Program
http://www.semwebtech.org/mondial/10/organization/Mercosur/	Southern Cone Common Market
http://www.semwebtech.org/mondial/10/organization/UNHCR/	United Nations High Commissioner for Refugees
http://www.semwebtech.org/mondial/10/organization/UNWTO/	World Tourism Organization
http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	Bay of Bengal Initiative for Multi-Sectoral Technical and Economic Cooperation
http://www.semwebtech.org/mondial/10/organization/WFTU/	World Federation of Trade Unions
http://www.semwebtech.org/mondial/10/organization/CSTO/	Collective Security Treaty Organization
http://www.semwebtech.org/mondial/10/organization/NSG/	Nuclear Suppliers Group
http://www.semwebtech.org/mondial/10/organization/InOC/	Indian Ocean Commission
http://www.semwebtech.org/mondial/10/organization/ABEDA/	Arab Bank for Economic Development in Africa
http://www.semwebtech.org/mondial/10/organization/SELEC/	Convention of the Southeast European Law Enforcement Center
http://www.semwebtech.org/mondial/10/organization/MIGA/	Multilateral Investment Guarantee Agency
http://www.semwebtech.org/mondial/10/organization/LAS/	League of Arab States
http://www.semwebtech.org/mondial/10/organization/ACP/	African, Caribbean, and Pacific Group of States
http://www.semwebtech.org/mondial/10/organization/Interpol/	International Criminal Police Organization
http://www.semwebtech.org/mondial/10/organization/UNASUR/	Union of South American Nations
http://www.semwebtech.org/mondial/10/organization/IMSO/	International Mobile Satellite Organization
http://www.semwebtech.org/mondial/10/organization/G-7/	Group of 7
http://www.semwebtech.org/mondial/10/organization/CICA/	Conference of Interaction and Confidence-Building Measures in Asia
http://www.semwebtech.org/mondial/10/organization/ESA/	European Space Agency
http://www.semwebtech.org/mondial/10/organization/GCC/	Gulf Cooperation Council
http://www.semwebtech.org/mondial/10/organization/IFRCS/	International Federation of Red Cross and Red Crescent Societies
http://www.semwebtech.org/mondial/10/organization/IAEA/	International Atomic Energy Agency
http://www.semwebtech.org/mondial/10/organization/IMO/	International Maritime Organization
http://www.semwebtech.org/mondial/10/organization/AMF/	Arab Monetary Fund
http://www.semwebtech.org/mondial/10/organization/UNMIT/	United Nations Integrated Mission in Timor-Leste
http://www.semwebtech.org/mondial/10/organization/WCO/	World Customs Organization
http://www.semwebtech.org/mondial/10/organization/OSCE/	Organization for Security and Cooperation in Europe
http://www.semwebtech.org/mondial/10/organization/C/	Commonwealth
http://www.semwebtech.org/mondial/10/organization/D-8/	Developing Eight
http://www.semwebtech.org/mondial/10/organization/G-8/	Group of 8
http://www.semwebtech.org/mondial/10/organization/CACM/	Central American Common Market
http://www.semwebtech.org/mondial/10/organization/UNFICYP/	United Nations Peacekeeping Force in Cyprus
http://www.semwebtech.org/mondial/10/organization/UNIFIL/	United Nations Interim Force in Lebanon
http://www.semwebtech.org/mondial/10/organization/ZC/	Zangger Committee
http://www.semwebtech.org/mondial/10/organization/UNAMID/	African Union/United Nations Hybrid Operation in Darfur
http://www.semwebtech.org/mondial/10/organization/EITI/	Extractive Industry Transparency Initiative
http://www.semwebtech.org/mondial/10/organization/G-10/	Group of 10
http://www.semwebtech.org/mondial/10/organization/ITSO/	International Telecommunication Satellite Organization
http://www.semwebtech.org/mondial/10/organization/UNISFA/	United Nations Interim Security Force for Abyei
http://www.semwebtech.org/mondial/10/organization/CBSS/	Council of the Baltic Sea States
http://www.semwebtech.org/mondial/10/organization/EAC/	East African Community
http://www.semwebtech.org/mondial/10/organization/ANZUS/	Australia-New Zealand-United States Security Treaty
http://www.semwebtech.org/mondial/10/organization/SPC/	Secretariat of the Pacific Community
http://www.semwebtech.org/mondial/10/organization/G-9/	Group of 9
http://www.semwebtech.org/mondial/10/organization/IGAD/	Inter-Governmental Authority on Development
http://www.semwebtech.org/mondial/10/organization/Sparteca/	South Pacific Regional Trade and Economic Cooperation Agreement
http://www.semwebtech.org/mondial/10/organization/AMU/	Arab Maghreb Union
http://www.semwebtech.org/mondial/10/organization/CELAC/	Community of Latin American and Caribbean States
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	Vejle
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	Tela
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	Tabriz
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	Melekeok
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	Tonghua
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	Braganca
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	Jhongli
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	Luanda
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	Pardubice
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	Worcester
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	Saint Johns
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	Glasgow
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	Shiyan
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	Codo
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	Mashhad
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	Kaohsiung
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	Hospitalet de Llobregat
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	Huzhou
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	Tychy
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	Kirkuk
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	Dongguan
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	La Guaira
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	Silvassa
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	Meixian
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	São João de Meriti
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	Kaposvár
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	Huadian
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	Neuquén
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	Duzce
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	Fuzhou
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	Abha
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	El Alto
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	Huambo
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	Concord
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	Pittsburgh
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	Reading
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	Victoria
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	Bitlis
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	Hengshui
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	Tunja
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	Akureyri
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	Larissa
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	Koksetau
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	Pereira
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	Kingston
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	Antsirabe
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	Nelson Mandela Bay
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	Dijon
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	Temara
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	Irving
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	Agboville
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	Piura
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	Ensenada
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	Sete Lagoas
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	Sousse
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	Hanoi
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	Morón
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	Villavicencio
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	Qinhuangdao
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	Saurimo
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	Baoji
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	Guanare
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	Surrey
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	Syktyvkar
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	Ulsan
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	Pasto
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	Navoiy
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	Mokpo
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	Angra dos Reis
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	Elche
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	Jiaozuo
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	Fort Wayne
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	Lausanne
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	Zug
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	Zhanjiang
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	Pinar del Río
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	Leshan
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	Ilesha
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	Cuautla Morelos
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	Cumaná
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	Jining
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	Spokane
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	Kuala Lumpur
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	Telde
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	Grodno
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	Winnipeg
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	Suzhou
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	Yekaterinburg
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	Milton Keynes
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	Yangjiang
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	Douala
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	Hakkari
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	Gravataí
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	Donostia
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	Antalya
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	Nacaome
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	Lahti
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	Florianópolis
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	Macao
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	Georgetown
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	Oxnard
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	Trujillo
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	Sumgayit
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	Barreiro
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	Viamão
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	Montréal
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	Makiïvka
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	Sakaka
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	Sutton Coldfield
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	Chattanooga
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	Malambo
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	Ondo
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	Al Hasakah
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	Sheffield
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	Maturín
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	Chongqing
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	Oaxaca
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	Hamilton
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	Ploieşti
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	Concordia
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	Mbanza Congo
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	Bremen
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	Chandigarh
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	Cheongju
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	Baia Mare
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	Eger
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	Acarigua
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	Illéla
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	Irkutsk
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	Saint-Louis
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	Guarenas
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	Suva
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	Stans
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	Clearwater
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	Tshwane
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	Athens
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	Pingdingshan
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	Koronadal
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	Enschede
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	Žilina
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	Khorramshahr
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	Herat
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	Helsingborg
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	Roseau
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	Blantyre
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	Pangkal Pinang
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	San Andres
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	Chur
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	Cagayan De Oro
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	Fort-de-France
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	Majuro
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	Suqian
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	Bagé
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	Nevinnomyssk
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	Ribeirão Pires
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	Maanshan
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	Helsinki
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	Watford
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	Ubon Ratchathani
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	Pomona
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	Frankfort
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	Novi Sad
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	Szolnok
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	Springfield
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	Takoradi
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	Winterthur
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	Jizzax
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	Donets´k
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	Tunceli
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	Tarapoto
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	Kaspijsk
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	Busan
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	Kota Bahru
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	Antananarivo
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	Ipswich
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	Owando
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	Papeete
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	Daegu
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	Chita
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	Petare
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	Râmnicu Vâlcea
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	Yanan
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	Indianapolis
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	San Luis
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	Santarem
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	Alexandria
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	Béchar
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	Vinh
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	Bojnurd
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	Carapicuíba
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	Paradise
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	Ushuaia
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	Durgapur
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	Palu
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	Rockford
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	Carrefour
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	Santo Domingo
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	St Helens
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	Salvador
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	Chimoio
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	Swindon
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	Christchurch
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	San Felipe
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	Tegucigalpa
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	Siguatepeque
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	Pematang Siantar
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	Guelmim
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	Amol
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	Fóggia
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	Quito
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	Hermansverk
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	Sion
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	Detroit
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	Nyala
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	Presidente Prudente
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	Peiraias
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	Kawasaki
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	Jeju
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	Bremerhaven
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	Pádova
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	Tripoli
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	Constantine
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	Moss
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	Tianshui
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	Eskisehir
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	Sanming
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	Vladimir
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	Pembroke Pines
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	Bandar Seri Begawan
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	Teófilo Otoni
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	Wulumuqi
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	Lancaster
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	Singida
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	Pekalongan
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	Dzeržinsk
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	Comilla
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	Laghouat
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	Haiphong
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	Sokhumi
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	Szekszárd
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	Casablanca
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	Jiangyou
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	Kirklareli
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	Adelaide
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	Dezful
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	Cartago
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	Al Ubayyiḑ
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	Parnaíba
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	Castellón de la Plana
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	Ta'izz
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	Turku
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	Verona
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	Arlon
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	Pindamonhangaba
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	Gera
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	Osh
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	Baku
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	Yuyao
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	Coimbra
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	Comodoro Rivadavia
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	Vitória da Conquista
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	Bo
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	Odienne
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	Rawson
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	Jincheng
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	Puerto Cortes
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	Santa Rosa
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	Bello
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	Xichang
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	San Juan
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	Itagui
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	Jersey City
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	Muzaffarabad
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	Valparaíso
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	Oruro
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	Hollywood
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	Yellowknife
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	Houston
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	Albacete
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	Huaibei
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	Apeldoorn
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	Kim Chaek
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	Maputo
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	Najafabad
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	Akure
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	Šachty
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	Tambacounda
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	Rangpur
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	San Antonio
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	Sunderland
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	Klang
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	Charlotte Amalie
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	Portland
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	Erie
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	Iquique
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	Hawassa
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	Bridgetown
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	Volzhsky
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	Zhengzhou
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	Impfondo
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	Toledo
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	Batam
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	Atar
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	Rzeszów
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	Severodvinsk
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	Mons
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	Governador Valadares
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	Barra Mansa
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	Sanandaj
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	Novokuznetsk
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	Basildon
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	Ankang
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	Zhumadian
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	Viborg
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	São Gonçalo
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	Itu
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	Kingstown
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	Leverkusen
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	Oulu
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	Penonomé
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	Ferrara
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	Basingstoke
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	Santa Rosa
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	Győr
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	Sarajevo
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	Chichica
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	Békéscsaba
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	Hamamatsu
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	Mesa
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	Zibo
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	Saraburi
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	New York
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	Harar
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	Rochester
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	Mytišči
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	Magaria
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	El Aaiun
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	Middlesbrough
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	Melitopol´
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	Al Qamishl
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	Kuantan
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	Ėngel's
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	Daman
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	Santiago
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	Iqaluit
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	Wels
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	Oklahoma City
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	Marabá
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	Uyo
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	Laval
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	Monrovia
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	Niigata
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	Haarlem
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	Komsomolsk-na-Amure
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	Nevsehir
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	Matagalpa
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	Moradabad
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	Cuttack
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	Qitaihe
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	Rancho Cucamonga
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	Sarapul
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	Poole
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	Hangzhou
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	Seremban
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	Daloa
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	Yizheng
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	Yonkers
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	Santa Marta
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	Vila Velha
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	Nigde
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	Chernivtsi
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	Stoke-on-Trent
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	Lund
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	Santos
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	Ahmadabad
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	Fremont
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	Kirsehir
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	Yakeshi
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	Gifu
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	Nashville-Davidson
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	Piracicaba
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	Celaya
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	Huaiyin
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	Braunschweig
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	Taunggyi
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	Phoenix
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	Amiens
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	Springfield
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	Caxias do Sul
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	Juticalpa
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	Baiyin
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	Parma
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	Sari
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	Cape Coast
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	Cochabamba
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	Antsiranana
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	Barakaldo
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	Ayacucho
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	Ciudad de Guatemala
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	León
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	Davao
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	Patos de Minas
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	Zalau
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	Fès
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	Mbuji-Mayi
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	Goma
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	Yozgat
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	Chelyabinsk
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	Valencia
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	Aba
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	Tiraspol
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	Novyj Urengoj
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	Galaţi
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	Barcelona
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	Piacenza
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	Inglewood
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	Debrecen
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	Boca del Río
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	Barnaul
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	Amsterdam
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	Dire Dawa
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	Ukhta
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	Fianarantsoa
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	Tarnów
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	Mannheim
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	Callao
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	Sinop
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	Saratov
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	Jinxi
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	Road Town
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	Tamatave
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	Hirakata
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	Effon-Alaiye
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	Falun
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	Xianyang
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	Whitehorse
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	Bismarck
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	Sendai
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	Buzău
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	Elbasan
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	Port Harcourt
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	Ščëlkovo
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	San Cristóbal
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	L´viv
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	Mixco
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	Hualien
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	Bandar Lampung
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	Saint George's
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	Chandler
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	Hamedan
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	Xiaoshan
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	Arica
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	Nachodka
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	Parla
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	Santiago
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	Vorkuta
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	Kitchener
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	Chasavjurt
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	Stavanger
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	Tuxtla Gutiérrez
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	Namibe
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	Odense
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	Yeosu
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	Ikare
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	Arapiraca
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	Santa Tecla
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	Derby
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	Manisa
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	Reggio nell'Emilia
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	Bhisho
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	Jinan
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	Zouerate
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	Vigo
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	Moers
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	West Covina
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	Kozhikode
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	Bhopal
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	Changsha
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	Zhytomyr
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	Chon Buri
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	Blackpool
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	Manzhouli
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	Okhotsk
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	Beira
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	Asaba
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	Tongling
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	Genève
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	Guangzhou
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	Tripoli
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	Getafe
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	Northampton
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	Geelong
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	Gorzów Wielkopolski
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	Sidi Bel Abbës
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	Kaedi
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	Vaduz
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	Jinotega
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	Baicheng
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	Jos
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	Perúgia
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	Cádiz
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	Ulyanovsk
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	Jacareí
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	Montreuil
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	Morogoro
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	Dallas
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	London
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	Sapporo
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	Perpignan
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	Santa Maria
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	Baguio
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	Trenčín
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	Amarillo
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	Ar Raqqah
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	West Island
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	Lleida
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	Al Amarah
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	Mumbai
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	Palangkaraya
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	Paris
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	San Fernando
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	Wałbrzych
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	Nîmes
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	Västerås
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	Al Manāmah
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	Cap-Haïtien
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	Strasbourg
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	San José
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	Eisenstadt
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	Plzeň
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	Guarujá
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	Buon Ma Thuot
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	Santa Bárbara d'Oeste
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	Zhoukou
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	Chingola
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	Železnodorožnyj
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	Abeokuta
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	Lubbock
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	Mazatlán
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	Elista
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	Jacksonville
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	Zhangzhou
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	Bonn
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	Tétouan
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	Tangerang
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	Steinkjer
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	Bacolod
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	Fuyang
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	Idlib
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	Uribia
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	Acheng
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	Yinchuan
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	Kayes
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	Alba Iulia
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	Vila Real
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	Lipetsk
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	Annaba
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	Ivano-Frankivs´k
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	Curitiba
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	Onitsha
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	Guliston
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	Carson City
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	Módena
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	Kiel
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	Hiroshima
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	Essen
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	Sorø
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	Coquimbo
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	Sariwon
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	Hafnarfjordur
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	Malmö
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	Samsun
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	Manado
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	Korolëv
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	Vancouver
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	Kyoto
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	San Cristóbal de La Laguna
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	Xiamen
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	Arnhem
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	Kampala
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	Escondido
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	's-Hertogenbosch
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	Aurangabad
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	Phuket
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	Duisburg
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	Fatick
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	Mariehamn
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	Mbeya
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	Wuxi
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	Garland
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	Shinyanga
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	Taiyuan
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	Colombo
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	Dourados
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	Bissau
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	Olanchito
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	New Haven
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	Boa Vista
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	Cabinda
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	Płock
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	Geita
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	Abakaliki
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	Al Mawsil
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	Yanji
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	Kirkwall
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	Heilbronn
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	Quzhou
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	Shishou
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	Łódź
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	Liuzhou
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	Newport
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	Rajahmundry
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	Yichang
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	Bauru
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	Kotka
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	Newark
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	Al Mahallah al Kubra
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	Huangshi
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	Anau
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	Diadema
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	La Esperanza
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	Cambridge
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	Daan
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	Sumaré
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	Rosso
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	Bilecik
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	Lafia
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	Kashiwa
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	Al Qahirah
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	Trier
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	Eugene
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	San José de las Lajas
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	Birjand
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	Camaçari
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	Termiz
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	Sapele
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	Southend-on-Sea
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	Dresden
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	Eskilstuna
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	Boma
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	Rivne
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	Köln
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	Granada
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	Ibirité
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	Ho Chi Minh
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	Al Mansurah
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	Torino
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	Yancheng
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	Biratnagar
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	Gauhati
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	Medan
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	Kaunas
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	Skien
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	Slough
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	Nema
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	Gunsan
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	Yantai
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	Augsburg
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	Majunga
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	Belo Horizonte
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	Zarqa
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	Alvorada
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	Mersin
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	Be'er Sheva
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	Ulaanbaatar
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	Buffalo
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	Buenavista
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	Ibadan
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	Kumanovo
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	Changuinola
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	Fuzhou
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	Anchorage
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	Kursk
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	Rosario
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	Belém
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	Cotonou
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	Hebi
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	Ipoh
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	Foshan
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	Beni Mellal
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	Táranto
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	Randers
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	Opole
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	Aarau
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	Nashik
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	Luan
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	Ludhiana
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	Leiyang
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	Formosa
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	Kunshan
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	Belgorod
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	Puyang
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	Kedougou
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	Chennai
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	Chaozhou
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	Touba
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	Al Basrah
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	Vientiane
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	Gijón
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	Lincoln
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	Durham
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	Al Ladhiqiyah
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	Catanzaro
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	Nanning
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	Lauro de Freitas
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	Orlando
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	Brăila
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	Incheon
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	Southampton
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	Örebro
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	Uberaba
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	Greensboro
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	Las Piñas
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	Granada
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	Białystok
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	Aydin
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	Leticia
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	Xianning
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	Hayward
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	Raleigh
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	Itaituba
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	Bariadi
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	São Leopoldo
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	Santa Fe
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	Spring Valley
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	Bogotá
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	Bacău
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	Kamensk-Ural'skij
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	Shenzhen
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	Erzurum
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	Bristol
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	Orizaba
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	Kyïv
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	Loikaw
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	Ajmer
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	Kurgan
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	Jalandhar
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	Huancayo
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	Sandvika
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	Jamnagar
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	Torrance
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	Narvik
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	Luanshya
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	Sittwe
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	Antofagasta
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	Zielona Góra
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	Balkanabat
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	Dordrecht
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	Sássari
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	Gillingham
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	Mongu
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	Zaoyang
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	Corum
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	Sahiwal
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	Santa Rita
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	Phnom Penh
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	Magé
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	Maidstone
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	Montero
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	Sittard-Geleen
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	Masjed Soleyman
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	Zhezkazgan
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	Elizabeth
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	Ciudad Juárez
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	Nawabshah
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	Hsinchu
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	Kusong
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	Salamanca
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	Canoas
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	Jammu
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	Haifa
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	Sakarya
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	Pori
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	Yueyang
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	Poza Rica de Hidalgo
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	Nuevo Laredo
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	Burewala
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	San Isidro
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	Nanyang
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	Bimbo
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	Huddinge
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	Karyes
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	Gumushane
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	Jequié
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	Jaú
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	Karaganda
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	Kirovohrad
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	Santiago
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	Kashgar
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	Tangerang Selatan
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	Berkeley
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	Bréscia
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	Pondicherry
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	Mbandaka
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	Linköping
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	Manizales
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	Baton Rouge
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	Shangrao
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	Korçë
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	Chilpancingo
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	Victoria de las Tunas
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	Tolyatti
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	Norwalk
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	Stara Zagora
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	Graz
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	Karachi
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	Mary
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	Labuan
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	Kuala Terengganu
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	Laiwu
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	Kiffa
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	Samarinda
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	Mariestad
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	Ewo
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	Guangshui
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	Choloma
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	Dera Ghazi Khan
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	Yibin
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	Worcester
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	Valledupar
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	Lafayette
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	Al Minya
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	Kabwe
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	Chifeng
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	Amravati
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	Akjoujt
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	Olmaliq
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	Parnamirim
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	Saskatoon
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	Kisumu
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	Rahimyar Khan
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	Rabat
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	Drammen
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	Zanjan
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	Colorado Springs
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	Kramators´k
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	Gomel
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	Njombe
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	Charleroi
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	Jiujiang
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	Poços de Caldas
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	Mysore
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	Hagen
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	Cusco
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	Bangui
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	Columbus
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	Kutaisi
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	Daqing
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	Contagem
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	Salé
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	Guiglo
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	Calamba
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	Cartagena
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	Chania
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	Kafr ad Dawwar
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	Melilla
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	Recklinghausen
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	Mishan
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	Mukono
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	Kathmandu
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	Panaji
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	Huelva
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	Orléans
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	Ourense
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	Simi Valley
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	Sevilla
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	Bălţi
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	Torrejón de Ardoz
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	Quezon City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	Oberhausen
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	Paulista
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	San Miguel
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	Luohe
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	Cajamarca
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	Mwanza
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	Hachioji
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	Bielefeld
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	Tuzla
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	Nagano
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	Puerto Ayacucho
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	Génova
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	Edirne
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	Jijiga
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	Vallejo
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	Townsville
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	Nagpur
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	Dos Hermanas
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	Philipsburg
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	Petropavlovsk
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	Avellaneda
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	Comayagua
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	Réggio di Calabria
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	Wellington
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	Freetown
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	Lomas de Zamora
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	Bobo Dioulasso
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	Pingtung
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	Nador
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	Lemesos
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	Balkhash
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	Viseu
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	Guadalajara
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	Cilegon
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	Modesto
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	Manaus
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	Santo Domingo de los Colorados
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	Trujillo
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	Ghardaïa
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	Oran
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	Chişinău
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	Wakayama
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	Yokohama
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	Echeng
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	Barcelona
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	Norfolk
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	Jiaonan
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	Puno
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	Valladolid
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	Aijal
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	Sri Jayawardhanapura Kotte
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	San Miguelito
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	Oakland
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	Guilin
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	Bursa
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	Pachuca
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	Salerno
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	Dayr az Zawr
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	Salta
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	Yenagoa
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	Kızıltepe
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	Lusaka
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	Jiangmen
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	Ústí nad Labem
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	Peoria
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	Boise City
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	Santa Cruz de la Sierra
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	Gent
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	Pasig
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	Nakuru
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	Nara
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	Makhachkala
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	Calgary
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	Djibouti
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	Nampula
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	Wuwei
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	Magnitogorsk
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	Nottingham
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	Saint-Pierre
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	Lichinga
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	Amman
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	Cherkasy
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	Zaozhuang
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	Thane
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	Providence
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	Xinghua
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	Vitória
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	Yopal
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	Huai'an
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	Warri
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	Garden Grove
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	Zixing
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	Ancona
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	Volta Redonda
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	Probolinggo
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	Bratsk
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	Scottsdale
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	Petrolina
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	Aachen
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	Chelmsford
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	Botucatu
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	Zhaodong
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	Barquisimeto
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	Chimalhuacán
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	Rubcovsk
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	Salem
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	Metz
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	Birkenhead
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	Armenia
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	Manchester
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	Vicenza
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	Otsu
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	Beja
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	Santiago de Cuba
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	Calapan
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	Sivas
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	Mandaluyong
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	Guacara
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	Matam
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	Reus
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	Gibraltar
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	Tomsk
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	Nogales
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	Tekirdag
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	Chitungwiza
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	Mansa
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	Sobral
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	Durango
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	Al Fayyum
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	At Taif
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	Hamah
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	Wuhan
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	La Paz
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	Frankfurt am Main
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	Santarém
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	Saint-Étienne
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	Trento
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	Dover
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	Murmansk
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	Anju
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	Panshan
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	Duhouk
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	Owo
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	Augusta
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	Qianjiang
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	Tlemcen
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	Aparecida de Goiânia
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	Dimashq
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	Tulcea
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	Innsbruck
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	Puerto Carreno
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	Kermanshah
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	Marbella
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	Tlaquepaque
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	Iloilo
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	Newcastle
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	Tbilisi
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	Dniprodzerzhyns´k
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	Quibdó
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	Toruń
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	Tainan
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	Benin
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	Slatina
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	Iseyin
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	Moquegua
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	Hasselt
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	Woking
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	Lübeck
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	Wakefield
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	Arkhangelsk
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	Niamey
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	Hortolândia
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	Fuling
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	Hail
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	Nouakchott
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	Jefferson City
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	Lisboa
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	Oujda
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	Djougou
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	Gangtok
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	Al'metjevsk
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	Bushehr
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	Taldykurgan
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	Gdynia
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	Neftejugansk
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	Rishon LeZiyyon
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	Andria
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	Cuautitlán Izcalli
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	Ahvaz
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	Tuluá
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	Wichita Falls
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	Izhevsk
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	Cayenne
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	Neuchatel
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	Shreveport
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	Lille
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	Hampton
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	San Jose
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	Linyi
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	Ziguinchor
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	Plano
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	Masaya
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	Diffa
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	Córdoba
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	An Najaf
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	Offenbach am Main
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	Schaffhausen
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	Alagoinhas
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	Birobidzhan
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	Tanout
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	Kütahya
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	Puškino
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	Port-Gentil
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	Memphis
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	Magwe
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	Halab
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	Meknès
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	Santa Fe
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	Itajaí
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	Hyderabad
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	Valenzuela
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	Kielce
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	Bragança Paulista
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	Sunshine Coast
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	Nova Iguaçu
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	Split
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	Surat
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	Oldenburg
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	Trivandrum
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	Bhubaneswar
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	Al Sharjah
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	Chipata
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	Laredo
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	Honghu
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	Bandundu
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	Mugla
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	Bridgeport
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	Richmond
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	Cerro de Pasco
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	Guangyuan
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	Marsa Matruh
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	Imphal
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	Zhuzhou
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	Zanzibar
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	Neijiang
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	Bocas del Toro
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	Simla
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	Hakodate
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	Haicheng
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	Anqing
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	Abilene
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	Warrington
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	Fredericton
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	Gebze
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	Guigang
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	Padang
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	Saarbrücken
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	Ede
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	Deyang
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	Nablus
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	Mykolaïv
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	Szeged
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	Guanajuato
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	Sabadell
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	Tavoy
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	Hradec Králové
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	Can Tho
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	Omaha
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	Cágliari
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	Asosa
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	El Progreso
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	Americana
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	Dosquebradas
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	Longkou
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	Dhaka
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	Minna
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	San Fernando
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	Tlalnepantla
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	Orechovo-Zujevo
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	Hódmezővásárhely
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	Zinder
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	Edinburgh
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	Ciudad Guayana
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	Bayamo
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	Choluteca
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	Asyut
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	Cascavel
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	Saint-Paul
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	Piatra-Neamţ
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	Ponce
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	Monywa
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	Tengxian
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	Tébessa
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	Adama
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	Topeka
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	Tula
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	Gilgit
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	Badalona
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	Hatay
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	Mamoutzou
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	Alcalá de Henares
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	Xinyang
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	Tours
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	Surabaya
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	Kochi
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	Dutse
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	Takamatsu
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	Bhilai
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	Hilo
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	Fresno
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	Kolda
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	La Paz
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	Batumi
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	Smolensk
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	Xingtai
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	Suzano
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	Okayama
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	Selibaby
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	Brasília
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	Aomori
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	Guarapuava
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	Tema
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	Palikir
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	Songea
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	Corona
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	Soyapango
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	Wete
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	Sumbe
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	Savar
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	Soledad
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	Libreville
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	Huntington Beach
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	Marikina
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	Vijayawada
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	Addis Ababa
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	Nova Friburgo
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	Putrajaya
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	Banjul
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	Prešov
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	Maribor
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	Ashdod
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	Bouafle
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	Daejeon
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	Richmond
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	Riyadh
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	Weihai
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	Rotherham
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	Zwickau
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	Gwangju
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	Chittagong
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	Al Rayyan
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	Al Gazira
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	Chernihiv
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	Južno-Sachalinsk
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	Rīga
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	Tumbes
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	Astrakhan
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	Derbent
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	Salto
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	Jinzhou
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	Preston
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	Magangué
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	Odesa
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	Rio Grande
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	Valdivia
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	Cheyenne
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	Arraiján
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	Kaluga
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	Caxito
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	Laiyang
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	Heyuan
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	Brownsville
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	Forlí
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	Dunhua
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	Arlington
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	Albany
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	Tapachula
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	Ciudad Madero
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	Lucapa
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	Mérida
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	Kyzylorda
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	Flying Fish Cove
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	Pasay
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	Kamoke
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	Batajsk
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	Kerbela
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	Novorossiysk
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	Foz do Iguaçu
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	Chuncheon
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	Port St. Lucie
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	Malayer
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	Skopje
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	Resistencia
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	Passo Fundo
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	Hebron
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	Águas Lindas de Goiás
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	Resita
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	Pécs
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	Ačinsk
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	Birmingham
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	Volgodonsk
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	Ciudad Victoria
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	Shillong
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	Jena
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	Grudziadz
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	Panamá City
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	Huddersfield
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	Poznań
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	Potsdam
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	Kitakyushu
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	Coyhaique
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	N'Zérékoré
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	Kashan
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	Dortmund
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	Algiers
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	Faisalabad
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	Kostroma
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	Camaragibe
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	Kaili
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	San Juan
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	Funafuti
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	Aboisso
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	Edmonton
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	Santa Coloma de Gramenet
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	Toyama
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	Mandalay
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	Settat
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	Limerick
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	Birmingham
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	The Valley
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	Nizhny Tagil
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	Saitama
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	Lappeenranta
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	Tsu
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	Leeds
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	Babol
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	Chorzów
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	Bilbao
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	Wenzhou
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	Artvin
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	Darmstadt
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	Pamplona
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	San Carlos
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	Ilhéus
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	Fukuoka
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	Olsztyn
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	Taipei
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	Antwerpen
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	Athina
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	San-Pedro
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	Salzgitter
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	Oshogbo
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	Stuttgart
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	Gujrat
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	Santo André
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	Yiyang
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	Weifang
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	Stavropol
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	Novara
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	Jiutai
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	Jazan
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	Newport News
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	Zapopan
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	Khorramabad
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	Depok
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	Heerlen
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	Madison
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	Las Vegas
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	Ciego de Ávila
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	Bareilly
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	Sarnen
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	České Budějovice
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	Hamilton
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	Galway
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	Ar Ramadi
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	Kabul
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	Windsor
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	Concepción
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	Santiago del Estero
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	Ciudad López Mateos
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	Cleveland
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	Canakkale
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	Baltimore
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	Zhongshan
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	Zhangjiakou
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	Maracay
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	Sinuiju
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	Tembisa
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	Bishkek
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	Long Beach
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	P'atigorsk
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	Beihai
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	Taitung
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	Gandhinagar
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	Colima
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	Brest
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	Mostaganem
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	Kristianstad
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	Amagasaki
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	Orsk
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	Nizhnii Novgorod
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	Malabo
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	São José dos Pinhais
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	St. John's
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	Arendal
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	Morioka
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	Bytom
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	Honolulu
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	Shubra al Khimah
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	Rio Verde
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	Nanchong
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	Shantou
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	Yining
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	Arlington
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	Wrocław
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	Longjing
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	Neuss
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	Kamyšin
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	Çorlu
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	Khon Kaen
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	Fort Collins
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	Rach Gia
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	Varna
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	København
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	Pierre
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	Ontario
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	Vinnytsia
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	Jeonju
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	Benghazi
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	Teresópolis
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	Vladikavkaz
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	Maracaibo
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	Almaty
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	Anaheim
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	Miyazaki
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	Itabuna
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	Santa Ana de Coro
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	Fushun
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	Bergen
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	Luziânia
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	La Serena
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	Cirilo Guainora
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	Kirikkale
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	Barueri
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	Yamoussoukro
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	Malang
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	San Justo
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	Sylhet
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	Gómez Palacio
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	Quetta
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	Changhua
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	Ibagué
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	Denver
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	Sofia
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	Blumenau
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	Yangon
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	Liberec
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	Naucalpan
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	Chincha Alta
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	Batman
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	Linqing
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	Horlivka
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	Jalingo
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	Hunjiang
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	Kars
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	Banda Aceh
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	Oporto
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	Quelimane
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	San Jose Del Monte
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	Uppsala
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	Jastrzebie Zdroj
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	Fortaleza
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	Qo‘qon
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	Prato
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	Tokat
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	Abomey-Calavi
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	Manzanillo
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	Ikire
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	Dezhou
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	Delhi
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	Volgograd
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	Winston-Salem
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	Şanlıurfa
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	Angarsk
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	Hamilton
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	Jamshedpur
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	Dehra Dun
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	Ganja
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	Podgorica
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	Maoming
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	Breda
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	Maracanaú
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	Mito
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	Angren
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	Marília
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	Adiyaman
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	Aleg
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	L'Aquila
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	Khulna
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	Mulhouse
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	Bishoftu
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	Al Hillah
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	Semarang
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	Fayetteville
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	Argenteuil
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	Itapetininga
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	Mingaora
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	Sana'a
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	Krasnogorsk
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	Gombe
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	Mianyang
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	St. Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	Penza
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	Tampere
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	Birni-N'Konni
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	Durrës
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	Billings
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	Huizhou
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	Imperatriz
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	North Las Vegas
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	Orange
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	Salamanca
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	Dunedin
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	Bolu
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	Malatya
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	Changshu
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	Karaman
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	Peterborough
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	Los Angeles
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	Oskemen
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	Artemisa
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	Atlanta
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	Taoyuan
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	Bogor
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	Duyun
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	Zaragoza
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	Balikpapan
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	San Luis Potosí
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	Gwalior
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	Jelec
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	Sfax
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	Araraquara
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	Yuscaran
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	Shiraz
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	Fort Worth
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	Wigan
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	Asunción
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	Nukus
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	Sokoto
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	Flint
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	Mazar-i-Sharif
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	Mohammedia
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	Zlín
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	Chula Vista
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	Leeuwarden
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	Portsmouth
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	Algeciras
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	Divo
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	Hohhot
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	Bata
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	London
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	Danlí
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	Morelia
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	Bucureşti
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	Kemerovo
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	Vitebsk
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	Turbo
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	Gracias
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	Kocaeli
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	Düsseldorf
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	Port Louis
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	Murcia
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	Tieling
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	Niš
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	Accra
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	Tongliao
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	Podol'sk
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	Pasadena
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	Bryansk
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	Dushanbe
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	Handan
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	Kidal
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	São Vicente
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	Machida
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	Gateshead
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	Faro
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	Agadez
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	Calarasi
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	Santa Ana
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	Pucallpa
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	Krasnodar
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	Jiangyin
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	Dongying
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	Talca
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	Funabashi
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	Jaén
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	Sinpho
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	Gaborone
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	Utrecht
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	Miskolc
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	Radom
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	Regensburg
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	Toulouse
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	Uige
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	Brest
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	Andijon
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	Salgótarján
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	Suwon
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	Hims
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	Francistown
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	Hillerød
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	Seongnam
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	Liaoyuan
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	Erfurt
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	Gonaïves
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	Aqtobe
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	Koulikoro
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	Popayán
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	Yangquan
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	Jinju
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	Kati
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	Itapecerica da Serra
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	Abaetetuba
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	Moroni
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	Mesquita
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	Huaraz
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	Belize City
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	Cape Coral
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	Lelystad
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	Ramallah
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	Faridabad
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	Torreón
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	Kansas City
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	Nazareth
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	Malindi
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	Herne
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	Sirnak
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	Liaoyang
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	M'Bour
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	Yoshkar-Ola
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	Urganch
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	Puntarenas
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	Kyzyl
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	Victoria
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	Chapecó
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	Salem
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	Hong Kong
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	Moshi
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	Santiago de Compostela
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	San Miguel de Tucumán
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	Nagoya
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	Cabo de Santo Agostinho
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	Gatineau
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	Szczecin
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	Madurai
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	Willemstad
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	Dili
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	Worthing
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	Cixi
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	Baotou
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	Suhaj
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	Santa Rosa de Copan
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	Sevastopol´
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	Ferraz de Vasconcelos
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	Serra
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	Kayseri
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	Johor Bahru
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	Corrientes
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	Erzincan
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	Linhe
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	Korla
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	Qui Nhon
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	Wavre
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	Sumbawanga
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	Exeter
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	Jilin
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	Makkah
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	eThekwini
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	Chimbote
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	Nykoping
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	Vitória de Santo Antão
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	Jeddah
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	Villach
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	Aberdeen
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	Medellín
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	Pointe-Noire
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	Long Xuyen
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	Barreiras
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	Voronezh
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	Santa Luzia
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	Mbabane
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	Fort Lauderdale
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	Olomouc
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	Salinas
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	Porto Velho
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	Guantánamo
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	Matsudo
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	Fakaofo
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	Gävle
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	Jimma
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	Niterói
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	Cobija
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	San Pablo
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	Mawlamyine
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	Narayanganj
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	Aalborg
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	Khorugh
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	Beaumont
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	Cotabato
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	Thunder Bay
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	Vlorë
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	Tokchon
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	Babati
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	Rio de Janeiro
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	Kalmar
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	Río Gallegos
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	Praia
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	Caen
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	Timon
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	Ribeirão Preto
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	Qom
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	Castanhal
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	Haora
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	Heze
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	Nezahualcóyotl
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	Taguig
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	Jayapura
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	Khomeinishahr
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	São Paulo
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	Blagoveščensk
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	Linhares
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	Yalova
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	Khmel´nyts´kyi
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	Eldoret
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	Arak
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	Bekasi
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	Tawau
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	Liège
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	Bucheon
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	Gao
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	Tahoua
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	Uberlândia
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	Agri
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	Krefeld
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	La Habana
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	Ndola
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	Latina
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	Afyonkarahisar
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	Kagoshima
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	Cancún
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	Leipzig
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	Chinandega
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	Telford
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	Hämeenlinna
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	Sancti Spíritus
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	Xinyu
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	Kendari
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	Leiden
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	Managua
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	Duque de Caxias
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	Limón
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	Cabo Frio
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	As Suwayda'
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	Grozny
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	Kazan
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	São José dos Campos
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	Awka
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	Dundee
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	Qiqihar
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	Malanje
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	Chiayi
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	Nitra
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	Ilawe-Ekiti
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	Dukou
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	Firenze
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	Aligarh
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	Praia Grande
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	Porto Alegre
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	Harare
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	Kraków
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	Cebu
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	Yokosuka
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	Ananindeua
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	São Luís
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	Madrid
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	Santa Cruz do Sul
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	Koutiala
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	Diyarbakir
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	Tiruchirappalli
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	Indore
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	Karlstad
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	Kavala
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	Kanggye
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	Kurashiki
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	Pescara
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	Stanley
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	Concord
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	Kano
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	Borujerd
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	Chiclayo
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	Wuzhou
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	São Caetano do Sul
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	Skikda
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	Mopti
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	Novosibirsk
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	Sterling Heights
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	Ichikawa
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	Man
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	Nassau
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	Guiyang
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	Alicante
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	Thai Nguyen
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	Okene
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	Birnin Kebbi
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	Rijeka
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	Adana
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	Agadir
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	Ordu
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	Puerto Montt
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	León
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	Islamabad
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	Oslo
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	Gejiu
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	Syracuse
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	Inhambane
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	Herisau
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	Grand Prairie
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	Tianjin
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	Anyang
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	Denpasar
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	Mülheim an der Ruhr
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	Al Hoceima
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	Campobasso
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	Ulm
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	Limoges
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	Seoul
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	Saipan
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	Ciudad Delgado
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	Wien
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	Jaipur
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	Misratah
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	Jamestown
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	Tombouctou
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	Envigado
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	Vung Tau
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	Shizuoka
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	Cimahi
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	Gusau
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	Kaesong
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	Cuenca
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	Raipur
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	Dayton
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	Chalkida
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	Miami
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	Samut Prakan
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	South Bend
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	Aix-en-Provence
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	Shashi
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	Beian
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	Vila Nova de Gaia
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	Nagasaki
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	Karaj
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	Rajshahi
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	Varginha
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	Montes Claros
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	Longyearbyen
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	Al Jizah
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	Alajuela
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	Beipiao
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	Naberezhnye Tchelny
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	São Tomé
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	Uruapan
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	Brčko
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	Oxford
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	Shuangyashan
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	Oranjestad
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	Kahramanmaraş
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	Kanpur
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	Lecce
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	Toulon
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	Yaroslavl
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	Xinxiang
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	Costa Mesa
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	Chengde
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	Kimberley
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	Zunyi
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	Viana do Castelo
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	Ramla
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	Rímini
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	Fuenlabrada
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	Novokujbyševsk
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	Bologna
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	High Wycombe
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	Kunming
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	Fengcheng
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	Middelburg
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	Doncaster
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	Bafoussam
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	Tamanrasset
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	Larkana
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	Delmas
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	Ostersund
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	Luts´k
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	Bikaner
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	Yola
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	Drobeta-Turnu Severin
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	Kumamoto
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	Campeche
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	Siping
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	Siegen
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	Shihezi
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	Tarsus
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	Montevideo
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	Botoşani
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	Thousand Oaks
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	Manila
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	Lefkosia
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	Ekibastuz
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	Karlskrona
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	Vadodara
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	Ife
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	Bydgoszcz
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	Colón
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	Reykjavik
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	Beijing
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	Braşov
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	Cotia
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	Stockholm
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	Gdańsk
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	St. Paul
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	Manokwari
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	Hagåtña
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	Potenza
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	Mikkeli
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	Ganzhou
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	Bordeaux
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	Shizuishan
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	Atyrau
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	Gorakhpur
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	Palmas
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	Halifax
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	Lanzhou
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	Melaka
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	Tijuana
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	Aysaita
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	Juneau
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	Sukabumi
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	Sakai
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	Lomé
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	Luzhou
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	Bijsk
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	Gambella
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	Salford
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	Nonthaburi
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	Calabar
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	Fukui
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	Gondar
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	Tillaberi
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	Burlington
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	Ikorodu
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	Chaoyang
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	Cankiri
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	Nampho
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	Benguela
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	Nantong
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	Kristiansand
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	Solihull
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	Yichun
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	Cabimas
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	Trabzon
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	Austin
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	Chirchiq
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	Villahermosa
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	Sibu
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	Kalisz
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	Peoria
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	Warszawa
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	Utsunomiya
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	Slobozia
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	Wichita
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	Almere
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	Haeju
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	Waco
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	Knoxville
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	Brazzaville
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	Kigoma-Ujiji
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	Växjö
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	Baghdad
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	Arusha
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	Meihekou
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	Oral
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	Kolkata
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	Karlsruhe
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	Arequipa
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	Vitoria-Gasteiz
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	Bayrūt
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	Male
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	Santa Ana
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	Juba
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	Kuopio
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	Sirjan
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	Coatzacoalcos
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	Qinzhou
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	Antipolo
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	Crawley
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	Buenos Aires
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	Joensuu
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	Guayaquil
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	Changde
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	Mus
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	Pemba
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	Cité Soleil
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	Liling
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	Allahabad
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	Maiduguri
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	Székesfehérvár
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	Tongi
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	Helena
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	Fargo
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	Changzhi
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	George Town
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	Rhodes
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	Prypjat
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	Samara
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	Mérida
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	Itanagar
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	Zacatecas
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	Groningen
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	Buraydah
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	Ioannina
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	Tianmen
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	La Spezia
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	Kofu
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	Århus
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	Rochdale
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	Bie
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	Novošachtinsk
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	Bregenz
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	Laohekou
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	Safi
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	Mogi das Cruzes
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	Harbin
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	Los Mochis
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	Reims
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	San Fernando del Valle de Catamarca
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	Sullana
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	Bucaramanga
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	Giurgiu
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	Uvira
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	Bhatpara
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	Singapore
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	Puqi
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	Zhenjiang
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	Schwerin
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	Aurora
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	Wanxian
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	Aksaray
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	Giugliano in Campania
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	Ufa
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	Makurdi
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	Freiburg
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	Honiara
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	Tanta
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	Serang
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	N'Djamena
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	Limeira
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	Yangzhou
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	Darwin
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	Corpus Christi
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	Roatan
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	Londrina
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	Mwene-Ditu
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	Puerto Maldonado
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	Richmond
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	Sucre
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	Terrassa
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	Simferopol´
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	Lansing
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	Yazd
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	São José do Rio Preto
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	Riverside
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	Maceió
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	Mar del Plata
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	Al Isma'iliyah
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	Mocoa
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	Ivanovo
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	Changzhou
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	Giresun
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	Cauayan
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	Tempe
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	Nijmegen
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	Zwolle
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	San Fernando
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	Tasikmalaya
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	Miass
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	Baruta
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	Arzamas
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	Koani
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	Tacloban
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	Besançon
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	Ottawa
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	Santander
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	Zahedan
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	Shaoyang
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	Samarra
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	Songkhla
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	Dąbrowa Górnicza
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	Palmira
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	Talara
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	Sfintu Gheorghe
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	Hobart
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	Wendeng
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	Kopejsk
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	Minneapolis
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	Indaiatuba
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	Dongtai
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	Apia
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	Barranquilla
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	San Nicolás de los Arroyos
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	Zhuhai
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	Louga
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	Ica
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	Kolhapur
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	Mönchengladbach
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	Uruguaiana
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	Lublin
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	Regina
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	Patna
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	Clermont-Ferrand
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	Kumasi
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	Shkodër
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	Xingcheng
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	Karabük
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	Banja Luka
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	General Santos
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	Hanzhong
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	Guadalupe
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	Logroño
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	Karamay
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	Brugge
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	Solingen
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	Itaquaquecetuba
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	Huancavelica
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	Sukkur
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	Larnaka
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	Lengshuijiang
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	Tromsø
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	Al Uqsur
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	Changchun
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	L'ubercy
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	Chetumal
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	Noginsk
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	Punta Arenas
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	Málaga
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	Luena
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	Gongzhuling
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	Chiniot
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	San Francisco
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	Seversk
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	Omdurman
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	Suihua
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	Leiria
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	Olinda
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	Pimpri Chinchwad
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	Franca
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	Al Kuwayt
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	Jerez de la Frontera
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	Makati
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	Pforzheim
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	Brisbane
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	Khartoum North
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	Taraz
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	Fujisawa
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	Ingolstadt
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	Porto Seguro
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	Orenburg
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	Vaslui
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	Bhiwandi
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	Orel
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	Petrópolis
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	Perth
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	Bistrita
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	Mejicanos
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	Temuco
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	Colchester
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Bruxelles
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	Zlatoust
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	Bandung
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	Garanhuns
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	Hamburg
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	Tipitapa
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	Teresina
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	Potosí
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	Machakos
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	Yaren
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	Shaoguan
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	Tartu
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	Multan
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	Zhoushan
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	Novočerkassk
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	Zamboanga
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	Al Iskandariyah
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	Khabarovsk
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	Tessaoua
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	Liyang
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	Koforidua
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	Xiangyang
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	Mesquite
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	Turkmenabat
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	Marg‘ilon
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	Cuiabá
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	Siirt
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	Carolina
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	Nizhnevartovsk
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	Iğdır
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	Bangkok
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	Sanya
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	Chimki
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	Guntur
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	Lanús
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	As Sulaymaniyah
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	Querétaro
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	Zalaegerszeg
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	Ponta Delgada
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	Saharanpur
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	Nacala Porto
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	Jihlava
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	McAllen
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	Baoding
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	Pisa
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	Melbourne
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	Rasht
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	Warangal
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	Badajoz
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	Kupang
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	Kingston upon Hull
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	Katowice
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	Natal
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	Matsuyama
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	Higashiosaka
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	Montgomery
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	Valletta
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	Gaza
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	Tabouk
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	Nay Pyi Taw
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	Trenton
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	Nazran'
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	Al Gedaref
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	Bago
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	Hengyang
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	Minsk
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	San Diego
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	Odincovo
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	Augusta
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	Tucson
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	Waterbury
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	Kremenchuk
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	Okt'abr'skij
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	San Pedro Garza García
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	Xiangtan
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	Mufulira
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	Gujranwala
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	Yushu
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	São José
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	Semey
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	Samarqand
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	Caxias
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	Zhaoqing
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	Muscat
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	Wuhu
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	Harrisburg
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	Taboão da Serra
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	Mexicali
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	Livingstone
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	San Andres de Tumaco
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	Elbląg
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	Xining
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	Gonbad-e-Kavus
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	Pyongyang
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	Las Palmas de Gran Canaria
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	Novomoskovsk
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	Thimphu
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	Dispur
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	Khanty Mansijsk
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	Floridablanca
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	Luoyang
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	Yerevan
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	York
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	Pingxiang
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	Alcorcón
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	Veszprém
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	Taichung
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	Sosnowiec
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	Belfast
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	Wonsan
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	Setúbal
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	Anadyr
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	Jhelum
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	Qina
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	Marrakech
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	La Palma
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	Itaboraí
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	Aguié
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	Mauá
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	Ruian
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	An Nasiriyah
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	Louisville
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	Najran
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	Guediawaye
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	Lubango
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	Espoo
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	Frauenfeld
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	Bulawayo
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	Sincelejo
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	Den Haag
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	Cincinnati
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	Damaturu
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	Guarulhos
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	Queimados
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	Saransk
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	Tonala
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	Gilbert
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	Farg'ona
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	Bobruysk
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	Des Moines
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	Olympia
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	Reutlingen
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	Esfahan
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	Oita
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	Roma
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	Münster
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	Shuangcheng
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	Rio Claro
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	Cherepovets
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	Hyderabad
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	Focsani
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	San Bernardino
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	Oradea
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	Acharnes
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	Pune
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	Ndalatando
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	Cedar Rapids
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	Aosta
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	Evora
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	Elektrostal'
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	Kalabancoro
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	Buenaventura
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	Dosso
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	Dolisie
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	Trieste
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	Al Qunaytirah
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	Rovaniemi
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	Serpuchov
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	Burnaby
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	Glendale
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	Zürich
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	Ujjain
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	La Paz
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	Noumea
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	Banská Bystrica
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	Göttingen
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	Bijeljina
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	Ardahan
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	Tongchuan
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	Kassala
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	Bingol
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	Tarija
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	Anshan
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	Liverpool
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	Bochum
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	Hammerfest
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	Portalegre
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	Visakhapatnam
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	Avarua
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	Vilnius
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	Abancay
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	Messina
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	Tottori
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	Manbij
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	Bur Sa'id
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	Mkokotoni
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	Diourbel
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	Dimbokro
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	Esbjerg
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	Mbombela
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	Luhans´k
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	Le Havre
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	Saint Catharines
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	Gorno Altaysk
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	Maradi
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	Bondoukou
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	Qujing
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	Trondheim
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	San Salvador
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	Hami
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	Shanghai
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	Ponta Grossa
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	Quillacollo
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	Kovrov
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	Pathein
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	Kochi
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	Ocotepeque
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	Glarus
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	Le Mans
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	Denizli
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	Legazpi
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	Kerkyra
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	Ho
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	Matola
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	Posadas
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	Green Bay
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	Xi'an
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	Belford Roxo
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	Rostov-na-Donu
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	Montpellier
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	Bahawalpur
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	Tshikapa
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	Moreno Valley
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	Georgetown
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	Francisco Morato
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	Tucupita
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	Mbarara
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	Kediri
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	Braga
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	Gustavia
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	Cairns
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	Recife
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	Ashgabat
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	Mata-Utu
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	Joliet
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	Deva
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	Nyíregyháza
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	Catia La Mar
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	Rybinsk
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	Hartford
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	Tokyo
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	Mostar
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	Gorgan
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	Tehuacán
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	Huichon
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	Ciudad Bolívar
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	Yerushalayim
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	Châlons-en-Champagne
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	Shanwei
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	Nanjing
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	Peshawar
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	Apartadó
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	Ruda Śląska
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	Boulogne-Billancourt
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	Chicago
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	Daxian
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	Yixing
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	Oldham
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	Newcastle upon Tyne
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	Taiping
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	Marseille
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	Grand Turk
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	Kota Kinabalu
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	Mombasa
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	Cariacica
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	Blackburn
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	Likasi
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	Wolfsburg
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	Hermosillo
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	Bejaïa
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	Iskenderun
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	Juazeiro
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	Charleston
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	Macapá
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	La Rioja
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	Barinas
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	Blida
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	Caucaia
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	Siracusa
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	Qurghonteppa
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	Bandar Abbas
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	Khoy
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	Coimbatore
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	Doha
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	Burgas
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	Burdur
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	Jhansi
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	Härnösand
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	Gorontalo
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	Pago Pago
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	Soacha
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	Sekondi
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	Kinkala
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	Bamenda
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	Poltava
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	Sheikhupura
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	Eindhoven
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	Iquitos
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	Holguín
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	Vadsø
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	Mississauga
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	Khujand
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	Hpa an
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	Tyumen
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	Naha
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	Luxembourg
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	Taganrog
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	La Ceiba
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	Franceville
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	Changwon
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	Burgos
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	Swansea
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	Rajkot
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	Würzburg
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	Banha
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	Surgut
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	Almada
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	Palmdale
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	Mataram
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	Pekanbaru
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	Glendale
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	Umeå
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	Van
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	Ceuta
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	Gliwice
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	Eslam Shahr
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	Independence
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	Gloucester
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	Gold Coast
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	Tulsa
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	Dashhowuz
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	León
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	Montpelier
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	Ciudad Obregón
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	Yongin
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	Santa Cruz de Tenerife
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	Maroua
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	Velikij Novgorod
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	Tokushima
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	Assen
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	Vanersborg
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	Solothurn
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	Douglas
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	San Juan
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	Pavlodar
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	Bellinzona
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	Catánia
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	Ha Long
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	Shangzhi
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	Araguaína
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	Sorocaba
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	Rawalpindi
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	La Chorrera
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	Semnan
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	Anda
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	Nossa Senhora do Socorro
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	Schaerbeek
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	Ngiva
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	Vaughan
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	Juazeiro do Norte
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	Zadar
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	Liestal
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	Benxi
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	Berlin
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	Gagnoa
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	Abengourou
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	Kanazawa
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	Quebec
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	Asmara
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	Zabrze
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	Coventry
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	Anyang
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	Neiva
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	Vaasa
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	Ermoupoli
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	Miercurea Ciuc
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	Port Sudan
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	Thessaloniki
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	Zenica
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	Almería
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	Minatitlán
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	Wuhai
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	Magdeburg
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	Campinas
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	Río Cuarto
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	Chaoxian
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	Piteşti
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	Hefei
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	Zaporizhzhia
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	Anderlecht
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	Anápolis
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	Molenbeek-Saint-Jean
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	Camagüey
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	Srinagar
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	Ningbo
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	Lerwick
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	Lexington
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	Kinshasa
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	Dumai
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	Bangalore
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	Torre del Greco
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	Hannover
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	Sydney
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	Qingdao
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	Mogadishu
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	Ajaccio
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	Kerch
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	Rancagua
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	Kananga
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	Armavir
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	Norwich
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	Aioun
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	Port Blair
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	Temirtau
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	Biel
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	Bournemouth
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	Cape Town
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	Nanchang
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	Caracas
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	Colatina
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	Lowell
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	Sochi
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	Ulanhot
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	Apucarana
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	Kalookan
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	Obninsk
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Sankt Peterburg
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	Mogilev
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	Puerto Cabello
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	Hilversum
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	Santa Barbara
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	Irvine
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	Chitre
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	Košice
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	Cobán
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	Trnava
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	Nouadhibou
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	Chiba
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	Okara
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	al Hudaydah
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	Obuasi
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	Jiaxing
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	Mardan
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	Toledo
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	Madingou
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	Paterson
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	Appenzell
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	Palma de Mallorca
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	Ribeirão das Neves
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	Lakewood
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	Liancheng
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	Monza
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	Jiutepec
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	Tamale
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	Tarragona
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	Jabalpur
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	Castries
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	Dessie
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	Włocławek
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	Butuan
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	Cirebon
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	Vologda
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	Heidelberg
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	Puerto La Cruz
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	Tlaxcala
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	Port Moresby
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	Saltillo
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	Valencia
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	Danyang
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	Halle
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	Bukoba
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	Little Rock
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	Maseru
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	Paranaguá
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	Toluca
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	Aracaju
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	Fontana
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	Basseterre
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	Bertoua
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	Tanga
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	Tirana
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	Kaliningrad
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	Bolzano
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	Tatabánya
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	Enugu
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	Guarda
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	Kustanay
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	Girón
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	Villeurbanne
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	Diwaniyah
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	Cardiff
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	Al Fashir
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	Mudanjiang
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	Bogra
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	Mitu
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	Aurora
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	Kindu
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	Kastamonu
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	Nojabr'sk
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	Perm
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	Lillehammer
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	Prokopjevsk
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	San Pedro Sula
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	Chihuahua
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	Qarshi
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	Viña del Mar
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	Majkop
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	Goyang
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	Ankara
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	Navi Mumbai
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	Iringa
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	Adamstown
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	La Plata
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	Aktau
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	Stamford
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	San Marino
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	Molde
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	Manchester
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	Pétion-Ville
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	Buffalo City
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	Prishtine
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	Philadelphia
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	Móstoles
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	Cosenza
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	Wolverhampton
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	Las Tablas
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	Palermo
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	Qazvin
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	Legnica
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	Ma`arrat an Nu`man
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	Cuernavaca
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	Tidjikja
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	Biskra
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	Yumen
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	Borås
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	Cartagena
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	Peristeri
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	Shijiazhuang
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	Hamm
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	Saint-Denis
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	Bielsko-Biała
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	Ngaoundéré
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	Estelí
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	Dalian
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	Kozani
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	Rizhao
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	Szombathely
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	Žukovskij
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	Vladivostok
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	Eastbourne
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	Uzhhorod
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	Akron
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	Emfuleni
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	Catanduva
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	Salt Lake City
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	Muntinlupa
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	Usak
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	Jixi
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	Ghaziabad
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	Kohima
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	Chengdu
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	Huainan
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	Grand Rapids
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	Virginia Beach
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	El Porvenir
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	Pelotas
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	Markham
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	Hue
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	Zagreb
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	Nuuk
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	Victoria
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	Kaiserslautern
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	Kuching Utara
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	Namur
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	Ouesso
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	Rybnik
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	Nukualofa
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	Gander
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	Noril'sk
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	Mardin
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	Orumiyeh
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	Hildesheim
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	Barretos
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	Sacramento
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	Bottrop
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	Viedma
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	As Suways
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	Constanţa
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	Ternate
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	Lhasa
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	Owerri
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	Mariupol´
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	Divinópolis
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	Kalemi
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	Fullerton
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	Santa Clarita
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	Bodø
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	Visby
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	Shibin al Kum
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	Culiacán
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	Târgu Mureş
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	Sergijev Posad
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	Mekele
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	Garoua
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	Florencia
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	Yaoundé
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	Veracruz
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	Thiès
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	Katsina
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	Kilis
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	Lyon
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	Cachoeiro de Itapemirim
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	Rufisque
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	Sanmenxia
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	Ouagadougou
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	Trujillo
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	Nápoli
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	Osasco
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	Vatican City
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	Port-of-Spain
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	Kherson
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	Kaolack
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	Mmabatho
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	Mataró
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	Lubumbashi
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	Karlovy Vary
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	Mainz
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	Menongue
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	Lalitpur
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	Caruaru
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	Tacna
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	Altdorf
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	El Paso
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	Livorno
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	Dar es Salaam
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	Jessentuki
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	Az Zaqaziq
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	Pagadian
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	Musoma
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	Ardebil
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	Salzburg
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	Kasur
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	Paraná
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	Kaduna
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	Sapucaia do Sul
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	Monterrey
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	Longueuil
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	Tougourt
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	Chiang Mai
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	Embu
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	Evansville
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	Hamhung-Hungnam
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	Hailar
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	Xuancheng
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	Rondonópolis
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	Ludwigshafen
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	Namangan
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	Luleburgaz
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	Oshawa
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	Msunduzi
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	Hialeah
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	Nižnekamsk
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	Bahir Dar
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	Rostock
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	Rennes
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	Saga
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	Tonsberg
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	Bayburt
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	Meerut
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	Venézia
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	Khartoum
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	Cangzhou
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	Lahore
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	Kolomna
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	Reno
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	Oceanside
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	Linz
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	Al Baha
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	Yogyakarta
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	Xai-Xai
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	Mobile
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	Apopa
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	Pikine
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	Ambon
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	Ulhasnagar
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	Kulyab
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	Salavat
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	Tacoma
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	Araçatuba
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	Bauchi
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	Arauca
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	Juliaca
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	Ryazan
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	Tete
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	São Bernardo do Campo
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	Campos dos Goytacazes
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	Ravenna
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	Bukavu
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	Vancouver
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	Heredia
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	Annapolis
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	Kigali
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	Halmstad
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	Kénitra
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	Basse-Terre
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	Bolgatanga
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	Al Ain
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	Tampa
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	Arar
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	Saint Helier
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	Umuahia
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	Kingston
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	Izmir
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	Santa Clara
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	Hubli
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	Cali
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	Lubuk Linggau
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	Erbil
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	Rouen
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	Amasya
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	Targoviste
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	Beograd
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	Gaziantep
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	Koblenz
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	Lages
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	Tehran
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	Osmaniye
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	Yakutsk
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	Osnabrück
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	Wah Cantonment
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	Huánuco
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	Magadan
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	Fürth
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	Andorra la Vella
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	Čerkessk
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	Kavaratti
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	Maringá
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	Tanger
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	Dodoma
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	Basel
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	Ado-Ekiti
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	Osaka
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	Quilmes
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	Sagaing
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	Toronto
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	Keflavik
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	As Samawah
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	Overland Park
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	Duma
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	Macaé
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	Moyobamba
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	Charlotte
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	Soledad Díez Gutiérrez
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	Leganés
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	Bokaro Steel City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	Xintai
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	St. Pölten
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	Rize
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	Charlottetown
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	Zhucheng
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	Copiapó
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	Batna
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	Boston
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	Tarawa
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	Aveiro
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	Balikesir
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	Kaifeng
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	Sibiu
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	Sikasso
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	Tegal
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	Norrköping
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	Ciénaga
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	Xalapa-Enríquez
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	Rio Branco
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	Gelsenkirchen
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	Mendoza
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	Huntsville
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	Kecskemét
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	Bouaké
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	Cluj-Napoca
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	Alofi
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	Jhang
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	Dimitrovgrad
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	Bayamón
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	Shangqiu
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	Kandahar
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	Albuquerque
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	Renqiu
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	Bolton
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	Pervoural'sk
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	Nürnberg
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	Plovdiv
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	Tabora
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	Paderborn
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	Matsue
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	Ebolowa
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	Haining
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	Haikou
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	Jiaozhou
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	Butembo
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	Campo Grande
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	Dammam
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	Tirgu Jiu
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	Barbacena
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	Brighton and Hove
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	Columbia
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	Kitwe
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	Bern
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	Sunchon
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	Colombo
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	Zaria
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	Matanzas
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	Tartus
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	Kobe
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	Abadan
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	Syzran'
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	Chesapeake
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	Ashiaman
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	Allentown
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	Polokwane
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	Los Teques
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	Nakhon Ratchasima
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	Villa Nueva
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	Sagamihara
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	Longyan
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	Suceava
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	Port Vila
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	Hakha
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	Dar`a
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	Shenyang
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	Chake Chake
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	Oyo
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	Ijebu-Ode
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	Cheboksary
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	Pontianak
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	Betim
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	Yamagata
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	Tangshan
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	Mymensingh
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	Sabzevar
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	Ussurijsk
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	Bhavnagar
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	Komotini
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	Weinan
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	São Carlos
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	Sandakan
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	Wafangdian
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	Rotterdam
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	Bamako
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	Toliara
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	München
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	Jambi
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	San Jose del Guaviare
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	Petropavlovsk-Kamčatskij
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	Myitkyina
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	Ségou
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	Yichun
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	Bujumbura
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	Montería
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	Plymouth
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	Yoro
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	Nilópolis
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	Leicester
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	Timişoara
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	Moskva
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	Częstochowa
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	Maastricht
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	Nanping
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	Córdoba
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	Nha Trang
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	Quanzhou
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	Chuxian
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	Cienfuegos
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	Ogbomosho
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	Maebashi
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	Nueva Gerona
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	Cork
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	Osijek
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	Mamuju
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	Rudniy
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	Schwyz
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	Abidjan
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	Balakovo
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	Varanasi
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	Istanbul
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	Murom
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	Grenoble
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	Johannesburg
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	Petah Tiqwa
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	Sioux Falls
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	Buea
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	Lindi
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	Koszalin
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	Córdoba
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	Novočeboksarsk
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	Bahía Blanca
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	Terni
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	Taian
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	A Coruña
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	Fukushima
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	Mtwara
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	Ljubljana
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	Pokhara
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	La Asuncion
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	Delemont
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	Jiamusi
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	Kawaguchi
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	Puerto Lempira
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	Bila Tserkva
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	Remscheid
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	Staryj Oskol
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	Nice
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	Ilam
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	Jingdezhen
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	Astana
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	Marigot
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	Nam Dinh
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	Jackson
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	Ranchi
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	Maragheh
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	Arad
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	Tallinn
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	Mossoró
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	Sunrise Manor
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	Baikonur
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	Klaipeda
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	Yuanjiang
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	Leuven
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	Sumy
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	Xuchang
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	Anshun
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	Luzern
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	Tambov
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	Abu Dhabi
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	Fuxin
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	Agra
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	Kansas City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	Lianyungang
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	Zamora de Hidalgo
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	Matadi
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	Praha
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	Abuja
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	Cottbus
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	Lagos
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	Jodhpur
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	Bandjarmasin
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	Agartala
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	Liberia
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	Alor Setar
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	Fukuyama
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	Ostrava
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	Windhoek
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	Lokoja
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	Iaşi
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	Sankt Gallen
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	Fribourg
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	New Taipei
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	Riohacha
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	Sunnyvale
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	Tanchon
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	Neftekamsk
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	El Djelfa
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	Merida
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	Wuppertal
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	Al Madinah
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	Cheltenham
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	Barisal
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	Cartago
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	Ba'qubah
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	Tallahassee
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	Trinidad
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	Puebla
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	Toyota
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	Kikwit
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	Jakarta
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	Belmopan
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	Ulan-Ude
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	Erlangen
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	Datong
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	Mpanda
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	Amadora
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	Kolonia
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	Chachapoyas
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	Joinville
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	Ansan
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	Jining
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	Nikopol´
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	Wa
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	Lucknow
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	Auckland
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	Krasnoyarsk
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	Dubai
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	Lulea
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	Sibiti
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	Tver
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	Djambala
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	Yamaguchi
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	Dublin
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	Witten
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	Satu Mare
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	Bartin
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	Milwaukee
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	Zigong
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	Zaanstad
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	Liupanshui
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	Saint Peter Port
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	Patra
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	Palembang
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	Puente Alto
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	Kasama
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	Ciudad Santa Catarina
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	Linfen
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	Kassel
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	Nancy
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	Goiânia
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	Jundiaí
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	Nakhon Sawan
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	Kerman
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	Jaboatão
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	Henderson
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	İnegöl
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	Sargodha
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	Pskov
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	Yasuj
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	Kangar
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	Tanjungpinang
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	Savannah
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	As Seeb
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	Kryvyi Rih
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	Acapulco
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	Conakry
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	Damanhur
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	Sétif
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	Seattle
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	Columbus
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	Klagenfurt
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	Washington
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	Berezniki
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	Shymkent
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	Oviedo
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	Xiaogan
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	Castelo Branco
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	Nakhon Si Thammarat
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	Pingdu
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	Sialkot
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	Isparta
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	Mogi Guaçu
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	Lincoln
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	Ternopil´
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	Bergisch Gladbach
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	Irapuato
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	Bérgamo
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	Luton
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	Tilburg
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	El Monte
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	New Orleans
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	Ipatinga
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	Zonguldak
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	Bengbu
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	João Pessoa
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	Konya
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	Omsk
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	Taizhou
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	Irbid
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	Sunyani
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	Ecatepec
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	San Nicolás de los Garzas
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	Alcobendas
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	Xuzhou
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	Naperville
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	Nishinomiya
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	Chemnitz
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	Angers
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	Amritsar
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	Plymouth
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	Tepic
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	Dakar
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	Poitiers
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	Bien Hoa
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	Bratislava
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	Kolwezi
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	Loudi
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	Abakan
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	Pasadena
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	Bida
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	Jyväskylä
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	Milano
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	Ciudad del Este
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	Jinhua
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	Toshkent
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	Liaocheng
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	Lima
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	Dnipropetrovs´k
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	Ilorin
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	David
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	Kisangani
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	Aswan
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	Yingkou
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	Kaffrine
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	Da Nang
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	Shaoxing
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	Keelung
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	Mangaung
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	Aguascalientes
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	Talcahuano
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	Sholapur
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	Balašicha
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	Ann Arbor
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	Nal'čik
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	Brno
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	Springfield
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	Várzea Grande
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	Feira de Santana
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	Craiova
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	Kirov
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	Hurghada
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	San Salvador de Jujuy
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	Mytilini
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	Jönköping
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	Surakarta
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	Bani Suwayf
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	Bari
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	Tórshavn
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	Budapest
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	Wollongong
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	Juiz de Fora
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	Aksu
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	Buxoro
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	Elazig
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	Ruse
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	Shahr-e-Kord
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	Port-au-Prince
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	Stockport
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	Nantes
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	Monaco
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	Alexandria
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	Kharkiv
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	Petaling Jaya
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	Kota
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	Tunis
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	Korhogo
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	Sterlitamak
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	Criciúma
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	Bakersfield
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	Taubaté
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	Makassar
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	Yongan
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	Paramaribo
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	Al Kut
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	Mirpur Khas
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	Tel Aviv-Yafo
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	Huaihua
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	Wiesbaden
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	Canberra
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	Cúcuta
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	Bradford
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	Monclova
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	Amersfoort
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	Stockton
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	Bengkulu
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	Lilongwe
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	Lugano
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	Binjai
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	Reynosa
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	Himeji
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	Kislovodsk
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	Parañaque
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	Coral Springs
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	Chongjin
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	Lamia
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	Aden
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	Ciudad de México
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	Matamoros
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	Hamar
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	Solwezi
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	Neyshabur
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	Nairobi
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	Sabará
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	Novo Hamburgo
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	Salekhard
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	Koror
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	Volos
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	St. Louis
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	Dandong
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	Sedhiou
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	Campina Grande
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	Akita
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	Tuguegarao
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	Yuci
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	Kalyan
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	Qaemshahr
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	Ekurhuleni - Germiston
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	Warren
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	Funchal
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	General San Martín
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	Petrozavodsk
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	Inirida
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	Seguela
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	Kaechon
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	Porto-Novo
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	Fuyu
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	Cam Pha
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	Brampton
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	Shah Alam
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	Hegang
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	Sacaba
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	Itapevi
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	Barrancabermeja
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	Tampico
http://www.semwebtech.org/mondial/10/politicalbody/HolyRomanEmpire/	\N
http://www.semwebtech.org/mondial/10/politicalbody/Austria-Hungary/	\N
http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/	\N
http://www.semwebtech.org/mondial/10/politicalbody/Yugoslavia/	\N
http://www.semwebtech.org/mondial/10/politicalbody/OttomanEmpire/	\N
http://www.semwebtech.org/mondial/10/politicalbody/Czechoslovakia/	\N
http://www.semwebtech.org/mondial/10/politicalbody/MergerofNorth-SouthYemen/	\N
\.


--
-- TOC entry 5944 (class 0 OID 90171)
-- Dependencies: 714
-- Data for Name: Province; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Province" ("URI", "isProvinceOf") FROM stdin;
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/Z/province/Western/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Ilfov/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Pest/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Vas/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Zala/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Heves/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Békés/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/PK/province/FATA/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/Z/province/Central/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Molise/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/BY/province/Minsk/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/RegionsofRepublicanSubordination/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Lima/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Braga/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/TR/province/Van/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Beja/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Evora/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altay/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Penza/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/GB/province/London/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/	http://www.semwebtech.org/mondial/10/country/F/
\.


--
-- TOC entry 5945 (class 0 OID 90174)
-- Dependencies: 715
-- Data for Name: ReifiedThing; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "ReifiedThing" ("URI", percent) FROM stdin;
\.


--
-- TOC entry 5946 (class 0 OID 90180)
-- Dependencies: 716
-- Data for Name: Religion; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Religion" ("URI") FROM stdin;
http://www.semwebtech.org/mondial/10/religion/Presbyterian/
http://www.semwebtech.org/mondial/10/religion/Baptist/
http://www.semwebtech.org/mondial/10/religion/ChurchofGod/
http://www.semwebtech.org/mondial/10/religion/Hindu/
http://www.semwebtech.org/mondial/10/religion/ArmenianApostolic/
http://www.semwebtech.org/mondial/10/religion/Catholic/
http://www.semwebtech.org/mondial/10/religion/CaoDai/
http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
http://www.semwebtech.org/mondial/10/religion/Sikh/
http://www.semwebtech.org/mondial/10/religion/Jains/
http://www.semwebtech.org/mondial/10/religion/Taoist/
http://www.semwebtech.org/mondial/10/religion/Episcopalian/
http://www.semwebtech.org/mondial/10/religion/ChristianCongregationalist/
http://www.semwebtech.org/mondial/10/religion/Mormon/
http://www.semwebtech.org/mondial/10/religion/Druze/
http://www.semwebtech.org/mondial/10/religion/Yezidi/
http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
http://www.semwebtech.org/mondial/10/religion/UkrainianGreekCatholic/
http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
http://www.semwebtech.org/mondial/10/religion/Methodist/
http://www.semwebtech.org/mondial/10/religion/UnitingChurchAustralia/
http://www.semwebtech.org/mondial/10/religion/Christian/
http://www.semwebtech.org/mondial/10/religion/Chondogyo/
http://www.semwebtech.org/mondial/10/religion/UnitedChurch/
http://www.semwebtech.org/mondial/10/religion/Protestant/
http://www.semwebtech.org/mondial/10/religion/EkalesiaNiue/
http://www.semwebtech.org/mondial/10/religion/HoaHao/
http://www.semwebtech.org/mondial/10/religion/Kimbanguist/
http://www.semwebtech.org/mondial/10/religion/Confucianism/
http://www.semwebtech.org/mondial/10/religion/NewApostolic/
http://www.semwebtech.org/mondial/10/religion/ChurchChrist/
http://www.semwebtech.org/mondial/10/religion/Jewish/
http://www.semwebtech.org/mondial/10/religion/Anglican/
http://www.semwebtech.org/mondial/10/religion/CongregationalChristian/
http://www.semwebtech.org/mondial/10/religion/Buddhist/
http://www.semwebtech.org/mondial/10/religion/Bahai/
http://www.semwebtech.org/mondial/10/religion/Mayan/
http://www.semwebtech.org/mondial/10/religion/ChurchTuvalu/
http://www.semwebtech.org/mondial/10/religion/Adventist/
http://www.semwebtech.org/mondial/10/religion/Muslim/
http://www.semwebtech.org/mondial/10/religion/CopticChristian/
http://www.semwebtech.org/mondial/10/religion/United/
http://www.semwebtech.org/mondial/10/religion/AfricanMethodistEpiscopal/
\.


--
-- TOC entry 5947 (class 0 OID 90183)
-- Dependencies: 717
-- Data for Name: River; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "River" ("URI", "hasEstuary", "hasSource") FROM stdin;
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/source/Paatsjoki/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/source/Guadiana/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/estuary/Mantaro/	http://www.semwebtech.org/mondial/10/source/Mantaro/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/estuary/Garonne/	http://www.semwebtech.org/mondial/10/source/Garonne/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	http://www.semwebtech.org/mondial/10/source/Syrdarja/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/estuary/Jenissej/	http://www.semwebtech.org/mondial/10/source/Jenissej/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/source/Salzach/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/estuary/Doubs/	http://www.semwebtech.org/mondial/10/source/Doubs/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/estuary/Oranje/	http://www.semwebtech.org/mondial/10/source/Oranje/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/estuary/Uruguay/	http://www.semwebtech.org/mondial/10/source/Uruguay/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/estuary/Theiss/	http://www.semwebtech.org/mondial/10/source/Theiss/
http://www.semwebtech.org/mondial/10/river/Newa/	http://www.semwebtech.org/mondial/10/estuary/Newa/	http://www.semwebtech.org/mondial/10/source/Newa/
http://www.semwebtech.org/mondial/10/river/Swir/	http://www.semwebtech.org/mondial/10/estuary/Swir/	http://www.semwebtech.org/mondial/10/source/Swir/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/estuary/Kasai/	http://www.semwebtech.org/mondial/10/source/Kasai/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/estuary/Drina/	http://www.semwebtech.org/mondial/10/source/Drina/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/estuary/Tiber/	http://www.semwebtech.org/mondial/10/source/Tiber/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/estuary/Saone/	http://www.semwebtech.org/mondial/10/source/Saone/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/source/NiagaraRiver/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/estuary/Arkansas/	http://www.semwebtech.org/mondial/10/source/Arkansas/
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	http://www.semwebtech.org/mondial/10/source/NelsonRiver/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/estuary/Schari/	http://www.semwebtech.org/mondial/10/source/Schari/
http://www.semwebtech.org/mondial/10/river/Manicouagan/	http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	http://www.semwebtech.org/mondial/10/source/Manicouagan/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/estuary/Mosel/	http://www.semwebtech.org/mondial/10/source/Mosel/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/estuary/Ob/	http://www.semwebtech.org/mondial/10/source/Ob/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/estuary/Araguaia/	http://www.semwebtech.org/mondial/10/source/Araguaia/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/estuary/Zambezi/	http://www.semwebtech.org/mondial/10/source/Zambezi/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/source/Argun/
http://www.semwebtech.org/mondial/10/river/Aruwimi/	http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	http://www.semwebtech.org/mondial/10/source/Aruwimi/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/estuary/Amazonas/	http://www.semwebtech.org/mondial/10/source/Amazonas/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/estuary/Sanga/	http://www.semwebtech.org/mondial/10/source/Sanga/
http://www.semwebtech.org/mondial/10/river/BlackDrin/	http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	http://www.semwebtech.org/mondial/10/source/BlackDrin/
http://www.semwebtech.org/mondial/10/river/Kemijoki/	http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	http://www.semwebtech.org/mondial/10/source/Kemijoki/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/estuary/Okavango/	http://www.semwebtech.org/mondial/10/source/Okavango/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/estuary/Prypjat/	http://www.semwebtech.org/mondial/10/source/Prypjat/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/estuary/Dnepr/	http://www.semwebtech.org/mondial/10/source/Dnepr/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	http://www.semwebtech.org/mondial/10/source/TruckeeRiver/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/estuary/Semliki/	http://www.semwebtech.org/mondial/10/source/Semliki/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/estuary/Tigris/	http://www.semwebtech.org/mondial/10/source/Tigris/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/estuary/Olt/	http://www.semwebtech.org/mondial/10/source/Olt/
http://www.semwebtech.org/mondial/10/river/Oulujoki/	http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	http://www.semwebtech.org/mondial/10/source/Oulujoki/
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/estuary/Petschora/	http://www.semwebtech.org/mondial/10/source/Petschora/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/estuary/Drau/	http://www.semwebtech.org/mondial/10/source/Drau/
http://www.semwebtech.org/mondial/10/river/Kwa/	http://www.semwebtech.org/mondial/10/estuary/Kwa/	http://www.semwebtech.org/mondial/10/source/Kwa/
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	http://www.semwebtech.org/mondial/10/source/WhiteDrin/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/estuary/Volga/	http://www.semwebtech.org/mondial/10/source/Volga/
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/estuary/Piva/	http://www.semwebtech.org/mondial/10/source/Piva/
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/estuary/Atbara/	http://www.semwebtech.org/mondial/10/source/Atbara/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/estuary/Lagen/	http://www.semwebtech.org/mondial/10/source/Lagen/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/estuary/Mur/	http://www.semwebtech.org/mondial/10/source/Mur/
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/estuary/Pibor/	http://www.semwebtech.org/mondial/10/source/Pibor/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/estuary/Irtysch/	http://www.semwebtech.org/mondial/10/source/Irtysch/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/estuary/Don/	http://www.semwebtech.org/mondial/10/source/Don/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/river/Sobat/	http://www.semwebtech.org/mondial/10/estuary/Sobat/	http://www.semwebtech.org/mondial/10/source/Sobat/
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/estuary/Lena/	http://www.semwebtech.org/mondial/10/source/Lena/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/estuary/Douro/	http://www.semwebtech.org/mondial/10/source/Douro/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/estuary/Mekong/	http://www.semwebtech.org/mondial/10/source/Mekong/
http://www.semwebtech.org/mondial/10/river/Ammer/	http://www.semwebtech.org/mondial/10/estuary/Ammer/	http://www.semwebtech.org/mondial/10/source/Ammer/
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/estuary/Karasu/	http://www.semwebtech.org/mondial/10/source/Karasu/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/estuary/Weichsel/	http://www.semwebtech.org/mondial/10/source/Weichsel/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/estuary/Isar/	http://www.semwebtech.org/mondial/10/source/Isar/
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	http://www.semwebtech.org/mondial/10/source/VictoriaNile/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/source/Inn/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/estuary/Limpopo/	http://www.semwebtech.org/mondial/10/source/Limpopo/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/estuary/Glomma/	http://www.semwebtech.org/mondial/10/source/Glomma/
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	http://www.semwebtech.org/mondial/10/source/Guadalquivir/
http://www.semwebtech.org/mondial/10/river/Umeaelv/	http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	http://www.semwebtech.org/mondial/10/source/Umeaelv/
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/estuary/Tennessee/	http://www.semwebtech.org/mondial/10/source/Tennessee/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/estuary/Bani/	http://www.semwebtech.org/mondial/10/source/Bani/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/estuary/Karun/	http://www.semwebtech.org/mondial/10/source/Karun/
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/estuary/Urubamba/	http://www.semwebtech.org/mondial/10/source/Urubamba/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/estuary/Lukenie/	http://www.semwebtech.org/mondial/10/source/Lukenie/
http://www.semwebtech.org/mondial/10/river/Lukuga/	http://www.semwebtech.org/mondial/10/estuary/Lukuga/	http://www.semwebtech.org/mondial/10/source/Lukuga/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/estuary/Mississippi/	http://www.semwebtech.org/mondial/10/source/Mississippi/
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/estuary/Uelle/	http://www.semwebtech.org/mondial/10/source/Uelle/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	http://www.semwebtech.org/mondial/10/source/RioDesaguadero/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	http://www.semwebtech.org/mondial/10/source/Kymijoki/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/estuary/Colorado/	http://www.semwebtech.org/mondial/10/source/Colorado/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/estuary/Ticino/	http://www.semwebtech.org/mondial/10/source/Ticino/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	http://www.semwebtech.org/mondial/10/source/Ruzizi/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/estuary/Cuilo/	http://www.semwebtech.org/mondial/10/source/Cuilo/
http://www.semwebtech.org/mondial/10/river/Würm/	http://www.semwebtech.org/mondial/10/estuary/Würm/	http://www.semwebtech.org/mondial/10/source/Würm/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/estuary/Niger/	http://www.semwebtech.org/mondial/10/source/Niger/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/estuary/Tobol/	http://www.semwebtech.org/mondial/10/source/Tobol/
http://www.semwebtech.org/mondial/10/river/Alz/	http://www.semwebtech.org/mondial/10/estuary/Alz/	http://www.semwebtech.org/mondial/10/source/Alz/
http://www.semwebtech.org/mondial/10/river/Fimi/	http://www.semwebtech.org/mondial/10/estuary/Fimi/	http://www.semwebtech.org/mondial/10/source/Fimi/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/estuary/Jangtse/	http://www.semwebtech.org/mondial/10/source/Jangtse/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/estuary/Po/	http://www.semwebtech.org/mondial/10/source/Po/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/source/Luapula/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/source/DetroitRiver/
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/estuary/Leine/	http://www.semwebtech.org/mondial/10/source/Leine/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/estuary/Rhone/	http://www.semwebtech.org/mondial/10/source/Rhone/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/estuary/Zaire/	http://www.semwebtech.org/mondial/10/source/Zaire/
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/estuary/Naryn/	http://www.semwebtech.org/mondial/10/source/Naryn/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/estuary/Huallaga/	http://www.semwebtech.org/mondial/10/source/Huallaga/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/estuary/Ili/	http://www.semwebtech.org/mondial/10/source/Ili/
http://www.semwebtech.org/mondial/10/river/Neckar/	http://www.semwebtech.org/mondial/10/estuary/Neckar/	http://www.semwebtech.org/mondial/10/source/Neckar/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/estuary/Jordan/	http://www.semwebtech.org/mondial/10/source/Jordan/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/estuary/Sanaga/	http://www.semwebtech.org/mondial/10/source/Sanaga/
http://www.semwebtech.org/mondial/10/river/Perene/	http://www.semwebtech.org/mondial/10/estuary/Perene/	http://www.semwebtech.org/mondial/10/source/Perene/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/estuary/Loire/	http://www.semwebtech.org/mondial/10/source/Loire/
http://www.semwebtech.org/mondial/10/river/Aller/	http://www.semwebtech.org/mondial/10/estuary/Aller/	http://www.semwebtech.org/mondial/10/source/Aller/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/source/RioGrande/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	http://www.semwebtech.org/mondial/10/source/DarlingRiver/
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	http://www.semwebtech.org/mondial/10/source/Ounasjoki/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/estuary/Apurimac/	http://www.semwebtech.org/mondial/10/source/Apurimac/
http://www.semwebtech.org/mondial/10/river/Breg/	http://www.semwebtech.org/mondial/10/estuary/Breg/	http://www.semwebtech.org/mondial/10/source/Breg/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	http://www.semwebtech.org/mondial/10/source/MerrimackRiver/
http://www.semwebtech.org/mondial/10/river/Fulda/	http://www.semwebtech.org/mondial/10/estuary/Fulda/	http://www.semwebtech.org/mondial/10/source/Fulda/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/source/Senegal/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/estuary/Oka/	http://www.semwebtech.org/mondial/10/source/Oka/
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	http://www.semwebtech.org/mondial/10/source/Goetaaelv/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/estuary/Narew/	http://www.semwebtech.org/mondial/10/source/Narew/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/estuary/Orinoco/	http://www.semwebtech.org/mondial/10/source/Orinoco/
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/estuary/Limmat/	http://www.semwebtech.org/mondial/10/source/Limmat/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	http://www.semwebtech.org/mondial/10/source/Vuoksi/
http://www.semwebtech.org/mondial/10/river/Mincio/	http://www.semwebtech.org/mondial/10/estuary/Mincio/	http://www.semwebtech.org/mondial/10/source/Mincio/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	http://www.semwebtech.org/mondial/10/source/RioMadeira/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/estuary/Aare/	http://www.semwebtech.org/mondial/10/source/Aare/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	http://www.semwebtech.org/mondial/10/source/Dnjestr/
http://www.semwebtech.org/mondial/10/river/Moraca/	http://www.semwebtech.org/mondial/10/estuary/Moraca/	http://www.semwebtech.org/mondial/10/source/Moraca/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/estuary/Benue/	http://www.semwebtech.org/mondial/10/source/Benue/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/estuary/Missouri/	http://www.semwebtech.org/mondial/10/source/Missouri/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	http://www.semwebtech.org/mondial/10/source/Pjandsh/
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/estuary/Marne/	http://www.semwebtech.org/mondial/10/source/Marne/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	http://www.semwebtech.org/mondial/10/source/RioSanJuan/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/estuary/Lomami/	http://www.semwebtech.org/mondial/10/source/Lomami/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/estuary/Save/	http://www.semwebtech.org/mondial/10/source/Save/
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/estuary/Etsch/	http://www.semwebtech.org/mondial/10/source/Etsch/
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/estuary/Murgab/	http://www.semwebtech.org/mondial/10/source/Murgab/
http://www.semwebtech.org/mondial/10/river/Buna/	http://www.semwebtech.org/mondial/10/estuary/Buna/	http://www.semwebtech.org/mondial/10/source/Buna/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/estuary/Tajo/	http://www.semwebtech.org/mondial/10/source/Tajo/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/estuary/Werra/	http://www.semwebtech.org/mondial/10/source/Werra/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	http://www.semwebtech.org/mondial/10/source/Irawaddy/
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/estuary/Vaal/	http://www.semwebtech.org/mondial/10/source/Vaal/
http://www.semwebtech.org/mondial/10/river/Bartang/	http://www.semwebtech.org/mondial/10/estuary/Bartang/	http://www.semwebtech.org/mondial/10/source/Bartang/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/estuary/Seine/	http://www.semwebtech.org/mondial/10/source/Seine/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/estuary/Amudarja/	http://www.semwebtech.org/mondial/10/source/Amudarja/
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	http://www.semwebtech.org/mondial/10/source/MackenzieRiver/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/
http://www.semwebtech.org/mondial/10/river/Enns/	http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/source/Enns/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/estuary/Euphrat/	http://www.semwebtech.org/mondial/10/source/Euphrat/
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/estuary/Kolyma/	http://www.semwebtech.org/mondial/10/source/Kolyma/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/estuary/Saar/	http://www.semwebtech.org/mondial/10/source/Saar/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/estuary/Moldau/	http://www.semwebtech.org/mondial/10/source/Moldau/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	http://www.semwebtech.org/mondial/10/source/SouthernMorava/
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/estuary/Narva/	http://www.semwebtech.org/mondial/10/source/Narva/
http://www.semwebtech.org/mondial/10/river/Suchona/	http://www.semwebtech.org/mondial/10/estuary/Suchona/	http://www.semwebtech.org/mondial/10/source/Suchona/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	http://www.semwebtech.org/mondial/10/source/SnowyRiver/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/estuary/Ischim/	http://www.semwebtech.org/mondial/10/source/Ischim/
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/estuary/Katun/	http://www.semwebtech.org/mondial/10/source/Katun/
http://www.semwebtech.org/mondial/10/river/Busira/	http://www.semwebtech.org/mondial/10/estuary/Busira/	http://www.semwebtech.org/mondial/10/source/Busira/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/estuary/Kama/	http://www.semwebtech.org/mondial/10/source/Kama/
http://www.semwebtech.org/mondial/10/river/WesternMorava/	http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	http://www.semwebtech.org/mondial/10/source/WesternMorava/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	http://www.semwebtech.org/mondial/10/source/NorthernDwina/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	http://www.semwebtech.org/mondial/10/source/Dalaelv/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/estuary/Lualaba/	http://www.semwebtech.org/mondial/10/source/Lualaba/
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/estuary/Bomu/	http://www.semwebtech.org/mondial/10/source/Bomu/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/estuary/Hwangho/	http://www.semwebtech.org/mondial/10/source/Hwangho/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/source/March/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/estuary/Lech/	http://www.semwebtech.org/mondial/10/source/Lech/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/estuary/Murat/	http://www.semwebtech.org/mondial/10/source/Murat/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/estuary/Gambia/	http://www.semwebtech.org/mondial/10/source/Gambia/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	http://www.semwebtech.org/mondial/10/source/YukonRiver/
http://www.semwebtech.org/mondial/10/river/Chatanga/	http://www.semwebtech.org/mondial/10/estuary/Chatanga/	http://www.semwebtech.org/mondial/10/source/Chatanga/
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/estuary/Pruth/	http://www.semwebtech.org/mondial/10/source/Pruth/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/estuary/Cuango/	http://www.semwebtech.org/mondial/10/source/Cuango/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/estuary/Dnister/	http://www.semwebtech.org/mondial/10/source/Dnister/
http://www.semwebtech.org/mondial/10/river/WhiteNile/	http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	http://www.semwebtech.org/mondial/10/source/WhiteNile/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/source/Oder/
http://www.semwebtech.org/mondial/10/river/Isere/	http://www.semwebtech.org/mondial/10/estuary/Isere/	http://www.semwebtech.org/mondial/10/source/Isere/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	http://www.semwebtech.org/mondial/10/source/WesternDwina/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/estuary/Paraguay/	http://www.semwebtech.org/mondial/10/source/Paraguay/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/estuary/WesternBug/	http://www.semwebtech.org/mondial/10/source/WesternBug/
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/estuary/Lulua/	http://www.semwebtech.org/mondial/10/source/Lulua/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/estuary/Thames/	http://www.semwebtech.org/mondial/10/source/Thames/
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/river/Asahan/	http://www.semwebtech.org/mondial/10/estuary/Asahan/	http://www.semwebtech.org/mondial/10/source/Asahan/
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/estuary/Tara/	http://www.semwebtech.org/mondial/10/source/Tara/
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/estuary/Main/	http://www.semwebtech.org/mondial/10/source/Main/
http://www.semwebtech.org/mondial/10/river/Tambo/	http://www.semwebtech.org/mondial/10/estuary/Tambo/	http://www.semwebtech.org/mondial/10/source/Tambo/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/estuary/Indus/	http://www.semwebtech.org/mondial/10/source/Indus/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/estuary/Iller/	http://www.semwebtech.org/mondial/10/source/Iller/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/estuary/Ural/	http://www.semwebtech.org/mondial/10/source/Ural/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/estuary/RioNegro/	http://www.semwebtech.org/mondial/10/source/RioNegro/
http://www.semwebtech.org/mondial/10/river/Adda/	http://www.semwebtech.org/mondial/10/estuary/Adda/	http://www.semwebtech.org/mondial/10/source/Adda/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	http://www.semwebtech.org/mondial/10/source/Klaraelv/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/estuary/Amur/	http://www.semwebtech.org/mondial/10/source/Amur/
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/source/Donau/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/estuary/Parana/	http://www.semwebtech.org/mondial/10/source/Parana/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/estuary/Saluen/	http://www.semwebtech.org/mondial/10/source/Saluen/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/estuary/Volta/	http://www.semwebtech.org/mondial/10/source/Volta/
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	http://www.semwebtech.org/mondial/10/source/Tshuapa/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/estuary/Maranon/	http://www.semwebtech.org/mondial/10/source/Maranon/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/estuary/Reuss/	http://www.semwebtech.org/mondial/10/source/Reuss/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/estuary/Raab/	http://www.semwebtech.org/mondial/10/source/Raab/
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/estuary/Shabelle/	http://www.semwebtech.org/mondial/10/source/Shabelle/
http://www.semwebtech.org/mondial/10/river/Morava/	http://www.semwebtech.org/mondial/10/estuary/Morava/	http://www.semwebtech.org/mondial/10/source/Morava/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/estuary/Weser/	http://www.semwebtech.org/mondial/10/source/Weser/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	http://www.semwebtech.org/mondial/10/source/SchattalArab/
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/estuary/Waag/	http://www.semwebtech.org/mondial/10/source/Waag/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	http://www.semwebtech.org/mondial/10/source/RioMagdalena/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/estuary/RioLerma/	http://www.semwebtech.org/mondial/10/source/RioLerma/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/estuary/Angara/	http://www.semwebtech.org/mondial/10/source/Angara/
http://www.semwebtech.org/mondial/10/river/Luvua/	http://www.semwebtech.org/mondial/10/estuary/Luvua/	http://www.semwebtech.org/mondial/10/source/Luvua/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/estuary/Baro/	http://www.semwebtech.org/mondial/10/source/Baro/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/estuary/Kura/	http://www.semwebtech.org/mondial/10/source/Kura/
http://www.semwebtech.org/mondial/10/river/Drin/	http://www.semwebtech.org/mondial/10/estuary/Drin/	http://www.semwebtech.org/mondial/10/source/Drin/
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/estuary/RioMamore/	http://www.semwebtech.org/mondial/10/source/RioMamore/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/estuary/Elbe/	http://www.semwebtech.org/mondial/10/source/Elbe/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/estuary/Maas/	http://www.semwebtech.org/mondial/10/source/Maas/
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/river/Nile/	http://www.semwebtech.org/mondial/10/estuary/Nile/	http://www.semwebtech.org/mondial/10/source/Nile/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/source/Ganges/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/estuary/Tocantins/	http://www.semwebtech.org/mondial/10/source/Tocantins/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/source/Ubangi/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/estuary/Jubba/	http://www.semwebtech.org/mondial/10/source/Jubba/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/estuary/Rhein/	http://www.semwebtech.org/mondial/10/source/Rhein/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/estuary/Chire/	http://www.semwebtech.org/mondial/10/source/Chire/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/estuary/Ucayali/	http://www.semwebtech.org/mondial/10/source/Ucayali/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	http://www.semwebtech.org/mondial/10/source/Brahmaputra/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	http://www.semwebtech.org/mondial/10/source/MurrayRiver/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/estuary/BlueNile/	http://www.semwebtech.org/mondial/10/source/BlueNile/
http://www.semwebtech.org/mondial/10/river/Ene/	http://www.semwebtech.org/mondial/10/estuary/Ene/	http://www.semwebtech.org/mondial/10/source/Ene/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	http://www.semwebtech.org/mondial/10/source/HudsonRiver/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/river/Arno/	http://www.semwebtech.org/mondial/10/estuary/Arno/	http://www.semwebtech.org/mondial/10/source/Arno/
http://www.semwebtech.org/mondial/10/river/Ruki/	http://www.semwebtech.org/mondial/10/estuary/Ruki/	http://www.semwebtech.org/mondial/10/source/Ruki/
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/estuary/Selenge/	http://www.semwebtech.org/mondial/10/source/Selenge/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/estuary/Ebro/	http://www.semwebtech.org/mondial/10/source/Ebro/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	http://www.semwebtech.org/mondial/10/source/OhioRiver/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/estuary/Akagera/	http://www.semwebtech.org/mondial/10/source/Akagera/
http://www.semwebtech.org/mondial/10/river/Schilka/	http://www.semwebtech.org/mondial/10/estuary/Schilka/	http://www.semwebtech.org/mondial/10/source/Schilka/
http://www.semwebtech.org/mondial/10/river/Brigach/	http://www.semwebtech.org/mondial/10/estuary/Brigach/	http://www.semwebtech.org/mondial/10/source/Brigach/
http://www.semwebtech.org/mondial/10/river/Thjorsa/	http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	http://www.semwebtech.org/mondial/10/source/Thjorsa/
\.


--
-- TOC entry 5948 (class 0 OID 90186)
-- Dependencies: 718
-- Data for Name: Sea; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Sea" ("URI", type, depth) FROM stdin;
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	9219
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	11034
http://www.semwebtech.org/mondial/10/sea/BeringSea/	\N	4096
http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	200
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	\N	4375
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	\N	3113
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	\N	102
http://www.semwebtech.org/mondial/10/sea/TheChannel/	\N	175
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	\N	7240
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	\N	1355
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	\N	5420
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	\N	3372
http://www.semwebtech.org/mondial/10/sea/JavaSea/	\N	2333
http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	459
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	\N	450
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	\N	6218
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	\N	4036
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	\N	2370
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	\N	3350
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	\N	5608
http://www.semwebtech.org/mondial/10/sea/Kattegat/	\N	94
http://www.semwebtech.org/mondial/10/sea/RedSea/	\N	2635
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	5121
http://www.semwebtech.org/mondial/10/sea/YellowSea/	\N	200
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	\N	725
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	\N	5143
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	\N	4045
http://www.semwebtech.org/mondial/10/sea/SuluSea/	\N	6218
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	\N	540
http://www.semwebtech.org/mondial/10/sea/BandaSea/	\N	7440
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	\N	3970
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	\N	4846
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	\N	5203
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	\N	104
http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	2211
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	6400
http://www.semwebtech.org/mondial/10/sea/IrishSea/	\N	272
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	\N	4316
http://www.semwebtech.org/mondial/10/sea/KaraSea/	\N	\N
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	\N	\N
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	\N	100
\.


--
-- TOC entry 5949 (class 0 OID 90192)
-- Dependencies: 719
-- Data for Name: Source; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Source" ("URI", "inMountains") FROM stdin;
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	\N
http://www.semwebtech.org/mondial/10/source/Jubba/	\N
http://www.semwebtech.org/mondial/10/source/Huallaga/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/source/Rhein/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Po/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Chire/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/
http://www.semwebtech.org/mondial/10/source/Waag/	http://www.semwebtech.org/mondial/10/mountains/Beskides/
http://www.semwebtech.org/mondial/10/source/Fulda/	http://www.semwebtech.org/mondial/10/mountains/Rhön/
http://www.semwebtech.org/mondial/10/source/Mississippi/	\N
http://www.semwebtech.org/mondial/10/source/Jangtse/	\N
http://www.semwebtech.org/mondial/10/source/Ischim/	\N
http://www.semwebtech.org/mondial/10/source/Fimi/	\N
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	\N
http://www.semwebtech.org/mondial/10/source/Alz/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Limpopo/	\N
http://www.semwebtech.org/mondial/10/source/SchattalArab/	\N
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	\N
http://www.semwebtech.org/mondial/10/source/Umeaelv/	\N
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/source/Benue/	\N
http://www.semwebtech.org/mondial/10/source/Marne/	\N
http://www.semwebtech.org/mondial/10/source/Lukenie/	\N
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/
http://www.semwebtech.org/mondial/10/source/Apurimac/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/source/Breg/	http://www.semwebtech.org/mondial/10/mountains/BlackForest/
http://www.semwebtech.org/mondial/10/source/Mekong/	\N
http://www.semwebtech.org/mondial/10/source/BlueNile/	http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/
http://www.semwebtech.org/mondial/10/source/Gambia/	\N
http://www.semwebtech.org/mondial/10/source/Karasu/	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/
http://www.semwebtech.org/mondial/10/source/Petschora/	http://www.semwebtech.org/mondial/10/mountains/Ural/
http://www.semwebtech.org/mondial/10/source/Asahan/	\N
http://www.semwebtech.org/mondial/10/source/Seine/	\N
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	\N
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/
http://www.semwebtech.org/mondial/10/source/Doubs/	http://www.semwebtech.org/mondial/10/mountains/Jura/
http://www.semwebtech.org/mondial/10/source/Aare/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Argun/	\N
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	\N
http://www.semwebtech.org/mondial/10/source/Syrdarja/	\N
http://www.semwebtech.org/mondial/10/source/Jenissej/	\N
http://www.semwebtech.org/mondial/10/source/Newa/	\N
http://www.semwebtech.org/mondial/10/source/Save/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Buna/	\N
http://www.semwebtech.org/mondial/10/source/Parana/	\N
http://www.semwebtech.org/mondial/10/source/Saluen/	\N
http://www.semwebtech.org/mondial/10/source/Lukuga/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/
http://www.semwebtech.org/mondial/10/source/SouthernMorava/	\N
http://www.semwebtech.org/mondial/10/source/Katun/	http://www.semwebtech.org/mondial/10/mountains/Altai/
http://www.semwebtech.org/mondial/10/source/Irawaddy/	\N
http://www.semwebtech.org/mondial/10/source/WhiteNile/	\N
http://www.semwebtech.org/mondial/10/source/Ene/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/source/March/	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/
http://www.semwebtech.org/mondial/10/source/Jordan/	http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/
http://www.semwebtech.org/mondial/10/source/Vaal/	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/
http://www.semwebtech.org/mondial/10/source/Murat/	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Selenge/	\N
http://www.semwebtech.org/mondial/10/source/Senegal/	\N
http://www.semwebtech.org/mondial/10/source/Akagera/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	\N
http://www.semwebtech.org/mondial/10/source/Saar/	http://www.semwebtech.org/mondial/10/mountains/Vogesen/
http://www.semwebtech.org/mondial/10/source/Orinoco/	http://www.semwebtech.org/mondial/10/mountains/SierraParima/
http://www.semwebtech.org/mondial/10/source/Lulua/	\N
http://www.semwebtech.org/mondial/10/source/Manicouagan/	\N
http://www.semwebtech.org/mondial/10/source/Amazonas/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/source/Ganges/	\N
http://www.semwebtech.org/mondial/10/source/Dnjestr/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/
http://www.semwebtech.org/mondial/10/source/Isere/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Kemijoki/	\N
http://www.semwebtech.org/mondial/10/source/Cuilo/	\N
http://www.semwebtech.org/mondial/10/source/Okavango/	\N
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/mountains/Pamir/
http://www.semwebtech.org/mondial/10/source/Kama/	\N
http://www.semwebtech.org/mondial/10/source/Tambo/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/source/Lech/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Douro/	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/
http://www.semwebtech.org/mondial/10/source/Oulujoki/	\N
http://www.semwebtech.org/mondial/10/source/Chatanga/	\N
http://www.semwebtech.org/mondial/10/source/Donau/	http://www.semwebtech.org/mondial/10/mountains/BlackForest/
http://www.semwebtech.org/mondial/10/source/Volta/	\N
http://www.semwebtech.org/mondial/10/source/Oder/	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/
http://www.semwebtech.org/mondial/10/source/Limmat/	\N
http://www.semwebtech.org/mondial/10/source/Bartang/	http://www.semwebtech.org/mondial/10/mountains/Pamir/
http://www.semwebtech.org/mondial/10/source/Vuoksi/	\N
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	\N
http://www.semwebtech.org/mondial/10/source/Bomu/	\N
http://www.semwebtech.org/mondial/10/source/RioMamore/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/source/Euphrat/	\N
http://www.semwebtech.org/mondial/10/source/Moraca/	http://www.semwebtech.org/mondial/10/mountains/Balkan/
http://www.semwebtech.org/mondial/10/source/Oranje/	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/
http://www.semwebtech.org/mondial/10/source/Theiss/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/
http://www.semwebtech.org/mondial/10/source/Main/	http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/
http://www.semwebtech.org/mondial/10/source/Murgab/	http://www.semwebtech.org/mondial/10/mountains/Pamir/
http://www.semwebtech.org/mondial/10/source/Uelle/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/
http://www.semwebtech.org/mondial/10/source/Ural/	http://www.semwebtech.org/mondial/10/mountains/Ural/
http://www.semwebtech.org/mondial/10/source/Suchona/	\N
http://www.semwebtech.org/mondial/10/source/Olt/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/
http://www.semwebtech.org/mondial/10/source/Klaraelv/	\N
http://www.semwebtech.org/mondial/10/source/Amur/	\N
http://www.semwebtech.org/mondial/10/source/Kwa/	\N
http://www.semwebtech.org/mondial/10/source/Weichsel/	http://www.semwebtech.org/mondial/10/mountains/Beskides/
http://www.semwebtech.org/mondial/10/source/Schari/	\N
http://www.semwebtech.org/mondial/10/source/Semliki/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/
http://www.semwebtech.org/mondial/10/source/Dalaelv/	\N
http://www.semwebtech.org/mondial/10/source/Lualaba/	\N
http://www.semwebtech.org/mondial/10/source/Hwangho/	\N
http://www.semwebtech.org/mondial/10/source/OhioRiver/	\N
http://www.semwebtech.org/mondial/10/source/Niger/	\N
http://www.semwebtech.org/mondial/10/source/Mur/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Raab/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	\N
http://www.semwebtech.org/mondial/10/source/Shabelle/	\N
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	\N
http://www.semwebtech.org/mondial/10/source/Dnister/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/
http://www.semwebtech.org/mondial/10/source/Kolyma/	\N
http://www.semwebtech.org/mondial/10/source/Don/	\N
http://www.semwebtech.org/mondial/10/source/Moldau/	http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/
http://www.semwebtech.org/mondial/10/source/VictoriaNile/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/
http://www.semwebtech.org/mondial/10/source/Urubamba/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/source/Naryn/	http://www.semwebtech.org/mondial/10/mountains/TianShan/
http://www.semwebtech.org/mondial/10/source/RioLerma/	\N
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	\N
http://www.semwebtech.org/mondial/10/source/Aller/	\N
http://www.semwebtech.org/mondial/10/source/Baro/	\N
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/
http://www.semwebtech.org/mondial/10/source/Kura/	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/
http://www.semwebtech.org/mondial/10/source/Drin/	http://www.semwebtech.org/mondial/10/mountains/Balkan/
http://www.semwebtech.org/mondial/10/source/Busira/	\N
http://www.semwebtech.org/mondial/10/source/Elbe/	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/
http://www.semwebtech.org/mondial/10/source/Maas/	\N
http://www.semwebtech.org/mondial/10/source/Tigris/	http://www.semwebtech.org/mondial/10/mountains/Antitaurus/
http://www.semwebtech.org/mondial/10/source/Nile/	\N
http://www.semwebtech.org/mondial/10/source/Inn/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Kymijoki/	\N
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	\N
http://www.semwebtech.org/mondial/10/source/Cuango/	\N
http://www.semwebtech.org/mondial/10/source/Narew/	\N
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	\N
http://www.semwebtech.org/mondial/10/source/Atbara/	http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/
http://www.semwebtech.org/mondial/10/source/Kasai/	\N
http://www.semwebtech.org/mondial/10/source/Drina/	http://www.semwebtech.org/mondial/10/mountains/Balkan/
http://www.semwebtech.org/mondial/10/source/Tshuapa/	\N
http://www.semwebtech.org/mondial/10/source/Saone/	http://www.semwebtech.org/mondial/10/mountains/Vogesen/
http://www.semwebtech.org/mondial/10/source/Maranon/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/source/Arno/	http://www.semwebtech.org/mondial/10/mountains/Apennin/
http://www.semwebtech.org/mondial/10/source/Ruki/	\N
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	\N
http://www.semwebtech.org/mondial/10/source/Ebro/	http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/
http://www.semwebtech.org/mondial/10/source/Thames/	\N
http://www.semwebtech.org/mondial/10/source/Ticino/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Guadiana/	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/
http://www.semwebtech.org/mondial/10/source/Ili/	http://www.semwebtech.org/mondial/10/mountains/TianShan/
http://www.semwebtech.org/mondial/10/source/Luapula/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/
http://www.semwebtech.org/mondial/10/source/BlackDrin/	http://www.semwebtech.org/mondial/10/mountains/Balkan/
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/mountains/Karakorum/
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	\N
http://www.semwebtech.org/mondial/10/source/Etsch/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Tiber/	http://www.semwebtech.org/mondial/10/mountains/Apennin/
http://www.semwebtech.org/mondial/10/source/Mosel/	http://www.semwebtech.org/mondial/10/mountains/Vogesen/
http://www.semwebtech.org/mondial/10/source/Werra/	http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	http://www.semwebtech.org/mondial/10/mountains/Adirondacks/
http://www.semwebtech.org/mondial/10/source/Swir/	\N
http://www.semwebtech.org/mondial/10/source/Sanga/	\N
http://www.semwebtech.org/mondial/10/source/WhiteDrin/	http://www.semwebtech.org/mondial/10/mountains/Balkan/
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	\N
http://www.semwebtech.org/mondial/10/source/Glomma/	\N
http://www.semwebtech.org/mondial/10/source/Dnepr/	http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/
http://www.semwebtech.org/mondial/10/source/RioMadeira/	\N
http://www.semwebtech.org/mondial/10/source/Arkansas/	\N
http://www.semwebtech.org/mondial/10/source/Ucayali/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/
http://www.semwebtech.org/mondial/10/source/Morava/	\N
http://www.semwebtech.org/mondial/10/source/Narva/	\N
http://www.semwebtech.org/mondial/10/source/RioSanJuan/	\N
http://www.semwebtech.org/mondial/10/source/Missouri/	\N
http://www.semwebtech.org/mondial/10/source/Tajo/	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/
http://www.semwebtech.org/mondial/10/source/Volga/	http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/
http://www.semwebtech.org/mondial/10/source/Araguaia/	\N
http://www.semwebtech.org/mondial/10/source/Angara/	\N
http://www.semwebtech.org/mondial/10/source/Schilka/	\N
http://www.semwebtech.org/mondial/10/source/Brigach/	http://www.semwebtech.org/mondial/10/mountains/BlackForest/
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	\N
http://www.semwebtech.org/mondial/10/source/Thjorsa/	\N
http://www.semwebtech.org/mondial/10/source/Lagen/	\N
http://www.semwebtech.org/mondial/10/source/Neckar/	\N
http://www.semwebtech.org/mondial/10/source/Mantaro/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/source/Pibor/	\N
http://www.semwebtech.org/mondial/10/source/Oka/	\N
http://www.semwebtech.org/mondial/10/source/Ob/	\N
http://www.semwebtech.org/mondial/10/source/Garonne/	http://www.semwebtech.org/mondial/10/mountains/Pyrenees/
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	\N
http://www.semwebtech.org/mondial/10/source/Sanaga/	\N
http://www.semwebtech.org/mondial/10/source/Ubangi/	\N
http://www.semwebtech.org/mondial/10/source/Amudarja/	\N
http://www.semwebtech.org/mondial/10/source/Salzach/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Pruth/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/
http://www.semwebtech.org/mondial/10/source/Uruguay/	\N
http://www.semwebtech.org/mondial/10/source/Sobat/	\N
http://www.semwebtech.org/mondial/10/source/Tobol/	http://www.semwebtech.org/mondial/10/mountains/Ural/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	\N
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	\N
http://www.semwebtech.org/mondial/10/source/Drau/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Ammer/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Tennessee/	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/
http://www.semwebtech.org/mondial/10/source/Perene/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/source/Piva/	http://www.semwebtech.org/mondial/10/mountains/Balkan/
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/
http://www.semwebtech.org/mondial/10/source/Indus/	\N
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	\N
http://www.semwebtech.org/mondial/10/source/Colorado/	\N
http://www.semwebtech.org/mondial/10/source/Iller/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Zambezi/	\N
http://www.semwebtech.org/mondial/10/source/YukonRiver/	\N
http://www.semwebtech.org/mondial/10/source/Rhone/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Karun/	http://www.semwebtech.org/mondial/10/mountains/Zagros/
http://www.semwebtech.org/mondial/10/source/Würm/	\N
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/
http://www.semwebtech.org/mondial/10/source/Tocantins/	\N
http://www.semwebtech.org/mondial/10/source/Zaire/	\N
http://www.semwebtech.org/mondial/10/source/Aruwimi/	\N
http://www.semwebtech.org/mondial/10/source/Lena/	\N
http://www.semwebtech.org/mondial/10/source/Reuss/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/WesternMorava/	\N
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	\N
http://www.semwebtech.org/mondial/10/source/WesternBug/	\N
http://www.semwebtech.org/mondial/10/source/Paraguay/	\N
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	\N
http://www.semwebtech.org/mondial/10/source/Mincio/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Isar/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/Prypjat/	\N
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/source/Weser/	\N
http://www.semwebtech.org/mondial/10/source/Loire/	http://www.semwebtech.org/mondial/10/mountains/Cevennes/
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	\N
http://www.semwebtech.org/mondial/10/source/Tara/	http://www.semwebtech.org/mondial/10/mountains/Balkan/
http://www.semwebtech.org/mondial/10/source/Lomami/	\N
http://www.semwebtech.org/mondial/10/source/RioGrande/	\N
http://www.semwebtech.org/mondial/10/source/WesternDwina/	http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/
http://www.semwebtech.org/mondial/10/source/Luvua/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/
http://www.semwebtech.org/mondial/10/source/Adda/	http://www.semwebtech.org/mondial/10/mountains/Alps/
http://www.semwebtech.org/mondial/10/source/RioNegro/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	\N
http://www.semwebtech.org/mondial/10/source/Leine/	\N
http://www.semwebtech.org/mondial/10/source/Bani/	\N
http://www.semwebtech.org/mondial/10/source/Irtysch/	http://www.semwebtech.org/mondial/10/mountains/Altai/
\.


--
-- TOC entry 5950 (class 0 OID 90195)
-- Dependencies: 720
-- Data for Name: SpokenBy; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "SpokenBy" ("URI", "languageInfo-", "onLanguage", percent) FROM stdin;
3441d4f:1508ad97479:-6d73	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/language/Spanish/	99
3441d4f:1508ad97479:-6d9d	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/language/English/	100
3441d4f:1508ad97479:-6e24	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Hungarian/	10.7
3441d4f:1508ad97479:-6dd0	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Pashtu/	8
3441d4f:1508ad97479:-6e4e	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Macedonian/	66.5
3441d4f:1508ad97479:-6dfa	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/language/Estonian/	67.3
3441d4f:1508ad97479:-6dbd	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Armenian/	7
3441d4f:1508ad97479:-6d64	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/language/English/	38.3
3441d4f:1508ad97479:-6d8e	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/language/English/	82.1
3441d4f:1508ad97479:-6e15	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/language/Polish/	5.6
3441d4f:1508ad97479:-6dc1	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/language/Kurd/	1
3441d4f:1508ad97479:-6e3f	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Catalan/	44
3441d4f:1508ad97479:-6deb	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/English/	8.5
3441d4f:1508ad97479:-6dae	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/language/English/	3.2
3441d4f:1508ad97479:-6d92	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/language/Spanish/	95
3441d4f:1508ad97479:-6df9	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/language/Russian/	29.7
3441d4f:1508ad97479:-6d55	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/language/English/	1
3441d4f:1508ad97479:-6d7f	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/language/French/	99
3441d4f:1508ad97479:-6e43	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Bosnian/	5.5
3441d4f:1508ad97479:-6e06	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/language/Croatian/	96.1
3441d4f:1508ad97479:-6db2	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Uzbek/	13.6
3441d4f:1508ad97479:-6ddc	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/language/Portuguese/	100
3441d4f:1508ad97479:-6d83	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/language/Creole/	90
3441d4f:1508ad97479:-6d46	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/language/Aymara/	1.7
3441d4f:1508ad97479:-6e34	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Turkish/	2.3
3441d4f:1508ad97479:-6de0	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Romanian/	75.8
3441d4f:1508ad97479:-6da3	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/language/Arabic/	100
3441d4f:1508ad97479:-6dcd	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Sindhi/	12
3441d4f:1508ad97479:-6d74	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Creole/	8.2
3441d4f:1508ad97479:-6d9e	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/language/Sinhala/	74
3441d4f:1508ad97479:-6e25	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Slovak/	83.8
3441d4f:1508ad97479:-6dd1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Turkic/	26
3441d4f:1508ad97479:-6e4f	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/language/Greek/	99
3441d4f:1508ad97479:-6dfb	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/language/German/	0.4
3441d4f:1508ad97479:-6dbe	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Russian/	9
3441d4f:1508ad97479:-6d65	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/language/Polynesian/	31.4
3441d4f:1508ad97479:-6d8f	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/language/French/	21.6
3441d4f:1508ad97479:-6e16	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/language/Russian/	8
3441d4f:1508ad97479:-6dc2	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/language/Armenian/	97.7
3441d4f:1508ad97479:-6dec	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/Italian/	19
3441d4f:1508ad97479:-6daf	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/language/Chinese/	95.6
3441d4f:1508ad97479:-6d93	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/language/Amerindian/	40
3441d4f:1508ad97479:-6d56	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/language/Pitkern/	100
3441d4f:1508ad97479:-6e44	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Montenegrin/	22
3441d4f:1508ad97479:-6df0	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/language/Swedish/	96
3441d4f:1508ad97479:-6e07	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/language/Serbo-Croatian/	99
3441d4f:1508ad97479:-6db3	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Kyrgyz/	64.7
3441d4f:1508ad97479:-6ddd	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Ukrainian/	4
3441d4f:1508ad97479:-6d84	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/language/Spanish/	100
3441d4f:1508ad97479:-6d47	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/language/Quechua/	13
3441d4f:1508ad97479:-6e35	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/German/	88.6
3441d4f:1508ad97479:-6de1	http://www.semwebtech.org/mondial/10/country/GBM/	http://www.semwebtech.org/mondial/10/language/English/	100
3441d4f:1508ad97479:-6da4	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/language/English/	1
3441d4f:1508ad97479:-6dce	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Punjabi/	48
3441d4f:1508ad97479:-6d75	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/French/	1.5
3441d4f:1508ad97479:-6d38	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/language/Portuguese/	100
3441d4f:1508ad97479:-6d9f	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/language/Tamil/	18
3441d4f:1508ad97479:-6e26	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/language/German/	100
3441d4f:1508ad97479:-6dd2	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Persian/	58
3441d4f:1508ad97479:-6dfc	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/language/Danish/	98
3441d4f:1508ad97479:-6dbf	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Georgian/	71
3441d4f:1508ad97479:-6d66	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/language/French/	61.1
3441d4f:1508ad97479:-6e17	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/language/Lithuanian/	82
3441d4f:1508ad97479:-6dc3	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/language/Tajik/	4.4
3441d4f:1508ad97479:-6ded	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/Monegasque/	21.6
3441d4f:1508ad97479:-6d94	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/language/Spanish/	60
3441d4f:1508ad97479:-6d57	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/OtherPacificIslandLanguage/	9.5
3441d4f:1508ad97479:-6e45	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Serbian/	63.6
3441d4f:1508ad97479:-6df1	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/language/Norwegian/	99
3441d4f:1508ad97479:-6e08	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/language/Dutch/	100
3441d4f:1508ad97479:-6db4	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/language/Korean/	100
3441d4f:1508ad97479:-6dde	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Gagauz/	3
3441d4f:1508ad97479:-6d3a	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/language/Portuguese/	100
3441d4f:1508ad97479:-6d85	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/language/Spanish/	100
3441d4f:1508ad97479:-6d48	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/language/Spanish/	84.1
3441d4f:1508ad97479:-6e36	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Basque/	2
3441d4f:1508ad97479:-6de2	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/language/English/	6
3441d4f:1508ad97479:-6da5	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/language/Arabic/	23
3441d4f:1508ad97479:-6dcf	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Urdu/	8
3441d4f:1508ad97479:-6d76	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Spanish/	12.9
3441d4f:1508ad97479:-6d39	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/language/English/	100
3441d4f:1508ad97479:-6e27	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/Albanian/	0.1
3441d4f:1508ad97479:-6dd3	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Luri/	2
3441d4f:1508ad97479:-6dfd	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/language/Kurdish/	18
3441d4f:1508ad97479:-6d67	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Vietnamese/	1
3441d4f:1508ad97479:-6e0a	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/German/	4
3441d4f:1508ad97479:-6e18	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/language/Russian/	37.5
3441d4f:1508ad97479:-6dc4	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/language/Russian/	14.2
3441d4f:1508ad97479:-6dee	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/French/	50
3441d4f:1508ad97479:-6d4a	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/language/Guarani/	8
3441d4f:1508ad97479:-6d95	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/German/	3.3
3441d4f:1508ad97479:-6d58	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/English/	10.8
3441d4f:1508ad97479:-6e46	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Roma/	1.1
3441d4f:1508ad97479:-6df2	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Somali/	0.3
3441d4f:1508ad97479:-6e09	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/English/	1
3441d4f:1508ad97479:-6db5	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/language/Kazakh/	64.4
3441d4f:1508ad97479:-6ddf	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Russian/	16
3441d4f:1508ad97479:-6d3b	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/language/English/	20
3441d4f:1508ad97479:-6d86	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/language/English/	14
3441d4f:1508ad97479:-6d49	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/language/Spanish/	99
3441d4f:1508ad97479:-6e37	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Galician/	7
3441d4f:1508ad97479:-6de3	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/language/Maltese/	90.2
3441d4f:1508ad97479:-6da6	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/language/Hebrew/	76
3441d4f:1508ad97479:-6d77	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Dutch/	4.2
3441d4f:1508ad97479:-6e1a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/language/Belorussian/	36.7
3441d4f:1508ad97479:-6e28	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/Slovenian/	0.2
3441d4f:1508ad97479:-6dd4	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Arabic/	1
3441d4f:1508ad97479:-6dfe	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/language/Turkish/	75
3441d4f:1508ad97479:-6d5a	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/ChineseLanguage/	23.4
3441d4f:1508ad97479:-6d68	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Arabic/	1.2
3441d4f:1508ad97479:-6e0b	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/French/	6
3441d4f:1508ad97479:-6e19	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/language/Latvian/	58.2
3441d4f:1508ad97479:-6dc5	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/language/Uzbek/	74.3
3441d4f:1508ad97479:-6def	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/language/Finnish/	2.6
3441d4f:1508ad97479:-6d4b	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/language/Spanish/	90
3441d4f:1508ad97479:-6d96	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/Garifuna/	3.4
3441d4f:1508ad97479:-6d59	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/Chamorro/	22.4
3441d4f:1508ad97479:-6e47	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Bosnian/	1.8
3441d4f:1508ad97479:-6df3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Arabic/	0.3
3441d4f:1508ad97479:-6db6	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/language/Hindi/	30
3441d4f:1508ad97479:-6d3c	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/language/French/	100
3441d4f:1508ad97479:-6e00	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/language/Hungarian/	6.7
3441d4f:1508ad97479:-6d87	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/language/Spanish/	84
3441d4f:1508ad97479:-6e2a	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/German/	0.7
3441d4f:1508ad97479:-6e38	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Catalan/	17
3441d4f:1508ad97479:-6de4	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/language/Portuguese/	4.6
3441d4f:1508ad97479:-6d40	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/language/German/	32
3441d4f:1508ad97479:-6da7	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/language/Hebrew/	0.6
3441d4f:1508ad97479:-6d6a	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Italian/	1.6
3441d4f:1508ad97479:-6d78	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/English/	67.5
3441d4f:1508ad97479:-6e1b	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/language/Russian/	62.8
3441d4f:1508ad97479:-6e29	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/French/	0.2
3441d4f:1508ad97479:-6dd5	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Balochi/	1
3441d4f:1508ad97479:-6dff	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/language/Roma/	1.1
3441d4f:1508ad97479:-6d5b	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/	24.4
3441d4f:1508ad97479:-6d69	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Greek/	1.3
3441d4f:1508ad97479:-6e0c	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/Portuguese/	8
3441d4f:1508ad97479:-6dc6	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/language/Uzbek/	9
3441d4f:1508ad97479:-6d4c	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/language/Spanish/	100
3441d4f:1508ad97479:-6e10	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/language/French/	32
3441d4f:1508ad97479:-6d97	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/English/	3.9
3441d4f:1508ad97479:-6e3a	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/language/French/	100
3441d4f:1508ad97479:-6e48	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Hungarian/	3.8
3441d4f:1508ad97479:-6df4	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/English/	0.3
3441d4f:1508ad97479:-6d50	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/language/Spanish/	60.7
3441d4f:1508ad97479:-6db7	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/language/Burmese/	100
3441d4f:1508ad97479:-6d7a	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/Spanish/	4
3441d4f:1508ad97479:-6d3d	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/language/Spanish/	67.6
3441d4f:1508ad97479:-6e01	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/language/Romanian/	91
3441d4f:1508ad97479:-6d88	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/language/Miskito/	1.7
3441d4f:1508ad97479:-6e2b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/Italian/	98
3441d4f:1508ad97479:-6e39	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Spanish/	74
3441d4f:1508ad97479:-6de5	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/language/English/	94.5
3441d4f:1508ad97479:-6d41	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/language/Bambara/	80
3441d4f:1508ad97479:-6da8	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/language/Arabic/	99
3441d4f:1508ad97479:-6d6b	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Chinese/	2.5
3441d4f:1508ad97479:-6d79	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Papiamento/	2.2
3441d4f:1508ad97479:-6e1c	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/Romansch/	1
3441d4f:1508ad97479:-6dd6	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Kurdish/	9
3441d4f:1508ad97479:-6d5c	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Chinese/	2.1
3441d4f:1508ad97479:-6e20	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/language/Croatian/	7
3441d4f:1508ad97479:-6e4a	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Serbian/	1.2
3441d4f:1508ad97479:-6e0d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/Luxembourgish/	77
3441d4f:1508ad97479:-6d60	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Maori/	3.9
3441d4f:1508ad97479:-6dc7	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/language/Russian/	12
3441d4f:1508ad97479:-6d8a	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/language/Spanish/	99
3441d4f:1508ad97479:-6d4d	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/language/Portuguese/	99
3441d4f:1508ad97479:-6e11	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/language/Russian/	100
3441d4f:1508ad97479:-6d98	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/MayanDialects/	8.9
3441d4f:1508ad97479:-6e3b	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/French/	7
3441d4f:1508ad97479:-6daa	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/language/Greek/	78
3441d4f:1508ad97479:-6e49	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Serbian/	88.3
3441d4f:1508ad97479:-6df5	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Estonian/	0.6
3441d4f:1508ad97479:-6d51	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/language/Spanish/	100
3441d4f:1508ad97479:-6db8	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Armenian/	1.5
3441d4f:1508ad97479:-6d7b	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/Dutch/	8
3441d4f:1508ad97479:-6d3e	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/language/Afrikaans/	60
3441d4f:1508ad97479:-6e02	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/language/Roma/	3.8
3441d4f:1508ad97479:-6d89	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/language/Spanish/	97.5
3441d4f:1508ad97479:-6e2c	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/language/Hungarian/	93.6
3441d4f:1508ad97479:-6de6	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/language/Italian/	100
3441d4f:1508ad97479:-6d42	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/language/English/	100
3441d4f:1508ad97479:-6da9	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/language/Turkish/	18
3441d4f:1508ad97479:-6d6c	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/English/	78.5
3441d4f:1508ad97479:-6e30	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Hungarian/	0.1
3441d4f:1508ad97479:-6e1d	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/Italian/	7
3441d4f:1508ad97479:-6d70	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/language/English/	100
3441d4f:1508ad97479:-6dd7	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Turkish/	1
3441d4f:1508ad97479:-6d9a	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/Spanish/	46
3441d4f:1508ad97479:-6d5d	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Hindi/	1.1
3441d4f:1508ad97479:-6e21	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/language/Slovenian/	91
3441d4f:1508ad97479:-6e4b	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Roma/	1.9
3441d4f:1508ad97479:-6e0e	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/language/Dutch/	56
3441d4f:1508ad97479:-6dba	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Lezgi/	2.2
3441d4f:1508ad97479:-6d61	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/English/	91.2
3441d4f:1508ad97479:-6dc8	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/language/Turkmen/	72
3441d4f:1508ad97479:-6d8b	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/language/Spanish/	3.2
3441d4f:1508ad97479:-6d4e	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/language/Aymara/	14.6
3441d4f:1508ad97479:-6e12	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/language/Russian/	24
3441d4f:1508ad97479:-6d99	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/Creole/	32.9
3441d4f:1508ad97479:-6e3c	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Portuguese/	11
3441d4f:1508ad97479:-6dab	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/language/Nepali/	100
3441d4f:1508ad97479:-6df6	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Russian/	1.8
3441d4f:1508ad97479:-6d52	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/language/French/	10.8
3441d4f:1508ad97479:-6db9	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Russian/	1.8
3441d4f:1508ad97479:-6d7c	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/English/	2.9
3441d4f:1508ad97479:-6e40	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/language/Serbian/	5
3441d4f:1508ad97479:-6d3f	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/language/English/	7
3441d4f:1508ad97479:-6e03	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/language/Turkish/	8.2
3441d4f:1508ad97479:-6e2d	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/language/German/	100
3441d4f:1508ad97479:-6d80	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/language/Spanish/	99
3441d4f:1508ad97479:-6de7	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/language/English/	95
3441d4f:1508ad97479:-6d43	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/language/Spanish/	99
3441d4f:1508ad97479:-6d6d	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/language/Tongan/	2.4
3441d4f:1508ad97479:-6e31	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Slovene/	0.3
3441d4f:1508ad97479:-6da0	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/language/Japanese/	100
3441d4f:1508ad97479:-6e1e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/German/	64
3441d4f:1508ad97479:-6dca	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Brahui/	1
3441d4f:1508ad97479:-6d71	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/language/French/	100
3441d4f:1508ad97479:-6dd8	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/language/AfghanPersian/	50
3441d4f:1508ad97479:-6d9b	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/language/English/	100
3441d4f:1508ad97479:-6d5e	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/French/	1.3
3441d4f:1508ad97479:-6e22	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Ukrainian/	1
3441d4f:1508ad97479:-6e4c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Turkish/	3.5
3441d4f:1508ad97479:-6e0f	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/language/German/	1
3441d4f:1508ad97479:-6dbb	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Azeri/	90.3
3441d4f:1508ad97479:-6d62	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/	22.2
3441d4f:1508ad97479:-6dc9	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Siraiki/	10
3441d4f:1508ad97479:-6d8c	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/language/English/	95
3441d4f:1508ad97479:-6e50	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/language/Greek/	0.5
3441d4f:1508ad97479:-6d4f	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/language/Quechua/	21.2
3441d4f:1508ad97479:-6e13	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/language/Ukrainian/	67
3441d4f:1508ad97479:-6e3d	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Galician/	2
3441d4f:1508ad97479:-6dac	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/language/KhalkhaMongol/	90
3441d4f:1508ad97479:-6d90	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/language/English/	58.8
3441d4f:1508ad97479:-6df7	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Swedish/	5.4
3441d4f:1508ad97479:-6d53	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/language/Futunian/	30.1
3441d4f:1508ad97479:-6d7d	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/Papiamento/	81.2
3441d4f:1508ad97479:-6e41	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/language/Albanian/	92
3441d4f:1508ad97479:-6e04	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/language/Bulgarian/	76.8
3441d4f:1508ad97479:-6db0	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Dungun/	1
3441d4f:1508ad97479:-6e2e	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/language/Slovak/	2
3441d4f:1508ad97479:-6dda	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/language/Turkic/	11
3441d4f:1508ad97479:-6d81	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/language/Spanish/	99
3441d4f:1508ad97479:-6de8	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/language/Icelandic/	100
3441d4f:1508ad97479:-6d44	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/language/Spanish/	99
3441d4f:1508ad97479:-6d6e	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/language/English/	2.9
3441d4f:1508ad97479:-6e32	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Croatian/	2.5
3441d4f:1508ad97479:-6da1	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/language/Hebrew/	17
3441d4f:1508ad97479:-6e1f	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/French/	20
3441d4f:1508ad97479:-6dcb	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Hindko/	2
3441d4f:1508ad97479:-6d72	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/language/English/	100
3441d4f:1508ad97479:-6dd9	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/language/Pashtu/	35
3441d4f:1508ad97479:-6d9c	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/language/English/	100
3441d4f:1508ad97479:-6d5f	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Samoan/	2.1
3441d4f:1508ad97479:-6e23	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Roma/	1.8
3441d4f:1508ad97479:-6e4d	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Albanian/	25.1
3441d4f:1508ad97479:-6dbc	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Azeri/	6
3441d4f:1508ad97479:-6d63	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/language/Chamorro/	22.2
3441d4f:1508ad97479:-6d8d	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/language/Spanish/	10.7
3441d4f:1508ad97479:-6e51	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/language/Albanian/	98.8
3441d4f:1508ad97479:-6e14	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/language/Polish/	100
3441d4f:1508ad97479:-6dc0	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/language/Russian/	0.9
3441d4f:1508ad97479:-6e3e	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Spanish/	33
3441d4f:1508ad97479:-6dea	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/German/	3.5
3441d4f:1508ad97479:-6dad	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/language/Portuguese/	4
3441d4f:1508ad97479:-6d91	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/language/English/	100
3441d4f:1508ad97479:-6df8	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Finnish/	90
3441d4f:1508ad97479:-6d54	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/language/Wallisian/	58.9
3441d4f:1508ad97479:-6d7e	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/language/English/	100
3441d4f:1508ad97479:-6e42	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Albanian/	5.3
3441d4f:1508ad97479:-6e05	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/language/Serbian/	1
3441d4f:1508ad97479:-6db1	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Russian/	12.5
3441d4f:1508ad97479:-6e2f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/language/Czech/	94.9
3441d4f:1508ad97479:-6ddb	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/language/English/	95
3441d4f:1508ad97479:-6d82	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/language/French/	10
3441d4f:1508ad97479:-6de9	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/Dutch/	2
3441d4f:1508ad97479:-6d45	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/language/French/	100
3441d4f:1508ad97479:-6d6f	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/language/Samoan/	90.6
3441d4f:1508ad97479:-6e33	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Serbian/	2.2
3441d4f:1508ad97479:-6da2	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/language/Arabic/	75
3441d4f:1508ad97479:-6dcc	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Balochi/	3
\.


--
-- TOC entry 5951 (class 0 OID 90201)
-- Dependencies: 721
-- Data for Name: TOP_area; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_area" ("URI", area) FROM stdin;
\.


--
-- TOC entry 5952 (class 0 OID 90207)
-- Dependencies: 722
-- Data for Name: TOP_bordering; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_bordering" ("URI", bordering) FROM stdin;
\.


--
-- TOC entry 5953 (class 0 OID 90210)
-- Dependencies: 723
-- Data for Name: TOP_capital; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_capital" ("URI", capital) FROM stdin;
\.


--
-- TOC entry 5954 (class 0 OID 90213)
-- Dependencies: 724
-- Data for Name: TOP_depth; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_depth" ("URI", depth) FROM stdin;
\.


--
-- TOC entry 5955 (class 0 OID 90219)
-- Dependencies: 725
-- Data for Name: TOP_elevation; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_elevation" ("URI", elevation) FROM stdin;
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	1885
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	3726
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	2290
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	4558
http://www.semwebtech.org/mondial/10/mountain/Tambora/	2850
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	4811
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	4170
http://www.semwebtech.org/mondial/10/mountain/Irazu/	3432
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	6550
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	1281
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	5750
http://www.semwebtech.org/mondial/10/mountain/Meru/	4567
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	3055
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	1800
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	1949
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	3142
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	4533
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	5636
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	2426
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	3108
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	5148
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	5642
http://www.semwebtech.org/mondial/10/mountain/Merapi/	2914
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	4750
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	2085
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	4996
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	5920
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	6739
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	3455
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	2435
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	4392
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	5389
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	5286
http://www.semwebtech.org/mondial/10/mountain/Elgon/	4321
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	4507
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	813
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	3850
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	6893
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	4214
http://www.semwebtech.org/mondial/10/mountain/Pico/	2351
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	5033
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	1861
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	4330
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	1465
http://www.semwebtech.org/mondial/10/mountain/Sajama/	6542
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	1486
http://www.semwebtech.org/mondial/10/mountain/Semeru/	3676
http://www.semwebtech.org/mondial/10/mountain/MtHood/	3424
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	3805
http://www.semwebtech.org/mondial/10/mountain/Ararat/	5165
\.


--
-- TOC entry 5956 (class 0 OID 90225)
-- Dependencies: 726
-- Data for Name: TOP_flowsInto; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_flowsInto" ("URI", "flowsInto") FROM stdin;
\.


--
-- TOC entry 5957 (class 0 OID 90228)
-- Dependencies: 727
-- Data for Name: TOP_hasFather; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_hasFather" ("URI", "hasFather") FROM stdin;
\.


--
-- TOC entry 5958 (class 0 OID 90231)
-- Dependencies: 728
-- Data for Name: TOP_hasMother; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_hasMother" ("URI", "hasMother") FROM stdin;
\.


--
-- TOC entry 5959 (class 0 OID 90234)
-- Dependencies: 729
-- Data for Name: TOP_inMountains; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_inMountains" ("URI", "inMountains") FROM stdin;
http://www.semwebtech.org/mondial/10/mountain/Damavand/	http://www.semwebtech.org/mondial/10/mountains/Elburs/
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	http://www.semwebtech.org/mondial/10/mountains/CascadeRange/
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	http://www.semwebtech.org/mondial/10/mountains/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/Irazu/	http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	http://www.semwebtech.org/mondial/10/mountains/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	http://www.semwebtech.org/mondial/10/mountains/Azbine/
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	http://www.semwebtech.org/mondial/10/mountains/AleutianRange/
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	http://www.semwebtech.org/mondial/10/mountains/Kamchatka/
http://www.semwebtech.org/mondial/10/mountain/Fogo/	http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	http://www.semwebtech.org/mondial/10/mountains/CascadeRange/
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/
http://www.semwebtech.org/mondial/10/mountain/Elgon/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	http://www.semwebtech.org/mondial/10/mountains/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	http://www.semwebtech.org/mondial/10/mountains/Madeira/
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/
http://www.semwebtech.org/mondial/10/mountain/Ampato/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/mountain/Sajama/	http://www.semwebtech.org/mondial/10/mountains/Andes/
http://www.semwebtech.org/mondial/10/mountain/MtHood/	http://www.semwebtech.org/mondial/10/mountains/CascadeRange/
http://www.semwebtech.org/mondial/10/mountain/Ararat/	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/
\.


--
-- TOC entry 5960 (class 0 OID 90237)
-- Dependencies: 730
-- Data for Name: TOP_invfktprop_Inv; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_invfktprop_Inv" ("URI", "invfktprop_Inv") FROM stdin;
\.


--
-- TOC entry 5961 (class 0 OID 90240)
-- Dependencies: 731
-- Data for Name: TOP_latitude; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_latitude" ("URI", latitude) FROM stdin;
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	45.5
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	43.65
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	19
http://www.semwebtech.org/mondial/10/mountain/Tambora/	-8.2
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	-3.05
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	38.3
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	-27.8
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	19.5
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	-33.35
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	40.8
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	2.9
http://www.semwebtech.org/mondial/10/mountain/Meru/	-3.2
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	19
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	25.95
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	-8.3
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	19
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	28.75
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	60.5
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	-3.1
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	43.21
http://www.semwebtech.org/mondial/10/mountain/Merapi/	-7.5
http://www.semwebtech.org/mondial/10/mountain/Fogo/	14.95
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	9.7
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	61.7
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	-22.8
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	-3.6
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	10.4
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	-15.5
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	46.5
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	19.2
http://www.semwebtech.org/mondial/10/mountain/Elgon/	1.1
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	35
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	-6.1
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	35.3
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	-27.1
http://www.semwebtech.org/mondial/10/mountain/Leuser/	3
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	19.6
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	28.3
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	42.42
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	31
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	20
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	45.8
http://www.semwebtech.org/mondial/10/mountain/Ampato/	-15.8
http://www.semwebtech.org/mondial/10/mountain/Sajama/	-18.1
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	36
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	15.1
http://www.semwebtech.org/mondial/10/mountain/MtHood/	45.2
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	-1.7
\.


--
-- TOC entry 5962 (class 0 OID 90246)
-- Dependencies: 732
-- Data for Name: TOP_length; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_length" ("URI", length) FROM stdin;
\.


--
-- TOC entry 5963 (class 0 OID 90252)
-- Dependencies: 733
-- Data for Name: TOP_locatedOnIsland; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_locatedOnIsland" ("URI", "locatedOnIsland") FROM stdin;
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	http://www.semwebtech.org/mondial/10/island/Lombok/
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	http://www.semwebtech.org/mondial/10/island/Hokkaido/
http://www.semwebtech.org/mondial/10/mountain/Tambora/	http://www.semwebtech.org/mondial/10/island/Sumbawa/
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	http://www.semwebtech.org/mondial/10/island/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	http://www.semwebtech.org/mondial/10/island/Maui/
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	http://www.semwebtech.org/mondial/10/island/GranCanaria/
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	http://www.semwebtech.org/mondial/10/island/Bali/
http://www.semwebtech.org/mondial/10/mountain/Merapi/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/mountain/Fogo/	http://www.semwebtech.org/mondial/10/island/Fogo/
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	http://www.semwebtech.org/mondial/10/island/Palawan/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/island/Negros/
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	http://www.semwebtech.org/mondial/10/island/Krakatau/
http://www.semwebtech.org/mondial/10/mountain/Leuser/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	http://www.semwebtech.org/mondial/10/island/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	http://www.semwebtech.org/mondial/10/island/Teneriffa/
http://www.semwebtech.org/mondial/10/mountain/Pico/	http://www.semwebtech.org/mondial/10/island/Pico/
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	http://www.semwebtech.org/mondial/10/island/Madeira/
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	http://www.semwebtech.org/mondial/10/island/Sumatra/
\.


--
-- TOC entry 5964 (class 0 OID 90255)
-- Dependencies: 734
-- Data for Name: TOP_longitude; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_longitude" ("URI", longitude) FROM stdin;
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	142.85
http://www.semwebtech.org/mondial/10/mountain/Etna/	15
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	-99
http://www.semwebtech.org/mondial/10/mountain/Tambora/	118
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	37.35
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	47.8
http://www.semwebtech.org/mondial/10/mountain/Irazu/	-83.9
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	-69.87
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	14.4
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	-76
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	-156.25
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	9
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	-15.6
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	115.5
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	38.4
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	-97
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	-17.9
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	-152.75
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	37.45
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	42.26
http://www.semwebtech.org/mondial/10/mountain/Merapi/	110.4
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	160.6
http://www.semwebtech.org/mondial/10/mountain/Fogo/	-24.4
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	118.4
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	-143.4
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	-67.9
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	120
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	123.1
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	-72.65
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	-98.6
http://www.semwebtech.org/mondial/10/mountain/Elgon/	34.55
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	139
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	105.4
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	-83.5
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	-68.5
http://www.semwebtech.org/mondial/10/mountain/Leuser/	98
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	-155.45
http://www.semwebtech.org/mondial/10/mountain/Pico/	-28.4
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	44.31
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	-16
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	-104
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	3
http://www.semwebtech.org/mondial/10/mountain/Ampato/	-71.9
http://www.semwebtech.org/mondial/10/mountain/Sajama/	-68.9
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	138
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	120.3
http://www.semwebtech.org/mondial/10/mountain/MtHood/	-121.5
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	101.45
\.


--
-- TOC entry 5965 (class 0 OID 90261)
-- Dependencies: 735
-- Data for Name: TOP_name; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_name" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	Puy de Sancy
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	Monte Pissis
http://www.semwebtech.org/mondial/10/mountain/Damavand/	Damavand
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	Asahi-Dake
http://www.semwebtech.org/mondial/10/mountain/Etna/	Etna
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	Nevado de Toluca
http://www.semwebtech.org/mondial/10/mountain/Tambora/	Tambora
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	Kilimanjaro
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	Sabalan
http://www.semwebtech.org/mondial/10/mountain/Irazu/	Irazu
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	Tupungato
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	Vesuv
http://www.semwebtech.org/mondial/10/mountain/Meru/	Meru
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	Haleakala
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	Tamgak
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	Pico de los Nieves
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	Gunung Agung
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	Ras Daschan Terara
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	Citlaltepetl (Pico de Orizaba)
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	Roque de los Muchachos
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	Mt Redoubt
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	Mawenzi
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	Elbrus
http://www.semwebtech.org/mondial/10/mountain/Merapi/	Merapi
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	Kljutschewskaja Sopka
http://www.semwebtech.org/mondial/10/mountain/Fogo/	Fogo
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	Mantalingajan
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	Mt Blackburn
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	Licancabur
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	Llullaillaco
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	Kanlaon
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	Coropuna
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	Nevado del Ruiz
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	Iztaccihuatl
http://www.semwebtech.org/mondial/10/mountain/Elgon/	Elgon
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	Fujisan
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	Krakatau
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	Humphreys Peak
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	Ojos del Salado
http://www.semwebtech.org/mondial/10/mountain/Leuser/	Leuser
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	Mauna Kea
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	Pico de Teide
http://www.semwebtech.org/mondial/10/mountain/Pico/	Pico
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	Kasbek
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	Pico Ruivo
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	Nevado de Colima
http://www.semwebtech.org/mondial/10/mountain/Ampato/	Ampato
http://www.semwebtech.org/mondial/10/mountain/Sajama/	Sajama
http://www.semwebtech.org/mondial/10/mountain/MtHood/	Mt Hood
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	Kerinci
http://www.semwebtech.org/mondial/10/mountain/Ararat/	Ararat
\.


--
-- TOC entry 5966 (class 0 OID 90264)
-- Dependencies: 736
-- Data for Name: TOP_nmprop; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_nmprop" ("URI", nmprop) FROM stdin;
\.


--
-- TOC entry 5967 (class 0 OID 90267)
-- Dependencies: 737
-- Data for Name: TOP_nmprop_Inv; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_nmprop_Inv" ("URI", "nmprop_Inv") FROM stdin;
\.


--
-- TOC entry 5968 (class 0 OID 90270)
-- Dependencies: 738
-- Data for Name: TOP_onlyfemaleprop; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_onlyfemaleprop" ("URI", onlyfemaleprop) FROM stdin;
\.


--
-- TOC entry 5969 (class 0 OID 90276)
-- Dependencies: 739
-- Data for Name: TOP_percent; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_percent" ("URI", percent) FROM stdin;
\.


--
-- TOC entry 5970 (class 0 OID 90282)
-- Dependencies: 740
-- Data for Name: TOP_population; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_population" ("URI", population) FROM stdin;
\.


--
-- TOC entry 5971 (class 0 OID 90289)
-- Dependencies: 741
-- Data for Name: TOP_type; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "TOP_type" ("URI", type) FROM stdin;
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	volcanic
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	volcano
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	volcanic
http://www.semwebtech.org/mondial/10/mountain/Etna/	volcano
http://www.semwebtech.org/mondial/10/mountain/Tambora/	volcano
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	volcano
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	volcanic
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	volcanic
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	volcano
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	volcano
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	volcano
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	volcano
http://www.semwebtech.org/mondial/10/mountain/Meru/	volcano
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	volcano
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	volcanic
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	volcano
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	volcano
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	volcanic
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	volcano
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	volcano
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	volcano
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	volcano
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	volcanic
http://www.semwebtech.org/mondial/10/mountain/Merapi/	volcano
http://www.semwebtech.org/mondial/10/mountain/Fogo/	volcano
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	volcanic
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	volcano
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	volcano
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	volcanic
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	volcano
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	volcano
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	volcano
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	volcano
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	volcanic
http://www.semwebtech.org/mondial/10/mountain/Elgon/	volcanic
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	volcano
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	volcano
http://www.semwebtech.org/mondial/10/mountain/MountApo/	volcanic
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	volcano
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	volcano
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	volcano
http://www.semwebtech.org/mondial/10/mountain/Pico/	volcano
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	volcanic
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	volcanic
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	volcano
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	volcanic
http://www.semwebtech.org/mondial/10/mountain/Sajama/	volcano
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	volcano
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	volcano
http://www.semwebtech.org/mondial/10/mountain/MtHood/	volcano
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	volcano
http://www.semwebtech.org/mondial/10/mountain/Ararat/	volcanic
\.


--
-- TOC entry 5972 (class 0 OID 90292)
-- Dependencies: 742
-- Data for Name: U; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "U" ("URI", "totUpartV11prop") FROM stdin;
\.


--
-- TOC entry 5973 (class 0 OID 90295)
-- Dependencies: 743
-- Data for Name: V; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "V" ("URI") FROM stdin;
\.


--
-- TOC entry 5974 (class 0 OID 90298)
-- Dependencies: 744
-- Data for Name: Water; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Water" ("URI", area, name) FROM stdin;
http://www.semwebtech.org/mondial/10/lake/Inari/	1040	Inari
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	57800	Lake Michigan
http://www.semwebtech.org/mondial/10/river/Guadiana/	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	32893	Lake Tanganjika
http://www.semwebtech.org/mondial/10/river/Mantaro/	\N	\N
http://www.semwebtech.org/mondial/10/lake/Maelaren/	1140	Maelaren
http://www.semwebtech.org/mondial/10/river/Garonne/	\N	\N
http://www.semwebtech.org/mondial/10/river/Syrdarja/	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	5347	Lake Sese Seko/Albertsee
http://www.semwebtech.org/mondial/10/river/Jenissej/	\N	\N
http://www.semwebtech.org/mondial/10/river/Salzach/	\N	\N
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	31492	Ozero Baikal
http://www.semwebtech.org/mondial/10/river/Doubs/	\N	\N
http://www.semwebtech.org/mondial/10/river/Oranje/	\N	\N
http://www.semwebtech.org/mondial/10/river/Uruguay/	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	8200	Lake Mai Ndombe
http://www.semwebtech.org/mondial/10/lake/LakeErie/	25745	Lake Erie
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	1243	Lake Kainji
http://www.semwebtech.org/mondial/10/river/Theiss/	\N	\N
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	17160	Ozero Aral
http://www.semwebtech.org/mondial/10/river/Newa/	\N	\N
http://www.semwebtech.org/mondial/10/river/Swir/	\N	\N
http://www.semwebtech.org/mondial/10/river/Kasai/	\N	\N
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	114	Lago di Bolsena
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	487	Pyramid Lake
http://www.semwebtech.org/mondial/10/river/Drina/	\N	\N
http://www.semwebtech.org/mondial/10/river/Tiber/	\N	\N
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	6450	Kuybyshev Reservoir
http://www.semwebtech.org/mondial/10/river/Saone/	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	368	Lake Skutari
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	8502	Lake Volta
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	113.7	Vierwaldstattersee
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	273	Lake Prespa
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/Arkansas/	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeToba/	1103	Lake Toba
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	24420	Lake Winnipeg
http://www.semwebtech.org/mondial/10/river/Schari/	\N	\N
http://www.semwebtech.org/mondial/10/river/Manicouagan/	\N	\N
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/Mosel/	\N	\N
http://www.semwebtech.org/mondial/10/river/Ob/	\N	\N
http://www.semwebtech.org/mondial/10/river/Araguaia/	\N	\N
http://www.semwebtech.org/mondial/10/river/Zambezi/	\N	\N
http://www.semwebtech.org/mondial/10/river/Argun/	\N	\N
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	18428	Ozero Balchash
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	320	Neusiedlersee
http://www.semwebtech.org/mondial/10/river/Aruwimi/	\N	\N
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	5770	Laguna Mar Chiquita
http://www.semwebtech.org/mondial/10/river/Amazonas/	\N	\N
http://www.semwebtech.org/mondial/10/river/Sanga/	\N	\N
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	11.3	Segara Anak
http://www.semwebtech.org/mondial/10/river/BlackDrin/	\N	\N
http://www.semwebtech.org/mondial/10/river/Kemijoki/	\N	\N
http://www.semwebtech.org/mondial/10/river/Okavango/	\N	\N
http://www.semwebtech.org/mondial/10/river/Prypjat/	\N	\N
http://www.semwebtech.org/mondial/10/river/Dnepr/	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	1578	Lake Sakakawea
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	370	Lago di Garda
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/Semliki/	\N	\N
http://www.semwebtech.org/mondial/10/river/Tigris/	\N	\N
http://www.semwebtech.org/mondial/10/river/Olt/	\N	\N
http://www.semwebtech.org/mondial/10/river/Oulujoki/	\N	\N
http://www.semwebtech.org/mondial/10/river/Petschora/	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	10000	Lake Bangweulu
http://www.semwebtech.org/mondial/10/river/Drau/	\N	\N
http://www.semwebtech.org/mondial/10/river/Kwa/	\N	\N
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	216	Lago Maggiore
http://www.semwebtech.org/mondial/10/lake/Thunersee/	48.3	Thunersee
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	165	Lake Genezareth
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	\N	\N
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	56.36	Starnberger See
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	0.005	Licancabur Crater Lake
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	798	Atlin Lake
http://www.semwebtech.org/mondial/10/river/Volga/	\N	\N
http://www.semwebtech.org/mondial/10/river/Piva/	\N	\N
http://www.semwebtech.org/mondial/10/river/Atbara/	\N	\N
http://www.semwebtech.org/mondial/10/river/Lagen/	\N	\N
http://www.semwebtech.org/mondial/10/river/Mur/	\N	\N
http://www.semwebtech.org/mondial/10/river/Pibor/	\N	\N
http://www.semwebtech.org/mondial/10/river/Irtysch/	\N	\N
http://www.semwebtech.org/mondial/10/river/Don/	\N	\N
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/Sobat/	\N	\N
http://www.semwebtech.org/mondial/10/river/Lena/	\N	\N
http://www.semwebtech.org/mondial/10/river/Douro/	\N	\N
http://www.semwebtech.org/mondial/10/river/Mekong/	\N	\N
http://www.semwebtech.org/mondial/10/river/Ammer/	\N	\N
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	\N	\N
http://www.semwebtech.org/mondial/10/river/Karasu/	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	2800	Lake Cabora-Bassa
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	922	Kiev Reservoir
http://www.semwebtech.org/mondial/10/river/Weichsel/	\N	\N
http://www.semwebtech.org/mondial/10/river/Isar/	\N	\N
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	\N	\N
http://www.semwebtech.org/mondial/10/river/Inn/	\N	\N
http://www.semwebtech.org/mondial/10/lake/LopNor/	5000	Lop Nor
http://www.semwebtech.org/mondial/10/river/Limpopo/	\N	\N
http://www.semwebtech.org/mondial/10/river/Glomma/	\N	\N
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	\N	\N
http://www.semwebtech.org/mondial/10/river/Umeaelv/	\N	\N
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/Tennessee/	\N	\N
http://www.semwebtech.org/mondial/10/river/Bani/	\N	\N
http://www.semwebtech.org/mondial/10/river/Karun/	\N	\N
http://www.semwebtech.org/mondial/10/river/Urubamba/	\N	\N
http://www.semwebtech.org/mondial/10/river/Lukenie/	\N	\N
http://www.semwebtech.org/mondial/10/river/Lukuga/	\N	\N
http://www.semwebtech.org/mondial/10/river/Mississippi/	\N	\N
http://www.semwebtech.org/mondial/10/river/Uelle/	\N	\N
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	\N	\N
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/Kymijoki/	\N	\N
http://www.semwebtech.org/mondial/10/river/Colorado/	\N	\N
http://www.semwebtech.org/mondial/10/river/Ticino/	\N	\N
http://www.semwebtech.org/mondial/10/river/Ruzizi/	\N	\N
http://www.semwebtech.org/mondial/10/river/Cuilo/	\N	\N
http://www.semwebtech.org/mondial/10/river/Würm/	\N	\N
http://www.semwebtech.org/mondial/10/river/Niger/	\N	\N
http://www.semwebtech.org/mondial/10/river/Tobol/	\N	\N
http://www.semwebtech.org/mondial/10/river/Alz/	\N	\N
http://www.semwebtech.org/mondial/10/river/Fimi/	\N	\N
http://www.semwebtech.org/mondial/10/river/Jangtse/	\N	\N
http://www.semwebtech.org/mondial/10/river/Po/	\N	\N
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	\N	\N
http://www.semwebtech.org/mondial/10/river/Luapula/	\N	\N
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/Leine/	\N	\N
http://www.semwebtech.org/mondial/10/river/Rhone/	\N	\N
http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N
http://www.semwebtech.org/mondial/10/river/Naryn/	\N	\N
http://www.semwebtech.org/mondial/10/river/Huallaga/	\N	\N
http://www.semwebtech.org/mondial/10/river/Ili/	\N	\N
http://www.semwebtech.org/mondial/10/river/Neckar/	\N	\N
http://www.semwebtech.org/mondial/10/river/Jordan/	\N	\N
http://www.semwebtech.org/mondial/10/river/Sanaga/	\N	\N
http://www.semwebtech.org/mondial/10/river/Perene/	\N	\N
http://www.semwebtech.org/mondial/10/river/Loire/	\N	\N
http://www.semwebtech.org/mondial/10/river/Aller/	\N	\N
http://www.semwebtech.org/mondial/10/river/RioGrande/	\N	\N
http://www.semwebtech.org/mondial/10/lake/Siljan/	290	Siljan
http://www.semwebtech.org/mondial/10/lake/LakePowell/	645	Lake Powell
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	1130	Lake Champlain
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	2252	Kremenchuk Reservoir
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	30	Lake Jindabyne
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	57	Lago di Bracciano
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	3555	Ozero Pskovskoje
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	146	Lago di Como
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	1685	Lago de Chapala
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	981	Fort Peck Lake
http://www.semwebtech.org/mondial/10/lake/DeadSea/	41650	Dead Sea
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	18960	Lake Ontario
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	\N	\N
http://www.semwebtech.org/mondial/10/river/Apurimac/	\N	\N
http://www.semwebtech.org/mondial/10/river/Breg/	\N	\N
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/Fulda/	\N	\N
http://www.semwebtech.org/mondial/10/river/Senegal/	\N	\N
http://www.semwebtech.org/mondial/10/river/Oka/	\N	\N
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	\N	\N
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/Narew/	\N	\N
http://www.semwebtech.org/mondial/10/river/Orinoco/	\N	\N
http://www.semwebtech.org/mondial/10/river/Limmat/	\N	\N
http://www.semwebtech.org/mondial/10/river/Vuoksi/	\N	\N
http://www.semwebtech.org/mondial/10/river/Mincio/	\N	\N
http://www.semwebtech.org/mondial/10/river/RioMadeira/	\N	\N
http://www.semwebtech.org/mondial/10/river/Aare/	\N	\N
http://www.semwebtech.org/mondial/10/river/Dnjestr/	\N	\N
http://www.semwebtech.org/mondial/10/river/Moraca/	\N	\N
http://www.semwebtech.org/mondial/10/river/Benue/	\N	\N
http://www.semwebtech.org/mondial/10/river/Missouri/	\N	\N
http://www.semwebtech.org/mondial/10/lake/Poopo/	1340	Poopo
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	500	Malebo Pool
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	5760	Lake Rukwa
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	1285	Lake Abaya
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	9616	Ozero Onega
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	8372	Lake Titicaca
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	82103	Lake Superior
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	2650	Lake Kivu
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	497	Lake Tahoe
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	59600	Lake Huron
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	186	Lake Winnipesaukee
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	1453	Lake Oahe
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	1118	Paeijaenne
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	80	Chiemsee
http://www.semwebtech.org/mondial/10/river/Pjandsh/	\N	\N
http://www.semwebtech.org/mondial/10/river/Marne/	\N	\N
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	\N	\N
http://www.semwebtech.org/mondial/10/river/Lomami/	\N	\N
http://www.semwebtech.org/mondial/10/river/Save/	\N	\N
http://www.semwebtech.org/mondial/10/river/Etsch/	\N	\N
http://www.semwebtech.org/mondial/10/river/Murgab/	\N	\N
http://www.semwebtech.org/mondial/10/river/Buna/	\N	\N
http://www.semwebtech.org/mondial/10/river/Tajo/	\N	\N
http://www.semwebtech.org/mondial/10/river/Werra/	\N	\N
http://www.semwebtech.org/mondial/10/river/Irawaddy/	\N	\N
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	\N	\N
http://www.semwebtech.org/mondial/10/river/Vaal/	\N	\N
http://www.semwebtech.org/mondial/10/river/Bartang/	\N	\N
http://www.semwebtech.org/mondial/10/river/Seine/	\N	\N
http://www.semwebtech.org/mondial/10/river/Amudarja/	\N	\N
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/Enns/	\N	\N
http://www.semwebtech.org/mondial/10/river/Euphrat/	\N	\N
http://www.semwebtech.org/mondial/10/river/Kolyma/	\N	\N
http://www.semwebtech.org/mondial/10/river/Saar/	\N	\N
http://www.semwebtech.org/mondial/10/river/Moldau/	\N	\N
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	\N	\N
http://www.semwebtech.org/mondial/10/river/Narva/	\N	\N
http://www.semwebtech.org/mondial/10/river/Suchona/	\N	\N
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/Ischim/	\N	\N
http://www.semwebtech.org/mondial/10/river/Katun/	\N	\N
http://www.semwebtech.org/mondial/10/river/Busira/	\N	\N
http://www.semwebtech.org/mondial/10/river/Kama/	\N	\N
http://www.semwebtech.org/mondial/10/river/WesternMorava/	\N	\N
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	\N	\N
http://www.semwebtech.org/mondial/10/river/Dalaelv/	\N	\N
http://www.semwebtech.org/mondial/10/river/Lualaba/	\N	\N
http://www.semwebtech.org/mondial/10/river/Bomu/	\N	\N
http://www.semwebtech.org/mondial/10/river/Hwangho/	\N	\N
http://www.semwebtech.org/mondial/10/river/March/	\N	\N
http://www.semwebtech.org/mondial/10/river/Lech/	\N	\N
http://www.semwebtech.org/mondial/10/river/Murat/	\N	\N
http://www.semwebtech.org/mondial/10/river/Gambia/	\N	\N
http://www.semwebtech.org/mondial/10/river/YukonRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/Chatanga/	\N	\N
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	\N	\N
http://www.semwebtech.org/mondial/10/river/Pruth/	\N	\N
http://www.semwebtech.org/mondial/10/river/Cuango/	\N	\N
http://www.semwebtech.org/mondial/10/river/Dnister/	\N	\N
http://www.semwebtech.org/mondial/10/river/WhiteNile/	\N	\N
http://www.semwebtech.org/mondial/10/river/Oder/	\N	\N
http://www.semwebtech.org/mondial/10/river/Isere/	\N	\N
http://www.semwebtech.org/mondial/10/river/WesternDwina/	\N	\N
http://www.semwebtech.org/mondial/10/river/Paraguay/	\N	\N
http://www.semwebtech.org/mondial/10/river/WesternBug/	\N	\N
http://www.semwebtech.org/mondial/10/river/Lulua/	\N	\N
http://www.semwebtech.org/mondial/10/river/Thames/	\N	\N
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	\N	\N
http://www.semwebtech.org/mondial/10/river/Asahan/	\N	\N
http://www.semwebtech.org/mondial/10/river/Tara/	\N	\N
http://www.semwebtech.org/mondial/10/river/Main/	\N	\N
http://www.semwebtech.org/mondial/10/river/Tambo/	\N	\N
http://www.semwebtech.org/mondial/10/river/Indus/	\N	\N
http://www.semwebtech.org/mondial/10/river/Iller/	\N	\N
http://www.semwebtech.org/mondial/10/river/Ural/	\N	\N
http://www.semwebtech.org/mondial/10/river/RioNegro/	\N	\N
http://www.semwebtech.org/mondial/10/river/Adda/	\N	\N
http://www.semwebtech.org/mondial/10/river/Klaraelv/	\N	\N
http://www.semwebtech.org/mondial/10/river/Amur/	\N	\N
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	\N	\N
http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N
http://www.semwebtech.org/mondial/10/river/Parana/	\N	\N
http://www.semwebtech.org/mondial/10/river/Saluen/	\N	\N
http://www.semwebtech.org/mondial/10/river/Volta/	\N	\N
http://www.semwebtech.org/mondial/10/river/Tshuapa/	\N	\N
http://www.semwebtech.org/mondial/10/river/Maranon/	\N	\N
http://www.semwebtech.org/mondial/10/river/Reuss/	\N	\N
http://www.semwebtech.org/mondial/10/river/Raab/	\N	\N
http://www.semwebtech.org/mondial/10/river/Shabelle/	\N	\N
http://www.semwebtech.org/mondial/10/river/Morava/	\N	\N
http://www.semwebtech.org/mondial/10/river/Weser/	\N	\N
http://www.semwebtech.org/mondial/10/river/SchattalArab/	\N	\N
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	\N	\N
http://www.semwebtech.org/mondial/10/river/Waag/	\N	\N
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	\N	\N
http://www.semwebtech.org/mondial/10/river/RioLerma/	\N	\N
http://www.semwebtech.org/mondial/10/river/Angara/	\N	\N
http://www.semwebtech.org/mondial/10/river/Luvua/	\N	\N
http://www.semwebtech.org/mondial/10/river/Baro/	\N	\N
http://www.semwebtech.org/mondial/10/river/Kura/	\N	\N
http://www.semwebtech.org/mondial/10/river/Drin/	\N	\N
http://www.semwebtech.org/mondial/10/river/RioMamore/	\N	\N
http://www.semwebtech.org/mondial/10/river/Elbe/	\N	\N
http://www.semwebtech.org/mondial/10/river/Maas/	\N	\N
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	\N	\N
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	\N	\N
http://www.semwebtech.org/mondial/10/river/Nile/	\N	\N
http://www.semwebtech.org/mondial/10/river/Ganges/	\N	\N
http://www.semwebtech.org/mondial/10/river/Tocantins/	\N	\N
http://www.semwebtech.org/mondial/10/river/Ubangi/	\N	\N
http://www.semwebtech.org/mondial/10/river/Jubba/	\N	\N
http://www.semwebtech.org/mondial/10/river/Rhein/	\N	\N
http://www.semwebtech.org/mondial/10/river/Chire/	\N	\N
http://www.semwebtech.org/mondial/10/river/Ucayali/	\N	\N
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	\N	\N
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	\N	\N
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/BlueNile/	\N	\N
http://www.semwebtech.org/mondial/10/river/Ene/	\N	\N
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/Arno/	\N	\N
http://www.semwebtech.org/mondial/10/river/Ruki/	\N	\N
http://www.semwebtech.org/mondial/10/river/Selenge/	\N	\N
http://www.semwebtech.org/mondial/10/river/Ebro/	\N	\N
http://www.semwebtech.org/mondial/10/river/OhioRiver/	\N	\N
http://www.semwebtech.org/mondial/10/river/Akagera/	\N	\N
http://www.semwebtech.org/mondial/10/river/Schilka/	\N	\N
http://www.semwebtech.org/mondial/10/river/Brigach/	\N	\N
http://www.semwebtech.org/mondial/10/river/Thjorsa/	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeVan/	3740	Lake Van
http://www.semwebtech.org/mondial/10/lake/Bodensee/	538.5	Bodensee
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	675	Lake Keban
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	88	Zurichsee
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	5580	Lake Kariba
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	2155	Kakhovka Reservoir
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	18400	Ozero Ladoga
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	28568	Great Slave Lake
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	320	Lake Abbe
http://www.semwebtech.org/mondial/10/lake/Saimaa/	4370	Saimaa
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	4400	Great Salt Lake
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	128	Lago Trasimeno
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	367	Lake Ohrid
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	29.8	Brienzersee
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	10582	Salar de Uyuni
http://www.semwebtech.org/mondial/10/lake/LakeTana/	3000	Lake Tana
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	2325	Rutanzige/Eduardsee
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	1800	Daryacheh ye Namak
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	1600	Hamun e Jaz Murian
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	6.64	Lake Burley Griffin
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	9500	Lake Eyre
http://www.semwebtech.org/mondial/10/lake/LochNess/	56	Loch Ness
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	49	Lake Bosumtwi
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	4848	Lake Nipigon
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	14.4	Laguna de Gallocanta
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	1942	Lake Manicouagan
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	648	Kentucky Lake
http://www.semwebtech.org/mondial/10/lake/Arresoe/	40.2	Arresoe
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	911	Laguna de Bay
http://www.semwebtech.org/mondial/10/lake/LakeHume/	202	Lake Hume
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	5470	Lake Urmia
http://www.semwebtech.org/mondial/10/lake/Vaettern/	1900	Vaettern
http://www.semwebtech.org/mondial/10/lake/Storuman/	173	Storuman
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	5250	Lake Nasser
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	12000	Makarikari Salt Pan
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	80	Koli Sarez
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	6133	Etoscha Salt Pan
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	1035	Lake Managua
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	104	Lake Manitou
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	770	Lake Ngami
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	31792	Great Bear Lake
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	147	Chickamauga Lake
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	1050	Lake Eyasi
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	800	Chew Bahir
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	472	Kallavesi
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	175	Lago Junin
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	368	Mjoesa-See
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	1	Lake Irazu
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	4214	Lago de Sobradinho
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	8157	Lake Nicaragua
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	6405	Lake Turkana
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	4560	Ozero Taimyr
http://www.semwebtech.org/mondial/10/sea/RedSea/	\N	Red Sea
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	29600	Lake Malawi
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	4583	Qinghai Lake
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	1890	Lake Okeechobee
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	1720	Lake Kioga
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	13000	Lake Maracaibo
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	687	Lake Chilwa
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	2500	Ozero Tschany
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	6236	Issyk-Kul
http://www.semwebtech.org/mondial/10/lake/ChadLake/	23000	Chad Lake
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	337	Franklin. D. Roosevelt Lake
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	5120	Lake Mweru
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	1040	Lake Natron
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	68870	Lake Victoria
http://www.semwebtech.org/mondial/10/lake/Vaenern/	5648	Vaenern
http://www.semwebtech.org/mondial/10/lake/LochLomond/	71	Loch Lomond
http://www.semwebtech.org/mondial/10/lake/LakeMead/	640	Lake Mead
http://www.semwebtech.org/mondial/10/lake/LacAssal/	54	Lac Assal
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	386400	Caspian Sea
http://www.semwebtech.org/mondial/10/lake/Ammersee/	46.6	Ammersee
http://www.semwebtech.org/mondial/10/lake/CraterLake/	53.2	Crater Lake
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	3.3	Laacher Maar
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	4400	Ozero Chanka
http://www.semwebtech.org/mondial/10/lake/LacLeman/	581	Lac Leman
http://www.semwebtech.org/mondial/10/lake/NamCo/	1855	Nam Co
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	145	Lake Eucumbene
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	0.4	La Brea Pitch Lake
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	928	Oulujaervi
http://www.semwebtech.org/mondial/10/lake/Balaton/	594	Balaton
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	Atlantic Ocean
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	Pacific Ocean
http://www.semwebtech.org/mondial/10/sea/Kattegat/	\N	Kattegat
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	\N	Gulf of Mexico
http://www.semwebtech.org/mondial/10/sea/BandaSea/	\N	Banda Sea
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	\N	Norwegian Sea
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	\N	Barents Sea
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	\N	Sulawesi Sea
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	\N	Gulf of Oman
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	\N	Arctic Ocean
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	Mediterranean Sea
http://www.semwebtech.org/mondial/10/sea/YellowSea/	\N	Yellow Sea
http://www.semwebtech.org/mondial/10/sea/BeringSea/	\N	Bering Sea
http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	North Sea
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	\N	Skagerrak
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	\N	Gulf of Aden
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	\N	Gulf of Bengal
http://www.semwebtech.org/mondial/10/sea/SuluSea/	\N	Sulu Sea
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	\N	East Sibirian Sea
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	\N	Greenland Sea
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	\N	Arabian Sea
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	\N	Malakka Strait
http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	Black Sea
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	\N	Persian Gulf
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	\N	Caribbean Sea
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	Indian Ocean
http://www.semwebtech.org/mondial/10/sea/IrishSea/	\N	Irish Sea
http://www.semwebtech.org/mondial/10/sea/JavaSea/	\N	Java Sea
http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	Baltic Sea
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	\N	Labrador Sea
http://www.semwebtech.org/mondial/10/sea/KaraSea/	\N	Kara Sea
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	\N	Andaman Sea
http://www.semwebtech.org/mondial/10/sea/TheChannel/	\N	The Channel
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	\N	Marmara Sea
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	\N	South China Sea
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	\N	Sea of Okhotsk
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	\N	Hudson Bay
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	\N	Sea of Azov
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	\N	Sea of Japan
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	\N	East China Sea
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	\N	Lake Nyos
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	\N	Barrage de Mbakaou
\.


--
-- TOC entry 5975 (class 0 OID 90304)
-- Dependencies: 745
-- Data for Name: X1; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "X1" ("URI", nmprop) FROM stdin;
\.


--
-- TOC entry 5976 (class 0 OID 90307)
-- Dependencies: 746
-- Data for Name: X2; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "X2" ("URI") FROM stdin;
\.


--
-- TOC entry 5977 (class 0 OID 90310)
-- Dependencies: 747
-- Data for Name: Y1; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Y1" ("URI", "invfktprop_Inv") FROM stdin;
\.


--
-- TOC entry 5978 (class 0 OID 90313)
-- Dependencies: 748
-- Data for Name: Y2; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "Y2" ("URI", "invfktprop_Inv") FROM stdin;
\.


--
-- TOC entry 5979 (class 0 OID 90316)
-- Dependencies: 749
-- Data for Name: allcl; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY allcl (subclass, superclass) FROM stdin;
Border	PoliticalThing
Border	Line
Desert	Location
Desert	Area
Desert	GeographicalNonPoliticalThing
Province	AdministrativeArea
River	Water
River	Line
Source	GeographicalNonPoliticalThing
Source	Place
Y1	Y
AdministrativeArea	PoliticalThing
AdministrativeArea	Area
X	rdf2sqlTOP
V	rdf2sqlTOP
Mountain	GeographicalNonPoliticalThing
Mountain	Place
Island	Location
Island	Area
Island	GeographicalNonPoliticalThing
Y2	Y
Female	Person
PoliticalBody	PoliticalThing
MondialThing	Entity
Membership	ReifiedThing
Religion	AnthropoGeographicalThing
Country	PoliticalBody
Country	AdministrativeArea
SpokenBy	AnthropoGeographicalRelationship
GeographicalNonPoliticalThing	GeographicalThing
Estuary	Place
Estuary	GeographicalNonPoliticalThing
Sea	Area
Sea	Water
Person	rdf2sqlTOP
Place	Location
GeographicalThing	MondialThing
ReifiedThing	MondialThing
City	Location
City	GeographicalThing
City	Area
City	PoliticalThing
Y	rdf2sqlTOP
Mountains	Location
Mountains	GeographicalNonPoliticalThing
Mountains	Area
Lake	Area
Lake	Water
Lake	Location
BelievedBy	AnthropoGeographicalRelationship
Islands	GeographicalNonPoliticalThing
Islands	Location
Islands	Area
X2	X
Volcano	Mountain
Continent	Area
Continent	GeographicalNonPoliticalThing
Organization	PoliticalBody
Encompassed	ReifiedThing
Male	Person
EthnicProportion	AnthropoGeographicalRelationship
AnthropoGeographicalRelationship	ReifiedThing
Entity	rdf2sqlTOP
Location	Entity
PoliticalThing	MondialThing
X1	X
U	rdf2sqlTOP
EthnicGroup	AnthropoGeographicalThing
AnthropoGeographicalThing	MondialThing
Line	Entity
Area	Entity
Language	AnthropoGeographicalThing
Water	GeographicalNonPoliticalThing
\.


--
-- TOC entry 5980 (class 0 OID 90319)
-- Dependencies: 750
-- Data for Name: borders; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY borders ("Area", "LargeArea") FROM stdin;
\.


--
-- TOC entry 5981 (class 0 OID 90322)
-- Dependencies: 751
-- Data for Name: cityIn; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "cityIn" ("City", "AdministrativeArea") FROM stdin;
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	http://www.semwebtech.org/mondial/10/country/Z/province/Western/
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	http://www.semwebtech.org/mondial/10/country/BHT/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	http://www.semwebtech.org/mondial/10/country/B/province/Namur/
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	http://www.semwebtech.org/mondial/10/country/TR/province/Adana/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/country/SY/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	http://www.semwebtech.org/mondial/10/country/MACX/
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	http://www.semwebtech.org/mondial/10/country/F/province/Picardie/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	http://www.semwebtech.org/mondial/10/country/J/province/Nara/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	http://www.semwebtech.org/mondial/10/country/R/province/Kirov/
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	http://www.semwebtech.org/mondial/10/country/S/province/Halland/
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	http://www.semwebtech.org/mondial/10/country/H/province/Tolna/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/BERM/
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/country/MH/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	http://www.semwebtech.org/mondial/10/country/GBZ/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	http://www.semwebtech.org/mondial/10/country/SME/
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	http://www.semwebtech.org/mondial/10/country/PA/province/Colón/
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/country/NAU/
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	http://www.semwebtech.org/mondial/10/country/N/province/Troms/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/country/MV/
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	http://www.semwebtech.org/mondial/10/country/TR/province/Rize/
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	http://www.semwebtech.org/mondial/10/country/GBM/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	http://www.semwebtech.org/mondial/10/country/TR/province/Kars/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	http://www.semwebtech.org/mondial/10/country/CUR/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	http://www.semwebtech.org/mondial/10/country/V/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	http://www.semwebtech.org/mondial/10/country/WSA/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	http://www.semwebtech.org/mondial/10/country/Z/province/Central/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	http://www.semwebtech.org/mondial/10/country/CH/province/Jura/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	http://www.semwebtech.org/mondial/10/country/H/province/Heves/
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	http://www.semwebtech.org/mondial/10/country/KWT/
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	http://www.semwebtech.org/mondial/10/country/AMSA/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	http://www.semwebtech.org/mondial/10/country/ARU/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	http://www.semwebtech.org/mondial/10/country/PA/province/Darién/
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	http://www.semwebtech.org/mondial/10/country/NCA/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/YV/province/Apure/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	http://www.semwebtech.org/mondial/10/country/B/province/Liège/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	http://www.semwebtech.org/mondial/10/country/PE/province/Callao/
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/country/TUV/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	http://www.semwebtech.org/mondial/10/country/HONX/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	http://www.semwebtech.org/mondial/10/country/P/province/Santarem/
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	http://www.semwebtech.org/mondial/10/country/N/province/Telemark/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	http://www.semwebtech.org/mondial/10/country/R/province/Amur/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	http://www.semwebtech.org/mondial/10/country/TR/province/Muş/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	http://www.semwebtech.org/mondial/10/country/I/province/Marche/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/GUY/
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	http://www.semwebtech.org/mondial/10/country/COCO/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	http://www.semwebtech.org/mondial/10/country/BZ/
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	http://www.semwebtech.org/mondial/10/country/BZ/
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	http://www.semwebtech.org/mondial/10/country/LAO/
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	http://www.semwebtech.org/mondial/10/country/K/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/country/BRN/
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	http://www.semwebtech.org/mondial/10/country/SA/province/Najran/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	http://www.semwebtech.org/mondial/10/country/P/province/Braganca/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	http://www.semwebtech.org/mondial/10/country/LB/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	http://www.semwebtech.org/mondial/10/country/RT/
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	http://www.semwebtech.org/mondial/10/country/TR/province/Konya/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	http://www.semwebtech.org/mondial/10/country/GH/province/Western/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	http://www.semwebtech.org/mondial/10/country/GH/province/Western/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	http://www.semwebtech.org/mondial/10/country/IND/province/Goa/
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	http://www.semwebtech.org/mondial/10/country/SK/province/Košický/
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	http://www.semwebtech.org/mondial/10/country/COOK/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	http://www.semwebtech.org/mondial/10/country/YV/province/Lara/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	http://www.semwebtech.org/mondial/10/country/P/province/Setubal/
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	http://www.semwebtech.org/mondial/10/country/L/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	http://www.semwebtech.org/mondial/10/country/FL/
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	http://www.semwebtech.org/mondial/10/country/I/province/Molise/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/country/J/province/Mie/
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	http://www.semwebtech.org/mondial/10/country/PITC/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	http://www.semwebtech.org/mondial/10/country/FGU/
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	http://www.semwebtech.org/mondial/10/country/F/province/Limousin/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	http://www.semwebtech.org/mondial/10/country/P/province/Braga/
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	http://www.semwebtech.org/mondial/10/country/SD/
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	http://www.semwebtech.org/mondial/10/country/TR/province/Van/
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	http://www.semwebtech.org/mondial/10/country/P/province/Viseu/
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	http://www.semwebtech.org/mondial/10/country/H/province/Békés/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	http://www.semwebtech.org/mondial/10/country/MAYO/
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	http://www.semwebtech.org/mondial/10/country/S/province/Örebro/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	http://www.semwebtech.org/mondial/10/country/GH/province/Central/
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	http://www.semwebtech.org/mondial/10/country/P/province/Leiria/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/country/TO/
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/country/VU/
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	http://www.semwebtech.org/mondial/10/country/P/province/Beja/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/country/J/province/Oita/
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	http://www.semwebtech.org/mondial/10/country/XMAS/
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	http://www.semwebtech.org/mondial/10/country/ER/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	http://www.semwebtech.org/mondial/10/country/TR/province/Batman/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	http://www.semwebtech.org/mondial/10/country/ARM/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/country/NIUE/
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	http://www.semwebtech.org/mondial/10/country/GUAM/
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	http://www.semwebtech.org/mondial/10/country/GNB/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	http://www.semwebtech.org/mondial/10/country/GBG/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	http://www.semwebtech.org/mondial/10/country/RSM/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/province/Maine/
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	http://www.semwebtech.org/mondial/10/country/R/province/Penza/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	http://www.semwebtech.org/mondial/10/country/RO/province/Arad/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	http://www.semwebtech.org/mondial/10/country/H/province/Vas/
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	http://www.semwebtech.org/mondial/10/country/CH/province/Zug/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	http://www.semwebtech.org/mondial/10/country/MC/
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	http://www.semwebtech.org/mondial/10/country/J/province/Shiga/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	http://www.semwebtech.org/mondial/10/country/F/province/Centre/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	http://www.semwebtech.org/mondial/10/country/F/province/Centre/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/country/J/province/Akita/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	http://www.semwebtech.org/mondial/10/country/E/province/Navarra/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	http://www.semwebtech.org/mondial/10/country/RO/province/Alba/
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	http://www.semwebtech.org/mondial/10/country/TOK/
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	http://www.semwebtech.org/mondial/10/country/TM/province/Mary/
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	http://www.semwebtech.org/mondial/10/country/Q/
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	http://www.semwebtech.org/mondial/10/country/Q/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	http://www.semwebtech.org/mondial/10/country/R/province/Perm/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	http://www.semwebtech.org/mondial/10/country/R/province/Perm/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	http://www.semwebtech.org/mondial/10/country/J/province/Gumma/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/country/BDS/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	http://www.semwebtech.org/mondial/10/country/CO/province/Meta/
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/country/BS/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	http://www.semwebtech.org/mondial/10/country/AND/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	http://www.semwebtech.org/mondial/10/country/BR/province/Acre/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	http://www.semwebtech.org/mondial/10/country/NORF/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/country/BRU/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/country/GB/province/London/
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	http://www.semwebtech.org/mondial/10/country/CEU/
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/country/MS/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	http://www.semwebtech.org/mondial/10/country/P/province/Evora/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	http://www.semwebtech.org/mondial/10/country/MEL/
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	http://www.semwebtech.org/mondial/10/country/GBJ/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	http://www.semwebtech.org/mondial/10/country/D/province/Berlin/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	http://www.semwebtech.org/mondial/10/country/WAL/
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	http://www.semwebtech.org/mondial/10/country/WAL/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	http://www.semwebtech.org/mondial/10/country/GAZA/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	http://www.semwebtech.org/mondial/10/country/B/province/Limburg/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	http://www.semwebtech.org/mondial/10/country/RA/province/Salta/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
\.


--
-- TOC entry 5982 (class 0 OID 90325)
-- Dependencies: 752
-- Data for Name: hasAccountNo; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "hasAccountNo" ("Person", "VALUE") FROM stdin;
\.


--
-- TOC entry 5983 (class 0 OID 90331)
-- Dependencies: 753
-- Data for Name: hasChild; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "hasChild" ("Person1", "Person2") FROM stdin;
\.


--
-- TOC entry 5984 (class 0 OID 90334)
-- Dependencies: 754
-- Data for Name: hasNickname; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "hasNickname" ("Person", "VALUE") FROM stdin;
\.


--
-- TOC entry 5985 (class 0 OID 90337)
-- Dependencies: 755
-- Data for Name: inv; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY inv (property, inverse) FROM stdin;
spokenInCountry	speakLanguage
speakLanguage	spokenInCountry
invfktprop	invfktprop_Inv
invfktprop_Inv	invfktprop
liveInInfo	onEthnicGroup
onEthnicGroup	liveInInfo
languageInfo	languageInfo-
languageInfo-	languageInfo
locatedOnIsland	locatedOnIsland_Inv
locatedOnIsland_Inv	locatedOnIsland
hasSource-	hasSource
hasSource	hasSource-
cityIn	hasCity
hasCity	cityIn
marriedWith	marriedWith
belongsToIslands_Inv	belongsToIslands
belongsToIslands	belongsToIslands_Inv
locatedInWater_Inv	locatedInWater
locatedInWater	locatedInWater_Inv
hasEstuary	hasEstuary-
hasEstuary-	hasEstuary
locatedIn_Inv	locatedIn
locatedIn	locatedIn_Inv
hasProvince	isProvinceOf
isProvinceOf	hasProvince
hasFather	hasFather_Inv
hasFather_Inv	hasFather
neighbor	neighbor
inMountains	inMountains_Inv
inMountains_Inv	inMountains
borders	borders_Inv
borders_Inv	borders
wasDependentOf_Inv	wasDependentOf
wasDependentOf	wasDependentOf_Inv
isInMembership	ofMember
ofMember	isInMembership
mergesWith	mergesWith
encompasses	encompassed
encompassed	encompasses
locatedAt_Inv	locatedAt
locatedAt	locatedAt_Inv
populationcount	populationcount_Inv
populationcount_Inv	populationcount
onLanguage	spokenInInfo
spokenInInfo	onLanguage
liveInCountry	belongToEthnicGroup
belongToEthnicGroup	liveInCountry
isMember	hasMember
hasMember	isMember
believeInReligion	believedInCountry
believedInCountry	believeInReligion
hasParent	hasChild
hasChild	hasParent
isCapitalOf	capital
capital	isCapitalOf
flowsThrough_Inv	flowsThrough
flowsThrough	flowsThrough_Inv
dependentOf_Inv	dependentOf
dependentOf	dependentOf_Inv
encompassedArea	encompassedByInfo
encompassedByInfo	encompassedArea
totUpartV11prop_Inv	totUpartV11prop
totUpartV11prop	totUpartV11prop_Inv
nmprop	nmprop_Inv
nmprop_Inv	nmprop
hasMother_Inv	hasMother
hasMother	hasMother_Inv
hasBorder	bordering
bordering	hasBorder
religionInfo-	religionInfo
religionInfo	religionInfo-
encompassesInfo	encompassedBy
encompassedBy	encompassesInfo
flowsInto_Inv	flowsInto
flowsInto	flowsInto_Inv
hasHeadq	hasHeadq_Inv
hasHeadq_Inv	hasHeadq
inOrganization	hasMembership
hasMembership	inOrganization
onReligion	followedInInfo
followedInInfo	onReligion
ethnicInfo-	ethnicInfo
ethnicInfo	ethnicInfo-
\.


--
-- TOC entry 5986 (class 0 OID 90340)
-- Dependencies: 756
-- Data for Name: locatedAt; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "locatedAt" ("City", "Water") FROM stdin;
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	http://www.semwebtech.org/mondial/10/river/MerrimackRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	http://www.semwebtech.org/mondial/10/lake/LacLeman/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	http://www.semwebtech.org/mondial/10/lake/Paeijaenne/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/river/Karun/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	http://www.semwebtech.org/mondial/10/river/Theiss/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	http://www.semwebtech.org/mondial/10/river/Schilka/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/river/Asahan/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	http://www.semwebtech.org/mondial/10/river/DetroitRiver/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/river/NorthernDwina/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/river/Oulujoki/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	http://www.semwebtech.org/mondial/10/river/Raab/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	http://www.semwebtech.org/mondial/10/river/Pruth/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	http://www.semwebtech.org/mondial/10/lake/LakeKivu/
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	http://www.semwebtech.org/mondial/10/river/Dnister/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	http://www.semwebtech.org/mondial/10/river/YukonRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/lake/LakeOahe/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/lake/LacLeman/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/river/Marne/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/river/Kymijoki/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	http://www.semwebtech.org/mondial/10/river/Brahmaputra/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	http://www.semwebtech.org/mondial/10/river/Lech/
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	http://www.semwebtech.org/mondial/10/river/Paraguay/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	http://www.semwebtech.org/mondial/10/river/Karasu/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	http://www.semwebtech.org/mondial/10/river/Mantaro/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	http://www.semwebtech.org/mondial/10/river/Mur/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	http://www.semwebtech.org/mondial/10/river/Guadalquivir/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	http://www.semwebtech.org/mondial/10/river/Ischim/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	http://www.semwebtech.org/mondial/10/river/RioLerma/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/river/RioNegro/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	http://www.semwebtech.org/mondial/10/river/Inn/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	http://www.semwebtech.org/mondial/10/river/Kura/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/river/NorthernDwina/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	http://www.semwebtech.org/mondial/10/river/Karun/
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Cuango/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Cuilo/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Kwa/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	http://www.semwebtech.org/mondial/10/river/Saar/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	http://www.semwebtech.org/mondial/10/river/Theiss/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/river/Gambia/
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/river/WesternDwina/
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	http://www.semwebtech.org/mondial/10/lake/Saimaa/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	http://www.semwebtech.org/mondial/10/river/Moldau/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	http://www.semwebtech.org/mondial/10/river/DetroitRiver/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	http://www.semwebtech.org/mondial/10/river/WesternBug/
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	http://www.semwebtech.org/mondial/10/river/Ili/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/lake/LakeOahe/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	http://www.semwebtech.org/mondial/10/river/Moraca/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	http://www.semwebtech.org/mondial/10/river/Ebro/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	http://www.semwebtech.org/mondial/10/river/Paraguay/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	http://www.semwebtech.org/mondial/10/river/Amudarja/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	http://www.semwebtech.org/mondial/10/river/WesternDwina/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	http://www.semwebtech.org/mondial/10/river/SouthernMorava/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	http://www.semwebtech.org/mondial/10/river/Ucayali/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	http://www.semwebtech.org/mondial/10/river/Garonne/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	http://www.semwebtech.org/mondial/10/river/Karasu/
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	http://www.semwebtech.org/mondial/10/river/March/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	http://www.semwebtech.org/mondial/10/river/RioMadeira/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/river/Saluen/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	http://www.semwebtech.org/mondial/10/river/Pjandsh/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	http://www.semwebtech.org/mondial/10/lake/LakeSuperior/
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	http://www.semwebtech.org/mondial/10/lake/LakeManagua/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	http://www.semwebtech.org/mondial/10/river/Arno/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/river/Klaraelv/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/river/Bani/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/river/Iller/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	http://www.semwebtech.org/mondial/10/lake/Saimaa/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	http://www.semwebtech.org/mondial/10/river/Garonne/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	http://www.semwebtech.org/mondial/10/river/Katun/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	http://www.semwebtech.org/mondial/10/river/Baro/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/lake/MaleboPool/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	http://www.semwebtech.org/mondial/10/lake/Kallavesi/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	http://www.semwebtech.org/mondial/10/river/Murat/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	http://www.semwebtech.org/mondial/10/lake/Bodensee/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	http://www.semwebtech.org/mondial/10/river/Schari/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	http://www.semwebtech.org/mondial/10/river/Doubs/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	http://www.semwebtech.org/mondial/10/lake/LakeSkutari/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	http://www.semwebtech.org/mondial/10/river/Ebro/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/river/WhiteNile/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	http://www.semwebtech.org/mondial/10/lake/LakeManagua/
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	http://www.semwebtech.org/mondial/10/river/Amudarja/
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	http://www.semwebtech.org/mondial/10/river/Arno/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	http://www.semwebtech.org/mondial/10/river/Guadiana/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	http://www.semwebtech.org/mondial/10/river/Brahmaputra/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	http://www.semwebtech.org/mondial/10/river/Tiber/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/river/Kemijoki/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/river/Ounasjoki/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/lake/Zurichsee/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/river/Limmat/
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	http://www.semwebtech.org/mondial/10/river/Leine/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	http://www.semwebtech.org/mondial/10/river/Marne/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	http://www.semwebtech.org/mondial/10/lake/LakeMichigan/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	http://www.semwebtech.org/mondial/10/river/Aller/
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	http://www.semwebtech.org/mondial/10/river/Umeaelv/
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/river/Goetaaelv/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	http://www.semwebtech.org/mondial/10/river/Ticino/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/lake/MaleboPool/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	http://www.semwebtech.org/mondial/10/river/Leine/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	http://www.semwebtech.org/mondial/10/river/Lulua/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	http://www.semwebtech.org/mondial/10/river/Sanga/
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/river/Lukuga/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/river/Saone/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	http://www.semwebtech.org/mondial/10/river/Reuss/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	http://www.semwebtech.org/mondial/10/river/Salzach/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	http://www.semwebtech.org/mondial/10/river/TruckeeRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/river/Limpopo/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	http://www.semwebtech.org/mondial/10/lake/LakeKivu/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	http://www.semwebtech.org/mondial/10/river/Lena/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	http://www.semwebtech.org/mondial/10/river/Huallaga/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/river/Goetaaelv/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	http://www.semwebtech.org/mondial/10/river/Isar/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	http://www.semwebtech.org/mondial/10/river/Guadalquivir/
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	http://www.semwebtech.org/mondial/10/river/Isere/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/river/Reuss/
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/river/Moldau/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	http://www.semwebtech.org/mondial/10/river/Pruth/
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	http://www.semwebtech.org/mondial/10/river/Cuilo/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	http://www.semwebtech.org/mondial/10/river/Selenge/
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	http://www.semwebtech.org/mondial/10/lake/LakeMichigan/
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	http://www.semwebtech.org/mondial/10/river/Fulda/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	http://www.semwebtech.org/mondial/10/river/RioLerma/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/river/March/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	http://www.semwebtech.org/mondial/10/lake/Paeijaenne/
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	http://www.semwebtech.org/mondial/10/lake/Vaettern/
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	http://www.semwebtech.org/mondial/10/lake/OzeroOnega/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
\.


--
-- TOC entry 5987 (class 0 OID 90343)
-- Dependencies: 757
-- Data for Name: locatedIn; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "locatedIn" ("GeographicalThing", "Area") FROM stdin;
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Evora/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Beja/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/
http://www.semwebtech.org/mondial/10/island/Futuna/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Lima/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/source/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/source/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/
http://www.semwebtech.org/mondial/10/source/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/lake/Inari/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/lake/Inari/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/source/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WSA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GNB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Beja/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAL/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BERM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Leiria/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GBZ/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/LB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RT/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SME/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Braga/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/FGU/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GUY/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/Central/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Setubal/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/Western/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Maine/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BDS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/lake/LochNess/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LochNess/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/source/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/source/Po/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Olkhon/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/island/Olkhon/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/mountain/Korab/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/mountain/Korab/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/Chire/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/island/IsleofMan/	http://www.semwebtech.org/mondial/10/country/GBM/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/island/Phuket/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Theiss/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/Principe/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/estuary/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/estuary/Don/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/estuary/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/estuary/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/GUAM/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PITC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Lima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NORF/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MH/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Mie/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/TOK/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/COOK/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NAU/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NCA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Oita/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/TO/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AMSA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/TUV/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Darién/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NIUE/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/VU/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Molokai/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Molokai/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/
http://www.semwebtech.org/mondial/10/island/Lolland/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/island/Lolland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/mountain/Brocken/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/mountain/Brocken/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/IsleofWight/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/IsleofWight/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/source/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/
http://www.semwebtech.org/mondial/10/source/Waag/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/Ceram/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/island/Ceram/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Langeland/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/island/Langeland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/estuary/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/estuary/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/source/Fulda/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/source/Fulda/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Heves/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/London/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/LittleCayman/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/river/Newa/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/river/Newa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Swir/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/river/Swir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Mincio/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/estuary/Mincio/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Singapore/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/island/NorthUist/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/NorthUist/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Montserrat/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/source/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/source/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/estuary/Breg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Breg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Damavand/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/mountain/Damavand/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Trinidad/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/island/Skye/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Skye/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Rugen/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/island/Rugen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/source/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/source/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/source/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/island/Ponape/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/estuary/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/estuary/Schari/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/estuary/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/island/Lefkas/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Lefkas/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/source/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/island/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/island/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/
http://www.semwebtech.org/mondial/10/lake/LakeVan/	http://www.semwebtech.org/mondial/10/country/TR/province/Van/
http://www.semwebtech.org/mondial/10/lake/LakeVan/	http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/
http://www.semwebtech.org/mondial/10/lake/LakeVan/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/province/Halland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Alz/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Alz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/source/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/mountain/Schchara/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/mountain/Schchara/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/mountain/Schchara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Reunion/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/mountain/Illampu/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/mountain/Illampu/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/estuary/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Fongafale/	http://www.semwebtech.org/mondial/10/country/TUV/
http://www.semwebtech.org/mondial/10/island/SaintThomas/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/Etna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Etna/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/source/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/source/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/estuary/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/estuary/Volga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/source/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/source/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/river/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/lake/Arresoe/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/lake/Arresoe/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Bintan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Bintan/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/source/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/
http://www.semwebtech.org/mondial/10/source/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/source/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/source/Marne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/Tambora/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Tambora/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/CH/province/Jura/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/island/Samosir/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/island/Samosir/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Kiritimati/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/island/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/L/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/
http://www.semwebtech.org/mondial/10/estuary/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/estuary/Lagen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/island/Gozo/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	http://www.semwebtech.org/mondial/10/country/BERM/
http://www.semwebtech.org/mondial/10/source/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/source/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Western/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Central/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/estuary/Save/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/source/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/island/Mayotte/	http://www.semwebtech.org/mondial/10/country/MAYO/
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Buna/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/Breg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Breg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/island/Anglesey/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/island/Anglesey/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/estuary/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/estuary/Tajo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/PortoSanto/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/island/PortoSanto/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/source/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/source/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Flores/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/Flores/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Ameland/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Ameland/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/island/Madagaskar/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/island/Mindoro/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Mindoro/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Gambia/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/island/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/
http://www.semwebtech.org/mondial/10/island/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/island/Streymoy/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/Örebro/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/source/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/
http://www.semwebtech.org/mondial/10/source/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/ER/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/estuary/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/estuary/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/source/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/source/Petschora/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/Storuman/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/lake/Storuman/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/estuary/Sobat/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/BlackDrin/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/river/BlackDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Fohr/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Fohr/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Irazu/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/mountain/Irazu/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/river/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/river/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/source/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/estuary/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/estuary/Tobol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/source/Seine/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/estuary/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/lake/Siljan/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Siljan/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/source/Doubs/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/estuary/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/estuary/Douro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/Babelthuap/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/estuary/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Marche/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Molise/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GBZ/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MEL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/CEU/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GAZA/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Adana/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MC/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Linosa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Linosa/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/island/Antigua/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/island/EastFalkland/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/source/Aare/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Ammer/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Ammer/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Annapurna/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Batman/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Savaii/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Argun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/source/Argun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/river/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/source/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/
http://www.semwebtech.org/mondial/10/source/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/
http://www.semwebtech.org/mondial/10/source/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Negev/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/desert/Negev/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/estuary/Atbara/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/island/Barra/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Barra/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/
http://www.semwebtech.org/mondial/10/island/Upolu/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/mountain/Olympos/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/source/Newa/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/source/Newa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Korfu/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Korfu/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Save/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/estuary/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/estuary/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Penza/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/Buna/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/source/Parana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Telemark/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/estuary/Saar/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/estuary/Saar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	http://www.semwebtech.org/mondial/10/country/WSA/
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/island/Jersey/	http://www.semwebtech.org/mondial/10/country/GBJ/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/island/BishopRock/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/island/BishopRock/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/estuary/Drau/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/island/Fehmarn/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Fehmarn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/source/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/source/Katun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/estuary/Ticino/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/estuary/Ticino/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/source/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/source/Ene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Ene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Ibiza/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/island/Ibiza/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	http://www.semwebtech.org/mondial/10/country/NCA/
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/
http://www.semwebtech.org/mondial/10/island/SaintPierre/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/estuary/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/estuary/Rhone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/estuary/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/estuary/Karun/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/source/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/source/March/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/source/Jordan/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/island/Jamaica/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/source/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/
http://www.semwebtech.org/mondial/10/source/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/estuary/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/estuary/Kama/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/estuary/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/Curacao/	http://www.semwebtech.org/mondial/10/country/CUR/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/source/Murat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Newfoundland/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/island/Newfoundland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Würm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Würm/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/mountain/Meru/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/mountain/Meru/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/estuary/Mekong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Lech/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Lech/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/river/Sobat/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/Selenge/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/island/Mull/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Mull/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/source/Senegal/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/estuary/Gambia/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/estuary/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/
http://www.semwebtech.org/mondial/10/estuary/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/source/Akagera/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/island/Santiago/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Braganca/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Viseu/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/estuary/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/estuary/Oka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Namib/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/K/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/LAO/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Tongatapu/	http://www.semwebtech.org/mondial/10/country/TO/
http://www.semwebtech.org/mondial/10/source/Saar/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/source/Saar/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/
http://www.semwebtech.org/mondial/10/source/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/estuary/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/estuary/Loire/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/island/Islay/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Islay/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/
http://www.semwebtech.org/mondial/10/island/Hawaii/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Hawaii/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/PuertoRico/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/river/Ammer/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Ammer/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Alz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Alz/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/source/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Oeland/	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/
http://www.semwebtech.org/mondial/10/island/Oeland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Ascension/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/estuary/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/source/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/source/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/desert/KumTagh/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/desert/KumTagh/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/estuary/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/estuary/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/estuary/Glomma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/source/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/source/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/island/SaoTome/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/source/Ganges/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Ganges/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/desert/Rigestan/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/desert/Rigestan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/desert/Rigestan/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/source/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/source/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Isere/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/source/Isere/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/source/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/source/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/island/Alicudi/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Alicudi/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/island/SaoJorge/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/SaoJorge/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/source/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/source/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/island/Corse/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/island/Corse/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/estuary/Shabelle/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/mountain/Olymp/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/mountain/Olymp/	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/
http://www.semwebtech.org/mondial/10/mountain/Olymp/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Impalila/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/source/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/source/Kama/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/estuary/Leine/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/river/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/river/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Sansibar/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/island/Sansibar/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/estuary/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/estuary/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/estuary/Parana/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/SouthUist/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/SouthUist/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/estuary/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/estuary/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/estuary/Tara/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Sylt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Sylt/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/estuary/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/estuary/Main/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Lech/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/source/Lech/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Douro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/source/Douro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/estuary/Naryn/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/estuary/Naryn/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/source/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/source/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/BRU/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/island/Zakynthos/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/island/Zakynthos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Tortola/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/mountain/Kailash/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Kailash/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/source/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/source/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Aller/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Aller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Cyprus/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/island/Koror/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	http://www.semwebtech.org/mondial/10/country/XMAS/
http://www.semwebtech.org/mondial/10/estuary/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/estuary/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/source/Donau/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Donau/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/mountain/Tahan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/
http://www.semwebtech.org/mondial/10/mountain/Tahan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/
http://www.semwebtech.org/mondial/10/mountain/Tahan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/estuary/Adda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/estuary/Adda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Zhima/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/mountain/Zhima/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Volta/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/river/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/island/Rhum/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Rhum/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/estuary/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/estuary/Amur/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Panay/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/island/Panay/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/source/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/source/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeToba/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/lake/LakeToba/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/island/Providenciales/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/estuary/Jordan/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/estuary/Jordan/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/source/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/source/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Helgoland/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Helgoland/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/VitiLevu/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/island/BanksIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/island/BanksIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Tahiti/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/source/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/source/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/mountain/Soufriere/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/source/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/source/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Neckar/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Neckar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Merapi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Merapi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/Fulda/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/estuary/Fulda/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/source/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Bomu/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/source/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/island/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/island/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Lampedusa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Lampedusa/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/
http://www.semwebtech.org/mondial/10/source/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/source/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/source/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Centre/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/island/Tobago/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/island/Efate/	http://www.semwebtech.org/mondial/10/country/VU/
http://www.semwebtech.org/mondial/10/estuary/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/estuary/Raab/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/estuary/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/estuary/Ob/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Moraca/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/source/Oranje/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Juist/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Juist/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Narew/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/estuary/Narew/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/source/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/source/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/source/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Main/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Niue/	http://www.semwebtech.org/mondial/10/country/NIUE/
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/Fakaofo/	http://www.semwebtech.org/mondial/10/country/TOK/
http://www.semwebtech.org/mondial/10/estuary/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/estuary/Petschora/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/source/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/estuary/BlueNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/estuary/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/estuary/Waag/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/Guernsey/	http://www.semwebtech.org/mondial/10/country/GBG/
http://www.semwebtech.org/mondial/10/source/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/source/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/source/Ural/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Perene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Perene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/island/Faial/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Faial/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/river/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Suchona/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/source/Suchona/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/estuary/Selenge/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/estuary/Selenge/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/source/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/
http://www.semwebtech.org/mondial/10/source/Olt/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Akagera/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/island/Lipari/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Lipari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/source/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/source/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/source/Amur/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/
http://www.semwebtech.org/mondial/10/mountain/Fogo/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Schilka/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/estuary/Schilka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/estuary/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Brigach/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Brigach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/estuary/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/estuary/Marne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/source/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/source/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Guam/	http://www.semwebtech.org/mondial/10/country/GUAM/
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Perene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Perene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/estuary/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/estuary/Baro/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/source/Schari/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/estuary/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/estuary/Etsch/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/
http://www.semwebtech.org/mondial/10/source/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/source/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/source/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/source/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/source/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/source/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Elbe/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/estuary/Garonne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/estuary/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/estuary/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/estuary/Maas/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Aller/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Aller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Niger/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/island/Westray/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Westray/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/estuary/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Werra/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Wangerooge/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Wangerooge/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Mur/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/source/Mur/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/estuary/Nile/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/source/Raab/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/source/Raab/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Filicudi/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Filicudi/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Langeoog/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Langeoog/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Troms/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/island/Salina/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Salina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/Hierro/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Hierro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/mountain/Andringitra/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/mountain/Snaefell/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/island/Terschelling/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Terschelling/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/source/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/source/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/
http://www.semwebtech.org/mondial/10/river/Breg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Breg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/Najran/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/
http://www.semwebtech.org/mondial/10/source/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/source/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/source/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/source/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/source/Don/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/river/Fulda/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Fulda/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/Poopo/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/lake/Poopo/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/Poopo/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/estuary/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/estuary/Seine/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/
http://www.semwebtech.org/mondial/10/source/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/mountain/Hekla/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/mountain/Joekul/	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/
http://www.semwebtech.org/mondial/10/mountain/Joekul/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/source/VictoriaNile/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/source/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/island/Kauai/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Kauai/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Athos/	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/
http://www.semwebtech.org/mondial/10/mountain/Athos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/source/Naryn/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Goa/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/mountain/Makalu/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Makalu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/Makalu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/source/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/source/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Mie/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Gumma/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Nara/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Akita/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Shiga/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/island/Arran/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Arran/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/mountain/Karthala/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/island/WestFalkland/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Apure/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/
http://www.semwebtech.org/mondial/10/island/Lanai/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Lanai/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/estuary/Arno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/estuary/Arno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Aller/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Aller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/estuary/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/estuary/Ebro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/estuary/Moraca/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/source/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/source/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Kura/	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/
http://www.semwebtech.org/mondial/10/source/Kura/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/source/Drin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/river/Mincio/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/river/Mincio/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/source/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/source/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/
http://www.semwebtech.org/mondial/10/source/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/island/Saipan/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/source/Maas/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/source/Maas/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/Narva/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/estuary/Narva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/Z/province/Western/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/
http://www.semwebtech.org/mondial/10/source/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/
http://www.semwebtech.org/mondial/10/source/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/estuary/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/estuary/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Nile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/island/Teneriffa/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Teneriffa/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Nantucket/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/island/Nantucket/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Inn/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/source/Inn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Moraca/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/mountain/Elgon/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/mountain/Elgon/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/source/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/source/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/desert/Darfur/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/island/Khark/	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/
http://www.semwebtech.org/mondial/10/island/Khark/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/island/Mallorca/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/island/Mallorca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Aare/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/estuary/Katun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/
http://www.semwebtech.org/mondial/10/river/Buna/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/river/Buna/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Rize/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Santarem/
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/KWT/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/BRN/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/Q/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/mountain/Illimani/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/mountain/Illimani/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/island/Tinian/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/source/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/source/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/
http://www.semwebtech.org/mondial/10/source/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/estuary/Alz/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Alz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Narew/	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/
http://www.semwebtech.org/mondial/10/source/Narew/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/source/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/source/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/island/Bougainville/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/estuary/Newa/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/estuary/Newa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/source/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/source/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/source/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/estuary/Swir/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/estuary/Swir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Grenada/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/island/LaPalma/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/LaPalma/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/MountKenia/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/island/Malta/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/source/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Bornholm/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/island/Bornholm/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/source/Saone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/source/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Martinique/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/island/Madeira/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Madeira/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	http://www.semwebtech.org/mondial/10/country/COCO/
http://www.semwebtech.org/mondial/10/island/EasterIsland/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/island/EasterIsland/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/
http://www.semwebtech.org/mondial/10/island/SaintKitts/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/
http://www.semwebtech.org/mondial/10/estuary/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/estuary/Murat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/source/Arno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/source/Arno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/source/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GBG/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/Picardie/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GBJ/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/source/Ebro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/source/Thames/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/island/Mauritius/	http://www.semwebtech.org/mondial/10/country/MS/
http://www.semwebtech.org/mondial/10/mountain/Manaslu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/estuary/Suchona/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/estuary/Suchona/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CUR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/ARU/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/BZ/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/Colón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/island/Barbados/	http://www.semwebtech.org/mondial/10/country/BDS/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/estuary/Okavango/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/SY/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MS/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MAYO/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/COCO/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/XMAS/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MV/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/river/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/river/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/source/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/desert/Fesan/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Rhodos/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Rhodos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/source/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/source/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Ili/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/source/Ili/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/source/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/BlackDrin/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GBM/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/source/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/source/Etsch/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/river/Enns/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/source/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/source/Tiber/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/
http://www.semwebtech.org/mondial/10/estuary/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/source/Mosel/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/source/Mosel/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/NewProvidence/	http://www.semwebtech.org/mondial/10/country/BS/
http://www.semwebtech.org/mondial/10/island/Menorca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Menorca/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/estuary/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/estuary/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/estuary/Po/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/estuary/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/estuary/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/source/Werra/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Mary/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/
http://www.semwebtech.org/mondial/10/island/Fogo/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Niihau/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Niihau/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/island/Batam/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/island/Batam/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/estuary/Ischim/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/estuary/Ischim/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Tarawa/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/estuary/Isere/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/estuary/Isere/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/island/Nauru/	http://www.semwebtech.org/mondial/10/country/NAU/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Swir/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/source/Swir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LochLomond/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LochLomond/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/desert/ErgChech/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/desert/ErgChech/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/desert/ErgChech/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/island/Dagoe/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/island/Borkum/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Borkum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Leuser/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Leuser/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/
http://www.semwebtech.org/mondial/10/estuary/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/BRU/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/HONX/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MACX/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/K/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/estuary/Indus/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/river/Suchona/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/river/Suchona/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/Sanga/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	http://www.semwebtech.org/mondial/10/country/NORF/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Oita/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/source/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/mountain/Kongur/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/Kongur/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Iller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Hainan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/island/Hainan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Sicilia/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/island/Sicilia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Samos/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Samos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Gomera/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Gomera/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/SaintLucia/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/river/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/Pico/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/mountain/Pico/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Anguilla/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/source/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/source/Glomma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Kirov/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Perm/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/river/WesternMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/Nevis/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/source/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/source/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/island/Mohilla/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/source/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/
http://www.semwebtech.org/mondial/10/source/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/
http://www.semwebtech.org/mondial/10/source/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/source/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/estuary/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Morava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Muş/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/estuary/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/estuary/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/estuary/Volta/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/source/Narva/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/source/Narva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Sardegna/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/island/Sardegna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/river/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/source/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/source/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Concepcion/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/island/Panarea/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Panarea/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/lake/Thunersee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Thunersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/island/Jura/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Jura/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Tajo/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/source/Tajo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/estuary/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/
http://www.semwebtech.org/mondial/10/source/Volga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/
http://www.semwebtech.org/mondial/10/island/Kefallinia/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/island/Kefallinia/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/estuary/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/estuary/Thames/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Syros/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Syros/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/estuary/Ene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Ene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/island/Majuro/	http://www.semwebtech.org/mondial/10/country/MH/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/source/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/source/Angara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/Tanami/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/Tanami/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Pitcairn/	http://www.semwebtech.org/mondial/10/country/PITC/
http://www.semwebtech.org/mondial/10/island/Oesel/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/island/Lesbos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Lesbos/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Lanzarote/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Lanzarote/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Maui/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Maui/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Schilka/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/source/Schilka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/source/Brigach/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Brigach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Thjorsa/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/source/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/source/Lagen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/island/Manitoulin/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/island/Manitoulin/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LacAssal/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/
http://www.semwebtech.org/mondial/10/mountain/Fako/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/
http://www.semwebtech.org/mondial/10/mountain/Fako/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/estuary/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Falster/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/island/Falster/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/source/Neckar/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Neckar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/estuary/Weser/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/estuary/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/estuary/Piva/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/island/Uvea/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/desert/Djourab/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/lake/Ammersee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/lake/Ammersee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/London/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/source/Pibor/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/
http://www.semwebtech.org/mondial/10/source/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/
http://www.semwebtech.org/mondial/10/source/Oka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/source/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/source/Ob/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Garonne/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/source/Garonne/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Norderney/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Norderney/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/source/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Oahu/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Oahu/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/Pemba/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/island/Pemba/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/river/Isere/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Isere/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/river/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/island/Barbuda/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/source/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/source/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/source/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Amudarja/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/estuary/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/estuary/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Gotland/	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/
http://www.semwebtech.org/mondial/10/island/Gotland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/MargitSziget/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/
http://www.semwebtech.org/mondial/10/island/MargitSziget/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/island/Chios/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Chios/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/source/Salzach/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/source/Salzach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/island/GrandTurk/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/source/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/source/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/
http://www.semwebtech.org/mondial/10/source/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/source/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/mountain/Ampato/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/mountain/Ampato/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Aland/	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/
http://www.semwebtech.org/mondial/10/island/Aland/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Sobat/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/Tahat/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/Silisili/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/island/GrandComoro/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/source/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/source/Tobol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Pellworm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Pellworm/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Bahrain/	http://www.semwebtech.org/mondial/10/country/BRN/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/estuary/Würm/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Würm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/estuary/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/estuary/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/island/Rarotonga/	http://www.semwebtech.org/mondial/10/country/COOK/
http://www.semwebtech.org/mondial/10/island/SantaMaria/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/SantaMaria/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Hoy/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Hoy/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Adda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Adda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/mountain/Sajama/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Sajama/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/source/Drau/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/source/Drau/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/island/Jeju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/
http://www.semwebtech.org/mondial/10/island/Mahe/	http://www.semwebtech.org/mondial/10/country/SY/
http://www.semwebtech.org/mondial/10/lake/CraterLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/lake/CraterLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Amur/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Baltrum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Baltrum/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/estuary/Lena/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Ammer/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Ammer/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Pest/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Tolna/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/
http://www.semwebtech.org/mondial/10/island/Isabela/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Jubba/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/estuary/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/estuary/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/source/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/source/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Perene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Perene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/estuary/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/estuary/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/source/Piva/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/island/Vulcano/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Vulcano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Formentera/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Formentera/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Isar/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Isar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Aruba/	http://www.semwebtech.org/mondial/10/country/ARU/
http://www.semwebtech.org/mondial/10/island/Kos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Kos/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Graciosa/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/Graciosa/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Morava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/mountain/Pelee/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/island/Bioko/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/island/Bioko/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/source/Indus/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Indus/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Vas/
http://www.semwebtech.org/mondial/10/island/Amrum/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Amrum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/source/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Mykonos/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Mykonos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/Cayambe/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/source/Iller/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/source/Iller/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/Morava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/estuary/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/estuary/Angara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/island/LongIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/island/LongIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Rota/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/source/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/source/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/source/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/NamCo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/NamCo/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/source/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/Jezerce/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/island/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/
http://www.semwebtech.org/mondial/10/island/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/source/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/source/Karun/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/source/Würm/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Würm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/estuary/Neckar/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Neckar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/source/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/island/Bohol/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/island/Bohol/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Corvo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Corvo/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/source/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/source/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/source/Lena/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Akita/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/island/GrandCayman/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/estuary/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/estuary/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/island/Pico/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/Pico/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Kreta/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/island/Kreta/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/Semeru/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Semeru/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/river/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Texel/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/island/Texel/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/island/Dominica/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/source/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/source/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/source/WesternMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/TR/province/Kars/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/river/Drin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/source/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/source/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/source/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/source/Mincio/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/source/Mincio/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LakeTana/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeTana/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/mountain/MtHood/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/mountain/MtHood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/province/Namur/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/province/Liège/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/province/Limburg/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/island/Tutuila/	http://www.semwebtech.org/mondial/10/country/AMSA/
http://www.semwebtech.org/mondial/10/source/Isar/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/source/Isar/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Uluru/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/mountain/Uluru/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/island/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/source/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/source/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/mountain/YuShan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/river/Nile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Nile/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Ikaria/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Ikaria/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Weser/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Kura/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/source/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/source/Loire/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/estuary/Drin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/island/Benbecula/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Benbecula/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Banaba/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Male/	http://www.semwebtech.org/mondial/10/country/MV/
http://www.semwebtech.org/mondial/10/source/Tara/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/Katla/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/FL/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/
http://www.semwebtech.org/mondial/10/desert/Qaidam/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/desert/Qaidam/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Terceira/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Terceira/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/Tiree/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Tiree/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/estuary/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/estuary/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/estuary/Drina/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/SriLanka/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/source/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/estuary/Saone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/source/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/source/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/island/SaintHelena/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/estuary/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/estuary/Olt/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/source/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/source/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/island/Vlieland/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Vlieland/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/source/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/KoSamui/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/
http://www.semwebtech.org/mondial/10/source/Adda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/source/Adda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/source/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/source/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/lake/LopNor/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/LopNor/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Ene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Ene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/source/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Leine/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Musala/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/island/SaintVincent/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/source/Bani/	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/
http://www.semwebtech.org/mondial/10/source/Bani/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/river/Arno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/river/Arno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Stromboli/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Stromboli/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Navarra/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/Ararat/	http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/
http://www.semwebtech.org/mondial/10/mountain/Ararat/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/mountain/Ararat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/estuary/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/estuary/Doubs/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/estuary/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/estuary/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/estuary/Tiber/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Schilka/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/river/Schilka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Anjouan/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/estuary/Mosel/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/estuary/Mosel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/island/GranCanaria/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/GranCanaria/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/river/Brigach/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Brigach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Mur/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/estuary/Mur/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/estuary/Mur/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/source/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/source/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/river/Thjorsa/	http://www.semwebtech.org/mondial/10/country/IS/
\.


--
-- TOC entry 5988 (class 0 OID 90346)
-- Dependencies: 758
-- Data for Name: locatedInWater; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "locatedInWater" ("Island", "Water") FROM stdin;
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/Futuna/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Olkhon/	http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/
http://www.semwebtech.org/mondial/10/island/IsleofMan/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/
http://www.semwebtech.org/mondial/10/island/Phuket/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Principe/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Molokai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Lolland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/IsleofWight/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/Ceram/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Langeland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/LittleCayman/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Singapore/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/island/Singapore/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/NorthUist/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Montserrat/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Montserrat/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Trinidad/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Trinidad/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Skye/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rugen/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Ponape/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Lefkas/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Kavaratti/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Reunion/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Fongafale/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SaintThomas/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SaintThomas/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bintan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Samosir/	http://www.semwebtech.org/mondial/10/lake/LakeToba/
http://www.semwebtech.org/mondial/10/island/Kiritimati/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Ambon/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Gozo/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/Mayotte/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Anglesey/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/PortoSanto/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Flores/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	http://www.semwebtech.org/mondial/10/river/Araguaia/
http://www.semwebtech.org/mondial/10/island/Ameland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Madagaskar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Mindoro/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Labuan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Streymoy/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Streymoy/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/Cebu/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Fohr/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Babelthuap/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Linosa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Antigua/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Antigua/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/EastFalkland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Savaii/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Barra/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Upolu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Korfu/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/Jersey/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/BishopRock/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Fehmarn/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/island/Ibiza/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SaintPierre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/island/Jamaica/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Curacao/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/island/Newfoundland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Mull/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Santiago/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tongatapu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Islay/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Hawaii/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/PuertoRico/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/PuertoRico/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Oeland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Ascension/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SaoTome/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Alicudi/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/SaoJorge/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Corse/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Impalila/	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/island/Sansibar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SouthUist/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Sylt/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Zakynthos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Tortola/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Tortola/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/island/Cyprus/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rhum/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Panay/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Providenciales/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Helgoland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/VitiLevu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/BanksIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Tahiti/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Ternate/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Lampedusa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Tobago/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tobago/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Efate/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Juist/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Niue/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Fakaofo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Guernsey/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Faial/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Lipari/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Guam/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Westray/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Wangerooge/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Filicudi/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Langeoog/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Salina/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/island/Hierro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Koror/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Terschelling/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Kauai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Arran/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/WestFalkland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Lanai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Saipan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Teneriffa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Nantucket/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Khark/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Mallorca/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tinian/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bougainville/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Grenada/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Grenada/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/LaPalma/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Malta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Bornholm/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Martinique/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Martinique/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Madeira/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/EasterIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SaintKitts/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SaintKitts/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Mauritius/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Barbados/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rhodos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/NewProvidence/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Menorca/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Fogo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Niihau/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Batam/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Tarawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Nauru/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Dagoe/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Borkum/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Hainan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Sicilia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Samos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Gomera/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SaintLucia/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SaintLucia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Anguilla/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Anguilla/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Nevis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Nevis/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Mohilla/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Sardegna/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Panarea/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/island/Jura/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Kefallinia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Syros/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Majuro/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Pitcairn/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Oesel/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Lesbos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Lanzarote/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Maui/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Manitoulin/	http://www.semwebtech.org/mondial/10/lake/LakeHuron/
http://www.semwebtech.org/mondial/10/island/Falster/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Uvea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Norderney/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Oahu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Pemba/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Barbuda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Barbuda/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Gotland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/MargitSziget/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/Chios/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/GrandTurk/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Aland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/GrandComoro/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Pellworm/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Bahrain/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Rarotonga/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SantaMaria/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Hoy/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Jeju/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Mahe/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Baltrum/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Isabela/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Vulcano/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Formentera/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Aruba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Kos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Graciosa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Bioko/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Amrum/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Mykonos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/LongIsland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rota/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SanAndres/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Bohol/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Corvo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/GrandCayman/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Pico/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Kreta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Texel/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Dominica/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Dominica/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tutuila/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Zhoushan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Ikaria/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/
http://www.semwebtech.org/mondial/10/island/Benbecula/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Banaba/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Male/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/Terceira/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tiree/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SriLanka/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/island/SriLanka/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SaintHelena/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Vlieland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/KoSamui/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/island/SaintVincent/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SaintVincent/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Stromboli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/island/Anjouan/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/GranCanaria/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
\.


--
-- TOC entry 5989 (class 0 OID 90349)
-- Dependencies: 759
-- Data for Name: locatedOnIsland; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "locatedOnIsland" ("GeographicalThing", "Island") FROM stdin;
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/island/Babelthuap/
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/island/Antigua/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/island/Mahe/
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	http://www.semwebtech.org/mondial/10/island/NorfolkIsland/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/island/GranCanaria/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	http://www.semwebtech.org/mondial/10/island/GrandBermuda/
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/island/VitiLevu/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/island/Dominica/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/island/Bangka/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	http://www.semwebtech.org/mondial/10/island/SanAndres/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	http://www.semwebtech.org/mondial/10/island/Martinique/
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/island/Majuro/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	http://www.semwebtech.org/mondial/10/island/Tahiti/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	http://www.semwebtech.org/mondial/10/island/Jeju/
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	http://www.semwebtech.org/mondial/10/island/SaintThomas/
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/island/Barbados/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/island/Batam/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/island/SaintVincent/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/island/BaffinIsland/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	http://www.semwebtech.org/mondial/10/island/Tortola/
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/island/Grenada/
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	http://www.semwebtech.org/mondial/10/island/Fuenen/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	http://www.semwebtech.org/mondial/10/island/Hokkaido/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	http://www.semwebtech.org/mondial/10/island/PulauPanjang/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/island/Bahrain/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/island/Negros/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/island/Teneriffa/
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	http://www.semwebtech.org/mondial/10/island/Phuket/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/island/OrkneyMainland/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	http://www.semwebtech.org/mondial/10/island/Sardegna/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	http://www.semwebtech.org/mondial/10/island/Labuan/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/island/Kreta/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	http://www.semwebtech.org/mondial/10/island/St.Martin/
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/island/SriLanka/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	http://www.semwebtech.org/mondial/10/island/SaintPierre/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	http://www.semwebtech.org/mondial/10/island/Mindoro/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/island/Panay/
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/island/Hokkaido/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/island/Sardegna/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	http://www.semwebtech.org/mondial/10/island/Mayotte/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/island/Hawaii/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/island/Ponape/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/island/Pemba/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	http://www.semwebtech.org/mondial/10/island/Sachalin/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	http://www.semwebtech.org/mondial/10/island/ChristmasIsland/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/island/Fongafale/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	http://www.semwebtech.org/mondial/10/island/Anguilla/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/island/Bioko/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/island/Newfoundland/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/island/Oahu/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/island/Mauritius/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/island/GrandComoro/
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	http://www.semwebtech.org/mondial/10/island/Gozo/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	http://www.semwebtech.org/mondial/10/island/Curacao/
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/island/Timor/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	http://www.semwebtech.org/mondial/10/island/Fakaofo/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/island/Santiago/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/island/Cebu/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	http://www.semwebtech.org/mondial/10/island/EastFalkland/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/island/NewProvidence/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/island/Bali/
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	http://www.semwebtech.org/mondial/10/island/Saipan/
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	http://www.semwebtech.org/mondial/10/island/SaintHelena/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	http://www.semwebtech.org/mondial/10/island/Svalbard/
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/island/SaoTome/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	http://www.semwebtech.org/mondial/10/island/Aruba/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	http://www.semwebtech.org/mondial/10/island/Guam/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/island/Kreta/
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/island/Male/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	http://www.semwebtech.org/mondial/10/island/GrandCayman/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/island/Rhodos/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/island/Singapore/
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/island/Guadalcanal/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	http://www.semwebtech.org/mondial/10/island/Leyte/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/island/Tasmania/
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/island/Upolu/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/island/Nauru/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/island/Zhoushan/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/island/Hainan/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/island/SaoMiguel/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	http://www.semwebtech.org/mondial/10/island/Timor/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/island/Malta/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/island/GranCanaria/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	http://www.semwebtech.org/mondial/10/island/GrandeTerre/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	http://www.semwebtech.org/mondial/10/island/Rarotonga/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/island/Korfu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	http://www.semwebtech.org/mondial/10/island/St.Barthelemy/
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	http://www.semwebtech.org/mondial/10/island/Uvea/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	http://www.semwebtech.org/mondial/10/island/GrandTurk/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	http://www.semwebtech.org/mondial/10/island/Tutuila/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/island/Okinawa/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	http://www.semwebtech.org/mondial/10/island/Lombok/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/island/Teneriffa/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	http://www.semwebtech.org/mondial/10/island/IsleofMan/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/island/Syros/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/island/ShetlandMainland/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/island/Corse/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/island/Mallorca/
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/island/SaintLucia/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/island/SaintKitts/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	http://www.semwebtech.org/mondial/10/island/Pitcairn/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	http://www.semwebtech.org/mondial/10/island/Reunion/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	http://www.semwebtech.org/mondial/10/island/Greenland/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/island/VancouverIsland/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/island/Tongatapu/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	http://www.semwebtech.org/mondial/10/island/Newfoundland/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/island/Ternate/
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/island/Trinidad/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/island/Ambon/
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	http://www.semwebtech.org/mondial/10/island/Basse-Terre/
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	http://www.semwebtech.org/mondial/10/island/Jersey/
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/island/Jamaica/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/island/Kavaratti/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/island/Tarawa/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/island/Niue/
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/island/Hainan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	http://www.semwebtech.org/mondial/10/island/SriLanka/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/island/Efate/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	http://www.semwebtech.org/mondial/10/island/Pemba/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	http://www.semwebtech.org/mondial/10/island/Montserrat/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	http://www.semwebtech.org/mondial/10/island/St.Martin/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	http://www.semwebtech.org/mondial/10/island/Ponape/
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	http://www.semwebtech.org/mondial/10/island/Guernsey/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	http://www.semwebtech.org/mondial/10/island/Bintan/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/island/Lesbos/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	http://www.semwebtech.org/mondial/10/island/Streymoy/
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	http://www.semwebtech.org/mondial/10/island/Koror/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/island/Madeira/
\.


--
-- TOC entry 5990 (class 0 OID 90352)
-- Dependencies: 760
-- Data for Name: marriedWith; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "marriedWith" ("Person1", "Person2") FROM stdin;
\.


--
-- TOC entry 5991 (class 0 OID 90355)
-- Dependencies: 761
-- Data for Name: md; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY md (class, property, range, tablename, lookupattr, inv, isview) FROM stdin;
X1	nmprop	VARCHAR(199)	X1	nmprop	false	false
Y1	nmprop_Inv	VARCHAR(199)	X1	nmprop	true	false
Y2	nmprop_Inv	VARCHAR(199)	X1	nmprop	true	false
Sea	type	VARCHAR(199)	Sea	type	false	false
Sea	area	DECIMAL	Water	area	false	false
Sea	depth	DECIMAL	Sea	depth	false	false
Sea	name	VARCHAR(199)	Water	name	false	false
Place	latitude	DECIMAL	Location	latitude	false	false
Place	longitude	DECIMAL	Location	longitude	false	false
Place	elevation	DECIMAL	Place	elevation	false	false
Area	name	VARCHAR(199)	Area	name	false	false
Islands	type	VARCHAR(199)	Islands	type	false	false
Islands	name	VARCHAR(199)	Area	name	false	false
Islands	population	DECIMAL	Islands	population	false	false
Islands	elevation	DECIMAL	Islands	elevation	false	false
Islands	latitude	DECIMAL	Location	latitude	false	false
Islands	area	DECIMAL	Islands	area	false	false
Islands	longitude	DECIMAL	Location	longitude	false	false
SpokenBy	languageInfo-	VARCHAR(199)	SpokenBy	languageInfo-	false	false
Country	languageInfo	VARCHAR(199)	SpokenBy	languageInfo-	true	false
SpokenBy	onLanguage	VARCHAR(199)	SpokenBy	onLanguage	false	false
Language	spokenInInfo	VARCHAR(199)	SpokenBy	onLanguage	true	false
SpokenBy	percent	DECIMAL	SpokenBy	percent	false	false
Continent	name	VARCHAR(199)	Area	name	false	false
Continent	area	DECIMAL	Continent	area	false	false
Island	population	DECIMAL	Island	population	false	false
Island	elevation	DECIMAL	Island	elevation	false	false
Island	belongsToIslands	VARCHAR(199)	Island	belongsToIslands	false	false
Islands	belongsToIslands_Inv	VARCHAR(199)	Island	belongsToIslands	true	false
Island	latitude	DECIMAL	Location	latitude	false	false
Island	area	DECIMAL	Island	area	false	false
Island	name	VARCHAR(199)	Area	name	false	false
Island	type	VARCHAR(199)	Island	type	false	false
Island	longitude	DECIMAL	Location	longitude	false	false
Country	government	VARCHAR(199)	Country	government	false	false
Country	capital	VARCHAR(199)	AdministrativeArea	capital	false	false
Country	carCode	VARCHAR(199)	Country	carCode	false	false
Country	gdpAgri	DECIMAL	Country	gdpAgri	false	false
Country	infantMortality	DECIMAL	Country	infantMortality	false	false
Country	population	DECIMAL	AdministrativeArea	population	false	false
Country	gdpInd	DECIMAL	Country	gdpInd	false	false
Country	inflation	DECIMAL	Country	inflation	false	false
Country	unemployment	DECIMAL	Country	unemployment	false	false
Country	name	VARCHAR(199)	PoliticalThing	name	false	false
Country	gdpServ	DECIMAL	Country	gdpServ	false	false
Country	populationGrowth	DECIMAL	Country	populationGrowth	false	false
Country	independenceDate	DATE	Country	independenceDate	false	false
Country	area	DECIMAL	AdministrativeArea	area	false	false
Country	gdpTotal	DECIMAL	Country	gdpTotal	false	false
Country	wasDependentOf	VARCHAR(199)	Country	wasDependentOf	false	false
PoliticalBody	wasDependentOf_Inv	VARCHAR(199)	Country	wasDependentOf	true	false
Organization	wasDependentOf_Inv	VARCHAR(199)	Country	wasDependentOf	true	false
Country	wasDependentOf_Inv	VARCHAR(199)	Country	wasDependentOf	true	false
Country	dependentOf	VARCHAR(199)	Country	dependentOf	false	false
Country	dependentOf_Inv	VARCHAR(199)	Country	dependentOf	true	false
ReifiedThing	percent	DECIMAL	ReifiedThing	percent	false	false
Lake	flowsInto	VARCHAR(199)	Lake	flowsInto	false	false
Sea	flowsInto_Inv	VARCHAR(199)	Lake	flowsInto	true	false
Lake	flowsInto_Inv	VARCHAR(199)	Lake	flowsInto	true	false
River	flowsInto_Inv	VARCHAR(199)	Lake	flowsInto	true	false
Water	flowsInto_Inv	VARCHAR(199)	Lake	flowsInto	true	false
Lake	elevation	DECIMAL	Lake	elevation	false	false
Lake	type	VARCHAR(199)	Lake	type	false	false
Lake	area	DECIMAL	Water	area	false	false
Lake	latitude	DECIMAL	Location	latitude	false	false
Lake	flowsThrough_Inv	VARCHAR(199)	Lake	flowsThrough_Inv	false	false
River	flowsThrough	VARCHAR(199)	Lake	flowsThrough_Inv	true	false
Lake	longitude	DECIMAL	Location	longitude	false	false
Lake	depth	DECIMAL	Lake	depth	false	false
Lake	name	VARCHAR(199)	Water	name	false	false
Location	latitude	DECIMAL	Location	latitude	false	false
Location	longitude	DECIMAL	Location	longitude	false	false
Encompassed	encompassedArea	VARCHAR(199)	Encompassed	encompassedArea	false	false
AdministrativeArea	encompassedByInfo	VARCHAR(199)	Encompassed	encompassedArea	true	false
Province	encompassedByInfo	VARCHAR(199)	Encompassed	encompassedArea	true	false
Country	encompassedByInfo	VARCHAR(199)	Encompassed	encompassedArea	true	false
Encompassed	percent	DECIMAL	Encompassed	percent	false	false
Encompassed	encompassedBy	VARCHAR(199)	Encompassed	encompassedBy	false	false
Continent	encompassesInfo	VARCHAR(199)	Encompassed	encompassedBy	true	false
Y2	invfktprop_Inv	VARCHAR(199)	Y2	invfktprop_Inv	false	false
X1	invfktprop	VARCHAR(199)	Y2	invfktprop_Inv	true	false
X2	invfktprop	VARCHAR(199)	Y2	invfktprop_Inv	true	false
BelievedBy	religionInfo-	VARCHAR(199)	BelievedBy	religionInfo-	false	false
Country	religionInfo	VARCHAR(199)	BelievedBy	religionInfo-	true	false
BelievedBy	percent	DECIMAL	BelievedBy	percent	false	false
BelievedBy	onReligion	VARCHAR(199)	BelievedBy	onReligion	false	false
Religion	followedInInfo	VARCHAR(199)	BelievedBy	onReligion	true	false
PoliticalThing	name	VARCHAR(199)	PoliticalThing	name	false	false
Estuary	longitude	DECIMAL	Location	longitude	false	false
Estuary	latitude	DECIMAL	Location	latitude	false	false
Estuary	elevation	DECIMAL	Place	elevation	false	false
Female	hasMother	VARCHAR(199)	Female	hasMother	false	false
Female	hasMother_Inv	VARCHAR(199)	Female	hasMother	true	false
Female	hasFather	VARCHAR(199)	Female	hasFather	false	false
Male	hasFather_Inv	VARCHAR(199)	Female	hasFather	true	false
Female	onlyfemaleprop	DECIMAL	Female	onlyfemaleprop	false	false
Province	isProvinceOf	VARCHAR(199)	Province	isProvinceOf	false	false
Country	hasProvince	VARCHAR(199)	Province	isProvinceOf	true	false
Province	name	VARCHAR(199)	PoliticalThing	name	false	false
Province	population	DECIMAL	AdministrativeArea	population	false	false
Province	area	DECIMAL	AdministrativeArea	area	false	false
Province	capital	VARCHAR(199)	AdministrativeArea	capital	false	false
Water	area	DECIMAL	Water	area	false	false
Water	name	VARCHAR(199)	Water	name	false	false
Organization	abbrev	VARCHAR(199)	Organization	abbrev	false	false
Organization	established	DATE	Organization	established	false	false
Organization	hasHeadq	VARCHAR(199)	Organization	hasHeadq	false	false
City	hasHeadq_Inv	VARCHAR(199)	Organization	hasHeadq	true	false
Organization	name	VARCHAR(199)	PoliticalThing	name	false	false
River	hasEstuary	VARCHAR(199)	River	hasEstuary	false	false
Estuary	hasEstuary-	VARCHAR(199)	River	hasEstuary	true	false
River	area	DECIMAL	Line	area	false	false
River	length	DECIMAL	Line	length	false	false
River	name	VARCHAR(199)	Line	name	false	false
River	hasSource	VARCHAR(199)	River	hasSource	false	false
Source	hasSource-	VARCHAR(199)	River	hasSource	true	false
River	flowsInto	VARCHAR(199)	Line	flowsInto	false	false
Membership	inOrganization	VARCHAR(199)	Membership	inOrganization	false	false
Organization	hasMembership	VARCHAR(199)	Membership	inOrganization	true	false
Membership	ofMember	VARCHAR(199)	Membership	ofMember	false	false
Country	isInMembership	VARCHAR(199)	Membership	ofMember	true	false
Membership	type	VARCHAR(199)	Membership	type	false	false
AnthropoGeographicalThing	name	VARCHAR(199)	AnthropoGeographicalThing	name	false	false
Language	name	VARCHAR(199)	AnthropoGeographicalThing	name	false	false
Line	flowsInto	VARCHAR(199)	Line	flowsInto	false	false
Sea	flowsInto_Inv	VARCHAR(199)	Line	flowsInto	true	false
Lake	flowsInto_Inv	VARCHAR(199)	Line	flowsInto	true	false
River	flowsInto_Inv	VARCHAR(199)	Line	flowsInto	true	false
Water	flowsInto_Inv	VARCHAR(199)	Line	flowsInto	true	false
Line	area	DECIMAL	Line	area	false	false
Line	length	DECIMAL	Line	length	false	false
Line	name	VARCHAR(199)	Line	name	false	false
Mountains	latitude	DECIMAL	Location	latitude	false	false
Mountains	area	DECIMAL	Mountains	area	false	false
Mountains	longitude	DECIMAL	Location	longitude	false	false
Mountains	name	VARCHAR(199)	Area	name	false	false
Mountains	type	VARCHAR(199)	Mountains	type	false	false
Mountains	elevation	DECIMAL	Mountains	elevation	false	false
EthnicProportion	onEthnicGroup	VARCHAR(199)	EthnicProportion	onEthnicGroup	false	false
EthnicGroup	liveInInfo	VARCHAR(199)	EthnicProportion	onEthnicGroup	true	false
EthnicProportion	ethnicInfo-	VARCHAR(199)	EthnicProportion	ethnicInfo-	false	false
Country	ethnicInfo	VARCHAR(199)	EthnicProportion	ethnicInfo-	true	false
EthnicProportion	percent	DECIMAL	EthnicProportion	percent	false	false
AnthropoGeographicalRelationship	percent	DECIMAL	ReifiedThing	percent	false	false
Desert	latitude	DECIMAL	Location	latitude	false	false
Desert	name	VARCHAR(199)	Area	name	false	false
Desert	area	DECIMAL	Desert	area	false	false
Desert	longitude	DECIMAL	Location	longitude	false	false
Desert	type	VARCHAR(199)	Desert	type	false	false
Y1	invfktprop_Inv	VARCHAR(199)	Y1	invfktprop_Inv	false	false
X1	invfktprop	VARCHAR(199)	Y1	invfktprop_Inv	true	false
X2	invfktprop	VARCHAR(199)	Y1	invfktprop_Inv	true	false
U	totUpartV11prop	VARCHAR(199)	U	totUpartV11prop	false	false
V	totUpartV11prop_Inv	VARCHAR(199)	U	totUpartV11prop	true	false
Mountain	longitude	DECIMAL	Location	longitude	false	false
Mountain	type	VARCHAR(199)	Mountain	type	false	false
Mountain	lastEruption	DATE	Mountain	lastEruption	false	false
Mountain	elevation	DECIMAL	Place	elevation	false	false
Mountain	latitude	DECIMAL	Location	latitude	false	false
Mountain	name	VARCHAR(199)	Mountain	name	false	false
Mountain	locatedOnIsland	VARCHAR(199)	Mountain	locatedOnIsland	false	false
Island	locatedOnIsland_Inv	VARCHAR(199)	Mountain	locatedOnIsland	true	false
Mountain	inMountains	VARCHAR(199)	Mountain	inMountains	false	false
Mountains	inMountains_Inv	VARCHAR(199)	Mountain	inMountains	true	false
Source	inMountains	VARCHAR(199)	Source	inMountains	false	false
Mountains	inMountains_Inv	VARCHAR(199)	Source	inMountains	true	false
Source	longitude	DECIMAL	Location	longitude	false	false
Source	elevation	DECIMAL	Place	elevation	false	false
Source	latitude	DECIMAL	Location	latitude	false	false
City	population	DECIMAL	City	population	false	false
City	name	VARCHAR(199)	PoliticalThing	name	false	false
City	elevation	DECIMAL	City	elevation	false	false
City	latitude	DECIMAL	Location	latitude	false	false
City	longitude	DECIMAL	Location	longitude	false	false
PoliticalBody	name	VARCHAR(199)	PoliticalThing	name	false	false
Religion	name	VARCHAR(199)	AnthropoGeographicalThing	name	false	false
AdministrativeArea	area	DECIMAL	AdministrativeArea	area	false	false
AdministrativeArea	population	DECIMAL	AdministrativeArea	population	false	false
AdministrativeArea	name	VARCHAR(199)	PoliticalThing	name	false	false
AdministrativeArea	capital	VARCHAR(199)	AdministrativeArea	capital	false	false
City	isCapitalOf	VARCHAR(199)	AdministrativeArea	capital	true	false
Border	length	DECIMAL	Border	length	false	false
Male	hasMother	VARCHAR(199)	Male	hasMother	false	false
Female	hasMother_Inv	VARCHAR(199)	Male	hasMother	true	false
Male	hasFather	VARCHAR(199)	Male	hasFather	false	false
Male	hasFather_Inv	VARCHAR(199)	Male	hasFather	true	false
EthnicGroup	name	VARCHAR(199)	AnthropoGeographicalThing	name	false	false
Female	hasNickname	VARCHAR(199)	hasNickname	VALUE	false	false
ANY	hasNickname	VARCHAR(199)	hasNickname	VALUE	false	false
Male	hasNickname	VARCHAR(199)	hasNickname	VALUE	false	false
City	locatedAt	VARCHAR(199)	locatedAt	Water	false	false
ANY	locatedAt	VARCHAR(199)	locatedAt	Water	false	false
X2	nmprop	VARCHAR(199)	nmprop	Y	false	false
Sea	mergesWith	VARCHAR(199)	mergesWith	Sea2	false	false
ANY	mergesWith	VARCHAR(199)	mergesWith	Sea2	false	false
GeographicalThing	locatedOnIsland	VARCHAR(199)	locatedOnIsland	Island	false	false
City	locatedOnIsland	VARCHAR(199)	locatedOnIsland	Island	false	false
Location	locatedOnIsland	VARCHAR(199)	locatedOnIsland	Island	false	false
Area	locatedOnIsland	VARCHAR(199)	locatedOnIsland	Island	false	false
PoliticalThing	locatedOnIsland	VARCHAR(199)	locatedOnIsland	Island	false	false
Male	marriedWith	VARCHAR(199)	marriedWith	Person2	false	false
ANY	marriedWith	VARCHAR(199)	marriedWith	Person2	false	false
Female	marriedWith	VARCHAR(199)	marriedWith	Person2	false	false
MondialThing	borders	VARCHAR(199)	borders	LargeArea	false	false
ANY	borders	VARCHAR(199)	borders	LargeArea	false	false
Sea	borders	VARCHAR(199)	borders	LargeArea	false	false
AdministrativeArea	borders	VARCHAR(199)	borders	LargeArea	false	false
GeographicalThing	borders	VARCHAR(199)	borders	LargeArea	false	false
Continent	borders	VARCHAR(199)	borders	LargeArea	false	false
PoliticalThing	borders	VARCHAR(199)	borders	LargeArea	false	false
Province	borders	VARCHAR(199)	borders	LargeArea	false	false
GeographicalNonPoliticalThing	borders	VARCHAR(199)	borders	LargeArea	false	false
Water	borders	VARCHAR(199)	borders	LargeArea	false	false
PoliticalBody	borders	VARCHAR(199)	borders	LargeArea	false	false
Country	borders	VARCHAR(199)	borders	LargeArea	false	false
Area	borders	VARCHAR(199)	borders	LargeArea	false	false
City	cityIn	VARCHAR(199)	cityIn	AdministrativeArea	false	false
ANY	cityIn	VARCHAR(199)	cityIn	AdministrativeArea	false	false
EthnicGroup	othername	VARCHAR(199)	othername	VALUE	false	false
ANY	othername	VARCHAR(199)	othername	VALUE	false	false
City	othername	VARCHAR(199)	othername	VALUE	false	false
Religion	othername	VARCHAR(199)	othername	VALUE	false	false
Lake	othername	VARCHAR(199)	othername	VALUE	false	false
GeographicalNonPoliticalThing	othername	VARCHAR(199)	othername	VALUE	false	false
Sea	othername	VARCHAR(199)	othername	VALUE	false	false
Country	othername	VARCHAR(199)	othername	VALUE	false	false
AnthropoGeographicalThing	othername	VARCHAR(199)	othername	VALUE	false	false
Water	othername	VARCHAR(199)	othername	VALUE	false	false
Location	othername	VARCHAR(199)	othername	VALUE	false	false
MondialThing	othername	VARCHAR(199)	othername	VALUE	false	false
Island	othername	VARCHAR(199)	othername	VALUE	false	false
Continent	othername	VARCHAR(199)	othername	VALUE	false	false
Mountain	othername	VARCHAR(199)	othername	VALUE	false	false
Mountains	othername	VARCHAR(199)	othername	VALUE	false	false
AdministrativeArea	othername	VARCHAR(199)	othername	VALUE	false	false
Place	othername	VARCHAR(199)	othername	VALUE	false	false
Organization	othername	VARCHAR(199)	othername	VALUE	false	false
GeographicalThing	othername	VARCHAR(199)	othername	VALUE	false	false
Language	othername	VARCHAR(199)	othername	VALUE	false	false
Desert	othername	VARCHAR(199)	othername	VALUE	false	false
PoliticalBody	othername	VARCHAR(199)	othername	VALUE	false	false
River	othername	VARCHAR(199)	othername	VALUE	false	false
Islands	othername	VARCHAR(199)	othername	VALUE	false	false
Province	othername	VARCHAR(199)	othername	VALUE	false	false
Area	othername	VARCHAR(199)	othername	VALUE	false	false
Line	othername	VARCHAR(199)	othername	VALUE	false	false
PoliticalThing	othername	VARCHAR(199)	othername	VALUE	false	false
PoliticalThing	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
ANY	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
City	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Desert	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Source	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Lake	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Location	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Sea	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Mountains	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
River	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Island	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Area	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Water	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Place	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Line	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
GeographicalThing	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Mountain	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Islands	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Estuary	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
GeographicalNonPoliticalThing	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Island	locatedInWater	VARCHAR(199)	locatedInWater	Water	false	false
ANY	locatedInWater	VARCHAR(199)	locatedInWater	Water	false	false
Male	hasAccountNo	DECIMAL	hasAccountNo	VALUE	false	false
ANY	hasAccountNo	DECIMAL	hasAccountNo	VALUE	false	false
Female	hasAccountNo	DECIMAL	hasAccountNo	VALUE	false	false
Female	hasChild	VARCHAR(199)	hasChild	Person2	false	false
ANY	hasChild	VARCHAR(199)	hasChild	Person2	false	false
Male	hasChild	VARCHAR(199)	hasChild	Person2	false	false
Lake	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
ANY	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
Line	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
Location	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
Sea	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
River	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
Water	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
Area	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
Y2	nmprop_Inv	VARCHAR(199)	nmprop	X	false	false
Y1	nmprop_Inv	VARCHAR(199)	nmprop	X	false	false
Sea	mergesWith	VARCHAR(199)	mergesWith	Sea1	false	false
ANY	mergesWith	VARCHAR(199)	mergesWith	Sea1	false	false
Island	locatedOnIsland_Inv	VARCHAR(199)	locatedOnIsland	GeographicalThing	false	false
Female	marriedWith	VARCHAR(199)	marriedWith	Person1	false	false
ANY	marriedWith	VARCHAR(199)	marriedWith	Person1	false	false
Male	marriedWith	VARCHAR(199)	marriedWith	Person1	false	false
AdministrativeArea	borders_Inv	VARCHAR(199)	borders	Area	false	false
ANY	borders_Inv	VARCHAR(199)	borders	Area	false	false
PoliticalThing	borders_Inv	VARCHAR(199)	borders	Area	false	false
Country	borders_Inv	VARCHAR(199)	borders	Area	false	false
GeographicalThing	borders_Inv	VARCHAR(199)	borders	Area	false	false
Province	borders_Inv	VARCHAR(199)	borders	Area	false	false
GeographicalNonPoliticalThing	borders_Inv	VARCHAR(199)	borders	Area	false	false
Water	borders_Inv	VARCHAR(199)	borders	Area	false	false
Sea	borders_Inv	VARCHAR(199)	borders	Area	false	false
MondialThing	borders_Inv	VARCHAR(199)	borders	Area	false	false
Continent	borders_Inv	VARCHAR(199)	borders	Area	false	false
PoliticalBody	borders_Inv	VARCHAR(199)	borders	Area	false	false
Area	borders_Inv	VARCHAR(199)	borders	Area	false	false
Country	hasCity	VARCHAR(199)	cityIn	City	false	false
ANY	hasCity	VARCHAR(199)	cityIn	City	false	false
AdministrativeArea	hasCity	VARCHAR(199)	cityIn	City	false	false
Province	hasCity	VARCHAR(199)	cityIn	City	false	false
PoliticalBody	hasCity	VARCHAR(199)	cityIn	City	false	false
AdministrativeArea	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
ANY	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
Water	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
Islands	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
Continent	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
GeographicalThing	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
Province	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
Country	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
PoliticalThing	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
PoliticalBody	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
City	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
Lake	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
MondialThing	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
Island	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
Mountains	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
Desert	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
Location	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
GeographicalNonPoliticalThing	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
Sea	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
Area	locatedIn_Inv	VARCHAR(199)	locatedIn	GeographicalThing	false	false
Lake	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
ANY	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
Line	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
Location	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
Area	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
Water	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
River	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
Sea	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
Male	hasParent	VARCHAR(199)	hasChild	Person1	false	false
ANY	hasParent	VARCHAR(199)	hasChild	Person1	false	false
Female	hasParent	VARCHAR(199)	hasChild	Person1	false	false
Religion	believedInCountry	VARCHAR(199)	BelievedBy	religionInfo-	false	true
Country	believeInReligion	VARCHAR(199)	BelievedBy	onReligion	false	true
Continent	encompasses	VARCHAR(199)	Encompassed	encompassedArea	false	true
Country	encompassed	VARCHAR(199)	Encompassed	encompassedBy	false	true
EthnicGroup	liveInCountry	VARCHAR(199)	EthnicProportion	ethnicInfo-	false	true
Country	belongToEthnicGroup	VARCHAR(199)	EthnicProportion	onEthnicGroup	false	true
Language	spokenInCountry	VARCHAR(199)	SpokenBy	languageInfo-	false	true
Country	speakLanguage	VARCHAR(199)	SpokenBy	onLanguage	false	true
Country	isMember	VARCHAR(199)	Membership	inOrganization	false	true
Organization	hasMember	VARCHAR(199)	Membership	ofMember	false	true
Province	encompassed	VARCHAR(199)	Encompassed	encompassedBy	false	true
Border	bordering	VARCHAR(199)	Border	Country1	false	false
Country	hasBorder	VARCHAR(199)	Border	Country1	true	false
Border	bordering	VARCHAR(199)	Border	Country2	false	false
Country	hasBorder	VARCHAR(199)	Border	Country2	true	false
Country	neighbor	VARCHAR(199)	Border	Country1	false	true
Country	neighbor	VARCHAR(199)	Border	Country2	false	true
Volcano	rdftype	VARCHAR(199)	Mountain	rdftype	false	false
Mountain	rdftype	VARCHAR(199)	Mountain	rdftype	false	false
\.


--
-- TOC entry 5992 (class 0 OID 90358)
-- Dependencies: 762
-- Data for Name: mdlastchanged; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY mdlastchanged (at) FROM stdin;
\.


--
-- TOC entry 5993 (class 0 OID 90361)
-- Dependencies: 763
-- Data for Name: mergesWith; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY "mergesWith" ("Sea1", "Sea2") FROM stdin;
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
\.


--
-- TOC entry 5994 (class 0 OID 90364)
-- Dependencies: 764
-- Data for Name: nmj; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY nmj (class, tablename, lookupattr, fkjoinattr) FROM stdin;
Female	hasNickname	VALUE	Person
Male	hasNickname	VALUE	Person
City	locatedAt	Water	City
X2	nmprop	Y	X
Sea	mergesWith	Sea2	Sea1
GeographicalThing	locatedOnIsland	Island	GeographicalThing
City	locatedOnIsland	Island	GeographicalThing
Location	locatedOnIsland	Island	GeographicalThing
Area	locatedOnIsland	Island	GeographicalThing
PoliticalThing	locatedOnIsland	Island	GeographicalThing
Male	marriedWith	Person2	Person1
Female	marriedWith	Person2	Person1
MondialThing	borders	LargeArea	Area
Sea	borders	LargeArea	Area
AdministrativeArea	borders	LargeArea	Area
GeographicalThing	borders	LargeArea	Area
Continent	borders	LargeArea	Area
PoliticalThing	borders	LargeArea	Area
Province	borders	LargeArea	Area
GeographicalNonPoliticalThing	borders	LargeArea	Area
Water	borders	LargeArea	Area
PoliticalBody	borders	LargeArea	Area
Country	borders	LargeArea	Area
Area	borders	LargeArea	Area
City	cityIn	AdministrativeArea	City
EthnicGroup	othername	VALUE	MondialThing
City	othername	VALUE	MondialThing
Religion	othername	VALUE	MondialThing
Lake	othername	VALUE	MondialThing
GeographicalNonPoliticalThing	othername	VALUE	MondialThing
Sea	othername	VALUE	MondialThing
Country	othername	VALUE	MondialThing
AnthropoGeographicalThing	othername	VALUE	MondialThing
Water	othername	VALUE	MondialThing
Location	othername	VALUE	MondialThing
MondialThing	othername	VALUE	MondialThing
Island	othername	VALUE	MondialThing
Continent	othername	VALUE	MondialThing
Mountain	othername	VALUE	MondialThing
Mountains	othername	VALUE	MondialThing
AdministrativeArea	othername	VALUE	MondialThing
Place	othername	VALUE	MondialThing
Organization	othername	VALUE	MondialThing
GeographicalThing	othername	VALUE	MondialThing
Language	othername	VALUE	MondialThing
Desert	othername	VALUE	MondialThing
PoliticalBody	othername	VALUE	MondialThing
River	othername	VALUE	MondialThing
Islands	othername	VALUE	MondialThing
Province	othername	VALUE	MondialThing
Area	othername	VALUE	MondialThing
Line	othername	VALUE	MondialThing
PoliticalThing	othername	VALUE	MondialThing
PoliticalThing	locatedIn	Area	GeographicalThing
City	locatedIn	Area	GeographicalThing
Desert	locatedIn	Area	GeographicalThing
Source	locatedIn	Area	GeographicalThing
Lake	locatedIn	Area	GeographicalThing
Location	locatedIn	Area	GeographicalThing
Sea	locatedIn	Area	GeographicalThing
Mountains	locatedIn	Area	GeographicalThing
River	locatedIn	Area	GeographicalThing
Island	locatedIn	Area	GeographicalThing
Area	locatedIn	Area	GeographicalThing
Water	locatedIn	Area	GeographicalThing
Place	locatedIn	Area	GeographicalThing
Line	locatedIn	Area	GeographicalThing
GeographicalThing	locatedIn	Area	GeographicalThing
Mountain	locatedIn	Area	GeographicalThing
Islands	locatedIn	Area	GeographicalThing
Estuary	locatedIn	Area	GeographicalThing
GeographicalNonPoliticalThing	locatedIn	Area	GeographicalThing
Island	locatedInWater	Water	Island
Male	hasAccountNo	VALUE	Person
Female	hasAccountNo	VALUE	Person
Female	hasChild	Person2	Person1
Male	hasChild	Person2	Person1
Lake	locatedAt	City	Water
Line	locatedAt	City	Water
Location	locatedAt	City	Water
Sea	locatedAt	City	Water
River	locatedAt	City	Water
Water	locatedAt	City	Water
Area	locatedAt	City	Water
Y2	nmprop	X	Y
Y1	nmprop	X	Y
Sea	mergesWith	Sea1	Sea2
Sea	mergesWith	Sea1	Sea2
Island	locatedOnIsland	GeographicalThing	Island
Female	marriedWith	Person1	Person2
Male	marriedWith	Person1	Person2
Female	marriedWith	Person1	Person2
Male	marriedWith	Person1	Person2
AdministrativeArea	borders	Area	LargeArea
PoliticalThing	borders	Area	LargeArea
Country	borders	Area	LargeArea
GeographicalThing	borders	Area	LargeArea
Province	borders	Area	LargeArea
GeographicalNonPoliticalThing	borders	Area	LargeArea
Water	borders	Area	LargeArea
Sea	borders	Area	LargeArea
MondialThing	borders	Area	LargeArea
Continent	borders	Area	LargeArea
PoliticalBody	borders	Area	LargeArea
Area	borders	Area	LargeArea
Country	cityIn	City	AdministrativeArea
AdministrativeArea	cityIn	City	AdministrativeArea
Province	cityIn	City	AdministrativeArea
PoliticalBody	cityIn	City	AdministrativeArea
AdministrativeArea	locatedIn	GeographicalThing	Area
Water	locatedIn	GeographicalThing	Area
Islands	locatedIn	GeographicalThing	Area
Continent	locatedIn	GeographicalThing	Area
GeographicalThing	locatedIn	GeographicalThing	Area
Province	locatedIn	GeographicalThing	Area
Country	locatedIn	GeographicalThing	Area
PoliticalThing	locatedIn	GeographicalThing	Area
PoliticalBody	locatedIn	GeographicalThing	Area
City	locatedIn	GeographicalThing	Area
Lake	locatedIn	GeographicalThing	Area
MondialThing	locatedIn	GeographicalThing	Area
Island	locatedIn	GeographicalThing	Area
Mountains	locatedIn	GeographicalThing	Area
Desert	locatedIn	GeographicalThing	Area
Location	locatedIn	GeographicalThing	Area
GeographicalNonPoliticalThing	locatedIn	GeographicalThing	Area
Sea	locatedIn	GeographicalThing	Area
Area	locatedIn	GeographicalThing	Area
Lake	locatedInWater	Island	Water
Line	locatedInWater	Island	Water
Location	locatedInWater	Island	Water
Area	locatedInWater	Island	Water
Water	locatedInWater	Island	Water
River	locatedInWater	Island	Water
Sea	locatedInWater	Island	Water
Male	hasChild	Person1	Person2
Female	hasChild	Person1	Person2
Religion	BelievedBy	religionInfo-	onReligion
Country	BelievedBy	onReligion	religionInfo-
Continent	Encompassed	encompassedArea	encompassedBy
Country	Encompassed	encompassedBy	encompassedArea
EthnicGroup	EthnicProportion	ethnicInfo-	onEthnicGroup
Country	EthnicProportion	onEthnicGroup	ethnicInfo-
Language	SpokenBy	languageInfo-	onLanguage
Country	SpokenBy	onLanguage	languageInfo-
Country	Membership	inOrganization	ofMember
Organization	Membership	ofMember	inOrganization
Country	EthnicProportion	onEthnicGroup	ethnicInfo-
EthnicGroup	EthnicProportion	ethnicInfo-	onEthnicGroup
Organization	Membership	ofMember	inOrganization
Country	Membership	inOrganization	ofMember
Country	SpokenBy	onLanguage	languageInfo-
Language	SpokenBy	languageInfo-	onLanguage
Country	BelievedBy	onReligion	religionInfo-
Religion	BelievedBy	religionInfo-	onReligion
Continent	Encompassed	encompassedArea	encompassedBy
Province	Encompassed	encompassedBy	encompassedArea
Province	Encompassed	encompassedBy	encompassedArea
Continent	Encompassed	encompassedArea	encompassedBy
Country	Encompassed	encompassedBy	encompassedArea
Continent	Encompassed	encompassedArea	encompassedBy
Country	Border	Country1	Country2
Country	Border	Country2	Country1
\.


--
-- TOC entry 5995 (class 0 OID 90367)
-- Dependencies: 765
-- Data for Name: nmprop; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY nmprop ("X", "Y") FROM stdin;
\.


--
-- TOC entry 5996 (class 0 OID 90370)
-- Dependencies: 766
-- Data for Name: nmtables; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY nmtables (tablename) FROM stdin;
hasNickname
mergesWith
locatedOnIsland
locatedIn
locatedAt
marriedWith
borders
locatedInWater
nmprop
hasAccountNo
hasChild
cityIn
othername
BelievedBy
BelievedBy
Encompassed
Encompassed
EthnicProportion
EthnicProportion
SpokenBy
SpokenBy
Membership
Membership
EthnicProportion
EthnicProportion
Membership
Membership
SpokenBy
SpokenBy
BelievedBy
BelievedBy
Encompassed
Encompassed
Encompassed
Encompassed
Encompassed
Encompassed
Border
\.


--
-- TOC entry 5997 (class 0 OID 90373)
-- Dependencies: 767
-- Data for Name: ocdict; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY ocdict (uri, class) FROM stdin;
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/	Province
3441d4f:1508ad97479:-6bf4	BelievedBy
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	City
3441d4f:1508ad6f828:6f61	Membership
3441d4f:1508ad97479:-6b50	BelievedBy
3441d4f:1508ad6f828:7738	Membership
3441d4f:1508ad6f828:70f0	Membership
3441d4f:1508ad97479:-7327	Membership
http://www.semwebtech.org/mondial/10/island/Iceland/	Island
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	City
3441d4f:1508ad6f828:7ab6	Membership
3441d4f:1508ad6f828:7998	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Gagauz/	EthnicGroup
3441d4f:1508ad97479:-7587	Membership
3441d4f:1508ad6f828:7a12	Membership
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	City
3441d4f:1508ad6f828:76e4	Membership
3441d4f:1508ad97479:-72d3	Membership
3441d4f:1508ad97479:-6a4f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	City
3441d4f:1508ad6f828:7640	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	City
3441d4f:1508ad6f828:6bac	Membership
3441d4f:1508ad6f828:7c72	Membership
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	Desert
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	Mountain
3441d4f:1508ad97479:-78c7	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandingo/	EthnicGroup
3441d4f:1508ad97479:-7ef9	Membership
3441d4f:1508ad97479:-7823	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	City
3441d4f:1508ad6f828:753f	Membership
3441d4f:1508ad97479:-7e55	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/	Province
3441d4f:1508ad97479:-712e	Membership
3441d4f:1508ad6f828:7fb2	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	City
3441d4f:1508ad97479:-7ba1	Membership
3441d4f:1508ad97479:-6fef	Membership
3441d4f:1508ad6f828:6a28	Border
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	City
3441d4f:1508ad6f828:779f	Membership
3441d4f:1508ad97479:-738e	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Bengali/	EthnicGroup
3441d4f:1508ad97479:-6f4b	Membership
3441d4f:1508ad6f828:74eb	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	City
3441d4f:1508ad97479:-70da	Membership
3441d4f:1508ad6f828:6c88	Membership
http://www.semwebtech.org/mondial/10/river/Guadiana/	River
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	City
3441d4f:1508ad6f828:7e0d	Membership
3441d4f:1508ad6f828:7107	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	City
3441d4f:1508ad97479:-76ce	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/	Province
3441d4f:1508ad97479:-762a	Membership
3441d4f:1508ad6f828:6fc8	Membership
3441d4f:1508ad6f828:6b90	Membership
3441d4f:1508ad97479:-6bb7	BelievedBy
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	City
3441d4f:1508ad6f828:7367	Membership
3441d4f:1508ad97479:-7c5c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	City
3441d4f:1508ad6f828:6f24	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	City
3441d4f:1508ad97479:-6b13	EthnicProportion
3441d4f:1508ad6f828:70b3	Membership
3441d4f:1508ad97479:-788a	Membership
http://www.semwebtech.org/mondial/10/island/Futuna/	Island
3441d4f:1508ad97479:-6d73	SpokenBy
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	City
3441d4f:1508ad6f828:6ed0	Membership
3441d4f:1508ad6f828:6a8f	Border
3441d4f:1508ad6f828:76a7	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/	Province
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	Source
http://www.semwebtech.org/mondial/10/river/Mantaro/	River
3441d4f:1508ad6f828:7cd9	Membership
http://www.semwebtech.org/mondial/10/organization/OECD/	Organization
3441d4f:1508ad6f828:7603	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	City
3441d4f:1508ad6f828:7c35	Membership
3441d4f:1508ad97479:-6978	EthnicProportion
3441d4f:1508ad97479:-74f6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	City
3441d4f:1508ad6f828:7863	Membership
3441d4f:1508ad97479:-7452	Membership
3441d4f:1508ad6f828:6b16	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/	Province
3441d4f:1508ad6f828:6dcf	Membership
3441d4f:1508ad6f828:7e95	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/	Province
3441d4f:1508ad6f828:716e	Membership
3441d4f:1508ad97479:-7a84	Membership
3441d4f:1508ad6f828:69fd	Border
3441d4f:1508ad6f828:6d2b	Membership
3441d4f:1508ad6f828:7be1	Membership
3441d4f:1508ad97479:-7e18	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	City
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	Estuary
3441d4f:1508ad6f828:6f8b	Membership
3441d4f:1508ad97479:-6b7a	BelievedBy
http://www.semwebtech.org/mondial/10/source/Jubba/	Source
3441d4f:1508ad97479:-6f0e	Membership
3441d4f:1508ad6f828:74ae	Membership
3441d4f:1508ad97479:-7dc4	Membership
3441d4f:1508ad97479:-79f2	Membership
3441d4f:1508ad6f828:740a	Membership
3441d4f:1508ad97479:-7d20	Membership
http://www.semwebtech.org/mondial/10/source/Huallaga/	Source
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	City
3441d4f:1508ad6f828:7a3c	Membership
3441d4f:1508ad97479:-72fd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	City
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	City
3441d4f:1508ad97479:-6eba	Membership
3441d4f:1508ad6f828:766a	Membership
3441d4f:1508ad97479:-7f80	Membership
http://www.semwebtech.org/mondial/10/mountains/Grampians/	Mountains
3441d4f:1508ad6f828:6bf7	Membership
3441d4f:1508ad6f828:7c9c	Membership
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	Desert
http://www.semwebtech.org/mondial/10/lake/Inari/	Lake
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	City
3441d4f:1508ad6f828:6b53	Membership
3441d4f:1508ad97479:-7c1f	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	City
http://www.semwebtech.org/mondial/10/source/Rhein/	Source
3441d4f:1508ad97479:-784d	Membership
3441d4f:1508ad6f828:79aa	Membership
3441d4f:1508ad97479:-7e7f	Membership
3441d4f:1508ad97479:-7179	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	City
3441d4f:1508ad6f828:7fdc	Membership
3441d4f:1508ad97479:-6d36	BelievedBy
3441d4f:1508ad6f828:72d6	Membership
3441d4f:1508ad97479:-7bcb	Membership
3441d4f:1508ad6f828:7232	Membership
3441d4f:1508ad97479:-6f96	Membership
3441d4f:1508ad97479:-6ce2	BelievedBy
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	Sea
3441d4f:1508ad6f828:7492	Membership
3441d4f:1508ad97479:-74b9	Membership
3441d4f:1508ad97479:-7081	Membership
3441d4f:1508ad6f828:7826	Membership
3441d4f:1508ad97479:-7415	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	City
3441d4f:1508ad6f828:7e58	Membership
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	City
3441d4f:1508ad97479:-7a47	Membership
http://www.semwebtech.org/mondial/10/lake/LochNess/	Lake
3441d4f:1508ad6f828:7ba4	Membership
3441d4f:1508ad97479:-68e7	EthnicProportion
3441d4f:1508ad97479:-7675	Membership
3441d4f:1508ad6f828:691c	Encompassed
3441d4f:1508ad6f828:7b00	Membership
3441d4f:1508ad6f828:77d2	Membership
http://www.semwebtech.org/mondial/10/islands/Seychelles/	Islands
3441d4f:1508ad97479:-73c1	Membership
http://www.semwebtech.org/mondial/10/source/Po/	Source
3441d4f:1508ad6f828:6f4e	Membership
3441d4f:1508ad97479:-6b3d	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	City
3441d4f:1508ad6f828:70dd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	City
3441d4f:1508ad6f828:7d60	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/	Province
3441d4f:1508ad97479:-6d9d	SpokenBy
3441d4f:1508ad97479:-79b5	Membership
3441d4f:1508ad6f828:6efa	Membership
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	City
3441d4f:1508ad97479:-7911	Membership
3441d4f:1508ad97479:-7fe7	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	City
http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	Islands
3441d4f:1508ad6f828:762d	Membership
3441d4f:1508ad97479:-7f43	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Monegasque/	EthnicGroup
3441d4f:1508ad97479:-721c	Membership
3441d4f:1508ad6f828:7c5f	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	City
3441d4f:1508ad6f828:788d	Membership
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	City
3441d4f:1508ad97479:-747c	Membership
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/	Province
3441d4f:1508ad6f828:6d76	Membership
http://www.semwebtech.org/mondial/10/island/Olkhon/	Island
3441d4f:1508ad6f828:6ac2	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/	Province
3441d4f:1508ad97479:-77bc	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/	Mountain
3441d4f:1508ad97479:-6f59	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	City
3441d4f:1508ad97479:-70e8	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	City
3441d4f:1508ad6f828:74f9	Membership
3441d4f:1508ad97479:-7dee	Membership
http://www.semwebtech.org/mondial/10/country/SK/	Country
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	City
3441d4f:1508ad97479:-6ca5	BelievedBy
3441d4f:1508ad6f828:7455	Membership
3441d4f:1508ad97479:-7d4a	Membership
3441d4f:1508ad97479:-7044	Membership
3441d4f:1508ad97479:-6c01	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	Estuary
3441d4f:1508ad6f828:7a87	Membership
3441d4f:1508ad6f828:71a1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	City
http://www.semwebtech.org/mondial/10/mountain/Korab/	Mountain
3441d4f:1508ad97479:-6e61	Membership
3441d4f:1508ad97479:-7638	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/	Province
3441d4f:1508ad6f828:6b7d	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	City
3441d4f:1508ad6f828:7dc7	Membership
3441d4f:1508ad97479:-7898	Membership
3441d4f:1508ad6f828:7d23	Membership
3441d4f:1508ad6f828:79f5	Membership
3441d4f:1508ad97479:-75e4	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	City
3441d4f:1508ad6f828:7951	Membership
3441d4f:1508ad97479:-7540	Membership
3441d4f:1508ad6f828:6ebd	Membership
3441d4f:1508ad97479:-6aac	EthnicProportion
3441d4f:1508ad6f828:7f83	Membership
3441d4f:1508ad6f828:725c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	City
3441d4f:1508ad97479:-7b72	Membership
3441d4f:1508ad97479:-7f06	Membership
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	City
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/	Province
3441d4f:1508ad97479:-743f	Membership
http://www.semwebtech.org/mondial/10/source/Chire/	Source
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	City
3441d4f:1508ad97479:-7eb2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/	Province
3441d4f:1508ad6f828:6d39	Membership
3441d4f:1508ad6f828:7bce	Membership
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	Mountain
3441d4f:1508ad97479:-769f	Membership
3441d4f:1508ad6f828:6967	Encompassed
3441d4f:1508ad6f828:7b2a	Membership
3441d4f:1508ad6f828:77fc	Membership
http://www.semwebtech.org/mondial/10/estuary/Argun/	Estuary
3441d4f:1508ad97479:-73eb	Membership
3441d4f:1508ad6f828:6f99	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	City
3441d4f:1508ad97479:-6b88	BelievedBy
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	Lake
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	City
3441d4f:1508ad6f828:6ce5	Membership
3441d4f:1508ad6f828:7d8a	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	City
3441d4f:1508ad6f828:7084	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	City
3441d4f:1508ad6f828:6c41	Membership
3441d4f:1508ad97479:-79df	Membership
3441d4f:1508ad6f828:7418	Membership
3441d4f:1508ad97479:-7d0d	Membership
3441d4f:1508ad97479:-7007	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	City
3441d4f:1508ad97479:-793b	Membership
3441d4f:1508ad97479:-6a90	EthnicProportion
http://www.semwebtech.org/mondial/10/island/IsleofMan/	Island
http://www.semwebtech.org/mondial/10/river/Garonne/	River
3441d4f:1508ad97479:-6ec8	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	City
3441d4f:1508ad6f828:7678	Membership
3441d4f:1508ad97479:-7f6d	Membership
3441d4f:1508ad97479:-7267	Membership
3441d4f:1508ad97479:-6e24	SpokenBy
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	City
3441d4f:1508ad6f828:73c4	Membership
3441d4f:1508ad6f828:7320	Membership
3441d4f:1508ad97479:-6dd0	SpokenBy
3441d4f:1508ad6f828:79b8	Membership
3441d4f:1508ad6f828:7580	Membership
3441d4f:1508ad97479:-75a7	Membership
3441d4f:1508ad6f828:6aec	Membership
3441d4f:1508ad6f828:7914	Membership
3441d4f:1508ad97479:-7bd9	Membership
3441d4f:1508ad97479:-7503	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	City
3441d4f:1508ad6f828:7f46	Membership
3441d4f:1508ad6f828:721f	Membership
3441d4f:1508ad97479:-7b35	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	City
3441d4f:1508ad97479:-69d5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	City
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-7763	Membership
3441d4f:1508ad97479:-6931	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	Estuary
3441d4f:1508ad97479:-6ccf	BelievedBy
3441d4f:1508ad6f828:78c0	Membership
3441d4f:1508ad6f828:747f	Membership
3441d4f:1508ad97479:-7d95	Membership
http://www.semwebtech.org/mondial/10/estuary/Oranje/	Estuary
3441d4f:1508ad97479:-706e	Membership
3441d4f:1508ad6f828:7ef2	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	City
3441d4f:1508ad97479:-6c2b	BelievedBy
3441d4f:1508ad6f828:71cb	Membership
3441d4f:1508ad97479:-7ae1	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	City
3441d4f:1508ad97479:-6e8b	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/	Province
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	City
3441d4f:1508ad6f828:77bf	Membership
3441d4f:1508ad97479:-73ae	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/	Province
3441d4f:1508ad6f828:771b	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Western/	Province
3441d4f:1508ad97479:-730a	Membership
3441d4f:1508ad6f828:6ca8	Membership
3441d4f:1508ad6f828:7d4d	Membership
http://www.semwebtech.org/mondial/10/country/BHT/	Country
3441d4f:1508ad6f828:7047	Membership
3441d4f:1508ad6f828:68d6	Encompassed
3441d4f:1508ad6f828:6c04	Membership
3441d4f:1508ad6f828:797b	Membership
3441d4f:1508ad97479:-756a	Membership
3441d4f:1508ad97479:-6af7	EthnicProportion
3441d4f:1508ad97479:-7b9c	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Namur/	Province
3441d4f:1508ad6f828:6e64	Membership
3441d4f:1508ad97479:-6a53	EthnicProportion
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	Island
http://www.semwebtech.org/mondial/10/island/Phuket/	Island
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/	Province
3441d4f:1508ad6f828:6bb0	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	City
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	City
3441d4f:1508ad97479:-78aa	Membership
3441d4f:1508ad6f828:75e7	Membership
3441d4f:1508ad97479:-7edc	Membership
3441d4f:1508ad97479:-71d6	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/	Province
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	Estuary
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/	Province
3441d4f:1508ad6f828:7543	Membership
http://www.semwebtech.org/mondial/10/mountains/SierraParima/	Mountains
3441d4f:1508ad97479:-7132	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/	Province
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/	Province
3441d4f:1508ad6f828:6aaf	Border
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	City
3441d4f:1508ad6f828:7b75	Membership
3441d4f:1508ad97479:-6ff3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	City
3441d4f:1508ad6f828:6a0b	Border
3441d4f:1508ad6f828:7f09	Membership
3441d4f:1508ad97479:-7392	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	City
3441d4f:1508ad97479:-7726	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	City
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/	Province
3441d4f:1508ad6f828:6c6b	Membership
http://www.semwebtech.org/mondial/10/organization/FATF/	Organization
3441d4f:1508ad97479:-7d58	Membership
3441d4f:1508ad6f828:7eb5	Membership
3441d4f:1508ad97479:-7986	Membership
3441d4f:1508ad97479:-7aa4	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tay/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	City
3441d4f:1508ad6f828:7e11	Membership
3441d4f:1508ad97479:-76d2	Membership
3441d4f:1508ad97479:-7a00	Membership
http://www.semwebtech.org/mondial/10/estuary/Theiss/	Estuary
3441d4f:1508ad97479:-6e4e	SpokenBy
http://www.semwebtech.org/mondial/10/island/Principe/	Island
3441d4f:1508ad6f828:73ee	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	City
3441d4f:1508ad6f828:6fab	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	City
3441d4f:1508ad6f828:734a	Membership
3441d4f:1508ad97479:-7c60	Membership
http://www.semwebtech.org/mondial/10/country/VIRG/	Country
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	City
3441d4f:1508ad97479:-6dfa	SpokenBy
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/	Province
3441d4f:1508ad6f828:793e	Membership
3441d4f:1508ad97479:-752d	Membership
3441d4f:1508ad6f828:6a93	Border
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/	Province
http://www.semwebtech.org/mondial/10/organization/BDEAC/	Organization
3441d4f:1508ad97479:-7fa0	Membership
3441d4f:1508ad97479:-7b5f	Membership
3441d4f:1508ad6f828:6e27	Membership
3441d4f:1508ad6f828:7cbc	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/	Province
3441d4f:1508ad97479:-6a16	EthnicProportion
3441d4f:1508ad97479:-69ff	EthnicProportion
3441d4f:1508ad97479:-778d	Membership
3441d4f:1508ad6f828:78ea	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/	Province
3441d4f:1508ad97479:-695b	EthnicProportion
3441d4f:1508ad97479:-6c76	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Don/	Estuary
3441d4f:1508ad6f828:6dd3	Membership
http://www.semwebtech.org/mondial/10/desert/Sonora/	Desert
3441d4f:1508ad6f828:7172	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	City
3441d4f:1508ad6f828:7506	Membership
3441d4f:1508ad6f828:7b38	Membership
3441d4f:1508ad97479:-73f9	Membership
3441d4f:1508ad97479:-6fb6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	City
3441d4f:1508ad6f828:7766	Membership
3441d4f:1508ad97479:-7355	Membership
3441d4f:1508ad97479:-6f12	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/	Province
3441d4f:1508ad6f828:7d98	Membership
3441d4f:1508ad6f828:74b2	Membership
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	Sea
3441d4f:1508ad97479:-70a1	Membership
3441d4f:1508ad6f828:6c2e	Membership
3441d4f:1508ad6f828:7ae4	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	City
3441d4f:1508ad6f828:7a40	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/	Province
3441d4f:1508ad97479:-7949	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	City
3441d4f:1508ad6f828:6e8e	Membership
3441d4f:1508ad97479:-6a7d	EthnicProportion
3441d4f:1508ad6f828:6bda	Membership
3441d4f:1508ad97479:-7cc7	Membership
3441d4f:1508ad97479:-78f5	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	City
3441d4f:1508ad6f828:730d	Membership
3441d4f:1508ad97479:-7c23	Membership
3441d4f:1508ad97479:-7851	Membership
3441d4f:1508ad97479:-6dbd	SpokenBy
3441d4f:1508ad6f828:756d	Membership
3441d4f:1508ad97479:-7e83	Membership
3441d4f:1508ad97479:-715c	Membership
3441d4f:1508ad6f828:7fe0	Membership
3441d4f:1508ad6f828:7b9f	Membership
3441d4f:1508ad6f828:6a56	Border
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	City
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/	Province
3441d4f:1508ad6f828:78ad	Membership
3441d4f:1508ad97479:-691e	EthnicProportion
3441d4f:1508ad97479:-6c39	BelievedBy
http://www.semwebtech.org/mondial/10/organization/IFC/	Organization
3441d4f:1508ad6f828:7edf	Membership
http://www.semwebtech.org/mondial/10/country/GUAD/	Country
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	City
3441d4f:1508ad6f828:71d9	Membership
3441d4f:1508ad97479:-7ace	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Austrian/	EthnicGroup
3441d4f:1508ad97479:-76fc	Membership
3441d4f:1508ad6f828:7e3b	Membership
3441d4f:1508ad97479:-7a2a	Membership
3441d4f:1508ad6f828:7135	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	City
3441d4f:1508ad6f828:69c4	Border
3441d4f:1508ad97479:-6e99	Membership
3441d4f:1508ad97479:-68ca	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RO/	Country
3441d4f:1508ad6f828:6ff6	Membership
3441d4f:1508ad6f828:6920	Encompassed
3441d4f:1508ad97479:-6be5	BelievedBy
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/	Province
3441d4f:1508ad6f828:7395	Membership
3441d4f:1508ad97479:-7c8a	Membership
3441d4f:1508ad97479:-6b41	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Missouri/	Estuary
3441d4f:1508ad6f828:6f52	Membership
3441d4f:1508ad6f828:70e1	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	City
3441d4f:1508ad6f828:7729	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	City
3441d4f:1508ad97479:-7318	Membership
http://www.semwebtech.org/mondial/10/continent/Africa/	Continent
3441d4f:1508ad6f828:7aa7	Membership
3441d4f:1508ad6f828:7989	Membership
3441d4f:1508ad97479:-7578	Membership
3441d4f:1508ad6f828:7a03	Membership
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	City
3441d4f:1508ad6f828:76d5	Membership
3441d4f:1508ad97479:-7fca	Membership
3441d4f:1508ad97479:-72c4	Membership
3441d4f:1508ad6f828:7631	Membership
3441d4f:1508ad97479:-7220	Membership
3441d4f:1508ad6f828:7c63	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/	Province
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	City
3441d4f:1508ad6f828:7891	Membership
3441d4f:1508ad97479:-78b8	Membership
3441d4f:1508ad97479:-7480	Membership
3441d4f:1508ad6f828:6dfd	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	City
3441d4f:1508ad6f828:719c	Membership
3441d4f:1508ad97479:-7814	Membership
3441d4f:1508ad97479:-7e46	Membership
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	City
3441d4f:1508ad97479:-711f	Membership
3441d4f:1508ad6f828:7fa3	Membership
3441d4f:1508ad6f828:6a19	Border
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-77c0	Membership
3441d4f:1508ad97479:-737f	Membership
3441d4f:1508ad97479:-6f3c	Membership
3441d4f:1508ad6f828:74dc	Membership
3441d4f:1508ad97479:-7df2	Membership
3441d4f:1508ad97479:-70cb	Membership
http://www.semwebtech.org/mondial/10/organization/G-11/	Organization
3441d4f:1508ad6f828:6c79	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/	Province
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	City
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	Estuary
3441d4f:1508ad6f828:7a6a	Membership
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	Sea
3441d4f:1508ad97479:-76bf	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	City
http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Mountains
3441d4f:1508ad97479:-761b	Membership
3441d4f:1508ad6f828:6fb9	Membership
3441d4f:1508ad6f828:6b81	Membership
3441d4f:1508ad97479:-6ba8	BelievedBy
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	City
3441d4f:1508ad6f828:7358	Membership
3441d4f:1508ad97479:-7c4d	Membership
3441d4f:1508ad97479:-6b04	EthnicProportion
3441d4f:1508ad6f828:6f15	Membership
3441d4f:1508ad6f828:7daa	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	City
3441d4f:1508ad6f828:70a4	Membership
3441d4f:1508ad97479:-787b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldavian-Romanian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	City
3441d4f:1508ad6f828:7000	Membership
3441d4f:1508ad97479:-6d64	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	City
3441d4f:1508ad6f828:6ec1	Membership
3441d4f:1508ad97479:-6ab0	EthnicProportion
3441d4f:1508ad6f828:7260	Membership
http://www.semwebtech.org/mondial/10/religion/Presbyterian/	Religion
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/	Province
3441d4f:1508ad6f828:7c26	Membership
3441d4f:1508ad6f828:78f8	Membership
3441d4f:1508ad97479:-6969	EthnicProportion
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/	Province
3441d4f:1508ad97479:-74e7	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	City
3441d4f:1508ad6f828:7854	Membership
3441d4f:1508ad97479:-7443	Membership
3441d4f:1508ad6f828:7e86	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	City
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	City
3441d4f:1508ad6f828:75a0	Membership
3441d4f:1508ad6f828:715f	Membership
3441d4f:1508ad97479:-7a75	Membership
3441d4f:1508ad6f828:7bd2	Membership
3441d4f:1508ad6f828:69ee	Border
3441d4f:1508ad6f828:6d1c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/	Province
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	City
http://www.semwebtech.org/mondial/10/mountains/Azbine/	Mountains
3441d4f:1508ad97479:-7e09	Membership
3441d4f:1508ad6f828:694a	Encompassed
3441d4f:1508ad6f828:6f7c	Membership
3441d4f:1508ad97479:-6b6b	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/	Province
http://www.semwebtech.org/mondial/10/island/Molokai/	Island
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/	Province
3441d4f:1508ad97479:-7db5	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/	Province
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	Lake
3441d4f:1508ad97479:-79e3	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/	Province
3441d4f:1508ad97479:-7d11	Membership
3441d4f:1508ad6f828:7a2d	Membership
3441d4f:1508ad6f828:76ff	Membership
3441d4f:1508ad97479:-72ee	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	City
3441d4f:1508ad97479:-6eab	Membership
3441d4f:1508ad6f828:765b	Membership
3441d4f:1508ad97479:-7f71	Membership
3441d4f:1508ad97479:-724a	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/	Province
3441d4f:1508ad6f828:6be8	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	City
3441d4f:1508ad6f828:7c8d	Membership
3441d4f:1508ad6f828:6b44	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/	Province
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	City
3441d4f:1508ad97479:-783e	Membership
3441d4f:1508ad6f828:6af0	Membership
3441d4f:1508ad6f828:7fcd	Membership
3441d4f:1508ad97479:-6d27	BelievedBy
3441d4f:1508ad6f828:72c7	Membership
3441d4f:1508ad97479:-7bbc	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	City
3441d4f:1508ad97479:-77ea	Membership
3441d4f:1508ad6f828:7223	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	City
3441d4f:1508ad97479:-6f87	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	City
3441d4f:1508ad97479:-6cd3	BelievedBy
3441d4f:1508ad6f828:7483	Membership
http://www.semwebtech.org/mondial/10/mountains/Sinai/	Mountains
3441d4f:1508ad97479:-7072	Membership
http://www.semwebtech.org/mondial/10/island/Lolland/	Island
http://www.semwebtech.org/mondial/10/river/Syrdarja/	River
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	City
3441d4f:1508ad6f828:7817	Membership
3441d4f:1508ad97479:-7406	Membership
3441d4f:1508ad6f828:7e49	Membership
3441d4f:1508ad97479:-7a38	Membership
http://www.semwebtech.org/mondial/10/country/SPMI/	Country
3441d4f:1508ad97479:-68d8	EthnicProportion
3441d4f:1508ad97479:-7666	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/	Province
3441d4f:1508ad6f828:690d	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Songhai/	EthnicGroup
3441d4f:1508ad6f828:77c3	Membership
3441d4f:1508ad97479:-7c98	Membership
3441d4f:1508ad97479:-73b2	Membership
3441d4f:1508ad97479:-6b2e	BelievedBy
3441d4f:1508ad6f828:6f3f	Membership
3441d4f:1508ad6f828:7df5	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/	Province
3441d4f:1508ad6f828:70ce	Membership
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	Lake
3441d4f:1508ad6f828:7d51	Membership
3441d4f:1508ad6f828:702a	Membership
3441d4f:1508ad97479:-6d8e	SpokenBy
3441d4f:1508ad97479:-79a6	Membership
3441d4f:1508ad97479:-6ada	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	City
3441d4f:1508ad6f828:6eeb	Membership
http://www.semwebtech.org/mondial/10/river/Jenissej/	River
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	Desert
3441d4f:1508ad97479:-7fd8	Membership
3441d4f:1508ad6f828:728a	Membership
3441d4f:1508ad97479:-7902	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	City
3441d4f:1508ad6f828:761e	Membership
3441d4f:1508ad97479:-7f34	Membership
3441d4f:1508ad97479:-720d	Membership
http://www.semwebtech.org/mondial/10/language/Pitkern/	Language
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	City
http://www.semwebtech.org/mondial/10/mountain/Brocken/	Mountain
3441d4f:1508ad6f828:6b07	Membership
3441d4f:1508ad6f828:787e	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	City
3441d4f:1508ad97479:-746d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Romansch/	EthnicGroup
3441d4f:1508ad97479:-7a9f	Membership
3441d4f:1508ad6f828:75ca	Membership
3441d4f:1508ad97479:-7ee0	Membership
3441d4f:1508ad97479:-6dc1	SpokenBy
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	City
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	City
3441d4f:1508ad6f828:6d67	Membership
3441d4f:1508ad6f828:7bfc	Membership
3441d4f:1508ad6f828:6995	Border
3441d4f:1508ad6f828:6ab3	Border
http://www.semwebtech.org/mondial/10/island/IsleofWight/	Island
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	City
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/	Province
3441d4f:1508ad97479:-77ad	Membership
3441d4f:1508ad97479:-7ddf	Membership
3441d4f:1508ad97479:-70d9	Membership
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	Estuary
3441d4f:1508ad6f828:7446	Membership
3441d4f:1508ad97479:-7d3b	Membership
http://www.semwebtech.org/mondial/10/river/Salzach/	River
3441d4f:1508ad97479:-7035	Membership
3441d4f:1508ad6f828:7a78	Membership
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-6ef6	Membership
http://www.semwebtech.org/mondial/10/source/Waag/	Source
3441d4f:1508ad97479:-7f9b	Membership
3441d4f:1508ad97479:-7295	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/	Province
http://www.semwebtech.org/mondial/10/island/Ceram/	Island
http://www.semwebtech.org/mondial/10/island/Langeland/	Island
3441d4f:1508ad97479:-6e52	Membership
3441d4f:1508ad6f828:73f2	Membership
3441d4f:1508ad97479:-7629	Membership
http://www.semwebtech.org/mondial/10/language/Gagauz/	Language
3441d4f:1508ad6f828:6b6e	Membership
http://www.semwebtech.org/mondial/10/estuary/Sanga/	Estuary
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	City
3441d4f:1508ad6f828:7db8	Membership
http://www.semwebtech.org/mondial/10/organization/CIS/	Organization
3441d4f:1508ad97479:-7889	Membership
http://www.semwebtech.org/mondial/10/organization/FZ/	Organization
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	City
3441d4f:1508ad6f828:7d14	Membership
3441d4f:1508ad6f828:79e6	Membership
3441d4f:1508ad97479:-75d5	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	City
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	City
3441d4f:1508ad6f828:7942	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	City
3441d4f:1508ad97479:-7531	Membership
3441d4f:1508ad6f828:6eae	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	City
3441d4f:1508ad6f828:7f74	Membership
3441d4f:1508ad6f828:724d	Membership
3441d4f:1508ad97479:-7b63	Membership
3441d4f:1508ad6f828:6e0a	Membership
3441d4f:1508ad6f828:7cc0	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/	Province
3441d4f:1508ad97479:-7791	Membership
3441d4f:1508ad97479:-6cfd	BelievedBy
3441d4f:1508ad97479:-709c	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/	Province
3441d4f:1508ad97479:-7ea3	Membership
http://www.semwebtech.org/mondial/10/island/Java/	Island
http://www.semwebtech.org/mondial/10/river/Oranje/	River
3441d4f:1508ad6f828:7bbf	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	City
http://www.semwebtech.org/mondial/10/river/Uruguay/	River
3441d4f:1508ad6f828:6958	Encompassed
3441d4f:1508ad6f828:7b1b	Membership
3441d4f:1508ad6f828:77ed	Membership
3441d4f:1508ad97479:-73dc	Membership
3441d4f:1508ad97479:-6b79	BelievedBy
http://www.semwebtech.org/mondial/10/country/OM/	Country
http://www.semwebtech.org/mondial/10/ethnicgroup/Latvian/	EthnicGroup
3441d4f:1508ad6f828:6cd6	Membership
3441d4f:1508ad6f828:7d7b	Membership
3441d4f:1508ad6f828:7075	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	City
3441d4f:1508ad6f828:6c32	Membership
3441d4f:1508ad6f828:7409	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/	Province
3441d4f:1508ad97479:-792c	Membership
3441d4f:1508ad97479:-6a81	EthnicProportion
3441d4f:1508ad6f828:6e92	Membership
3441d4f:1508ad97479:-6eb9	Membership
3441d4f:1508ad97479:-7f5e	Membership
3441d4f:1508ad6f828:7669	Membership
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	City
http://www.semwebtech.org/mondial/10/country/SY/	Country
3441d4f:1508ad97479:-7258	Membership
3441d4f:1508ad97479:-6e15	SpokenBy
3441d4f:1508ad6f828:73b5	Membership
3441d4f:1508ad97479:-7caa	Membership
3441d4f:1508ad6f828:7311	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	City
3441d4f:1508ad6f828:79a9	Membership
3441d4f:1508ad6f828:7571	Membership
http://www.semwebtech.org/mondial/10/source/Fulda/	Source
3441d4f:1508ad97479:-7160	Membership
3441d4f:1508ad6f828:6add	Membership
3441d4f:1508ad6f828:7905	Membership
3441d4f:1508ad6f828:7f37	Membership
3441d4f:1508ad97479:-77f8	Membership
3441d4f:1508ad97479:-7b26	Membership
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	City
3441d4f:1508ad97479:-69c6	EthnicProportion
3441d4f:1508ad97479:-7754	Membership
3441d4f:1508ad97479:-6922	EthnicProportion
3441d4f:1508ad6f828:78b1	Membership
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/	Province
3441d4f:1508ad97479:-7d86	Membership
3441d4f:1508ad97479:-74a0	Membership
3441d4f:1508ad97479:-705f	Membership
3441d4f:1508ad6f828:7ee3	Membership
3441d4f:1508ad97479:-6c1c	BelievedBy
3441d4f:1508ad6f828:71bc	Membership
3441d4f:1508ad97479:-7ad2	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	City
3441d4f:1508ad97479:-6e7c	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Celt/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	City
http://www.semwebtech.org/mondial/10/river/Theiss/	River
3441d4f:1508ad6f828:770c	Membership
3441d4f:1508ad6f828:7d3e	Membership
3441d4f:1508ad6f828:7038	Membership
3441d4f:1508ad97479:-75ff	Membership
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	Desert
3441d4f:1508ad6f828:68c7	Encompassed
3441d4f:1508ad6f828:796c	Membership
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	City
3441d4f:1508ad97479:-755b	Membership
3441d4f:1508ad6f828:6ef9	Membership
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	City
3441d4f:1508ad6f828:7f9e	Membership
3441d4f:1508ad97479:-6ae8	EthnicProportion
3441d4f:1508ad6f828:7298	Membership
3441d4f:1508ad97479:-7b8d	Membership
http://www.semwebtech.org/mondial/10/island/GreatBritain/	Island
3441d4f:1508ad6f828:6e55	Membership
3441d4f:1508ad6f828:7cea	Membership
3441d4f:1508ad97479:-6a44	EthnicProportion
3441d4f:1508ad6f828:6ba1	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Arabic/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	City
3441d4f:1508ad6f828:75d8	Membership
3441d4f:1508ad97479:-7ecd	Membership
3441d4f:1508ad97479:-71c7	Membership
3441d4f:1508ad6f828:7534	Membership
3441d4f:1508ad97479:-7123	Membership
3441d4f:1508ad6f828:7b66	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/	Province
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	Island
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	City
http://www.semwebtech.org/mondial/10/island/LittleCayman/	Island
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	Lake
3441d4f:1508ad97479:-6f40	Membership
3441d4f:1508ad97479:-6fe4	Membership
3441d4f:1508ad6f828:7794	Membership
3441d4f:1508ad97479:-7383	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	City
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/	Province
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	City
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	City
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	City
3441d4f:1508ad6f828:74e0	Membership
3441d4f:1508ad6f828:709f	Membership
3441d4f:1508ad97479:-7717	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/	Province
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	Sea
3441d4f:1508ad6f828:6c5c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	City
http://www.semwebtech.org/mondial/10/river/Newa/	River
3441d4f:1508ad97479:-7d49	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	City
3441d4f:1508ad6f828:688a	Encompassed
3441d4f:1508ad6f828:7ea6	Membership
3441d4f:1508ad97479:-7977	Membership
3441d4f:1508ad6f828:7e02	Membership
3441d4f:1508ad97479:-76c3	Membership
3441d4f:1508ad97479:-6e3f	SpokenBy
http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Mountains
3441d4f:1508ad6f828:73df	Membership
3441d4f:1508ad97479:-7cf5	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/	Province
3441d4f:1508ad6f828:733b	Membership
3441d4f:1508ad97479:-7c51	Membership
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	City
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	City
3441d4f:1508ad97479:-6deb	SpokenBy
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	City
3441d4f:1508ad6f828:759b	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	City
3441d4f:1508ad97479:-718a	Membership
3441d4f:1508ad6f828:792f	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	City
3441d4f:1508ad97479:-751e	Membership
http://www.semwebtech.org/mondial/10/river/Swir/	River
3441d4f:1508ad6f828:6a84	Border
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	City
3441d4f:1508ad6f828:6e18	Membership
3441d4f:1508ad6f828:7cad	Membership
3441d4f:1508ad97479:-6a07	EthnicProportion
3441d4f:1508ad97479:-777e	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	City
3441d4f:1508ad6f828:78db	Membership
3441d4f:1508ad97479:-694c	EthnicProportion
3441d4f:1508ad97479:-74ca	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	City
http://www.semwebtech.org/mondial/10/country/RMM/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	City
3441d4f:1508ad97479:-6c67	BelievedBy
3441d4f:1508ad97479:-7afc	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	City
3441d4f:1508ad6f828:6dc4	Membership
3441d4f:1508ad6f828:7163	Membership
3441d4f:1508ad6f828:69f2	Border
3441d4f:1508ad6f828:6d20	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/	Province
3441d4f:1508ad6f828:7b29	Membership
3441d4f:1508ad6f828:6f80	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/	Province
3441d4f:1508ad97479:-6fa7	Membership
3441d4f:1508ad6f828:7757	Membership
3441d4f:1508ad97479:-7346	Membership
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	City
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	City
3441d4f:1508ad97479:-6f03	Membership
3441d4f:1508ad6f828:7d89	Membership
3441d4f:1508ad6f828:74a3	Membership
http://www.semwebtech.org/mondial/10/estuary/Mincio/	Estuary
3441d4f:1508ad6f828:6c1f	Membership
3441d4f:1508ad6f828:7ad5	Membership
3441d4f:1508ad6f828:7a31	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/	Province
3441d4f:1508ad97479:-72f2	Membership
3441d4f:1508ad6f828:6e7f	Membership
3441d4f:1508ad97479:-6a6e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/	Province
3441d4f:1508ad97479:-7cb8	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	City
3441d4f:1508ad6f828:6bcb	Membership
3441d4f:1508ad6f828:7c91	Membership
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/	Province
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	City
3441d4f:1508ad97479:-78e6	Membership
3441d4f:1508ad97479:-7c14	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	City
3441d4f:1508ad97479:-7842	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Bakongo/	EthnicGroup
http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	EthnicGroup
3441d4f:1508ad97479:-6dae	SpokenBy
3441d4f:1508ad6f828:755e	Membership
3441d4f:1508ad97479:-7e74	Membership
3441d4f:1508ad97479:-714d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	City
3441d4f:1508ad6f828:7fd1	Membership
3441d4f:1508ad97479:-6d0a	BelievedBy
3441d4f:1508ad6f828:72aa	Membership
3441d4f:1508ad97479:-7bc0	Membership
3441d4f:1508ad6f828:6a47	Border
http://www.semwebtech.org/mondial/10/island/Singapore/	Island
3441d4f:1508ad97479:-6f6a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	City
http://www.semwebtech.org/mondial/10/organization/SAARC/	Organization
http://www.semwebtech.org/mondial/10/island/NorthUist/	Island
http://www.semwebtech.org/mondial/10/organization/CAEU/	Organization
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	City
3441d4f:1508ad97479:-690f	EthnicProportion
3441d4f:1508ad97479:-7abf	Membership
http://www.semwebtech.org/mondial/10/country/HELX/	Country
http://www.semwebtech.org/mondial/10/country/MACX/	Country
3441d4f:1508ad6f828:7e2c	Membership
3441d4f:1508ad97479:-76ed	Membership
3441d4f:1508ad6f828:7126	Membership
3441d4f:1508ad97479:-7a1b	Membership
3441d4f:1508ad6f828:69b5	Border
http://www.semwebtech.org/mondial/10/island/Montserrat/	Island
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/	Province
3441d4f:1508ad97479:-68bb	EthnicProportion
3441d4f:1508ad6f828:6fe7	Membership
3441d4f:1508ad6f828:6911	Encompassed
3441d4f:1508ad97479:-6bd6	BelievedBy
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	City
3441d4f:1508ad6f828:7386	Membership
3441d4f:1508ad97479:-7c7b	Membership
3441d4f:1508ad6f828:6f43	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	Province
3441d4f:1508ad97479:-6b32	BelievedBy
3441d4f:1508ad6f828:70d2	Membership
3441d4f:1508ad97479:-7309	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	City
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/	Province
3441d4f:1508ad97479:-6d92	SpokenBy
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	City
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/	Province
3441d4f:1508ad97479:-7569	Membership
http://www.semwebtech.org/mondial/10/country/AL/	Country
3441d4f:1508ad6f828:76c6	Membership
3441d4f:1508ad97479:-7fbb	Membership
3441d4f:1508ad97479:-72b5	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	City
3441d4f:1508ad6f828:7cf8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	City
http://www.semwebtech.org/mondial/10/country/NIC/	Country
3441d4f:1508ad6f828:7622	Membership
http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/	Mountains
3441d4f:1508ad97479:-7211	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	City
http://www.semwebtech.org/mondial/10/country/CR/	Country
3441d4f:1508ad6f828:7c54	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/	Province
3441d4f:1508ad97479:-6997	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	City
3441d4f:1508ad6f828:7882	Membership
3441d4f:1508ad97479:-78a9	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	City
3441d4f:1508ad97479:-7471	Membership
3441d4f:1508ad6f828:6dee	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	City
3441d4f:1508ad6f828:718d	Membership
3441d4f:1508ad97479:-7805	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	City
3441d4f:1508ad6f828:6d4a	Membership
http://www.semwebtech.org/mondial/10/source/Mississippi/	Source
3441d4f:1508ad97479:-7e37	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	City
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	City
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	Mountain
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	City
3441d4f:1508ad97479:-77b1	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	City
3441d4f:1508ad97479:-6f2d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/	Province
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	City
3441d4f:1508ad6f828:74cd	Membership
3441d4f:1508ad97479:-7de3	Membership
3441d4f:1508ad97479:-70bc	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	City
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	City
3441d4f:1508ad6f828:7aff	Membership
3441d4f:1508ad6f828:6898	Encompassed
3441d4f:1508ad6f828:7a5b	Membership
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	Estuary
http://www.semwebtech.org/mondial/10/islands/ElliceIslands/	Islands
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/	Province
http://www.semwebtech.org/mondial/10/mountains/Corse/	Mountains
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	City
3441d4f:1508ad97479:-760c	Membership
http://www.semwebtech.org/mondial/10/estuary/Breg/	Estuary
http://www.semwebtech.org/mondial/10/organization/BSEC/	Organization
3441d4f:1508ad6f828:6b72	Membership
http://www.semwebtech.org/mondial/10/organization/EAPC/	Organization
3441d4f:1508ad6f828:7349	Membership
3441d4f:1508ad97479:-7c3e	Membership
3441d4f:1508ad6f828:6f06	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	City
3441d4f:1508ad97479:-786c	Membership
3441d4f:1508ad97479:-6df9	SpokenBy
3441d4f:1508ad97479:-7e9e	Membership
3441d4f:1508ad97479:-6d55	SpokenBy
3441d4f:1508ad97479:-7198	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	City
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/	Province
3441d4f:1508ad6f828:7ffb	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	City
3441d4f:1508ad6f828:72f5	Membership
3441d4f:1508ad97479:-7bea	Membership
3441d4f:1508ad6f828:6eb2	Membership
3441d4f:1508ad97479:-6aa1	EthnicProportion
3441d4f:1508ad6f828:7251	Membership
http://www.semwebtech.org/mondial/10/mountain/Damavand/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/organization/ADB/	Organization
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/	Province
3441d4f:1508ad6f828:7c17	Membership
3441d4f:1508ad6f828:78e9	Membership
http://www.semwebtech.org/mondial/10/island/Trinidad/	Island
3441d4f:1508ad97479:-74d8	Membership
3441d4f:1508ad6f828:7845	Membership
3441d4f:1508ad97479:-7434	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	City
3441d4f:1508ad6f828:7e77	Membership
3441d4f:1508ad97479:-7a66	Membership
3441d4f:1508ad6f828:69df	Border
3441d4f:1508ad6f828:6d0d	Membership
3441d4f:1508ad6f828:7bc3	Membership
3441d4f:1508ad97479:-7694	Membership
3441d4f:1508ad6f828:693b	Encompassed
3441d4f:1508ad6f828:77f1	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	City
3441d4f:1508ad97479:-73e0	Membership
3441d4f:1508ad6f828:6f6d	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	City
3441d4f:1508ad97479:-6b5c	BelievedBy
3441d4f:1508ad6f828:70fc	Membership
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	City
3441d4f:1508ad97479:-7da6	Membership
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	City
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	City
3441d4f:1508ad97479:-79d4	Membership
3441d4f:1508ad97479:-7d02	Membership
3441d4f:1508ad6f828:7a1e	Membership
3441d4f:1508ad97479:-7930	Membership
3441d4f:1508ad97479:-72df	Membership
3441d4f:1508ad6f828:764c	Membership
3441d4f:1508ad97479:-7f62	Membership
3441d4f:1508ad97479:-723b	Membership
3441d4f:1508ad6f828:6bd9	Membership
3441d4f:1508ad6f828:7c7e	Membership
3441d4f:1508ad6f828:6b35	Membership
3441d4f:1508ad97479:-749b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	City
3441d4f:1508ad97479:-782f	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	City
3441d4f:1508ad6f828:6d95	Membership
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	Estuary
3441d4f:1508ad6f828:6ae1	Membership
3441d4f:1508ad6f828:7fbe	Membership
3441d4f:1508ad97479:-6d18	BelievedBy
3441d4f:1508ad6f828:72b8	Membership
3441d4f:1508ad97479:-7bad	Membership
3441d4f:1508ad6f828:7f1a	Membership
3441d4f:1508ad6f828:7214	Membership
3441d4f:1508ad97479:-77db	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	City
3441d4f:1508ad97479:-6f78	Membership
3441d4f:1508ad97479:-6cc4	BelievedBy
3441d4f:1508ad6f828:7474	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	City
3441d4f:1508ad97479:-7063	Membership
3441d4f:1508ad97479:-6c20	BelievedBy
3441d4f:1508ad6f828:7808	Membership
3441d4f:1508ad6f828:71c0	Membership
http://www.semwebtech.org/mondial/10/island/Skye/	Island
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	City
3441d4f:1508ad97479:-7a29	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	City
3441d4f:1508ad97479:-6e80	Membership
3441d4f:1508ad97479:-68c9	EthnicProportion
3441d4f:1508ad97479:-7657	Membership
3441d4f:1508ad6f828:6b9c	Membership
3441d4f:1508ad6f828:77b4	Membership
3441d4f:1508ad97479:-7c89	Membership
3441d4f:1508ad97479:-73a3	Membership
3441d4f:1508ad97479:-6b1f	BelievedBy
3441d4f:1508ad6f828:7de6	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	City
3441d4f:1508ad6f828:7710	Membership
3441d4f:1508ad6f828:70bf	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	City
3441d4f:1508ad6f828:7d42	Membership
3441d4f:1508ad6f828:701b	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	City
3441d4f:1508ad6f828:68aa	Encompassed
3441d4f:1508ad97479:-6d7f	SpokenBy
3441d4f:1508ad6f828:7970	Membership
3441d4f:1508ad6f828:6edc	Membership
3441d4f:1508ad97479:-6acb	EthnicProportion
3441d4f:1508ad97479:-7b91	Membership
3441d4f:1508ad97479:-7fc9	Membership
3441d4f:1508ad6f828:727b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	City
http://www.semwebtech.org/mondial/10/island/Rugen/	Island
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	City
3441d4f:1508ad6f828:760f	Membership
3441d4f:1508ad97479:-7f25	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	City
3441d4f:1508ad6f828:786f	Membership
3441d4f:1508ad97479:-745e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	City
3441d4f:1508ad6f828:75bb	Membership
3441d4f:1508ad97479:-7ed1	Membership
3441d4f:1508ad97479:-71aa	Membership
http://www.semwebtech.org/mondial/10/religion/Baptist/	Religion
3441d4f:1508ad6f828:6d58	Membership
3441d4f:1508ad6f828:7bed	Membership
http://www.semwebtech.org/mondial/10/organization/ECOWAS/	Organization
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	City
3441d4f:1508ad6f828:6986	Border
3441d4f:1508ad6f828:6aa4	Border
http://www.semwebtech.org/mondial/10/country/EAT/	Country
3441d4f:1508ad6f828:6a00	Border
http://www.semwebtech.org/mondial/10/source/Jangtse/	Source
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	City
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	City
3441d4f:1508ad6f828:6c60	Membership
3441d4f:1508ad97479:-79fe	Membership
3441d4f:1508ad6f828:7437	Membership
3441d4f:1508ad97479:-7d2c	Membership
3441d4f:1508ad97479:-7026	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	Province
3441d4f:1508ad6f828:7a69	Membership
3441d4f:1508ad97479:-795a	Membership
http://www.semwebtech.org/mondial/10/country/MOC/	Country
http://www.semwebtech.org/mondial/10/source/Ischim/	Source
3441d4f:1508ad97479:-6ee7	Membership
3441d4f:1508ad6f828:7697	Membership
3441d4f:1508ad97479:-7f8c	Membership
3441d4f:1508ad97479:-7286	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/	Province
3441d4f:1508ad97479:-6e43	SpokenBy
3441d4f:1508ad6f828:73e3	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/	Province
3441d4f:1508ad6f828:6fa0	Membership
3441d4f:1508ad6f828:6b5f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	City
3441d4f:1508ad6f828:7da9	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	City
http://www.semwebtech.org/mondial/10/river/Kasai/	River
3441d4f:1508ad6f828:7d05	Membership
3441d4f:1508ad6f828:79d7	Membership
http://www.semwebtech.org/mondial/10/islands/NewCaledonia/	Islands
3441d4f:1508ad97479:-75c6	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/	Province
http://www.semwebtech.org/mondial/10/river/Drina/	River
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	City
3441d4f:1508ad6f828:7933	Membership
3441d4f:1508ad97479:-7bf8	Membership
3441d4f:1508ad97479:-7522	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoLoum/	EthnicGroup
3441d4f:1508ad6f828:7f65	Membership
3441d4f:1508ad6f828:723e	Membership
3441d4f:1508ad97479:-7b54	Membership
3441d4f:1508ad6f828:7cb1	Membership
http://www.semwebtech.org/mondial/10/island/Ponape/	Island
3441d4f:1508ad97479:-69f4	EthnicProportion
3441d4f:1508ad97479:-7782	Membership
3441d4f:1508ad97479:-6cee	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	City
3441d4f:1508ad6f828:749e	Membership
3441d4f:1508ad97479:-6950	EthnicProportion
3441d4f:1508ad97479:-708d	Membership
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-6c4a	BelievedBy
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	City
3441d4f:1508ad6f828:71ea	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	City
3441d4f:1508ad6f828:6949	Encompassed
3441d4f:1508ad6f828:7b0c	Membership
3441d4f:1508ad6f828:77de	Membership
3441d4f:1508ad97479:-73cd	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	City
3441d4f:1508ad6f828:773a	Membership
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	City
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	City
3441d4f:1508ad6f828:6cc7	Membership
3441d4f:1508ad6f828:7d6c	Membership
3441d4f:1508ad6f828:7066	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/	Province
3441d4f:1508ad6f828:68f5	Encompassed
3441d4f:1508ad6f828:6c23	Membership
3441d4f:1508ad6f828:799a	Membership
http://www.semwebtech.org/mondial/10/religion/ChurchofGod/	Religion
http://www.semwebtech.org/mondial/10/language/Brahui/	Language
3441d4f:1508ad97479:-791d	Membership
3441d4f:1508ad6f828:6e83	Membership
3441d4f:1508ad97479:-6a72	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/	Province
3441d4f:1508ad97479:-7f4f	Membership
3441d4f:1508ad97479:-7249	Membership
3441d4f:1508ad97479:-6e06	SpokenBy
3441d4f:1508ad6f828:73a6	Membership
3441d4f:1508ad6f828:74d1	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	City
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/	Province
3441d4f:1508ad6f828:7302	Membership
3441d4f:1508ad97479:-7efb	Membership
3441d4f:1508ad97479:-71f5	Membership
3441d4f:1508ad97479:-6db2	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	City
3441d4f:1508ad6f828:7562	Membership
3441d4f:1508ad97479:-7151	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	City
http://www.semwebtech.org/mondial/10/estuary/Schari/	Estuary
3441d4f:1508ad6f828:6ace	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/	Province
3441d4f:1508ad6f828:7b94	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	City
3441d4f:1508ad6f828:6a2a	Border
3441d4f:1508ad6f828:7f28	Membership
3441d4f:1508ad97479:-77e9	Membership
3441d4f:1508ad97479:-7b17	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/	Province
3441d4f:1508ad97479:-69b7	EthnicProportion
3441d4f:1508ad97479:-7745	Membership
http://www.semwebtech.org/mondial/10/islands/ScillyIslands/	Islands
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	City
3441d4f:1508ad6f828:6c8a	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	City
3441d4f:1508ad6f828:78a2	Membership
3441d4f:1508ad97479:-7d77	Membership
3441d4f:1508ad97479:-6913	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Lefkas/	Island
3441d4f:1508ad6f828:7ed4	Membership
3441d4f:1508ad97479:-6c0d	BelievedBy
3441d4f:1508ad6f828:71ad	Membership
3441d4f:1508ad97479:-7ac3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/	Province
3441d4f:1508ad6f828:7e30	Membership
3441d4f:1508ad97479:-76f1	Membership
3441d4f:1508ad97479:-6e6d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	City
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	City
3441d4f:1508ad6f828:6fca	Membership
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	Lake
http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/	Mountains
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/	Province
3441d4f:1508ad6f828:7d2f	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	City
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/	Province
3441d4f:1508ad6f828:7029	Membership
3441d4f:1508ad6f828:68b8	Encompassed
3441d4f:1508ad6f828:795d	Membership
3441d4f:1508ad97479:-754c	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	City
3441d4f:1508ad6f828:7f8f	Membership
3441d4f:1508ad97479:-6ad9	EthnicProportion
3441d4f:1508ad6f828:7289	Membership
3441d4f:1508ad97479:-7b7e	Membership
3441d4f:1508ad6f828:6e46	Membership
3441d4f:1508ad97479:-6a35	EthnicProportion
3441d4f:1508ad6f828:7cdb	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/	Province
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/	Province
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	City
3441d4f:1508ad97479:-697a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RB/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	City
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	City
http://www.semwebtech.org/mondial/10/source/Fimi/	Source
3441d4f:1508ad97479:-6c95	BelievedBy
http://www.semwebtech.org/mondial/10/organization/Entente/	Organization
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	City
http://www.semwebtech.org/mondial/10/religion/Hindu/	Religion
3441d4f:1508ad6f828:6df2	Membership
3441d4f:1508ad97479:-7ebe	Membership
3441d4f:1508ad6f828:75c9	Membership
3441d4f:1508ad6f828:7191	Membership
3441d4f:1508ad97479:-71b8	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Nauruan/	EthnicGroup
3441d4f:1508ad6f828:7525	Membership
3441d4f:1508ad97479:-7e1a	Membership
3441d4f:1508ad97479:-7114	Membership
http://www.semwebtech.org/mondial/10/island/Palawan/	Island
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	City
3441d4f:1508ad6f828:7b57	Membership
http://www.semwebtech.org/mondial/10/country/VN/	Country
http://www.semwebtech.org/mondial/10/river/Saone/	River
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	City
3441d4f:1508ad97479:-6fd5	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	City
3441d4f:1508ad6f828:7785	Membership
3441d4f:1508ad97479:-7374	Membership
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	Mountain
3441d4f:1508ad97479:-6f31	Membership
3441d4f:1508ad97479:-7708	Membership
3441d4f:1508ad97479:-70c0	Membership
3441d4f:1508ad6f828:6c4d	Membership
3441d4f:1508ad97479:-7968	Membership
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	Mountain
3441d4f:1508ad97479:-6a9c	EthnicProportion
3441d4f:1508ad97479:-76b4	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/	Province
3441d4f:1508ad97479:-7ce6	Membership
3441d4f:1508ad97479:-7610	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	City
3441d4f:1508ad6f828:732c	Membership
3441d4f:1508ad97479:-7c42	Membership
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	City
http://www.semwebtech.org/mondial/10/island/Kavaratti/	Island
3441d4f:1508ad97479:-7870	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	City
http://www.semwebtech.org/mondial/10/country/ANG/	Country
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/	Province
3441d4f:1508ad97479:-6ddc	SpokenBy
3441d4f:1508ad6f828:758c	Membership
3441d4f:1508ad97479:-717b	Membership
http://www.semwebtech.org/mondial/10/desert/Talak/	Desert
3441d4f:1508ad97479:-750f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	City
3441d4f:1508ad6f828:6a75	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	City
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	City
3441d4f:1508ad6f828:6e09	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	City
3441d4f:1508ad97479:-776f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	City
3441d4f:1508ad6f828:78cc	Membership
3441d4f:1508ad97479:-693d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/G/	Country
3441d4f:1508ad97479:-74bb	Membership
3441d4f:1508ad97479:-6c58	BelievedBy
3441d4f:1508ad6f828:7efe	Membership
http://www.semwebtech.org/mondial/10/lake/LakeVan/	Lake
3441d4f:1508ad6f828:71f8	Membership
3441d4f:1508ad97479:-7aed	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/	Province
3441d4f:1508ad6f828:6db5	Membership
3441d4f:1508ad6f828:7e5a	Membership
3441d4f:1508ad6f828:7154	Membership
3441d4f:1508ad6f828:69e3	Border
3441d4f:1508ad6f828:6d11	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/	Province
http://www.semwebtech.org/mondial/10/lake/Maelaren/	Lake
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/	Province
3441d4f:1508ad97479:-6b60	BelievedBy
3441d4f:1508ad6f828:6f71	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/	Province
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	City
3441d4f:1508ad6f828:7748	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Alemannic/	EthnicGroup
3441d4f:1508ad97479:-7337	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	City
http://www.semwebtech.org/mondial/10/sea/Kattegat/	Sea
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	Source
3441d4f:1508ad6f828:7ac6	Membership
3441d4f:1508ad97479:-7597	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	City
3441d4f:1508ad6f828:7a22	Membership
3441d4f:1508ad6f828:76f4	Membership
3441d4f:1508ad97479:-72e3	Membership
3441d4f:1508ad97479:-6a5f	EthnicProportion
3441d4f:1508ad97479:-6ea0	Membership
3441d4f:1508ad6f828:7650	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	City
3441d4f:1508ad6f828:6bbc	Membership
3441d4f:1508ad6f828:7c82	Membership
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	River
3441d4f:1508ad97479:-7ca9	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	City
3441d4f:1508ad97479:-78d7	Membership
3441d4f:1508ad97479:-7c05	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	City
3441d4f:1508ad97479:-7833	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nara/	Province
3441d4f:1508ad6f828:754f	Membership
3441d4f:1508ad97479:-7e65	Membership
3441d4f:1508ad97479:-713e	Membership
3441d4f:1508ad6f828:7fc2	Membership
3441d4f:1508ad97479:-7bb1	Membership
3441d4f:1508ad6f828:6a38	Border
3441d4f:1508ad97479:-6fff	Membership
http://www.semwebtech.org/mondial/10/source/Alz/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	City
3441d4f:1508ad97479:-739e	Membership
3441d4f:1508ad97479:-6f5b	Membership
3441d4f:1508ad6f828:74fb	Membership
3441d4f:1508ad97479:-70ea	Membership
3441d4f:1508ad6f828:6c98	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	City
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	City
http://www.semwebtech.org/mondial/10/language/English/	Language
3441d4f:1508ad6f828:7e1d	Membership
3441d4f:1508ad97479:-76de	Membership
3441d4f:1508ad6f828:7117	Membership
3441d4f:1508ad97479:-7a0c	Membership
3441d4f:1508ad6f828:69a6	Border
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	City
3441d4f:1508ad97479:-68ac	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	Estuary
3441d4f:1508ad97479:-763a	Membership
3441d4f:1508ad6f828:6fd8	Membership
3441d4f:1508ad6f828:6902	Encompassed
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	City
3441d4f:1508ad97479:-6bc7	BelievedBy
3441d4f:1508ad6f828:7377	Membership
3441d4f:1508ad97479:-7c6c	Membership
3441d4f:1508ad6f828:6f34	Membership
3441d4f:1508ad97479:-6b23	BelievedBy
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/	Province
3441d4f:1508ad6f828:70c3	Membership
3441d4f:1508ad97479:-789a	Membership
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	Island
http://www.semwebtech.org/mondial/10/country/MNG/	Country
http://www.semwebtech.org/mondial/10/lake/Bodensee/	Lake
3441d4f:1508ad97479:-6d83	SpokenBy
3441d4f:1508ad6f828:6ee0	Membership
3441d4f:1508ad6f828:6a9f	Border
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	City
3441d4f:1508ad97479:-7fac	Membership
3441d4f:1508ad6f828:76b7	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	City
http://www.semwebtech.org/mondial/10/estuary/Inn/	Estuary
3441d4f:1508ad97479:-72a6	Membership
3441d4f:1508ad6f828:7ce9	Membership
3441d4f:1508ad6f828:7613	Membership
3441d4f:1508ad97479:-7202	Membership
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	River
3441d4f:1508ad6f828:7c45	Membership
http://www.semwebtech.org/mondial/10/source/Limpopo/	Source
3441d4f:1508ad97479:-6988	EthnicProportion
3441d4f:1508ad6f828:7873	Membership
3441d4f:1508ad97479:-7462	Membership
3441d4f:1508ad6f828:6ddf	Membership
3441d4f:1508ad6f828:717e	Membership
3441d4f:1508ad97479:-7a94	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	City
3441d4f:1508ad6f828:6d3b	Membership
3441d4f:1508ad6f828:7bf1	Membership
3441d4f:1508ad97479:-7e28	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	City
3441d4f:1508ad6f828:6f9b	Membership
3441d4f:1508ad97479:-6b8a	BelievedBy
3441d4f:1508ad97479:-77a2	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Dutch/	EthnicGroup
3441d4f:1508ad97479:-6f1e	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	City
3441d4f:1508ad6f828:74be	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/	Province
3441d4f:1508ad97479:-7dd4	Membership
3441d4f:1508ad97479:-70ad	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	City
3441d4f:1508ad6f828:741a	Membership
3441d4f:1508ad97479:-7d30	Membership
3441d4f:1508ad6f828:6889	Encompassed
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	City
3441d4f:1508ad6f828:7a4c	Membership
http://www.semwebtech.org/mondial/10/language/Slovene/	Language
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	City
3441d4f:1508ad97479:-6eca	Membership
3441d4f:1508ad6f828:767a	Membership
3441d4f:1508ad97479:-7f90	Membership
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	City
http://www.semwebtech.org/mondial/10/mountain/Schchara/	Mountain
3441d4f:1508ad6f828:6b63	Membership
http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	Islands
3441d4f:1508ad97479:-7c2f	Membership
http://www.semwebtech.org/mondial/10/estuary/Lomami/	Estuary
3441d4f:1508ad97479:-785d	Membership
3441d4f:1508ad6f828:79ba	Membership
3441d4f:1508ad97479:-7e8f	Membership
3441d4f:1508ad97479:-7189	Membership
http://www.semwebtech.org/mondial/10/language/Arabic/	Language
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	City
3441d4f:1508ad6f828:7fec	Membership
3441d4f:1508ad97479:-6d46	SpokenBy
3441d4f:1508ad6f828:72e6	Membership
3441d4f:1508ad97479:-7bdb	Membership
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	Mountain
3441d4f:1508ad6f828:6ea3	Membership
http://www.semwebtech.org/mondial/10/river/Arkansas/	River
http://www.semwebtech.org/mondial/10/mountains/AleutianRange/	Mountains
3441d4f:1508ad6f828:7242	Membership
http://www.semwebtech.org/mondial/10/religion/ArmenianApostolic/	Religion
http://www.semwebtech.org/mondial/10/organization/BA/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	City
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	City
3441d4f:1508ad97479:-6cf2	BelievedBy
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	River
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/	Province
3441d4f:1508ad6f828:7c08	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	City
3441d4f:1508ad97479:-74c9	Membership
3441d4f:1508ad97479:-7091	Membership
http://www.semwebtech.org/mondial/10/country/AZ/	Country
3441d4f:1508ad6f828:7836	Membership
3441d4f:1508ad97479:-7425	Membership
3441d4f:1508ad6f828:7e68	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/	Province
3441d4f:1508ad97479:-7a57	Membership
3441d4f:1508ad97479:-68f7	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/	Province
3441d4f:1508ad6f828:7bb4	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	City
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	City
3441d4f:1508ad97479:-7685	Membership
3441d4f:1508ad6f828:692c	Encompassed
3441d4f:1508ad6f828:7b10	Membership
3441d4f:1508ad6f828:77e2	Membership
3441d4f:1508ad97479:-73d1	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	City
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	City
3441d4f:1508ad6f828:6f5e	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	City
3441d4f:1508ad97479:-6b4d	BelievedBy
3441d4f:1508ad6f828:70ed	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/	Province
3441d4f:1508ad6f828:6caa	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	City
3441d4f:1508ad6f828:7d70	Membership
http://www.semwebtech.org/mondial/10/island/Reunion/	Island
3441d4f:1508ad97479:-79c5	Membership
http://www.semwebtech.org/mondial/10/mountain/Illampu/	Mountain
3441d4f:1508ad6f828:7a0f	Membership
3441d4f:1508ad97479:-7ff7	Membership
3441d4f:1508ad97479:-7921	Membership
3441d4f:1508ad6f828:763d	Membership
3441d4f:1508ad97479:-7f53	Membership
3441d4f:1508ad97479:-722c	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	City
3441d4f:1508ad6f828:7c6f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	City
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	Lake
http://www.semwebtech.org/mondial/10/estuary/Bartang/	Estuary
3441d4f:1508ad6f828:6b26	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	City
3441d4f:1508ad6f828:789d	Membership
3441d4f:1508ad97479:-748c	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/	Province
3441d4f:1508ad6f828:6d86	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	City
3441d4f:1508ad97479:-6d09	BelievedBy
3441d4f:1508ad6f828:6ad2	Membership
3441d4f:1508ad6f828:7faf	Membership
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	Lake
3441d4f:1508ad6f828:72a9	Membership
3441d4f:1508ad97479:-77cc	Membership
3441d4f:1508ad6f828:7f0b	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	Province
3441d4f:1508ad6f828:7205	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	City
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	City
3441d4f:1508ad97479:-6f69	Membership
3441d4f:1508ad97479:-7dfe	Membership
3441d4f:1508ad97479:-70f8	Membership
3441d4f:1508ad97479:-6cb5	BelievedBy
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	City
3441d4f:1508ad6f828:7465	Membership
3441d4f:1508ad97479:-7d5a	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	City
3441d4f:1508ad97479:-7054	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/	Province
3441d4f:1508ad97479:-6c11	BelievedBy
3441d4f:1508ad6f828:7a97	Membership
3441d4f:1508ad6f828:71b1	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	City
3441d4f:1508ad6f828:7864	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	City
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	Lake
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	City
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	Desert
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	City
3441d4f:1508ad97479:-6e71	Membership
3441d4f:1508ad97479:-7648	Membership
3441d4f:1508ad6f828:6b8d	Membership
3441d4f:1508ad6f828:77a5	Membership
3441d4f:1508ad6f828:7dd7	Membership
3441d4f:1508ad6f828:7701	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	City
http://www.semwebtech.org/mondial/10/island/Fongafale/	Island
3441d4f:1508ad6f828:7d33	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/	Province
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	City
3441d4f:1508ad6f828:700c	Membership
3441d4f:1508ad97479:-75f4	Membership
http://www.semwebtech.org/mondial/10/religion/Catholic/	Religion
3441d4f:1508ad6f828:7961	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	City
3441d4f:1508ad97479:-7550	Membership
3441d4f:1508ad6f828:6ecd	Membership
3441d4f:1508ad6f828:7f93	Membership
3441d4f:1508ad97479:-6abc	EthnicProportion
3441d4f:1508ad6f828:726c	Membership
3441d4f:1508ad97479:-7b82	Membership
http://www.semwebtech.org/mondial/10/island/SaintThomas/	Island
3441d4f:1508ad97479:-7f16	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/	Province
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	Estuary
3441d4f:1508ad97479:-744f	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	City
3441d4f:1508ad6f828:75ac	Membership
3441d4f:1508ad97479:-7ec2	Membership
3441d4f:1508ad6f828:6d49	Membership
3441d4f:1508ad6f828:7bde	Membership
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	Desert
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/	Province
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/	Province
3441d4f:1508ad6f828:6977	Encompassed
3441d4f:1508ad6f828:7b3a	Membership
3441d4f:1508ad97479:-73fb	Membership
3441d4f:1508ad97479:-6b98	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	Mountain
3441d4f:1508ad6f828:6cf5	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	City
3441d4f:1508ad6f828:7d9a	Membership
3441d4f:1508ad6f828:7094	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/	Province
3441d4f:1508ad6f828:6c51	Membership
3441d4f:1508ad97479:-79ef	Membership
3441d4f:1508ad6f828:7428	Membership
3441d4f:1508ad97479:-7d1d	Membership
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	Island
3441d4f:1508ad97479:-7017	Membership
3441d4f:1508ad97479:-794b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	City
3441d4f:1508ad97479:-6ed8	Membership
3441d4f:1508ad97479:-7f7d	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	City
3441d4f:1508ad6f828:7688	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	City
3441d4f:1508ad97479:-7277	Membership
3441d4f:1508ad97479:-6e34	SpokenBy
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	City
3441d4f:1508ad6f828:73d4	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	City
3441d4f:1508ad6f828:7330	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Halland/	Province
3441d4f:1508ad97479:-6de0	SpokenBy
http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	City
3441d4f:1508ad6f828:79c8	Membership
3441d4f:1508ad6f828:7590	Membership
3441d4f:1508ad97479:-75b7	Membership
3441d4f:1508ad6f828:6afc	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/	Province
3441d4f:1508ad6f828:7924	Membership
3441d4f:1508ad97479:-7be9	Membership
3441d4f:1508ad97479:-7513	Membership
3441d4f:1508ad6f828:7f56	Membership
3441d4f:1508ad6f828:722f	Membership
3441d4f:1508ad97479:-7b45	Membership
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	City
http://www.semwebtech.org/mondial/10/river/Schari/	River
3441d4f:1508ad6f828:7ca2	Membership
3441d4f:1508ad97479:-69e5	EthnicProportion
3441d4f:1508ad97479:-7773	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	Province
3441d4f:1508ad97479:-6941	EthnicProportion
3441d4f:1508ad97479:-7453	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	City
3441d4f:1508ad97479:-6cdf	BelievedBy
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	City
3441d4f:1508ad6f828:78d0	Membership
3441d4f:1508ad6f828:748f	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	Province
http://www.semwebtech.org/mondial/10/mountain/Etna/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-707e	Membership
3441d4f:1508ad97479:-6c3b	BelievedBy
3441d4f:1508ad97479:-7af1	Membership
3441d4f:1508ad6f828:71db	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	City
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	City
http://www.semwebtech.org/mondial/10/source/SchattalArab/	Source
3441d4f:1508ad97479:-6e9b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	City
3441d4f:1508ad6f828:77cf	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	City
3441d4f:1508ad97479:-73be	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/	Province
3441d4f:1508ad6f828:772b	Membership
3441d4f:1508ad97479:-731a	Membership
3441d4f:1508ad6f828:6cb8	Membership
3441d4f:1508ad6f828:7d5d	Membership
3441d4f:1508ad6f828:7057	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	City
3441d4f:1508ad6f828:68e6	Encompassed
3441d4f:1508ad6f828:6c14	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	City
3441d4f:1508ad6f828:798b	Membership
http://www.semwebtech.org/mondial/10/estuary/Volga/	Estuary
3441d4f:1508ad97479:-757a	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/	Province
3441d4f:1508ad97479:-790e	Membership
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	City
3441d4f:1508ad6f828:6e74	Membership
3441d4f:1508ad97479:-6a63	EthnicProportion
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	City
3441d4f:1508ad6f828:6bc0	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/	Province
3441d4f:1508ad97479:-78ba	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	City
http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/	Mountains
3441d4f:1508ad97479:-7eec	Membership
3441d4f:1508ad6f828:75f7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	City
3441d4f:1508ad97479:-71e6	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	City
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/	Province
3441d4f:1508ad97479:-6da3	SpokenBy
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	Source
3441d4f:1508ad6f828:7553	Membership
3441d4f:1508ad97479:-7142	Membership
3441d4f:1508ad6f828:6abf	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	City
3441d4f:1508ad6f828:7b85	Membership
3441d4f:1508ad6f828:6a1b	Border
3441d4f:1508ad6f828:7f19	Membership
3441d4f:1508ad97479:-7b08	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	City
3441d4f:1508ad97479:-69a8	EthnicProportion
3441d4f:1508ad97479:-7736	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/	Province
3441d4f:1508ad6f828:6c7b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	City
3441d4f:1508ad97479:-7d68	Membership
3441d4f:1508ad97479:-6904	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	City
3441d4f:1508ad6f828:7ec5	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/	Province
3441d4f:1508ad97479:-7996	Membership
3441d4f:1508ad97479:-7ab4	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/	Province
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/	Province
3441d4f:1508ad6f828:7e21	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	City
3441d4f:1508ad97479:-76e2	Membership
3441d4f:1508ad97479:-7a10	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	City
3441d4f:1508ad97479:-6e5e	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	City
3441d4f:1508ad6f828:73fe	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Scandinavian/	EthnicGroup
3441d4f:1508ad97479:-68b0	EthnicProportion
3441d4f:1508ad6f828:6fbb	Membership
3441d4f:1508ad97479:-6baa	BelievedBy
3441d4f:1508ad6f828:735a	Membership
3441d4f:1508ad97479:-7c70	Membership
http://www.semwebtech.org/mondial/10/religion/CaoDai/	Religion
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	City
3441d4f:1508ad6f828:68a9	Encompassed
3441d4f:1508ad6f828:794e	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	City
3441d4f:1508ad97479:-753d	Membership
3441d4f:1508ad97479:-7fb0	Membership
3441d4f:1508ad97479:-7b6f	Membership
3441d4f:1508ad6f828:6e37	Membership
3441d4f:1508ad6f828:7ccc	Membership
3441d4f:1508ad97479:-6a26	EthnicProportion
3441d4f:1508ad97479:-779d	Membership
http://www.semwebtech.org/mondial/10/lake/LakePowell/	Lake
3441d4f:1508ad6f828:78fa	Membership
3441d4f:1508ad97479:-696b	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Umeaelv/	Source
3441d4f:1508ad97479:-6c86	BelievedBy
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/	Province
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	City
3441d4f:1508ad6f828:6de3	Membership
3441d4f:1508ad97479:-7eaf	Membership
3441d4f:1508ad6f828:7182	Membership
3441d4f:1508ad97479:-71a9	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/	Province
3441d4f:1508ad6f828:7516	Membership
3441d4f:1508ad97479:-7e0b	Membership
http://www.semwebtech.org/mondial/10/river/Manicouagan/	River
3441d4f:1508ad97479:-7105	Membership
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	Source
3441d4f:1508ad6f828:7b48	Membership
http://www.semwebtech.org/mondial/10/lake/Arresoe/	Lake
3441d4f:1508ad97479:-6fc6	Membership
3441d4f:1508ad6f828:7776	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	EthnicGroup
3441d4f:1508ad97479:-7365	Membership
3441d4f:1508ad97479:-6f22	Membership
3441d4f:1508ad6f828:74c2	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/	Province
3441d4f:1508ad97479:-70b1	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/	Province
3441d4f:1508ad6f828:6c3e	Membership
3441d4f:1508ad6f828:7af4	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	City
3441d4f:1508ad6f828:7a50	Membership
3441d4f:1508ad97479:-7959	Membership
3441d4f:1508ad6f828:6e9e	Membership
3441d4f:1508ad97479:-6a8d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	City
3441d4f:1508ad97479:-76a5	Membership
3441d4f:1508ad6f828:6bea	Membership
3441d4f:1508ad97479:-7601	Membership
3441d4f:1508ad97479:-7cd7	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/	Province
http://www.semwebtech.org/mondial/10/country/GQ/	Country
http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	Islands
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	City
http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Mountains
3441d4f:1508ad6f828:731d	Membership
3441d4f:1508ad97479:-7c33	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	City
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	City
3441d4f:1508ad97479:-7861	Membership
3441d4f:1508ad97479:-6dcd	SpokenBy
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	City
3441d4f:1508ad6f828:757d	Membership
3441d4f:1508ad97479:-7e93	Membership
3441d4f:1508ad97479:-716c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	City
3441d4f:1508ad6f828:7ff0	Membership
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	City
3441d4f:1508ad6f828:6a66	Border
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	City
http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/	Province
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	City
3441d4f:1508ad6f828:78bd	Membership
3441d4f:1508ad97479:-692e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	City
3441d4f:1508ad97479:-74ac	Membership
3441d4f:1508ad97479:-6c49	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Mountains
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7eef	Membership
3441d4f:1508ad97479:-7ade	Membership
3441d4f:1508ad6f828:71e9	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	City
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	River
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	City
3441d4f:1508ad6f828:6da6	Membership
3441d4f:1508ad97479:-7a3a	Membership
3441d4f:1508ad6f828:7e4b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	City
3441d4f:1508ad6f828:7145	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	City
3441d4f:1508ad6f828:69d4	Border
3441d4f:1508ad6f828:6d02	Membership
3441d4f:1508ad97479:-68da	EthnicProportion
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	City
http://www.semwebtech.org/mondial/10/country/RP/	Country
3441d4f:1508ad6f828:6930	Encompassed
3441d4f:1508ad97479:-6bf5	BelievedBy
3441d4f:1508ad97479:-7c9a	Membership
3441d4f:1508ad6f828:6f62	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bounty/	EthnicGroup
3441d4f:1508ad97479:-6b51	BelievedBy
3441d4f:1508ad6f828:7739	Membership
3441d4f:1508ad6f828:70f1	Membership
3441d4f:1508ad97479:-7328	Membership
3441d4f:1508ad6f828:7ab7	Membership
3441d4f:1508ad6f828:7999	Membership
3441d4f:1508ad97479:-7588	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	City
3441d4f:1508ad6f828:7a13	Membership
3441d4f:1508ad6f828:76e5	Membership
3441d4f:1508ad97479:-7fda	Membership
3441d4f:1508ad97479:-72d4	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	City
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	City
3441d4f:1508ad6f828:7641	Membership
3441d4f:1508ad97479:-7230	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	City
3441d4f:1508ad6f828:6bad	Membership
3441d4f:1508ad6f828:7c73	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mboum/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/	Province
http://www.semwebtech.org/mondial/10/island/Bintan/	Island
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	Lake
http://www.semwebtech.org/mondial/10/religion/RomanCatholic/	Religion
3441d4f:1508ad97479:-78c8	Membership
3441d4f:1508ad97479:-7490	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	City
3441d4f:1508ad97479:-7824	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	City
3441d4f:1508ad97479:-7e56	Membership
3441d4f:1508ad97479:-712f	Membership
3441d4f:1508ad6f828:7fb3	Membership
3441d4f:1508ad97479:-7ba2	Membership
http://www.semwebtech.org/mondial/10/country/THA/	Country
3441d4f:1508ad6f828:6a29	Border
http://www.semwebtech.org/mondial/10/country/WAN/	Country
3441d4f:1508ad97479:-77d0	Membership
3441d4f:1508ad97479:-738f	Membership
3441d4f:1508ad97479:-6f4c	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	City
3441d4f:1508ad6f828:74ec	Membership
3441d4f:1508ad97479:-70db	Membership
3441d4f:1508ad6f828:6c89	Membership
http://www.semwebtech.org/mondial/10/source/Benue/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	EthnicGroup
3441d4f:1508ad6f828:7a7a	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/	Province
http://www.semwebtech.org/mondial/10/country/DJI/	Country
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	City
3441d4f:1508ad6f828:7e0e	Membership
3441d4f:1508ad6f828:7108	Membership
3441d4f:1508ad97479:-76cf	Membership
3441d4f:1508ad97479:-762b	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	City
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/	Province
3441d4f:1508ad6f828:6fc9	Membership
3441d4f:1508ad6f828:6b91	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/	Province
3441d4f:1508ad97479:-6bb8	BelievedBy
3441d4f:1508ad6f828:7368	Membership
3441d4f:1508ad97479:-7c5d	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	City
3441d4f:1508ad6f828:6f25	Membership
3441d4f:1508ad6f828:7dba	Membership
3441d4f:1508ad97479:-6b14	EthnicProportion
3441d4f:1508ad6f828:70b4	Membership
3441d4f:1508ad97479:-788b	Membership
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/	Mountain
http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	City
3441d4f:1508ad6f828:7010	Membership
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	City
3441d4f:1508ad97479:-6d74	SpokenBy
3441d4f:1508ad6f828:6ed1	Membership
3441d4f:1508ad97479:-6ac0	EthnicProportion
3441d4f:1508ad6f828:76a8	Membership
3441d4f:1508ad6f828:7270	Membership
3441d4f:1508ad6f828:7604	Membership
http://www.semwebtech.org/mondial/10/source/Marne/	Source
3441d4f:1508ad6f828:7c36	Membership
3441d4f:1508ad97479:-6979	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	City
3441d4f:1508ad97479:-74f7	Membership
3441d4f:1508ad97479:-7a85	Membership
3441d4f:1508ad6f828:7e96	Membership
3441d4f:1508ad6f828:75b0	Membership
3441d4f:1508ad6f828:716f	Membership
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	City
3441d4f:1508ad6f828:69fe	Border
http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/	Province
3441d4f:1508ad6f828:6d2c	Membership
3441d4f:1508ad6f828:7be2	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/	Province
3441d4f:1508ad97479:-7e19	Membership
3441d4f:1508ad6f828:695a	Encompassed
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/	Province
http://www.semwebtech.org/mondial/10/mountain/Tambora/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:6f8c	Membership
3441d4f:1508ad97479:-6b7b	BelievedBy
http://www.semwebtech.org/mondial/10/language/Punjabi/	Language
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/	Province
3441d4f:1508ad97479:-6f0f	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/	Province
3441d4f:1508ad6f828:74af	Membership
3441d4f:1508ad97479:-7dc5	Membership
http://www.semwebtech.org/mondial/10/river/Doubs/	River
3441d4f:1508ad97479:-79f3	Membership
3441d4f:1508ad6f828:740b	Membership
3441d4f:1508ad97479:-7d21	Membership
3441d4f:1508ad6f828:7a3d	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/	Province
http://www.semwebtech.org/mondial/10/island/Samosir/	Island
3441d4f:1508ad97479:-6ebb	Membership
3441d4f:1508ad97479:-72fe	Membership
3441d4f:1508ad97479:-7f81	Membership
http://www.semwebtech.org/mondial/10/country/UAE/	Country
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	City
3441d4f:1508ad6f828:766b	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/	Province
3441d4f:1508ad97479:-725a	Membership
http://www.semwebtech.org/mondial/10/mountains/Karpaten/	Mountains
3441d4f:1508ad6f828:6bf8	Membership
3441d4f:1508ad6f828:7c9d	Membership
3441d4f:1508ad6f828:6b54	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	EthnicGroup
3441d4f:1508ad97479:-784e	Membership
3441d4f:1508ad6f828:79ab	Membership
3441d4f:1508ad6f828:7fdd	Membership
3441d4f:1508ad97479:-6d37	BelievedBy
3441d4f:1508ad6f828:72d7	Membership
3441d4f:1508ad97479:-7bcc	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	City
http://www.semwebtech.org/mondial/10/island/Kiritimati/	Island
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	City
3441d4f:1508ad6f828:7233	Membership
3441d4f:1508ad97479:-77fa	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	City
3441d4f:1508ad97479:-6f97	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	City
3441d4f:1508ad97479:-6ce3	BelievedBy
3441d4f:1508ad6f828:7493	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	City
3441d4f:1508ad97479:-7082	Membership
3441d4f:1508ad6f828:7827	Membership
3441d4f:1508ad97479:-7416	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	City
3441d4f:1508ad6f828:7e59	Membership
http://www.semwebtech.org/mondial/10/organization/OECS/	Organization
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	Lake
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/	Province
3441d4f:1508ad97479:-7a48	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	City
3441d4f:1508ad6f828:7ba5	Membership
3441d4f:1508ad97479:-68e8	EthnicProportion
3441d4f:1508ad97479:-7676	Membership
3441d4f:1508ad6f828:691d	Encompassed
3441d4f:1508ad6f828:7b01	Membership
3441d4f:1508ad6f828:77d3	Membership
http://www.semwebtech.org/mondial/10/island/Ambon/	Island
3441d4f:1508ad97479:-73c2	Membership
3441d4f:1508ad6f828:6f4f	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	City
3441d4f:1508ad97479:-6b3e	BelievedBy
3441d4f:1508ad6f828:70de	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	City
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	Lake
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	City
3441d4f:1508ad6f828:7d61	Membership
3441d4f:1508ad6f828:703a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	City
http://www.semwebtech.org/mondial/10/river/Tiber/	River
3441d4f:1508ad97479:-6d9e	SpokenBy
3441d4f:1508ad97479:-79b6	Membership
3441d4f:1508ad6f828:6efb	Membership
3441d4f:1508ad97479:-6aea	EthnicProportion
3441d4f:1508ad97479:-7fe8	Membership
http://www.semwebtech.org/mondial/10/country/BERM/	Country
3441d4f:1508ad6f828:729a	Membership
3441d4f:1508ad97479:-7912	Membership
3441d4f:1508ad97479:-7f6e	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	City
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	Lake
3441d4f:1508ad97479:-7f44	Membership
3441d4f:1508ad6f828:762e	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	City
3441d4f:1508ad97479:-721d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/	Province
http://www.semwebtech.org/mondial/10/organization/ICAO/	Organization
3441d4f:1508ad6f828:6b17	Membership
3441d4f:1508ad6f828:788e	Membership
3441d4f:1508ad97479:-747d	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	City
3441d4f:1508ad97479:-7ef0	Membership
3441d4f:1508ad6f828:75da	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	City
3441d4f:1508ad6f828:6d77	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/	Province
3441d4f:1508ad6f828:6ac3	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	City
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	City
3441d4f:1508ad97479:-77bd	Membership
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	Island
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	City
http://www.semwebtech.org/mondial/10/river/Mosel/	River
http://www.semwebtech.org/mondial/10/estuary/Lagen/	Estuary
3441d4f:1508ad97479:-7def	Membership
3441d4f:1508ad97479:-70e9	Membership
3441d4f:1508ad97479:-6ca6	BelievedBy
3441d4f:1508ad6f828:7456	Membership
3441d4f:1508ad97479:-7d4b	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	City
3441d4f:1508ad97479:-7045	Membership
3441d4f:1508ad97479:-6c02	BelievedBy
3441d4f:1508ad6f828:7a88	Membership
3441d4f:1508ad6f828:71a2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	City
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	City
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	City
3441d4f:1508ad97479:-6e62	Membership
3441d4f:1508ad97479:-7639	Membership
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	Estuary
http://www.semwebtech.org/mondial/10/country/BI/	Country
3441d4f:1508ad6f828:6b7e	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	City
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	City
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	Mountain
3441d4f:1508ad6f828:7dc8	Membership
3441d4f:1508ad97479:-7899	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	City
3441d4f:1508ad6f828:7d24	Membership
3441d4f:1508ad6f828:79f6	Membership
3441d4f:1508ad97479:-75e5	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/	Province
3441d4f:1508ad6f828:7952	Membership
3441d4f:1508ad97479:-7541	Membership
3441d4f:1508ad6f828:6ebe	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kamba/	EthnicGroup
3441d4f:1508ad6f828:7f84	Membership
3441d4f:1508ad97479:-6aad	EthnicProportion
3441d4f:1508ad6f828:725d	Membership
3441d4f:1508ad97479:-7b73	Membership
3441d4f:1508ad6f828:6e1a	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/	Province
3441d4f:1508ad6f828:7cd0	Membership
3441d4f:1508ad97479:-7f07	Membership
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-7eb3	Membership
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	City
3441d4f:1508ad6f828:7bcf	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Baganda/	EthnicGroup
http://www.semwebtech.org/mondial/10/desert/Ferlo/	Desert
http://www.semwebtech.org/mondial/10/country/MH/	Country
3441d4f:1508ad6f828:7b2b	Membership
3441d4f:1508ad6f828:6968	Encompassed
3441d4f:1508ad6f828:77fd	Membership
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	City
3441d4f:1508ad97479:-73ec	Membership
3441d4f:1508ad97479:-6b89	BelievedBy
http://www.semwebtech.org/mondial/10/river/Ob/	River
3441d4f:1508ad6f828:6ce6	Membership
3441d4f:1508ad6f828:7d8b	Membership
3441d4f:1508ad6f828:7085	Membership
3441d4f:1508ad6f828:6c42	Membership
3441d4f:1508ad6f828:7419	Membership
3441d4f:1508ad97479:-7d0e	Membership
3441d4f:1508ad97479:-7008	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	City
3441d4f:1508ad97479:-793c	Membership
3441d4f:1508ad97479:-6a91	EthnicProportion
3441d4f:1508ad97479:-6ec9	Membership
3441d4f:1508ad6f828:7679	Membership
3441d4f:1508ad97479:-7268	Membership
3441d4f:1508ad97479:-6e25	SpokenBy
3441d4f:1508ad6f828:73c5	Membership
3441d4f:1508ad97479:-7cba	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/	Province
3441d4f:1508ad6f828:7321	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/GilakiMazandarani/	EthnicGroup
3441d4f:1508ad97479:-6dd1	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	Estuary
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	Estuary
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	City
3441d4f:1508ad6f828:79b9	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	City
3441d4f:1508ad6f828:7581	Membership
3441d4f:1508ad97479:-75a8	Membership
3441d4f:1508ad97479:-7170	Membership
3441d4f:1508ad6f828:6aed	Membership
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	Estuary
3441d4f:1508ad6f828:7915	Membership
3441d4f:1508ad97479:-7504	Membership
3441d4f:1508ad6f828:7f47	Membership
3441d4f:1508ad97479:-7b36	Membership
3441d4f:1508ad97479:-69d6	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	Mountain
3441d4f:1508ad97479:-7764	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	City
3441d4f:1508ad6f828:78c1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	City
3441d4f:1508ad97479:-6932	EthnicProportion
3441d4f:1508ad97479:-7d96	Membership
3441d4f:1508ad97479:-74b0	Membership
3441d4f:1508ad97479:-706f	Membership
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	Mountain
3441d4f:1508ad6f828:7ef3	Membership
3441d4f:1508ad97479:-6c2c	BelievedBy
3441d4f:1508ad6f828:71cc	Membership
3441d4f:1508ad97479:-7ae2	Membership
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-6e8c	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	City
3441d4f:1508ad97479:-73af	Membership
3441d4f:1508ad6f828:771c	Membership
3441d4f:1508ad97479:-730b	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	City
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/	Province
3441d4f:1508ad6f828:6ca9	Membership
3441d4f:1508ad6f828:7d4e	Membership
3441d4f:1508ad6f828:7048	Membership
http://www.semwebtech.org/mondial/10/country/GBZ/	Country
3441d4f:1508ad6f828:68d7	Encompassed
3441d4f:1508ad6f828:6c05	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/	Province
3441d4f:1508ad6f828:797c	Membership
3441d4f:1508ad97479:-756b	Membership
3441d4f:1508ad97479:-6af8	EthnicProportion
3441d4f:1508ad97479:-7b9d	Membership
3441d4f:1508ad6f828:6e65	Membership
3441d4f:1508ad97479:-6a54	EthnicProportion
3441d4f:1508ad6f828:7cfa	Membership
http://www.semwebtech.org/mondial/10/river/Araguaia/	River
3441d4f:1508ad6f828:6bb1	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	City
http://www.semwebtech.org/mondial/10/mountains/Troodos/	Mountains
3441d4f:1508ad97479:-78ab	Membership
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	Lake
3441d4f:1508ad6f828:75e8	Membership
3441d4f:1508ad97479:-7edd	Membership
3441d4f:1508ad97479:-71d7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/	Province
3441d4f:1508ad6f828:7544	Membership
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-7133	Membership
3441d4f:1508ad6f828:7b76	Membership
3441d4f:1508ad6f828:6a0c	Border
3441d4f:1508ad97479:-6ff4	Membership
3441d4f:1508ad97479:-7393	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/	Province
3441d4f:1508ad97479:-6f50	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	City
3441d4f:1508ad6f828:74f0	Membership
3441d4f:1508ad97479:-7727	Membership
3441d4f:1508ad6f828:6c6c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	City
3441d4f:1508ad97479:-7d59	Membership
3441d4f:1508ad6f828:689a	Encompassed
3441d4f:1508ad6f828:7eb6	Membership
3441d4f:1508ad97479:-7987	Membership
3441d4f:1508ad97479:-7aa5	Membership
3441d4f:1508ad6f828:7e12	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	City
3441d4f:1508ad97479:-76d3	Membership
3441d4f:1508ad97479:-7a01	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	City
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	City
3441d4f:1508ad97479:-6e4f	SpokenBy
3441d4f:1508ad6f828:73ef	Membership
http://www.semwebtech.org/mondial/10/organization/CPLP/	Organization
3441d4f:1508ad97479:-68a1	EthnicProportion
3441d4f:1508ad6f828:6fac	Membership
3441d4f:1508ad6f828:734b	Membership
3441d4f:1508ad97479:-7c61	Membership
3441d4f:1508ad97479:-6dfb	SpokenBy
3441d4f:1508ad97479:-719a	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	City
3441d4f:1508ad6f828:793f	Membership
3441d4f:1508ad97479:-752e	Membership
3441d4f:1508ad6f828:6a94	Border
3441d4f:1508ad97479:-7fa1	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	City
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	City
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	Lake
3441d4f:1508ad6f828:6e28	Membership
3441d4f:1508ad6f828:7cbd	Membership
3441d4f:1508ad97479:-6a17	EthnicProportion
3441d4f:1508ad97479:-778e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	City
3441d4f:1508ad6f828:78eb	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/	Province
3441d4f:1508ad97479:-695c	EthnicProportion
3441d4f:1508ad97479:-74da	Membership
3441d4f:1508ad97479:-6c77	BelievedBy
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	City
http://www.semwebtech.org/mondial/10/island/Gozo/	Island
3441d4f:1508ad6f828:6dd4	Membership
3441d4f:1508ad6f828:7173	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	City
3441d4f:1508ad6f828:6d30	Membership
3441d4f:1508ad6f828:7507	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/	Province
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/	Province
3441d4f:1508ad6f828:7b39	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	City
3441d4f:1508ad6f828:6f90	Membership
3441d4f:1508ad97479:-6fb7	Membership
3441d4f:1508ad6f828:7767	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	Province
3441d4f:1508ad97479:-7356	Membership
http://www.semwebtech.org/mondial/10/organization/EIB/	Organization
3441d4f:1508ad97479:-6f13	Membership
3441d4f:1508ad6f828:7d99	Membership
3441d4f:1508ad6f828:74b3	Membership
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	Estuary
3441d4f:1508ad97479:-70a2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	City
3441d4f:1508ad6f828:6c2f	Membership
3441d4f:1508ad6f828:7ae5	Membership
http://www.semwebtech.org/mondial/10/estuary/Pibor/	Estuary
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	City
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	City
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	City
3441d4f:1508ad6f828:7a41	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/CrimeanTatar/	EthnicGroup
3441d4f:1508ad6f828:6e8f	Membership
3441d4f:1508ad97479:-6a7e	EthnicProportion
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	Island
http://www.semwebtech.org/mondial/10/source/Lukenie/	Source
3441d4f:1508ad6f828:6bdb	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/	Province
3441d4f:1508ad97479:-7cc8	Membership
3441d4f:1508ad97479:-78f6	Membership
3441d4f:1508ad97479:-7c24	Membership
3441d4f:1508ad6f828:730e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	City
3441d4f:1508ad97479:-7852	Membership
3441d4f:1508ad97479:-6dbe	SpokenBy
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	Lake
3441d4f:1508ad6f828:756e	Membership
3441d4f:1508ad97479:-7e84	Membership
3441d4f:1508ad97479:-715d	Membership
3441d4f:1508ad6f828:7fe1	Membership
3441d4f:1508ad97479:-6d1a	BelievedBy
3441d4f:1508ad6f828:72ba	Membership
3441d4f:1508ad97479:-7bd0	Membership
3441d4f:1508ad6f828:6a57	Border
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	City
http://www.semwebtech.org/mondial/10/organization/PFP/	Organization
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	Island
3441d4f:1508ad97479:-6f7a	Membership
3441d4f:1508ad6f828:78ae	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	City
3441d4f:1508ad97479:-691f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	City
3441d4f:1508ad6f828:780a	Membership
3441d4f:1508ad97479:-7acf	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	City
3441d4f:1508ad6f828:7e3c	Membership
3441d4f:1508ad97479:-76fd	Membership
3441d4f:1508ad6f828:7136	Membership
3441d4f:1508ad97479:-7a2b	Membership
3441d4f:1508ad6f828:69c5	Border
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	City
3441d4f:1508ad97479:-68cb	EthnicProportion
3441d4f:1508ad6f828:6921	Encompassed
3441d4f:1508ad6f828:6ff7	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	City
3441d4f:1508ad97479:-6be6	BelievedBy
3441d4f:1508ad6f828:7396	Membership
3441d4f:1508ad97479:-7c8b	Membership
3441d4f:1508ad6f828:6f53	Membership
3441d4f:1508ad97479:-6b42	BelievedBy
3441d4f:1508ad6f828:70e2	Membership
3441d4f:1508ad97479:-7319	Membership
http://www.semwebtech.org/mondial/10/country/CDN/	Country
http://www.semwebtech.org/mondial/10/river/Zambezi/	River
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/	Province
3441d4f:1508ad6f828:7aa8	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	City
3441d4f:1508ad97479:-7579	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/	Province
3441d4f:1508ad97479:-7fcb	Membership
3441d4f:1508ad6f828:7a04	Membership
3441d4f:1508ad6f828:76d6	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	City
3441d4f:1508ad97479:-72c5	Membership
3441d4f:1508ad6f828:7632	Membership
3441d4f:1508ad97479:-7221	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/	Province
3441d4f:1508ad6f828:7c64	Membership
http://www.semwebtech.org/mondial/10/estuary/Save/	Estuary
http://www.semwebtech.org/mondial/10/country/SME/	Country
3441d4f:1508ad6f828:7892	Membership
3441d4f:1508ad97479:-78b9	Membership
3441d4f:1508ad97479:-7481	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	City
3441d4f:1508ad6f828:6dfe	Membership
3441d4f:1508ad6f828:719d	Membership
3441d4f:1508ad97479:-7815	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	City
3441d4f:1508ad6f828:6d5a	Membership
3441d4f:1508ad97479:-7e47	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	City
http://www.semwebtech.org/mondial/10/lake/LakeHume/	Lake
3441d4f:1508ad6f828:7fa4	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/	Province
3441d4f:1508ad6f828:7f00	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	City
http://www.semwebtech.org/mondial/10/country/COM/	Country
3441d4f:1508ad97479:-77c1	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	City
3441d4f:1508ad97479:-6f3d	Membership
3441d4f:1508ad6f828:74dd	Membership
3441d4f:1508ad97479:-7df3	Membership
3441d4f:1508ad97479:-70cc	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	City
3441d4f:1508ad6f828:7a6b	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	City
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Spanish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	City
3441d4f:1508ad97479:-761c	Membership
3441d4f:1508ad6f828:6b82	Membership
3441d4f:1508ad97479:-6ba9	BelievedBy
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	City
3441d4f:1508ad6f828:7359	Membership
3441d4f:1508ad97479:-7c4e	Membership
http://www.semwebtech.org/mondial/10/language/Futunian/	Language
3441d4f:1508ad6f828:6f16	Membership
3441d4f:1508ad97479:-6b05	EthnicProportion
3441d4f:1508ad6f828:7dab	Membership
http://www.semwebtech.org/mondial/10/mountains/Vogesen/	Mountains
3441d4f:1508ad6f828:70a5	Membership
3441d4f:1508ad97479:-787c	Membership
http://www.semwebtech.org/mondial/10/river/Argun/	River
3441d4f:1508ad6f828:7001	Membership
http://www.semwebtech.org/mondial/10/lake/LakeErie/	Lake
3441d4f:1508ad97479:-6d65	SpokenBy
3441d4f:1508ad97479:-7bfa	Membership
3441d4f:1508ad6f828:6ec2	Membership
3441d4f:1508ad97479:-6ab1	EthnicProportion
3441d4f:1508ad6f828:7261	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	Source
3441d4f:1508ad6f828:7c27	Membership
3441d4f:1508ad6f828:78f9	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	City
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/	Province
3441d4f:1508ad97479:-74e8	Membership
http://www.semwebtech.org/mondial/10/source/Apurimac/	Source
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	Estuary
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	City
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	City
3441d4f:1508ad6f828:7855	Membership
3441d4f:1508ad97479:-7444	Membership
3441d4f:1508ad6f828:7e87	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	City
3441d4f:1508ad6f828:75cb	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	City
3441d4f:1508ad6f828:75a1	Membership
3441d4f:1508ad97479:-7a76	Membership
3441d4f:1508ad6f828:69ef	Border
3441d4f:1508ad6f828:6d1d	Membership
3441d4f:1508ad6f828:7bd3	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	City
3441d4f:1508ad6f828:694b	Encompassed
3441d4f:1508ad97479:-73f0	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	City
3441d4f:1508ad6f828:6f7d	Membership
3441d4f:1508ad97479:-6b6c	BelievedBy
http://www.semwebtech.org/mondial/10/island/Mayotte/	Island
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/	Province
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	Estuary
3441d4f:1508ad97479:-7db6	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/CaribIndians/	EthnicGroup
3441d4f:1508ad97479:-79e4	Membership
3441d4f:1508ad97479:-7d12	Membership
http://www.semwebtech.org/mondial/10/estuary/Buna/	Estuary
3441d4f:1508ad6f828:7a2e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	City
3441d4f:1508ad97479:-7940	Membership
3441d4f:1508ad97479:-72ef	Membership
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	City
3441d4f:1508ad97479:-6eac	Membership
3441d4f:1508ad6f828:765c	Membership
3441d4f:1508ad97479:-7f72	Membership
3441d4f:1508ad97479:-724b	Membership
3441d4f:1508ad6f828:6be9	Membership
3441d4f:1508ad6f828:7c8e	Membership
http://www.semwebtech.org/mondial/10/source/Breg/	Source
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:6b45	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	City
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	City
3441d4f:1508ad97479:-783f	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	City
3441d4f:1508ad97479:-6d28	BelievedBy
3441d4f:1508ad6f828:6af1	Membership
3441d4f:1508ad6f828:7fce	Membership
http://www.semwebtech.org/mondial/10/island/Anglesey/	Island
3441d4f:1508ad6f828:72c8	Membership
3441d4f:1508ad97479:-7bbd	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/	Province
3441d4f:1508ad6f828:7f2a	Membership
http://www.semwebtech.org/mondial/10/islands/Malta/	Islands
3441d4f:1508ad6f828:7224	Membership
3441d4f:1508ad97479:-77eb	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/	Province
3441d4f:1508ad97479:-6f88	Membership
3441d4f:1508ad97479:-6cd4	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Tajo/	Estuary
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/	Province
3441d4f:1508ad6f828:7484	Membership
3441d4f:1508ad97479:-7073	Membership
3441d4f:1508ad97479:-6c30	BelievedBy
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	City
3441d4f:1508ad6f828:7818	Membership
3441d4f:1508ad6f828:71d0	Membership
3441d4f:1508ad97479:-7407	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	City
http://www.semwebtech.org/mondial/10/island/PortoSanto/	Island
3441d4f:1508ad97479:-7a39	Membership
3441d4f:1508ad97479:-6e90	Membership
3441d4f:1508ad97479:-68d9	EthnicProportion
3441d4f:1508ad97479:-7667	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	Province
3441d4f:1508ad6f828:690e	Encompassed
3441d4f:1508ad6f828:77c4	Membership
3441d4f:1508ad97479:-7c99	Membership
3441d4f:1508ad97479:-73b3	Membership
3441d4f:1508ad97479:-6b2f	BelievedBy
3441d4f:1508ad6f828:7df6	Membership
3441d4f:1508ad6f828:7720	Membership
3441d4f:1508ad6f828:70cf	Membership
http://www.semwebtech.org/mondial/10/source/Mekong/	Source
3441d4f:1508ad6f828:7d52	Membership
3441d4f:1508ad6f828:702b	Membership
3441d4f:1508ad6f828:68ba	Encompassed
3441d4f:1508ad97479:-6d8f	SpokenBy
3441d4f:1508ad6f828:7980	Membership
3441d4f:1508ad97479:-79a7	Membership
3441d4f:1508ad97479:-6adb	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	City
3441d4f:1508ad6f828:6eec	Membership
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	Estuary
http://www.semwebtech.org/mondial/10/source/BlueNile/	Source
3441d4f:1508ad97479:-7fd9	Membership
3441d4f:1508ad6f828:728b	Membership
3441d4f:1508ad97479:-7903	Membership
3441d4f:1508ad6f828:761f	Membership
3441d4f:1508ad97479:-7f35	Membership
3441d4f:1508ad97479:-720e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kalenjin/	EthnicGroup
3441d4f:1508ad6f828:6b08	Membership
3441d4f:1508ad6f828:787f	Membership
3441d4f:1508ad97479:-746e	Membership
3441d4f:1508ad97479:-7ee1	Membership
3441d4f:1508ad97479:-71ba	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/	Province
3441d4f:1508ad6f828:6d68	Membership
3441d4f:1508ad6f828:7bfd	Membership
http://www.semwebtech.org/mondial/10/language/Estonian/	Language
3441d4f:1508ad6f828:6996	Border
http://www.semwebtech.org/mondial/10/organization/EAS/	Organization
3441d4f:1508ad6f828:6ab4	Border
http://www.semwebtech.org/mondial/10/country/EAU/	Country
3441d4f:1508ad6f828:6a10	Border
3441d4f:1508ad97479:-77ae	Membership
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	City
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	City
3441d4f:1508ad97479:-770a	Membership
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	Lake
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	City
3441d4f:1508ad6f828:6c70	Membership
3441d4f:1508ad6f828:7447	Membership
3441d4f:1508ad97479:-7d3c	Membership
3441d4f:1508ad97479:-7036	Membership
3441d4f:1508ad6f828:7a79	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/	Province
3441d4f:1508ad97479:-796a	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	City
3441d4f:1508ad97479:-6ef7	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	City
3441d4f:1508ad97479:-7f9c	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	City
3441d4f:1508ad97479:-7296	Membership
3441d4f:1508ad97479:-6e53	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/	Province
3441d4f:1508ad6f828:73f3	Membership
http://www.semwebtech.org/mondial/10/islands/LipariIslands/	Islands
3441d4f:1508ad6f828:6fb0	Membership
3441d4f:1508ad6f828:6b6f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	City
3441d4f:1508ad6f828:7db9	Membership
http://www.semwebtech.org/mondial/10/island/Flores/	Island
3441d4f:1508ad6f828:7d15	Membership
3441d4f:1508ad6f828:79e7	Membership
3441d4f:1508ad97479:-75d6	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	City
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/	Province
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/	Province
3441d4f:1508ad6f828:7943	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbs/	EthnicGroup
3441d4f:1508ad97479:-7532	Membership
3441d4f:1508ad6f828:7f75	Membership
3441d4f:1508ad6f828:6eaf	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/	Province
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	City
http://www.semwebtech.org/mondial/10/islands/BermudaIslands/	Islands
3441d4f:1508ad6f828:724e	Membership
3441d4f:1508ad97479:-7b64	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	City
3441d4f:1508ad6f828:6e0b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	City
3441d4f:1508ad6f828:7cc1	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/	Province
3441d4f:1508ad97479:-7792	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	City
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	Island
3441d4f:1508ad97479:-6cfe	BelievedBy
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/	Province
3441d4f:1508ad97479:-6960	EthnicProportion
3441d4f:1508ad97479:-709d	Membership
3441d4f:1508ad97479:-6c5a	BelievedBy
3441d4f:1508ad6f828:71fa	Membership
3441d4f:1508ad97479:-7ea4	Membership
3441d4f:1508ad97479:-7e00	Membership
3441d4f:1508ad6f828:6959	Encompassed
3441d4f:1508ad6f828:7b1c	Membership
3441d4f:1508ad6f828:77ee	Membership
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/	Mountain
3441d4f:1508ad97479:-73dd	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	City
3441d4f:1508ad6f828:774a	Membership
3441d4f:1508ad6f828:6cd7	Membership
3441d4f:1508ad6f828:7d7c	Membership
3441d4f:1508ad6f828:7076	Membership
3441d4f:1508ad6f828:6c33	Membership
http://www.semwebtech.org/mondial/10/country/NAU/	Country
3441d4f:1508ad97479:-792d	Membership
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	Estuary
3441d4f:1508ad6f828:6e93	Membership
3441d4f:1508ad97479:-6a82	EthnicProportion
3441d4f:1508ad97479:-7f5f	Membership
3441d4f:1508ad97479:-7259	Membership
3441d4f:1508ad97479:-6e16	SpokenBy
3441d4f:1508ad6f828:73b6	Membership
3441d4f:1508ad97479:-7cab	Membership
3441d4f:1508ad6f828:7312	Membership
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	Estuary
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	City
http://www.semwebtech.org/mondial/10/island/Ameland/	Island
3441d4f:1508ad97479:-6dc2	SpokenBy
3441d4f:1508ad6f828:7572	Membership
3441d4f:1508ad97479:-7161	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/	Province
3441d4f:1508ad6f828:6ade	Membership
http://www.semwebtech.org/mondial/10/organization/COMESA/	Organization
3441d4f:1508ad6f828:7906	Membership
3441d4f:1508ad6f828:6a3a	Border
3441d4f:1508ad6f828:7f38	Membership
3441d4f:1508ad97479:-77f9	Membership
3441d4f:1508ad97479:-7b27	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	City
3441d4f:1508ad97479:-69c7	EthnicProportion
3441d4f:1508ad97479:-7755	Membership
3441d4f:1508ad6f828:6c9a	Membership
3441d4f:1508ad97479:-6923	EthnicProportion
3441d4f:1508ad6f828:78b2	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/	Province
3441d4f:1508ad97479:-7d87	Membership
3441d4f:1508ad97479:-74a1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	City
3441d4f:1508ad6f828:7ee4	Membership
3441d4f:1508ad97479:-6c1d	BelievedBy
3441d4f:1508ad6f828:71bd	Membership
3441d4f:1508ad97479:-7ad3	Membership
3441d4f:1508ad6f828:7e40	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/	Province
http://www.semwebtech.org/mondial/10/country/N/province/Troms/	Province
3441d4f:1508ad97479:-6e7d	Membership
3441d4f:1508ad6f828:6fda	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/	Province
http://www.semwebtech.org/mondial/10/island/Madagaskar/	Island
3441d4f:1508ad6f828:770d	Membership
3441d4f:1508ad6f828:7d3f	Membership
3441d4f:1508ad6f828:7039	Membership
http://www.semwebtech.org/mondial/10/country/MV/	Country
http://www.semwebtech.org/mondial/10/island/Mindoro/	Island
3441d4f:1508ad6f828:68c8	Encompassed
http://www.semwebtech.org/mondial/10/islands/Kyklades/	Islands
3441d4f:1508ad6f828:796d	Membership
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	Island
3441d4f:1508ad97479:-755c	Membership
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/	Province
3441d4f:1508ad6f828:7f9f	Membership
3441d4f:1508ad97479:-6ae9	EthnicProportion
3441d4f:1508ad6f828:7299	Membership
3441d4f:1508ad97479:-7b8e	Membership
http://www.semwebtech.org/mondial/10/language/Creole/	Language
3441d4f:1508ad6f828:6e56	Membership
3441d4f:1508ad6f828:7ceb	Membership
3441d4f:1508ad97479:-6a45	EthnicProportion
3441d4f:1508ad6f828:6ba2	Membership
3441d4f:1508ad97479:-698a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RC/	Country
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	City
3441d4f:1508ad6f828:75d9	Membership
3441d4f:1508ad97479:-7ece	Membership
3441d4f:1508ad97479:-71c8	Membership
http://www.semwebtech.org/mondial/10/religion/Sikh/	Religion
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/	Province
3441d4f:1508ad6f828:7535	Membership
3441d4f:1508ad97479:-7e2a	Membership
3441d4f:1508ad97479:-7124	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	City
http://www.semwebtech.org/mondial/10/river/Aruwimi/	River
3441d4f:1508ad6f828:7b67	Membership
3441d4f:1508ad97479:-6fe5	Membership
3441d4f:1508ad6f828:7795	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	City
3441d4f:1508ad97479:-7384	Membership
3441d4f:1508ad97479:-6f41	Membership
3441d4f:1508ad6f828:74e1	Membership
3441d4f:1508ad97479:-7718	Membership
3441d4f:1508ad97479:-70d0	Membership
3441d4f:1508ad6f828:6c5d	Membership
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	Estuary
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	City
http://www.semwebtech.org/mondial/10/organization/IPU/	Organization
http://www.semwebtech.org/mondial/10/source/Gambia/	Source
3441d4f:1508ad6f828:688b	Encompassed
3441d4f:1508ad6f828:7ea7	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	City
3441d4f:1508ad97479:-7978	Membership
http://www.semwebtech.org/mondial/10/politicalbody/HolyRomanEmpire/	PoliticalBody
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/	Province
http://www.semwebtech.org/mondial/10/language/Serbo-Croatian/	Language
3441d4f:1508ad6f828:7e03	Membership
3441d4f:1508ad97479:-76c4	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/	Province
http://www.semwebtech.org/mondial/10/island/Labuan/	Island
3441d4f:1508ad97479:-7cf6	Membership
3441d4f:1508ad97479:-7620	Membership
3441d4f:1508ad6f828:733c	Membership
3441d4f:1508ad97479:-7c52	Membership
3441d4f:1508ad97479:-7880	Membership
3441d4f:1508ad97479:-6dec	SpokenBy
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	City
3441d4f:1508ad6f828:759c	Membership
3441d4f:1508ad97479:-718b	Membership
http://www.semwebtech.org/mondial/10/island/Streymoy/	Island
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	City
3441d4f:1508ad97479:-751f	Membership
3441d4f:1508ad6f828:6a85	Border
http://www.semwebtech.org/mondial/10/lake/Vaettern/	Lake
http://www.semwebtech.org/mondial/10/source/Karasu/	Source
3441d4f:1508ad6f828:6e19	Membership
3441d4f:1508ad6f828:7cae	Membership
3441d4f:1508ad97479:-6a08	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/	Province
3441d4f:1508ad97479:-777f	Membership
3441d4f:1508ad6f828:7c0a	Membership
3441d4f:1508ad6f828:78dc	Membership
3441d4f:1508ad97479:-694d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/H/	Country
3441d4f:1508ad97479:-74cb	Membership
http://www.semwebtech.org/mondial/10/sea/RedSea/	Sea
3441d4f:1508ad97479:-6c68	BelievedBy
3441d4f:1508ad97479:-7afd	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	City
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/	Province
3441d4f:1508ad6f828:6dc5	Membership
http://www.semwebtech.org/mondial/10/river/Amazonas/	River
3441d4f:1508ad6f828:7e6a	Membership
3441d4f:1508ad6f828:7164	Membership
http://www.semwebtech.org/mondial/10/organization/G-77/	Organization
3441d4f:1508ad6f828:69f3	Border
3441d4f:1508ad6f828:6d21	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/	Province
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	City
3441d4f:1508ad6f828:6f81	Membership
3441d4f:1508ad97479:-6b70	BelievedBy
3441d4f:1508ad97479:-6fa8	Membership
3441d4f:1508ad6f828:7758	Membership
3441d4f:1508ad97479:-7347	Membership
3441d4f:1508ad97479:-6f04	Membership
3441d4f:1508ad6f828:74a4	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/	Province
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/	Province
3441d4f:1508ad6f828:7ad6	Membership
3441d4f:1508ad6f828:7400	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	City
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	City
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	Island
3441d4f:1508ad6f828:7a32	Membership
3441d4f:1508ad97479:-72f3	Membership
3441d4f:1508ad97479:-6a6f	EthnicProportion
3441d4f:1508ad97479:-6eb0	Membership
3441d4f:1508ad6f828:7660	Membership
3441d4f:1508ad6f828:6bcc	Membership
3441d4f:1508ad6f828:7c92	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/	Province
3441d4f:1508ad97479:-7cb9	Membership
3441d4f:1508ad97479:-78e7	Membership
3441d4f:1508ad97479:-7c15	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/	Province
3441d4f:1508ad97479:-7843	Membership
3441d4f:1508ad97479:-6daf	SpokenBy
3441d4f:1508ad6f828:79a0	Membership
3441d4f:1508ad6f828:755f	Membership
3441d4f:1508ad97479:-7e75	Membership
3441d4f:1508ad97479:-714e	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	City
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	City
3441d4f:1508ad6f828:7fd2	Membership
3441d4f:1508ad97479:-6d0b	BelievedBy
3441d4f:1508ad6f828:72ab	Membership
3441d4f:1508ad97479:-7bc1	Membership
3441d4f:1508ad6f828:6a48	Border
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	City
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Asian/	EthnicGroup
3441d4f:1508ad97479:-6f6b	Membership
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	River
3441d4f:1508ad97479:-70fa	Membership
http://www.semwebtech.org/mondial/10/island/Cebu/	Island
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/	Province
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	City
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-76ee	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	City
3441d4f:1508ad6f828:7e2d	Membership
3441d4f:1508ad6f828:7127	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	City
3441d4f:1508ad97479:-7a1c	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/	Province
3441d4f:1508ad6f828:69b6	Border
3441d4f:1508ad97479:-68bc	EthnicProportion
3441d4f:1508ad97479:-764a	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/	Province
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/	Province
3441d4f:1508ad6f828:6fe8	Membership
3441d4f:1508ad6f828:6912	Encompassed
3441d4f:1508ad97479:-6bd7	BelievedBy
3441d4f:1508ad6f828:7387	Membership
3441d4f:1508ad97479:-7c7c	Membership
3441d4f:1508ad6f828:6f44	Membership
3441d4f:1508ad97479:-6b33	BelievedBy
3441d4f:1508ad6f828:70d3	Membership
http://www.semwebtech.org/mondial/10/estuary/Ili/	Estuary
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	City
http://www.semwebtech.org/mondial/10/source/Petschora/	Source
3441d4f:1508ad97479:-6d93	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/	Province
3441d4f:1508ad6f828:6ef0	Membership
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	Desert
3441d4f:1508ad6f828:76c7	Membership
3441d4f:1508ad97479:-7fbc	Membership
http://www.semwebtech.org/mondial/10/lake/Storuman/	Lake
3441d4f:1508ad97479:-72b6	Membership
3441d4f:1508ad6f828:7cf9	Membership
3441d4f:1508ad6f828:7623	Membership
3441d4f:1508ad97479:-7212	Membership
3441d4f:1508ad6f828:7c55	Membership
3441d4f:1508ad97479:-6998	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	City
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	Lake
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	Mountain
3441d4f:1508ad6f828:7883	Membership
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	Lake
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/	Province
3441d4f:1508ad97479:-7472	Membership
3441d4f:1508ad6f828:6def	Membership
http://www.semwebtech.org/mondial/10/river/Sanga/	River
3441d4f:1508ad6f828:718e	Membership
3441d4f:1508ad97479:-7806	Membership
3441d4f:1508ad6f828:6d4b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	City
3441d4f:1508ad97479:-7e38	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	City
3441d4f:1508ad97479:-6b9a	BelievedBy
3441d4f:1508ad97479:-77b2	Membership
3441d4f:1508ad97479:-6f2e	Membership
3441d4f:1508ad6f828:74ce	Membership
3441d4f:1508ad97479:-7de4	Membership
3441d4f:1508ad97479:-70bd	Membership
http://www.semwebtech.org/mondial/10/estuary/Sobat/	Estuary
3441d4f:1508ad97479:-7d40	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	City
3441d4f:1508ad6f828:742a	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/	Province
3441d4f:1508ad6f828:6899	Encompassed
3441d4f:1508ad6f828:7a5c	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/	Province
3441d4f:1508ad97479:-6eda	Membership
3441d4f:1508ad6f828:768a	Membership
3441d4f:1508ad97479:-760d	Membership
http://www.semwebtech.org/mondial/10/river/BlackDrin/	River
http://www.semwebtech.org/mondial/10/religion/Jains/	Religion
3441d4f:1508ad6f828:6b73	Membership
3441d4f:1508ad97479:-7c3f	Membership
3441d4f:1508ad6f828:6f07	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	City
3441d4f:1508ad97479:-786d	Membership
http://www.semwebtech.org/mondial/10/country/KIR/	Country
3441d4f:1508ad6f828:79ca	Membership
3441d4f:1508ad97479:-7e9f	Membership
3441d4f:1508ad97479:-7199	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	City
3441d4f:1508ad6f828:7ffc	Membership
3441d4f:1508ad97479:-6d56	SpokenBy
3441d4f:1508ad6f828:72f6	Membership
3441d4f:1508ad97479:-7beb	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	City
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	City
3441d4f:1508ad6f828:6eb3	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	City
3441d4f:1508ad97479:-6aa2	EthnicProportion
3441d4f:1508ad6f828:7252	Membership
3441d4f:1508ad6f828:7c18	Membership
3441d4f:1508ad97479:-74d9	Membership
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	City
3441d4f:1508ad6f828:7846	Membership
3441d4f:1508ad97479:-7435	Membership
3441d4f:1508ad6f828:7e78	Membership
http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	Islands
3441d4f:1508ad97479:-7a67	Membership
3441d4f:1508ad6f828:75bc	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	City
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:6d0e	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	City
3441d4f:1508ad6f828:7bc4	Membership
3441d4f:1508ad97479:-7695	Membership
3441d4f:1508ad6f828:693c	Encompassed
3441d4f:1508ad6f828:7b20	Membership
3441d4f:1508ad6f828:77f2	Membership
3441d4f:1508ad97479:-73e1	Membership
3441d4f:1508ad6f828:6f6e	Membership
3441d4f:1508ad97479:-6b5d	BelievedBy
3441d4f:1508ad6f828:70fd	Membership
http://www.semwebtech.org/mondial/10/island/Fohr/	Island
3441d4f:1508ad6f828:6cba	Membership
3441d4f:1508ad6f828:7d80	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	City
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/	Province
3441d4f:1508ad97479:-7da7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	City
http://www.semwebtech.org/mondial/10/mountain/Irazu/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-79d5	Membership
3441d4f:1508ad97479:-7d03	Membership
3441d4f:1508ad6f828:7a1f	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/	Province
3441d4f:1508ad97479:-7931	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	City
3441d4f:1508ad97479:-7f63	Membership
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	City
3441d4f:1508ad6f828:764d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	City
http://www.semwebtech.org/mondial/10/river/Kemijoki/	River
3441d4f:1508ad97479:-723c	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Irish/	EthnicGroup
3441d4f:1508ad6f828:7c7f	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	City
3441d4f:1508ad6f828:6b36	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	City
3441d4f:1508ad97479:-749c	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/	Province
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/	Province
3441d4f:1508ad6f828:6d96	Membership
3441d4f:1508ad6f828:7fbf	Membership
3441d4f:1508ad6f828:6ae2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	City
3441d4f:1508ad97479:-6d19	BelievedBy
3441d4f:1508ad6f828:72b9	Membership
3441d4f:1508ad97479:-7bae	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/	Province
3441d4f:1508ad6f828:7f1b	Membership
3441d4f:1508ad97479:-77dc	Membership
3441d4f:1508ad6f828:7215	Membership
3441d4f:1508ad97479:-7b0a	Membership
3441d4f:1508ad97479:-6f79	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	City
3441d4f:1508ad97479:-69aa	EthnicProportion
3441d4f:1508ad97479:-6cc5	BelievedBy
3441d4f:1508ad6f828:7475	Membership
3441d4f:1508ad97479:-7d6a	Membership
3441d4f:1508ad97479:-7064	Membership
3441d4f:1508ad97479:-6c21	BelievedBy
3441d4f:1508ad6f828:7809	Membership
3441d4f:1508ad6f828:71c1	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/	Province
http://www.semwebtech.org/mondial/10/source/Asahan/	Source
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/	Province
3441d4f:1508ad97479:-6e81	Membership
3441d4f:1508ad97479:-7658	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	City
3441d4f:1508ad6f828:6b9d	Membership
3441d4f:1508ad6f828:77b5	Membership
3441d4f:1508ad97479:-73a4	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/	Province
3441d4f:1508ad6f828:7de7	Membership
3441d4f:1508ad6f828:7711	Membership
http://www.semwebtech.org/mondial/10/estuary/Tobol/	Estuary
3441d4f:1508ad97479:-7300	Membership
http://www.semwebtech.org/mondial/10/source/Seine/	Source
3441d4f:1508ad6f828:7d43	Membership
3441d4f:1508ad6f828:701c	Membership
3441d4f:1508ad6f828:68ab	Encompassed
http://www.semwebtech.org/mondial/10/mountains/WestGhats/	Mountains
3441d4f:1508ad6f828:7971	Membership
3441d4f:1508ad97479:-7560	Membership
3441d4f:1508ad6f828:6edd	Membership
3441d4f:1508ad97479:-6acc	EthnicProportion
3441d4f:1508ad6f828:727c	Membership
3441d4f:1508ad97479:-7b92	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/	Province
3441d4f:1508ad97479:-7f26	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	City
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	Source
3441d4f:1508ad97479:-78a0	Membership
3441d4f:1508ad97479:-745f	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	City
3441d4f:1508ad97479:-7ed2	Membership
3441d4f:1508ad97479:-71ab	Membership
3441d4f:1508ad6f828:6d59	Membership
3441d4f:1508ad6f828:7bee	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	City
http://www.semwebtech.org/mondial/10/estuary/Tigris/	Estuary
http://www.semwebtech.org/mondial/10/country/GBM/	Country
3441d4f:1508ad6f828:6987	Border
3441d4f:1508ad6f828:6aa5	Border
3441d4f:1508ad6f828:7b4a	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	City
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	City
3441d4f:1508ad6f828:6a01	Border
http://www.semwebtech.org/mondial/10/mountains/Madeira/	Mountains
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/	Province
http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/	Mountains
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	Lake
3441d4f:1508ad6f828:6c61	Membership
3441d4f:1508ad97479:-79ff	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/	Province
3441d4f:1508ad6f828:7438	Membership
3441d4f:1508ad97479:-7d2d	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	City
3441d4f:1508ad97479:-7027	Membership
3441d4f:1508ad97479:-795b	Membership
3441d4f:1508ad97479:-6ee8	Membership
3441d4f:1508ad6f828:7698	Membership
3441d4f:1508ad97479:-7f8d	Membership
3441d4f:1508ad97479:-7287	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	City
3441d4f:1508ad97479:-6e44	SpokenBy
3441d4f:1508ad6f828:73e4	Membership
3441d4f:1508ad6f828:6fa1	Membership
3441d4f:1508ad6f828:7340	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	EthnicGroup
3441d4f:1508ad97479:-6df0	SpokenBy
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	City
3441d4f:1508ad6f828:7d06	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	City
3441d4f:1508ad6f828:79d8	Membership
3441d4f:1508ad97479:-75c7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	City
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	Desert
3441d4f:1508ad6f828:7934	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	City
http://www.semwebtech.org/mondial/10/mountains/Kamchatka/	Mountains
3441d4f:1508ad97479:-7bf9	Membership
3441d4f:1508ad97479:-7523	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	City
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	Estuary
3441d4f:1508ad6f828:7f66	Membership
http://www.semwebtech.org/mondial/10/islands/WallisIslands/	Islands
3441d4f:1508ad6f828:723f	Membership
3441d4f:1508ad97479:-7b55	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mossi/	EthnicGroup
3441d4f:1508ad97479:-69f5	EthnicProportion
3441d4f:1508ad6f828:7cb2	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	City
3441d4f:1508ad97479:-7783	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	City
3441d4f:1508ad97479:-6cef	BelievedBy
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	Source
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	Estuary
3441d4f:1508ad6f828:78e0	Membership
3441d4f:1508ad6f828:749f	Membership
3441d4f:1508ad97479:-6951	EthnicProportion
3441d4f:1508ad97479:-708e	Membership
http://www.semwebtech.org/mondial/10/lake/Siljan/	Lake
3441d4f:1508ad97479:-6c4b	BelievedBy
3441d4f:1508ad6f828:71eb	Membership
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	City
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	City
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	City
http://www.semwebtech.org/mondial/10/river/Okavango/	River
3441d4f:1508ad6f828:7b0d	Membership
3441d4f:1508ad6f828:77df	Membership
3441d4f:1508ad97479:-73ce	Membership
http://www.semwebtech.org/mondial/10/country/JOR/	Country
3441d4f:1508ad6f828:773b	Membership
3441d4f:1508ad97479:-732a	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/	Province
3441d4f:1508ad6f828:6cc8	Membership
3441d4f:1508ad6f828:7d6d	Membership
3441d4f:1508ad6f828:7067	Membership
3441d4f:1508ad6f828:68f6	Encompassed
3441d4f:1508ad6f828:6c24	Membership
3441d4f:1508ad6f828:799b	Membership
3441d4f:1508ad97479:-758a	Membership
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	Estuary
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/	Province
3441d4f:1508ad97479:-791e	Membership
http://www.semwebtech.org/mondial/10/source/Doubs/	Source
3441d4f:1508ad6f828:6e84	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/ArabIranian/	EthnicGroup
3441d4f:1508ad97479:-6a73	EthnicProportion
3441d4f:1508ad6f828:6bd0	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	City
3441d4f:1508ad97479:-6e07	SpokenBy
3441d4f:1508ad6f828:73a7	Membership
3441d4f:1508ad6f828:7303	Membership
3441d4f:1508ad97479:-78ca	Membership
3441d4f:1508ad97479:-71f6	Membership
3441d4f:1508ad97479:-7efc	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	City
3441d4f:1508ad97479:-6db3	SpokenBy
3441d4f:1508ad6f828:7563	Membership
3441d4f:1508ad97479:-7152	Membership
3441d4f:1508ad6f828:6acf	Membership
3441d4f:1508ad6f828:7b95	Membership
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	Lake
3441d4f:1508ad6f828:6a2b	Border
3441d4f:1508ad6f828:7f29	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	City
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/	Province
3441d4f:1508ad97479:-7b18	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	Lake
3441d4f:1508ad97479:-69b8	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	Estuary
3441d4f:1508ad97479:-7746	Membership
3441d4f:1508ad6f828:6c8b	Membership
3441d4f:1508ad6f828:78a3	Membership
3441d4f:1508ad97479:-7d78	Membership
3441d4f:1508ad97479:-6914	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	City
3441d4f:1508ad6f828:7ed5	Membership
3441d4f:1508ad97479:-6c0e	BelievedBy
3441d4f:1508ad6f828:71ae	Membership
3441d4f:1508ad97479:-7ac4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/	Province
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	Estuary
3441d4f:1508ad6f828:7e31	Membership
3441d4f:1508ad97479:-76f2	Membership
3441d4f:1508ad6f828:710a	Membership
3441d4f:1508ad97479:-7a20	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	City
3441d4f:1508ad97479:-6e6e	Membership
3441d4f:1508ad97479:-68c0	EthnicProportion
3441d4f:1508ad6f828:6fcb	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/	Province
3441d4f:1508ad97479:-6bba	BelievedBy
3441d4f:1508ad6f828:736a	Membership
3441d4f:1508ad97479:-7c80	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/	Province
3441d4f:1508ad6f828:68b9	Encompassed
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	City
3441d4f:1508ad6f828:795e	Membership
3441d4f:1508ad97479:-754d	Membership
3441d4f:1508ad6f828:76aa	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	City
3441d4f:1508ad97479:-7fc0	Membership
3441d4f:1508ad97479:-7b7f	Membership
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	Estuary
3441d4f:1508ad6f828:6e47	Membership
3441d4f:1508ad97479:-6a36	EthnicProportion
3441d4f:1508ad6f828:7cdc	Membership
http://www.semwebtech.org/mondial/10/river/Prypjat/	River
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	Lake
3441d4f:1508ad97479:-697b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/	Province
3441d4f:1508ad97479:-6c96	BelievedBy
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	Lake
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	City
3441d4f:1508ad6f828:6df3	Membership
3441d4f:1508ad97479:-7ebf	Membership
3441d4f:1508ad6f828:7192	Membership
3441d4f:1508ad97479:-71b9	Membership
3441d4f:1508ad6f828:7526	Membership
3441d4f:1508ad97479:-7e1b	Membership
3441d4f:1508ad97479:-7115	Membership
3441d4f:1508ad6f828:7b58	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	City
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	Estuary
3441d4f:1508ad97479:-6fd6	Membership
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	City
3441d4f:1508ad6f828:7786	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	City
3441d4f:1508ad97479:-7375	Membership
http://www.semwebtech.org/mondial/10/estuary/Douro/	Estuary
http://www.semwebtech.org/mondial/10/language/Albanian/	Language
3441d4f:1508ad97479:-6f32	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	City
3441d4f:1508ad6f828:74d2	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/	Province
3441d4f:1508ad97479:-7709	Membership
3441d4f:1508ad97479:-70c1	Membership
3441d4f:1508ad6f828:6c4e	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	City
3441d4f:1508ad6f828:7a60	Membership
3441d4f:1508ad97479:-7969	Membership
3441d4f:1508ad97479:-6a9d	EthnicProportion
3441d4f:1508ad97479:-76b5	Membership
3441d4f:1508ad6f828:6bfa	Membership
3441d4f:1508ad97479:-7ce7	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	City
3441d4f:1508ad97479:-7611	Membership
http://www.semwebtech.org/mondial/10/country/GR/	Country
3441d4f:1508ad6f828:732d	Membership
3441d4f:1508ad97479:-7c43	Membership
http://www.semwebtech.org/mondial/10/organization/NAM/	Organization
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	City
3441d4f:1508ad6f828:7da0	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/	Province
3441d4f:1508ad97479:-7871	Membership
3441d4f:1508ad97479:-6ddd	SpokenBy
3441d4f:1508ad6f828:758d	Membership
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	Mountain
3441d4f:1508ad97479:-717c	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	City
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	Estuary
3441d4f:1508ad6f828:6a76	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	City
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	City
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	City
3441d4f:1508ad6f828:78cd	Membership
3441d4f:1508ad97479:-693e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/	Province
3441d4f:1508ad97479:-74bc	Membership
3441d4f:1508ad97479:-6c59	BelievedBy
3441d4f:1508ad6f828:7eff	Membership
http://www.semwebtech.org/mondial/10/country/CUR/	Country
3441d4f:1508ad6f828:71f9	Membership
3441d4f:1508ad97479:-7aee	Membership
http://www.semwebtech.org/mondial/10/country/PK/	Country
3441d4f:1508ad6f828:6db6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	City
3441d4f:1508ad6f828:7e5b	Membership
3441d4f:1508ad6f828:7155	Membership
3441d4f:1508ad97479:-7a4a	Membership
3441d4f:1508ad6f828:69e4	Border
3441d4f:1508ad6f828:6d12	Membership
3441d4f:1508ad97479:-68ea	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	City
http://www.semwebtech.org/mondial/10/island/Babelthuap/	Island
3441d4f:1508ad6f828:6940	Encompassed
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	City
3441d4f:1508ad6f828:6f72	Membership
3441d4f:1508ad97479:-6b61	BelievedBy
http://www.semwebtech.org/mondial/10/river/Dnepr/	River
3441d4f:1508ad6f828:7749	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/	Province
3441d4f:1508ad97479:-7338	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	City
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	Estuary
3441d4f:1508ad6f828:7ac7	Membership
http://www.semwebtech.org/mondial/10/organization/BCIE/	Organization
http://www.semwebtech.org/mondial/10/mountains/Amhara/	Mountains
3441d4f:1508ad97479:-7598	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/	Province
3441d4f:1508ad6f828:7a23	Membership
3441d4f:1508ad6f828:76f5	Membership
3441d4f:1508ad97479:-7fea	Membership
3441d4f:1508ad97479:-72e4	Membership
3441d4f:1508ad97479:-6ea1	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	City
3441d4f:1508ad6f828:7651	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/	Province
3441d4f:1508ad97479:-7240	Membership
3441d4f:1508ad6f828:6bbd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	City
3441d4f:1508ad6f828:7c83	Membership
3441d4f:1508ad97479:-78d8	Membership
http://www.semwebtech.org/mondial/10/country/FALK/	Country
3441d4f:1508ad97479:-7c06	Membership
3441d4f:1508ad97479:-7834	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	City
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	City
3441d4f:1508ad97479:-7e66	Membership
3441d4f:1508ad97479:-713f	Membership
3441d4f:1508ad6f828:7fc3	Membership
3441d4f:1508ad97479:-7bb2	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/	Province
3441d4f:1508ad6f828:6a39	Border
3441d4f:1508ad97479:-77e0	Membership
3441d4f:1508ad97479:-739f	Membership
http://www.semwebtech.org/mondial/10/estuary/Vaal/	Estuary
3441d4f:1508ad97479:-6f5c	Membership
3441d4f:1508ad6f828:74fc	Membership
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	Sea
3441d4f:1508ad97479:-70eb	Membership
3441d4f:1508ad6f828:6c99	Membership
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	River
3441d4f:1508ad6f828:7a8a	Membership
http://www.semwebtech.org/mondial/10/island/Linosa/	Island
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	City
3441d4f:1508ad6f828:7e1e	Membership
3441d4f:1508ad97479:-76df	Membership
3441d4f:1508ad6f828:7118	Membership
3441d4f:1508ad97479:-7a0d	Membership
3441d4f:1508ad6f828:69a7	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	City
3441d4f:1508ad97479:-68ad	EthnicProportion
http://www.semwebtech.org/mondial/10/country/V/	Country
3441d4f:1508ad97479:-763b	Membership
3441d4f:1508ad6f828:6fd9	Membership
3441d4f:1508ad6f828:6903	Encompassed
3441d4f:1508ad97479:-6bc8	BelievedBy
3441d4f:1508ad6f828:7378	Membership
3441d4f:1508ad97479:-7c6d	Membership
3441d4f:1508ad6f828:7dca	Membership
3441d4f:1508ad6f828:6f35	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	City
3441d4f:1508ad97479:-6b24	BelievedBy
3441d4f:1508ad6f828:70c4	Membership
3441d4f:1508ad97479:-789b	Membership
http://www.semwebtech.org/mondial/10/island/Antigua/	Island
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	City
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	City
3441d4f:1508ad6f828:7020	Membership
3441d4f:1508ad97479:-6d84	SpokenBy
3441d4f:1508ad97479:-6ad0	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	City
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/	Province
3441d4f:1508ad6f828:6ee1	Membership
3441d4f:1508ad97479:-7fad	Membership
http://www.semwebtech.org/mondial/10/organization/ASEAN/	Organization
3441d4f:1508ad6f828:76b8	Membership
3441d4f:1508ad6f828:7280	Membership
3441d4f:1508ad97479:-72a7	Membership
3441d4f:1508ad6f828:7614	Membership
3441d4f:1508ad97479:-7203	Membership
3441d4f:1508ad6f828:7c46	Membership
3441d4f:1508ad97479:-6989	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	City
3441d4f:1508ad6f828:7874	Membership
3441d4f:1508ad97479:-7463	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	City
3441d4f:1508ad6f828:75c0	Membership
3441d4f:1508ad6f828:717f	Membership
3441d4f:1508ad97479:-7a95	Membership
3441d4f:1508ad6f828:6d3c	Membership
3441d4f:1508ad97479:-7e29	Membership
3441d4f:1508ad6f828:7bf2	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	City
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	City
3441d4f:1508ad6f828:696a	Encompassed
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	City
http://www.semwebtech.org/mondial/10/country/WSA/	Country
http://www.semwebtech.org/mondial/10/island/EastFalkland/	Island
3441d4f:1508ad6f828:6f9c	Membership
3441d4f:1508ad97479:-6b8b	BelievedBy
3441d4f:1508ad97479:-77a3	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/	Province
3441d4f:1508ad97479:-6f1f	Membership
3441d4f:1508ad6f828:74bf	Membership
3441d4f:1508ad97479:-7dd5	Membership
3441d4f:1508ad97479:-70ae	Membership
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	Lake
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	City
3441d4f:1508ad97479:-700a	Membership
3441d4f:1508ad6f828:741b	Membership
3441d4f:1508ad97479:-7d31	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	City
3441d4f:1508ad6f828:7a4d	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	City
http://www.semwebtech.org/mondial/10/source/Aare/	Source
3441d4f:1508ad97479:-6ecb	Membership
3441d4f:1508ad6f828:767b	Membership
3441d4f:1508ad97479:-7f91	Membership
3441d4f:1508ad97479:-726a	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	City
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/	Province
3441d4f:1508ad6f828:6b64	Membership
http://www.semwebtech.org/mondial/10/organization/WIPO/	Organization
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	City
3441d4f:1508ad97479:-785e	Membership
http://www.semwebtech.org/mondial/10/estuary/Ammer/	Estuary
3441d4f:1508ad6f828:79bb	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	City
3441d4f:1508ad97479:-75aa	Membership
3441d4f:1508ad6f828:7fed	Membership
3441d4f:1508ad97479:-6d47	SpokenBy
3441d4f:1508ad6f828:72e7	Membership
3441d4f:1508ad97479:-7bdc	Membership
3441d4f:1508ad6f828:6ea4	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	City
3441d4f:1508ad6f828:7243	Membership
3441d4f:1508ad6f828:6e00	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	City
3441d4f:1508ad97479:-6cf3	BelievedBy
3441d4f:1508ad6f828:7c09	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Shan/	EthnicGroup
http://www.semwebtech.org/mondial/10/river/Semliki/	River
3441d4f:1508ad97479:-7092	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	City
3441d4f:1508ad6f828:7837	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	City
3441d4f:1508ad97479:-7426	Membership
3441d4f:1508ad6f828:7e69	Membership
3441d4f:1508ad97479:-7a58	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	City
3441d4f:1508ad6f828:7bb5	Membership
3441d4f:1508ad97479:-68f8	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	City
3441d4f:1508ad97479:-7686	Membership
3441d4f:1508ad6f828:692d	Encompassed
3441d4f:1508ad6f828:7b11	Membership
3441d4f:1508ad6f828:77e3	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	City
3441d4f:1508ad97479:-73d2	Membership
3441d4f:1508ad6f828:6f5f	Membership
3441d4f:1508ad97479:-6b4e	BelievedBy
3441d4f:1508ad6f828:70ee	Membership
3441d4f:1508ad6f828:6cab	Membership
3441d4f:1508ad6f828:7d71	Membership
3441d4f:1508ad6f828:704a	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	City
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	City
http://www.semwebtech.org/mondial/10/organization/PCA/	Organization
3441d4f:1508ad97479:-79c6	Membership
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	City
3441d4f:1508ad97479:-6afa	EthnicProportion
3441d4f:1508ad97479:-7ff8	Membership
3441d4f:1508ad97479:-7922	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	City
3441d4f:1508ad6f828:763e	Membership
3441d4f:1508ad97479:-7f54	Membership
3441d4f:1508ad97479:-722d	Membership
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	Lake
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	City
3441d4f:1508ad97479:-7ca0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/	Province
3441d4f:1508ad6f828:6b27	Membership
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	City
3441d4f:1508ad6f828:789e	Membership
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	Estuary
3441d4f:1508ad97479:-748d	Membership
3441d4f:1508ad6f828:75ea	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	City
3441d4f:1508ad6f828:6d87	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	City
http://www.semwebtech.org/mondial/10/country/KGZ/	Country
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/	Province
3441d4f:1508ad6f828:6ad3	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Fleming/	EthnicGroup
3441d4f:1508ad6f828:7f0c	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	City
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	City
http://www.semwebtech.org/mondial/10/mountain/Annapurna/	Mountain
3441d4f:1508ad6f828:7206	Membership
3441d4f:1508ad97479:-77cd	Membership
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	City
http://www.semwebtech.org/mondial/10/river/Tigris/	River
3441d4f:1508ad97479:-7dff	Membership
3441d4f:1508ad97479:-70f9	Membership
3441d4f:1508ad97479:-6cb6	BelievedBy
3441d4f:1508ad6f828:7466	Membership
3441d4f:1508ad97479:-7d5b	Membership
3441d4f:1508ad97479:-6c12	BelievedBy
3441d4f:1508ad97479:-7055	Membership
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	Lake
3441d4f:1508ad6f828:7a98	Membership
http://www.semwebtech.org/mondial/10/organization/CEI/	Organization
3441d4f:1508ad6f828:6a11	Border
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	City
3441d4f:1508ad6f828:71b2	Membership
3441d4f:1508ad97479:-6e72	Membership
3441d4f:1508ad97479:-7649	Membership
3441d4f:1508ad6f828:6b8e	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saga/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/	Province
3441d4f:1508ad6f828:77a6	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/	Province
3441d4f:1508ad6f828:7dd8	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/	Province
3441d4f:1508ad6f828:7702	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/	Province
3441d4f:1508ad6f828:7d34	Membership
3441d4f:1508ad6f828:700d	Membership
3441d4f:1508ad97479:-75f5	Membership
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	City
3441d4f:1508ad6f828:7962	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	City
3441d4f:1508ad97479:-7551	Membership
3441d4f:1508ad6f828:6ece	Membership
3441d4f:1508ad6f828:7f94	Membership
3441d4f:1508ad97479:-6abd	EthnicProportion
3441d4f:1508ad6f828:726d	Membership
3441d4f:1508ad97479:-7b83	Membership
3441d4f:1508ad6f828:6e2a	Membership
3441d4f:1508ad6f828:7ce0	Membership
3441d4f:1508ad97479:-7f17	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/	Province
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	City
http://www.semwebtech.org/mondial/10/islands/FaroeIslands/	Islands
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	City
3441d4f:1508ad97479:-7ec3	Membership
3441d4f:1508ad6f828:75ad	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	City
http://www.semwebtech.org/mondial/10/organization/ICC/	Organization
3441d4f:1508ad6f828:7bdf	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/	Province
3441d4f:1508ad6f828:6978	Encompassed
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/	Province
3441d4f:1508ad6f828:7b3b	Membership
http://www.semwebtech.org/mondial/10/island/Savaii/	Island
3441d4f:1508ad97479:-73fc	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	City
3441d4f:1508ad97479:-6b99	BelievedBy
3441d4f:1508ad6f828:6cf6	Membership
3441d4f:1508ad6f828:7d9b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	City
3441d4f:1508ad6f828:7095	Membership
http://www.semwebtech.org/mondial/10/language/Garifuna/	Language
3441d4f:1508ad6f828:6c52	Membership
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	Lake
3441d4f:1508ad97479:-7018	Membership
3441d4f:1508ad6f828:7429	Membership
3441d4f:1508ad97479:-7d1e	Membership
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	City
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	City
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	Mountain
3441d4f:1508ad6f828:6880	Encompassed
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	City
3441d4f:1508ad97479:-794c	Membership
3441d4f:1508ad97479:-6ed9	Membership
3441d4f:1508ad6f828:7689	Membership
3441d4f:1508ad97479:-7f7e	Membership
3441d4f:1508ad97479:-7278	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	City
3441d4f:1508ad97479:-6e35	SpokenBy
3441d4f:1508ad6f828:73d5	Membership
3441d4f:1508ad97479:-7cca	Membership
3441d4f:1508ad6f828:7331	Membership
3441d4f:1508ad97479:-6de1	SpokenBy
http://www.semwebtech.org/mondial/10/country/IND/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	City
3441d4f:1508ad6f828:79c9	Membership
3441d4f:1508ad6f828:7591	Membership
http://www.semwebtech.org/mondial/10/source/Argun/	Source
3441d4f:1508ad97479:-75b8	Membership
3441d4f:1508ad97479:-7180	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	City
3441d4f:1508ad6f828:6afd	Membership
3441d4f:1508ad6f828:7925	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/	Province
3441d4f:1508ad97479:-7514	Membership
3441d4f:1508ad6f828:7f57	Membership
3441d4f:1508ad97479:-7b46	Membership
http://www.semwebtech.org/mondial/10/river/Oulujoki/	River
3441d4f:1508ad6f828:7ca3	Membership
3441d4f:1508ad97479:-69e6	EthnicProportion
3441d4f:1508ad97479:-7774	Membership
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	City
3441d4f:1508ad6f828:78d1	Membership
3441d4f:1508ad97479:-6942	EthnicProportion
3441d4f:1508ad97479:-707f	Membership
3441d4f:1508ad97479:-74c0	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	City
3441d4f:1508ad97479:-6c3c	BelievedBy
3441d4f:1508ad6f828:71dc	Membership
3441d4f:1508ad97479:-7af2	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	City
http://www.semwebtech.org/mondial/10/desert/Tenere/	Desert
3441d4f:1508ad97479:-6e9c	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	City
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	Source
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	City
3441d4f:1508ad97479:-73bf	Membership
3441d4f:1508ad6f828:772c	Membership
http://www.semwebtech.org/mondial/10/estuary/Enns/	Estuary
3441d4f:1508ad97479:-731b	Membership
3441d4f:1508ad6f828:7d5e	Membership
3441d4f:1508ad6f828:6cb9	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	City
3441d4f:1508ad6f828:7058	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	EthnicGroup
3441d4f:1508ad6f828:68e7	Encompassed
3441d4f:1508ad6f828:6c15	Membership
3441d4f:1508ad6f828:798c	Membership
3441d4f:1508ad6f828:7aaa	Membership
3441d4f:1508ad97479:-757b	Membership
http://www.semwebtech.org/mondial/10/organization/GUAM/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	City
3441d4f:1508ad97479:-790f	Membership
3441d4f:1508ad6f828:6e75	Membership
3441d4f:1508ad97479:-6a64	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	City
3441d4f:1508ad6f828:6bc1	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	EthnicGroup
3441d4f:1508ad97479:-78bb	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	City
3441d4f:1508ad6f828:75f8	Membership
3441d4f:1508ad97479:-7eed	Membership
3441d4f:1508ad97479:-71e7	Membership
3441d4f:1508ad97479:-6da4	SpokenBy
3441d4f:1508ad6f828:7554	Membership
3441d4f:1508ad97479:-7143	Membership
3441d4f:1508ad97479:-6d00	BelievedBy
3441d4f:1508ad6f828:7b86	Membership
3441d4f:1508ad6f828:72a0	Membership
http://www.semwebtech.org/mondial/10/organization/UNOCI/	Organization
3441d4f:1508ad6f828:6a1c	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	City
3441d4f:1508ad97479:-7b09	Membership
3441d4f:1508ad97479:-6f60	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/	Province
3441d4f:1508ad97479:-69a9	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Syrdarja/	Source
3441d4f:1508ad97479:-7737	Membership
3441d4f:1508ad6f828:6c7c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	City
3441d4f:1508ad97479:-7d69	Membership
3441d4f:1508ad97479:-6905	EthnicProportion
3441d4f:1508ad6f828:7ec6	Membership
3441d4f:1508ad97479:-7997	Membership
3441d4f:1508ad97479:-7ab5	Membership
http://www.semwebtech.org/mondial/10/river/Olt/	River
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/	Province
3441d4f:1508ad6f828:7e22	Membership
3441d4f:1508ad97479:-76e3	Membership
3441d4f:1508ad97479:-7a11	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	City
3441d4f:1508ad97479:-6e5f	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Central/	Province
3441d4f:1508ad6f828:73ff	Membership
3441d4f:1508ad97479:-68b1	EthnicProportion
3441d4f:1508ad6f828:6fbc	Membership
3441d4f:1508ad97479:-6bab	BelievedBy
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	City
3441d4f:1508ad97479:-7c71	Membership
3441d4f:1508ad6f828:735b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/	Province
http://www.semwebtech.org/mondial/10/source/Jenissej/	Source
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	City
3441d4f:1508ad6f828:794f	Membership
http://www.semwebtech.org/mondial/10/river/Petschora/	River
3441d4f:1508ad97479:-753e	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/	Country
3441d4f:1508ad97479:-7fb1	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	City
3441d4f:1508ad6f828:6e38	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	City
3441d4f:1508ad6f828:7ccd	Membership
3441d4f:1508ad97479:-6a27	EthnicProportion
3441d4f:1508ad97479:-779e	Membership
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	City
3441d4f:1508ad6f828:78fb	Membership
3441d4f:1508ad97479:-696c	EthnicProportion
3441d4f:1508ad97479:-74ea	Membership
http://www.semwebtech.org/mondial/10/desert/Negev/	Desert
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	River
http://www.semwebtech.org/mondial/10/ethnicgroup/Bhote/	EthnicGroup
3441d4f:1508ad97479:-6c87	BelievedBy
http://www.semwebtech.org/mondial/10/sea/YellowSea/	Sea
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/	Province
3441d4f:1508ad6f828:6de4	Membership
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	Lake
3441d4f:1508ad6f828:7183	Membership
http://www.semwebtech.org/mondial/10/country/ROU/	Country
3441d4f:1508ad6f828:6d40	Membership
3441d4f:1508ad6f828:7517	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	City
3441d4f:1508ad97479:-7e0c	Membership
3441d4f:1508ad97479:-7106	Membership
http://www.semwebtech.org/mondial/10/estuary/Atbara/	Estuary
http://www.semwebtech.org/mondial/10/river/Drau/	River
3441d4f:1508ad6f828:7b49	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	City
3441d4f:1508ad97479:-6fc7	Membership
3441d4f:1508ad6f828:7777	Membership
3441d4f:1508ad97479:-7366	Membership
3441d4f:1508ad97479:-6f23	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/	Province
3441d4f:1508ad6f828:74c3	Membership
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	Desert
3441d4f:1508ad97479:-70b2	Membership
3441d4f:1508ad6f828:6c3f	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/	Province
3441d4f:1508ad6f828:7af5	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	City
3441d4f:1508ad6f828:7a51	Membership
http://www.semwebtech.org/mondial/10/island/Barra/	Island
3441d4f:1508ad6f828:6e9f	Membership
3441d4f:1508ad97479:-6a8e	EthnicProportion
3441d4f:1508ad97479:-76a6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	City
3441d4f:1508ad6f828:6beb	Membership
3441d4f:1508ad97479:-7cd8	Membership
3441d4f:1508ad97479:-7602	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Christian/	EthnicGroup
3441d4f:1508ad6f828:731e	Membership
3441d4f:1508ad97479:-7c34	Membership
http://www.semwebtech.org/mondial/10/organization/UNRWA/	Organization
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	City
3441d4f:1508ad97479:-7862	Membership
3441d4f:1508ad97479:-6dce	SpokenBy
http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Mountains
3441d4f:1508ad6f828:757e	Membership
3441d4f:1508ad97479:-7e94	Membership
3441d4f:1508ad97479:-716d	Membership
http://www.semwebtech.org/mondial/10/island/Krakatau/	Island
3441d4f:1508ad97479:-6d2a	BelievedBy
3441d4f:1508ad6f828:7ff1	Membership
3441d4f:1508ad97479:-7be0	Membership
3441d4f:1508ad6f828:72ca	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	City
3441d4f:1508ad6f828:6a67	Border
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	Mountain
3441d4f:1508ad97479:-6f8a	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Fula/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/	Province
3441d4f:1508ad6f828:78be	Membership
3441d4f:1508ad97479:-692f	EthnicProportion
3441d4f:1508ad97479:-74ad	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/	Province
http://www.semwebtech.org/mondial/10/sea/BeringSea/	Sea
3441d4f:1508ad6f828:781a	Membership
3441d4f:1508ad97479:-7adf	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	City
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/	Province
3441d4f:1508ad6f828:6da7	Membership
3441d4f:1508ad6f828:7e4c	Membership
3441d4f:1508ad6f828:7146	Membership
3441d4f:1508ad97479:-7a3b	Membership
3441d4f:1508ad6f828:6d03	Membership
3441d4f:1508ad6f828:69d5	Border
3441d4f:1508ad97479:-68db	EthnicProportion
3441d4f:1508ad6f828:6931	Encompassed
3441d4f:1508ad97479:-6bf6	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/	Province
3441d4f:1508ad97479:-7c9b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	City
3441d4f:1508ad6f828:6f63	Membership
3441d4f:1508ad97479:-6b52	BelievedBy
3441d4f:1508ad6f828:70f2	Membership
3441d4f:1508ad97479:-7329	Membership
http://www.semwebtech.org/mondial/10/island/Upolu/	Island
http://www.semwebtech.org/mondial/10/mountain/Olympos/	Mountain
3441d4f:1508ad6f828:7907	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	City
http://www.semwebtech.org/mondial/10/source/Newa/	Source
3441d4f:1508ad6f828:7ab8	Membership
3441d4f:1508ad97479:-7589	Membership
3441d4f:1508ad6f828:76e6	Membership
3441d4f:1508ad6f828:7a14	Membership
3441d4f:1508ad97479:-7fdb	Membership
3441d4f:1508ad97479:-72d5	Membership
3441d4f:1508ad6f828:7642	Membership
3441d4f:1508ad97479:-7231	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	City
3441d4f:1508ad6f828:6bae	Membership
3441d4f:1508ad6f828:7c74	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	City
3441d4f:1508ad6f828:6b0a	Membership
3441d4f:1508ad97479:-78c9	Membership
3441d4f:1508ad97479:-7491	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	City
3441d4f:1508ad97479:-7825	Membership
3441d4f:1508ad6f828:6d6a	Membership
3441d4f:1508ad97479:-7e57	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/	Province
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	Lake
3441d4f:1508ad6f828:7fb4	Membership
3441d4f:1508ad97479:-7ba3	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	City
3441d4f:1508ad6f828:7f10	Membership
3441d4f:1508ad97479:-77d1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	City
3441d4f:1508ad97479:-6f4d	Membership
3441d4f:1508ad6f828:74ed	Membership
3441d4f:1508ad97479:-70dc	Membership
http://www.semwebtech.org/mondial/10/island/Korfu/	Island
http://www.semwebtech.org/mondial/10/religion/Taoist/	Religion
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	City
3441d4f:1508ad6f828:7a7b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	City
3441d4f:1508ad6f828:7e0f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	City
3441d4f:1508ad6f828:7109	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Viet-Kinh/	EthnicGroup
3441d4f:1508ad97479:-762c	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	City
3441d4f:1508ad6f828:6b92	Membership
3441d4f:1508ad97479:-6bb9	BelievedBy
3441d4f:1508ad6f828:7369	Membership
3441d4f:1508ad97479:-7c5e	Membership
http://www.semwebtech.org/mondial/10/country/PY/	Country
3441d4f:1508ad6f828:6f26	Membership
3441d4f:1508ad6f828:7dbb	Membership
3441d4f:1508ad97479:-6b15	BelievedBy
3441d4f:1508ad6f828:70b5	Membership
3441d4f:1508ad97479:-788c	Membership
http://www.semwebtech.org/mondial/10/religion/Episcopalian/	Religion
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	City
3441d4f:1508ad6f828:7011	Membership
3441d4f:1508ad6f828:68a0	Encompassed
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	City
3441d4f:1508ad97479:-6d75	SpokenBy
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	City
3441d4f:1508ad6f828:6ed2	Membership
3441d4f:1508ad97479:-6ac1	EthnicProportion
3441d4f:1508ad6f828:76a9	Membership
3441d4f:1508ad6f828:7271	Membership
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	City
http://www.semwebtech.org/mondial/10/river/Kwa/	River
3441d4f:1508ad6f828:7605	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/	Province
http://www.semwebtech.org/mondial/10/organization/IMF/	Organization
http://www.semwebtech.org/mondial/10/source/Save/	Source
3441d4f:1508ad6f828:7c37	Membership
http://www.semwebtech.org/mondial/10/country/WL/	Country
3441d4f:1508ad97479:-74f8	Membership
http://www.semwebtech.org/mondial/10/islands/Tokelau/	Islands
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7865	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	City
3441d4f:1508ad97479:-7454	Membership
3441d4f:1508ad6f828:7e97	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	City
3441d4f:1508ad6f828:75b1	Membership
3441d4f:1508ad97479:-7a86	Membership
3441d4f:1508ad97479:-71a0	Membership
3441d4f:1508ad6f828:6d2d	Membership
3441d4f:1508ad6f828:69ff	Border
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/	Province
3441d4f:1508ad6f828:7be3	Membership
3441d4f:1508ad6f828:695b	Encompassed
3441d4f:1508ad6f828:6f8d	Membership
3441d4f:1508ad97479:-6b7c	BelievedBy
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	City
3441d4f:1508ad6f828:7f95	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/BerberArab/	EthnicGroup
3441d4f:1508ad97479:-7dc6	Membership
3441d4f:1508ad97479:-79f4	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	City
3441d4f:1508ad6f828:740c	Membership
3441d4f:1508ad97479:-7d22	Membership
3441d4f:1508ad6f828:7a3e	Membership
3441d4f:1508ad97479:-7950	Membership
3441d4f:1508ad97479:-72ff	Membership
3441d4f:1508ad97479:-6ebc	Membership
3441d4f:1508ad6f828:766c	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	City
3441d4f:1508ad97479:-7f82	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	City
3441d4f:1508ad97479:-725b	Membership
3441d4f:1508ad6f828:6bf9	Membership
3441d4f:1508ad6f828:7c9e	Membership
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	Mountain
http://www.semwebtech.org/mondial/10/language/Maori/	Language
3441d4f:1508ad6f828:6b55	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	City
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	River
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	City
3441d4f:1508ad97479:-784f	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	City
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	City
http://www.semwebtech.org/mondial/10/estuary/Dnister/	Estuary
3441d4f:1508ad6f828:79ac	Membership
3441d4f:1508ad6f828:7fde	Membership
3441d4f:1508ad97479:-6d38	SpokenBy
3441d4f:1508ad6f828:72d8	Membership
3441d4f:1508ad97479:-7bcd	Membership
3441d4f:1508ad6f828:7f3a	Membership
3441d4f:1508ad6f828:7234	Membership
3441d4f:1508ad97479:-77fb	Membership
http://www.semwebtech.org/mondial/10/river/Volga/	River
3441d4f:1508ad97479:-6f98	Membership
3441d4f:1508ad97479:-6ce4	BelievedBy
3441d4f:1508ad6f828:7494	Membership
3441d4f:1508ad97479:-7083	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	City
3441d4f:1508ad97479:-6c40	BelievedBy
3441d4f:1508ad6f828:7828	Membership
3441d4f:1508ad6f828:71e0	Membership
3441d4f:1508ad97479:-7417	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	City
3441d4f:1508ad97479:-7a49	Membership
3441d4f:1508ad6f828:7ba6	Membership
3441d4f:1508ad97479:-68e9	EthnicProportion
3441d4f:1508ad97479:-7677	Membership
3441d4f:1508ad6f828:691e	Encompassed
3441d4f:1508ad6f828:7b02	Membership
3441d4f:1508ad6f828:77d4	Membership
3441d4f:1508ad97479:-73c3	Membership
3441d4f:1508ad97479:-6b3f	BelievedBy
3441d4f:1508ad6f828:7730	Membership
3441d4f:1508ad6f828:70df	Membership
3441d4f:1508ad6f828:7d62	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	City
3441d4f:1508ad6f828:703b	Membership
3441d4f:1508ad97479:-6d9f	SpokenBy
3441d4f:1508ad6f828:68ca	Encompassed
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	Lake
3441d4f:1508ad6f828:7990	Membership
3441d4f:1508ad97479:-79b7	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/	Province
http://www.semwebtech.org/mondial/10/source/Buna/	Source
3441d4f:1508ad6f828:6efc	Membership
3441d4f:1508ad97479:-6aeb	EthnicProportion
3441d4f:1508ad97479:-7fe9	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	City
3441d4f:1508ad6f828:729b	Membership
3441d4f:1508ad97479:-7913	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	City
3441d4f:1508ad6f828:762f	Membership
3441d4f:1508ad97479:-7f45	Membership
http://www.semwebtech.org/mondial/10/source/Parana/	Source
3441d4f:1508ad97479:-721e	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	City
3441d4f:1508ad6f828:6b18	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	City
3441d4f:1508ad6f828:788f	Membership
3441d4f:1508ad97479:-747e	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	City
3441d4f:1508ad6f828:75db	Membership
3441d4f:1508ad97479:-7ef1	Membership
3441d4f:1508ad97479:-71ca	Membership
3441d4f:1508ad6f828:6d78	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/	Province
3441d4f:1508ad6f828:6ac4	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	City
3441d4f:1508ad6f828:6a20	Border
3441d4f:1508ad97479:-77be	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/	Province
3441d4f:1508ad97479:-771a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/White/	EthnicGroup
3441d4f:1508ad6f828:6c80	Membership
3441d4f:1508ad97479:-6ca7	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	City
3441d4f:1508ad6f828:7457	Membership
3441d4f:1508ad97479:-7d4c	Membership
3441d4f:1508ad97479:-7046	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	City
3441d4f:1508ad97479:-6c03	BelievedBy
3441d4f:1508ad6f828:7a89	Membership
3441d4f:1508ad6f828:71a3	Membership
3441d4f:1508ad97479:-797a	Membership
3441d4f:1508ad97479:-6e63	Membership
http://www.semwebtech.org/mondial/10/source/Saluen/	Source
3441d4f:1508ad6f828:6fc0	Membership
3441d4f:1508ad6f828:6b7f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	City
http://www.semwebtech.org/mondial/10/sea/NorthSea/	Sea
3441d4f:1508ad6f828:7dc9	Membership
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	City
3441d4f:1508ad6f828:7d25	Membership
3441d4f:1508ad6f828:79f7	Membership
3441d4f:1508ad97479:-75e6	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/	Province
http://www.semwebtech.org/mondial/10/estuary/Saar/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	City
3441d4f:1508ad6f828:7953	Membership
3441d4f:1508ad97479:-7542	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	City
3441d4f:1508ad6f828:6ebf	Membership
3441d4f:1508ad97479:-6aae	EthnicProportion
3441d4f:1508ad6f828:7f85	Membership
3441d4f:1508ad97479:-7b74	Membership
3441d4f:1508ad6f828:725e	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	City
3441d4f:1508ad6f828:6e1b	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	City
3441d4f:1508ad6f828:7cd1	Membership
3441d4f:1508ad97479:-6a0a	EthnicProportion
3441d4f:1508ad97479:-7f08	Membership
http://www.semwebtech.org/mondial/10/language/French/	Language
3441d4f:1508ad97479:-6970	EthnicProportion
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	Island
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	City
http://www.semwebtech.org/mondial/10/country/H/province/Heves/	Province
3441d4f:1508ad97479:-6c6a	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	City
3441d4f:1508ad97479:-7eb4	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	City
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	Mountain
3441d4f:1508ad97479:-7e10	Membership
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	Desert
3441d4f:1508ad6f828:6969	Encompassed
3441d4f:1508ad6f828:7b2c	Membership
3441d4f:1508ad6f828:77fe	Membership
3441d4f:1508ad97479:-73ed	Membership
3441d4f:1508ad97479:-6faa	Membership
3441d4f:1508ad6f828:775a	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	City
3441d4f:1508ad6f828:6ce7	Membership
3441d4f:1508ad6f828:7d8c	Membership
3441d4f:1508ad6f828:7086	Membership
http://www.semwebtech.org/mondial/10/organization/OPCW/	Organization
3441d4f:1508ad6f828:6c43	Membership
http://www.semwebtech.org/mondial/10/organization/SCO/	Organization
3441d4f:1508ad97479:-7d0f	Membership
3441d4f:1508ad97479:-7009	Membership
http://www.semwebtech.org/mondial/10/country/CAM/	Country
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	City
3441d4f:1508ad97479:-793d	Membership
3441d4f:1508ad97479:-6a92	EthnicProportion
3441d4f:1508ad97479:-7f6f	Membership
3441d4f:1508ad97479:-7269	Membership
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	City
3441d4f:1508ad97479:-6e26	SpokenBy
3441d4f:1508ad6f828:73c6	Membership
3441d4f:1508ad97479:-7cbb	Membership
http://www.semwebtech.org/mondial/10/river/Piva/	River
3441d4f:1508ad6f828:7322	Membership
http://www.semwebtech.org/mondial/10/island/Jersey/	Island
3441d4f:1508ad97479:-6dd2	SpokenBy
3441d4f:1508ad6f828:7582	Membership
3441d4f:1508ad97479:-7171	Membership
3441d4f:1508ad97479:-75a9	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/	Province
3441d4f:1508ad6f828:6aee	Membership
3441d4f:1508ad6f828:7916	Membership
3441d4f:1508ad97479:-7505	Membership
3441d4f:1508ad6f828:6a4a	Border
3441d4f:1508ad6f828:7f48	Membership
3441d4f:1508ad97479:-7b37	Membership
3441d4f:1508ad97479:-69d7	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	Estuary
3441d4f:1508ad97479:-7765	Membership
3441d4f:1508ad6f828:78c2	Membership
3441d4f:1508ad97479:-6933	EthnicProportion
3441d4f:1508ad97479:-7d97	Membership
3441d4f:1508ad97479:-74b1	Membership
http://www.semwebtech.org/mondial/10/country/GE/	Country
3441d4f:1508ad6f828:7ef4	Membership
3441d4f:1508ad97479:-6c2d	BelievedBy
3441d4f:1508ad6f828:71cd	Membership
3441d4f:1508ad97479:-7ae3	Membership
3441d4f:1508ad6f828:7e50	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	City
3441d4f:1508ad97479:-6e8d	Membership
http://www.semwebtech.org/mondial/10/country/KWT/	Country
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	City
3441d4f:1508ad6f828:6fea	Membership
3441d4f:1508ad6f828:771d	Membership
3441d4f:1508ad97479:-730c	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/	Province
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	City
3441d4f:1508ad6f828:7d4f	Membership
3441d4f:1508ad6f828:7049	Membership
http://www.semwebtech.org/mondial/10/country/MW/	Country
3441d4f:1508ad6f828:6c06	Membership
3441d4f:1508ad6f828:68d8	Encompassed
3441d4f:1508ad6f828:797d	Membership
3441d4f:1508ad97479:-756c	Membership
3441d4f:1508ad97479:-6af9	EthnicProportion
3441d4f:1508ad97479:-7b9e	Membership
3441d4f:1508ad6f828:7cfb	Membership
3441d4f:1508ad6f828:6e66	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	City
http://www.semwebtech.org/mondial/10/country/AMSA/	Country
3441d4f:1508ad97479:-6a55	EthnicProportion
3441d4f:1508ad6f828:6bb2	Membership
3441d4f:1508ad97479:-699a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/	Province
3441d4f:1508ad97479:-78ac	Membership
3441d4f:1508ad97479:-7ede	Membership
3441d4f:1508ad6f828:75e9	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/	Province
3441d4f:1508ad97479:-71d8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	City
http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/	Islands
3441d4f:1508ad97479:-7e3a	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	City
3441d4f:1508ad6f828:7545	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	City
3441d4f:1508ad97479:-7134	Membership
3441d4f:1508ad6f828:7b77	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	City
3441d4f:1508ad6f828:6a0d	Border
3441d4f:1508ad97479:-6ff5	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	City
3441d4f:1508ad97479:-7394	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	City
3441d4f:1508ad97479:-6f51	Membership
3441d4f:1508ad6f828:74f1	Membership
http://www.semwebtech.org/mondial/10/river/Atbara/	River
3441d4f:1508ad97479:-7728	Membership
3441d4f:1508ad97479:-70e0	Membership
3441d4f:1508ad6f828:6c6d	Membership
http://www.semwebtech.org/mondial/10/island/BishopRock/	Island
http://www.semwebtech.org/mondial/10/estuary/Drau/	Estuary
http://www.semwebtech.org/mondial/10/country/TCH/	Country
3441d4f:1508ad6f828:7eb7	Membership
3441d4f:1508ad6f828:689b	Encompassed
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	City
3441d4f:1508ad97479:-7988	Membership
3441d4f:1508ad97479:-7aa6	Membership
3441d4f:1508ad6f828:7e13	Membership
3441d4f:1508ad97479:-76d4	Membership
3441d4f:1508ad97479:-7a02	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/	Province
3441d4f:1508ad97479:-68a2	EthnicProportion
3441d4f:1508ad97479:-7630	Membership
3441d4f:1508ad6f828:6fad	Membership
3441d4f:1508ad6f828:734c	Membership
3441d4f:1508ad97479:-7c62	Membership
3441d4f:1508ad97479:-7890	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	City
3441d4f:1508ad97479:-6dfc	SpokenBy
3441d4f:1508ad97479:-719b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	City
3441d4f:1508ad97479:-752f	Membership
3441d4f:1508ad6f828:6a95	Border
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	City
3441d4f:1508ad97479:-7fa2	Membership
3441d4f:1508ad6f828:6e29	Membership
3441d4f:1508ad6f828:7cbe	Membership
3441d4f:1508ad97479:-6a18	EthnicProportion
3441d4f:1508ad97479:-778f	Membership
http://www.semwebtech.org/mondial/10/country/ARU/	Country
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	City
3441d4f:1508ad6f828:7c1a	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	City
3441d4f:1508ad6f828:78ec	Membership
3441d4f:1508ad97479:-695d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/I/	Country
3441d4f:1508ad97479:-74db	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/	Province
3441d4f:1508ad97479:-6c78	BelievedBy
3441d4f:1508ad6f828:6dd5	Membership
3441d4f:1508ad6f828:7e7a	Membership
3441d4f:1508ad6f828:7174	Membership
3441d4f:1508ad6f828:6d31	Membership
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	Lake
3441d4f:1508ad6f828:7508	Membership
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/	Province
3441d4f:1508ad97479:-6b80	BelievedBy
3441d4f:1508ad6f828:6f91	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	City
3441d4f:1508ad97479:-6fb8	Membership
3441d4f:1508ad6f828:7768	Membership
3441d4f:1508ad97479:-7357	Membership
http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	Islands
3441d4f:1508ad97479:-6f14	Membership
3441d4f:1508ad6f828:74b4	Membership
http://www.semwebtech.org/mondial/10/island/Fehmarn/	Island
3441d4f:1508ad97479:-70a3	Membership
3441d4f:1508ad6f828:7ae6	Membership
3441d4f:1508ad6f828:7410	Membership
3441d4f:1508ad6f828:7a42	Membership
3441d4f:1508ad97479:-6a7f	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	Mountain
http://www.semwebtech.org/mondial/10/source/Lukuga/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	City
3441d4f:1508ad97479:-6ec0	Membership
3441d4f:1508ad6f828:7670	Membership
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	Mountain
3441d4f:1508ad6f828:6bdc	Membership
3441d4f:1508ad97479:-7cc9	Membership
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	Lake
3441d4f:1508ad97479:-78f7	Membership
3441d4f:1508ad6f828:730f	Membership
3441d4f:1508ad97479:-7c25	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	City
3441d4f:1508ad97479:-7853	Membership
3441d4f:1508ad97479:-6dbf	SpokenBy
3441d4f:1508ad97479:-7e85	Membership
3441d4f:1508ad6f828:79b0	Membership
3441d4f:1508ad6f828:756f	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/	Province
3441d4f:1508ad97479:-715e	Membership
3441d4f:1508ad97479:-6d1b	BelievedBy
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	Lake
3441d4f:1508ad6f828:7fe2	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	City
3441d4f:1508ad6f828:72bb	Membership
3441d4f:1508ad97479:-7bd1	Membership
3441d4f:1508ad6f828:6a58	Border
http://www.semwebtech.org/mondial/10/source/SouthernMorava/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Kimbundu/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Katun/	Source
3441d4f:1508ad97479:-6f7b	Membership
3441d4f:1508ad6f828:78af	Membership
http://www.semwebtech.org/mondial/10/organization/AfDB/	Organization
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	City
3441d4f:1508ad6f828:780b	Membership
3441d4f:1508ad6f828:7e3d	Membership
3441d4f:1508ad97479:-76fe	Membership
3441d4f:1508ad6f828:7137	Membership
3441d4f:1508ad97479:-7a2c	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	City
3441d4f:1508ad6f828:69c6	Border
3441d4f:1508ad97479:-68cc	EthnicProportion
3441d4f:1508ad97479:-765a	Membership
http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/	Mountains
3441d4f:1508ad6f828:6ff8	Membership
3441d4f:1508ad6f828:6922	Encompassed
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/	Province
3441d4f:1508ad97479:-6be7	BelievedBy
3441d4f:1508ad6f828:7397	Membership
3441d4f:1508ad97479:-7c8c	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	City
3441d4f:1508ad6f828:6f54	Membership
3441d4f:1508ad97479:-6b43	BelievedBy
3441d4f:1508ad6f828:70e3	Membership
3441d4f:1508ad6f828:6ca0	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	City
3441d4f:1508ad6f828:7aa9	Membership
http://www.semwebtech.org/mondial/10/river/Lagen/	River
3441d4f:1508ad6f828:76d7	Membership
3441d4f:1508ad6f828:7a05	Membership
3441d4f:1508ad97479:-7fcc	Membership
3441d4f:1508ad97479:-72c6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	City
3441d4f:1508ad6f828:7633	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	City
3441d4f:1508ad97479:-7222	Membership
http://www.semwebtech.org/mondial/10/country/HCA/	Country
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	City
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	City
3441d4f:1508ad6f828:7c65	Membership
3441d4f:1508ad6f828:7893	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Mauritian/	EthnicGroup
3441d4f:1508ad97479:-7482	Membership
3441d4f:1508ad6f828:6dff	Membership
3441d4f:1508ad97479:-7816	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/	Province
3441d4f:1508ad6f828:719e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	City
3441d4f:1508ad6f828:6d5b	Membership
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	Sea
3441d4f:1508ad97479:-7e48	Membership
3441d4f:1508ad6f828:7fa5	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	City
3441d4f:1508ad6f828:7f01	Membership
3441d4f:1508ad97479:-77c2	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/	Province
http://www.semwebtech.org/mondial/10/organization/AFESD/	Organization
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	City
3441d4f:1508ad97479:-6f3e	Membership
3441d4f:1508ad6f828:74de	Membership
3441d4f:1508ad97479:-7df4	Membership
3441d4f:1508ad97479:-70cd	Membership
3441d4f:1508ad97479:-7d50	Membership
3441d4f:1508ad6f828:743a	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	City
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	City
3441d4f:1508ad6f828:7a6c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/MediterraneanNordic/	EthnicGroup
http://www.semwebtech.org/mondial/10/islands/MarshallIslands/	Islands
3441d4f:1508ad97479:-6eea	Membership
3441d4f:1508ad6f828:769a	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	City
http://www.semwebtech.org/mondial/10/organization/PIF/	Organization
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	City
http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Mountains
3441d4f:1508ad97479:-761d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	City
3441d4f:1508ad6f828:6b83	Membership
3441d4f:1508ad97479:-7c4f	Membership
3441d4f:1508ad6f828:6f17	Membership
3441d4f:1508ad6f828:7dac	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	Province
3441d4f:1508ad97479:-6b06	EthnicProportion
3441d4f:1508ad6f828:70a6	Membership
3441d4f:1508ad97479:-787d	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	City
http://www.semwebtech.org/mondial/10/river/Mur/	River
3441d4f:1508ad6f828:79da	Membership
3441d4f:1508ad6f828:7002	Membership
http://www.semwebtech.org/mondial/10/country/NCA/	Country
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	City
3441d4f:1508ad97479:-6d66	SpokenBy
3441d4f:1508ad97479:-7bfb	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	City
http://www.semwebtech.org/mondial/10/organization/OAPEC/	Organization
3441d4f:1508ad6f828:6ec3	Membership
3441d4f:1508ad97479:-6ab2	EthnicProportion
http://www.semwebtech.org/mondial/10/islands/AndamanIslands/	Islands
3441d4f:1508ad6f828:7262	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	City
3441d4f:1508ad6f828:7c28	Membership
3441d4f:1508ad97479:-74e9	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	City
3441d4f:1508ad6f828:7856	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Wallisian/	EthnicGroup
3441d4f:1508ad97479:-7445	Membership
3441d4f:1508ad6f828:7e88	Membership
3441d4f:1508ad6f828:75a2	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	City
3441d4f:1508ad97479:-7a77	Membership
3441d4f:1508ad6f828:6d1e	Membership
3441d4f:1508ad6f828:7bd4	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/	Language
3441d4f:1508ad6f828:694c	Encompassed
http://www.semwebtech.org/mondial/10/estuary/Ticino/	Estuary
3441d4f:1508ad6f828:7b30	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	City
3441d4f:1508ad97479:-73f1	Membership
3441d4f:1508ad6f828:6f7e	Membership
3441d4f:1508ad97479:-6b6d	BelievedBy
3441d4f:1508ad6f828:6cca	Membership
3441d4f:1508ad6f828:7d90	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	City
3441d4f:1508ad97479:-7db7	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/	Province
3441d4f:1508ad97479:-79e5	Membership
3441d4f:1508ad97479:-7d13	Membership
http://www.semwebtech.org/mondial/10/island/Tasmania/	Island
http://www.semwebtech.org/mondial/10/source/Irawaddy/	Source
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	City
3441d4f:1508ad6f828:7a2f	Membership
3441d4f:1508ad97479:-7941	Membership
http://www.semwebtech.org/mondial/10/river/Colorado/	River
3441d4f:1508ad97479:-6ead	Membership
3441d4f:1508ad6f828:765d	Membership
3441d4f:1508ad97479:-7f73	Membership
3441d4f:1508ad97479:-724c	Membership
3441d4f:1508ad6f828:7c8f	Membership
3441d4f:1508ad6f828:6b46	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/	Province
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	City
3441d4f:1508ad6f828:6af2	Membership
3441d4f:1508ad6f828:7fcf	Membership
3441d4f:1508ad97479:-6d29	BelievedBy
3441d4f:1508ad6f828:72c9	Membership
3441d4f:1508ad97479:-7bbe	Membership
3441d4f:1508ad6f828:7f2b	Membership
3441d4f:1508ad97479:-77ec	Membership
3441d4f:1508ad6f828:7225	Membership
3441d4f:1508ad97479:-7b1a	Membership
3441d4f:1508ad97479:-6f89	Membership
3441d4f:1508ad97479:-69ba	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SN/	Country
3441d4f:1508ad97479:-6cd5	BelievedBy
http://www.semwebtech.org/mondial/10/source/WhiteNile/	Source
3441d4f:1508ad6f828:7485	Membership
3441d4f:1508ad97479:-7d7a	Membership
3441d4f:1508ad97479:-7074	Membership
3441d4f:1508ad97479:-6c31	BelievedBy
3441d4f:1508ad6f828:7819	Membership
3441d4f:1508ad6f828:71d1	Membership
3441d4f:1508ad97479:-7408	Membership
http://www.semwebtech.org/mondial/10/source/Ene/	Source
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Byelorussian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	City
3441d4f:1508ad97479:-6e91	Membership
3441d4f:1508ad97479:-7668	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	City
3441d4f:1508ad6f828:690f	Encompassed
3441d4f:1508ad6f828:77c5	Membership
3441d4f:1508ad97479:-73b4	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/	Province
3441d4f:1508ad6f828:7df7	Membership
3441d4f:1508ad6f828:7721	Membership
3441d4f:1508ad97479:-7310	Membership
3441d4f:1508ad6f828:7d53	Membership
3441d4f:1508ad6f828:702c	Membership
http://www.semwebtech.org/mondial/10/desert/Thar/	Desert
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	Island
3441d4f:1508ad97479:-79a8	Membership
3441d4f:1508ad6f828:68bb	Encompassed
3441d4f:1508ad6f828:7981	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	City
3441d4f:1508ad97479:-7570	Membership
3441d4f:1508ad6f828:6eed	Membership
3441d4f:1508ad97479:-6adc	EthnicProportion
3441d4f:1508ad97479:-7904	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/	Province
3441d4f:1508ad6f828:728c	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/	Province
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	City
3441d4f:1508ad97479:-7f36	Membership
3441d4f:1508ad97479:-720f	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthernIrish/	EthnicGroup
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	Lake
3441d4f:1508ad6f828:6b09	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	City
3441d4f:1508ad97479:-78b0	Membership
3441d4f:1508ad97479:-746f	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	City
3441d4f:1508ad6f828:75cc	Membership
3441d4f:1508ad97479:-7ee2	Membership
3441d4f:1508ad97479:-71bb	Membership
http://www.semwebtech.org/mondial/10/organization/G-20/	Organization
http://www.semwebtech.org/mondial/10/language/Quechua/	Language
3441d4f:1508ad6f828:6d69	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	City
3441d4f:1508ad6f828:7bfe	Membership
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	Mountain
3441d4f:1508ad6f828:6ab5	Border
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/	Province
3441d4f:1508ad6f828:6997	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	EthnicGroup
3441d4f:1508ad6f828:7b5a	Membership
http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	Mountains
3441d4f:1508ad97479:-77af	Membership
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	Estuary
3441d4f:1508ad97479:-770b	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/	Province
3441d4f:1508ad6f828:6c71	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/	Province
3441d4f:1508ad6f828:7448	Membership
3441d4f:1508ad97479:-7d3d	Membership
3441d4f:1508ad97479:-7037	Membership
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	Mountain
3441d4f:1508ad97479:-796b	Membership
3441d4f:1508ad97479:-6ef8	Membership
3441d4f:1508ad97479:-7f9d	Membership
3441d4f:1508ad97479:-7297	Membership
3441d4f:1508ad97479:-6e54	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	City
3441d4f:1508ad6f828:73f4	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	City
3441d4f:1508ad6f828:6fb1	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	City
3441d4f:1508ad97479:-6ba0	BelievedBy
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	City
3441d4f:1508ad6f828:7350	Membership
http://www.semwebtech.org/mondial/10/island/Sumbawa/	Island
http://www.semwebtech.org/mondial/10/island/Lavan/	Island
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	City
3441d4f:1508ad6f828:7d16	Membership
3441d4f:1508ad6f828:79e8	Membership
3441d4f:1508ad97479:-75d7	Membership
http://www.semwebtech.org/mondial/10/island/Ibiza/	Island
3441d4f:1508ad6f828:7944	Membership
3441d4f:1508ad97479:-7533	Membership
3441d4f:1508ad6f828:7f76	Membership
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	Island
3441d4f:1508ad6f828:724f	Membership
3441d4f:1508ad97479:-7b65	Membership
http://www.semwebtech.org/mondial/10/river/Pibor/	River
3441d4f:1508ad6f828:6e0c	Membership
3441d4f:1508ad6f828:7cc2	Membership
3441d4f:1508ad97479:-7793	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/	Province
3441d4f:1508ad97479:-6cff	BelievedBy
3441d4f:1508ad6f828:78f0	Membership
3441d4f:1508ad97479:-6961	EthnicProportion
3441d4f:1508ad97479:-709e	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	City
3441d4f:1508ad97479:-6c5b	BelievedBy
3441d4f:1508ad6f828:71fb	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	City
3441d4f:1508ad97479:-7ea5	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	City
3441d4f:1508ad97479:-7e01	Membership
3441d4f:1508ad6f828:7b1d	Membership
3441d4f:1508ad6f828:77ef	Membership
3441d4f:1508ad97479:-73de	Membership
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	City
3441d4f:1508ad6f828:774b	Membership
3441d4f:1508ad97479:-733a	Membership
3441d4f:1508ad6f828:6cd8	Membership
3441d4f:1508ad6f828:7d7d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	City
3441d4f:1508ad6f828:7077	Membership
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	Estuary
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	City
3441d4f:1508ad6f828:6c34	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	City
http://www.semwebtech.org/mondial/10/religion/ChristianCongregationalist/	Religion
3441d4f:1508ad97479:-759a	Membership
3441d4f:1508ad97479:-792e	Membership
http://www.semwebtech.org/mondial/10/river/Irtysch/	River
3441d4f:1508ad6f828:6e94	Membership
3441d4f:1508ad97479:-6a83	EthnicProportion
http://www.semwebtech.org/mondial/10/island/SaintPierre/	Island
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	Lake
3441d4f:1508ad6f828:6be0	Membership
3441d4f:1508ad97479:-6e17	SpokenBy
3441d4f:1508ad6f828:73b7	Membership
3441d4f:1508ad97479:-7cac	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	City
3441d4f:1508ad97479:-78da	Membership
3441d4f:1508ad6f828:7313	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	City
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	Lake
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/	Province
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	Estuary
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/	Province
3441d4f:1508ad97479:-6dc3	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Rhone/	Estuary
3441d4f:1508ad6f828:7573	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	City
3441d4f:1508ad97479:-7162	Membership
3441d4f:1508ad6f828:6adf	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	City
3441d4f:1508ad6f828:6a3b	Border
3441d4f:1508ad6f828:7f39	Membership
3441d4f:1508ad97479:-7b28	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/	Province
3441d4f:1508ad97479:-69c8	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	City
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	Mountain
3441d4f:1508ad97479:-7756	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	City
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	City
3441d4f:1508ad6f828:6c9b	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	City
3441d4f:1508ad6f828:78b3	Membership
3441d4f:1508ad97479:-6924	EthnicProportion
3441d4f:1508ad97479:-7d88	Membership
3441d4f:1508ad97479:-74a2	Membership
3441d4f:1508ad6f828:7ee5	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	City
3441d4f:1508ad97479:-6c1e	BelievedBy
3441d4f:1508ad6f828:71be	Membership
3441d4f:1508ad97479:-7ad4	Membership
3441d4f:1508ad6f828:7e41	Membership
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	City
3441d4f:1508ad6f828:711a	Membership
3441d4f:1508ad97479:-7a30	Membership
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	City
3441d4f:1508ad97479:-6e7e	Membership
3441d4f:1508ad97479:-68d0	EthnicProportion
3441d4f:1508ad6f828:6fdb	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	City
3441d4f:1508ad97479:-6bca	BelievedBy
3441d4f:1508ad6f828:737a	Membership
3441d4f:1508ad97479:-7c90	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	City
http://www.semwebtech.org/mondial/10/estuary/Karun/	Estuary
3441d4f:1508ad6f828:770e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	EthnicGroup
3441d4f:1508ad6f828:68c9	Encompassed
3441d4f:1508ad6f828:796e	Membership
3441d4f:1508ad97479:-755d	Membership
3441d4f:1508ad97479:-7b8f	Membership
3441d4f:1508ad6f828:76ba	Membership
3441d4f:1508ad97479:-7fd0	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	City
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	City
3441d4f:1508ad6f828:6e57	Membership
3441d4f:1508ad97479:-6a46	EthnicProportion
3441d4f:1508ad6f828:7cec	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Karen/	EthnicGroup
3441d4f:1508ad6f828:6ba3	Membership
3441d4f:1508ad97479:-698b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	City
http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	Islands
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	City
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	City
3441d4f:1508ad97479:-7ecf	Membership
3441d4f:1508ad97479:-71c9	Membership
http://www.semwebtech.org/mondial/10/organization/AG/	Organization
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	City
3441d4f:1508ad6f828:7536	Membership
3441d4f:1508ad97479:-7e2b	Membership
3441d4f:1508ad97479:-7125	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/	Province
3441d4f:1508ad6f828:7b68	Membership
3441d4f:1508ad97479:-6fe6	Membership
3441d4f:1508ad6f828:7796	Membership
http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/	Mountains
3441d4f:1508ad97479:-7385	Membership
http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/	Mountains
3441d4f:1508ad97479:-6f42	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	City
3441d4f:1508ad6f828:74e2	Membership
3441d4f:1508ad97479:-7719	Membership
3441d4f:1508ad97479:-70d1	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	City
3441d4f:1508ad6f828:6c5e	Membership
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	Desert
3441d4f:1508ad6f828:688c	Encompassed
3441d4f:1508ad6f828:7ea8	Membership
3441d4f:1508ad6f828:7a70	Membership
3441d4f:1508ad97479:-7979	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/	Province
3441d4f:1508ad6f828:7e04	Membership
3441d4f:1508ad97479:-76c5	Membership
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	City
3441d4f:1508ad97479:-7621	Membership
3441d4f:1508ad97479:-7cf7	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	City
3441d4f:1508ad6f828:733d	Membership
3441d4f:1508ad97479:-7c53	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	City
3441d4f:1508ad6f828:7db0	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	City
3441d4f:1508ad97479:-7881	Membership
3441d4f:1508ad97479:-6ded	SpokenBy
3441d4f:1508ad6f828:759d	Membership
3441d4f:1508ad97479:-718c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/	Province
3441d4f:1508ad6f828:6a86	Border
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	City
3441d4f:1508ad6f828:7caf	Membership
3441d4f:1508ad97479:-6a09	EthnicProportion
3441d4f:1508ad6f828:7c0b	Membership
3441d4f:1508ad6f828:78dd	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	City
3441d4f:1508ad97479:-694e	EthnicProportion
3441d4f:1508ad97479:-74cc	Membership
3441d4f:1508ad97479:-6c69	BelievedBy
3441d4f:1508ad97479:-7afe	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/	Province
http://www.semwebtech.org/mondial/10/country/PL/	Country
3441d4f:1508ad6f828:6dc6	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	City
3441d4f:1508ad6f828:7e6b	Membership
3441d4f:1508ad6f828:7165	Membership
3441d4f:1508ad97479:-7a5a	Membership
3441d4f:1508ad6f828:6d22	Membership
3441d4f:1508ad6f828:69f4	Border
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/	Province
3441d4f:1508ad97479:-68fa	EthnicProportion
3441d4f:1508ad6f828:6950	Encompassed
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	City
3441d4f:1508ad6f828:6f82	Membership
3441d4f:1508ad97479:-6b71	BelievedBy
3441d4f:1508ad97479:-6fa9	Membership
3441d4f:1508ad6f828:7759	Membership
3441d4f:1508ad97479:-7348	Membership
3441d4f:1508ad97479:-6f05	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	City
http://www.semwebtech.org/mondial/10/country/FSM/	Country
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	City
3441d4f:1508ad6f828:74a5	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	City
3441d4f:1508ad6f828:7ad7	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	City
3441d4f:1508ad6f828:7401	Membership
3441d4f:1508ad6f828:7a33	Membership
3441d4f:1508ad97479:-7ffa	Membership
3441d4f:1508ad97479:-72f4	Membership
3441d4f:1508ad97479:-6eb1	Membership
3441d4f:1508ad6f828:7661	Membership
http://www.semwebtech.org/mondial/10/country/YE/	Country
3441d4f:1508ad97479:-7250	Membership
3441d4f:1508ad6f828:6bcd	Membership
3441d4f:1508ad6f828:7c93	Membership
3441d4f:1508ad97479:-78e8	Membership
3441d4f:1508ad97479:-7c16	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/	Province
3441d4f:1508ad97479:-7844	Membership
3441d4f:1508ad97479:-7e76	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	City
3441d4f:1508ad6f828:79a1	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	City
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/	Province
3441d4f:1508ad97479:-714f	Membership
3441d4f:1508ad6f828:7fd3	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	City
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	City
3441d4f:1508ad97479:-6d0c	BelievedBy
3441d4f:1508ad6f828:72ac	Membership
3441d4f:1508ad97479:-7bc2	Membership
3441d4f:1508ad6f828:6a49	Border
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	Island
3441d4f:1508ad97479:-77f0	Membership
http://www.semwebtech.org/mondial/10/religion/Mormon/	Religion
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/	Province
3441d4f:1508ad97479:-6f6c	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	City
3441d4f:1508ad97479:-70fb	Membership
http://www.semwebtech.org/mondial/10/source/March/	Source
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	City
3441d4f:1508ad6f828:7a9a	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/	Province
3441d4f:1508ad6f828:7e2e	Membership
3441d4f:1508ad97479:-76ef	Membership
3441d4f:1508ad6f828:7128	Membership
3441d4f:1508ad97479:-7a1d	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	City
3441d4f:1508ad6f828:69b7	Border
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	City
3441d4f:1508ad97479:-68bd	EthnicProportion
3441d4f:1508ad97479:-764b	Membership
3441d4f:1508ad6f828:6fe9	Membership
3441d4f:1508ad6f828:6913	Encompassed
3441d4f:1508ad97479:-6bd8	BelievedBy
3441d4f:1508ad6f828:7388	Membership
3441d4f:1508ad97479:-7c7d	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	City
3441d4f:1508ad6f828:6f45	Membership
3441d4f:1508ad6f828:7dda	Membership
3441d4f:1508ad97479:-6b34	BelievedBy
3441d4f:1508ad6f828:70d4	Membership
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	City
http://www.semwebtech.org/mondial/10/source/Jordan/	Source
3441d4f:1508ad6f828:7030	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	City
3441d4f:1508ad97479:-6d94	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	Estuary
3441d4f:1508ad6f828:6ef1	Membership
3441d4f:1508ad97479:-6ae0	EthnicProportion
3441d4f:1508ad97479:-7fbd	Membership
3441d4f:1508ad6f828:76c8	Membership
3441d4f:1508ad6f828:7290	Membership
3441d4f:1508ad97479:-72b7	Membership
http://www.semwebtech.org/mondial/10/island/Jamaica/	Island
http://www.semwebtech.org/mondial/10/ethnicgroup/Sino-Mauritian/	EthnicGroup
3441d4f:1508ad6f828:7624	Membership
3441d4f:1508ad97479:-7213	Membership
3441d4f:1508ad6f828:7c56	Membership
3441d4f:1508ad97479:-6999	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/Lebanon/	Mountains
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/	Province
3441d4f:1508ad6f828:7884	Membership
3441d4f:1508ad97479:-7473	Membership
3441d4f:1508ad6f828:75d0	Membership
3441d4f:1508ad6f828:718f	Membership
3441d4f:1508ad97479:-7807	Membership
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	Lake
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/	Province
3441d4f:1508ad6f828:6d4c	Membership
3441d4f:1508ad97479:-7e39	Membership
3441d4f:1508ad6f828:697a	Border
http://www.semwebtech.org/mondial/10/source/Vaal/	Source
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	City
3441d4f:1508ad97479:-6b9b	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/	Province
3441d4f:1508ad97479:-77b3	Membership
http://www.semwebtech.org/mondial/10/river/Ticino/	River
3441d4f:1508ad97479:-6f2f	Membership
3441d4f:1508ad6f828:74cf	Membership
3441d4f:1508ad97479:-7de5	Membership
3441d4f:1508ad97479:-70be	Membership
http://www.semwebtech.org/mondial/10/river/Don/	River
3441d4f:1508ad97479:-7d41	Membership
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	City
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/	Province
3441d4f:1508ad6f828:742b	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	City
3441d4f:1508ad97479:-701a	Membership
3441d4f:1508ad6f828:7a5d	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	City
3441d4f:1508ad97479:-6edb	Membership
3441d4f:1508ad6f828:768b	Membership
http://www.semwebtech.org/mondial/10/estuary/Kama/	Estuary
3441d4f:1508ad97479:-727a	Membership
3441d4f:1508ad97479:-760e	Membership
http://www.semwebtech.org/mondial/10/organization/MONUSCO/	Organization
3441d4f:1508ad6f828:6b74	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	City
3441d4f:1508ad6f828:6f08	Membership
http://www.semwebtech.org/mondial/10/estuary/Zaire/	Estuary
3441d4f:1508ad97479:-786e	Membership
3441d4f:1508ad6f828:79cb	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/	Province
3441d4f:1508ad97479:-75ba	Membership
http://www.semwebtech.org/mondial/10/language/Chinese/	Language
3441d4f:1508ad97479:-6d57	SpokenBy
3441d4f:1508ad6f828:7ffd	Membership
3441d4f:1508ad97479:-7bec	Membership
3441d4f:1508ad6f828:72f7	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	City
3441d4f:1508ad6f828:6eb4	Membership
3441d4f:1508ad97479:-6aa3	EthnicProportion
3441d4f:1508ad6f828:7253	Membership
3441d4f:1508ad6f828:6e10	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	City
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	City
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	City
3441d4f:1508ad6f828:7c19	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	City
http://www.semwebtech.org/mondial/10/country/F/province/Corse/	Province
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	City
3441d4f:1508ad6f828:7847	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	City
3441d4f:1508ad97479:-7436	Membership
3441d4f:1508ad6f828:7e79	Membership
3441d4f:1508ad97479:-7d60	Membership
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	Estuary
3441d4f:1508ad97479:-7a68	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/	Province
3441d4f:1508ad6f828:6d0f	Membership
3441d4f:1508ad6f828:7bc5	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	City
3441d4f:1508ad97479:-7696	Membership
http://www.semwebtech.org/mondial/10/language/Belorussian/	Language
3441d4f:1508ad6f828:693d	Encompassed
3441d4f:1508ad6f828:7b21	Membership
3441d4f:1508ad6f828:77f3	Membership
3441d4f:1508ad97479:-73e2	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	City
3441d4f:1508ad6f828:6f6f	Membership
3441d4f:1508ad97479:-6b5e	BelievedBy
http://www.semwebtech.org/mondial/10/island/Curacao/	Island
3441d4f:1508ad6f828:70fe	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/	Province
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	Island
3441d4f:1508ad6f828:6cbb	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	City
3441d4f:1508ad97479:-7da8	Membership
3441d4f:1508ad6f828:7d81	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	City
3441d4f:1508ad6f828:705a	Membership
3441d4f:1508ad97479:-79d6	Membership
3441d4f:1508ad97479:-7d04	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	City
3441d4f:1508ad97479:-7932	Membership
3441d4f:1508ad6f828:764e	Membership
3441d4f:1508ad97479:-7f64	Membership
3441d4f:1508ad97479:-723d	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	City
3441d4f:1508ad97479:-7cb0	Membership
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	City
3441d4f:1508ad6f828:6b37	Membership
http://www.semwebtech.org/mondial/10/island/Gheschm/	Island
3441d4f:1508ad97479:-749d	Membership
3441d4f:1508ad6f828:75fa	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	City
3441d4f:1508ad6f828:6d97	Membership
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	City
3441d4f:1508ad6f828:6ae3	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	City
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	Mountain
http://www.semwebtech.org/mondial/10/source/Murat/	Source
3441d4f:1508ad97479:-7baf	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	City
3441d4f:1508ad6f828:7f1c	Membership
3441d4f:1508ad97479:-77dd	Membership
3441d4f:1508ad6f828:7216	Membership
3441d4f:1508ad97479:-7b0b	Membership
3441d4f:1508ad97479:-69ab	EthnicProportion
3441d4f:1508ad97479:-6cc6	BelievedBy
3441d4f:1508ad6f828:7476	Membership
3441d4f:1508ad97479:-7d6b	Membership
3441d4f:1508ad97479:-7065	Membership
3441d4f:1508ad97479:-6c22	BelievedBy
http://www.semwebtech.org/mondial/10/country/SGP/	Country
3441d4f:1508ad6f828:71c2	Membership
3441d4f:1508ad97479:-6e82	Membership
3441d4f:1508ad97479:-7659	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/	Province
3441d4f:1508ad6f828:6b9e	Membership
3441d4f:1508ad6f828:77b6	Membership
3441d4f:1508ad97479:-73a5	Membership
3441d4f:1508ad6f828:7de8	Membership
3441d4f:1508ad6f828:7712	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/	Province
3441d4f:1508ad97479:-7301	Membership
3441d4f:1508ad6f828:7d44	Membership
3441d4f:1508ad6f828:701d	Membership
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	River
3441d4f:1508ad6f828:68ac	Encompassed
3441d4f:1508ad6f828:7972	Membership
3441d4f:1508ad97479:-7561	Membership
3441d4f:1508ad6f828:6ede	Membership
3441d4f:1508ad97479:-6acd	EthnicProportion
3441d4f:1508ad6f828:727d	Membership
3441d4f:1508ad97479:-7b93	Membership
http://www.semwebtech.org/mondial/10/river/Cuilo/	River
3441d4f:1508ad6f828:6e3a	Membership
3441d4f:1508ad6f828:7cf0	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	City
3441d4f:1508ad97479:-7f27	Membership
3441d4f:1508ad97479:-78a1	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	City
3441d4f:1508ad6f828:75bd	Membership
3441d4f:1508ad97479:-7ed3	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/	Province
3441d4f:1508ad97479:-71ac	Membership
3441d4f:1508ad6f828:7bef	Membership
3441d4f:1508ad6f828:6aa6	Border
3441d4f:1508ad6f828:6988	Border
3441d4f:1508ad6f828:7b4b	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	City
3441d4f:1508ad6f828:6a02	Border
http://www.semwebtech.org/mondial/10/source/Ruzizi/	Source
3441d4f:1508ad6f828:6c62	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	City
http://www.semwebtech.org/mondial/10/estuary/Uelle/	Estuary
3441d4f:1508ad6f828:7439	Membership
3441d4f:1508ad97479:-7d2e	Membership
3441d4f:1508ad97479:-7028	Membership
3441d4f:1508ad6f828:6890	Encompassed
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	City
3441d4f:1508ad97479:-795c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Nung/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Newfoundland/	Island
3441d4f:1508ad97479:-6ee9	Membership
3441d4f:1508ad97479:-7f8e	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	City
3441d4f:1508ad6f828:7699	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	City
3441d4f:1508ad97479:-7288	Membership
3441d4f:1508ad97479:-6e45	SpokenBy
3441d4f:1508ad6f828:73e5	Membership
3441d4f:1508ad97479:-7cda	Membership
3441d4f:1508ad6f828:6fa2	Membership
3441d4f:1508ad6f828:7341	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Ovimbundu/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	City
3441d4f:1508ad97479:-6df1	SpokenBy
3441d4f:1508ad6f828:7d07	Membership
3441d4f:1508ad6f828:79d9	Membership
3441d4f:1508ad97479:-75c8	Membership
3441d4f:1508ad97479:-7190	Membership
3441d4f:1508ad6f828:7935	Membership
3441d4f:1508ad97479:-7524	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/	Province
3441d4f:1508ad6f828:7f67	Membership
3441d4f:1508ad97479:-7b56	Membership
http://www.semwebtech.org/mondial/10/river/Würm/	River
3441d4f:1508ad6f828:7cb3	Membership
3441d4f:1508ad97479:-69f6	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/	Province
3441d4f:1508ad97479:-7784	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/	Country
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/	Province
http://www.semwebtech.org/mondial/10/religion/Druze/	Religion
3441d4f:1508ad6f828:78e1	Membership
3441d4f:1508ad97479:-6952	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Meru/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-74d0	Membership
3441d4f:1508ad97479:-708f	Membership
3441d4f:1508ad97479:-6c4c	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	Mountain
3441d4f:1508ad6f828:71ec	Membership
http://www.semwebtech.org/mondial/10/organization/ITU/	Organization
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	Sea
3441d4f:1508ad6f828:7b0e	Membership
3441d4f:1508ad97479:-73cf	Membership
http://www.semwebtech.org/mondial/10/estuary/Mekong/	Estuary
3441d4f:1508ad6f828:773c	Membership
3441d4f:1508ad97479:-732b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	City
3441d4f:1508ad6f828:6cc9	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	EthnicGroup
3441d4f:1508ad6f828:7d6e	Membership
3441d4f:1508ad6f828:6c25	Membership
3441d4f:1508ad6f828:7068	Membership
http://www.semwebtech.org/mondial/10/organization/ARF/	Organization
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	City
3441d4f:1508ad6f828:799c	Membership
3441d4f:1508ad6f828:68f7	Encompassed
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	City
3441d4f:1508ad6f828:7aba	Membership
3441d4f:1508ad97479:-758b	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	City
3441d4f:1508ad97479:-791f	Membership
3441d4f:1508ad6f828:6e85	Membership
3441d4f:1508ad97479:-6a74	EthnicProportion
3441d4f:1508ad6f828:6bd1	Membership
3441d4f:1508ad97479:-6e08	SpokenBy
3441d4f:1508ad6f828:73a8	Membership
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	Desert
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	City
3441d4f:1508ad6f828:7304	Membership
3441d4f:1508ad97479:-78cb	Membership
http://www.semwebtech.org/mondial/10/religion/Yezidi/	Religion
3441d4f:1508ad97479:-7efd	Membership
http://www.semwebtech.org/mondial/10/island/Ireland/	Island
3441d4f:1508ad97479:-71f7	Membership
3441d4f:1508ad97479:-6db4	SpokenBy
3441d4f:1508ad6f828:7564	Membership
3441d4f:1508ad97479:-7153	Membership
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-6d10	BelievedBy
3441d4f:1508ad6f828:7b96	Membership
3441d4f:1508ad6f828:72b0	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	City
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	City
3441d4f:1508ad6f828:6a2c	Border
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/	Province
3441d4f:1508ad97479:-7b19	Membership
3441d4f:1508ad97479:-6f70	Membership
3441d4f:1508ad97479:-77fc	Membership
3441d4f:1508ad97479:-69b9	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	City
3441d4f:1508ad97479:-7747	Membership
3441d4f:1508ad6f828:6c8c	Membership
3441d4f:1508ad6f828:78a4	Membership
3441d4f:1508ad97479:-7d79	Membership
3441d4f:1508ad97479:-6915	EthnicProportion
3441d4f:1508ad97479:-6c0f	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Lech/	Estuary
3441d4f:1508ad6f828:7ed6	Membership
3441d4f:1508ad6f828:7800	Membership
3441d4f:1508ad6f828:71af	Membership
3441d4f:1508ad97479:-7ac5	Membership
3441d4f:1508ad6f828:7e32	Membership
3441d4f:1508ad97479:-76f3	Membership
3441d4f:1508ad6f828:710b	Membership
3441d4f:1508ad97479:-7a21	Membership
3441d4f:1508ad97479:-6e6f	Membership
3441d4f:1508ad97479:-68c1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/	Province
3441d4f:1508ad6f828:6fcc	Membership
3441d4f:1508ad97479:-6bbb	BelievedBy
3441d4f:1508ad6f828:736b	Membership
3441d4f:1508ad97479:-7c81	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Bantu/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Enns/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigraway/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	City
3441d4f:1508ad6f828:795f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	City
3441d4f:1508ad97479:-754e	Membership
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	Lake
http://www.semwebtech.org/mondial/10/river/Sobat/	River
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	City
3441d4f:1508ad6f828:76ab	Membership
3441d4f:1508ad97479:-7fc1	Membership
3441d4f:1508ad6f828:6e48	Membership
3441d4f:1508ad6f828:7cdd	Membership
3441d4f:1508ad97479:-6a37	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	City
3441d4f:1508ad97479:-697c	EthnicProportion
3441d4f:1508ad97479:-74fa	Membership
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	City
3441d4f:1508ad97479:-6c97	BelievedBy
3441d4f:1508ad6f828:6df4	Membership
3441d4f:1508ad6f828:7193	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/	Province
http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/	Religion
3441d4f:1508ad6f828:6d50	Membership
3441d4f:1508ad97479:-7e1c	Membership
3441d4f:1508ad6f828:7527	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/	Province
3441d4f:1508ad97479:-7116	Membership
3441d4f:1508ad6f828:7b59	Membership
3441d4f:1508ad97479:-6fd7	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	City
3441d4f:1508ad6f828:7787	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	Province
3441d4f:1508ad97479:-7376	Membership
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	City
3441d4f:1508ad97479:-6f33	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	City
3441d4f:1508ad6f828:74d3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	City
3441d4f:1508ad97479:-70c2	Membership
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:6c4f	Membership
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	Mountain
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoTheung/	EthnicGroup
3441d4f:1508ad6f828:7a61	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	City
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	City
3441d4f:1508ad97479:-6a9e	EthnicProportion
3441d4f:1508ad97479:-76b6	Membership
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	Estuary
3441d4f:1508ad6f828:6bfb	Membership
http://www.semwebtech.org/mondial/10/language/Amerindian/	Language
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	City
3441d4f:1508ad97479:-7ce8	Membership
3441d4f:1508ad97479:-7612	Membership
3441d4f:1508ad6f828:732e	Membership
3441d4f:1508ad97479:-7c44	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	City
3441d4f:1508ad6f828:7da1	Membership
3441d4f:1508ad97479:-7872	Membership
3441d4f:1508ad97479:-6dde	SpokenBy
3441d4f:1508ad6f828:758e	Membership
3441d4f:1508ad97479:-717d	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	City
3441d4f:1508ad97479:-6d3a	SpokenBy
3441d4f:1508ad6f828:72da	Membership
3441d4f:1508ad97479:-7bf0	Membership
3441d4f:1508ad6f828:7235	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	City
3441d4f:1508ad6f828:6a77	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	City
3441d4f:1508ad97479:-6f9a	Membership
3441d4f:1508ad6f828:78ce	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	City
3441d4f:1508ad97479:-693f	EthnicProportion
3441d4f:1508ad97479:-74bd	Membership
3441d4f:1508ad6f828:782a	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	City
3441d4f:1508ad97479:-7aef	Membership
3441d4f:1508ad6f828:6db7	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	City
3441d4f:1508ad6f828:7e5c	Membership
3441d4f:1508ad97479:-7a4b	Membership
3441d4f:1508ad6f828:7156	Membership
http://www.semwebtech.org/mondial/10/organization/NATO/	Organization
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	City
3441d4f:1508ad6f828:6d13	Membership
3441d4f:1508ad6f828:69e5	Border
3441d4f:1508ad97479:-68eb	EthnicProportion
3441d4f:1508ad6f828:6941	Encompassed
3441d4f:1508ad6f828:6f73	Membership
3441d4f:1508ad97479:-6b62	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	City
http://www.semwebtech.org/mondial/10/source/Selenge/	Source
3441d4f:1508ad97479:-7339	Membership
http://www.semwebtech.org/mondial/10/organization/AU/	Organization
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	City
3441d4f:1508ad6f828:7ac8	Membership
http://www.semwebtech.org/mondial/10/language/Bulgarian/	Language
3441d4f:1508ad97479:-7599	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	City
http://www.semwebtech.org/mondial/10/island/Mull/	Island
3441d4f:1508ad6f828:76f6	Membership
3441d4f:1508ad6f828:7a24	Membership
3441d4f:1508ad97479:-7feb	Membership
3441d4f:1508ad97479:-72e5	Membership
http://www.semwebtech.org/mondial/10/desert/Gobi/	Desert
3441d4f:1508ad97479:-6ea2	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/	Province
3441d4f:1508ad6f828:7652	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	City
3441d4f:1508ad97479:-7241	Membership
3441d4f:1508ad6f828:6bbe	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	City
3441d4f:1508ad6f828:7c84	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	City
3441d4f:1508ad6f828:6b1a	Membership
3441d4f:1508ad97479:-78d9	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	City
3441d4f:1508ad97479:-7c07	Membership
http://www.semwebtech.org/mondial/10/source/Senegal/	Source
3441d4f:1508ad97479:-7835	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	City
3441d4f:1508ad6f828:6d7a	Membership
3441d4f:1508ad97479:-7e67	Membership
http://www.semwebtech.org/mondial/10/river/Tobol/	River
3441d4f:1508ad6f828:7fc4	Membership
3441d4f:1508ad97479:-7bb3	Membership
3441d4f:1508ad6f828:7f20	Membership
3441d4f:1508ad97479:-77e1	Membership
3441d4f:1508ad97479:-6f5d	Membership
3441d4f:1508ad6f828:74fd	Membership
http://www.semwebtech.org/mondial/10/estuary/Gambia/	Estuary
3441d4f:1508ad97479:-70ec	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	City
3441d4f:1508ad6f828:7a8b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	City
3441d4f:1508ad6f828:7e1f	Membership
3441d4f:1508ad6f828:7119	Membership
3441d4f:1508ad97479:-7a0e	Membership
3441d4f:1508ad97479:-68ae	EthnicProportion
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	City
3441d4f:1508ad6f828:69a8	Border
3441d4f:1508ad97479:-763c	Membership
http://www.semwebtech.org/mondial/10/organization/UNMISS/	Organization
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	City
3441d4f:1508ad6f828:6904	Encompassed
3441d4f:1508ad97479:-6bc9	BelievedBy
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	City
3441d4f:1508ad6f828:7379	Membership
3441d4f:1508ad97479:-7c6e	Membership
3441d4f:1508ad6f828:6f36	Membership
3441d4f:1508ad6f828:7dcb	Membership
3441d4f:1508ad97479:-6b25	BelievedBy
3441d4f:1508ad6f828:70c5	Membership
3441d4f:1508ad97479:-789c	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	City
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7021	Membership
http://www.semwebtech.org/mondial/10/country/SA/	Country
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/	Province
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	Mountain
3441d4f:1508ad6f828:68b0	Encompassed
3441d4f:1508ad97479:-6d85	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	Estuary
http://www.semwebtech.org/mondial/10/estuary/Karasu/	Estuary
3441d4f:1508ad6f828:6ee2	Membership
3441d4f:1508ad97479:-6ad1	EthnicProportion
3441d4f:1508ad97479:-7fae	Membership
3441d4f:1508ad6f828:76b9	Membership
3441d4f:1508ad6f828:7281	Membership
3441d4f:1508ad97479:-72a8	Membership
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	Mountain
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Americo-Liberians/	EthnicGroup
3441d4f:1508ad6f828:7615	Membership
3441d4f:1508ad97479:-7f0a	Membership
3441d4f:1508ad97479:-7204	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/	Province
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	City
3441d4f:1508ad6f828:7c47	Membership
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	City
3441d4f:1508ad6f828:7875	Membership
3441d4f:1508ad97479:-7464	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	City
http://www.semwebtech.org/mondial/10/organization/IOM/	Organization
http://www.semwebtech.org/mondial/10/river/Lena/	River
3441d4f:1508ad6f828:75c1	Membership
3441d4f:1508ad97479:-7a96	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/	Province
3441d4f:1508ad97479:-71b0	Membership
3441d4f:1508ad6f828:6d3d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	City
3441d4f:1508ad6f828:7bf3	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	City
3441d4f:1508ad6f828:696b	Encompassed
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	City
3441d4f:1508ad6f828:6f9d	Membership
3441d4f:1508ad97479:-6b8c	BelievedBy
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	City
3441d4f:1508ad97479:-77a4	Membership
3441d4f:1508ad97479:-7dd6	Membership
3441d4f:1508ad97479:-7700	Membership
3441d4f:1508ad97479:-70af	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/BasquesBretons/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Akagera/	Source
3441d4f:1508ad6f828:741c	Membership
3441d4f:1508ad97479:-7d32	Membership
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	City
3441d4f:1508ad97479:-700b	Membership
3441d4f:1508ad6f828:7a4e	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/	Province
3441d4f:1508ad97479:-7960	Membership
3441d4f:1508ad97479:-6ecc	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	City
3441d4f:1508ad6f828:767c	Membership
3441d4f:1508ad97479:-7f92	Membership
3441d4f:1508ad97479:-726b	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	City
3441d4f:1508ad6f828:6b65	Membership
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	City
3441d4f:1508ad97479:-785f	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	City
3441d4f:1508ad6f828:79bc	Membership
3441d4f:1508ad97479:-75ab	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Franco-Mauritian/	EthnicGroup
3441d4f:1508ad97479:-6d48	SpokenBy
http://www.semwebtech.org/mondial/10/organization/WHO/	Organization
3441d4f:1508ad6f828:7fee	Membership
3441d4f:1508ad97479:-7bdd	Membership
3441d4f:1508ad6f828:72e8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	City
3441d4f:1508ad6f828:7f4a	Membership
3441d4f:1508ad6f828:6ea5	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/	Province
http://www.semwebtech.org/mondial/10/organization/OAS/	Organization
3441d4f:1508ad6f828:7244	Membership
3441d4f:1508ad6f828:6e01	Membership
3441d4f:1508ad97479:-6cf4	BelievedBy
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	City
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	City
3441d4f:1508ad97479:-6c50	BelievedBy
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	City
3441d4f:1508ad97479:-7093	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	City
3441d4f:1508ad6f828:7838	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	City
3441d4f:1508ad6f828:71f0	Membership
3441d4f:1508ad97479:-7427	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/	Province
http://www.semwebtech.org/mondial/10/country/TUV/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	City
3441d4f:1508ad97479:-7a59	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	City
3441d4f:1508ad6f828:7bb6	Membership
3441d4f:1508ad97479:-68f9	EthnicProportion
3441d4f:1508ad97479:-7687	Membership
http://www.semwebtech.org/mondial/10/island/Santiago/	Island
3441d4f:1508ad6f828:692e	Encompassed
3441d4f:1508ad6f828:7b12	Membership
3441d4f:1508ad6f828:77e4	Membership
3441d4f:1508ad97479:-73d3	Membership
3441d4f:1508ad97479:-6b4f	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/	Province
3441d4f:1508ad6f828:7740	Membership
3441d4f:1508ad6f828:70ef	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	City
http://www.semwebtech.org/mondial/10/language/Korean/	Language
3441d4f:1508ad6f828:6cac	Membership
3441d4f:1508ad6f828:7d72	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	City
3441d4f:1508ad6f828:704b	Membership
http://www.semwebtech.org/mondial/10/country/HONX/	Country
3441d4f:1508ad6f828:68da	Encompassed
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Garifuna/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	City
3441d4f:1508ad97479:-79c7	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	City
3441d4f:1508ad97479:-6afb	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	City
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	Province
3441d4f:1508ad97479:-7ff9	Membership
3441d4f:1508ad97479:-7923	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	City
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	Desert
3441d4f:1508ad6f828:763f	Membership
3441d4f:1508ad97479:-7f55	Membership
3441d4f:1508ad97479:-722e	Membership
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	Estuary
3441d4f:1508ad97479:-7ca1	Membership
3441d4f:1508ad6f828:6b28	Membership
3441d4f:1508ad6f828:789f	Membership
3441d4f:1508ad97479:-748e	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/	Province
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	Lake
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	City
3441d4f:1508ad6f828:75eb	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	City
3441d4f:1508ad97479:-71da	Membership
3441d4f:1508ad6f828:6d88	Membership
3441d4f:1508ad6f828:6ad4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	City
3441d4f:1508ad6f828:6a30	Border
3441d4f:1508ad6f828:7f0d	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	City
3441d4f:1508ad6f828:7207	Membership
3441d4f:1508ad97479:-77ce	Membership
http://www.semwebtech.org/mondial/10/organization/UNMIL/	Organization
3441d4f:1508ad97479:-772a	Membership
3441d4f:1508ad6f828:6c90	Membership
3441d4f:1508ad97479:-6cb7	BelievedBy
3441d4f:1508ad6f828:7467	Membership
3441d4f:1508ad97479:-7d5c	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/	Province
3441d4f:1508ad97479:-7056	Membership
3441d4f:1508ad97479:-6c13	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	City
3441d4f:1508ad6f828:7a99	Membership
3441d4f:1508ad6f828:71b3	Membership
3441d4f:1508ad97479:-798a	Membership
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	City
http://www.semwebtech.org/mondial/10/island/Sokotra/	Island
3441d4f:1508ad97479:-6e73	Membership
3441d4f:1508ad6f828:6fd0	Membership
3441d4f:1508ad6f828:6b8f	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Surinamese/	EthnicGroup
3441d4f:1508ad6f828:77a7	Membership
3441d4f:1508ad6f828:7dd9	Membership
3441d4f:1508ad6f828:7703	Membership
3441d4f:1508ad6f828:7d35	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	EthnicGroup
3441d4f:1508ad6f828:700e	Membership
3441d4f:1508ad97479:-75f6	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	City
http://www.semwebtech.org/mondial/10/river/Douro/	River
3441d4f:1508ad6f828:7963	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/	Province
3441d4f:1508ad97479:-7552	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/	Province
3441d4f:1508ad6f828:6ecf	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	City
3441d4f:1508ad97479:-6abe	EthnicProportion
3441d4f:1508ad6f828:726e	Membership
3441d4f:1508ad97479:-7b84	Membership
http://www.semwebtech.org/mondial/10/country/PAL/	Country
3441d4f:1508ad6f828:6e2b	Membership
3441d4f:1508ad6f828:7ce1	Membership
3441d4f:1508ad97479:-6a1a	EthnicProportion
3441d4f:1508ad97479:-7f18	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	City
3441d4f:1508ad97479:-6980	EthnicProportion
3441d4f:1508ad97479:-6c7a	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	City
http://www.semwebtech.org/mondial/10/island/St.Martin/	Island
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	City
http://www.semwebtech.org/mondial/10/politicalbody/Austria-Hungary/	PoliticalBody
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	City
3441d4f:1508ad6f828:75ae	Membership
3441d4f:1508ad97479:-7ec4	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/	Province
3441d4f:1508ad6f828:750a	Membership
3441d4f:1508ad97479:-7e20	Membership
http://www.semwebtech.org/mondial/10/language/Swedish/	Language
3441d4f:1508ad6f828:6979	Border
http://www.semwebtech.org/mondial/10/estuary/Oka/	Estuary
3441d4f:1508ad6f828:7b3c	Membership
3441d4f:1508ad97479:-73fd	Membership
3441d4f:1508ad97479:-6fba	Membership
3441d4f:1508ad6f828:776a	Membership
3441d4f:1508ad6f828:6cf7	Membership
3441d4f:1508ad6f828:7d9c	Membership
http://www.semwebtech.org/mondial/10/desert/Namib/	Desert
3441d4f:1508ad6f828:7096	Membership
3441d4f:1508ad6f828:6c53	Membership
http://www.semwebtech.org/mondial/10/river/Mekong/	River
3441d4f:1508ad97479:-7d1f	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	City
3441d4f:1508ad97479:-7019	Membership
3441d4f:1508ad6f828:6881	Encompassed
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	City
3441d4f:1508ad97479:-794d	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	City
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	City
3441d4f:1508ad97479:-7f7f	Membership
3441d4f:1508ad97479:-7279	Membership
3441d4f:1508ad97479:-6e36	SpokenBy
3441d4f:1508ad6f828:73d6	Membership
3441d4f:1508ad97479:-7ccb	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	Province
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	Source
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	City
3441d4f:1508ad6f828:7332	Membership
http://www.semwebtech.org/mondial/10/language/Portuguese/	Language
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/	Province
http://www.semwebtech.org/mondial/10/religion/UkrainianGreekCatholic/	Religion
http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Mountains
3441d4f:1508ad97479:-6de2	SpokenBy
http://www.semwebtech.org/mondial/10/island/Tongatapu/	Island
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	City
http://www.semwebtech.org/mondial/10/source/Saar/	Source
3441d4f:1508ad6f828:7592	Membership
3441d4f:1508ad97479:-7181	Membership
3441d4f:1508ad97479:-75b9	Membership
http://www.semwebtech.org/mondial/10/country/BY/	Country
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/	Province
3441d4f:1508ad6f828:6afe	Membership
3441d4f:1508ad6f828:7926	Membership
3441d4f:1508ad97479:-7515	Membership
3441d4f:1508ad6f828:6a5a	Border
3441d4f:1508ad6f828:7f58	Membership
3441d4f:1508ad97479:-7b47	Membership
3441d4f:1508ad6f828:7ca4	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	City
3441d4f:1508ad97479:-69e7	EthnicProportion
3441d4f:1508ad97479:-7775	Membership
3441d4f:1508ad6f828:7c00	Membership
3441d4f:1508ad6f828:78d2	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	City
3441d4f:1508ad97479:-6943	EthnicProportion
3441d4f:1508ad97479:-74c1	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	City
3441d4f:1508ad97479:-6c3d	BelievedBy
3441d4f:1508ad6f828:71dd	Membership
3441d4f:1508ad97479:-7af3	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	City
3441d4f:1508ad6f828:7e60	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/	Province
http://www.semwebtech.org/mondial/10/country/IL/	Country
3441d4f:1508ad97479:-6e9d	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	City
3441d4f:1508ad6f828:6ffa	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	City
3441d4f:1508ad6f828:772d	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/	Province
3441d4f:1508ad97479:-731c	Membership
http://www.semwebtech.org/mondial/10/country/SUD/	Country
3441d4f:1508ad6f828:7d5f	Membership
3441d4f:1508ad6f828:7059	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	City
3441d4f:1508ad6f828:6c16	Membership
3441d4f:1508ad6f828:68e8	Encompassed
3441d4f:1508ad6f828:798d	Membership
3441d4f:1508ad6f828:7aab	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/	Province
3441d4f:1508ad97479:-757c	Membership
3441d4f:1508ad6f828:6e76	Membership
3441d4f:1508ad97479:-6a65	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/	Province
3441d4f:1508ad6f828:6bc2	Membership
http://www.semwebtech.org/mondial/10/source/Orinoco/	Source
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/	Province
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	City
3441d4f:1508ad97479:-78bc	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/	Province
3441d4f:1508ad6f828:75f9	Membership
3441d4f:1508ad97479:-7eee	Membership
3441d4f:1508ad97479:-71e8	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	City
3441d4f:1508ad97479:-6da5	SpokenBy
3441d4f:1508ad6f828:7555	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/	Province
3441d4f:1508ad97479:-7e4a	Membership
3441d4f:1508ad97479:-7144	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/	Province
3441d4f:1508ad97479:-6d01	BelievedBy
3441d4f:1508ad6f828:7b87	Membership
3441d4f:1508ad6f828:72a1	Membership
http://www.semwebtech.org/mondial/10/estuary/Loire/	Estuary
3441d4f:1508ad6f828:6a1d	Border
3441d4f:1508ad97479:-6f61	Membership
3441d4f:1508ad97479:-7738	Membership
3441d4f:1508ad97479:-70f0	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	City
3441d4f:1508ad6f828:6c7d	Membership
3441d4f:1508ad97479:-6906	EthnicProportion
3441d4f:1508ad6f828:7ec7	Membership
3441d4f:1508ad97479:-7998	Membership
3441d4f:1508ad97479:-7ab6	Membership
3441d4f:1508ad6f828:7e23	Membership
3441d4f:1508ad97479:-76e4	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/	Province
3441d4f:1508ad97479:-7a12	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/	Province
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	Lake
3441d4f:1508ad97479:-68b2	EthnicProportion
3441d4f:1508ad97479:-7640	Membership
3441d4f:1508ad6f828:6fbd	Membership
3441d4f:1508ad97479:-6bac	BelievedBy
http://www.semwebtech.org/mondial/10/island/Islay/	Island
3441d4f:1508ad97479:-7c72	Membership
3441d4f:1508ad6f828:735c	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	City
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	Lake
http://www.semwebtech.org/mondial/10/island/Hawaii/	Island
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	Province
http://www.semwebtech.org/mondial/10/island/PuertoRico/	Island
3441d4f:1508ad97479:-753f	Membership
3441d4f:1508ad97479:-7fb2	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/	Province
3441d4f:1508ad6f828:6e39	Membership
3441d4f:1508ad6f828:7cce	Membership
3441d4f:1508ad97479:-6a28	EthnicProportion
3441d4f:1508ad97479:-779f	Membership
3441d4f:1508ad6f828:7c2a	Membership
3441d4f:1508ad6f828:78fc	Membership
3441d4f:1508ad97479:-696d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/J/	Country
3441d4f:1508ad97479:-74eb	Membership
3441d4f:1508ad97479:-6c88	BelievedBy
3441d4f:1508ad6f828:6de5	Membership
3441d4f:1508ad6f828:7e8a	Membership
3441d4f:1508ad6f828:7184	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	City
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	City
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/	Province
3441d4f:1508ad6f828:6d41	Membership
3441d4f:1508ad6f828:7518	Membership
3441d4f:1508ad97479:-7e0d	Membership
3441d4f:1508ad97479:-7107	Membership
http://www.semwebtech.org/mondial/10/river/Ammer/	River
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	River
3441d4f:1508ad97479:-6b90	BelievedBy
3441d4f:1508ad97479:-6fc8	Membership
3441d4f:1508ad6f828:7778	Membership
http://www.semwebtech.org/mondial/10/river/Alz/	River
3441d4f:1508ad97479:-7367	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/	Province
3441d4f:1508ad97479:-6f24	Membership
3441d4f:1508ad6f828:74c4	Membership
3441d4f:1508ad97479:-70b3	Membership
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	Estuary
3441d4f:1508ad97479:-7b2a	Membership
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7af6	Membership
3441d4f:1508ad6f828:7420	Membership
http://www.semwebtech.org/mondial/10/language/Finnish/	Language
3441d4f:1508ad6f828:7a52	Membership
3441d4f:1508ad97479:-6a8f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	City
3441d4f:1508ad97479:-6ed0	Membership
3441d4f:1508ad6f828:7680	Membership
3441d4f:1508ad97479:-76a7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	City
3441d4f:1508ad6f828:6bec	Membership
http://www.semwebtech.org/mondial/10/source/Lulua/	Source
3441d4f:1508ad97479:-7cd9	Membership
3441d4f:1508ad97479:-7603	Membership
3441d4f:1508ad97479:-7c35	Membership
3441d4f:1508ad6f828:731f	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	City
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	Lake
http://www.semwebtech.org/mondial/10/ethnicgroup/Tutsi/	EthnicGroup
3441d4f:1508ad97479:-7863	Membership
3441d4f:1508ad97479:-6dcf	SpokenBy
3441d4f:1508ad6f828:79c0	Membership
3441d4f:1508ad6f828:757f	Membership
3441d4f:1508ad97479:-7e95	Membership
3441d4f:1508ad97479:-716e	Membership
3441d4f:1508ad6f828:7ff2	Membership
3441d4f:1508ad97479:-6d2b	BelievedBy
3441d4f:1508ad6f828:72cb	Membership
3441d4f:1508ad97479:-7be1	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	City
3441d4f:1508ad6f828:6a68	Border
3441d4f:1508ad97479:-6f8b	Membership
3441d4f:1508ad6f828:78bf	Membership
3441d4f:1508ad97479:-74ae	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Colored/	EthnicGroup
3441d4f:1508ad6f828:781b	Membership
3441d4f:1508ad97479:-740a	Membership
3441d4f:1508ad6f828:6da8	Membership
3441d4f:1508ad6f828:7e4d	Membership
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	Mountain
3441d4f:1508ad6f828:7147	Membership
3441d4f:1508ad97479:-7a3c	Membership
3441d4f:1508ad6f828:6d04	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	City
3441d4f:1508ad6f828:69d6	Border
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/	Province
3441d4f:1508ad97479:-68dc	EthnicProportion
3441d4f:1508ad97479:-766a	Membership
http://www.semwebtech.org/mondial/10/island/Oeland/	Island
3441d4f:1508ad6f828:6932	Encompassed
3441d4f:1508ad97479:-6bf7	BelievedBy
3441d4f:1508ad97479:-7c9c	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/	Province
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	City
3441d4f:1508ad6f828:6f64	Membership
3441d4f:1508ad97479:-6b53	BelievedBy
3441d4f:1508ad6f828:70f3	Membership
3441d4f:1508ad6f828:6cb0	Membership
3441d4f:1508ad6f828:7ab9	Membership
3441d4f:1508ad97479:-79aa	Membership
3441d4f:1508ad6f828:76e7	Membership
3441d4f:1508ad6f828:7a15	Membership
3441d4f:1508ad97479:-7fdc	Membership
3441d4f:1508ad97479:-72d6	Membership
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	Lake
3441d4f:1508ad6f828:7643	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	City
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/river/Karasu/	River
3441d4f:1508ad97479:-7232	Membership
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	Estuary
3441d4f:1508ad6f828:6baf	Membership
3441d4f:1508ad6f828:7c75	Membership
3441d4f:1508ad6f828:6b0b	Membership
http://www.semwebtech.org/mondial/10/river/Weichsel/	River
http://www.semwebtech.org/mondial/10/estuary/Oder/	Estuary
3441d4f:1508ad97479:-7492	Membership
3441d4f:1508ad97479:-7826	Membership
3441d4f:1508ad6f828:6d6b	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	City
http://www.semwebtech.org/mondial/10/river/Isar/	River
3441d4f:1508ad97479:-7e58	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	City
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	Desert
http://www.semwebtech.org/mondial/10/island/Ascension/	Island
3441d4f:1508ad6f828:7fb5	Membership
3441d4f:1508ad97479:-7ba4	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	City
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	City
3441d4f:1508ad6f828:7f11	Membership
3441d4f:1508ad97479:-77d2	Membership
3441d4f:1508ad97479:-7b00	Membership
3441d4f:1508ad97479:-6f4e	Membership
3441d4f:1508ad6f828:74ee	Membership
3441d4f:1508ad97479:-69a0	EthnicProportion
3441d4f:1508ad97479:-70dd	Membership
3441d4f:1508ad6f828:744a	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	City
3441d4f:1508ad6f828:7a7c	Membership
3441d4f:1508ad97479:-6efa	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/	Province
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	Estuary
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	City
3441d4f:1508ad97479:-762d	Membership
http://www.semwebtech.org/mondial/10/country/BVIR/	Country
3441d4f:1508ad6f828:6b93	Membership
3441d4f:1508ad97479:-7c5f	Membership
3441d4f:1508ad97479:-6b16	BelievedBy
3441d4f:1508ad97479:-788d	Membership
3441d4f:1508ad6f828:6f27	Membership
3441d4f:1508ad6f828:7dbc	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/	Province
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	City
3441d4f:1508ad6f828:70b6	Membership
http://www.semwebtech.org/mondial/10/organization/OPEC/	Organization
http://www.semwebtech.org/mondial/10/estuary/Niger/	Estuary
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	City
3441d4f:1508ad6f828:79ea	Membership
3441d4f:1508ad6f828:7012	Membership
3441d4f:1508ad6f828:68a1	Encompassed
3441d4f:1508ad97479:-6d76	SpokenBy
http://www.semwebtech.org/mondial/10/organization/IFAD/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	City
http://www.semwebtech.org/mondial/10/source/Manicouagan/	Source
3441d4f:1508ad6f828:6ed3	Membership
3441d4f:1508ad97479:-6ac2	EthnicProportion
3441d4f:1508ad6f828:7272	Membership
3441d4f:1508ad6f828:7606	Membership
http://www.semwebtech.org/mondial/10/language/Serbian/	Language
http://www.semwebtech.org/mondial/10/ethnicgroup/Euro-African/	EthnicGroup
3441d4f:1508ad6f828:7c38	Membership
3441d4f:1508ad97479:-74f9	Membership
http://www.semwebtech.org/mondial/10/desert/KumTagh/	Desert
3441d4f:1508ad6f828:7866	Membership
3441d4f:1508ad97479:-7455	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/	Province
3441d4f:1508ad97479:-71a1	Membership
3441d4f:1508ad6f828:7e98	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	City
3441d4f:1508ad6f828:75b2	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	City
3441d4f:1508ad97479:-7a87	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	City
3441d4f:1508ad6f828:6d2e	Membership
3441d4f:1508ad6f828:7be4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	City
3441d4f:1508ad6f828:695c	Encompassed
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/	Province
3441d4f:1508ad6f828:7b40	Membership
3441d4f:1508ad6f828:6f8e	Membership
3441d4f:1508ad97479:-6b7d	BelievedBy
http://www.semwebtech.org/mondial/10/politicalbody/SovietUnion/	PoliticalBody
3441d4f:1508ad6f828:6cda	Membership
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	River
http://www.semwebtech.org/mondial/10/river/Jangtse/	River
3441d4f:1508ad97479:-7dc7	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/MBaka/	EthnicGroup
3441d4f:1508ad97479:-79f5	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	City
3441d4f:1508ad97479:-7d23	Membership
3441d4f:1508ad6f828:740d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	City
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/	Province
http://www.semwebtech.org/mondial/10/country/SRB/	Country
3441d4f:1508ad6f828:7a3f	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	City
3441d4f:1508ad97479:-7951	Membership
3441d4f:1508ad97479:-6ebd	Membership
3441d4f:1508ad97479:-7f83	Membership
3441d4f:1508ad6f828:766d	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	City
3441d4f:1508ad97479:-725c	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	City
3441d4f:1508ad6f828:7c9f	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/	Province
3441d4f:1508ad6f828:6b56	Membership
http://www.semwebtech.org/mondial/10/estuary/Maranon/	Estuary
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/EquatorialBantu/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	City
3441d4f:1508ad6f828:79ad	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	City
3441d4f:1508ad6f828:7fdf	Membership
3441d4f:1508ad97479:-6d39	SpokenBy
3441d4f:1508ad6f828:72d9	Membership
3441d4f:1508ad97479:-7bce	Membership
3441d4f:1508ad6f828:7f3b	Membership
http://www.semwebtech.org/mondial/10/estuary/Glomma/	Estuary
3441d4f:1508ad97479:-6f99	Membership
3441d4f:1508ad97479:-69ca	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	City
3441d4f:1508ad97479:-6ce5	BelievedBy
3441d4f:1508ad6f828:7495	Membership
3441d4f:1508ad97479:-7d8a	Membership
http://www.semwebtech.org/mondial/10/source/Amazonas/	Source
3441d4f:1508ad97479:-7084	Membership
3441d4f:1508ad97479:-6c41	BelievedBy
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	City
3441d4f:1508ad6f828:7829	Membership
3441d4f:1508ad6f828:71e1	Membership
3441d4f:1508ad97479:-7418	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	City
3441d4f:1508ad6f828:7ba7	Membership
3441d4f:1508ad97479:-7678	Membership
3441d4f:1508ad6f828:691f	Encompassed
3441d4f:1508ad6f828:7b03	Membership
3441d4f:1508ad6f828:77d5	Membership
3441d4f:1508ad97479:-73c4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	City
3441d4f:1508ad6f828:7731	Membership
3441d4f:1508ad97479:-7320	Membership
3441d4f:1508ad6f828:7d63	Membership
3441d4f:1508ad6f828:703c	Membership
3441d4f:1508ad6f828:68cb	Encompassed
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	City
3441d4f:1508ad6f828:7991	Membership
3441d4f:1508ad97479:-7580	Membership
3441d4f:1508ad97479:-79b8	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	City
3441d4f:1508ad6f828:6efd	Membership
3441d4f:1508ad97479:-6aec	EthnicProportion
3441d4f:1508ad6f828:729c	Membership
3441d4f:1508ad97479:-7914	Membership
3441d4f:1508ad97479:-7f46	Membership
http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/	Religion
3441d4f:1508ad97479:-721f	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Welaita/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/	Province
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	City
http://www.semwebtech.org/mondial/10/language/Bosnian/	Language
3441d4f:1508ad6f828:6b19	Membership
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	Mountain
3441d4f:1508ad97479:-78c0	Membership
3441d4f:1508ad97479:-747f	Membership
3441d4f:1508ad6f828:75dc	Membership
3441d4f:1508ad97479:-7ef2	Membership
3441d4f:1508ad97479:-71cb	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	City
3441d4f:1508ad6f828:6d79	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Sara/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	City
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	City
3441d4f:1508ad6f828:6ac5	Membership
3441d4f:1508ad6f828:7b6a	Membership
http://www.semwebtech.org/mondial/10/river/Inn/	River
3441d4f:1508ad6f828:6a21	Border
3441d4f:1508ad97479:-77bf	Membership
3441d4f:1508ad97479:-771b	Membership
3441d4f:1508ad6f828:6c81	Membership
3441d4f:1508ad97479:-6ca8	BelievedBy
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	City
3441d4f:1508ad6f828:7458	Membership
3441d4f:1508ad97479:-7d4d	Membership
3441d4f:1508ad97479:-7047	Membership
3441d4f:1508ad97479:-6c04	BelievedBy
3441d4f:1508ad6f828:7eaa	Membership
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	Mountain
3441d4f:1508ad6f828:71a4	Membership
3441d4f:1508ad97479:-797b	Membership
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	Estuary
3441d4f:1508ad6f828:7100	Membership
3441d4f:1508ad97479:-6e64	Membership
3441d4f:1508ad6f828:6fc1	Membership
3441d4f:1508ad97479:-6bb0	BelievedBy
3441d4f:1508ad6f828:7360	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	City
3441d4f:1508ad6f828:7d26	Membership
3441d4f:1508ad6f828:79f8	Membership
3441d4f:1508ad97479:-75e7	Membership
3441d4f:1508ad6f828:7954	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	City
3441d4f:1508ad97479:-7543	Membership
3441d4f:1508ad97479:-6aaf	EthnicProportion
3441d4f:1508ad6f828:7f86	Membership
3441d4f:1508ad6f828:76a0	Membership
3441d4f:1508ad6f828:725f	Membership
3441d4f:1508ad97479:-7b75	Membership
3441d4f:1508ad6f828:6e1c	Membership
3441d4f:1508ad6f828:7cd2	Membership
3441d4f:1508ad97479:-6a0b	EthnicProportion
3441d4f:1508ad97479:-7f09	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	City
3441d4f:1508ad97479:-6971	EthnicProportion
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	City
3441d4f:1508ad97479:-6c6b	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	City
3441d4f:1508ad97479:-7eb5	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	City
3441d4f:1508ad97479:-7e11	Membership
3441d4f:1508ad6f828:7b2d	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	City
3441d4f:1508ad6f828:77ff	Membership
http://www.semwebtech.org/mondial/10/island/SaoTome/	Island
3441d4f:1508ad97479:-73ee	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/	Province
http://www.semwebtech.org/mondial/10/source/Ganges/	Source
3441d4f:1508ad97479:-6fab	Membership
3441d4f:1508ad6f828:775b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	City
http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	Islands
3441d4f:1508ad97479:-734a	Membership
3441d4f:1508ad6f828:6ce8	Membership
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	Lake
3441d4f:1508ad6f828:7d8d	Membership
http://www.semwebtech.org/mondial/10/desert/Rigestan/	Desert
3441d4f:1508ad6f828:7087	Membership
http://www.semwebtech.org/mondial/10/organization/CERN/	Organization
3441d4f:1508ad6f828:6c44	Membership
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/	Province
3441d4f:1508ad97479:-793e	Membership
http://www.semwebtech.org/mondial/10/source/Dnjestr/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	City
3441d4f:1508ad97479:-6a93	EthnicProportion
3441d4f:1508ad6f828:6bf0	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/	Province
3441d4f:1508ad97479:-6e27	SpokenBy
3441d4f:1508ad6f828:73c7	Membership
3441d4f:1508ad97479:-7cbc	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	City
3441d4f:1508ad6f828:7323	Membership
3441d4f:1508ad97479:-78ea	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/	Province
3441d4f:1508ad97479:-6dd3	SpokenBy
3441d4f:1508ad6f828:7583	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	City
3441d4f:1508ad97479:-7172	Membership
3441d4f:1508ad6f828:6aef	Membership
3441d4f:1508ad6f828:7917	Membership
3441d4f:1508ad97479:-7506	Membership
3441d4f:1508ad6f828:6a4b	Border
3441d4f:1508ad6f828:7f49	Membership
3441d4f:1508ad97479:-7b38	Membership
3441d4f:1508ad97479:-69d8	EthnicProportion
3441d4f:1508ad97479:-7766	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	City
3441d4f:1508ad97479:-6934	EthnicProportion
3441d4f:1508ad6f828:78c3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	City
3441d4f:1508ad97479:-7d98	Membership
3441d4f:1508ad97479:-74b2	Membership
3441d4f:1508ad6f828:7ef5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	City
3441d4f:1508ad97479:-6c2e	BelievedBy
3441d4f:1508ad6f828:71ce	Membership
3441d4f:1508ad97479:-7ae4	Membership
http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Mountains
3441d4f:1508ad6f828:7e51	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	City
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:712a	Membership
3441d4f:1508ad97479:-7a40	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/	Province
3441d4f:1508ad97479:-6e8e	Membership
3441d4f:1508ad97479:-68e0	EthnicProportion
3441d4f:1508ad97479:-6bda	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	City
3441d4f:1508ad6f828:6feb	Membership
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	Mountain
3441d4f:1508ad6f828:738a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	City
http://www.semwebtech.org/mondial/10/source/Isere/	Source
3441d4f:1508ad6f828:771e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	City
3441d4f:1508ad97479:-730d	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	City
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	Mountain
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	City
3441d4f:1508ad6f828:6c07	Membership
3441d4f:1508ad6f828:68d9	Encompassed
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:797e	Membership
3441d4f:1508ad97479:-756d	Membership
http://www.semwebtech.org/mondial/10/source/Kemijoki/	Source
3441d4f:1508ad6f828:76ca	Membership
3441d4f:1508ad97479:-7fe0	Membership
3441d4f:1508ad97479:-7b9f	Membership
3441d4f:1508ad6f828:6e67	Membership
3441d4f:1508ad97479:-6a56	EthnicProportion
3441d4f:1508ad6f828:7cfc	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	City
3441d4f:1508ad6f828:6bb3	Membership
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	Lake
3441d4f:1508ad97479:-699b	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternHamitic/	EthnicGroup
3441d4f:1508ad97479:-78ad	Membership
3441d4f:1508ad97479:-7edf	Membership
3441d4f:1508ad97479:-71d9	Membership
3441d4f:1508ad6f828:7546	Membership
3441d4f:1508ad97479:-7e3b	Membership
3441d4f:1508ad97479:-7135	Membership
3441d4f:1508ad6f828:7b78	Membership
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	Mountain
3441d4f:1508ad97479:-6ff6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	City
3441d4f:1508ad6f828:6a0e	Border
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/	Province
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/	Province
3441d4f:1508ad97479:-7395	Membership
3441d4f:1508ad97479:-6f52	Membership
3441d4f:1508ad6f828:74f2	Membership
3441d4f:1508ad97479:-7729	Membership
3441d4f:1508ad97479:-70e1	Membership
http://www.semwebtech.org/mondial/10/country/CH/	Country
3441d4f:1508ad6f828:6c6e	Membership
3441d4f:1508ad6f828:7eb8	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	City
3441d4f:1508ad6f828:689c	Encompassed
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	City
3441d4f:1508ad6f828:7a80	Membership
3441d4f:1508ad97479:-7989	Membership
3441d4f:1508ad97479:-7aa7	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	City
3441d4f:1508ad97479:-76d5	Membership
3441d4f:1508ad6f828:7e14	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/	Province
3441d4f:1508ad97479:-7a03	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	City
3441d4f:1508ad97479:-68a3	EthnicProportion
3441d4f:1508ad97479:-7631	Membership
3441d4f:1508ad6f828:6fae	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	City
3441d4f:1508ad6f828:734d	Membership
3441d4f:1508ad97479:-7c63	Membership
3441d4f:1508ad6f828:6f0a	Membership
3441d4f:1508ad6f828:7dc0	Membership
http://www.semwebtech.org/mondial/10/country/NOK/	Country
3441d4f:1508ad97479:-7891	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/	Province
http://www.semwebtech.org/mondial/10/mountains/BlackForest/	Mountains
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	City
3441d4f:1508ad97479:-6dfd	SpokenBy
3441d4f:1508ad97479:-719c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	City
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	City
http://www.semwebtech.org/mondial/10/continent/Asia/	Continent
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	City
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	City
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/	Province
3441d4f:1508ad6f828:6a96	Border
3441d4f:1508ad97479:-7fa3	Membership
http://www.semwebtech.org/mondial/10/organization/IDA/	Organization
3441d4f:1508ad6f828:7cbf	Membership
3441d4f:1508ad97479:-6a19	EthnicProportion
3441d4f:1508ad97479:-695e	EthnicProportion
3441d4f:1508ad6f828:7c1b	Membership
3441d4f:1508ad6f828:78ed	Membership
http://www.semwebtech.org/mondial/10/source/Cuilo/	Source
3441d4f:1508ad97479:-74dc	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	City
http://www.semwebtech.org/mondial/10/island/Alicudi/	Island
3441d4f:1508ad97479:-6c79	BelievedBy
http://www.semwebtech.org/mondial/10/river/Limpopo/	River
3441d4f:1508ad6f828:6dd6	Membership
http://www.semwebtech.org/mondial/10/estuary/Bomu/	Estuary
3441d4f:1508ad6f828:7e7b	Membership
3441d4f:1508ad6f828:7175	Membership
3441d4f:1508ad97479:-7a6a	Membership
3441d4f:1508ad6f828:6d32	Membership
3441d4f:1508ad6f828:7509	Membership
3441d4f:1508ad6f828:6960	Encompassed
http://www.semwebtech.org/mondial/10/island/Svalbard/	Island
3441d4f:1508ad97479:-6b81	BelievedBy
3441d4f:1508ad6f828:6f92	Membership
http://www.semwebtech.org/mondial/10/mountains/Harz/	Mountains
3441d4f:1508ad97479:-6fb9	Membership
3441d4f:1508ad6f828:7769	Membership
3441d4f:1508ad97479:-7358	Membership
3441d4f:1508ad97479:-6f15	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	City
3441d4f:1508ad6f828:74b5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/	Province
3441d4f:1508ad97479:-7daa	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	City
3441d4f:1508ad97479:-70a4	Membership
3441d4f:1508ad6f828:7ae7	Membership
3441d4f:1508ad6f828:7411	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	City
3441d4f:1508ad97479:-7000	Membership
3441d4f:1508ad6f828:7a43	Membership
http://www.semwebtech.org/mondial/10/island/SaoJorge/	Island
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	City
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	Lake
3441d4f:1508ad97479:-6ec1	Membership
3441d4f:1508ad6f828:7671	Membership
3441d4f:1508ad97479:-7260	Membership
3441d4f:1508ad6f828:6bdd	Membership
3441d4f:1508ad97479:-78f8	Membership
3441d4f:1508ad97479:-7c26	Membership
http://www.semwebtech.org/mondial/10/language/Siraiki/	Language
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	City
3441d4f:1508ad97479:-7854	Membership
http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/	Religion
3441d4f:1508ad6f828:79b1	Membership
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	Mountain
3441d4f:1508ad97479:-7e86	Membership
3441d4f:1508ad97479:-75a0	Membership
3441d4f:1508ad97479:-715f	Membership
3441d4f:1508ad6f828:7fe3	Membership
3441d4f:1508ad97479:-6d1c	BelievedBy
3441d4f:1508ad6f828:72bc	Membership
3441d4f:1508ad97479:-7bd2	Membership
3441d4f:1508ad6f828:6a59	Border
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	City
3441d4f:1508ad97479:-6f7c	Membership
http://www.semwebtech.org/mondial/10/organization/G-15/	Organization
3441d4f:1508ad6f828:780c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Madurese/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	Mountain
http://www.semwebtech.org/mondial/10/source/Okavango/	Source
3441d4f:1508ad6f828:7e3e	Membership
3441d4f:1508ad97479:-76ff	Membership
3441d4f:1508ad6f828:7138	Membership
3441d4f:1508ad97479:-7a2d	Membership
3441d4f:1508ad6f828:69c7	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/Banda/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	City
3441d4f:1508ad97479:-68cd	EthnicProportion
3441d4f:1508ad97479:-765b	Membership
3441d4f:1508ad6f828:6ff9	Membership
3441d4f:1508ad6f828:6923	Encompassed
3441d4f:1508ad97479:-6be8	BelievedBy
3441d4f:1508ad6f828:7398	Membership
3441d4f:1508ad97479:-7c8d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Wolof/	EthnicGroup
http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	EthnicGroup
3441d4f:1508ad6f828:6f55	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	City
3441d4f:1508ad6f828:7dea	Membership
3441d4f:1508ad97479:-6b44	BelievedBy
3441d4f:1508ad6f828:70e4	Membership
3441d4f:1508ad6f828:6ca1	Membership
3441d4f:1508ad6f828:7040	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/	Province
3441d4f:1508ad97479:-6af0	EthnicProportion
3441d4f:1508ad6f828:76d8	Membership
3441d4f:1508ad6f828:7a06	Membership
3441d4f:1508ad97479:-7fcd	Membership
http://www.semwebtech.org/mondial/10/island/Corse/	Island
3441d4f:1508ad97479:-72c7	Membership
3441d4f:1508ad6f828:7634	Membership
3441d4f:1508ad97479:-7223	Membership
http://www.semwebtech.org/mondial/10/organization/Caricom/	Organization
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/	Province
3441d4f:1508ad6f828:7c66	Membership
3441d4f:1508ad6f828:7894	Membership
3441d4f:1508ad97479:-7483	Membership
http://www.semwebtech.org/mondial/10/estuary/Shabelle/	Estuary
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	City
3441d4f:1508ad97479:-7817	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	City
3441d4f:1508ad6f828:75e0	Membership
3441d4f:1508ad6f828:719f	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	City
3441d4f:1508ad6f828:6d5c	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/	Province
3441d4f:1508ad97479:-7e49	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Azerbaijani/	EthnicGroup
3441d4f:1508ad6f828:698a	Border
3441d4f:1508ad6f828:7fa6	Membership
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7f02	Membership
3441d4f:1508ad97479:-77c3	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/	Province
3441d4f:1508ad97479:-6f3f	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	City
3441d4f:1508ad6f828:74df	Membership
3441d4f:1508ad97479:-7df5	Membership
3441d4f:1508ad97479:-70ce	Membership
3441d4f:1508ad6f828:743b	Membership
3441d4f:1508ad97479:-7d51	Membership
3441d4f:1508ad97479:-702a	Membership
3441d4f:1508ad6f828:7a6d	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/	Province
3441d4f:1508ad97479:-6eeb	Membership
3441d4f:1508ad6f828:769b	Membership
3441d4f:1508ad97479:-728a	Membership
http://www.semwebtech.org/mondial/10/mountains/CoastMountains/	Mountains
3441d4f:1508ad97479:-761e	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	City
3441d4f:1508ad6f828:6b84	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/	Province
3441d4f:1508ad6f828:6f18	Membership
3441d4f:1508ad97479:-6b07	EthnicProportion
3441d4f:1508ad6f828:7dad	Membership
3441d4f:1508ad97479:-787e	Membership
3441d4f:1508ad6f828:70a7	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	City
3441d4f:1508ad6f828:79db	Membership
3441d4f:1508ad6f828:7003	Membership
3441d4f:1508ad97479:-75ca	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	City
3441d4f:1508ad97479:-6d67	SpokenBy
3441d4f:1508ad97479:-7bfc	Membership
3441d4f:1508ad6f828:6ec4	Membership
3441d4f:1508ad97479:-6ab3	EthnicProportion
3441d4f:1508ad6f828:7263	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	City
3441d4f:1508ad6f828:6e20	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Lugbara/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/Japanese/	Language
3441d4f:1508ad6f828:7c29	Membership
http://www.semwebtech.org/mondial/10/river/Glomma/	River
http://www.semwebtech.org/mondial/10/mountains/Rhön/	Mountains
http://www.semwebtech.org/mondial/10/mountain/Olymp/	Mountain
3441d4f:1508ad6f828:7857	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	City
3441d4f:1508ad97479:-7446	Membership
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	Estuary
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/	Province
3441d4f:1508ad6f828:7e89	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	City
3441d4f:1508ad6f828:75a3	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/	Province
3441d4f:1508ad97479:-7a78	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	City
3441d4f:1508ad6f828:6d1f	Membership
3441d4f:1508ad6f828:7bd5	Membership
3441d4f:1508ad6f828:694d	Encompassed
3441d4f:1508ad6f828:7b31	Membership
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	City
3441d4f:1508ad97479:-73f2	Membership
3441d4f:1508ad6f828:6f7f	Membership
3441d4f:1508ad97479:-6b6e	BelievedBy
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	River
3441d4f:1508ad6f828:6ccb	Membership
3441d4f:1508ad6f828:7d91	Membership
3441d4f:1508ad97479:-7db8	Membership
3441d4f:1508ad6f828:706a	Membership
3441d4f:1508ad97479:-79e6	Membership
3441d4f:1508ad97479:-7d14	Membership
http://www.semwebtech.org/mondial/10/island/Impalila/	Island
http://www.semwebtech.org/mondial/10/source/Pjandsh/	Source
3441d4f:1508ad97479:-7942	Membership
http://www.semwebtech.org/mondial/10/source/Kama/	Source
3441d4f:1508ad97479:-6eae	Membership
3441d4f:1508ad6f828:765e	Membership
3441d4f:1508ad97479:-7f74	Membership
3441d4f:1508ad97479:-724d	Membership
3441d4f:1508ad97479:-6e0a	SpokenBy
3441d4f:1508ad6f828:73aa	Membership
3441d4f:1508ad97479:-7cc0	Membership
3441d4f:1508ad6f828:6b47	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	City
http://www.semwebtech.org/mondial/10/source/Tambo/	Source
http://www.semwebtech.org/mondial/10/country/R/province/Amur/	Province
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Nepalese/	EthnicGroup
3441d4f:1508ad6f828:6af3	Membership
http://www.semwebtech.org/mondial/10/estuary/Leine/	Estuary
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	City
3441d4f:1508ad97479:-7bbf	Membership
3441d4f:1508ad6f828:7f2c	Membership
3441d4f:1508ad97479:-77ed	Membership
3441d4f:1508ad6f828:7226	Membership
3441d4f:1508ad97479:-7b1b	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	City
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	City
3441d4f:1508ad97479:-69bb	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	City
http://www.semwebtech.org/mondial/10/language/Basque/	Language
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	City
3441d4f:1508ad97479:-6cd6	BelievedBy
3441d4f:1508ad6f828:7486	Membership
3441d4f:1508ad97479:-7d7b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	City
3441d4f:1508ad97479:-7075	Membership
3441d4f:1508ad97479:-6c32	BelievedBy
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/	Province
3441d4f:1508ad6f828:71d2	Membership
3441d4f:1508ad97479:-7409	Membership
3441d4f:1508ad97479:-6e92	Membership
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-7669	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/	Province
3441d4f:1508ad6f828:77c6	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	City
3441d4f:1508ad97479:-73b5	Membership
3441d4f:1508ad6f828:7df8	Membership
3441d4f:1508ad6f828:7722	Membership
3441d4f:1508ad97479:-7311	Membership
3441d4f:1508ad6f828:7d54	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	City
3441d4f:1508ad6f828:702d	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	City
3441d4f:1508ad6f828:68bc	Encompassed
3441d4f:1508ad6f828:7982	Membership
3441d4f:1508ad6f828:7aa0	Membership
3441d4f:1508ad97479:-79a9	Membership
3441d4f:1508ad97479:-7571	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	City
3441d4f:1508ad6f828:6eee	Membership
3441d4f:1508ad97479:-6add	EthnicProportion
3441d4f:1508ad6f828:728d	Membership
3441d4f:1508ad97479:-7905	Membership
3441d4f:1508ad6f828:6e4a	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	City
3441d4f:1508ad97479:-7f37	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	City
3441d4f:1508ad97479:-78b1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	City
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/	Province
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	City
3441d4f:1508ad6f828:75cd	Membership
3441d4f:1508ad97479:-7ee3	Membership
3441d4f:1508ad97479:-71bc	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Danish/	EthnicGroup
3441d4f:1508ad6f828:7bff	Membership
http://www.semwebtech.org/mondial/10/country/MK/	Country
3441d4f:1508ad6f828:6ab6	Border
3441d4f:1508ad6f828:6998	Border
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Province
3441d4f:1508ad6f828:7b5b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/	Province
3441d4f:1508ad6f828:6a12	Border
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/	Province
3441d4f:1508ad97479:-770c	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/	Province
3441d4f:1508ad6f828:6c72	Membership
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/	Province
3441d4f:1508ad6f828:7449	Membership
3441d4f:1508ad97479:-7d3e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	City
3441d4f:1508ad97479:-7038	Membership
3441d4f:1508ad97479:-796c	Membership
3441d4f:1508ad97479:-6ef9	Membership
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	Estuary
3441d4f:1508ad97479:-7f9e	Membership
3441d4f:1508ad97479:-7298	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/	Province
3441d4f:1508ad97479:-6e55	Membership
3441d4f:1508ad6f828:73f5	Membership
3441d4f:1508ad97479:-7cea	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	City
3441d4f:1508ad6f828:6fb2	Membership
3441d4f:1508ad97479:-6ba1	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	City
3441d4f:1508ad6f828:7351	Membership
3441d4f:1508ad6f828:7d17	Membership
3441d4f:1508ad6f828:79e9	Membership
3441d4f:1508ad97479:-75d8	Membership
3441d4f:1508ad6f828:7945	Membership
3441d4f:1508ad97479:-7534	Membership
3441d4f:1508ad6f828:7f77	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	City
3441d4f:1508ad97479:-7b66	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/	Province
3441d4f:1508ad6f828:6e0d	Membership
3441d4f:1508ad6f828:7cc3	Membership
3441d4f:1508ad97479:-7794	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	City
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	Lake
3441d4f:1508ad6f828:78f1	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	City
3441d4f:1508ad97479:-6962	EthnicProportion
3441d4f:1508ad97479:-74e0	Membership
3441d4f:1508ad97479:-709f	Membership
3441d4f:1508ad97479:-6c5c	BelievedBy
3441d4f:1508ad6f828:71fc	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	City
http://www.semwebtech.org/mondial/10/river/Umeaelv/	River
3441d4f:1508ad97479:-7ea6	Membership
3441d4f:1508ad97479:-7e02	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/	Province
3441d4f:1508ad6f828:7b1e	Membership
3441d4f:1508ad97479:-73df	Membership
3441d4f:1508ad6f828:774c	Membership
http://www.semwebtech.org/mondial/10/island/Sansibar/	Island
3441d4f:1508ad97479:-733b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	City
3441d4f:1508ad6f828:6cd9	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	City
3441d4f:1508ad6f828:7d7e	Membership
3441d4f:1508ad6f828:7078	Membership
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	City
3441d4f:1508ad6f828:6c35	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/	Province
3441d4f:1508ad6f828:7aca	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	City
3441d4f:1508ad97479:-759b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	City
3441d4f:1508ad97479:-792f	Membership
http://www.semwebtech.org/mondial/10/estuary/Parana/	Estuary
3441d4f:1508ad6f828:6e95	Membership
3441d4f:1508ad97479:-6a84	EthnicProportion
3441d4f:1508ad6f828:6be1	Membership
3441d4f:1508ad97479:-6e18	SpokenBy
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	River
3441d4f:1508ad6f828:73b8	Membership
3441d4f:1508ad97479:-7cad	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	City
3441d4f:1508ad6f828:7314	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	City
3441d4f:1508ad97479:-78db	Membership
3441d4f:1508ad97479:-6dc4	SpokenBy
3441d4f:1508ad6f828:7574	Membership
3441d4f:1508ad97479:-7163	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	City
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	City
3441d4f:1508ad97479:-6d20	BelievedBy
3441d4f:1508ad6f828:7908	Membership
3441d4f:1508ad6f828:72c0	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/SouthUist/	Island
3441d4f:1508ad6f828:6a3c	Border
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	City
3441d4f:1508ad97479:-7b29	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	EthnicGroup
3441d4f:1508ad97479:-6f80	Membership
3441d4f:1508ad97479:-69c9	EthnicProportion
3441d4f:1508ad97479:-7757	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	City
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	Island
3441d4f:1508ad6f828:6c9c	Membership
http://www.semwebtech.org/mondial/10/organization/OIC/	Organization
3441d4f:1508ad97479:-6925	EthnicProportion
3441d4f:1508ad6f828:78b4	Membership
3441d4f:1508ad97479:-74a3	Membership
3441d4f:1508ad97479:-7d89	Membership
http://www.semwebtech.org/mondial/10/country/SMAR/	Country
3441d4f:1508ad97479:-6c1f	BelievedBy
3441d4f:1508ad6f828:7ee6	Membership
3441d4f:1508ad6f828:7810	Membership
3441d4f:1508ad6f828:71bf	Membership
3441d4f:1508ad97479:-7ad5	Membership
http://www.semwebtech.org/mondial/10/estuary/Tara/	Estuary
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	City
3441d4f:1508ad6f828:7e42	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	City
http://www.semwebtech.org/mondial/10/language/Luxembourgish/	Language
3441d4f:1508ad6f828:711b	Membership
3441d4f:1508ad97479:-7a31	Membership
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	Estuary
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	City
3441d4f:1508ad6f828:69aa	Border
3441d4f:1508ad97479:-6e7f	Membership
3441d4f:1508ad97479:-68d1	EthnicProportion
3441d4f:1508ad6f828:6fdc	Membership
3441d4f:1508ad97479:-6bcb	BelievedBy
http://www.semwebtech.org/mondial/10/island/Sylt/	Island
3441d4f:1508ad6f828:737b	Membership
3441d4f:1508ad97479:-7c91	Membership
3441d4f:1508ad6f828:770f	Membership
3441d4f:1508ad6f828:796f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/	Province
3441d4f:1508ad97479:-755e	Membership
3441d4f:1508ad6f828:76bb	Membership
3441d4f:1508ad97479:-7fd1	Membership
3441d4f:1508ad97479:-72aa	Membership
3441d4f:1508ad6f828:6e58	Membership
3441d4f:1508ad6f828:7ced	Membership
3441d4f:1508ad97479:-6a47	EthnicProportion
3441d4f:1508ad6f828:6ba4	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Maori/	EthnicGroup
3441d4f:1508ad97479:-698c	EthnicProportion
3441d4f:1508ad6f828:6b00	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/	Province
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	City
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/	Province
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	City
3441d4f:1508ad6f828:6d60	Membership
3441d4f:1508ad97479:-7126	Membership
3441d4f:1508ad6f828:7537	Membership
3441d4f:1508ad97479:-7e2c	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	City
3441d4f:1508ad6f828:7b69	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	City
3441d4f:1508ad97479:-6fe7	Membership
3441d4f:1508ad6f828:7797	Membership
3441d4f:1508ad97479:-7386	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	City
http://www.semwebtech.org/mondial/10/estuary/Main/	Estuary
3441d4f:1508ad97479:-6f43	Membership
3441d4f:1508ad6f828:74e3	Membership
3441d4f:1508ad97479:-70d2	Membership
3441d4f:1508ad6f828:6c5f	Membership
http://www.semwebtech.org/mondial/10/source/Lech/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	City
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	City
3441d4f:1508ad6f828:7ea9	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	City
3441d4f:1508ad6f828:688d	Encompassed
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	City
3441d4f:1508ad6f828:7a71	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	City
3441d4f:1508ad6f828:7e05	Membership
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	City
http://www.semwebtech.org/mondial/10/religion/Methodist/	Religion
3441d4f:1508ad97479:-76c6	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	City
3441d4f:1508ad97479:-7622	Membership
3441d4f:1508ad97479:-7cf8	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	City
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	City
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	City
3441d4f:1508ad6f828:733e	Membership
3441d4f:1508ad97479:-7c54	Membership
3441d4f:1508ad6f828:7db1	Membership
3441d4f:1508ad97479:-7882	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	City
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	City
3441d4f:1508ad97479:-6dee	SpokenBy
3441d4f:1508ad6f828:759e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	City
3441d4f:1508ad97479:-718d	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/	Province
3441d4f:1508ad97479:-6d4a	SpokenBy
3441d4f:1508ad6f828:72ea	Membership
3441d4f:1508ad6f828:6a87	Border
http://www.semwebtech.org/mondial/10/source/Douro/	Source
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	City
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	EthnicGroup
3441d4f:1508ad6f828:7c0c	Membership
3441d4f:1508ad6f828:78de	Membership
3441d4f:1508ad97479:-694f	EthnicProportion
3441d4f:1508ad97479:-74cd	Membership
3441d4f:1508ad6f828:783a	Membership
3441d4f:1508ad97479:-7aff	Membership
3441d4f:1508ad6f828:6dc7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	City
3441d4f:1508ad6f828:7e6c	Membership
3441d4f:1508ad6f828:7166	Membership
3441d4f:1508ad97479:-7a5b	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/	Province
3441d4f:1508ad6f828:6d23	Membership
3441d4f:1508ad6f828:69f5	Border
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	City
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/	Province
3441d4f:1508ad97479:-68fb	EthnicProportion
3441d4f:1508ad6f828:6951	Encompassed
3441d4f:1508ad6f828:6f83	Membership
3441d4f:1508ad97479:-6b72	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/	Province
3441d4f:1508ad97479:-7349	Membership
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-6f06	Membership
3441d4f:1508ad6f828:74a6	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	City
3441d4f:1508ad6f828:7ad8	Membership
3441d4f:1508ad6f828:7402	Membership
3441d4f:1508ad6f828:7a34	Membership
3441d4f:1508ad97479:-7ffb	Membership
3441d4f:1508ad97479:-72f5	Membership
3441d4f:1508ad97479:-6eb2	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/	Province
3441d4f:1508ad6f828:7662	Membership
http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Mountains
3441d4f:1508ad97479:-7251	Membership
3441d4f:1508ad6f828:6bce	Membership
http://www.semwebtech.org/mondial/10/country/CV/	Country
3441d4f:1508ad6f828:7c94	Membership
http://www.semwebtech.org/mondial/10/estuary/Naryn/	Estuary
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	City
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	Estuary
3441d4f:1508ad6f828:6b2a	Membership
3441d4f:1508ad97479:-78e9	Membership
3441d4f:1508ad97479:-7c17	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	City
3441d4f:1508ad97479:-7845	Membership
3441d4f:1508ad6f828:6d8a	Membership
3441d4f:1508ad6f828:79a2	Membership
3441d4f:1508ad97479:-7e77	Membership
3441d4f:1508ad97479:-6d0d	BelievedBy
3441d4f:1508ad6f828:7fd4	Membership
http://www.semwebtech.org/mondial/10/source/Oulujoki/	Source
3441d4f:1508ad6f828:72ad	Membership
3441d4f:1508ad97479:-7bc3	Membership
3441d4f:1508ad97479:-77f1	Membership
3441d4f:1508ad6f828:7f30	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	City
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	City
3441d4f:1508ad97479:-6f6d	Membership
http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Mountains
3441d4f:1508ad97479:-70fc	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/	Province
3441d4f:1508ad6f828:7a9b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	City
3441d4f:1508ad6f828:7e2f	Membership
3441d4f:1508ad6f828:7129	Membership
3441d4f:1508ad97479:-7a1e	Membership
3441d4f:1508ad6f828:69b8	Border
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	City
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/	Province
3441d4f:1508ad97479:-68be	EthnicProportion
3441d4f:1508ad97479:-764c	Membership
3441d4f:1508ad6f828:6914	Encompassed
3441d4f:1508ad97479:-6bd9	BelievedBy
3441d4f:1508ad97479:-7c7e	Membership
3441d4f:1508ad6f828:7389	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	City
http://www.semwebtech.org/mondial/10/river/Po/	River
3441d4f:1508ad6f828:6f46	Membership
3441d4f:1508ad97479:-6b35	BelievedBy
3441d4f:1508ad6f828:7ddb	Membership
3441d4f:1508ad6f828:70d5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	City
http://www.semwebtech.org/mondial/10/organization/UN/	Organization
3441d4f:1508ad6f828:7031	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	City
3441d4f:1508ad6f828:68c0	Encompassed
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	City
3441d4f:1508ad97479:-6d95	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	Estuary
http://www.semwebtech.org/mondial/10/river/Tennessee/	River
3441d4f:1508ad97479:-6ae1	EthnicProportion
3441d4f:1508ad6f828:6ef2	Membership
http://www.semwebtech.org/mondial/10/island/Borneo/	Island
3441d4f:1508ad97479:-7fbe	Membership
3441d4f:1508ad6f828:76c9	Membership
3441d4f:1508ad6f828:7291	Membership
3441d4f:1508ad97479:-72b8	Membership
3441d4f:1508ad97479:-7f1a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	City
3441d4f:1508ad6f828:7625	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	City
3441d4f:1508ad97479:-7214	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	City
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	City
3441d4f:1508ad6f828:7c57	Membership
3441d4f:1508ad6f828:7885	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Marche/	Province
3441d4f:1508ad97479:-7474	Membership
3441d4f:1508ad6f828:75d1	Membership
3441d4f:1508ad97479:-7808	Membership
3441d4f:1508ad97479:-71c0	Membership
3441d4f:1508ad6f828:6d4d	Membership
3441d4f:1508ad6f828:697b	Border
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	City
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	Desert
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	City
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/	Province
3441d4f:1508ad97479:-6b9c	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/BlackMaur/	EthnicGroup
3441d4f:1508ad97479:-77b4	Membership
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	City
http://www.semwebtech.org/mondial/10/river/Luapula/	River
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	City
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	Lake
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	City
3441d4f:1508ad97479:-7de6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	City
3441d4f:1508ad97479:-7710	Membership
3441d4f:1508ad97479:-70bf	Membership
http://www.semwebtech.org/mondial/10/island/Zakynthos/	Island
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	City
3441d4f:1508ad6f828:742c	Membership
3441d4f:1508ad97479:-7d42	Membership
3441d4f:1508ad97479:-701b	Membership
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	Estuary
3441d4f:1508ad6f828:7a5e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	City
3441d4f:1508ad97479:-7970	Membership
http://www.semwebtech.org/mondial/10/language/Greek/	Language
3441d4f:1508ad97479:-6edc	Membership
3441d4f:1508ad6f828:768c	Membership
3441d4f:1508ad97479:-727b	Membership
http://www.semwebtech.org/mondial/10/island/Tortola/	Island
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	City
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	Lake
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	City
3441d4f:1508ad97479:-760f	Membership
3441d4f:1508ad6f828:6b75	Membership
http://www.semwebtech.org/mondial/10/mountain/Kailash/	Mountain
3441d4f:1508ad6f828:6f09	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	City
3441d4f:1508ad97479:-786f	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	City
3441d4f:1508ad6f828:79cc	Membership
3441d4f:1508ad97479:-75bb	Membership
3441d4f:1508ad6f828:7ffe	Membership
3441d4f:1508ad97479:-6d58	SpokenBy
3441d4f:1508ad6f828:72f8	Membership
3441d4f:1508ad97479:-7bed	Membership
3441d4f:1508ad6f828:6eb5	Membership
3441d4f:1508ad6f828:7f5a	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/	Province
3441d4f:1508ad97479:-6aa4	EthnicProportion
3441d4f:1508ad6f828:7254	Membership
3441d4f:1508ad6f828:6e11	Membership
3441d4f:1508ad97479:-6a00	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Hebrew/	Language
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	City
3441d4f:1508ad97479:-6c60	BelievedBy
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	River
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	City
3441d4f:1508ad6f828:7848	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	City
3441d4f:1508ad97479:-7437	Membership
3441d4f:1508ad97479:-7a69	Membership
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	City
3441d4f:1508ad6f828:7bc6	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	City
3441d4f:1508ad97479:-7697	Membership
3441d4f:1508ad6f828:693e	Encompassed
3441d4f:1508ad6f828:7b22	Membership
3441d4f:1508ad6f828:77f4	Membership
http://www.semwebtech.org/mondial/10/river/Rhone/	River
3441d4f:1508ad97479:-73e3	Membership
3441d4f:1508ad97479:-6b5f	BelievedBy
3441d4f:1508ad97479:-6fa0	Membership
3441d4f:1508ad6f828:7750	Membership
3441d4f:1508ad6f828:70ff	Membership
http://www.semwebtech.org/mondial/10/river/Bani/	River
3441d4f:1508ad6f828:6cbc	Membership
3441d4f:1508ad97479:-7da9	Membership
3441d4f:1508ad6f828:7d82	Membership
http://www.semwebtech.org/mondial/10/organization/EBRD/	Organization
3441d4f:1508ad6f828:705b	Membership
3441d4f:1508ad6f828:68ea	Encompassed
3441d4f:1508ad97479:-79d7	Membership
3441d4f:1508ad97479:-7d05	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	City
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	City
3441d4f:1508ad97479:-7933	Membership
3441d4f:1508ad6f828:764f	Membership
3441d4f:1508ad97479:-7f65	Membership
3441d4f:1508ad97479:-723e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	City
3441d4f:1508ad97479:-7cb1	Membership
3441d4f:1508ad6f828:6b38	Membership
3441d4f:1508ad97479:-6de3	SpokenBy
http://www.semwebtech.org/mondial/10/country/GUY/	Country
3441d4f:1508ad97479:-749e	Membership
3441d4f:1508ad6f828:75fb	Membership
http://www.semwebtech.org/mondial/10/religion/UnitingChurchAustralia/	Religion
3441d4f:1508ad97479:-71ea	Membership
3441d4f:1508ad6f828:6d98	Membership
http://www.semwebtech.org/mondial/10/river/Karun/	River
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	City
http://www.semwebtech.org/mondial/10/mountain/K2/	Mountain
3441d4f:1508ad6f828:6ae4	Membership
3441d4f:1508ad6f828:6a40	Border
3441d4f:1508ad6f828:7f1d	Membership
3441d4f:1508ad97479:-77de	Membership
3441d4f:1508ad6f828:7217	Membership
3441d4f:1508ad97479:-7b0c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	City
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/	Province
3441d4f:1508ad97479:-69ac	EthnicProportion
3441d4f:1508ad97479:-773a	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Yezidi/	EthnicGroup
3441d4f:1508ad97479:-6cc7	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/	Province
3441d4f:1508ad6f828:7477	Membership
3441d4f:1508ad97479:-7d6c	Membership
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	Mountain
3441d4f:1508ad97479:-7066	Membership
3441d4f:1508ad97479:-6c23	BelievedBy
3441d4f:1508ad6f828:71c3	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	City
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/	Province
3441d4f:1508ad97479:-799a	Membership
3441d4f:1508ad97479:-6e83	Membership
http://www.semwebtech.org/mondial/10/river/Urubamba/	River
3441d4f:1508ad6f828:6fe0	Membership
3441d4f:1508ad6f828:6b9f	Membership
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	Sea
3441d4f:1508ad6f828:77b7	Membership
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-73a6	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	City
3441d4f:1508ad6f828:7de9	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	City
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	City
3441d4f:1508ad6f828:7713	Membership
3441d4f:1508ad97479:-7302	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/	Province
3441d4f:1508ad6f828:7d45	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	City
3441d4f:1508ad6f828:701e	Membership
3441d4f:1508ad6f828:68ad	Encompassed
3441d4f:1508ad6f828:7973	Membership
3441d4f:1508ad97479:-7562	Membership
3441d4f:1508ad6f828:6edf	Membership
3441d4f:1508ad97479:-6ace	EthnicProportion
3441d4f:1508ad6f828:727e	Membership
3441d4f:1508ad97479:-7b94	Membership
3441d4f:1508ad6f828:6e3b	Membership
3441d4f:1508ad6f828:7cf1	Membership
3441d4f:1508ad97479:-6a2a	EthnicProportion
3441d4f:1508ad97479:-7f28	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	EthnicGroup
3441d4f:1508ad97479:-6990	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Chatanga/	Source
3441d4f:1508ad97479:-6c8a	BelievedBy
3441d4f:1508ad97479:-78a2	Membership
3441d4f:1508ad6f828:75be	Membership
3441d4f:1508ad97479:-7ed4	Membership
3441d4f:1508ad97479:-71ad	Membership
3441d4f:1508ad97479:-7e30	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	City
http://www.semwebtech.org/mondial/10/country/COCO/	Country
3441d4f:1508ad6f828:751a	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	City
3441d4f:1508ad6f828:6aa7	Border
3441d4f:1508ad6f828:6989	Border
3441d4f:1508ad6f828:7b4c	Membership
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	Province
http://www.semwebtech.org/mondial/10/estuary/Aller/	Estuary
3441d4f:1508ad6f828:6a03	Border
3441d4f:1508ad97479:-6fca	Membership
3441d4f:1508ad6f828:777a	Membership
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	Mountain
3441d4f:1508ad6f828:6c63	Membership
http://www.semwebtech.org/mondial/10/island/Sumatra/	Island
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	City
3441d4f:1508ad97479:-7d2f	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	City
3441d4f:1508ad97479:-7029	Membership
3441d4f:1508ad6f828:6891	Encompassed
3441d4f:1508ad97479:-795d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/	Province
http://www.semwebtech.org/mondial/10/language/Turkic/	Language
3441d4f:1508ad97479:-7f8f	Membership
3441d4f:1508ad97479:-7289	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	City
3441d4f:1508ad97479:-6e46	SpokenBy
3441d4f:1508ad6f828:73e6	Membership
3441d4f:1508ad97479:-7cdb	Membership
3441d4f:1508ad6f828:6fa3	Membership
3441d4f:1508ad6f828:7342	Membership
http://www.semwebtech.org/mondial/10/island/Cyprus/	Island
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	Sea
3441d4f:1508ad97479:-6df2	SpokenBy
3441d4f:1508ad6f828:7d08	Membership
3441d4f:1508ad97479:-75c9	Membership
3441d4f:1508ad97479:-7191	Membership
http://www.semwebtech.org/mondial/10/country/BZ/	Country
3441d4f:1508ad6f828:7936	Membership
3441d4f:1508ad97479:-7525	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	City
3441d4f:1508ad6f828:6a6a	Border
3441d4f:1508ad6f828:7f68	Membership
http://www.semwebtech.org/mondial/10/organization/EFTA/	Organization
3441d4f:1508ad97479:-7b57	Membership
3441d4f:1508ad97479:-69f7	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/SuluSea/	Sea
3441d4f:1508ad6f828:7cb4	Membership
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	Mountain
3441d4f:1508ad97479:-7785	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	City
3441d4f:1508ad6f828:7c10	Membership
3441d4f:1508ad6f828:78e2	Membership
3441d4f:1508ad97479:-6953	EthnicProportion
3441d4f:1508ad97479:-74d1	Membership
3441d4f:1508ad97479:-6c4d	BelievedBy
3441d4f:1508ad6f828:71ed	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/	Province
3441d4f:1508ad6f828:6daa	Membership
3441d4f:1508ad6f828:7e70	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Amhara/	EthnicGroup
3441d4f:1508ad6f828:7b0f	Membership
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	Island
http://www.semwebtech.org/mondial/10/estuary/Ural/	Estuary
3441d4f:1508ad6f828:773d	Membership
3441d4f:1508ad97479:-732c	Membership
http://www.semwebtech.org/mondial/10/source/Donau/	Source
3441d4f:1508ad6f828:7d6f	Membership
3441d4f:1508ad6f828:7069	Membership
3441d4f:1508ad6f828:6c26	Membership
3441d4f:1508ad6f828:68f8	Encompassed
3441d4f:1508ad6f828:799d	Membership
3441d4f:1508ad6f828:7abb	Membership
3441d4f:1508ad97479:-758c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	City
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	Estuary
3441d4f:1508ad6f828:6e86	Membership
3441d4f:1508ad97479:-6a75	EthnicProportion
3441d4f:1508ad6f828:6bd2	Membership
3441d4f:1508ad97479:-6e09	SpokenBy
3441d4f:1508ad6f828:73a9	Membership
http://www.semwebtech.org/mondial/10/river/Lukenie/	River
http://www.semwebtech.org/mondial/10/country/LAO/	Country
3441d4f:1508ad6f828:7305	Membership
3441d4f:1508ad97479:-78cc	Membership
3441d4f:1508ad97479:-7efe	Membership
http://www.semwebtech.org/mondial/10/country/TL/	Country
3441d4f:1508ad97479:-71f8	Membership
http://www.semwebtech.org/mondial/10/mountain/Tahan/	Mountain
3441d4f:1508ad97479:-6db5	SpokenBy
3441d4f:1508ad6f828:7565	Membership
3441d4f:1508ad97479:-7e5a	Membership
3441d4f:1508ad97479:-7154	Membership
3441d4f:1508ad97479:-6d11	BelievedBy
3441d4f:1508ad6f828:7b97	Membership
3441d4f:1508ad6f828:72b1	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/	Province
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	City
3441d4f:1508ad6f828:6a2d	Border
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	City
http://www.semwebtech.org/mondial/10/country/TAD/	Country
3441d4f:1508ad97479:-6f71	Membership
3441d4f:1508ad97479:-7748	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	City
3441d4f:1508ad6f828:6c8d	Membership
3441d4f:1508ad6f828:78a5	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	City
3441d4f:1508ad97479:-6916	EthnicProportion
3441d4f:1508ad6f828:7ed7	Membership
3441d4f:1508ad6f828:7801	Membership
3441d4f:1508ad97479:-7ac6	Membership
http://www.semwebtech.org/mondial/10/island/Timor/	Island
3441d4f:1508ad97479:-76f4	Membership
3441d4f:1508ad6f828:7e33	Membership
3441d4f:1508ad6f828:710c	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	City
3441d4f:1508ad97479:-7a22	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/HanChinese/	EthnicGroup
3441d4f:1508ad97479:-68c2	EthnicProportion
3441d4f:1508ad97479:-7650	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/	Province
3441d4f:1508ad6f828:6fcd	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	City
3441d4f:1508ad97479:-6bbc	BelievedBy
3441d4f:1508ad6f828:736c	Membership
3441d4f:1508ad97479:-7c82	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Tamil/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	City
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	City
3441d4f:1508ad97479:-754f	Membership
3441d4f:1508ad6f828:76ac	Membership
3441d4f:1508ad97479:-7fc2	Membership
3441d4f:1508ad6f828:6e49	Membership
3441d4f:1508ad97479:-6a38	EthnicProportion
3441d4f:1508ad6f828:7cde	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	City
3441d4f:1508ad6f828:7c3a	Membership
3441d4f:1508ad97479:-697d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/K/	Country
3441d4f:1508ad97479:-74fb	Membership
3441d4f:1508ad97479:-6c98	BelievedBy
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	City
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	City
3441d4f:1508ad6f828:6df5	Membership
3441d4f:1508ad6f828:7e9a	Membership
3441d4f:1508ad6f828:7194	Membership
3441d4f:1508ad6f828:6d51	Membership
3441d4f:1508ad6f828:7528	Membership
3441d4f:1508ad97479:-7e1d	Membership
http://www.semwebtech.org/mondial/10/river/Zaire/	River
3441d4f:1508ad97479:-7117	Membership
3441d4f:1508ad97479:-6fd8	Membership
3441d4f:1508ad6f828:7788	Membership
http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/	Mountains
3441d4f:1508ad97479:-7377	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	City
3441d4f:1508ad97479:-6f34	Membership
3441d4f:1508ad6f828:74d4	Membership
http://www.semwebtech.org/mondial/10/estuary/Adda/	Estuary
3441d4f:1508ad97479:-70c3	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/	Province
3441d4f:1508ad6f828:7430	Membership
http://www.semwebtech.org/mondial/10/mountain/Zhima/	Mountain
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/	Province
3441d4f:1508ad6f828:7a62	Membership
3441d4f:1508ad97479:-6a9f	EthnicProportion
3441d4f:1508ad97479:-6ee0	Membership
3441d4f:1508ad6f828:7690	Membership
3441d4f:1508ad97479:-76b7	Membership
3441d4f:1508ad6f828:6bfc	Membership
3441d4f:1508ad97479:-7613	Membership
3441d4f:1508ad97479:-7ce9	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	City
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	City
http://www.semwebtech.org/mondial/10/country/RCA/	Country
3441d4f:1508ad97479:-7c45	Membership
3441d4f:1508ad6f828:732f	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/	Province
3441d4f:1508ad6f828:7da2	Membership
3441d4f:1508ad97479:-7873	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	City
3441d4f:1508ad97479:-6ddf	SpokenBy
3441d4f:1508ad6f828:79d0	Membership
3441d4f:1508ad6f828:758f	Membership
3441d4f:1508ad97479:-717e	Membership
3441d4f:1508ad97479:-6d3b	SpokenBy
3441d4f:1508ad6f828:72db	Membership
3441d4f:1508ad97479:-7bf1	Membership
3441d4f:1508ad6f828:6a78	Border
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/	Province
3441d4f:1508ad97479:-6f9b	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	City
http://www.semwebtech.org/mondial/10/language/Danish/	Language
3441d4f:1508ad6f828:78cf	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	City
3441d4f:1508ad97479:-74be	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/	Province
http://www.semwebtech.org/mondial/10/language/Montenegrin/	Language
3441d4f:1508ad6f828:782b	Membership
http://www.semwebtech.org/mondial/10/mountains/Andes/	Mountains
3441d4f:1508ad97479:-741a	Membership
3441d4f:1508ad6f828:6db8	Membership
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	City
http://www.semwebtech.org/mondial/10/organization/BIS/	Organization
3441d4f:1508ad6f828:7e5d	Membership
3441d4f:1508ad97479:-7a4c	Membership
3441d4f:1508ad6f828:7157	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	City
3441d4f:1508ad6f828:6d14	Membership
3441d4f:1508ad6f828:69e6	Border
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	City
3441d4f:1508ad97479:-68ec	EthnicProportion
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	City
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	City
3441d4f:1508ad97479:-767a	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	City
3441d4f:1508ad6f828:6942	Encompassed
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	City
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	Island
http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/	Continent
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	City
3441d4f:1508ad6f828:6f74	Membership
3441d4f:1508ad97479:-6b63	BelievedBy
3441d4f:1508ad6f828:6cc0	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	City
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	City
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	City
http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/	Mountains
3441d4f:1508ad6f828:7ac9	Membership
3441d4f:1508ad97479:-79ba	Membership
http://www.semwebtech.org/mondial/10/religion/Christian/	Religion
3441d4f:1508ad6f828:76f7	Membership
3441d4f:1508ad6f828:7a25	Membership
3441d4f:1508ad97479:-7fec	Membership
3441d4f:1508ad97479:-72e6	Membership
3441d4f:1508ad97479:-6ea3	Membership
3441d4f:1508ad6f828:7653	Membership
3441d4f:1508ad97479:-7242	Membership
3441d4f:1508ad6f828:7c85	Membership
3441d4f:1508ad6f828:6bbf	Membership
http://www.semwebtech.org/mondial/10/country/BRN/	Country
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	City
3441d4f:1508ad6f828:6b1b	Membership
3441d4f:1508ad97479:-7c08	Membership
3441d4f:1508ad97479:-7836	Membership
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	Mountain
3441d4f:1508ad6f828:6d7b	Membership
3441d4f:1508ad97479:-7e68	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	City
3441d4f:1508ad6f828:7fc5	Membership
3441d4f:1508ad97479:-7bb4	Membership
3441d4f:1508ad6f828:7f21	Membership
3441d4f:1508ad97479:-77e2	Membership
3441d4f:1508ad97479:-7b10	Membership
3441d4f:1508ad97479:-6f5e	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	City
3441d4f:1508ad6f828:74fe	Membership
http://www.semwebtech.org/mondial/10/language/Dungun/	Language
3441d4f:1508ad97479:-69b0	EthnicProportion
3441d4f:1508ad97479:-70ed	Membership
http://www.semwebtech.org/mondial/10/source/Volta/	Source
3441d4f:1508ad97479:-6caa	BelievedBy
3441d4f:1508ad6f828:745a	Membership
3441d4f:1508ad97479:-7d70	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	City
3441d4f:1508ad6f828:7a8c	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	City
3441d4f:1508ad97479:-7a0f	Membership
3441d4f:1508ad6f828:69a9	Border
http://www.semwebtech.org/mondial/10/river/Lukuga/	River
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	City
3441d4f:1508ad97479:-68af	EthnicProportion
3441d4f:1508ad97479:-763d	Membership
3441d4f:1508ad6f828:6905	Encompassed
3441d4f:1508ad97479:-7c6f	Membership
http://www.semwebtech.org/mondial/10/river/Huallaga/	River
http://www.semwebtech.org/mondial/10/river/Mississippi/	River
3441d4f:1508ad6f828:6f37	Membership
3441d4f:1508ad6f828:7dcc	Membership
3441d4f:1508ad97479:-6b26	BelievedBy
3441d4f:1508ad6f828:70c6	Membership
3441d4f:1508ad97479:-789d	Membership
3441d4f:1508ad6f828:79fa	Membership
3441d4f:1508ad6f828:7022	Membership
http://www.semwebtech.org/mondial/10/island/Rhum/	Island
3441d4f:1508ad6f828:68b1	Encompassed
3441d4f:1508ad97479:-6d86	SpokenBy
3441d4f:1508ad6f828:6ee3	Membership
3441d4f:1508ad97479:-6ad2	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Amur/	Estuary
3441d4f:1508ad97479:-7faf	Membership
3441d4f:1508ad6f828:7282	Membership
http://www.semwebtech.org/mondial/10/river/Uelle/	River
3441d4f:1508ad97479:-72a9	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/	Province
3441d4f:1508ad6f828:7616	Membership
3441d4f:1508ad97479:-7f0b	Membership
3441d4f:1508ad97479:-7205	Membership
http://www.semwebtech.org/mondial/10/island/Panay/	Island
3441d4f:1508ad6f828:7c48	Membership
http://www.semwebtech.org/mondial/10/source/Oder/	Source
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	City
3441d4f:1508ad6f828:7876	Membership
3441d4f:1508ad97479:-7465	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	City
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	River
http://www.semwebtech.org/mondial/10/language/Kyrgyz/	Language
3441d4f:1508ad6f828:75c2	Membership
3441d4f:1508ad97479:-7a97	Membership
3441d4f:1508ad97479:-71b1	Membership
3441d4f:1508ad6f828:6d3e	Membership
http://www.semwebtech.org/mondial/10/source/Vuoksi/	Source
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7bf4	Membership
http://www.semwebtech.org/mondial/10/lake/LakeToba/	Lake
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	City
3441d4f:1508ad6f828:696c	Encompassed
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	City
3441d4f:1508ad6f828:7b50	Membership
3441d4f:1508ad6f828:6f9e	Membership
3441d4f:1508ad97479:-6b8d	BelievedBy
3441d4f:1508ad97479:-77a5	Membership
3441d4f:1508ad6f828:6cea	Membership
3441d4f:1508ad97479:-7dd7	Membership
3441d4f:1508ad97479:-7701	Membership
3441d4f:1508ad6f828:741d	Membership
3441d4f:1508ad97479:-7d33	Membership
3441d4f:1508ad97479:-700c	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	City
3441d4f:1508ad6f828:7a4f	Membership
3441d4f:1508ad97479:-7961	Membership
3441d4f:1508ad97479:-6ecd	Membership
3441d4f:1508ad97479:-7f93	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/	Province
3441d4f:1508ad6f828:767d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/	Province
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	Lake
3441d4f:1508ad97479:-726c	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	City
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	Lake
3441d4f:1508ad6f828:6b66	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	City
3441d4f:1508ad6f828:79bd	Membership
3441d4f:1508ad97479:-75ac	Membership
3441d4f:1508ad6f828:7fef	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/	Province
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	City
3441d4f:1508ad97479:-6d49	SpokenBy
3441d4f:1508ad6f828:72e9	Membership
3441d4f:1508ad97479:-7bde	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	City
3441d4f:1508ad6f828:6ea6	Membership
3441d4f:1508ad6f828:7f4b	Membership
3441d4f:1508ad6f828:7245	Membership
3441d4f:1508ad97479:-7b3a	Membership
3441d4f:1508ad6f828:6e02	Membership
3441d4f:1508ad97479:-69da	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SP/	Country
3441d4f:1508ad97479:-6cf5	BelievedBy
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	Desert
3441d4f:1508ad97479:-7d9a	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	City
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/	Province
3441d4f:1508ad97479:-7094	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	City
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	City
3441d4f:1508ad97479:-6c51	BelievedBy
3441d4f:1508ad6f828:7839	Membership
3441d4f:1508ad6f828:71f1	Membership
http://www.semwebtech.org/mondial/10/island/Providenciales/	Island
3441d4f:1508ad97479:-7428	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	City
3441d4f:1508ad6f828:7bb7	Membership
3441d4f:1508ad97479:-7688	Membership
3441d4f:1508ad6f828:692f	Encompassed
3441d4f:1508ad6f828:7b13	Membership
3441d4f:1508ad6f828:77e5	Membership
3441d4f:1508ad97479:-73d4	Membership
3441d4f:1508ad6f828:7741	Membership
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	City
http://www.semwebtech.org/mondial/10/estuary/Jordan/	Estuary
3441d4f:1508ad97479:-7330	Membership
3441d4f:1508ad6f828:6cad	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	City
3441d4f:1508ad6f828:7d73	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	City
3441d4f:1508ad6f828:704c	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	City
3441d4f:1508ad6f828:68db	Encompassed
3441d4f:1508ad97479:-79c8	Membership
3441d4f:1508ad97479:-7590	Membership
3441d4f:1508ad97479:-6afc	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	Estuary
3441d4f:1508ad97479:-7924	Membership
3441d4f:1508ad97479:-7f56	Membership
3441d4f:1508ad97479:-722f	Membership
3441d4f:1508ad97479:-7ca2	Membership
3441d4f:1508ad6f828:6b29	Membership
3441d4f:1508ad97479:-78d0	Membership
3441d4f:1508ad97479:-748f	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/	Province
3441d4f:1508ad6f828:75ec	Membership
http://www.semwebtech.org/mondial/10/river/Ili/	River
3441d4f:1508ad97479:-71db	Membership
3441d4f:1508ad6f828:6d89	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	City
3441d4f:1508ad6f828:6ad5	Membership
http://www.semwebtech.org/mondial/10/source/Limmat/	Source
3441d4f:1508ad6f828:7b7a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	City
3441d4f:1508ad6f828:6a31	Border
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	City
3441d4f:1508ad6f828:7f0e	Membership
3441d4f:1508ad97479:-77cf	Membership
3441d4f:1508ad6f828:7208	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/	Province
3441d4f:1508ad97479:-772b	Membership
3441d4f:1508ad6f828:6c91	Membership
3441d4f:1508ad97479:-6cb8	BelievedBy
3441d4f:1508ad6f828:7468	Membership
3441d4f:1508ad97479:-7d5d	Membership
3441d4f:1508ad97479:-7057	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/	Province
3441d4f:1508ad6f828:7eba	Membership
3441d4f:1508ad97479:-6c14	BelievedBy
3441d4f:1508ad6f828:71b4	Membership
3441d4f:1508ad97479:-798b	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	City
3441d4f:1508ad6f828:7110	Membership
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	Mountain
3441d4f:1508ad97479:-6e74	Membership
3441d4f:1508ad6f828:6fd1	Membership
3441d4f:1508ad97479:-6bc0	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/	Province
3441d4f:1508ad6f828:77a8	Membership
3441d4f:1508ad6f828:7370	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	City
3441d4f:1508ad6f828:7704	Membership
3441d4f:1508ad6f828:7d36	Membership
http://www.semwebtech.org/mondial/10/island/Helgoland/	Island
3441d4f:1508ad6f828:700f	Membership
3441d4f:1508ad97479:-75f7	Membership
http://www.semwebtech.org/mondial/10/island/VitiLevu/	Island
3441d4f:1508ad6f828:7964	Membership
http://www.semwebtech.org/mondial/10/island/BanksIsland/	Island
3441d4f:1508ad97479:-7553	Membership
3441d4f:1508ad97479:-6abf	EthnicProportion
3441d4f:1508ad6f828:7f96	Membership
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	City
3441d4f:1508ad6f828:76b0	Membership
3441d4f:1508ad6f828:726f	Membership
3441d4f:1508ad97479:-7b85	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	City
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	City
3441d4f:1508ad6f828:6e2c	Membership
3441d4f:1508ad6f828:7ce2	Membership
3441d4f:1508ad97479:-6a1b	EthnicProportion
3441d4f:1508ad97479:-7f19	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	City
http://www.semwebtech.org/mondial/10/island/Tahiti/	Island
3441d4f:1508ad97479:-6981	EthnicProportion
3441d4f:1508ad97479:-6c7b	BelievedBy
http://www.semwebtech.org/mondial/10/source/Bartang/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/	Province
3441d4f:1508ad6f828:75af	Membership
3441d4f:1508ad97479:-7ec5	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/	Province
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	City
3441d4f:1508ad6f828:750b	Membership
3441d4f:1508ad97479:-7e21	Membership
3441d4f:1508ad6f828:7b3d	Membership
3441d4f:1508ad97479:-73fe	Membership
3441d4f:1508ad97479:-6fbb	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	City
3441d4f:1508ad6f828:776b	Membership
3441d4f:1508ad97479:-735a	Membership
3441d4f:1508ad6f828:6cf8	Membership
3441d4f:1508ad6f828:7d9d	Membership
3441d4f:1508ad6f828:7097	Membership
3441d4f:1508ad6f828:6c54	Membership
3441d4f:1508ad6f828:6882	Encompassed
3441d4f:1508ad97479:-794e	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/	Province
http://www.semwebtech.org/mondial/10/organization/IBRD/	Organization
3441d4f:1508ad97479:-6e37	SpokenBy
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	City
3441d4f:1508ad6f828:73d7	Membership
3441d4f:1508ad97479:-7ccc	Membership
3441d4f:1508ad6f828:7333	Membership
3441d4f:1508ad97479:-78fa	Membership
http://www.semwebtech.org/mondial/10/country/BOL/	Country
http://www.semwebtech.org/mondial/10/mountain/Soufriere/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	City
3441d4f:1508ad6f828:7593	Membership
3441d4f:1508ad97479:-7182	Membership
3441d4f:1508ad6f828:6aff	Membership
3441d4f:1508ad6f828:7927	Membership
3441d4f:1508ad97479:-7516	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	City
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	City
3441d4f:1508ad6f828:6a5b	Border
3441d4f:1508ad6f828:7f59	Membership
3441d4f:1508ad97479:-7b48	Membership
3441d4f:1508ad6f828:7ca5	Membership
3441d4f:1508ad97479:-69e8	EthnicProportion
3441d4f:1508ad97479:-7776	Membership
3441d4f:1508ad97479:-6944	EthnicProportion
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	Source
3441d4f:1508ad6f828:7c01	Membership
3441d4f:1508ad6f828:78d3	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	City
http://www.semwebtech.org/mondial/10/organization/LAIA/	Organization
3441d4f:1508ad97479:-74c2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	City
3441d4f:1508ad97479:-6c3e	BelievedBy
3441d4f:1508ad6f828:71de	Membership
3441d4f:1508ad97479:-7af4	Membership
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	City
3441d4f:1508ad6f828:7e61	Membership
3441d4f:1508ad6f828:713a	Membership
3441d4f:1508ad97479:-7a50	Membership
3441d4f:1508ad97479:-6e9e	Membership
3441d4f:1508ad97479:-68f0	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	City
3441d4f:1508ad6f828:6ffb	Membership
http://www.semwebtech.org/mondial/10/river/Neckar/	River
3441d4f:1508ad97479:-6bea	BelievedBy
3441d4f:1508ad6f828:739a	Membership
3441d4f:1508ad6f828:772e	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	City
3441d4f:1508ad97479:-731d	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	City
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	City
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/	Province
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	City
3441d4f:1508ad6f828:6c17	Membership
3441d4f:1508ad6f828:68e9	Encompassed
3441d4f:1508ad6f828:798e	Membership
3441d4f:1508ad6f828:7aac	Membership
3441d4f:1508ad97479:-757d	Membership
3441d4f:1508ad6f828:76da	Membership
3441d4f:1508ad97479:-7ff0	Membership
http://www.semwebtech.org/mondial/10/organization/ICCt/	Organization
3441d4f:1508ad6f828:6e77	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	City
3441d4f:1508ad97479:-6a66	EthnicProportion
3441d4f:1508ad6f828:6bc3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	City
3441d4f:1508ad97479:-78bd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	City
http://www.semwebtech.org/mondial/10/mountain/Merapi/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-7eef	Membership
http://www.semwebtech.org/mondial/10/organization/CDB/	Organization
3441d4f:1508ad97479:-71e9	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	City
3441d4f:1508ad97479:-6da6	SpokenBy
3441d4f:1508ad6f828:7556	Membership
3441d4f:1508ad97479:-7e4b	Membership
3441d4f:1508ad97479:-7145	Membership
3441d4f:1508ad97479:-6d02	BelievedBy
3441d4f:1508ad6f828:7b88	Membership
3441d4f:1508ad6f828:72a2	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	City
3441d4f:1508ad6f828:6a1e	Border
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	Estuary
3441d4f:1508ad97479:-6f62	Membership
3441d4f:1508ad97479:-70f1	Membership
3441d4f:1508ad97479:-7739	Membership
http://www.semwebtech.org/mondial/10/organization/EU/	Organization
3441d4f:1508ad6f828:6c7e	Membership
http://www.semwebtech.org/mondial/10/country/CI/	Country
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	City
3441d4f:1508ad97479:-6907	EthnicProportion
3441d4f:1508ad6f828:7ec8	Membership
3441d4f:1508ad6f828:7a90	Membership
3441d4f:1508ad97479:-7999	Membership
3441d4f:1508ad97479:-7ab7	Membership
3441d4f:1508ad6f828:7e24	Membership
3441d4f:1508ad97479:-76e5	Membership
3441d4f:1508ad97479:-7a13	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	City
3441d4f:1508ad97479:-68b3	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Mountains
3441d4f:1508ad97479:-7641	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/	Province
3441d4f:1508ad6f828:6fbe	Membership
3441d4f:1508ad97479:-6bad	BelievedBy
3441d4f:1508ad6f828:735d	Membership
3441d4f:1508ad97479:-7c73	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	City
3441d4f:1508ad6f828:6f1a	Membership
3441d4f:1508ad6f828:7dd0	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	City
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Dravidian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	City
http://www.semwebtech.org/mondial/10/language/Hindko/	Language
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/	Province
http://www.semwebtech.org/mondial/10/country/LB/	Country
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	Mountain
3441d4f:1508ad97479:-7fb3	Membership
http://www.semwebtech.org/mondial/10/organization/IDB/	Organization
3441d4f:1508ad6f828:7ccf	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	City
3441d4f:1508ad97479:-6a29	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/	Province
3441d4f:1508ad6f828:7c2b	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	City
3441d4f:1508ad6f828:78fd	Membership
3441d4f:1508ad97479:-696e	EthnicProportion
3441d4f:1508ad97479:-74ec	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/	Province
3441d4f:1508ad97479:-6c89	BelievedBy
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	City
3441d4f:1508ad6f828:6de6	Membership
3441d4f:1508ad6f828:7e8b	Membership
3441d4f:1508ad6f828:7185	Membership
3441d4f:1508ad97479:-7a7a	Membership
3441d4f:1508ad6f828:6d42	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	City
3441d4f:1508ad6f828:7519	Membership
3441d4f:1508ad97479:-7e0e	Membership
http://www.semwebtech.org/mondial/10/country/RT/	Country
3441d4f:1508ad97479:-7108	Membership
3441d4f:1508ad6f828:6970	Encompassed
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	City
3441d4f:1508ad97479:-6b91	BelievedBy
3441d4f:1508ad97479:-6fc9	Membership
3441d4f:1508ad6f828:7779	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	City
3441d4f:1508ad97479:-7368	Membership
http://www.semwebtech.org/mondial/10/estuary/Fulda/	Estuary
3441d4f:1508ad97479:-6f25	Membership
3441d4f:1508ad6f828:74c5	Membership
3441d4f:1508ad97479:-7dba	Membership
3441d4f:1508ad97479:-70b4	Membership
3441d4f:1508ad6f828:7af7	Membership
3441d4f:1508ad6f828:7421	Membership
3441d4f:1508ad97479:-7010	Membership
3441d4f:1508ad6f828:7a53	Membership
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/	Province
3441d4f:1508ad97479:-6ed1	Membership
3441d4f:1508ad6f828:7681	Membership
3441d4f:1508ad97479:-76a8	Membership
3441d4f:1508ad97479:-7270	Membership
3441d4f:1508ad6f828:6bed	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	EthnicGroup
3441d4f:1508ad97479:-7604	Membership
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/	Mountain
3441d4f:1508ad97479:-7c36	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese-Chinese/	EthnicGroup
3441d4f:1508ad97479:-7864	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/	Province
3441d4f:1508ad6f828:79c1	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	City
3441d4f:1508ad97479:-7e96	Membership
3441d4f:1508ad97479:-75b0	Membership
3441d4f:1508ad97479:-716f	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/	Province
3441d4f:1508ad6f828:7ff3	Membership
3441d4f:1508ad97479:-6d2c	BelievedBy
3441d4f:1508ad6f828:72cc	Membership
3441d4f:1508ad97479:-7be2	Membership
3441d4f:1508ad6f828:6a69	Border
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	City
3441d4f:1508ad97479:-6f8c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/	Province
3441d4f:1508ad97479:-74af	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	City
3441d4f:1508ad6f828:781c	Membership
http://www.semwebtech.org/mondial/10/source/Bomu/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	City
3441d4f:1508ad97479:-740b	Membership
3441d4f:1508ad6f828:6da9	Membership
3441d4f:1508ad6f828:7e4e	Membership
3441d4f:1508ad6f828:7148	Membership
3441d4f:1508ad97479:-7a3d	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/	Province
3441d4f:1508ad6f828:69d7	Border
3441d4f:1508ad6f828:6d05	Membership
3441d4f:1508ad97479:-68dd	EthnicProportion
3441d4f:1508ad97479:-766b	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/	Province
3441d4f:1508ad6f828:6933	Encompassed
3441d4f:1508ad97479:-6bf8	BelievedBy
3441d4f:1508ad97479:-7c9d	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/	Province
3441d4f:1508ad6f828:6f65	Membership
3441d4f:1508ad97479:-6b54	BelievedBy
3441d4f:1508ad6f828:7dfa	Membership
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	Lake
3441d4f:1508ad6f828:70f4	Membership
3441d4f:1508ad6f828:6cb1	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Batswana/	EthnicGroup
3441d4f:1508ad6f828:7050	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/	Province
3441d4f:1508ad97479:-79ab	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	City
3441d4f:1508ad6f828:76e8	Membership
3441d4f:1508ad6f828:7a16	Membership
3441d4f:1508ad97479:-7fdd	Membership
3441d4f:1508ad97479:-72d7	Membership
3441d4f:1508ad6f828:7644	Membership
3441d4f:1508ad97479:-7233	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	City
3441d4f:1508ad6f828:7c76	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	City
3441d4f:1508ad6f828:6b0c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/European/	EthnicGroup
3441d4f:1508ad97479:-7493	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Hadiya/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	City
3441d4f:1508ad6f828:75f0	Membership
http://www.semwebtech.org/mondial/10/island/Ternate/	Island
3441d4f:1508ad97479:-7827	Membership
3441d4f:1508ad6f828:6d6c	Membership
3441d4f:1508ad97479:-7e59	Membership
3441d4f:1508ad6f828:699a	Border
3441d4f:1508ad6f828:7fb6	Membership
3441d4f:1508ad97479:-7ba5	Membership
3441d4f:1508ad6f828:7f12	Membership
3441d4f:1508ad97479:-77d3	Membership
3441d4f:1508ad97479:-7b01	Membership
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	Mountain
3441d4f:1508ad97479:-6f4f	Membership
3441d4f:1508ad6f828:74ef	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	City
3441d4f:1508ad97479:-69a1	EthnicProportion
3441d4f:1508ad97479:-70de	Membership
3441d4f:1508ad6f828:744b	Membership
3441d4f:1508ad97479:-7d61	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	City
3441d4f:1508ad97479:-703a	Membership
http://www.semwebtech.org/mondial/10/island/Lampedusa/	Island
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	City
3441d4f:1508ad6f828:7a7d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	City
3441d4f:1508ad97479:-6efb	Membership
3441d4f:1508ad97479:-729a	Membership
http://www.semwebtech.org/mondial/10/mountains/Atlas/	Mountains
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	City
3441d4f:1508ad97479:-762e	Membership
3441d4f:1508ad6f828:6b94	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	City
http://www.semwebtech.org/mondial/10/country/EAK/	Country
3441d4f:1508ad6f828:6f28	Membership
3441d4f:1508ad6f828:7dbd	Membership
3441d4f:1508ad97479:-6b17	BelievedBy
3441d4f:1508ad6f828:70b7	Membership
3441d4f:1508ad97479:-788e	Membership
http://www.semwebtech.org/mondial/10/organization/ECO/	Organization
3441d4f:1508ad6f828:79eb	Membership
3441d4f:1508ad6f828:7013	Membership
3441d4f:1508ad97479:-75da	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	City
3441d4f:1508ad6f828:68a2	Encompassed
3441d4f:1508ad97479:-6d77	SpokenBy
3441d4f:1508ad6f828:6ed4	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	Province
3441d4f:1508ad97479:-6ac3	EthnicProportion
3441d4f:1508ad6f828:7273	Membership
3441d4f:1508ad6f828:6e30	Membership
3441d4f:1508ad6f828:7607	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/	Province
http://www.semwebtech.org/mondial/10/language/Azeri/	Language
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/	Province
3441d4f:1508ad6f828:7c39	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/	Province
http://www.semwebtech.org/mondial/10/country/P/province/Porto/	Province
3441d4f:1508ad6f828:7867	Membership
3441d4f:1508ad97479:-7456	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/	Province
3441d4f:1508ad6f828:7e99	Membership
3441d4f:1508ad6f828:75b3	Membership
3441d4f:1508ad97479:-7a88	Membership
3441d4f:1508ad97479:-71a2	Membership
3441d4f:1508ad6f828:6d2f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	City
3441d4f:1508ad6f828:7be5	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/	Province
http://www.semwebtech.org/mondial/10/language/Kurdish/	Language
3441d4f:1508ad6f828:695d	Encompassed
3441d4f:1508ad6f828:7b41	Membership
3441d4f:1508ad6f828:6f8f	Membership
3441d4f:1508ad97479:-6b7e	BelievedBy
3441d4f:1508ad6f828:6cdb	Membership
3441d4f:1508ad97479:-7dc8	Membership
3441d4f:1508ad6f828:707a	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	City
http://www.semwebtech.org/mondial/10/river/Jordan/	River
3441d4f:1508ad97479:-79f6	Membership
3441d4f:1508ad6f828:740e	Membership
3441d4f:1508ad97479:-7d24	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	City
3441d4f:1508ad97479:-7952	Membership
3441d4f:1508ad97479:-6ebe	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	City
3441d4f:1508ad6f828:766e	Membership
3441d4f:1508ad97479:-7f84	Membership
3441d4f:1508ad97479:-725d	Membership
3441d4f:1508ad97479:-6e1a	SpokenBy
http://www.semwebtech.org/mondial/10/river/Sanaga/	River
3441d4f:1508ad6f828:73ba	Membership
3441d4f:1508ad97479:-7cd0	Membership
3441d4f:1508ad6f828:6b57	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	City
http://www.semwebtech.org/mondial/10/source/RioMamore/	Source
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	City
3441d4f:1508ad6f828:79ae	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/	Province
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	City
3441d4f:1508ad6f828:790a	Membership
3441d4f:1508ad97479:-7bcf	Membership
3441d4f:1508ad6f828:7f3c	Membership
3441d4f:1508ad97479:-77fd	Membership
3441d4f:1508ad6f828:7236	Membership
3441d4f:1508ad97479:-7b2b	Membership
http://www.semwebtech.org/mondial/10/language/Slovenian/	Language
3441d4f:1508ad97479:-69cb	EthnicProportion
3441d4f:1508ad97479:-6ce6	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	Mountain
http://www.semwebtech.org/mondial/10/source/Euphrat/	Source
3441d4f:1508ad6f828:7496	Membership
3441d4f:1508ad97479:-7d8b	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	City
3441d4f:1508ad97479:-7085	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	City
http://www.semwebtech.org/mondial/10/country/GH/province/Western/	Province
3441d4f:1508ad97479:-6c42	BelievedBy
3441d4f:1508ad6f828:71e2	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	City
3441d4f:1508ad97479:-7419	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	City
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/	Province
3441d4f:1508ad6f828:7ba8	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/	Province
3441d4f:1508ad97479:-7679	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	City
http://www.semwebtech.org/mondial/10/island/Taiwan/	Island
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	City
3441d4f:1508ad6f828:7b04	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	City
3441d4f:1508ad6f828:77d6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	City
3441d4f:1508ad97479:-73c5	Membership
3441d4f:1508ad6f828:7732	Membership
3441d4f:1508ad97479:-7321	Membership
http://www.semwebtech.org/mondial/10/river/Loire/	River
3441d4f:1508ad6f828:7d64	Membership
3441d4f:1508ad6f828:703d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Twa/	EthnicGroup
http://www.semwebtech.org/mondial/10/river/Kymijoki/	River
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/	Province
3441d4f:1508ad6f828:68cc	Encompassed
3441d4f:1508ad6f828:7992	Membership
3441d4f:1508ad6f828:7ab0	Membership
3441d4f:1508ad97479:-79b9	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	City
3441d4f:1508ad97479:-7581	Membership
3441d4f:1508ad97479:-6aed	EthnicProportion
3441d4f:1508ad6f828:6efe	Membership
http://www.semwebtech.org/mondial/10/island/Tobago/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/	Province
3441d4f:1508ad6f828:729d	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	City
3441d4f:1508ad97479:-7915	Membership
3441d4f:1508ad6f828:6e5a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	EthnicGroup
3441d4f:1508ad97479:-7f47	Membership
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	EthnicGroup
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	Lake
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	City
3441d4f:1508ad97479:-78c1	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/	Province
3441d4f:1508ad97479:-71cc	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/	Province
3441d4f:1508ad6f828:75dd	Membership
3441d4f:1508ad97479:-7ef3	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/	Province
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	City
http://www.semwebtech.org/mondial/10/organization/NEA/	Organization
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Burman/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	City
3441d4f:1508ad6f828:6ac6	Membership
3441d4f:1508ad6f828:7b6b	Membership
http://www.semwebtech.org/mondial/10/island/Efate/	Island
3441d4f:1508ad6f828:6a22	Border
3441d4f:1508ad97479:-771c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/	Province
3441d4f:1508ad6f828:6c82	Membership
3441d4f:1508ad97479:-6ca9	BelievedBy
3441d4f:1508ad6f828:7459	Membership
3441d4f:1508ad97479:-7d4e	Membership
3441d4f:1508ad97479:-6c05	BelievedBy
3441d4f:1508ad97479:-7048	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	City
3441d4f:1508ad6f828:7eab	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	City
3441d4f:1508ad6f828:71a5	Membership
3441d4f:1508ad97479:-797c	Membership
http://www.semwebtech.org/mondial/10/estuary/Raab/	Estuary
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	City
3441d4f:1508ad6f828:7101	Membership
3441d4f:1508ad97479:-6e65	Membership
3441d4f:1508ad97479:-7cfa	Membership
3441d4f:1508ad6f828:6fc2	Membership
3441d4f:1508ad97479:-6bb1	BelievedBy
3441d4f:1508ad6f828:7361	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/	Province
http://www.semwebtech.org/mondial/10/country/GROX/	Country
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/	Province
3441d4f:1508ad6f828:7d27	Membership
3441d4f:1508ad6f828:79f9	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/	Province
3441d4f:1508ad97479:-75e8	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/	Province
3441d4f:1508ad6f828:7955	Membership
3441d4f:1508ad97479:-7544	Membership
3441d4f:1508ad6f828:7f87	Membership
3441d4f:1508ad6f828:76a1	Membership
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	City
3441d4f:1508ad97479:-7b76	Membership
3441d4f:1508ad6f828:7cd3	Membership
3441d4f:1508ad6f828:6e1d	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/	Province
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	City
3441d4f:1508ad97479:-6a0c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/	Province
3441d4f:1508ad97479:-6972	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	Desert
http://www.semwebtech.org/mondial/10/estuary/Ob/	Estuary
3441d4f:1508ad97479:-74f0	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	City
3441d4f:1508ad97479:-6c6c	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	City
3441d4f:1508ad97479:-7eb6	Membership
http://www.semwebtech.org/mondial/10/source/Moraca/	Source
3441d4f:1508ad97479:-7e12	Membership
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	Mountain
3441d4f:1508ad6f828:7b2e	Membership
3441d4f:1508ad97479:-73ef	Membership
3441d4f:1508ad97479:-6fac	Membership
3441d4f:1508ad6f828:775c	Membership
3441d4f:1508ad97479:-734b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	City
3441d4f:1508ad6f828:6ce9	Membership
3441d4f:1508ad6f828:7d8e	Membership
3441d4f:1508ad6f828:7088	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	City
3441d4f:1508ad6f828:6c45	Membership
3441d4f:1508ad6f828:7ada	Membership
http://www.semwebtech.org/mondial/10/mountains/Altai/	Mountains
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	City
3441d4f:1508ad97479:-793f	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	City
3441d4f:1508ad97479:-6a94	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthwesternBantu/	EthnicGroup
3441d4f:1508ad6f828:6bf1	Membership
3441d4f:1508ad97479:-6e28	SpokenBy
3441d4f:1508ad6f828:73c8	Membership
3441d4f:1508ad97479:-7cbd	Membership
3441d4f:1508ad97479:-78eb	Membership
3441d4f:1508ad6f828:7324	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Kgalagadi/	EthnicGroup
3441d4f:1508ad97479:-6dd4	SpokenBy
3441d4f:1508ad6f828:7584	Membership
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	City
3441d4f:1508ad97479:-7173	Membership
3441d4f:1508ad97479:-6d30	BelievedBy
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	City
3441d4f:1508ad6f828:7918	Membership
3441d4f:1508ad6f828:72d0	Membership
3441d4f:1508ad97479:-7507	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/	Province
3441d4f:1508ad6f828:6a4c	Border
3441d4f:1508ad97479:-7b39	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Toucouleur/	EthnicGroup
3441d4f:1508ad97479:-6f90	Membership
3441d4f:1508ad97479:-69d9	EthnicProportion
3441d4f:1508ad97479:-7767	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/	Province
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/	Province
3441d4f:1508ad97479:-6935	EthnicProportion
3441d4f:1508ad97479:-74b3	Membership
3441d4f:1508ad97479:-7d99	Membership
3441d4f:1508ad6f828:78c4	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/	Province
http://www.semwebtech.org/mondial/10/river/Ruzizi/	River
3441d4f:1508ad97479:-6c2f	BelievedBy
3441d4f:1508ad6f828:7ef6	Membership
3441d4f:1508ad6f828:7820	Membership
3441d4f:1508ad6f828:71cf	Membership
3441d4f:1508ad97479:-7ae5	Membership
3441d4f:1508ad6f828:7e52	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	City
3441d4f:1508ad6f828:712b	Membership
3441d4f:1508ad97479:-7a41	Membership
3441d4f:1508ad6f828:69ba	Border
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	City
3441d4f:1508ad97479:-6e8f	Membership
3441d4f:1508ad97479:-68e1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	City
3441d4f:1508ad6f828:6fec	Membership
http://www.semwebtech.org/mondial/10/source/Oranje/	Source
3441d4f:1508ad97479:-6bdb	BelievedBy
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	City
3441d4f:1508ad6f828:738b	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	City
3441d4f:1508ad6f828:771f	Membership
3441d4f:1508ad97479:-730e	Membership
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	Mountain
3441d4f:1508ad6f828:6c08	Membership
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	Sea
3441d4f:1508ad6f828:797f	Membership
3441d4f:1508ad97479:-756e	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/	Province
3441d4f:1508ad6f828:76cb	Membership
3441d4f:1508ad97479:-7fe1	Membership
3441d4f:1508ad97479:-72ba	Membership
3441d4f:1508ad6f828:6e68	Membership
3441d4f:1508ad97479:-6a57	EthnicProportion
3441d4f:1508ad6f828:7cfd	Membership
http://www.semwebtech.org/mondial/10/country/BIH/	Country
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	City
3441d4f:1508ad6f828:6bb4	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Baoule/	EthnicGroup
3441d4f:1508ad97479:-699c	EthnicProportion
3441d4f:1508ad6f828:6b10	Membership
3441d4f:1508ad97479:-78ae	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	City
3441d4f:1508ad97479:-780a	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	City
3441d4f:1508ad6f828:6d70	Membership
http://www.semwebtech.org/mondial/10/island/Juist/	Island
3441d4f:1508ad6f828:7547	Membership
3441d4f:1508ad97479:-7e3c	Membership
3441d4f:1508ad97479:-7136	Membership
http://www.semwebtech.org/mondial/10/river/Niger/	River
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	Lake
3441d4f:1508ad6f828:7b79	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	City
3441d4f:1508ad6f828:6a0f	Border
3441d4f:1508ad97479:-6ff7	Membership
3441d4f:1508ad97479:-7396	Membership
3441d4f:1508ad97479:-6f53	Membership
3441d4f:1508ad6f828:74f3	Membership
3441d4f:1508ad97479:-70e2	Membership
3441d4f:1508ad6f828:6c6f	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/FATA/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	City
3441d4f:1508ad6f828:689d	Encompassed
3441d4f:1508ad6f828:7eb9	Membership
3441d4f:1508ad6f828:7a81	Membership
3441d4f:1508ad97479:-7aa8	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	City
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/	Province
3441d4f:1508ad6f828:7e15	Membership
3441d4f:1508ad97479:-76d6	Membership
3441d4f:1508ad97479:-7a04	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/	Province
http://www.semwebtech.org/mondial/10/estuary/Narew/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	City
3441d4f:1508ad97479:-68a4	EthnicProportion
3441d4f:1508ad97479:-7632	Membership
3441d4f:1508ad6f828:6faf	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Djerma/	EthnicGroup
3441d4f:1508ad6f828:734e	Membership
3441d4f:1508ad97479:-7c64	Membership
3441d4f:1508ad6f828:6f0b	Membership
3441d4f:1508ad6f828:7dc1	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/	Province
3441d4f:1508ad97479:-7892	Membership
3441d4f:1508ad97479:-6dfe	SpokenBy
http://www.semwebtech.org/mondial/10/source/Theiss/	Source
3441d4f:1508ad97479:-719d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Fijian/	EthnicGroup
3441d4f:1508ad97479:-6d5a	SpokenBy
3441d4f:1508ad6f828:72fa	Membership
3441d4f:1508ad6f828:6a97	Border
3441d4f:1508ad97479:-7fa4	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	City
3441d4f:1508ad97479:-7f00	Membership
3441d4f:1508ad6f828:7c1c	Membership
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	City
3441d4f:1508ad6f828:78ee	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	City
3441d4f:1508ad97479:-695f	EthnicProportion
3441d4f:1508ad97479:-74dd	Membership
3441d4f:1508ad6f828:784a	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	City
3441d4f:1508ad6f828:6dd7	Membership
3441d4f:1508ad6f828:7e7c	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/	Province
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	Lake
3441d4f:1508ad6f828:7176	Membership
3441d4f:1508ad97479:-7a6b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	City
3441d4f:1508ad6f828:6d33	Membership
3441d4f:1508ad6f828:6961	Encompassed
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	City
3441d4f:1508ad6f828:6f93	Membership
http://www.semwebtech.org/mondial/10/source/Main/	Source
3441d4f:1508ad97479:-6b82	BelievedBy
3441d4f:1508ad97479:-7359	Membership
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-6f16	Membership
3441d4f:1508ad6f828:74b6	Membership
3441d4f:1508ad97479:-7dab	Membership
3441d4f:1508ad97479:-70a5	Membership
3441d4f:1508ad6f828:7ae8	Membership
3441d4f:1508ad6f828:7412	Membership
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	Mountain
3441d4f:1508ad97479:-7001	Membership
3441d4f:1508ad6f828:7a44	Membership
http://www.semwebtech.org/mondial/10/country/COOK/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	City
3441d4f:1508ad97479:-6ec2	Membership
3441d4f:1508ad6f828:7672	Membership
3441d4f:1508ad97479:-7261	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	City
3441d4f:1508ad6f828:6bde	Membership
3441d4f:1508ad6f828:6b3a	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	City
3441d4f:1508ad97479:-78f9	Membership
3441d4f:1508ad97479:-7c27	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	City
3441d4f:1508ad97479:-7855	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	City
3441d4f:1508ad6f828:6d9a	Membership
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	Island
3441d4f:1508ad6f828:79b2	Membership
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	Desert
3441d4f:1508ad97479:-7e87	Membership
3441d4f:1508ad97479:-75a1	Membership
3441d4f:1508ad6f828:7fe4	Membership
3441d4f:1508ad97479:-6d1d	BelievedBy
3441d4f:1508ad6f828:72bd	Membership
3441d4f:1508ad97479:-7bd3	Membership
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	Lake
3441d4f:1508ad6f828:7f40	Membership
3441d4f:1508ad97479:-6f7d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Japanese/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	City
3441d4f:1508ad6f828:7264	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	City
3441d4f:1508ad6f828:780d	Membership
3441d4f:1508ad6f828:7e3f	Membership
3441d4f:1508ad6f828:7139	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	City
3441d4f:1508ad97479:-7a2e	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	City
3441d4f:1508ad6f828:69c8	Border
3441d4f:1508ad97479:-68ce	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Niue/	Island
3441d4f:1508ad97479:-765c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	City
3441d4f:1508ad6f828:6924	Encompassed
3441d4f:1508ad97479:-6be9	BelievedBy
3441d4f:1508ad6f828:7399	Membership
3441d4f:1508ad97479:-7c8e	Membership
3441d4f:1508ad6f828:6f56	Membership
3441d4f:1508ad6f828:7deb	Membership
3441d4f:1508ad97479:-6b45	BelievedBy
3441d4f:1508ad6f828:70e5	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	City
3441d4f:1508ad6f828:6ca2	Membership
3441d4f:1508ad6f828:7041	Membership
3441d4f:1508ad6f828:68d0	Encompassed
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	City
3441d4f:1508ad97479:-6af1	EthnicProportion
3441d4f:1508ad6f828:76d9	Membership
3441d4f:1508ad6f828:7a07	Membership
3441d4f:1508ad97479:-7fce	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	City
3441d4f:1508ad97479:-72c8	Membership
3441d4f:1508ad6f828:7635	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	City
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	City
3441d4f:1508ad97479:-7f2a	Membership
3441d4f:1508ad97479:-7224	Membership
3441d4f:1508ad6f828:7c67	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	City
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	City
3441d4f:1508ad6f828:7895	Membership
3441d4f:1508ad97479:-7484	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/	Province
3441d4f:1508ad6f828:75e1	Membership
3441d4f:1508ad97479:-71d0	Membership
3441d4f:1508ad97479:-7818	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	City
3441d4f:1508ad6f828:6d5d	Membership
3441d4f:1508ad6f828:698b	Border
3441d4f:1508ad6f828:7fa7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	City
3441d4f:1508ad6f828:7f03	Membership
3441d4f:1508ad97479:-77c4	Membership
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/	Province
http://www.semwebtech.org/mondial/10/politicalbody/Yugoslavia/	PoliticalBody
3441d4f:1508ad97479:-7df6	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	City
3441d4f:1508ad97479:-7720	Membership
3441d4f:1508ad97479:-70cf	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/	Province
3441d4f:1508ad6f828:743c	Membership
3441d4f:1508ad97479:-7d52	Membership
3441d4f:1508ad97479:-702b	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	City
3441d4f:1508ad6f828:7a6e	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	City
3441d4f:1508ad97479:-7980	Membership
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	Mountain
3441d4f:1508ad97479:-6eec	Membership
3441d4f:1508ad6f828:769c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	City
3441d4f:1508ad97479:-728b	Membership
3441d4f:1508ad97479:-761f	Membership
3441d4f:1508ad6f828:6b85	Membership
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	City
3441d4f:1508ad6f828:6f19	Membership
3441d4f:1508ad6f828:7dae	Membership
3441d4f:1508ad97479:-6b08	EthnicProportion
3441d4f:1508ad6f828:70a8	Membership
3441d4f:1508ad97479:-787f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	City
3441d4f:1508ad6f828:7d0a	Membership
3441d4f:1508ad6f828:79dc	Membership
3441d4f:1508ad6f828:7004	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	City
3441d4f:1508ad97479:-75cb	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/	Province
3441d4f:1508ad97479:-6d68	SpokenBy
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/	Province
3441d4f:1508ad97479:-7bfd	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	City
3441d4f:1508ad6f828:6ec5	Membership
3441d4f:1508ad6f828:7f6a	Membership
3441d4f:1508ad97479:-6ab4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/	Province
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/	Province
3441d4f:1508ad6f828:6e21	Membership
3441d4f:1508ad97479:-6a10	EthnicProportion
http://www.semwebtech.org/mondial/10/country/AXA/	Country
3441d4f:1508ad97479:-6c70	BelievedBy
3441d4f:1508ad6f828:7858	Membership
3441d4f:1508ad97479:-7447	Membership
http://www.semwebtech.org/mondial/10/island/Fakaofo/	Island
http://www.semwebtech.org/mondial/10/organization/APEC/	Organization
3441d4f:1508ad6f828:75a4	Membership
3441d4f:1508ad97479:-7a79	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	EthnicGroup
3441d4f:1508ad6f828:7bd6	Membership
3441d4f:1508ad6f828:7500	Membership
3441d4f:1508ad6f828:694e	Encompassed
3441d4f:1508ad6f828:7b32	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/	Province
3441d4f:1508ad97479:-73f3	Membership
3441d4f:1508ad97479:-6b6f	BelievedBy
3441d4f:1508ad97479:-6fb0	Membership
3441d4f:1508ad6f828:7760	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/	Province
3441d4f:1508ad6f828:6ccc	Membership
3441d4f:1508ad6f828:7d92	Membership
3441d4f:1508ad97479:-7db9	Membership
3441d4f:1508ad6f828:706b	Membership
3441d4f:1508ad6f828:68fa	Encompassed
3441d4f:1508ad97479:-79e7	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	City
3441d4f:1508ad97479:-7d15	Membership
http://www.semwebtech.org/mondial/10/estuary/Petschora/	Estuary
3441d4f:1508ad97479:-7943	Membership
http://www.semwebtech.org/mondial/10/source/Murgab/	Source
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	Island
3441d4f:1508ad97479:-6eaf	Membership
3441d4f:1508ad6f828:765f	Membership
3441d4f:1508ad97479:-7f75	Membership
3441d4f:1508ad97479:-724e	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/	Province
3441d4f:1508ad97479:-6e0b	SpokenBy
3441d4f:1508ad6f828:73ab	Membership
3441d4f:1508ad97479:-7cc1	Membership
http://www.semwebtech.org/mondial/10/language/ChineseLanguage/	Language
3441d4f:1508ad6f828:6b48	Membership
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	Desert
3441d4f:1508ad97479:-71fa	Membership
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	City
3441d4f:1508ad6f828:6af4	Membership
http://www.semwebtech.org/mondial/10/island/Sulawesi/	Island
3441d4f:1508ad97479:-77ee	Membership
3441d4f:1508ad6f828:6a50	Border
3441d4f:1508ad6f828:7f2d	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	City
3441d4f:1508ad6f828:7227	Membership
3441d4f:1508ad97479:-7b1c	Membership
3441d4f:1508ad97479:-69bc	EthnicProportion
3441d4f:1508ad97479:-774a	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	City
3441d4f:1508ad97479:-6cd7	BelievedBy
3441d4f:1508ad6f828:7487	Membership
3441d4f:1508ad97479:-7d7c	Membership
3441d4f:1508ad97479:-7076	Membership
3441d4f:1508ad97479:-6c33	BelievedBy
3441d4f:1508ad6f828:71d3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	City
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	Island
3441d4f:1508ad97479:-6e93	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/	Province
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	City
3441d4f:1508ad6f828:6ff0	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/	Province
3441d4f:1508ad6f828:77c7	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/	Province
3441d4f:1508ad97479:-73b6	Membership
3441d4f:1508ad6f828:7df9	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/	Province
3441d4f:1508ad6f828:7723	Membership
3441d4f:1508ad97479:-7312	Membership
3441d4f:1508ad6f828:7d55	Membership
http://www.semwebtech.org/mondial/10/estuary/BlueNile/	Estuary
3441d4f:1508ad6f828:702e	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	City
3441d4f:1508ad6f828:68bd	Encompassed
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/	Province
3441d4f:1508ad6f828:7983	Membership
3441d4f:1508ad6f828:7aa1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	City
3441d4f:1508ad97479:-7572	Membership
3441d4f:1508ad6f828:6eef	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./	Province
3441d4f:1508ad97479:-6ade	EthnicProportion
3441d4f:1508ad6f828:728e	Membership
3441d4f:1508ad97479:-7906	Membership
3441d4f:1508ad6f828:6e4b	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	City
3441d4f:1508ad97479:-6a3a	EthnicProportion
3441d4f:1508ad97479:-7f38	Membership
http://www.semwebtech.org/mondial/10/religion/Chondogyo/	Religion
3441d4f:1508ad97479:-6c9a	BelievedBy
3441d4f:1508ad97479:-78b2	Membership
3441d4f:1508ad97479:-7ee4	Membership
3441d4f:1508ad6f828:75ce	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	City
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	City
3441d4f:1508ad97479:-71bd	Membership
3441d4f:1508ad6f828:752a	Membership
3441d4f:1508ad97479:-7e40	Membership
3441d4f:1508ad6f828:6999	Border
3441d4f:1508ad6f828:6ab7	Border
3441d4f:1508ad6f828:7b5c	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/	Province
3441d4f:1508ad6f828:6a13	Border
3441d4f:1508ad97479:-6fda	Membership
3441d4f:1508ad6f828:778a	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	City
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	City
3441d4f:1508ad97479:-770d	Membership
3441d4f:1508ad6f828:6c73	Membership
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	City
3441d4f:1508ad97479:-7d3f	Membership
http://www.semwebtech.org/mondial/10/organization/CAN/	Organization
3441d4f:1508ad97479:-7039	Membership
http://www.semwebtech.org/mondial/10/estuary/Waag/	Estuary
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/	Province
3441d4f:1508ad97479:-796d	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	City
3441d4f:1508ad97479:-7f9f	Membership
3441d4f:1508ad97479:-7299	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	City
3441d4f:1508ad97479:-6e56	Membership
3441d4f:1508ad6f828:73f6	Membership
3441d4f:1508ad97479:-7ceb	Membership
http://www.semwebtech.org/mondial/10/island/Guernsey/	Island
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	City
3441d4f:1508ad6f828:6fb3	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/	Province
3441d4f:1508ad97479:-6ba2	BelievedBy
3441d4f:1508ad6f828:7352	Membership
http://www.semwebtech.org/mondial/10/language/Italian/	Language
3441d4f:1508ad6f828:7d18	Membership
3441d4f:1508ad97479:-75d9	Membership
3441d4f:1508ad6f828:7946	Membership
3441d4f:1508ad97479:-7535	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	City
3441d4f:1508ad6f828:6a7a	Border
3441d4f:1508ad6f828:7f78	Membership
3441d4f:1508ad97479:-7b67	Membership
3441d4f:1508ad6f828:6e0e	Membership
3441d4f:1508ad6f828:7cc4	Membership
3441d4f:1508ad97479:-7795	Membership
http://www.semwebtech.org/mondial/10/source/Uelle/	Source
3441d4f:1508ad6f828:7c20	Membership
3441d4f:1508ad6f828:78f2	Membership
3441d4f:1508ad97479:-6963	EthnicProportion
3441d4f:1508ad97479:-74e1	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	City
http://www.semwebtech.org/mondial/10/country/GH/	Country
3441d4f:1508ad97479:-6c5d	BelievedBy
3441d4f:1508ad6f828:71fd	Membership
3441d4f:1508ad6f828:6dba	Membership
3441d4f:1508ad6f828:7e80	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/	Province
3441d4f:1508ad97479:-7ea7	Membership
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	Mountain
http://www.semwebtech.org/mondial/10/language/Persian/	Language
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	City
3441d4f:1508ad97479:-7e03	Membership
3441d4f:1508ad6f828:7b1f	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/	Province
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	Mountain
3441d4f:1508ad6f828:774d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/	Province
http://www.semwebtech.org/mondial/10/country/FJI/	Country
3441d4f:1508ad97479:-733c	Membership
http://www.semwebtech.org/mondial/10/island/Hispaniola/	Island
3441d4f:1508ad6f828:7d7f	Membership
3441d4f:1508ad6f828:7079	Membership
3441d4f:1508ad6f828:6c36	Membership
3441d4f:1508ad6f828:7acb	Membership
3441d4f:1508ad97479:-759c	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/	Province
http://www.semwebtech.org/mondial/10/country/PA/	Country
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/	Province
3441d4f:1508ad6f828:6e96	Membership
3441d4f:1508ad97479:-6a85	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/UNIDO/	Organization
3441d4f:1508ad97479:-6e19	SpokenBy
http://www.semwebtech.org/mondial/10/country/SYR/	Country
3441d4f:1508ad6f828:6be2	Membership
http://www.semwebtech.org/mondial/10/islands/Laccadives/	Islands
3441d4f:1508ad6f828:73b9	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/	Province
3441d4f:1508ad97479:-7cae	Membership
http://www.semwebtech.org/mondial/10/country/RG/	Country
3441d4f:1508ad97479:-78dc	Membership
3441d4f:1508ad6f828:7315	Membership
3441d4f:1508ad97479:-7c0a	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/	Province
http://www.semwebtech.org/mondial/10/country/TM/	Country
3441d4f:1508ad97479:-6dc5	SpokenBy
3441d4f:1508ad6f828:7575	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	City
3441d4f:1508ad97479:-7e6a	Membership
3441d4f:1508ad97479:-7164	Membership
3441d4f:1508ad97479:-6d21	BelievedBy
3441d4f:1508ad6f828:7909	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	City
3441d4f:1508ad6f828:72c1	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	City
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	City
3441d4f:1508ad6f828:6a3d	Border
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/RussianUkrainian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	City
3441d4f:1508ad97479:-6f81	Membership
3441d4f:1508ad97479:-7758	Membership
3441d4f:1508ad6f828:6c9d	Membership
3441d4f:1508ad6f828:78b5	Membership
3441d4f:1508ad97479:-6926	EthnicProportion
3441d4f:1508ad97479:-74a4	Membership
3441d4f:1508ad6f828:7ee7	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/	Province
3441d4f:1508ad6f828:7811	Membership
3441d4f:1508ad97479:-7ad6	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Pest/	Province
3441d4f:1508ad97479:-7400	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	EthnicGroup
3441d4f:1508ad6f828:7e43	Membership
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/	Province
3441d4f:1508ad6f828:711c	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/	Province
3441d4f:1508ad97479:-7a32	Membership
3441d4f:1508ad6f828:69ab	Border
3441d4f:1508ad97479:-68d2	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	Province
http://www.semwebtech.org/mondial/10/source/Ural/	Source
3441d4f:1508ad97479:-7660	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/	Province
3441d4f:1508ad6f828:6fdd	Membership
3441d4f:1508ad97479:-6bcc	BelievedBy
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/	Province
3441d4f:1508ad6f828:737c	Membership
3441d4f:1508ad97479:-7c92	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	City
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	City
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	City
3441d4f:1508ad97479:-79a0	Membership
3441d4f:1508ad97479:-755f	Membership
3441d4f:1508ad6f828:76bc	Membership
3441d4f:1508ad97479:-7fd2	Membership
3441d4f:1508ad97479:-72ab	Membership
3441d4f:1508ad6f828:6e59	Membership
3441d4f:1508ad6f828:7cee	Membership
3441d4f:1508ad97479:-6a48	EthnicProportion
3441d4f:1508ad6f828:6ba5	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	City
3441d4f:1508ad6f828:7c4a	Membership
http://www.semwebtech.org/mondial/10/country/L/	Country
3441d4f:1508ad97479:-698d	EthnicProportion
3441d4f:1508ad6f828:6b01	Membership
http://www.semwebtech.org/mondial/10/estuary/Perene/	Estuary
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	City
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	City
3441d4f:1508ad6f828:6d61	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	City
3441d4f:1508ad6f828:7538	Membership
3441d4f:1508ad97479:-7e2d	Membership
3441d4f:1508ad97479:-7127	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/	Province
http://www.semwebtech.org/mondial/10/estuary/Ganges/	Estuary
3441d4f:1508ad97479:-6fe8	Membership
3441d4f:1508ad6f828:7798	Membership
3441d4f:1508ad97479:-7387	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	City
3441d4f:1508ad97479:-6f44	Membership
3441d4f:1508ad6f828:74e4	Membership
3441d4f:1508ad97479:-70d3	Membership
3441d4f:1508ad6f828:7440	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/	Province
http://www.semwebtech.org/mondial/10/organization/UNTSO/	Organization
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	City
3441d4f:1508ad6f828:688e	Encompassed
http://www.semwebtech.org/mondial/10/mountains/Zagros/	Mountains
3441d4f:1508ad6f828:7a72	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	City
3441d4f:1508ad97479:-6ef0	Membership
3441d4f:1508ad6f828:7e06	Membership
3441d4f:1508ad97479:-76c7	Membership
http://www.semwebtech.org/mondial/10/island/Faial/	Island
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	City
3441d4f:1508ad97479:-7cf9	Membership
3441d4f:1508ad97479:-7623	Membership
http://www.semwebtech.org/mondial/10/country/RCB/	Country
3441d4f:1508ad6f828:733f	Membership
3441d4f:1508ad97479:-7c55	Membership
3441d4f:1508ad6f828:7db2	Membership
3441d4f:1508ad97479:-7883	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	City
3441d4f:1508ad97479:-6def	SpokenBy
http://www.semwebtech.org/mondial/10/river/Fimi/	River
http://www.semwebtech.org/mondial/10/source/Suchona/	Source
3441d4f:1508ad6f828:79e0	Membership
3441d4f:1508ad6f828:759f	Membership
http://www.semwebtech.org/mondial/10/language/Slovak/	Language
3441d4f:1508ad97479:-718e	Membership
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-6d4b	SpokenBy
3441d4f:1508ad6f828:72eb	Membership
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:6a88	Border
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	City
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/	Province
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	Estuary
3441d4f:1508ad6f828:7c0d	Membership
3441d4f:1508ad6f828:78df	Membership
3441d4f:1508ad97479:-74ce	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kunama/	EthnicGroup
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	River
3441d4f:1508ad6f828:783b	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	City
3441d4f:1508ad97479:-742a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	City
3441d4f:1508ad6f828:6dc8	Membership
http://www.semwebtech.org/mondial/10/estuary/Selenge/	Estuary
3441d4f:1508ad6f828:7e6d	Membership
3441d4f:1508ad97479:-7a5c	Membership
3441d4f:1508ad6f828:7167	Membership
3441d4f:1508ad6f828:69f6	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	City
http://www.semwebtech.org/mondial/10/organization/ECB/	Organization
3441d4f:1508ad6f828:6d24	Membership
3441d4f:1508ad97479:-68fc	EthnicProportion
3441d4f:1508ad97479:-768a	Membership
3441d4f:1508ad6f828:6952	Encompassed
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/	Province
3441d4f:1508ad6f828:6f84	Membership
3441d4f:1508ad97479:-6b73	BelievedBy
http://www.semwebtech.org/mondial/10/river/Leine/	River
3441d4f:1508ad6f828:6cd0	Membership
3441d4f:1508ad97479:-6f07	Membership
3441d4f:1508ad6f828:74a7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Soussou/	EthnicGroup
3441d4f:1508ad6f828:7ad9	Membership
3441d4f:1508ad6f828:7403	Membership
3441d4f:1508ad97479:-79ca	Membership
http://www.semwebtech.org/mondial/10/language/Sinhala/	Language
3441d4f:1508ad6f828:7a35	Membership
3441d4f:1508ad97479:-7ffc	Membership
3441d4f:1508ad97479:-72f6	Membership
3441d4f:1508ad97479:-6eb3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/	Province
3441d4f:1508ad6f828:7663	Membership
3441d4f:1508ad97479:-7252	Membership
http://www.semwebtech.org/mondial/10/sea/BandaSea/	Sea
3441d4f:1508ad6f828:6bcf	Membership
3441d4f:1508ad6f828:7c95	Membership
3441d4f:1508ad6f828:6b2b	Membership
3441d4f:1508ad97479:-7c18	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	City
3441d4f:1508ad97479:-7846	Membership
3441d4f:1508ad6f828:6d8b	Membership
3441d4f:1508ad6f828:79a3	Membership
3441d4f:1508ad97479:-7e78	Membership
3441d4f:1508ad6f828:7fd5	Membership
3441d4f:1508ad97479:-6d0e	BelievedBy
3441d4f:1508ad6f828:72ae	Membership
3441d4f:1508ad97479:-7bc4	Membership
3441d4f:1508ad6f828:7f31	Membership
3441d4f:1508ad97479:-77f2	Membership
3441d4f:1508ad6f828:720a	Membership
3441d4f:1508ad97479:-7b20	Membership
3441d4f:1508ad97479:-6f6e	Membership
http://www.semwebtech.org/mondial/10/language/Georgian/	Language
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	City
3441d4f:1508ad97479:-69c0	EthnicProportion
3441d4f:1508ad97479:-70fd	Membership
http://www.semwebtech.org/mondial/10/source/Olt/	Source
3441d4f:1508ad97479:-6cba	BelievedBy
3441d4f:1508ad6f828:746a	Membership
3441d4f:1508ad97479:-7d80	Membership
3441d4f:1508ad6f828:7a9c	Membership
3441d4f:1508ad97479:-7a1f	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	City
3441d4f:1508ad6f828:69b9	Border
3441d4f:1508ad97479:-68bf	EthnicProportion
3441d4f:1508ad97479:-764d	Membership
3441d4f:1508ad6f828:6915	Encompassed
3441d4f:1508ad6f828:77aa	Membership
3441d4f:1508ad97479:-7c7f	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/	Province
3441d4f:1508ad6f828:6f47	Membership
3441d4f:1508ad6f828:7ddc	Membership
3441d4f:1508ad97479:-6b36	BelievedBy
3441d4f:1508ad6f828:70d6	Membership
3441d4f:1508ad6f828:7032	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/	Province
3441d4f:1508ad6f828:68c1	Encompassed
3441d4f:1508ad97479:-6d96	SpokenBy
3441d4f:1508ad97479:-6ae2	EthnicProportion
3441d4f:1508ad6f828:6ef3	Membership
http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Mountains
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/	Province
3441d4f:1508ad97479:-7fbf	Membership
3441d4f:1508ad6f828:7292	Membership
3441d4f:1508ad97479:-72b9	Membership
3441d4f:1508ad6f828:7626	Membership
3441d4f:1508ad97479:-7f1b	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	City
3441d4f:1508ad97479:-7215	Membership
3441d4f:1508ad6f828:7c58	Membership
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	City
3441d4f:1508ad6f828:7886	Membership
3441d4f:1508ad97479:-7475	Membership
http://www.semwebtech.org/mondial/10/mountain/Pulog/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:75d2	Membership
3441d4f:1508ad97479:-7809	Membership
3441d4f:1508ad97479:-71c1	Membership
3441d4f:1508ad6f828:6d4e	Membership
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	Island
3441d4f:1508ad6f828:697c	Border
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	City
3441d4f:1508ad6f828:7b60	Membership
http://www.semwebtech.org/mondial/10/country/FL/	Country
http://www.semwebtech.org/mondial/10/estuary/Akagera/	Estuary
3441d4f:1508ad97479:-6b9d	BelievedBy
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	City
3441d4f:1508ad97479:-77b5	Membership
3441d4f:1508ad6f828:6cfa	Membership
http://www.semwebtech.org/mondial/10/organization/NAFTA/	Organization
3441d4f:1508ad97479:-7de7	Membership
3441d4f:1508ad97479:-7711	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/	Province
http://www.semwebtech.org/mondial/10/country/HR/	Country
3441d4f:1508ad6f828:742d	Membership
3441d4f:1508ad97479:-7d43	Membership
3441d4f:1508ad97479:-701c	Membership
3441d4f:1508ad6f828:7ea0	Membership
3441d4f:1508ad6f828:7a5f	Membership
3441d4f:1508ad97479:-7971	Membership
http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	Islands
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	City
3441d4f:1508ad97479:-6edd	Membership
3441d4f:1508ad6f828:768d	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/	Province
3441d4f:1508ad97479:-727c	Membership
3441d4f:1508ad6f828:6b76	Membership
http://www.semwebtech.org/mondial/10/island/Lipari/	Island
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	City
3441d4f:1508ad6f828:79cd	Membership
3441d4f:1508ad97479:-75bc	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/	Province
http://www.semwebtech.org/mondial/10/source/Klaraelv/	Source
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/	Province
3441d4f:1508ad97479:-6d59	SpokenBy
3441d4f:1508ad6f828:72f9	Membership
3441d4f:1508ad97479:-7bee	Membership
http://www.semwebtech.org/mondial/10/source/Amur/	Source
3441d4f:1508ad6f828:6eb6	Membership
3441d4f:1508ad97479:-6aa5	EthnicProportion
3441d4f:1508ad6f828:7f5b	Membership
http://www.semwebtech.org/mondial/10/desert/UstUrt/	Desert
3441d4f:1508ad6f828:7255	Membership
3441d4f:1508ad97479:-7b4a	Membership
3441d4f:1508ad6f828:6e12	Membership
3441d4f:1508ad97479:-6a01	EthnicProportion
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	City
3441d4f:1508ad97479:-69ea	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	EthnicGroup
3441d4f:1508ad97479:-6c61	BelievedBy
3441d4f:1508ad6f828:7849	Membership
3441d4f:1508ad97479:-7438	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	City
http://www.semwebtech.org/mondial/10/mountain/Fogo/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/island/Unalaska/	Island
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/	Province
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	Estuary
3441d4f:1508ad97479:-7698	Membership
3441d4f:1508ad6f828:7bc7	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	City
3441d4f:1508ad6f828:7b23	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	City
3441d4f:1508ad6f828:693f	Encompassed
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/	Province
3441d4f:1508ad6f828:77f5	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	City
http://www.semwebtech.org/mondial/10/country/I/province/Campania/	Province
3441d4f:1508ad97479:-73e4	Membership
http://www.semwebtech.org/mondial/10/estuary/Schilka/	Estuary
3441d4f:1508ad97479:-6fa1	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	City
http://www.semwebtech.org/mondial/10/country/I/province/Molise/	Province
3441d4f:1508ad6f828:7751	Membership
3441d4f:1508ad97479:-7340	Membership
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	City
3441d4f:1508ad6f828:6cbd	Membership
3441d4f:1508ad6f828:7d83	Membership
http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	Mountains
3441d4f:1508ad6f828:705c	Membership
3441d4f:1508ad6f828:68eb	Encompassed
3441d4f:1508ad97479:-79d8	Membership
3441d4f:1508ad97479:-7d06	Membership
3441d4f:1508ad97479:-7934	Membership
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	Lake
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Maya/	EthnicGroup
3441d4f:1508ad97479:-7f66	Membership
3441d4f:1508ad97479:-723f	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/	Province
3441d4f:1508ad97479:-7cb2	Membership
http://www.semwebtech.org/mondial/10/estuary/Benue/	Estuary
3441d4f:1508ad6f828:6b39	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	City
3441d4f:1508ad97479:-78e0	Membership
3441d4f:1508ad97479:-749f	Membership
3441d4f:1508ad6f828:75fc	Membership
3441d4f:1508ad97479:-71eb	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/	Province
3441d4f:1508ad6f828:6d99	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	City
3441d4f:1508ad6f828:6ae5	Membership
3441d4f:1508ad6f828:7b8a	Membership
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	Mountain
http://www.semwebtech.org/mondial/10/estuary/Brigach/	Estuary
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	City
3441d4f:1508ad6f828:6a41	Border
3441d4f:1508ad6f828:7f1e	Membership
3441d4f:1508ad97479:-77df	Membership
3441d4f:1508ad6f828:7218	Membership
3441d4f:1508ad97479:-7b0d	Membership
http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	Islands
3441d4f:1508ad97479:-69ad	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	City
3441d4f:1508ad97479:-773b	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mon/	EthnicGroup
3441d4f:1508ad97479:-6cc8	BelievedBy
3441d4f:1508ad97479:-7d6d	Membership
3441d4f:1508ad6f828:7478	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	City
3441d4f:1508ad97479:-7067	Membership
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	Estuary
3441d4f:1508ad6f828:7eca	Membership
3441d4f:1508ad97479:-6c24	BelievedBy
3441d4f:1508ad6f828:71c4	Membership
3441d4f:1508ad97479:-799b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	City
http://www.semwebtech.org/mondial/10/estuary/Marne/	Estuary
3441d4f:1508ad6f828:7120	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	City
3441d4f:1508ad97479:-6e84	Membership
3441d4f:1508ad6f828:6fe1	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	City
3441d4f:1508ad97479:-6bd0	BelievedBy
3441d4f:1508ad6f828:77b8	Membership
3441d4f:1508ad6f828:7380	Membership
3441d4f:1508ad97479:-73a7	Membership
3441d4f:1508ad6f828:7714	Membership
3441d4f:1508ad97479:-7303	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/	Province
3441d4f:1508ad6f828:7d46	Membership
3441d4f:1508ad6f828:701f	Membership
http://www.semwebtech.org/mondial/10/source/Kwa/	Source
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	City
3441d4f:1508ad6f828:68ae	Encompassed
3441d4f:1508ad6f828:7974	Membership
3441d4f:1508ad97479:-7563	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	City
3441d4f:1508ad97479:-6acf	EthnicProportion
3441d4f:1508ad6f828:76c0	Membership
3441d4f:1508ad6f828:727f	Membership
3441d4f:1508ad97479:-7b95	Membership
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	Lake
3441d4f:1508ad6f828:6e3c	Membership
3441d4f:1508ad6f828:7cf2	Membership
3441d4f:1508ad97479:-6a2b	EthnicProportion
3441d4f:1508ad97479:-7f29	Membership
http://www.semwebtech.org/mondial/10/source/Weichsel/	Source
3441d4f:1508ad97479:-6991	EthnicProportion
3441d4f:1508ad97479:-6c8b	BelievedBy
3441d4f:1508ad97479:-78a3	Membership
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	City
3441d4f:1508ad97479:-7ed5	Membership
3441d4f:1508ad6f828:75bf	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/	Province
3441d4f:1508ad97479:-71ae	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	City
3441d4f:1508ad6f828:751b	Membership
3441d4f:1508ad97479:-7e31	Membership
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	Estuary
3441d4f:1508ad97479:-710a	Membership
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	City
3441d4f:1508ad6f828:6aa8	Border
3441d4f:1508ad6f828:7b4d	Membership
3441d4f:1508ad6f828:6a04	Border
3441d4f:1508ad97479:-6fcb	Membership
3441d4f:1508ad6f828:777b	Membership
3441d4f:1508ad97479:-736a	Membership
3441d4f:1508ad6f828:6c64	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	City
3441d4f:1508ad6f828:6892	Encompassed
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	City
3441d4f:1508ad97479:-795e	Membership
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	City
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/	Province
3441d4f:1508ad97479:-76aa	Membership
http://www.semwebtech.org/mondial/10/country/ROK/	Country
3441d4f:1508ad97479:-6e47	SpokenBy
3441d4f:1508ad6f828:73e7	Membership
3441d4f:1508ad97479:-7cdc	Membership
3441d4f:1508ad6f828:6fa4	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	City
3441d4f:1508ad6f828:7343	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/	Province
3441d4f:1508ad6f828:6f00	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Gourmantche/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Guam/	Island
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	City
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	Estuary
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-6df3	SpokenBy
3441d4f:1508ad6f828:7d09	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Beja/	EthnicGroup
3441d4f:1508ad97479:-7192	Membership
http://www.semwebtech.org/mondial/10/island/Bangka/	Island
3441d4f:1508ad6f828:7937	Membership
3441d4f:1508ad97479:-7526	Membership
3441d4f:1508ad6f828:6a6b	Border
3441d4f:1508ad6f828:7f69	Membership
3441d4f:1508ad97479:-7b58	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	City
3441d4f:1508ad6f828:7cb5	Membership
3441d4f:1508ad97479:-69f8	EthnicProportion
3441d4f:1508ad97479:-7786	Membership
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7c11	Membership
3441d4f:1508ad6f828:78e3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/	Province
3441d4f:1508ad97479:-6954	EthnicProportion
3441d4f:1508ad97479:-74d2	Membership
3441d4f:1508ad97479:-6c4e	BelievedBy
3441d4f:1508ad6f828:71ee	Membership
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	City
http://www.semwebtech.org/mondial/10/river/Naryn/	River
3441d4f:1508ad6f828:6dab	Membership
3441d4f:1508ad6f828:7e71	Membership
3441d4f:1508ad6f828:714a	Membership
3441d4f:1508ad97479:-7a60	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	City
3441d4f:1508ad97479:-6bfa	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	City
3441d4f:1508ad6f828:773e	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	City
3441d4f:1508ad97479:-732d	Membership
3441d4f:1508ad97479:-7da0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	City
3441d4f:1508ad6f828:68f9	Encompassed
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/	Province
3441d4f:1508ad6f828:6c27	Membership
3441d4f:1508ad6f828:799e	Membership
3441d4f:1508ad6f828:7abc	Membership
3441d4f:1508ad97479:-758d	Membership
3441d4f:1508ad6f828:76ea	Membership
3441d4f:1508ad6f828:6e87	Membership
http://www.semwebtech.org/mondial/10/lake/DeadSea/	Lake
3441d4f:1508ad97479:-6a76	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/BritishIsles/	EthnicGroup
3441d4f:1508ad6f828:6bd3	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/	Province
3441d4f:1508ad6f828:7306	Membership
3441d4f:1508ad97479:-78cd	Membership
3441d4f:1508ad97479:-7eff	Membership
3441d4f:1508ad97479:-6db6	SpokenBy
3441d4f:1508ad97479:-71f9	Membership
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	Mountain
http://www.semwebtech.org/mondial/10/river/Perene/	River
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	City
3441d4f:1508ad97479:-7e5b	Membership
3441d4f:1508ad6f828:7566	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	City
http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	Islands
3441d4f:1508ad97479:-7155	Membership
3441d4f:1508ad97479:-6d12	BelievedBy
3441d4f:1508ad6f828:7b98	Membership
3441d4f:1508ad6f828:72b2	Membership
http://www.semwebtech.org/mondial/10/organization/CP/	Organization
http://www.semwebtech.org/mondial/10/estuary/Baro/	Estuary
3441d4f:1508ad6f828:6a2e	Border
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	City
3441d4f:1508ad97479:-6f72	Membership
3441d4f:1508ad97479:-7749	Membership
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	City
3441d4f:1508ad6f828:6c8e	Membership
3441d4f:1508ad6f828:78a6	Membership
http://www.semwebtech.org/mondial/10/source/Schari/	Source
3441d4f:1508ad97479:-6917	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	City
3441d4f:1508ad6f828:7ed8	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	City
3441d4f:1508ad6f828:7802	Membership
3441d4f:1508ad97479:-7ac7	Membership
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/	Province
3441d4f:1508ad6f828:7e34	Membership
3441d4f:1508ad97479:-76f5	Membership
3441d4f:1508ad6f828:710d	Membership
3441d4f:1508ad97479:-7a23	Membership
3441d4f:1508ad97479:-68c3	EthnicProportion
3441d4f:1508ad97479:-7651	Membership
3441d4f:1508ad6f828:6fce	Membership
3441d4f:1508ad97479:-6bbd	BelievedBy
3441d4f:1508ad6f828:736d	Membership
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	City
3441d4f:1508ad97479:-7c83	Membership
3441d4f:1508ad6f828:6f2a	Membership
http://www.semwebtech.org/mondial/10/estuary/Etsch/	Estuary
3441d4f:1508ad6f828:7de0	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	City
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	City
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	City
3441d4f:1508ad6f828:76ad	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	City
3441d4f:1508ad97479:-7fc3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	City
3441d4f:1508ad6f828:7cdf	Membership
3441d4f:1508ad97479:-6a39	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Mande/	EthnicGroup
3441d4f:1508ad6f828:7c3b	Membership
3441d4f:1508ad97479:-697e	EthnicProportion
3441d4f:1508ad97479:-74fc	Membership
3441d4f:1508ad97479:-6c99	BelievedBy
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	City
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	Island
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	Lake
3441d4f:1508ad6f828:6df6	Membership
http://www.semwebtech.org/mondial/10/source/Semliki/	Source
3441d4f:1508ad6f828:7e9b	Membership
3441d4f:1508ad6f828:7195	Membership
3441d4f:1508ad97479:-7a8a	Membership
http://www.semwebtech.org/mondial/10/organization/IHO/	Organization
3441d4f:1508ad6f828:6d52	Membership
3441d4f:1508ad6f828:7529	Membership
3441d4f:1508ad97479:-7e1e	Membership
3441d4f:1508ad97479:-7118	Membership
3441d4f:1508ad6f828:6980	Border
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	City
http://www.semwebtech.org/mondial/10/source/Dalaelv/	Source
3441d4f:1508ad97479:-6fd9	Membership
3441d4f:1508ad6f828:7789	Membership
3441d4f:1508ad97479:-7378	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/	Province
3441d4f:1508ad97479:-6f35	Membership
3441d4f:1508ad6f828:74d5	Membership
3441d4f:1508ad97479:-7dca	Membership
http://www.semwebtech.org/mondial/10/source/Lualaba/	Source
3441d4f:1508ad97479:-70c4	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	City
3441d4f:1508ad6f828:7431	Membership
3441d4f:1508ad97479:-7020	Membership
3441d4f:1508ad6f828:7a63	Membership
http://www.semwebtech.org/mondial/10/source/Hwangho/	Source
3441d4f:1508ad97479:-6ee1	Membership
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	City
3441d4f:1508ad6f828:7691	Membership
3441d4f:1508ad97479:-7280	Membership
3441d4f:1508ad97479:-76b8	Membership
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	City
http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	Islands
3441d4f:1508ad6f828:6bfd	Membership
3441d4f:1508ad97479:-7614	Membership
3441d4f:1508ad97479:-6b27	BelievedBy
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/	Province
3441d4f:1508ad97479:-7c46	Membership
3441d4f:1508ad6f828:7da3	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	City
3441d4f:1508ad97479:-7874	Membership
http://www.semwebtech.org/mondial/10/lake/Saimaa/	Lake
3441d4f:1508ad6f828:79d1	Membership
3441d4f:1508ad97479:-75c0	Membership
3441d4f:1508ad97479:-717f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	City
3441d4f:1508ad97479:-6d3c	SpokenBy
3441d4f:1508ad6f828:72dc	Membership
3441d4f:1508ad97479:-7bf2	Membership
3441d4f:1508ad6f828:6a79	Border
http://www.semwebtech.org/mondial/10/mountains/Darfur/	Mountains
3441d4f:1508ad97479:-6f9c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	City
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	City
http://www.semwebtech.org/mondial/10/organization/MINURSO/	Organization
3441d4f:1508ad97479:-74bf	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Mie/	Province
3441d4f:1508ad6f828:782c	Membership
3441d4f:1508ad97479:-741b	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	City
3441d4f:1508ad6f828:6db9	Membership
3441d4f:1508ad6f828:7e5e	Membership
3441d4f:1508ad6f828:7158	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	City
3441d4f:1508ad97479:-7a4d	Membership
3441d4f:1508ad6f828:69e7	Border
3441d4f:1508ad6f828:6d15	Membership
http://www.semwebtech.org/mondial/10/language/Russian/	Language
3441d4f:1508ad6f828:7baa	Membership
3441d4f:1508ad97479:-68ed	EthnicProportion
http://www.semwebtech.org/mondial/10/country/Z/	Country
3441d4f:1508ad97479:-767b	Membership
3441d4f:1508ad6f828:6943	Encompassed
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/	Province
3441d4f:1508ad6f828:6f75	Membership
3441d4f:1508ad97479:-6b64	BelievedBy
3441d4f:1508ad6f828:6cc1	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	City
3441d4f:1508ad6f828:7060	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	City
http://www.semwebtech.org/mondial/10/source/OhioRiver/	Source
3441d4f:1508ad97479:-79bb	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	City
3441d4f:1508ad6f828:76f8	Membership
3441d4f:1508ad6f828:7a26	Membership
3441d4f:1508ad97479:-7fed	Membership
3441d4f:1508ad97479:-72e7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/black-Amerindian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	City
3441d4f:1508ad97479:-6ea4	Membership
3441d4f:1508ad6f828:7654	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Africandescent/	EthnicGroup
3441d4f:1508ad97479:-7243	Membership
3441d4f:1508ad97479:-6e00	SpokenBy
http://www.semwebtech.org/mondial/10/islands/CocosIslands/	Islands
3441d4f:1508ad6f828:7c86	Membership
3441d4f:1508ad6f828:73a0	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bahraini/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/Elbe/	Estuary
3441d4f:1508ad6f828:6b1c	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	City
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	City
3441d4f:1508ad97479:-7c09	Membership
3441d4f:1508ad97479:-7837	Membership
3441d4f:1508ad6f828:6d7c	Membership
3441d4f:1508ad97479:-7e69	Membership
3441d4f:1508ad6f828:7fc6	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	City
3441d4f:1508ad97479:-7bb5	Membership
3441d4f:1508ad6f828:7f22	Membership
3441d4f:1508ad97479:-77e3	Membership
3441d4f:1508ad97479:-7b11	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/	Province
3441d4f:1508ad97479:-6f5f	Membership
3441d4f:1508ad6f828:74ff	Membership
3441d4f:1508ad97479:-69b1	EthnicProportion
3441d4f:1508ad97479:-70ee	Membership
3441d4f:1508ad97479:-6cab	BelievedBy
3441d4f:1508ad6f828:745b	Membership
3441d4f:1508ad97479:-7d71	Membership
http://www.semwebtech.org/mondial/10/estuary/Garonne/	Estuary
3441d4f:1508ad97479:-704a	Membership
3441d4f:1508ad6f828:7a8d	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/	Province
3441d4f:1508ad97479:-763e	Membership
3441d4f:1508ad6f828:6906	Encompassed
http://www.semwebtech.org/mondial/10/estuary/Maas/	Estuary
3441d4f:1508ad6f828:6f38	Membership
3441d4f:1508ad6f828:7dcd	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	City
3441d4f:1508ad6f828:70c7	Membership
3441d4f:1508ad97479:-789e	Membership
http://www.semwebtech.org/mondial/10/desert/Mojave/	Desert
http://www.semwebtech.org/mondial/10/river/Aller/	River
3441d4f:1508ad6f828:79fb	Membership
3441d4f:1508ad6f828:7023	Membership
3441d4f:1508ad97479:-75ea	Membership
3441d4f:1508ad6f828:68b2	Encompassed
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	City
3441d4f:1508ad97479:-6d87	SpokenBy
3441d4f:1508ad6f828:6ee4	Membership
3441d4f:1508ad97479:-6ad3	EthnicProportion
3441d4f:1508ad6f828:7283	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/	Province
3441d4f:1508ad6f828:6e40	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	City
3441d4f:1508ad6f828:7617	Membership
3441d4f:1508ad97479:-7f0c	Membership
3441d4f:1508ad97479:-7206	Membership
3441d4f:1508ad6f828:7c49	Membership
http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/	Mountains
http://www.semwebtech.org/mondial/10/country/PITC/	Country
3441d4f:1508ad6f828:7877	Membership
3441d4f:1508ad97479:-7466	Membership
3441d4f:1508ad6f828:75c3	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/	Province
3441d4f:1508ad97479:-7a98	Membership
3441d4f:1508ad97479:-71b2	Membership
3441d4f:1508ad6f828:6d3f	Membership
3441d4f:1508ad6f828:7bf5	Membership
3441d4f:1508ad6f828:696d	Encompassed
3441d4f:1508ad6f828:7b51	Membership
http://www.semwebtech.org/mondial/10/organization/UNITAR/	Organization
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/	Province
3441d4f:1508ad6f828:6f9f	Membership
3441d4f:1508ad97479:-6b8e	BelievedBy
http://www.semwebtech.org/mondial/10/source/Niger/	Source
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/	Province
3441d4f:1508ad97479:-77a6	Membership
3441d4f:1508ad6f828:6ceb	Membership
3441d4f:1508ad97479:-7dd8	Membership
3441d4f:1508ad6f828:708a	Membership
3441d4f:1508ad97479:-7702	Membership
3441d4f:1508ad6f828:741e	Membership
3441d4f:1508ad97479:-7d34	Membership
3441d4f:1508ad97479:-700d	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	City
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	City
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	City
3441d4f:1508ad97479:-7962	Membership
3441d4f:1508ad97479:-6ece	Membership
3441d4f:1508ad97479:-7f94	Membership
3441d4f:1508ad6f828:767e	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	City
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	City
3441d4f:1508ad97479:-726d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/	Province
3441d4f:1508ad97479:-6e2a	SpokenBy
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	City
3441d4f:1508ad6f828:73ca	Membership
3441d4f:1508ad97479:-7ce0	Membership
http://www.semwebtech.org/mondial/10/river/RioGrande/	River
3441d4f:1508ad6f828:6b67	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	City
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	City
3441d4f:1508ad6f828:79be	Membership
3441d4f:1508ad97479:-75ad	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/	Province
3441d4f:1508ad6f828:791a	Membership
3441d4f:1508ad97479:-7bdf	Membership
3441d4f:1508ad6f828:6ea7	Membership
3441d4f:1508ad6f828:7f4c	Membership
3441d4f:1508ad97479:-7b3b	Membership
3441d4f:1508ad6f828:7246	Membership
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	City
3441d4f:1508ad6f828:6e03	Membership
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	Mountain
3441d4f:1508ad97479:-69db	EthnicProportion
3441d4f:1508ad97479:-6cf6	BelievedBy
3441d4f:1508ad97479:-7d9b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	City
3441d4f:1508ad97479:-7095	Membership
3441d4f:1508ad97479:-6c52	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/	Province
http://www.semwebtech.org/mondial/10/organization/CEPGL/	Organization
3441d4f:1508ad6f828:71f2	Membership
3441d4f:1508ad97479:-7429	Membership
3441d4f:1508ad6f828:7bb8	Membership
3441d4f:1508ad97479:-7689	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/	Province
3441d4f:1508ad6f828:7b14	Membership
3441d4f:1508ad6f828:77e6	Membership
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-73d5	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	City
3441d4f:1508ad6f828:7742	Membership
3441d4f:1508ad97479:-7331	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	City
3441d4f:1508ad6f828:6cae	Membership
3441d4f:1508ad6f828:7d74	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	City
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/	Province
3441d4f:1508ad6f828:704d	Membership
3441d4f:1508ad6f828:68dc	Encompassed
3441d4f:1508ad6f828:6c0a	Membership
3441d4f:1508ad6f828:7ac0	Membership
3441d4f:1508ad97479:-79c9	Membership
3441d4f:1508ad97479:-7591	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	City
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	City
3441d4f:1508ad97479:-6afd	EthnicProportion
3441d4f:1508ad97479:-7925	Membership
3441d4f:1508ad6f828:6e6a	Membership
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-7f57	Membership
http://www.semwebtech.org/mondial/10/country/FGU/	Country
3441d4f:1508ad97479:-7ca3	Membership
3441d4f:1508ad97479:-78d1	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bagisu/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Westray/	Island
3441d4f:1508ad6f828:75ed	Membership
http://www.semwebtech.org/mondial/10/estuary/Werra/	Estuary
3441d4f:1508ad97479:-71dc	Membership
http://www.semwebtech.org/mondial/10/island/Wangerooge/	Island
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/	Province
3441d4f:1508ad6f828:6ad6	Membership
3441d4f:1508ad6f828:7b7b	Membership
3441d4f:1508ad6f828:6a32	Border
3441d4f:1508ad6f828:7f0f	Membership
3441d4f:1508ad6f828:7209	Membership
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	City
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	City
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-772c	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/	Province
http://www.semwebtech.org/mondial/10/continent/America/	Continent
3441d4f:1508ad6f828:6c92	Membership
3441d4f:1508ad97479:-6cb9	BelievedBy
3441d4f:1508ad97479:-7d5e	Membership
3441d4f:1508ad6f828:7469	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	City
3441d4f:1508ad97479:-7058	Membership
3441d4f:1508ad97479:-6c15	BelievedBy
3441d4f:1508ad97479:-798c	Membership
3441d4f:1508ad6f828:7ebb	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	City
3441d4f:1508ad6f828:71b5	Membership
3441d4f:1508ad97479:-7aaa	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	City
3441d4f:1508ad6f828:7111	Membership
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	Mountain
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	City
3441d4f:1508ad6f828:69a0	Border
3441d4f:1508ad97479:-6e75	Membership
3441d4f:1508ad97479:-6bc1	BelievedBy
3441d4f:1508ad6f828:6fd2	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	City
http://www.semwebtech.org/mondial/10/source/Mur/	Source
3441d4f:1508ad6f828:77a9	Membership
3441d4f:1508ad6f828:7371	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	City
3441d4f:1508ad6f828:7705	Membership
http://www.semwebtech.org/mondial/10/estuary/Nile/	Estuary
3441d4f:1508ad6f828:7d37	Membership
3441d4f:1508ad97479:-75f8	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	City
3441d4f:1508ad6f828:7965	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	City
3441d4f:1508ad97479:-7554	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	City
3441d4f:1508ad6f828:7f97	Membership
3441d4f:1508ad6f828:76b1	Membership
3441d4f:1508ad97479:-7b86	Membership
3441d4f:1508ad97479:-72a0	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	City
3441d4f:1508ad6f828:6e2d	Membership
3441d4f:1508ad6f828:7ce3	Membership
3441d4f:1508ad97479:-6a1c	EthnicProportion
3441d4f:1508ad97479:-6982	EthnicProportion
3441d4f:1508ad97479:-6c7c	BelievedBy
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/	Province
3441d4f:1508ad97479:-7ec6	Membership
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	Estuary
http://www.semwebtech.org/mondial/10/organization/SICA/	Organization
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	City
3441d4f:1508ad6f828:750c	Membership
3441d4f:1508ad97479:-7e22	Membership
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	Lake
3441d4f:1508ad6f828:7b3e	Membership
3441d4f:1508ad97479:-73ff	Membership
3441d4f:1508ad97479:-6fbc	Membership
3441d4f:1508ad6f828:776c	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	City
3441d4f:1508ad97479:-735b	Membership
3441d4f:1508ad6f828:6cf9	Membership
3441d4f:1508ad6f828:7d9e	Membership
3441d4f:1508ad6f828:7098	Membership
3441d4f:1508ad6f828:6c55	Membership
3441d4f:1508ad6f828:7aea	Membership
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	Mountain
3441d4f:1508ad6f828:6883	Encompassed
http://www.semwebtech.org/mondial/10/source/Raab/	Source
3441d4f:1508ad97479:-794f	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/	Province
3441d4f:1508ad97479:-6e38	SpokenBy
3441d4f:1508ad97479:-7ccd	Membership
3441d4f:1508ad6f828:73d8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	City
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	Source
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/	Province
3441d4f:1508ad6f828:7334	Membership
3441d4f:1508ad97479:-78fb	Membership
3441d4f:1508ad97479:-6de4	SpokenBy
3441d4f:1508ad6f828:7594	Membership
3441d4f:1508ad97479:-7183	Membership
3441d4f:1508ad97479:-6d40	SpokenBy
3441d4f:1508ad6f828:7928	Membership
3441d4f:1508ad6f828:72e0	Membership
3441d4f:1508ad97479:-7517	Membership
3441d4f:1508ad6f828:6a5c	Border
3441d4f:1508ad97479:-7b49	Membership
3441d4f:1508ad6f828:7ca6	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	City
3441d4f:1508ad97479:-69e9	EthnicProportion
3441d4f:1508ad97479:-7777	Membership
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7c02	Membership
3441d4f:1508ad6f828:78d4	Membership
3441d4f:1508ad97479:-6945	EthnicProportion
3441d4f:1508ad97479:-74c3	Membership
3441d4f:1508ad97479:-6c3f	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/	Province
http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	Islands
3441d4f:1508ad6f828:7830	Membership
3441d4f:1508ad6f828:71df	Membership
3441d4f:1508ad97479:-7af5	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	City
3441d4f:1508ad6f828:7e62	Membership
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	River
3441d4f:1508ad6f828:713b	Membership
3441d4f:1508ad97479:-7a51	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/	Province
3441d4f:1508ad6f828:69ca	Border
3441d4f:1508ad97479:-6e9f	Membership
3441d4f:1508ad97479:-68f1	EthnicProportion
3441d4f:1508ad6f828:6ffc	Membership
3441d4f:1508ad97479:-6beb	BelievedBy
http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	Islands
3441d4f:1508ad6f828:739b	Membership
3441d4f:1508ad6f828:772f	Membership
3441d4f:1508ad97479:-731e	Membership
http://www.semwebtech.org/mondial/10/island/Filicudi/	Island
http://www.semwebtech.org/mondial/10/island/Langeoog/	Island
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	City
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	City
3441d4f:1508ad6f828:6c18	Membership
3441d4f:1508ad6f828:7aad	Membership
3441d4f:1508ad6f828:798f	Membership
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-757e	Membership
3441d4f:1508ad6f828:76db	Membership
3441d4f:1508ad97479:-7ff1	Membership
3441d4f:1508ad97479:-72ca	Membership
3441d4f:1508ad6f828:6e78	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	City
3441d4f:1508ad97479:-6a67	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	City
3441d4f:1508ad6f828:6bc4	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	City
3441d4f:1508ad6f828:6b20	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	City
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	City
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/	Province
3441d4f:1508ad97479:-78be	Membership
3441d4f:1508ad97479:-781a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	City
3441d4f:1508ad6f828:6d80	Membership
3441d4f:1508ad97479:-6da7	SpokenBy
3441d4f:1508ad6f828:7557	Membership
3441d4f:1508ad97479:-7e4c	Membership
3441d4f:1508ad97479:-7146	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/	Province
3441d4f:1508ad97479:-6d03	BelievedBy
3441d4f:1508ad6f828:7b89	Membership
3441d4f:1508ad6f828:72a3	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	City
3441d4f:1508ad6f828:6a1f	Border
3441d4f:1508ad97479:-6f63	Membership
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/	Mountain
3441d4f:1508ad97479:-70f2	Membership
3441d4f:1508ad6f828:6c7f	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/	Province
3441d4f:1508ad97479:-6908	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Mountains
3441d4f:1508ad6f828:7ec9	Membership
3441d4f:1508ad6f828:7a91	Membership
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	Sea
3441d4f:1508ad97479:-7ab8	Membership
3441d4f:1508ad6f828:7e25	Membership
3441d4f:1508ad97479:-76e6	Membership
3441d4f:1508ad97479:-7a14	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	EthnicGroup
3441d4f:1508ad97479:-68b4	EthnicProportion
3441d4f:1508ad97479:-7642	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	City
3441d4f:1508ad6f828:6fbf	Membership
3441d4f:1508ad97479:-6bae	BelievedBy
http://www.semwebtech.org/mondial/10/island/Salina/	Island
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	City
3441d4f:1508ad6f828:735e	Membership
3441d4f:1508ad97479:-7c74	Membership
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	Estuary
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	City
3441d4f:1508ad6f828:6f1b	Membership
3441d4f:1508ad97479:-6b0a	EthnicProportion
3441d4f:1508ad6f828:7dd1	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/	Province
3441d4f:1508ad6f828:70aa	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	City
3441d4f:1508ad97479:-6d6a	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	City
3441d4f:1508ad97479:-7fb4	Membership
http://www.semwebtech.org/mondial/10/country/ETH/	Country
3441d4f:1508ad97479:-7f10	Membership
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	Lake
3441d4f:1508ad6f828:7c2c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/	Province
3441d4f:1508ad6f828:78fe	Membership
3441d4f:1508ad97479:-696f	EthnicProportion
3441d4f:1508ad97479:-74ed	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	City
3441d4f:1508ad6f828:785a	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/European-CaribbeanAmerindian/	EthnicGroup
3441d4f:1508ad6f828:6de7	Membership
3441d4f:1508ad6f828:7e8c	Membership
3441d4f:1508ad6f828:7186	Membership
3441d4f:1508ad97479:-7a7b	Membership
3441d4f:1508ad6f828:6d43	Membership
3441d4f:1508ad97479:-7e0f	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	City
3441d4f:1508ad97479:-7109	Membership
3441d4f:1508ad6f828:6971	Encompassed
3441d4f:1508ad97479:-6b92	BelievedBy
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	Island
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/	Province
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	Estuary
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	River
3441d4f:1508ad97479:-7369	Membership
3441d4f:1508ad97479:-6f26	Membership
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	City
http://www.semwebtech.org/mondial/10/country/P/province/Braga/	Province
3441d4f:1508ad6f828:74c6	Membership
3441d4f:1508ad97479:-7dbb	Membership
3441d4f:1508ad97479:-70b5	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	City
3441d4f:1508ad6f828:7af8	Membership
3441d4f:1508ad6f828:7422	Membership
http://www.semwebtech.org/mondial/10/island/Hierro/	Island
3441d4f:1508ad97479:-7011	Membership
3441d4f:1508ad6f828:7a54	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	City
3441d4f:1508ad97479:-6ed2	Membership
3441d4f:1508ad6f828:7682	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-76a9	Membership
3441d4f:1508ad97479:-7271	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	City
3441d4f:1508ad6f828:6bee	Membership
3441d4f:1508ad97479:-7605	Membership
3441d4f:1508ad6f828:6b4a	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	City
3441d4f:1508ad97479:-7c37	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	City
3441d4f:1508ad97479:-7865	Membership
http://www.semwebtech.org/mondial/10/desert/RedCentre/	Desert
3441d4f:1508ad6f828:79c2	Membership
3441d4f:1508ad97479:-7e97	Membership
3441d4f:1508ad97479:-75b1	Membership
3441d4f:1508ad97479:-6d2d	BelievedBy
3441d4f:1508ad6f828:7ff4	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	City
http://www.semwebtech.org/mondial/10/mountain/Andringitra/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:72cd	Membership
3441d4f:1508ad97479:-7be3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	City
3441d4f:1508ad6f828:7f50	Membership
3441d4f:1508ad97479:-6f8d	Membership
http://www.semwebtech.org/mondial/10/estuary/Salzach/	Estuary
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/	Province
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	Mountain
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	Island
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	City
3441d4f:1508ad6f828:781d	Membership
3441d4f:1508ad97479:-740c	Membership
3441d4f:1508ad6f828:7e4f	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	EthnicGroup
3441d4f:1508ad6f828:7149	Membership
3441d4f:1508ad97479:-7a3e	Membership
3441d4f:1508ad6f828:69d8	Border
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/	Province
3441d4f:1508ad6f828:6d06	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/	Province
3441d4f:1508ad97479:-68de	EthnicProportion
3441d4f:1508ad97479:-766c	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	City
3441d4f:1508ad6f828:6934	Encompassed
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-6bf9	BelievedBy
3441d4f:1508ad97479:-7c9e	Membership
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	City
3441d4f:1508ad6f828:6f66	Membership
3441d4f:1508ad6f828:7dfb	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	City
3441d4f:1508ad97479:-6b55	BelievedBy
3441d4f:1508ad6f828:70f5	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	City
3441d4f:1508ad6f828:6cb2	Membership
3441d4f:1508ad6f828:7051	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	City
http://www.semwebtech.org/mondial/10/country/SD/	Country
3441d4f:1508ad6f828:68e0	Encompassed
http://www.semwebtech.org/mondial/10/island/Koror/	Island
3441d4f:1508ad97479:-79ac	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	City
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	City
3441d4f:1508ad6f828:7a17	Membership
3441d4f:1508ad6f828:76e9	Membership
3441d4f:1508ad97479:-7fde	Membership
3441d4f:1508ad97479:-72d8	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	City
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	City
3441d4f:1508ad97479:-7f3a	Membership
3441d4f:1508ad6f828:7645	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/	Province
3441d4f:1508ad97479:-7234	Membership
3441d4f:1508ad6f828:7c77	Membership
3441d4f:1508ad6f828:6b0d	Membership
3441d4f:1508ad97479:-7494	Membership
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	Estuary
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	City
3441d4f:1508ad6f828:75f1	Membership
http://www.semwebtech.org/mondial/10/country/YV/	Country
3441d4f:1508ad97479:-7828	Membership
3441d4f:1508ad97479:-71e0	Membership
3441d4f:1508ad6f828:6d6d	Membership
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	City
3441d4f:1508ad6f828:699b	Border
3441d4f:1508ad6f828:7fb7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Oromo/	EthnicGroup
3441d4f:1508ad97479:-7ba6	Membership
http://www.semwebtech.org/mondial/10/river/Apurimac/	River
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	City
3441d4f:1508ad6f828:7f13	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Van/	Province
3441d4f:1508ad97479:-77d4	Membership
3441d4f:1508ad97479:-7b02	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Sami/	EthnicGroup
3441d4f:1508ad97479:-69a2	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Snaefell/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/island/Terschelling/	Island
3441d4f:1508ad97479:-7730	Membership
3441d4f:1508ad97479:-70df	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Lima/	Province
3441d4f:1508ad6f828:744c	Membership
3441d4f:1508ad97479:-7d62	Membership
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	Sea
3441d4f:1508ad97479:-703b	Membership
3441d4f:1508ad6f828:7a7e	Membership
3441d4f:1508ad97479:-7990	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/	Province
3441d4f:1508ad97479:-6efc	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/	Province
3441d4f:1508ad97479:-729b	Membership
3441d4f:1508ad97479:-762f	Membership
3441d4f:1508ad6f828:6b95	Membership
http://www.semwebtech.org/mondial/10/desert/Ryn/	Desert
3441d4f:1508ad6f828:7dbe	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	City
3441d4f:1508ad6f828:6f29	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/	Province
3441d4f:1508ad97479:-6b18	BelievedBy
3441d4f:1508ad6f828:70b8	Membership
3441d4f:1508ad97479:-788f	Membership
3441d4f:1508ad6f828:7d1a	Membership
3441d4f:1508ad6f828:79ec	Membership
3441d4f:1508ad6f828:7014	Membership
3441d4f:1508ad97479:-75db	Membership
3441d4f:1508ad6f828:68a3	Encompassed
3441d4f:1508ad97479:-6d78	SpokenBy
3441d4f:1508ad6f828:6ed5	Membership
3441d4f:1508ad6f828:7f7a	Membership
3441d4f:1508ad97479:-6ac4	EthnicProportion
3441d4f:1508ad6f828:7274	Membership
3441d4f:1508ad97479:-6a20	EthnicProportion
3441d4f:1508ad6f828:6e31	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	City
3441d4f:1508ad6f828:7608	Membership
3441d4f:1508ad97479:-6c80	BelievedBy
http://www.semwebtech.org/mondial/10/source/Shabelle/	Source
3441d4f:1508ad6f828:7868	Membership
3441d4f:1508ad97479:-7457	Membership
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	Desert
3441d4f:1508ad97479:-71a3	Membership
3441d4f:1508ad6f828:75b4	Membership
3441d4f:1508ad97479:-7a89	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	City
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	City
3441d4f:1508ad6f828:7be6	Membership
3441d4f:1508ad6f828:7510	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	City
3441d4f:1508ad6f828:695e	Encompassed
3441d4f:1508ad6f828:7b42	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	City
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	City
3441d4f:1508ad97479:-6b7f	BelievedBy
3441d4f:1508ad97479:-6fc0	Membership
3441d4f:1508ad6f828:7770	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	Mountain
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	City
3441d4f:1508ad6f828:6cdc	Membership
3441d4f:1508ad97479:-7dc9	Membership
3441d4f:1508ad6f828:707b	Membership
3441d4f:1508ad97479:-79f7	Membership
3441d4f:1508ad6f828:740f	Membership
3441d4f:1508ad97479:-7d25	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	City
3441d4f:1508ad97479:-7953	Membership
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/	Province
3441d4f:1508ad97479:-6ebf	Membership
3441d4f:1508ad6f828:766f	Membership
3441d4f:1508ad97479:-7f85	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/	Province
3441d4f:1508ad97479:-725e	Membership
3441d4f:1508ad97479:-6e1b	SpokenBy
3441d4f:1508ad6f828:73bb	Membership
3441d4f:1508ad97479:-7cd1	Membership
3441d4f:1508ad6f828:6b58	Membership
http://www.semwebtech.org/mondial/10/island/Paramuschir/	Island
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	City
3441d4f:1508ad6f828:79af	Membership
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	City
3441d4f:1508ad6f828:790b	Membership
3441d4f:1508ad97479:-77fe	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	City
3441d4f:1508ad6f828:6a60	Border
3441d4f:1508ad6f828:7f3d	Membership
3441d4f:1508ad97479:-7b2c	Membership
3441d4f:1508ad6f828:7237	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	City
http://www.semwebtech.org/mondial/10/island/Luzon/	Island
3441d4f:1508ad97479:-69cc	EthnicProportion
3441d4f:1508ad97479:-775a	Membership
3441d4f:1508ad97479:-6ce7	BelievedBy
3441d4f:1508ad6f828:7497	Membership
3441d4f:1508ad97479:-7d8c	Membership
3441d4f:1508ad97479:-7086	Membership
3441d4f:1508ad97479:-6c43	BelievedBy
3441d4f:1508ad6f828:71e3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	City
3441d4f:1508ad6f828:6da0	Membership
3441d4f:1508ad6f828:7ba9	Membership
3441d4f:1508ad6f828:7b05	Membership
3441d4f:1508ad6f828:77d7	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	City
3441d4f:1508ad97479:-73c6	Membership
3441d4f:1508ad6f828:7733	Membership
3441d4f:1508ad97479:-7322	Membership
http://www.semwebtech.org/mondial/10/river/Breg/	River
3441d4f:1508ad6f828:7d65	Membership
http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mountains
3441d4f:1508ad6f828:703e	Membership
3441d4f:1508ad6f828:7ab1	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/	Province
3441d4f:1508ad6f828:68cd	Encompassed
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	City
3441d4f:1508ad6f828:7993	Membership
3441d4f:1508ad97479:-7582	Membership
3441d4f:1508ad6f828:6eff	Membership
3441d4f:1508ad97479:-6aee	EthnicProportion
3441d4f:1508ad6f828:729e	Membership
3441d4f:1508ad97479:-7916	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	City
3441d4f:1508ad6f828:6e5b	Membership
3441d4f:1508ad97479:-6a4a	EthnicProportion
3441d4f:1508ad97479:-7f48	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/	Country
3441d4f:1508ad97479:-78c2	Membership
3441d4f:1508ad6f828:75de	Membership
3441d4f:1508ad97479:-7ef4	Membership
3441d4f:1508ad97479:-71cd	Membership
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	Desert
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	City
http://www.semwebtech.org/mondial/10/source/Dnister/	Source
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	City
3441d4f:1508ad6f828:753a	Membership
3441d4f:1508ad97479:-7e50	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	City
3441d4f:1508ad6f828:6ac7	Membership
3441d4f:1508ad6f828:7b6c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	City
http://www.semwebtech.org/mondial/10/source/Kolyma/	Source
http://www.semwebtech.org/mondial/10/source/Don/	Source
3441d4f:1508ad6f828:6a23	Border
3441d4f:1508ad97479:-6fea	Membership
3441d4f:1508ad6f828:779a	Membership
3441d4f:1508ad97479:-771d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	City
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	City
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/	Province
3441d4f:1508ad6f828:6c83	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	City
3441d4f:1508ad97479:-7d4f	Membership
3441d4f:1508ad97479:-6c06	BelievedBy
3441d4f:1508ad97479:-7049	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	City
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	River
3441d4f:1508ad6f828:7eac	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	City
3441d4f:1508ad6f828:71a6	Membership
3441d4f:1508ad97479:-797d	Membership
3441d4f:1508ad6f828:7102	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/	Province
3441d4f:1508ad97479:-6e66	Membership
3441d4f:1508ad97479:-7cfb	Membership
3441d4f:1508ad6f828:6fc3	Membership
3441d4f:1508ad97479:-6bb2	BelievedBy
3441d4f:1508ad6f828:7362	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	Province
3441d4f:1508ad6f828:7d28	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/	Province
3441d4f:1508ad97479:-75e9	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	EthnicGroup
http://www.semwebtech.org/mondial/10/organization/FAO/	Organization
3441d4f:1508ad6f828:7956	Membership
http://www.semwebtech.org/mondial/10/language/Galician/	Language
http://www.semwebtech.org/mondial/10/river/Fulda/	River
3441d4f:1508ad97479:-7545	Membership
3441d4f:1508ad6f828:7f88	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	City
3441d4f:1508ad6f828:6a8a	Border
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	City
3441d4f:1508ad6f828:76a2	Membership
3441d4f:1508ad97479:-7b77	Membership
http://www.semwebtech.org/mondial/10/country/EC/	Country
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	City
3441d4f:1508ad6f828:6e1e	Membership
3441d4f:1508ad97479:-6a0d	EthnicProportion
3441d4f:1508ad6f828:7cd4	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	City
http://www.semwebtech.org/mondial/10/lake/Poopo/	Lake
3441d4f:1508ad97479:-6973	EthnicProportion
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	City
3441d4f:1508ad6f828:7c30	Membership
3441d4f:1508ad97479:-74f1	Membership
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	City
3441d4f:1508ad6f828:7228	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	City
3441d4f:1508ad97479:-6c6d	BelievedBy
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/	Province
3441d4f:1508ad6f828:6dca	Membership
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	Estuary
3441d4f:1508ad6f828:7e90	Membership
3441d4f:1508ad97479:-7eb7	Membership
3441d4f:1508ad97479:-7e13	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	City
3441d4f:1508ad6f828:7b2f	Membership
3441d4f:1508ad97479:-6fad	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	City
3441d4f:1508ad6f828:775d	Membership
3441d4f:1508ad97479:-734c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Seychellois/	EthnicGroup
3441d4f:1508ad6f828:7d8f	Membership
3441d4f:1508ad6f828:7089	Membership
3441d4f:1508ad6f828:6c46	Membership
3441d4f:1508ad6f828:7adb	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	City
3441d4f:1508ad97479:-6a95	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Miskito/	Language
3441d4f:1508ad6f828:6bf2	Membership
3441d4f:1508ad97479:-6e29	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	City
3441d4f:1508ad6f828:73c9	Membership
3441d4f:1508ad97479:-7cbe	Membership
http://www.semwebtech.org/mondial/10/country/RH/	Country
3441d4f:1508ad97479:-78ec	Membership
3441d4f:1508ad6f828:7325	Membership
3441d4f:1508ad97479:-7c1a	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	City
http://www.semwebtech.org/mondial/10/country/TN/	Country
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	City
3441d4f:1508ad97479:-6dd5	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Limmat/	Estuary
3441d4f:1508ad97479:-7e7a	Membership
3441d4f:1508ad6f828:7585	Membership
http://www.semwebtech.org/mondial/10/country/WAFU/	Country
3441d4f:1508ad97479:-7174	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	City
3441d4f:1508ad97479:-6d31	BelievedBy
3441d4f:1508ad6f828:7919	Membership
3441d4f:1508ad6f828:72d1	Membership
3441d4f:1508ad97479:-7508	Membership
3441d4f:1508ad6f828:6a4d	Border
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	City
http://www.semwebtech.org/mondial/10/estuary/Seine/	Estuary
3441d4f:1508ad97479:-6f91	Membership
http://www.semwebtech.org/mondial/10/religion/UnitedChurch/	Religion
3441d4f:1508ad97479:-7768	Membership
3441d4f:1508ad6f828:78c5	Membership
3441d4f:1508ad97479:-6936	EthnicProportion
3441d4f:1508ad97479:-74b4	Membership
http://www.semwebtech.org/mondial/10/source/Moldau/	Source
3441d4f:1508ad6f828:7ef7	Membership
3441d4f:1508ad6f828:7821	Membership
3441d4f:1508ad97479:-7ae6	Membership
3441d4f:1508ad97479:-7410	Membership
3441d4f:1508ad6f828:7e53	Membership
3441d4f:1508ad6f828:712c	Membership
3441d4f:1508ad97479:-7a42	Membership
3441d4f:1508ad6f828:69bb	Border
3441d4f:1508ad97479:-68e2	EthnicProportion
3441d4f:1508ad97479:-7670	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	City
3441d4f:1508ad6f828:6fed	Membership
3441d4f:1508ad97479:-6bdc	BelievedBy
3441d4f:1508ad6f828:738c	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	City
3441d4f:1508ad97479:-730f	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/	Province
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	City
3441d4f:1508ad6f828:6c09	Membership
3441d4f:1508ad97479:-79b0	Membership
3441d4f:1508ad97479:-756f	Membership
3441d4f:1508ad6f828:76cc	Membership
3441d4f:1508ad97479:-7fe2	Membership
3441d4f:1508ad97479:-72bb	Membership
3441d4f:1508ad6f828:6e69	Membership
3441d4f:1508ad6f828:7cfe	Membership
3441d4f:1508ad97479:-6a58	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	City
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	City
3441d4f:1508ad6f828:6bb5	Membership
3441d4f:1508ad6f828:7c5a	Membership
http://www.semwebtech.org/mondial/10/country/M/	Country
3441d4f:1508ad97479:-699d	EthnicProportion
3441d4f:1508ad6f828:6b11	Membership
http://www.semwebtech.org/mondial/10/mountain/Hekla/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-78af	Membership
3441d4f:1508ad97479:-780b	Membership
http://www.semwebtech.org/mondial/10/river/Senegal/	River
3441d4f:1508ad6f828:6d71	Membership
http://www.semwebtech.org/mondial/10/mountain/Joekul/	Mountain
3441d4f:1508ad6f828:7548	Membership
3441d4f:1508ad97479:-7e3d	Membership
3441d4f:1508ad97479:-7137	Membership
http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Mountains
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	City
3441d4f:1508ad97479:-6ff8	Membership
http://www.semwebtech.org/mondial/10/source/VictoriaNile/	Source
3441d4f:1508ad97479:-7397	Membership
http://www.semwebtech.org/mondial/10/organization/UNDOF/	Organization
3441d4f:1508ad97479:-6f54	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	City
3441d4f:1508ad6f828:74f4	Membership
3441d4f:1508ad97479:-70e3	Membership
3441d4f:1508ad97479:-6ca0	BelievedBy
3441d4f:1508ad6f828:7450	Membership
3441d4f:1508ad6f828:689e	Encompassed
3441d4f:1508ad6f828:7a82	Membership
3441d4f:1508ad97479:-7aa9	Membership
http://www.semwebtech.org/mondial/10/mountains/Apennin/	Mountains
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	City
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7e16	Membership
http://www.semwebtech.org/mondial/10/source/Urubamba/	Source
3441d4f:1508ad97479:-76d7	Membership
3441d4f:1508ad97479:-7a05	Membership
3441d4f:1508ad97479:-68a5	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Oka/	River
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	City
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/	Mountain
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	City
3441d4f:1508ad97479:-7633	Membership
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	Estuary
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	City
3441d4f:1508ad6f828:734f	Membership
3441d4f:1508ad97479:-7c65	Membership
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	Mountain
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	Estuary
3441d4f:1508ad6f828:6f0c	Membership
3441d4f:1508ad6f828:7dc2	Membership
3441d4f:1508ad97479:-7893	Membership
3441d4f:1508ad97479:-6dff	SpokenBy
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	City
3441d4f:1508ad6f828:79f0	Membership
http://www.semwebtech.org/mondial/10/mountains/Antitaurus/	Mountains
3441d4f:1508ad97479:-719e	Membership
3441d4f:1508ad97479:-6d5b	SpokenBy
3441d4f:1508ad6f828:72fb	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	City
3441d4f:1508ad6f828:6a98	Border
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/	Province
3441d4f:1508ad97479:-7fa5	Membership
http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	Islands
3441d4f:1508ad97479:-7f01	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	City
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	City
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	City
3441d4f:1508ad6f828:7c1d	Membership
3441d4f:1508ad6f828:78ef	Membership
3441d4f:1508ad97479:-74de	Membership
3441d4f:1508ad6f828:784b	Membership
3441d4f:1508ad97479:-743a	Membership
3441d4f:1508ad6f828:6dd8	Membership
3441d4f:1508ad6f828:7e7d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	City
3441d4f:1508ad6f828:7177	Membership
3441d4f:1508ad97479:-7a6c	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/	Province
3441d4f:1508ad6f828:6d34	Membership
3441d4f:1508ad97479:-769a	Membership
3441d4f:1508ad6f828:6962	Encompassed
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/	Province
3441d4f:1508ad6f828:6f94	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	City
3441d4f:1508ad97479:-6b83	BelievedBy
3441d4f:1508ad6f828:6ce0	Membership
3441d4f:1508ad97479:-6f17	Membership
3441d4f:1508ad6f828:74b7	Membership
3441d4f:1508ad97479:-7dac	Membership
3441d4f:1508ad97479:-70a6	Membership
3441d4f:1508ad6f828:7ae9	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/	Province
3441d4f:1508ad6f828:7413	Membership
3441d4f:1508ad97479:-79da	Membership
3441d4f:1508ad97479:-7002	Membership
3441d4f:1508ad6f828:7a45	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/	Province
3441d4f:1508ad97479:-6ec3	Membership
3441d4f:1508ad6f828:7673	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/	Province
3441d4f:1508ad97479:-7262	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	City
3441d4f:1508ad6f828:6bdf	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/English/	EthnicGroup
3441d4f:1508ad6f828:6b3b	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/	Province
3441d4f:1508ad97479:-7c28	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	City
3441d4f:1508ad97479:-75a2	Membership
3441d4f:1508ad97479:-7856	Membership
3441d4f:1508ad97479:-7e88	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	City
3441d4f:1508ad6f828:6d9b	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	City
3441d4f:1508ad6f828:79b3	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	City
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	River
3441d4f:1508ad6f828:7fe5	Membership
3441d4f:1508ad97479:-6d1e	BelievedBy
3441d4f:1508ad6f828:72be	Membership
3441d4f:1508ad97479:-7bd4	Membership
3441d4f:1508ad97479:-7b30	Membership
3441d4f:1508ad6f828:7f41	Membership
3441d4f:1508ad6f828:721a	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	City
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	City
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	City
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	City
3441d4f:1508ad97479:-6f7e	Membership
3441d4f:1508ad97479:-69d0	EthnicProportion
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	City
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	City
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	City
3441d4f:1508ad97479:-6cca	BelievedBy
3441d4f:1508ad6f828:747a	Membership
3441d4f:1508ad97479:-7d90	Membership
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	Desert
http://www.semwebtech.org/mondial/10/island/Kauai/	Island
http://www.semwebtech.org/mondial/10/language/KhalkhaMongol/	Language
3441d4f:1508ad6f828:780e	Membership
http://www.semwebtech.org/mondial/10/mountain/Athos/	Mountain
3441d4f:1508ad97479:-7a2f	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	City
http://www.semwebtech.org/mondial/10/source/Naryn/	Source
3441d4f:1508ad6f828:69c9	Border
3441d4f:1508ad97479:-68cf	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	Sea
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/	Province
3441d4f:1508ad97479:-765d	Membership
3441d4f:1508ad6f828:6925	Encompassed
3441d4f:1508ad6f828:77ba	Membership
3441d4f:1508ad97479:-7c8f	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	City
3441d4f:1508ad6f828:6f57	Membership
3441d4f:1508ad6f828:7dec	Membership
3441d4f:1508ad97479:-6b46	BelievedBy
3441d4f:1508ad6f828:70e6	Membership
3441d4f:1508ad6f828:6ca3	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/	Province
3441d4f:1508ad6f828:7042	Membership
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	City
3441d4f:1508ad6f828:68d1	Encompassed
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	City
3441d4f:1508ad97479:-6af2	EthnicProportion
3441d4f:1508ad97479:-7fcf	Membership
3441d4f:1508ad6f828:7a08	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	City
http://www.semwebtech.org/mondial/10/mountain/Makalu/	Mountain
3441d4f:1508ad97479:-72c9	Membership
http://www.semwebtech.org/mondial/10/island/Lombok/	Island
3441d4f:1508ad6f828:7636	Membership
3441d4f:1508ad97479:-7f2b	Membership
3441d4f:1508ad97479:-7225	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	EthnicGroup
3441d4f:1508ad6f828:7c68	Membership
http://www.semwebtech.org/mondial/10/source/RioLerma/	Source
3441d4f:1508ad6f828:7896	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	City
3441d4f:1508ad97479:-7485	Membership
3441d4f:1508ad6f828:75e2	Membership
http://www.semwebtech.org/mondial/10/island/Honshu/	Island
3441d4f:1508ad97479:-7819	Membership
3441d4f:1508ad97479:-71d1	Membership
3441d4f:1508ad6f828:6d5e	Membership
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	City
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	City
3441d4f:1508ad6f828:7fa8	Membership
3441d4f:1508ad6f828:698c	Border
3441d4f:1508ad6f828:6aaa	Border
3441d4f:1508ad6f828:7b70	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	City
3441d4f:1508ad6f828:7f04	Membership
3441d4f:1508ad97479:-77c5	Membership
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	City
3441d4f:1508ad97479:-7721	Membership
3441d4f:1508ad97479:-7df7	Membership
3441d4f:1508ad97479:-7b1d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	City
3441d4f:1508ad6f828:743d	Membership
3441d4f:1508ad97479:-7d53	Membership
3441d4f:1508ad97479:-702c	Membership
3441d4f:1508ad6f828:7eb0	Membership
3441d4f:1508ad6f828:7a6f	Membership
3441d4f:1508ad97479:-7981	Membership
http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Mountains
3441d4f:1508ad97479:-6eed	Membership
3441d4f:1508ad6f828:769d	Membership
3441d4f:1508ad97479:-728c	Membership
http://www.semwebtech.org/mondial/10/religion/Protestant/	Religion
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	City
http://www.semwebtech.org/mondial/10/organization/G-3/	Organization
3441d4f:1508ad6f828:6b86	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/	Province
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	Lake
3441d4f:1508ad97479:-6b09	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	City
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	Lake
3441d4f:1508ad6f828:7daf	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/	Province
3441d4f:1508ad6f828:70a9	Membership
http://www.semwebtech.org/mondial/10/island/Arran/	Island
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/	Province
3441d4f:1508ad6f828:7d0b	Membership
3441d4f:1508ad6f828:79dd	Membership
3441d4f:1508ad6f828:7005	Membership
3441d4f:1508ad97479:-75cc	Membership
3441d4f:1508ad97479:-6d69	SpokenBy
3441d4f:1508ad97479:-7bfe	Membership
3441d4f:1508ad6f828:6ec6	Membership
3441d4f:1508ad6f828:7f6b	Membership
3441d4f:1508ad97479:-6ab5	EthnicProportion
3441d4f:1508ad6f828:7265	Membership
3441d4f:1508ad97479:-7b5a	Membership
3441d4f:1508ad6f828:6e22	Membership
3441d4f:1508ad97479:-6a11	EthnicProportion
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	City
3441d4f:1508ad97479:-69fa	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	Lake
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	City
3441d4f:1508ad97479:-6c71	BelievedBy
3441d4f:1508ad6f828:7859	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	City
3441d4f:1508ad97479:-7448	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	City
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	City
3441d4f:1508ad6f828:75a5	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	City
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	River
3441d4f:1508ad6f828:7bd7	Membership
3441d4f:1508ad6f828:7501	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/	Province
3441d4f:1508ad6f828:694f	Encompassed
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	City
3441d4f:1508ad6f828:7b33	Membership
3441d4f:1508ad97479:-73f4	Membership
3441d4f:1508ad97479:-6fb1	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	City
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	City
3441d4f:1508ad6f828:7761	Membership
3441d4f:1508ad97479:-7350	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	City
3441d4f:1508ad6f828:6ccd	Membership
3441d4f:1508ad6f828:7d93	Membership
3441d4f:1508ad6f828:706c	Membership
3441d4f:1508ad6f828:68fb	Encompassed
3441d4f:1508ad97479:-79e8	Membership
3441d4f:1508ad97479:-7d16	Membership
3441d4f:1508ad97479:-7944	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	City
3441d4f:1508ad97479:-7f76	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Circassian/	EthnicGroup
3441d4f:1508ad97479:-724f	Membership
3441d4f:1508ad97479:-6e0c	SpokenBy
3441d4f:1508ad6f828:73ac	Membership
3441d4f:1508ad97479:-7cc2	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	City
3441d4f:1508ad6f828:6b49	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	City
3441d4f:1508ad97479:-78f0	Membership
3441d4f:1508ad97479:-71fb	Membership
http://www.semwebtech.org/mondial/10/organization/G-24/	Organization
http://www.semwebtech.org/mondial/10/mountain/Karthala/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/country/SBAR/	Country
3441d4f:1508ad6f828:6af5	Membership
3441d4f:1508ad6f828:7b9a	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/	Province
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	City
3441d4f:1508ad6f828:6a51	Border
3441d4f:1508ad6f828:7f2e	Membership
3441d4f:1508ad97479:-77ef	Membership
3441d4f:1508ad97479:-69bd	EthnicProportion
3441d4f:1508ad97479:-774b	Membership
3441d4f:1508ad97479:-6cd8	BelievedBy
3441d4f:1508ad6f828:7488	Membership
3441d4f:1508ad97479:-7d7d	Membership
3441d4f:1508ad97479:-7077	Membership
3441d4f:1508ad97479:-6c34	BelievedBy
http://www.semwebtech.org/mondial/10/island/WestFalkland/	Island
3441d4f:1508ad6f828:7eda	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/	Province
3441d4f:1508ad6f828:71d4	Membership
3441d4f:1508ad6f828:7130	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	City
3441d4f:1508ad97479:-6e94	Membership
3441d4f:1508ad6f828:6ff1	Membership
3441d4f:1508ad97479:-6be0	BelievedBy
3441d4f:1508ad6f828:77c8	Membership
3441d4f:1508ad6f828:7390	Membership
3441d4f:1508ad97479:-73b7	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	City
3441d4f:1508ad6f828:7724	Membership
3441d4f:1508ad97479:-7313	Membership
3441d4f:1508ad6f828:7d56	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	City
3441d4f:1508ad6f828:702f	Membership
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	City
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	Source
3441d4f:1508ad6f828:68be	Encompassed
3441d4f:1508ad6f828:7aa2	Membership
3441d4f:1508ad6f828:7984	Membership
3441d4f:1508ad97479:-7573	Membership
3441d4f:1508ad97479:-6adf	EthnicProportion
3441d4f:1508ad6f828:76d0	Membership
3441d4f:1508ad6f828:728f	Membership
3441d4f:1508ad97479:-7907	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	City
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	City
3441d4f:1508ad6f828:6e4c	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	City
3441d4f:1508ad97479:-6a3b	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	Mountain
3441d4f:1508ad97479:-7f39	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	City
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	City
http://www.semwebtech.org/mondial/10/river/Narew/	River
3441d4f:1508ad97479:-6c9b	BelievedBy
http://www.semwebtech.org/mondial/10/river/Orinoco/	River
3441d4f:1508ad97479:-78b3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	City
http://www.semwebtech.org/mondial/10/island/Lanai/	Island
3441d4f:1508ad6f828:75cf	Membership
3441d4f:1508ad97479:-7ee5	Membership
3441d4f:1508ad97479:-71be	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	City
3441d4f:1508ad6f828:752b	Membership
3441d4f:1508ad97479:-7e41	Membership
3441d4f:1508ad97479:-711a	Membership
3441d4f:1508ad6f828:6ab8	Border
3441d4f:1508ad6f828:7b5d	Membership
3441d4f:1508ad6f828:6a14	Border
3441d4f:1508ad97479:-6fdb	Membership
3441d4f:1508ad6f828:778b	Membership
3441d4f:1508ad97479:-737a	Membership
3441d4f:1508ad97479:-770e	Membership
3441d4f:1508ad6f828:6c74	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	City
3441d4f:1508ad97479:-796e	Membership
3441d4f:1508ad97479:-76ba	Membership
http://www.semwebtech.org/mondial/10/estuary/Arno/	Estuary
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/	Province
3441d4f:1508ad97479:-6e57	Membership
3441d4f:1508ad6f828:73f7	Membership
3441d4f:1508ad97479:-7cec	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/	Province
3441d4f:1508ad6f828:6fb4	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	City
3441d4f:1508ad97479:-6ba3	BelievedBy
3441d4f:1508ad6f828:7353	Membership
3441d4f:1508ad6f828:6f10	Membership
3441d4f:1508ad6f828:7d19	Membership
http://www.semwebtech.org/mondial/10/estuary/Ruki/	Estuary
3441d4f:1508ad6f828:7947	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/	Province
http://www.semwebtech.org/mondial/10/source/Aller/	Source
3441d4f:1508ad97479:-7536	Membership
http://www.semwebtech.org/mondial/10/river/Limmat/	River
3441d4f:1508ad6f828:6a7b	Border
3441d4f:1508ad6f828:7f79	Membership
3441d4f:1508ad97479:-7b68	Membership
3441d4f:1508ad6f828:6e0f	Membership
3441d4f:1508ad6f828:7cc5	Membership
3441d4f:1508ad97479:-7796	Membership
3441d4f:1508ad6f828:7c21	Membership
3441d4f:1508ad6f828:78f3	Membership
3441d4f:1508ad97479:-6964	EthnicProportion
3441d4f:1508ad97479:-74e2	Membership
3441d4f:1508ad97479:-6c5e	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	City
3441d4f:1508ad6f828:71fe	Membership
3441d4f:1508ad6f828:6dbb	Membership
3441d4f:1508ad97479:-7ea8	Membership
3441d4f:1508ad6f828:7e81	Membership
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	City
3441d4f:1508ad6f828:715a	Membership
3441d4f:1508ad97479:-7a70	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Békés/	Province
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	City
3441d4f:1508ad97479:-7e04	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	City
3441d4f:1508ad6f828:774e	Membership
3441d4f:1508ad97479:-733d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	City
3441d4f:1508ad97479:-7db0	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/	Province
3441d4f:1508ad6f828:6c37	Membership
3441d4f:1508ad6f828:7acc	Membership
3441d4f:1508ad97479:-759d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	City
3441d4f:1508ad6f828:76fa	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	City
3441d4f:1508ad6f828:6e97	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	City
3441d4f:1508ad97479:-6a86	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Ebro/	Estuary
3441d4f:1508ad6f828:6be3	Membership
3441d4f:1508ad97479:-7caf	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Batobo/	EthnicGroup
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	EthnicGroup
http://www.semwebtech.org/mondial/10/religion/EkalesiaNiue/	Religion
3441d4f:1508ad97479:-78dd	Membership
3441d4f:1508ad6f828:7316	Membership
3441d4f:1508ad97479:-7c0b	Membership
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	Estuary
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	City
3441d4f:1508ad97479:-6dc6	SpokenBy
3441d4f:1508ad6f828:7576	Membership
3441d4f:1508ad97479:-7e6b	Membership
3441d4f:1508ad97479:-7165	Membership
3441d4f:1508ad97479:-6d22	BelievedBy
3441d4f:1508ad6f828:72c2	Membership
3441d4f:1508ad6f828:6a3e	Border
3441d4f:1508ad97479:-6f82	Membership
3441d4f:1508ad97479:-7759	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	EthnicGroup
3441d4f:1508ad6f828:6c9e	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	City
3441d4f:1508ad6f828:78b6	Membership
3441d4f:1508ad97479:-6927	EthnicProportion
3441d4f:1508ad97479:-74a5	Membership
3441d4f:1508ad6f828:7ee8	Membership
3441d4f:1508ad6f828:7812	Membership
3441d4f:1508ad97479:-7ad7	Membership
3441d4f:1508ad97479:-7401	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	EthnicGroup
3441d4f:1508ad6f828:7e44	Membership
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	Lake
3441d4f:1508ad6f828:711d	Membership
3441d4f:1508ad97479:-7a33	Membership
3441d4f:1508ad6f828:69ac	Border
3441d4f:1508ad97479:-68d3	EthnicProportion
3441d4f:1508ad97479:-7661	Membership
3441d4f:1508ad6f828:6fde	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	City
3441d4f:1508ad97479:-6bcd	BelievedBy
3441d4f:1508ad6f828:737d	Membership
3441d4f:1508ad97479:-7c93	Membership
3441d4f:1508ad6f828:6f3a	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	City
3441d4f:1508ad6f828:7df0	Membership
http://www.semwebtech.org/mondial/10/river/Vuoksi/	River
3441d4f:1508ad97479:-79a1	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	City
3441d4f:1508ad6f828:76bd	Membership
3441d4f:1508ad97479:-7fd3	Membership
3441d4f:1508ad97479:-72ac	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	City
3441d4f:1508ad6f828:7cef	Membership
3441d4f:1508ad97479:-6a49	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Luo/	EthnicGroup
3441d4f:1508ad6f828:6ba6	Membership
3441d4f:1508ad6f828:7c4b	Membership
3441d4f:1508ad97479:-698e	EthnicProportion
3441d4f:1508ad6f828:6b02	Membership
http://www.semwebtech.org/mondial/10/country/MAYO/	Country
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	City
http://www.semwebtech.org/mondial/10/estuary/Moraca/	Estuary
3441d4f:1508ad97479:-7a9a	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/	Province
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/	Province
3441d4f:1508ad97479:-7e79	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	City
3441d4f:1508ad6f828:6d62	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/	Province
3441d4f:1508ad6f828:7539	Membership
3441d4f:1508ad97479:-7e2e	Membership
3441d4f:1508ad97479:-7128	Membership
3441d4f:1508ad6f828:6990	Border
http://www.semwebtech.org/mondial/10/source/Baro/	Source
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/	Province
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	Source
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	City
3441d4f:1508ad97479:-6fe9	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	City
3441d4f:1508ad6f828:7799	Membership
3441d4f:1508ad97479:-7388	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Georgian/	EthnicGroup
3441d4f:1508ad97479:-6f45	Membership
3441d4f:1508ad6f828:74e5	Membership
3441d4f:1508ad97479:-7dda	Membership
3441d4f:1508ad97479:-70d4	Membership
3441d4f:1508ad6f828:7441	Membership
3441d4f:1508ad97479:-7030	Membership
3441d4f:1508ad6f828:688f	Encompassed
3441d4f:1508ad6f828:7a73	Membership
http://www.semwebtech.org/mondial/10/politicalbody/OttomanEmpire/	PoliticalBody
http://www.semwebtech.org/mondial/10/organization/IOC/	Organization
3441d4f:1508ad97479:-6ef1	Membership
3441d4f:1508ad6f828:7e07	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Saho/	EthnicGroup
3441d4f:1508ad97479:-76c8	Membership
3441d4f:1508ad97479:-7290	Membership
3441d4f:1508ad97479:-7624	Membership
3441d4f:1508ad97479:-7c56	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/	Province
3441d4f:1508ad6f828:7db3	Membership
3441d4f:1508ad97479:-7884	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/	Province
http://www.semwebtech.org/mondial/10/organization/ISO/	Organization
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	City
3441d4f:1508ad6f828:79e1	Membership
http://www.semwebtech.org/mondial/10/source/Kura/	Source
3441d4f:1508ad97479:-75d0	Membership
3441d4f:1508ad97479:-718f	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	City
3441d4f:1508ad97479:-6d4c	SpokenBy
3441d4f:1508ad6f828:72ec	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/	Province
3441d4f:1508ad6f828:6a89	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	City
3441d4f:1508ad6f828:7c0e	Membership
3441d4f:1508ad97479:-74cf	Membership
3441d4f:1508ad6f828:783c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	City
3441d4f:1508ad97479:-742b	Membership
3441d4f:1508ad6f828:7e6e	Membership
3441d4f:1508ad6f828:6dc9	Membership
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	City
3441d4f:1508ad6f828:7168	Membership
3441d4f:1508ad97479:-7a5d	Membership
3441d4f:1508ad6f828:69f7	Border
3441d4f:1508ad6f828:6d25	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Taiwanese/	EthnicGroup
3441d4f:1508ad6f828:7bba	Membership
3441d4f:1508ad97479:-68fd	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/	Province
3441d4f:1508ad97479:-768b	Membership
http://www.semwebtech.org/mondial/10/source/Drin/	Source
3441d4f:1508ad6f828:6953	Encompassed
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	City
3441d4f:1508ad6f828:6f85	Membership
3441d4f:1508ad97479:-6b74	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	City
3441d4f:1508ad6f828:6cd1	Membership
3441d4f:1508ad97479:-6f08	Membership
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	City
3441d4f:1508ad6f828:74a8	Membership
3441d4f:1508ad6f828:7070	Membership
http://www.semwebtech.org/mondial/10/river/Mincio/	River
3441d4f:1508ad6f828:7404	Membership
3441d4f:1508ad97479:-79cb	Membership
3441d4f:1508ad6f828:7a36	Membership
3441d4f:1508ad97479:-7ffd	Membership
3441d4f:1508ad97479:-72f7	Membership
3441d4f:1508ad97479:-6eb4	Membership
3441d4f:1508ad6f828:7664	Membership
3441d4f:1508ad97479:-7253	Membership
3441d4f:1508ad97479:-6e10	SpokenBy
3441d4f:1508ad6f828:7c96	Membership
3441d4f:1508ad6f828:73b0	Membership
3441d4f:1508ad6f828:6b2c	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	City
3441d4f:1508ad97479:-7c19	Membership
3441d4f:1508ad97479:-7847	Membership
3441d4f:1508ad6f828:6d8c	Membership
3441d4f:1508ad6f828:79a4	Membership
3441d4f:1508ad97479:-6d0f	BelievedBy
3441d4f:1508ad6f828:7fd6	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	City
3441d4f:1508ad6f828:7900	Membership
3441d4f:1508ad6f828:72af	Membership
3441d4f:1508ad97479:-7bc5	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	City
3441d4f:1508ad97479:-77f3	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	City
3441d4f:1508ad6f828:7f32	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	City
3441d4f:1508ad6f828:720b	Membership
3441d4f:1508ad97479:-7b21	Membership
3441d4f:1508ad97479:-6f6f	Membership
3441d4f:1508ad97479:-69c1	EthnicProportion
3441d4f:1508ad97479:-70fe	Membership
3441d4f:1508ad97479:-6cbb	BelievedBy
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	Island
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	City
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	City
3441d4f:1508ad6f828:746b	Membership
3441d4f:1508ad97479:-7d81	Membership
3441d4f:1508ad97479:-705a	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/	Province
3441d4f:1508ad6f828:7a9d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/African/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/	Province
3441d4f:1508ad97479:-764e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	City
3441d4f:1508ad6f828:6916	Encompassed
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/	Province
3441d4f:1508ad6f828:77ab	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	City
3441d4f:1508ad6f828:6f48	Membership
3441d4f:1508ad6f828:7ddd	Membership
3441d4f:1508ad97479:-6b37	BelievedBy
3441d4f:1508ad6f828:70d7	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	City
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7033	Membership
3441d4f:1508ad97479:-75fa	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/	Province
3441d4f:1508ad6f828:68c2	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Vedda/	EthnicGroup
3441d4f:1508ad97479:-6d97	SpokenBy
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	City
3441d4f:1508ad6f828:6ef4	Membership
3441d4f:1508ad97479:-6ae3	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/	Province
3441d4f:1508ad6f828:7293	Membership
3441d4f:1508ad6f828:6e50	Membership
http://www.semwebtech.org/mondial/10/source/Busira/	Source
3441d4f:1508ad6f828:7627	Membership
3441d4f:1508ad97479:-7f1c	Membership
3441d4f:1508ad97479:-7216	Membership
3441d4f:1508ad6f828:7c59	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/	Province
http://www.semwebtech.org/mondial/10/source/Elbe/	Source
http://www.semwebtech.org/mondial/10/mountains/TianShan/	Mountains
3441d4f:1508ad6f828:7887	Membership
http://www.semwebtech.org/mondial/10/mountains/Vosges/	Mountains
3441d4f:1508ad97479:-7476	Membership
3441d4f:1508ad6f828:75d3	Membership
3441d4f:1508ad97479:-71c2	Membership
3441d4f:1508ad6f828:6d4f	Membership
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/mountains/Jura/	Mountains
3441d4f:1508ad6f828:697d	Border
3441d4f:1508ad6f828:7b61	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	City
3441d4f:1508ad97479:-6b9e	BelievedBy
3441d4f:1508ad97479:-77b6	Membership
http://www.semwebtech.org/mondial/10/island/Saipan/	Island
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	City
3441d4f:1508ad6f828:6cfb	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Aymara/	EthnicGroup
3441d4f:1508ad97479:-7de8	Membership
3441d4f:1508ad6f828:709a	Membership
3441d4f:1508ad97479:-7712	Membership
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	City
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	City
3441d4f:1508ad6f828:742e	Membership
3441d4f:1508ad97479:-7d44	Membership
3441d4f:1508ad97479:-701d	Membership
3441d4f:1508ad6f828:7ea1	Membership
3441d4f:1508ad97479:-7972	Membership
3441d4f:1508ad97479:-6ede	Membership
3441d4f:1508ad6f828:768e	Membership
3441d4f:1508ad97479:-727d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bete/	EthnicGroup
3441d4f:1508ad97479:-6e3a	SpokenBy
http://www.semwebtech.org/mondial/10/source/Maas/	Source
3441d4f:1508ad6f828:73da	Membership
3441d4f:1508ad97479:-7cf0	Membership
3441d4f:1508ad6f828:6b77	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	City
http://www.semwebtech.org/mondial/10/country/CAYM/	Country
3441d4f:1508ad6f828:79ce	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	City
3441d4f:1508ad97479:-75bd	Membership
3441d4f:1508ad6f828:792a	Membership
3441d4f:1508ad97479:-7bef	Membership
http://www.semwebtech.org/mondial/10/country/NAM/	Country
3441d4f:1508ad6f828:6eb7	Membership
3441d4f:1508ad6f828:7f5c	Membership
3441d4f:1508ad97479:-6aa6	EthnicProportion
3441d4f:1508ad6f828:7256	Membership
3441d4f:1508ad97479:-7b4b	Membership
3441d4f:1508ad6f828:6e13	Membership
3441d4f:1508ad97479:-6a02	EthnicProportion
3441d4f:1508ad97479:-69eb	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PNG/	Country
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	City
3441d4f:1508ad97479:-6c62	BelievedBy
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/	Province
3441d4f:1508ad97479:-7439	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	City
http://www.semwebtech.org/mondial/10/river/RioMadeira/	River
http://www.semwebtech.org/mondial/10/estuary/Narva/	Estuary
3441d4f:1508ad6f828:7bc8	Membership
3441d4f:1508ad97479:-7699	Membership
3441d4f:1508ad6f828:7b24	Membership
3441d4f:1508ad6f828:77f6	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	City
http://www.semwebtech.org/mondial/10/river/Aare/	River
3441d4f:1508ad97479:-73e5	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	City
3441d4f:1508ad97479:-6fa2	Membership
3441d4f:1508ad6f828:7752	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	City
3441d4f:1508ad97479:-7341	Membership
3441d4f:1508ad6f828:6cbe	Membership
3441d4f:1508ad6f828:7d84	Membership
3441d4f:1508ad6f828:705d	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/	Province
3441d4f:1508ad6f828:68ec	Encompassed
3441d4f:1508ad6f828:6c1a	Membership
3441d4f:1508ad6f828:7ad0	Membership
3441d4f:1508ad97479:-79d9	Membership
3441d4f:1508ad97479:-7d07	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	City
3441d4f:1508ad97479:-7935	Membership
3441d4f:1508ad6f828:6e7a	Membership
3441d4f:1508ad97479:-7f67	Membership
http://www.semwebtech.org/mondial/10/river/Dnjestr/	River
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	City
3441d4f:1508ad97479:-7cb3	Membership
3441d4f:1508ad97479:-78e1	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	City
3441d4f:1508ad6f828:75fd	Membership
3441d4f:1508ad97479:-71ec	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	City
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	Lake
3441d4f:1508ad6f828:6ae6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/	Province
3441d4f:1508ad6f828:7b8b	Membership
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	City
3441d4f:1508ad6f828:6a42	Border
3441d4f:1508ad6f828:7f1f	Membership
3441d4f:1508ad6f828:7219	Membership
3441d4f:1508ad97479:-7b0e	Membership
3441d4f:1508ad97479:-69ae	EthnicProportion
3441d4f:1508ad97479:-773c	Membership
3441d4f:1508ad97479:-6cc9	BelievedBy
3441d4f:1508ad97479:-7d6e	Membership
3441d4f:1508ad6f828:7479	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	City
3441d4f:1508ad97479:-690a	EthnicProportion
3441d4f:1508ad97479:-7068	Membership
3441d4f:1508ad97479:-6c25	BelievedBy
3441d4f:1508ad6f828:7ecb	Membership
3441d4f:1508ad97479:-799c	Membership
3441d4f:1508ad6f828:71c5	Membership
3441d4f:1508ad97479:-7aba	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	City
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	Mountain
3441d4f:1508ad6f828:7121	Membership
3441d4f:1508ad6f828:69b0	Border
3441d4f:1508ad97479:-6e85	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	City
3441d4f:1508ad6f828:6fe2	Membership
3441d4f:1508ad97479:-6bd1	BelievedBy
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	City
3441d4f:1508ad6f828:77b9	Membership
3441d4f:1508ad6f828:7381	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	City
3441d4f:1508ad97479:-73a8	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	City
3441d4f:1508ad6f828:7715	Membership
3441d4f:1508ad97479:-7304	Membership
3441d4f:1508ad6f828:7d47	Membership
http://www.semwebtech.org/mondial/10/desert/Kalahari/	Desert
3441d4f:1508ad6f828:68af	Encompassed
3441d4f:1508ad6f828:7975	Membership
3441d4f:1508ad97479:-7564	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	EthnicGroup
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	Sea
3441d4f:1508ad97479:-72b0	Membership
3441d4f:1508ad6f828:76c1	Membership
3441d4f:1508ad97479:-7b96	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	City
3441d4f:1508ad6f828:6e3d	Membership
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	Lake
3441d4f:1508ad6f828:7cf3	Membership
3441d4f:1508ad97479:-6a2c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/	Province
3441d4f:1508ad97479:-6992	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	City
3441d4f:1508ad97479:-6c8c	BelievedBy
3441d4f:1508ad97479:-78a4	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	City
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	City
3441d4f:1508ad97479:-7800	Membership
3441d4f:1508ad97479:-7ed6	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	City
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/	Province
3441d4f:1508ad97479:-71af	Membership
3441d4f:1508ad6f828:751c	Membership
3441d4f:1508ad97479:-7e32	Membership
3441d4f:1508ad97479:-710b	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	City
3441d4f:1508ad6f828:6aa9	Border
3441d4f:1508ad6f828:7b4e	Membership
3441d4f:1508ad6f828:6a05	Border
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/	Province
3441d4f:1508ad97479:-6fcc	Membership
3441d4f:1508ad6f828:777c	Membership
3441d4f:1508ad97479:-736b	Membership
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	City
http://www.semwebtech.org/mondial/10/country/GCA/	Country
3441d4f:1508ad6f828:6c65	Membership
3441d4f:1508ad6f828:7afa	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	City
http://www.semwebtech.org/mondial/10/source/Tigris/	Source
http://www.semwebtech.org/mondial/10/estuary/Murgab/	Estuary
3441d4f:1508ad6f828:6893	Encompassed
3441d4f:1508ad97479:-795f	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	City
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/	Province
3441d4f:1508ad97479:-76ab	Membership
3441d4f:1508ad97479:-6e48	SpokenBy
3441d4f:1508ad97479:-7cdd	Membership
3441d4f:1508ad6f828:73e8	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	City
3441d4f:1508ad6f828:6fa5	Membership
3441d4f:1508ad6f828:7344	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	City
3441d4f:1508ad6f828:6f01	Membership
http://www.semwebtech.org/mondial/10/source/Nile/	Source
3441d4f:1508ad97479:-6df4	SpokenBy
http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	Mountains
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	City
3441d4f:1508ad97479:-7193	Membership
3441d4f:1508ad97479:-6d50	SpokenBy
3441d4f:1508ad6f828:7938	Membership
3441d4f:1508ad6f828:72f0	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanLebanese/	EthnicGroup
3441d4f:1508ad97479:-7527	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	City
3441d4f:1508ad6f828:6a6c	Border
http://www.semwebtech.org/mondial/10/language/Luri/	Language
3441d4f:1508ad97479:-7b59	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	City
3441d4f:1508ad6f828:7cb6	Membership
3441d4f:1508ad97479:-6955	EthnicProportion
3441d4f:1508ad97479:-69f9	EthnicProportion
3441d4f:1508ad97479:-7787	Membership
3441d4f:1508ad6f828:7c12	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	City
http://www.semwebtech.org/mondial/10/organization/OIF/	Organization
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	City
3441d4f:1508ad6f828:78e4	Membership
3441d4f:1508ad97479:-6c4f	BelievedBy
3441d4f:1508ad97479:-74d3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	City
3441d4f:1508ad6f828:7112	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/	Province
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	City
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	City
3441d4f:1508ad6f828:7840	Membership
3441d4f:1508ad6f828:71ef	Membership
3441d4f:1508ad6f828:6dac	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	City
3441d4f:1508ad6f828:7e72	Membership
3441d4f:1508ad6f828:714b	Membership
3441d4f:1508ad97479:-7a61	Membership
3441d4f:1508ad6f828:69da	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	City
http://www.semwebtech.org/mondial/10/island/Teneriffa/	Island
3441d4f:1508ad97479:-6bfb	BelievedBy
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/	Province
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/	Mountain
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	Mountain
http://www.semwebtech.org/mondial/10/island/Nantucket/	Island
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/	Province
3441d4f:1508ad6f828:773f	Membership
3441d4f:1508ad97479:-732e	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	City
3441d4f:1508ad97479:-7da1	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Sidama/	EthnicGroup
3441d4f:1508ad6f828:6c28	Membership
3441d4f:1508ad6f828:7abd	Membership
3441d4f:1508ad6f828:799f	Membership
3441d4f:1508ad97479:-758e	Membership
3441d4f:1508ad6f828:76eb	Membership
3441d4f:1508ad97479:-72da	Membership
3441d4f:1508ad6f828:6e88	Membership
3441d4f:1508ad97479:-6a77	EthnicProportion
3441d4f:1508ad6f828:6bd4	Membership
http://www.semwebtech.org/mondial/10/organization/AOSIS/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/	Province
3441d4f:1508ad6f828:6b30	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	City
3441d4f:1508ad6f828:7307	Membership
3441d4f:1508ad97479:-78ce	Membership
http://www.semwebtech.org/mondial/10/source/Inn/	Source
3441d4f:1508ad97479:-782a	Membership
3441d4f:1508ad6f828:6d90	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	City
3441d4f:1508ad97479:-6db7	SpokenBy
3441d4f:1508ad6f828:7567	Membership
3441d4f:1508ad97479:-7e5c	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	City
3441d4f:1508ad97479:-7156	Membership
3441d4f:1508ad97479:-6d13	BelievedBy
http://www.semwebtech.org/mondial/10/river/Moraca/	River
3441d4f:1508ad6f828:7b99	Membership
3441d4f:1508ad6f828:72b3	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	City
3441d4f:1508ad6f828:6a2f	Border
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/	Province
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	Province
3441d4f:1508ad97479:-6f73	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	City
3441d4f:1508ad6f828:6c8f	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	City
3441d4f:1508ad6f828:78a7	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/	Province
3441d4f:1508ad97479:-6918	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Elgon/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	City
3441d4f:1508ad6f828:7ed9	Membership
3441d4f:1508ad6f828:7803	Membership
3441d4f:1508ad97479:-7ac8	Membership
3441d4f:1508ad97479:-76f6	Membership
3441d4f:1508ad6f828:7e35	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	City
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/	Province
3441d4f:1508ad6f828:710e	Membership
3441d4f:1508ad97479:-7a24	Membership
3441d4f:1508ad97479:-68c4	EthnicProportion
3441d4f:1508ad97479:-7652	Membership
3441d4f:1508ad6f828:6fcf	Membership
3441d4f:1508ad97479:-6bbe	BelievedBy
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	City
3441d4f:1508ad6f828:736e	Membership
3441d4f:1508ad97479:-7c84	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/	Province
3441d4f:1508ad6f828:6f2b	Membership
3441d4f:1508ad6f828:7de1	Membership
3441d4f:1508ad97479:-6b1a	BelievedBy
3441d4f:1508ad6f828:70ba	Membership
http://www.semwebtech.org/mondial/10/source/Kymijoki/	Source
3441d4f:1508ad97479:-74c4	Membership
http://www.semwebtech.org/mondial/10/islands/SundaIslands/	Islands
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/	Province
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	City
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	City
3441d4f:1508ad97479:-6d7a	SpokenBy
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	City
3441d4f:1508ad6f828:76ae	Membership
3441d4f:1508ad97479:-7fc4	Membership
http://www.semwebtech.org/mondial/10/desert/Darfur/	Desert
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/	Province
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	Island
3441d4f:1508ad6f828:760a	Membership
3441d4f:1508ad97479:-7f20	Membership
http://www.semwebtech.org/mondial/10/mountains/Elburs/	Mountains
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	Lake
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/	Province
3441d4f:1508ad6f828:7c3c	Membership
3441d4f:1508ad97479:-697f	EthnicProportion
3441d4f:1508ad97479:-74fd	Membership
3441d4f:1508ad6f828:786a	Membership
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	City
3441d4f:1508ad6f828:6df7	Membership
3441d4f:1508ad6f828:7e9c	Membership
3441d4f:1508ad97479:-7a8b	Membership
3441d4f:1508ad6f828:7196	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/	Province
3441d4f:1508ad6f828:6d53	Membership
http://www.semwebtech.org/mondial/10/language/Kurd/	Language
3441d4f:1508ad97479:-7119	Membership
3441d4f:1508ad97479:-7e1f	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	City
http://www.semwebtech.org/mondial/10/country/FPOL/	Country
3441d4f:1508ad6f828:6981	Border
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	City
http://www.semwebtech.org/mondial/10/language/Bambara/	Language
3441d4f:1508ad97479:-7379	Membership
3441d4f:1508ad97479:-6f36	Membership
3441d4f:1508ad6f828:74d6	Membership
3441d4f:1508ad97479:-7dcb	Membership
3441d4f:1508ad97479:-70c5	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/	Province
3441d4f:1508ad6f828:7432	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/	Province
3441d4f:1508ad97479:-7021	Membership
3441d4f:1508ad6f828:7a64	Membership
3441d4f:1508ad97479:-6ee2	Membership
3441d4f:1508ad6f828:7692	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	City
3441d4f:1508ad97479:-76b9	Membership
3441d4f:1508ad97479:-7281	Membership
http://www.semwebtech.org/mondial/10/country/CY/	Country
3441d4f:1508ad6f828:6bfe	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	City
3441d4f:1508ad97479:-7615	Membership
3441d4f:1508ad6f828:6b5a	Membership
3441d4f:1508ad97479:-7c47	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	City
3441d4f:1508ad6f828:7da4	Membership
3441d4f:1508ad97479:-7875	Membership
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	Lake
3441d4f:1508ad6f828:7d00	Membership
3441d4f:1508ad6f828:79d2	Membership
3441d4f:1508ad97479:-75c1	Membership
3441d4f:1508ad97479:-6d3d	SpokenBy
3441d4f:1508ad6f828:72dd	Membership
3441d4f:1508ad97479:-7bf3	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	City
3441d4f:1508ad6f828:7f60	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Hazara/	EthnicGroup
3441d4f:1508ad97479:-6f9d	Membership
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	Lake
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/	Province
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	City
3441d4f:1508ad6f828:782d	Membership
3441d4f:1508ad97479:-741c	Membership
http://www.semwebtech.org/mondial/10/river/Benue/	River
http://www.semwebtech.org/mondial/10/religion/HoaHao/	Religion
3441d4f:1508ad6f828:7e5f	Membership
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	City
3441d4f:1508ad6f828:7159	Membership
3441d4f:1508ad97479:-7a4e	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/	Province
3441d4f:1508ad6f828:69e8	Border
3441d4f:1508ad6f828:6d16	Membership
3441d4f:1508ad97479:-68ee	EthnicProportion
3441d4f:1508ad6f828:7bab	Membership
3441d4f:1508ad97479:-767c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	City
3441d4f:1508ad6f828:6944	Encompassed
3441d4f:1508ad6f828:6f76	Membership
http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	Organization
3441d4f:1508ad97479:-6b65	BelievedBy
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	Sea
3441d4f:1508ad6f828:6cc2	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Azores/	Province
http://www.semwebtech.org/mondial/10/island/Khark/	Island
3441d4f:1508ad6f828:7061	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	City
3441d4f:1508ad6f828:68f0	Encompassed
3441d4f:1508ad97479:-79bc	Membership
3441d4f:1508ad6f828:7a27	Membership
3441d4f:1508ad6f828:76f9	Membership
3441d4f:1508ad97479:-7fee	Membership
http://www.semwebtech.org/mondial/10/river/Missouri/	River
3441d4f:1508ad97479:-72e8	Membership
http://www.semwebtech.org/mondial/10/river/Pjandsh/	River
3441d4f:1508ad97479:-6ea5	Membership
3441d4f:1508ad6f828:7655	Membership
3441d4f:1508ad97479:-7f4a	Membership
3441d4f:1508ad97479:-7244	Membership
3441d4f:1508ad97479:-6e01	SpokenBy
3441d4f:1508ad6f828:7c87	Membership
3441d4f:1508ad6f828:73a1	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/	Province
http://www.semwebtech.org/mondial/10/river/Marne/	River
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	City
3441d4f:1508ad6f828:6b1d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	City
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	River
http://www.semwebtech.org/mondial/10/islands/Aleutes/	Islands
3441d4f:1508ad97479:-7838	Membership
3441d4f:1508ad97479:-71f0	Membership
3441d4f:1508ad6f828:6d7d	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/	Province
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	Lake
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	City
3441d4f:1508ad6f828:7fc7	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	City
3441d4f:1508ad97479:-7bb6	Membership
3441d4f:1508ad6f828:7f23	Membership
3441d4f:1508ad97479:-77e4	Membership
3441d4f:1508ad97479:-7b12	Membership
3441d4f:1508ad97479:-69b2	EthnicProportion
3441d4f:1508ad97479:-7740	Membership
3441d4f:1508ad97479:-70ef	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Luhya/	EthnicGroup
3441d4f:1508ad97479:-6cac	BelievedBy
3441d4f:1508ad6f828:745c	Membership
3441d4f:1508ad97479:-7d72	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	City
3441d4f:1508ad97479:-704b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	City
3441d4f:1508ad6f828:7a8e	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/	Province
http://www.semwebtech.org/mondial/10/island/Mallorca/	Island
3441d4f:1508ad97479:-763f	Membership
3441d4f:1508ad6f828:6907	Encompassed
3441d4f:1508ad6f828:6f39	Membership
3441d4f:1508ad6f828:7dce	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	City
3441d4f:1508ad97479:-6b28	BelievedBy
3441d4f:1508ad6f828:70c8	Membership
3441d4f:1508ad97479:-789f	Membership
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	Estuary
3441d4f:1508ad6f828:7d2a	Membership
3441d4f:1508ad6f828:79fc	Membership
3441d4f:1508ad6f828:7024	Membership
3441d4f:1508ad97479:-75eb	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	City
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	City
3441d4f:1508ad6f828:68b3	Encompassed
3441d4f:1508ad97479:-6d88	SpokenBy
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/	Province
3441d4f:1508ad6f828:6ee5	Membership
3441d4f:1508ad6f828:7f8a	Membership
3441d4f:1508ad97479:-6ad4	EthnicProportion
3441d4f:1508ad6f828:7284	Membership
http://www.semwebtech.org/mondial/10/organization/SADC/	Organization
3441d4f:1508ad6f828:6e41	Membership
3441d4f:1508ad97479:-6a30	EthnicProportion
3441d4f:1508ad6f828:7618	Membership
3441d4f:1508ad97479:-7f0d	Membership
3441d4f:1508ad97479:-7207	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	EthnicGroup
3441d4f:1508ad97479:-6c90	BelievedBy
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/	Province
3441d4f:1508ad6f828:7878	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/	Province
3441d4f:1508ad97479:-7467	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/	Province
3441d4f:1508ad6f828:75c4	Membership
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/	Province
3441d4f:1508ad97479:-7a99	Membership
3441d4f:1508ad97479:-71b3	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	City
3441d4f:1508ad6f828:7bf6	Membership
3441d4f:1508ad6f828:7520	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	City
3441d4f:1508ad6f828:696e	Encompassed
3441d4f:1508ad6f828:7b52	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	City
3441d4f:1508ad97479:-6b8f	BelievedBy
3441d4f:1508ad97479:-6fd0	Membership
3441d4f:1508ad6f828:7780	Membership
3441d4f:1508ad97479:-77a7	Membership
3441d4f:1508ad6f828:6cec	Membership
3441d4f:1508ad97479:-7dd9	Membership
3441d4f:1508ad6f828:708b	Membership
3441d4f:1508ad97479:-7703	Membership
http://www.semwebtech.org/mondial/10/estuary/Aare/	Estuary
3441d4f:1508ad97479:-7d35	Membership
3441d4f:1508ad6f828:741f	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/	Province
3441d4f:1508ad97479:-700e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/	Province
http://www.semwebtech.org/mondial/10/estuary/Katun/	Estuary
3441d4f:1508ad97479:-7963	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	City
3441d4f:1508ad97479:-6ecf	Membership
3441d4f:1508ad6f828:767f	Membership
3441d4f:1508ad97479:-7f95	Membership
3441d4f:1508ad97479:-726e	Membership
3441d4f:1508ad97479:-6e2b	SpokenBy
3441d4f:1508ad6f828:73cb	Membership
3441d4f:1508ad97479:-7ce1	Membership
3441d4f:1508ad6f828:6b68	Membership
http://www.semwebtech.org/mondial/10/river/Lomami/	River
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	Lake
http://www.semwebtech.org/mondial/10/river/Save/	River
http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	EthnicGroup
3441d4f:1508ad6f828:79bf	Membership
3441d4f:1508ad97479:-75ae	Membership
3441d4f:1508ad6f828:791b	Membership
3441d4f:1508ad97479:-750a	Membership
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	Estuary
3441d4f:1508ad6f828:6ea8	Membership
3441d4f:1508ad6f828:6a70	Border
3441d4f:1508ad6f828:7f4d	Membership
3441d4f:1508ad6f828:7247	Membership
3441d4f:1508ad97479:-7b3c	Membership
3441d4f:1508ad6f828:6e04	Membership
3441d4f:1508ad97479:-69dc	EthnicProportion
3441d4f:1508ad97479:-776a	Membership
3441d4f:1508ad97479:-6cf7	BelievedBy
3441d4f:1508ad97479:-7d9c	Membership
3441d4f:1508ad97479:-7096	Membership
3441d4f:1508ad97479:-6c53	BelievedBy
3441d4f:1508ad6f828:71f3	Membership
3441d4f:1508ad6f828:6db0	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	City
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/	Province
3441d4f:1508ad6f828:7bb9	Membership
3441d4f:1508ad6f828:7b15	Membership
3441d4f:1508ad6f828:77e7	Membership
3441d4f:1508ad97479:-73d6	Membership
3441d4f:1508ad6f828:7743	Membership
3441d4f:1508ad97479:-7332	Membership
3441d4f:1508ad6f828:6caf	Membership
3441d4f:1508ad6f828:7d75	Membership
3441d4f:1508ad6f828:704e	Membership
3441d4f:1508ad6f828:68dd	Encompassed
3441d4f:1508ad6f828:6c0b	Membership
3441d4f:1508ad6f828:7ac1	Membership
3441d4f:1508ad97479:-7592	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/	Province
3441d4f:1508ad97479:-6afe	EthnicProportion
3441d4f:1508ad97479:-7926	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/	Province
3441d4f:1508ad6f828:6e6b	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/	Province
3441d4f:1508ad97479:-6a5a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	City
3441d4f:1508ad97479:-7f58	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	City
3441d4f:1508ad97479:-7ca4	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	City
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	City
3441d4f:1508ad97479:-78d2	Membership
3441d4f:1508ad97479:-7c00	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	City
3441d4f:1508ad6f828:75ee	Membership
3441d4f:1508ad97479:-71dd	Membership
http://www.semwebtech.org/mondial/10/river/Etsch/	River
3441d4f:1508ad6f828:754a	Membership
3441d4f:1508ad97479:-7e60	Membership
3441d4f:1508ad6f828:6ad7	Membership
3441d4f:1508ad6f828:7b7c	Membership
3441d4f:1508ad6f828:6a33	Border
3441d4f:1508ad97479:-6ffa	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Central/	Province
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	Mountain
3441d4f:1508ad97479:-772d	Membership
3441d4f:1508ad6f828:6c93	Membership
3441d4f:1508ad97479:-7d5f	Membership
3441d4f:1508ad97479:-7059	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	City
3441d4f:1508ad97479:-6c16	BelievedBy
3441d4f:1508ad6f828:7ebc	Membership
3441d4f:1508ad97479:-798d	Membership
3441d4f:1508ad6f828:71b6	Membership
3441d4f:1508ad97479:-7aab	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	City
http://www.semwebtech.org/mondial/10/river/Murgab/	River
3441d4f:1508ad6f828:69a1	Border
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	Lake
3441d4f:1508ad97479:-6e76	Membership
http://www.semwebtech.org/mondial/10/river/Buna/	River
3441d4f:1508ad6f828:6fd3	Membership
3441d4f:1508ad97479:-6bc2	BelievedBy
3441d4f:1508ad6f828:7372	Membership
http://www.semwebtech.org/mondial/10/organization/CD/	Organization
http://www.semwebtech.org/mondial/10/country/MNTS/	Country
3441d4f:1508ad6f828:7706	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	City
3441d4f:1508ad6f828:7d38	Membership
3441d4f:1508ad97479:-75f9	Membership
3441d4f:1508ad6f828:7966	Membership
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	Island
3441d4f:1508ad97479:-7555	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	City
3441d4f:1508ad97479:-6a1d	EthnicProportion
3441d4f:1508ad6f828:7f98	Membership
3441d4f:1508ad6f828:6a9a	Border
http://www.semwebtech.org/mondial/10/country/SLO/	Country
3441d4f:1508ad6f828:76b2	Membership
3441d4f:1508ad97479:-72a1	Membership
3441d4f:1508ad97479:-7b87	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	City
http://www.semwebtech.org/mondial/10/sea/BlackSea/	Sea
3441d4f:1508ad6f828:6e2e	Membership
3441d4f:1508ad6f828:7ce4	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	City
http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/	Islands
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	City
3441d4f:1508ad6f828:7c40	Membership
3441d4f:1508ad97479:-6983	EthnicProportion
3441d4f:1508ad97479:-6c7d	BelievedBy
http://www.semwebtech.org/mondial/10/river/Tajo/	River
3441d4f:1508ad6f828:6dda	Membership
3441d4f:1508ad97479:-7ec7	Membership
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	Source
3441d4f:1508ad6f828:750d	Membership
3441d4f:1508ad97479:-7e23	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	City
3441d4f:1508ad6f828:7b3f	Membership
http://www.semwebtech.org/mondial/10/organization/NC/	Organization
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/	Province
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	Estuary
3441d4f:1508ad97479:-6fbd	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/	Province
3441d4f:1508ad6f828:776d	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	City
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	City
3441d4f:1508ad97479:-735c	Membership
3441d4f:1508ad6f828:7d9f	Membership
3441d4f:1508ad6f828:7099	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	City
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/	Province
3441d4f:1508ad6f828:6c56	Membership
3441d4f:1508ad6f828:7aeb	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	City
3441d4f:1508ad6f828:6884	Encompassed
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	Sea
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	Island
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	City
3441d4f:1508ad97479:-6e39	SpokenBy
3441d4f:1508ad6f828:73d9	Membership
3441d4f:1508ad97479:-7cce	Membership
http://www.semwebtech.org/mondial/10/country/RI/	Country
http://www.semwebtech.org/mondial/10/mountain/Illimani/	Mountain
http://www.semwebtech.org/mondial/10/country/LAR/	Country
3441d4f:1508ad97479:-78fc	Membership
3441d4f:1508ad6f828:7335	Membership
3441d4f:1508ad97479:-7c2a	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	City
http://www.semwebtech.org/mondial/10/country/TO/	Country
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/	Province
3441d4f:1508ad97479:-6de5	SpokenBy
3441d4f:1508ad6f828:7595	Membership
3441d4f:1508ad97479:-7e8a	Membership
3441d4f:1508ad97479:-7184	Membership
http://www.semwebtech.org/mondial/10/organization/ILO/	Organization
3441d4f:1508ad97479:-6d41	SpokenBy
3441d4f:1508ad6f828:7929	Membership
3441d4f:1508ad6f828:72e1	Membership
http://www.semwebtech.org/mondial/10/country/VU/	Country
3441d4f:1508ad97479:-7518	Membership
3441d4f:1508ad6f828:6a5d	Border
http://www.semwebtech.org/mondial/10/island/Tinian/	Island
3441d4f:1508ad6f828:7ca7	Membership
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	Mountain
3441d4f:1508ad97479:-7778	Membership
3441d4f:1508ad6f828:7c03	Membership
3441d4f:1508ad6f828:78d5	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	City
3441d4f:1508ad97479:-6946	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Maur/	EthnicGroup
3441d4f:1508ad6f828:7831	Membership
3441d4f:1508ad97479:-7af6	Membership
3441d4f:1508ad97479:-7420	Membership
3441d4f:1508ad6f828:7e63	Membership
3441d4f:1508ad6f828:713c	Membership
3441d4f:1508ad97479:-7a52	Membership
http://www.semwebtech.org/mondial/10/language/Aymara/	Language
3441d4f:1508ad6f828:69cb	Border
http://www.semwebtech.org/mondial/10/lake/ChadLake/	Lake
3441d4f:1508ad97479:-68f2	EthnicProportion
3441d4f:1508ad97479:-7680	Membership
3441d4f:1508ad6f828:6ffd	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	City
3441d4f:1508ad97479:-6bec	BelievedBy
3441d4f:1508ad6f828:739c	Membership
http://www.semwebtech.org/mondial/10/country/WAG/	Country
http://www.semwebtech.org/mondial/10/mountains/Tibesti/	Mountains
3441d4f:1508ad97479:-731f	Membership
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/	Province
http://www.semwebtech.org/mondial/10/country/P/province/Beja/	Province
3441d4f:1508ad6f828:6c19	Membership
3441d4f:1508ad6f828:7aae	Membership
3441d4f:1508ad97479:-79c0	Membership
3441d4f:1508ad97479:-757f	Membership
3441d4f:1508ad6f828:7a0a	Membership
3441d4f:1508ad6f828:76dc	Membership
3441d4f:1508ad97479:-7ff2	Membership
3441d4f:1508ad97479:-72cb	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	City
3441d4f:1508ad6f828:6e79	Membership
3441d4f:1508ad97479:-6a68	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	City
3441d4f:1508ad6f828:6bc5	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/	Province
3441d4f:1508ad6f828:7c6a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	City
http://www.semwebtech.org/mondial/10/country/N/	Country
3441d4f:1508ad6f828:6b21	Membership
3441d4f:1508ad97479:-78bf	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/	Province
3441d4f:1508ad97479:-781b	Membership
3441d4f:1508ad6f828:6d81	Membership
3441d4f:1508ad97479:-6da8	SpokenBy
3441d4f:1508ad6f828:7558	Membership
3441d4f:1508ad97479:-7e4d	Membership
3441d4f:1508ad97479:-7147	Membership
3441d4f:1508ad6f828:7faa	Membership
3441d4f:1508ad97479:-6d04	BelievedBy
3441d4f:1508ad6f828:72a4	Membership
http://www.semwebtech.org/mondial/10/organization/UNESCO/	Organization
3441d4f:1508ad6f828:7200	Membership
3441d4f:1508ad97479:-6f64	Membership
3441d4f:1508ad97479:-70f3	Membership
3441d4f:1508ad97479:-6cb0	BelievedBy
3441d4f:1508ad6f828:7460	Membership
3441d4f:1508ad97479:-6909	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/	Province
3441d4f:1508ad6f828:7a92	Membership
3441d4f:1508ad97479:-7ab9	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/	Province
3441d4f:1508ad6f828:7e26	Membership
3441d4f:1508ad97479:-76e7	Membership
3441d4f:1508ad97479:-7a15	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	City
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	City
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	City
3441d4f:1508ad97479:-68b5	EthnicProportion
3441d4f:1508ad97479:-7643	Membership
3441d4f:1508ad97479:-6baf	BelievedBy
3441d4f:1508ad6f828:77a0	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	City
3441d4f:1508ad6f828:735f	Membership
3441d4f:1508ad97479:-7c75	Membership
3441d4f:1508ad6f828:6f1c	Membership
3441d4f:1508ad6f828:7dd2	Membership
3441d4f:1508ad97479:-6b0b	EthnicProportion
3441d4f:1508ad6f828:70ab	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	City
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/	Province
3441d4f:1508ad97479:-6d6b	SpokenBy
3441d4f:1508ad97479:-7fb5	Membership
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	City
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	City
3441d4f:1508ad97479:-7f11	Membership
3441d4f:1508ad6f828:7c2d	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	City
3441d4f:1508ad6f828:78ff	Membership
3441d4f:1508ad97479:-74ee	Membership
3441d4f:1508ad6f828:785b	Membership
http://www.semwebtech.org/mondial/10/source/Cuango/	Source
3441d4f:1508ad97479:-744a	Membership
3441d4f:1508ad6f828:6de8	Membership
http://www.semwebtech.org/mondial/10/estuary/Alz/	Estuary
3441d4f:1508ad6f828:7e8d	Membership
http://www.semwebtech.org/mondial/10/source/Narew/	Source
3441d4f:1508ad6f828:7187	Membership
3441d4f:1508ad97479:-7a7c	Membership
3441d4f:1508ad6f828:6d44	Membership
3441d4f:1508ad6f828:6972	Encompassed
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/	Province
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	Source
3441d4f:1508ad97479:-6b93	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Walloon/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:6cf0	Membership
3441d4f:1508ad97479:-6f27	Membership
3441d4f:1508ad6f828:74c7	Membership
3441d4f:1508ad97479:-7dbc	Membership
http://www.semwebtech.org/mondial/10/source/Atbara/	Source
3441d4f:1508ad97479:-70b6	Membership
3441d4f:1508ad6f828:7af9	Membership
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	City
3441d4f:1508ad6f828:7423	Membership
3441d4f:1508ad97479:-79ea	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	City
3441d4f:1508ad97479:-7012	Membership
3441d4f:1508ad6f828:7a55	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	City
3441d4f:1508ad97479:-6ed3	Membership
3441d4f:1508ad6f828:7683	Membership
3441d4f:1508ad97479:-7272	Membership
http://www.semwebtech.org/mondial/10/organization/LAES/	Organization
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/	Province
3441d4f:1508ad6f828:6bef	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/	Province
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/	Province
3441d4f:1508ad97479:-7606	Membership
3441d4f:1508ad6f828:6b4b	Membership
3441d4f:1508ad97479:-7c38	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/	Province
3441d4f:1508ad97479:-7866	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/	Province
3441d4f:1508ad6f828:79c3	Membership
3441d4f:1508ad97479:-7e98	Membership
3441d4f:1508ad97479:-75b2	Membership
3441d4f:1508ad6f828:7ff5	Membership
3441d4f:1508ad97479:-6d2e	BelievedBy
3441d4f:1508ad6f828:72ce	Membership
3441d4f:1508ad97479:-7be4	Membership
http://www.semwebtech.org/mondial/10/island/Bougainville/	Island
3441d4f:1508ad6f828:7f51	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	City
3441d4f:1508ad6f828:722a	Membership
3441d4f:1508ad97479:-7b40	Membership
3441d4f:1508ad97479:-6f8e	Membership
3441d4f:1508ad97479:-69e0	EthnicProportion
3441d4f:1508ad97479:-6cda	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/Crete/	Mountains
3441d4f:1508ad6f828:748a	Membership
3441d4f:1508ad6f828:781e	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	City
3441d4f:1508ad97479:-740d	Membership
3441d4f:1508ad97479:-7a3f	Membership
3441d4f:1508ad6f828:69d9	Border
3441d4f:1508ad6f828:6d07	Membership
3441d4f:1508ad97479:-68df	EthnicProportion
3441d4f:1508ad97479:-766d	Membership
http://www.semwebtech.org/mondial/10/river/Werra/	River
3441d4f:1508ad6f828:6935	Encompassed
3441d4f:1508ad6f828:77ca	Membership
3441d4f:1508ad97479:-7c9f	Membership
3441d4f:1508ad6f828:6f67	Membership
3441d4f:1508ad6f828:7dfc	Membership
3441d4f:1508ad97479:-6b56	BelievedBy
3441d4f:1508ad6f828:70f6	Membership
http://www.semwebtech.org/mondial/10/estuary/Newa/	Estuary
3441d4f:1508ad6f828:6cb3	Membership
http://www.semwebtech.org/mondial/10/islands/NewZealand/	Islands
3441d4f:1508ad6f828:7052	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/	Province
3441d4f:1508ad6f828:68e1	Encompassed
3441d4f:1508ad97479:-79ad	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	City
3441d4f:1508ad6f828:7a18	Membership
3441d4f:1508ad97479:-7fdf	Membership
3441d4f:1508ad97479:-72d9	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/	Province
3441d4f:1508ad97479:-7f3b	Membership
3441d4f:1508ad6f828:7646	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	City
3441d4f:1508ad97479:-7235	Membership
3441d4f:1508ad6f828:7c78	Membership
3441d4f:1508ad6f828:6b0e	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	City
http://www.semwebtech.org/mondial/10/religion/Kimbanguist/	Religion
3441d4f:1508ad97479:-7495	Membership
http://www.semwebtech.org/mondial/10/source/Kasai/	Source
3441d4f:1508ad6f828:75f2	Membership
3441d4f:1508ad97479:-7829	Membership
3441d4f:1508ad97479:-71e1	Membership
3441d4f:1508ad6f828:6d6e	Membership
http://www.semwebtech.org/mondial/10/source/Drina/	Source
http://www.semwebtech.org/mondial/10/estuary/Swir/	Estuary
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	Lake
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	City
http://www.semwebtech.org/mondial/10/language/Latvian/	Language
3441d4f:1508ad6f828:7fb8	Membership
3441d4f:1508ad6f828:699c	Border
3441d4f:1508ad6f828:6aba	Border
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/	Province
3441d4f:1508ad6f828:7b80	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/	Province
3441d4f:1508ad97479:-7ba7	Membership
3441d4f:1508ad6f828:7f14	Membership
3441d4f:1508ad97479:-77d5	Membership
3441d4f:1508ad97479:-7b03	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/	Province
3441d4f:1508ad97479:-69a3	EthnicProportion
3441d4f:1508ad97479:-7731	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Oita/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	City
http://www.semwebtech.org/mondial/10/island/Grenada/	Island
3441d4f:1508ad6f828:744d	Membership
3441d4f:1508ad97479:-7d63	Membership
3441d4f:1508ad97479:-703c	Membership
3441d4f:1508ad6f828:7ec0	Membership
3441d4f:1508ad6f828:7a7f	Membership
3441d4f:1508ad97479:-7991	Membership
http://www.semwebtech.org/mondial/10/country/XMAS/	Country
http://www.semwebtech.org/mondial/10/desert/Owyhee/	Desert
3441d4f:1508ad97479:-6efd	Membership
3441d4f:1508ad97479:-729c	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	City
http://www.semwebtech.org/mondial/10/country/MA/	Country
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/	Province
3441d4f:1508ad6f828:6b96	Membership
http://www.semwebtech.org/mondial/10/river/Irawaddy/	River
http://www.semwebtech.org/mondial/10/organization/IEA/	Organization
3441d4f:1508ad6f828:7dbf	Membership
3441d4f:1508ad97479:-6b19	BelievedBy
3441d4f:1508ad6f828:70b9	Membership
http://www.semwebtech.org/mondial/10/island/LaPalma/	Island
3441d4f:1508ad6f828:7d1b	Membership
3441d4f:1508ad6f828:79ed	Membership
3441d4f:1508ad97479:-75dc	Membership
3441d4f:1508ad6f828:7015	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	City
http://www.semwebtech.org/mondial/10/organization/NIB/	Organization
3441d4f:1508ad6f828:68a4	Encompassed
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/	Province
3441d4f:1508ad97479:-6d79	SpokenBy
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/	Province
3441d4f:1508ad6f828:6ed6	Membership
3441d4f:1508ad6f828:7f7b	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/	Province
3441d4f:1508ad97479:-6ac5	EthnicProportion
3441d4f:1508ad6f828:7275	Membership
3441d4f:1508ad97479:-7b6a	Membership
http://www.semwebtech.org/mondial/10/mountains/Ural/	Mountains
3441d4f:1508ad6f828:6e32	Membership
3441d4f:1508ad97479:-6a21	EthnicProportion
3441d4f:1508ad6f828:7609	Membership
3441d4f:1508ad97479:-6c81	BelievedBy
3441d4f:1508ad6f828:7869	Membership
3441d4f:1508ad97479:-7458	Membership
3441d4f:1508ad6f828:75b5	Membership
3441d4f:1508ad97479:-7eaa	Membership
3441d4f:1508ad97479:-71a4	Membership
http://www.semwebtech.org/mondial/10/mountain/MountKenia/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7be7	Membership
3441d4f:1508ad6f828:7511	Membership
3441d4f:1508ad97479:-7100	Membership
3441d4f:1508ad6f828:695f	Encompassed
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	City
3441d4f:1508ad6f828:7b43	Membership
3441d4f:1508ad97479:-6fc1	Membership
3441d4f:1508ad6f828:7771	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/	Province
3441d4f:1508ad97479:-7360	Membership
3441d4f:1508ad6f828:6cdd	Membership
3441d4f:1508ad6f828:707c	Membership
3441d4f:1508ad97479:-79f8	Membership
3441d4f:1508ad97479:-7d26	Membership
3441d4f:1508ad97479:-7954	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/	Province
3441d4f:1508ad97479:-6e1c	SpokenBy
http://www.semwebtech.org/mondial/10/island/Malta/	Island
http://www.semwebtech.org/mondial/10/estuary/March/	Estuary
3441d4f:1508ad97479:-7f86	Membership
3441d4f:1508ad97479:-76a0	Membership
3441d4f:1508ad97479:-725f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	City
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	City
http://www.semwebtech.org/mondial/10/source/Tshuapa/	Source
http://www.semwebtech.org/mondial/10/island/Bornholm/	Island
3441d4f:1508ad6f828:73bc	Membership
3441d4f:1508ad97479:-7cd2	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	City
3441d4f:1508ad6f828:6b59	Membership
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	Estuary
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	City
3441d4f:1508ad6f828:790c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	City
3441d4f:1508ad6f828:7f3e	Membership
3441d4f:1508ad6f828:6a61	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	City
3441d4f:1508ad97479:-77ff	Membership
3441d4f:1508ad6f828:7238	Membership
3441d4f:1508ad97479:-7b2d	Membership
3441d4f:1508ad97479:-69cd	EthnicProportion
3441d4f:1508ad97479:-775b	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/	Province
3441d4f:1508ad97479:-6ce8	BelievedBy
3441d4f:1508ad6f828:7498	Membership
3441d4f:1508ad97479:-7d8d	Membership
3441d4f:1508ad97479:-7087	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	City
3441d4f:1508ad6f828:7eea	Membership
3441d4f:1508ad97479:-6c44	BelievedBy
3441d4f:1508ad6f828:71e4	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	City
3441d4f:1508ad6f828:6da1	Membership
3441d4f:1508ad6f828:7140	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	City
http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Mountains
http://www.semwebtech.org/mondial/10/source/Saone/	Source
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	City
3441d4f:1508ad97479:-6bf0	BelievedBy
3441d4f:1508ad6f828:7b06	Membership
3441d4f:1508ad6f828:77d8	Membership
3441d4f:1508ad97479:-73c7	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	City
3441d4f:1508ad6f828:7734	Membership
3441d4f:1508ad97479:-7323	Membership
3441d4f:1508ad6f828:7d66	Membership
3441d4f:1508ad6f828:703f	Membership
3441d4f:1508ad6f828:7ab2	Membership
3441d4f:1508ad6f828:68ce	Encompassed
3441d4f:1508ad6f828:7994	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	City
3441d4f:1508ad97479:-7583	Membership
3441d4f:1508ad97479:-6aef	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	City
3441d4f:1508ad6f828:76e0	Membership
3441d4f:1508ad6f828:729f	Membership
3441d4f:1508ad97479:-7917	Membership
3441d4f:1508ad6f828:6e5c	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	City
3441d4f:1508ad97479:-6a4b	EthnicProportion
3441d4f:1508ad97479:-7f49	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/	Province
http://www.semwebtech.org/mondial/10/source/Maranon/	Source
3441d4f:1508ad97479:-78c3	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/	Province
3441d4f:1508ad6f828:75df	Membership
3441d4f:1508ad97479:-7ef5	Membership
3441d4f:1508ad97479:-71ce	Membership
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	City
http://www.semwebtech.org/mondial/10/island/Martinique/	Island
3441d4f:1508ad6f828:753b	Membership
3441d4f:1508ad97479:-7e51	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/	Province
3441d4f:1508ad97479:-712a	Membership
http://www.semwebtech.org/mondial/10/islands/Maldives/	Islands
3441d4f:1508ad6f828:6ac8	Membership
3441d4f:1508ad6f828:7b6d	Membership
3441d4f:1508ad6f828:6a24	Border
3441d4f:1508ad97479:-6feb	Membership
3441d4f:1508ad6f828:779b	Membership
3441d4f:1508ad97479:-738a	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/	Province
3441d4f:1508ad97479:-771e	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/	Province
3441d4f:1508ad6f828:6c84	Membership
http://www.semwebtech.org/mondial/10/island/Madeira/	Island
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/	Province
3441d4f:1508ad6f828:7ead	Membership
3441d4f:1508ad97479:-6c07	BelievedBy
3441d4f:1508ad6f828:71a7	Membership
3441d4f:1508ad97479:-797e	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/	Province
3441d4f:1508ad6f828:7103	Membership
3441d4f:1508ad97479:-76ca	Membership
3441d4f:1508ad97479:-6e67	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	City
3441d4f:1508ad97479:-7cfc	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/	Province
http://www.semwebtech.org/mondial/10/islands/Sporades/	Islands
3441d4f:1508ad6f828:6fc4	Membership
3441d4f:1508ad97479:-6bb3	BelievedBy
3441d4f:1508ad6f828:7363	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	City
3441d4f:1508ad6f828:6f20	Membership
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	Island
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	City
http://www.semwebtech.org/mondial/10/island/EasterIsland/	Island
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	City
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	Lake
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/	Province
3441d4f:1508ad6f828:7d29	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	City
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	City
3441d4f:1508ad6f828:7957	Membership
3441d4f:1508ad97479:-7546	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	City
3441d4f:1508ad6f828:6a8b	Border
3441d4f:1508ad6f828:7f89	Membership
3441d4f:1508ad6f828:76a3	Membership
3441d4f:1508ad97479:-7b78	Membership
3441d4f:1508ad6f828:6e1f	Membership
3441d4f:1508ad6f828:7cd5	Membership
3441d4f:1508ad97479:-6a0e	EthnicProportion
http://www.semwebtech.org/mondial/10/island/SaintKitts/	Island
3441d4f:1508ad6f828:7c31	Membership
3441d4f:1508ad97479:-6974	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Komi/	Province
3441d4f:1508ad97479:-74f2	Membership
3441d4f:1508ad97479:-6c6e	BelievedBy
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	City
3441d4f:1508ad6f828:6dcb	Membership
3441d4f:1508ad97479:-7eb8	Membership
3441d4f:1508ad6f828:7e91	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	City
3441d4f:1508ad6f828:716a	Membership
3441d4f:1508ad97479:-7a80	Membership
3441d4f:1508ad97479:-7e14	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Province
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/	Province
3441d4f:1508ad97479:-6fae	Membership
3441d4f:1508ad6f828:775e	Membership
3441d4f:1508ad97479:-734d	Membership
3441d4f:1508ad97479:-6f0a	Membership
3441d4f:1508ad6f828:74aa	Membership
3441d4f:1508ad97479:-7dc0	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	City
3441d4f:1508ad6f828:6c47	Membership
http://www.semwebtech.org/mondial/10/estuary/Murat/	Estuary
3441d4f:1508ad6f828:7adc	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	City
http://www.semwebtech.org/mondial/10/source/Arno/	Source
3441d4f:1508ad97479:-6a96	EthnicProportion
3441d4f:1508ad6f828:6bf3	Membership
3441d4f:1508ad97479:-7cbf	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	City
http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	Islands
http://www.semwebtech.org/mondial/10/organization/GCTU/	Organization
3441d4f:1508ad97479:-78ed	Membership
3441d4f:1508ad97479:-7c1b	Membership
3441d4f:1508ad6f828:7326	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	City
http://www.semwebtech.org/mondial/10/source/Ruki/	Source
3441d4f:1508ad97479:-6dd6	SpokenBy
3441d4f:1508ad6f828:7586	Membership
3441d4f:1508ad97479:-7e7b	Membership
3441d4f:1508ad97479:-7175	Membership
3441d4f:1508ad97479:-6d32	BelievedBy
3441d4f:1508ad6f828:72d2	Membership
3441d4f:1508ad97479:-7509	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/	Province
3441d4f:1508ad6f828:6a4e	Border
3441d4f:1508ad97479:-6f92	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	City
3441d4f:1508ad97479:-7769	Membership
http://www.semwebtech.org/mondial/10/country/CL/	Country
http://www.semwebtech.org/mondial/10/mountain/MtBona/	Mountain
3441d4f:1508ad6f828:78c6	Membership
3441d4f:1508ad97479:-6937	EthnicProportion
3441d4f:1508ad97479:-74b5	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/	Province
3441d4f:1508ad6f828:7ef8	Membership
3441d4f:1508ad6f828:7822	Membership
3441d4f:1508ad97479:-7411	Membership
3441d4f:1508ad97479:-7ae7	Membership
http://www.semwebtech.org/mondial/10/country/TUCA/	Country
http://www.semwebtech.org/mondial/10/country/ER/	Country
3441d4f:1508ad6f828:7e54	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	City
3441d4f:1508ad6f828:712d	Membership
3441d4f:1508ad97479:-7a43	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	City
3441d4f:1508ad6f828:69bc	Border
3441d4f:1508ad6f828:7ba0	Membership
3441d4f:1508ad97479:-68e3	EthnicProportion
3441d4f:1508ad97479:-7671	Membership
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:6fee	Membership
3441d4f:1508ad97479:-6bdd	BelievedBy
3441d4f:1508ad6f828:738d	Membership
http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Mountains
3441d4f:1508ad6f828:6f4a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	City
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	City
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	City
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	Lake
3441d4f:1508ad97479:-79b1	Membership
http://www.semwebtech.org/mondial/10/sea/TheChannel/	Sea
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	Source
3441d4f:1508ad6f828:76cd	Membership
3441d4f:1508ad97479:-7fe3	Membership
3441d4f:1508ad97479:-72bc	Membership
http://www.semwebtech.org/mondial/10/source/Ebro/	Source
3441d4f:1508ad6f828:7cff	Membership
3441d4f:1508ad97479:-6a59	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Thames/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Kuwaiti/	EthnicGroup
3441d4f:1508ad6f828:6bb6	Membership
3441d4f:1508ad6f828:7c5b	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/	Province
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-699e	EthnicProportion
3441d4f:1508ad6f828:6b12	Membership
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	Lake
3441d4f:1508ad97479:-780c	Membership
3441d4f:1508ad6f828:6d72	Membership
3441d4f:1508ad6f828:7549	Membership
3441d4f:1508ad97479:-7e3e	Membership
3441d4f:1508ad97479:-7138	Membership
3441d4f:1508ad97479:-6ff9	Membership
http://www.semwebtech.org/mondial/10/island/Mauritius/	Island
3441d4f:1508ad97479:-7398	Membership
http://www.semwebtech.org/mondial/10/politicalbody/Czechoslovakia/	PoliticalBody
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/	Province
http://www.semwebtech.org/mondial/10/mountain/Manaslu/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	City
3441d4f:1508ad97479:-6f55	Membership
3441d4f:1508ad6f828:74f5	Membership
3441d4f:1508ad97479:-7dea	Membership
3441d4f:1508ad97479:-70e4	Membership
3441d4f:1508ad97479:-6ca1	BelievedBy
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	Lake
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/	Province
3441d4f:1508ad6f828:7451	Membership
http://www.semwebtech.org/mondial/10/country/WD/	Country
3441d4f:1508ad97479:-7040	Membership
3441d4f:1508ad6f828:689f	Encompassed
3441d4f:1508ad6f828:7a83	Membership
3441d4f:1508ad6f828:7e17	Membership
3441d4f:1508ad97479:-76d8	Membership
3441d4f:1508ad97479:-7a06	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	City
3441d4f:1508ad97479:-68a6	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Suchona/	Estuary
3441d4f:1508ad97479:-7634	Membership
3441d4f:1508ad97479:-7c66	Membership
3441d4f:1508ad6f828:6f0d	Membership
3441d4f:1508ad6f828:7dc3	Membership
3441d4f:1508ad97479:-7894	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	City
3441d4f:1508ad6f828:79f1	Membership
3441d4f:1508ad97479:-719f	Membership
3441d4f:1508ad97479:-75e0	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/	Province
3441d4f:1508ad97479:-6d5c	SpokenBy
3441d4f:1508ad6f828:72fc	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	City
3441d4f:1508ad6f828:6a99	Border
3441d4f:1508ad97479:-7fa6	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	City
3441d4f:1508ad97479:-7f02	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	City
3441d4f:1508ad6f828:7c1e	Membership
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	River
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	Sea
3441d4f:1508ad97479:-74df	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/	Province
3441d4f:1508ad6f828:784c	Membership
3441d4f:1508ad97479:-743b	Membership
3441d4f:1508ad6f828:6dd9	Membership
3441d4f:1508ad6f828:7e7e	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	City
3441d4f:1508ad6f828:7178	Membership
3441d4f:1508ad97479:-7a6d	Membership
3441d4f:1508ad6f828:6d35	Membership
3441d4f:1508ad6f828:7bca	Membership
3441d4f:1508ad97479:-769b	Membership
3441d4f:1508ad6f828:6963	Encompassed
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	City
3441d4f:1508ad6f828:6f95	Membership
3441d4f:1508ad97479:-6b84	BelievedBy
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	City
3441d4f:1508ad97479:-6f18	Membership
http://www.semwebtech.org/mondial/10/organization/SACU/	Organization
3441d4f:1508ad6f828:6ce1	Membership
3441d4f:1508ad97479:-7dad	Membership
3441d4f:1508ad6f828:74b8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	City
3441d4f:1508ad6f828:7080	Membership
3441d4f:1508ad97479:-70a7	Membership
http://www.semwebtech.org/mondial/10/organization/Benelux/	Organization
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	City
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	City
3441d4f:1508ad6f828:7414	Membership
3441d4f:1508ad97479:-79db	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/	Province
3441d4f:1508ad97479:-7003	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/	Province
3441d4f:1508ad6f828:7a46	Membership
3441d4f:1508ad97479:-6ec4	Membership
3441d4f:1508ad6f828:7674	Membership
3441d4f:1508ad97479:-7263	Membership
3441d4f:1508ad97479:-6e20	SpokenBy
3441d4f:1508ad6f828:73c0	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/	Province
3441d4f:1508ad6f828:6b3c	Membership
3441d4f:1508ad97479:-7c29	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/	Province
http://www.semwebtech.org/mondial/10/island/Barbados/	Island
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	Desert
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	Desert
3441d4f:1508ad97479:-7857	Membership
3441d4f:1508ad6f828:6d9c	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/	Province
3441d4f:1508ad6f828:79b4	Membership
3441d4f:1508ad97479:-75a3	Membership
3441d4f:1508ad97479:-7e89	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/	Province
3441d4f:1508ad97479:-6d1f	BelievedBy
3441d4f:1508ad6f828:7fe6	Membership
3441d4f:1508ad6f828:7910	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	City
3441d4f:1508ad6f828:72bf	Membership
3441d4f:1508ad97479:-7bd5	Membership
3441d4f:1508ad6f828:7f42	Membership
3441d4f:1508ad6f828:721b	Membership
3441d4f:1508ad97479:-7b31	Membership
3441d4f:1508ad97479:-6f7f	Membership
3441d4f:1508ad97479:-69d1	EthnicProportion
3441d4f:1508ad97479:-6ccb	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Okavango/	Estuary
3441d4f:1508ad6f828:747b	Membership
3441d4f:1508ad97479:-7d91	Membership
3441d4f:1508ad97479:-706a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	City
3441d4f:1508ad6f828:780f	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	City
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	City
http://www.semwebtech.org/mondial/10/mountains/Alps/	Mountains
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/	Province
3441d4f:1508ad97479:-765e	Membership
3441d4f:1508ad6f828:6926	Encompassed
3441d4f:1508ad6f828:77bb	Membership
3441d4f:1508ad97479:-73aa	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	City
http://www.semwebtech.org/mondial/10/language/Ukrainian/	Language
3441d4f:1508ad6f828:6f58	Membership
3441d4f:1508ad97479:-6b47	BelievedBy
3441d4f:1508ad6f828:7ded	Membership
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	City
3441d4f:1508ad6f828:70e7	Membership
3441d4f:1508ad6f828:6ca4	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/	Province
3441d4f:1508ad6f828:7043	Membership
3441d4f:1508ad6f828:68d2	Encompassed
3441d4f:1508ad6f828:6c00	Membership
3441d4f:1508ad97479:-6af3	EthnicProportion
3441d4f:1508ad6f828:7a09	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	City
3441d4f:1508ad6f828:6e60	Membership
3441d4f:1508ad6f828:7637	Membership
3441d4f:1508ad97479:-7f2c	Membership
3441d4f:1508ad97479:-7226	Membership
3441d4f:1508ad6f828:7c69	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	City
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	Mountain
http://www.semwebtech.org/mondial/10/estuary/Pruth/	Estuary
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/	Province
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	City
3441d4f:1508ad6f828:7897	Membership
3441d4f:1508ad97479:-7486	Membership
3441d4f:1508ad6f828:75e3	Membership
3441d4f:1508ad97479:-71d2	Membership
3441d4f:1508ad6f828:6d5f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	City
3441d4f:1508ad6f828:698d	Border
3441d4f:1508ad6f828:6aab	Border
3441d4f:1508ad6f828:7fa9	Membership
3441d4f:1508ad6f828:7b71	Membership
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	Sea
3441d4f:1508ad6f828:7f05	Membership
http://www.semwebtech.org/mondial/10/organization/UPU/	Organization
3441d4f:1508ad97479:-77c6	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	City
3441d4f:1508ad97479:-7df8	Membership
3441d4f:1508ad97479:-7722	Membership
3441d4f:1508ad6f828:743e	Membership
3441d4f:1508ad97479:-7d54	Membership
3441d4f:1508ad97479:-702d	Membership
3441d4f:1508ad6f828:7eb1	Membership
3441d4f:1508ad97479:-7982	Membership
3441d4f:1508ad97479:-7aa0	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	EthnicGroup
3441d4f:1508ad97479:-6eee	Membership
3441d4f:1508ad6f828:769e	Membership
3441d4f:1508ad97479:-728d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	City
3441d4f:1508ad97479:-6e4a	SpokenBy
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	City
3441d4f:1508ad6f828:73ea	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	City
3441d4f:1508ad6f828:6b87	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/	Province
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/	Province
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	City
http://www.semwebtech.org/mondial/10/language/Somali/	Language
3441d4f:1508ad6f828:7d0c	Membership
3441d4f:1508ad6f828:79de	Membership
3441d4f:1508ad6f828:7006	Membership
3441d4f:1508ad97479:-75cd	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	City
3441d4f:1508ad6f828:793a	Membership
3441d4f:1508ad97479:-7bff	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	City
3441d4f:1508ad6f828:6ec7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Senoufou/	EthnicGroup
3441d4f:1508ad6f828:7f6c	Membership
3441d4f:1508ad97479:-6ab6	EthnicProportion
3441d4f:1508ad6f828:7266	Membership
3441d4f:1508ad97479:-7b5b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	City
3441d4f:1508ad6f828:6e23	Membership
3441d4f:1508ad97479:-6a12	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	Lake
3441d4f:1508ad97479:-69fb	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	City
http://www.semwebtech.org/mondial/10/river/Vaal/	River
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	City
3441d4f:1508ad97479:-6c72	BelievedBy
3441d4f:1508ad97479:-7449	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/	Province
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:75a6	Membership
http://www.semwebtech.org/mondial/10/river/Bartang/	River
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	City
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Emiri/	EthnicGroup
3441d4f:1508ad6f828:7bd8	Membership
3441d4f:1508ad6f828:7502	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	City
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	City
3441d4f:1508ad6f828:7b34	Membership
3441d4f:1508ad97479:-73f5	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	City
3441d4f:1508ad97479:-6fb2	Membership
http://www.semwebtech.org/mondial/10/country/SLB/	Country
3441d4f:1508ad6f828:7762	Membership
http://www.semwebtech.org/mondial/10/organization/EADB/	Organization
3441d4f:1508ad97479:-7351	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/	Province
3441d4f:1508ad6f828:6cce	Membership
3441d4f:1508ad6f828:7d94	Membership
3441d4f:1508ad6f828:706d	Membership
http://www.semwebtech.org/mondial/10/source/Ticino/	Source
3441d4f:1508ad6f828:68fc	Encompassed
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/	Province
3441d4f:1508ad6f828:6c2a	Membership
http://www.semwebtech.org/mondial/10/river/Seine/	River
3441d4f:1508ad6f828:7ae0	Membership
3441d4f:1508ad97479:-79e9	Membership
3441d4f:1508ad97479:-7d17	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	City
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	City
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	Estuary
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	City
3441d4f:1508ad97479:-7945	Membership
3441d4f:1508ad6f828:6e8a	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	City
3441d4f:1508ad97479:-7f77	Membership
3441d4f:1508ad97479:-6e0d	SpokenBy
3441d4f:1508ad6f828:73ad	Membership
3441d4f:1508ad97479:-7cc3	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	City
3441d4f:1508ad97479:-78f1	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	City
3441d4f:1508ad97479:-71fc	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	City
3441d4f:1508ad6f828:6af6	Membership
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	Estuary
3441d4f:1508ad6f828:7b9b	Membership
3441d4f:1508ad6f828:7f2f	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	City
3441d4f:1508ad6f828:6a52	Border
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/	Province
3441d4f:1508ad6f828:7229	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	City
3441d4f:1508ad97479:-7b1e	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/	Province
3441d4f:1508ad97479:-69be	EthnicProportion
3441d4f:1508ad97479:-774c	Membership
3441d4f:1508ad97479:-6cd9	BelievedBy
3441d4f:1508ad6f828:7489	Membership
3441d4f:1508ad97479:-7d7e	Membership
3441d4f:1508ad97479:-691a	EthnicProportion
3441d4f:1508ad97479:-7078	Membership
3441d4f:1508ad6f828:7edb	Membership
3441d4f:1508ad97479:-6c35	BelievedBy
3441d4f:1508ad6f828:71d5	Membership
3441d4f:1508ad97479:-7aca	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	City
3441d4f:1508ad6f828:7131	Membership
3441d4f:1508ad6f828:69c0	Border
3441d4f:1508ad97479:-6e95	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	City
3441d4f:1508ad6f828:6ff2	Membership
3441d4f:1508ad97479:-6be1	BelievedBy
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	City
3441d4f:1508ad6f828:77c9	Membership
3441d4f:1508ad6f828:7391	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	City
3441d4f:1508ad97479:-73b8	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	City
3441d4f:1508ad6f828:7725	Membership
3441d4f:1508ad97479:-7314	Membership
3441d4f:1508ad6f828:7d57	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	City
3441d4f:1508ad6f828:68bf	Encompassed
3441d4f:1508ad6f828:7aa3	Membership
3441d4f:1508ad6f828:7985	Membership
3441d4f:1508ad97479:-7574	Membership
http://www.semwebtech.org/mondial/10/language/Wallisian/	Language
3441d4f:1508ad6f828:76d1	Membership
3441d4f:1508ad97479:-7908	Membership
3441d4f:1508ad97479:-72c0	Membership
3441d4f:1508ad6f828:6e4d	Membership
3441d4f:1508ad97479:-6a3c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	City
http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/	Mountains
3441d4f:1508ad97479:-6c9c	BelievedBy
3441d4f:1508ad97479:-78b4	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/	Province
3441d4f:1508ad97479:-71bf	Membership
3441d4f:1508ad97479:-7ee6	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	City
3441d4f:1508ad97479:-7810	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/	Province
3441d4f:1508ad6f828:752c	Membership
3441d4f:1508ad97479:-7e42	Membership
3441d4f:1508ad97479:-711b	Membership
http://www.semwebtech.org/mondial/10/river/Amudarja/	River
3441d4f:1508ad6f828:6ab9	Border
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	City
3441d4f:1508ad6f828:7b5e	Membership
http://www.semwebtech.org/mondial/10/desert/Fesan/	Desert
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	City
3441d4f:1508ad6f828:6a15	Border
3441d4f:1508ad97479:-6fdc	Membership
3441d4f:1508ad6f828:778c	Membership
3441d4f:1508ad97479:-737b	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/	Province
3441d4f:1508ad97479:-770f	Membership
http://www.semwebtech.org/mondial/10/country/ARM/	Country
3441d4f:1508ad6f828:6c75	Membership
http://www.semwebtech.org/mondial/10/country/A/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	City
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	City
3441d4f:1508ad97479:-796f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	City
http://www.semwebtech.org/mondial/10/organization/ITUC/	Organization
http://www.semwebtech.org/mondial/10/language/Sindhi/	Language
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	Mountain
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	River
3441d4f:1508ad97479:-76bb	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mong/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Rhodos/	Island
http://www.semwebtech.org/mondial/10/religion/Confucianism/	Religion
3441d4f:1508ad97479:-6e58	Membership
3441d4f:1508ad6f828:73f8	Membership
3441d4f:1508ad97479:-7ced	Membership
3441d4f:1508ad6f828:6fb5	Membership
3441d4f:1508ad97479:-6ba4	BelievedBy
3441d4f:1508ad6f828:7354	Membership
3441d4f:1508ad6f828:6f11	Membership
3441d4f:1508ad97479:-6b00	EthnicProportion
3441d4f:1508ad6f828:70a0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/	Province
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	City
3441d4f:1508ad97479:-6d60	SpokenBy
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	City
3441d4f:1508ad6f828:7948	Membership
3441d4f:1508ad97479:-7537	Membership
3441d4f:1508ad6f828:6a7c	Border
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	City
3441d4f:1508ad97479:-7b69	Membership
3441d4f:1508ad6f828:7cc6	Membership
3441d4f:1508ad97479:-7797	Membership
3441d4f:1508ad6f828:7c22	Membership
3441d4f:1508ad6f828:78f4	Membership
3441d4f:1508ad97479:-6965	EthnicProportion
3441d4f:1508ad97479:-74e3	Membership
3441d4f:1508ad97479:-6c5f	BelievedBy
3441d4f:1508ad6f828:7850	Membership
3441d4f:1508ad6f828:71ff	Membership
3441d4f:1508ad6f828:6dbc	Membership
3441d4f:1508ad97479:-7a71	Membership
3441d4f:1508ad6f828:7e82	Membership
3441d4f:1508ad97479:-7ea9	Membership
3441d4f:1508ad6f828:715b	Membership
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	City
http://www.semwebtech.org/mondial/10/organization/WTO/	Organization
3441d4f:1508ad6f828:69ea	Border
http://www.semwebtech.org/mondial/10/source/Guadiana/	Source
3441d4f:1508ad97479:-7e05	Membership
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	Lake
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	City
3441d4f:1508ad6f828:774f	Membership
3441d4f:1508ad97479:-733e	Membership
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	Lake
3441d4f:1508ad97479:-7db1	Membership
3441d4f:1508ad6f828:7acd	Membership
3441d4f:1508ad6f828:6c38	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/	Province
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/	Province
3441d4f:1508ad97479:-759e	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/	Province
3441d4f:1508ad6f828:76fb	Membership
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	Mountain
3441d4f:1508ad97479:-72ea	Membership
http://www.semwebtech.org/mondial/10/organization/UNCTAD/	Organization
3441d4f:1508ad6f828:6e98	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/	Province
3441d4f:1508ad97479:-6a87	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/	Province
3441d4f:1508ad6f828:6be4	Membership
http://www.semwebtech.org/mondial/10/source/Ili/	Source
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	Lake
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	City
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	River
3441d4f:1508ad6f828:6b40	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/	Province
3441d4f:1508ad97479:-78de	Membership
3441d4f:1508ad6f828:7317	Membership
3441d4f:1508ad97479:-7c0c	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	City
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	Lake
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	City
3441d4f:1508ad97479:-783a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Meru/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/	Province
3441d4f:1508ad97479:-6dc7	SpokenBy
3441d4f:1508ad6f828:7577	Membership
3441d4f:1508ad97479:-7e6c	Membership
3441d4f:1508ad97479:-7166	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	City
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	Estuary
3441d4f:1508ad97479:-6d23	BelievedBy
3441d4f:1508ad6f828:72c3	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	City
3441d4f:1508ad6f828:6a3f	Border
3441d4f:1508ad97479:-6f83	Membership
3441d4f:1508ad6f828:6c9f	Membership
http://www.semwebtech.org/mondial/10/source/Luapula/	Source
3441d4f:1508ad6f828:78b7	Membership
3441d4f:1508ad97479:-6928	EthnicProportion
3441d4f:1508ad97479:-74a6	Membership
3441d4f:1508ad6f828:7ee9	Membership
3441d4f:1508ad6f828:7813	Membership
3441d4f:1508ad97479:-7ad8	Membership
3441d4f:1508ad97479:-7402	Membership
3441d4f:1508ad6f828:7e45	Membership
3441d4f:1508ad6f828:711e	Membership
3441d4f:1508ad97479:-7a34	Membership
http://www.semwebtech.org/mondial/10/organization/EMU/	Organization
3441d4f:1508ad6f828:69ad	Border
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	City
3441d4f:1508ad97479:-68d4	EthnicProportion
3441d4f:1508ad97479:-7662	Membership
3441d4f:1508ad6f828:6fdf	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	EthnicGroup
3441d4f:1508ad97479:-6bce	BelievedBy
3441d4f:1508ad6f828:737e	Membership
3441d4f:1508ad97479:-7c94	Membership
3441d4f:1508ad6f828:6f3b	Membership
http://www.semwebtech.org/mondial/10/source/BlackDrin/	Source
3441d4f:1508ad6f828:7df1	Membership
3441d4f:1508ad97479:-6b2a	BelievedBy
3441d4f:1508ad6f828:70ca	Membership
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	Source
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	City
3441d4f:1508ad97479:-6d8a	SpokenBy
3441d4f:1508ad97479:-79a2	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/None/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/	Province
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/	Province
http://www.semwebtech.org/mondial/10/sea/IrishSea/	Sea
3441d4f:1508ad6f828:76be	Membership
3441d4f:1508ad97479:-7fd4	Membership
3441d4f:1508ad97479:-72ad	Membership
http://www.semwebtech.org/mondial/10/estuary/Semliki/	Estuary
3441d4f:1508ad97479:-7f30	Membership
3441d4f:1508ad6f828:761a	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/	Province
3441d4f:1508ad6f828:6ba7	Membership
3441d4f:1508ad6f828:7c4c	Membership
3441d4f:1508ad97479:-698f	EthnicProportion
3441d4f:1508ad6f828:6b03	Membership
3441d4f:1508ad6f828:787a	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	City
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	Source
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	Estuary
3441d4f:1508ad97479:-7a9b	Membership
3441d4f:1508ad6f828:6d63	Membership
3441d4f:1508ad97479:-7e2f	Membership
3441d4f:1508ad97479:-7129	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	City
3441d4f:1508ad6f828:6991	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	City
http://www.semwebtech.org/mondial/10/source/Etsch/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	City
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/	Province
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	City
3441d4f:1508ad97479:-7389	Membership
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	Mountain
3441d4f:1508ad97479:-6f46	Membership
3441d4f:1508ad6f828:74e6	Membership
3441d4f:1508ad97479:-7ddb	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	City
3441d4f:1508ad97479:-70d5	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	City
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	City
3441d4f:1508ad6f828:7442	Membership
3441d4f:1508ad97479:-7031	Membership
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	City
http://www.semwebtech.org/mondial/10/river/Enns/	River
3441d4f:1508ad6f828:7a74	Membership
3441d4f:1508ad97479:-6ef2	Membership
3441d4f:1508ad6f828:7e08	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	Province
3441d4f:1508ad97479:-76c9	Membership
3441d4f:1508ad97479:-7291	Membership
http://www.semwebtech.org/mondial/10/country/CZ/	Country
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	City
3441d4f:1508ad97479:-7625	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/	Province
3441d4f:1508ad6f828:6b6a	Membership
3441d4f:1508ad97479:-7c57	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	City
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7db4	Membership
3441d4f:1508ad97479:-7885	Membership
http://www.semwebtech.org/mondial/10/source/Tiber/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	City
3441d4f:1508ad6f828:7d10	Membership
3441d4f:1508ad6f828:79e2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	City
3441d4f:1508ad97479:-75d1	Membership
3441d4f:1508ad97479:-6d4d	SpokenBy
3441d4f:1508ad6f828:72ed	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/	Province
3441d4f:1508ad6f828:6eaa	Membership
3441d4f:1508ad6f828:7f70	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/	Province
http://www.semwebtech.org/mondial/10/estuary/Moldau/	Estuary
3441d4f:1508ad6f828:7c0f	Membership
http://www.semwebtech.org/mondial/10/country/LS/	Country
3441d4f:1508ad6f828:783d	Membership
3441d4f:1508ad97479:-742c	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	City
3441d4f:1508ad6f828:7e6f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	City
3441d4f:1508ad6f828:7169	Membership
3441d4f:1508ad97479:-7a5e	Membership
3441d4f:1508ad97479:-68fe	EthnicProportion
3441d4f:1508ad6f828:69f8	Border
3441d4f:1508ad6f828:6d26	Membership
3441d4f:1508ad97479:-768c	Membership
3441d4f:1508ad6f828:7bbb	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	City
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/	Province
3441d4f:1508ad6f828:6954	Encompassed
3441d4f:1508ad6f828:6f86	Membership
3441d4f:1508ad97479:-6b75	BelievedBy
http://www.semwebtech.org/mondial/10/source/Mosel/	Source
3441d4f:1508ad6f828:6cd2	Membership
http://www.semwebtech.org/mondial/10/island/NewProvidence/	Island
3441d4f:1508ad97479:-6f09	Membership
3441d4f:1508ad6f828:74a9	Membership
3441d4f:1508ad6f828:7071	Membership
http://www.semwebtech.org/mondial/10/country/SF/	Country
3441d4f:1508ad6f828:7405	Membership
3441d4f:1508ad97479:-79cc	Membership
3441d4f:1508ad97479:-7ffe	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	Province
3441d4f:1508ad6f828:7a37	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/	Province
3441d4f:1508ad97479:-72f8	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/	Province
3441d4f:1508ad97479:-6eb5	Membership
3441d4f:1508ad6f828:7665	Membership
3441d4f:1508ad97479:-7f5a	Membership
3441d4f:1508ad97479:-7254	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	City
3441d4f:1508ad97479:-6e11	SpokenBy
3441d4f:1508ad6f828:7c97	Membership
3441d4f:1508ad6f828:73b1	Membership
3441d4f:1508ad6f828:6b2d	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	City
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	City
3441d4f:1508ad97479:-7848	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/	Province
3441d4f:1508ad6f828:6d8d	Membership
http://www.semwebtech.org/mondial/10/island/Menorca/	Island
3441d4f:1508ad6f828:79a5	Membership
3441d4f:1508ad6f828:7fd7	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	City
3441d4f:1508ad6f828:7901	Membership
3441d4f:1508ad97479:-7bc6	Membership
3441d4f:1508ad97479:-77f4	Membership
3441d4f:1508ad6f828:7f33	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	City
3441d4f:1508ad6f828:720c	Membership
3441d4f:1508ad97479:-7b22	Membership
http://www.semwebtech.org/mondial/10/lake/Vaenern/	Lake
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	City
3441d4f:1508ad97479:-69c2	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Po/	Estuary
3441d4f:1508ad97479:-7750	Membership
3441d4f:1508ad97479:-70ff	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	City
3441d4f:1508ad97479:-6cbc	BelievedBy
3441d4f:1508ad6f828:746c	Membership
3441d4f:1508ad97479:-7d82	Membership
3441d4f:1508ad97479:-705b	Membership
3441d4f:1508ad6f828:7a9e	Membership
http://www.semwebtech.org/mondial/10/river/Euphrat/	River
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	City
3441d4f:1508ad97479:-764f	Membership
3441d4f:1508ad6f828:6917	Encompassed
3441d4f:1508ad6f828:77ac	Membership
3441d4f:1508ad6f828:6f49	Membership
3441d4f:1508ad6f828:7dde	Membership
3441d4f:1508ad97479:-6b38	BelievedBy
3441d4f:1508ad6f828:70d8	Membership
3441d4f:1508ad97479:-75fb	Membership
3441d4f:1508ad6f828:7d3a	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	City
3441d4f:1508ad6f828:7034	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	City
3441d4f:1508ad6f828:68c3	Encompassed
3441d4f:1508ad97479:-6d98	SpokenBy
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/	Province
3441d4f:1508ad6f828:6ef5	Membership
3441d4f:1508ad6f828:6a06	Border
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/	Province
3441d4f:1508ad6f828:7f9a	Membership
3441d4f:1508ad97479:-6ae4	EthnicProportion
3441d4f:1508ad6f828:7294	Membership
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	Sea
3441d4f:1508ad6f828:6e51	Membership
3441d4f:1508ad97479:-6a40	EthnicProportion
3441d4f:1508ad6f828:7628	Membership
3441d4f:1508ad97479:-7f1d	Membership
3441d4f:1508ad97479:-7217	Membership
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	Mountain
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	City
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	City
3441d4f:1508ad6f828:7888	Membership
3441d4f:1508ad97479:-7477	Membership
3441d4f:1508ad6f828:75d4	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	City
3441d4f:1508ad97479:-71c3	Membership
http://www.semwebtech.org/mondial/10/estuary/Lulua/	Estuary
3441d4f:1508ad6f828:7530	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	City
3441d4f:1508ad6f828:697e	Border
3441d4f:1508ad6f828:7b62	Membership
http://www.semwebtech.org/mondial/10/language/Armenian/	Language
3441d4f:1508ad97479:-6b9f	BelievedBy
3441d4f:1508ad97479:-6fe0	Membership
3441d4f:1508ad6f828:7790	Membership
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	Lake
3441d4f:1508ad97479:-77b7	Membership
3441d4f:1508ad6f828:6cfc	Membership
3441d4f:1508ad97479:-7de9	Membership
3441d4f:1508ad6f828:709b	Membership
3441d4f:1508ad97479:-7713	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	City
3441d4f:1508ad6f828:742f	Membership
3441d4f:1508ad97479:-7d45	Membership
3441d4f:1508ad97479:-701e	Membership
3441d4f:1508ad6f828:7ea2	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	City
3441d4f:1508ad97479:-7973	Membership
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	Mountain
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	Mountain
3441d4f:1508ad97479:-6edf	Membership
3441d4f:1508ad6f828:768f	Membership
http://www.semwebtech.org/mondial/10/country/NIUE/	Country
3441d4f:1508ad97479:-727e	Membership
3441d4f:1508ad97479:-6e3b	SpokenBy
3441d4f:1508ad6f828:73db	Membership
3441d4f:1508ad97479:-7cf1	Membership
3441d4f:1508ad6f828:6b78	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Greenlander/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	Estuary
3441d4f:1508ad6f828:79cf	Membership
3441d4f:1508ad97479:-75be	Membership
http://www.semwebtech.org/mondial/10/island/Negros/	Island
3441d4f:1508ad6f828:792b	Membership
3441d4f:1508ad97479:-6aa7	EthnicProportion
3441d4f:1508ad97479:-751a	Membership
3441d4f:1508ad97479:-7b4c	Membership
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	City
3441d4f:1508ad6f828:6eb8	Membership
3441d4f:1508ad6f828:6a80	Border
3441d4f:1508ad6f828:7f5d	Membership
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	City
3441d4f:1508ad6f828:7257	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/	Province
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	City
3441d4f:1508ad6f828:6e14	Membership
3441d4f:1508ad97479:-6a03	EthnicProportion
3441d4f:1508ad97479:-69ec	EthnicProportion
3441d4f:1508ad97479:-777a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Diola/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/	Province
3441d4f:1508ad97479:-6c63	BelievedBy
3441d4f:1508ad6f828:6dc0	Membership
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	Estuary
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	City
3441d4f:1508ad6f828:7bc9	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/	Province
3441d4f:1508ad6f828:7b25	Membership
3441d4f:1508ad6f828:77f7	Membership
3441d4f:1508ad97479:-73e6	Membership
3441d4f:1508ad97479:-6fa3	Membership
3441d4f:1508ad6f828:7753	Membership
3441d4f:1508ad97479:-7342	Membership
3441d4f:1508ad6f828:6cbf	Membership
3441d4f:1508ad6f828:7d85	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	City
3441d4f:1508ad6f828:705e	Membership
3441d4f:1508ad6f828:68ed	Encompassed
3441d4f:1508ad6f828:6c1b	Membership
3441d4f:1508ad6f828:7ad1	Membership
3441d4f:1508ad97479:-7d08	Membership
3441d4f:1508ad97479:-7936	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	City
3441d4f:1508ad97479:-6fcd	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/	Province
3441d4f:1508ad6f828:6e7b	Membership
3441d4f:1508ad97479:-6a6a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/	Province
3441d4f:1508ad97479:-7f68	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	City
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	Desert
3441d4f:1508ad97479:-7cb4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	City
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	City
3441d4f:1508ad97479:-78e2	Membership
3441d4f:1508ad97479:-7c10	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Moroccan/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	City
3441d4f:1508ad97479:-6daa	SpokenBy
3441d4f:1508ad6f828:75fe	Membership
3441d4f:1508ad97479:-71ed	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	City
3441d4f:1508ad97479:-7e70	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	City
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/	Province
3441d4f:1508ad6f828:755a	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	City
3441d4f:1508ad6f828:6ae7	Membership
3441d4f:1508ad6f828:7b8c	Membership
3441d4f:1508ad6f828:6a43	Border
3441d4f:1508ad97479:-7b0f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	City
3441d4f:1508ad97479:-69af	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	City
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	Desert
3441d4f:1508ad97479:-773d	Membership
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	City
3441d4f:1508ad97479:-690b	EthnicProportion
3441d4f:1508ad97479:-7d6f	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	City
3441d4f:1508ad97479:-7069	Membership
3441d4f:1508ad97479:-6c26	BelievedBy
3441d4f:1508ad6f828:7ecc	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/RegionsofRepublicanSubordination/	Province
3441d4f:1508ad97479:-799d	Membership
3441d4f:1508ad6f828:71c6	Membership
3441d4f:1508ad97479:-7abb	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/	Province
3441d4f:1508ad6f828:7122	Membership
3441d4f:1508ad6f828:69b1	Border
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	City
3441d4f:1508ad97479:-6e86	Membership
3441d4f:1508ad6f828:6fe3	Membership
3441d4f:1508ad97479:-6bd2	BelievedBy
3441d4f:1508ad6f828:7382	Membership
3441d4f:1508ad97479:-73a9	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	City
http://www.semwebtech.org/mondial/10/organization/CE/	Organization
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	City
http://www.semwebtech.org/mondial/10/source/Werra/	Source
3441d4f:1508ad6f828:7716	Membership
3441d4f:1508ad97479:-7305	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/	Province
3441d4f:1508ad6f828:7d48	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/	Province
3441d4f:1508ad6f828:7976	Membership
3441d4f:1508ad97479:-7565	Membership
3441d4f:1508ad6f828:76c2	Membership
3441d4f:1508ad97479:-7b97	Membership
3441d4f:1508ad97479:-72b1	Membership
3441d4f:1508ad6f828:6e3e	Membership
http://www.semwebtech.org/mondial/10/desert/Karakum/	Desert
3441d4f:1508ad6f828:7cf4	Membership
3441d4f:1508ad97479:-6a2d	EthnicProportion
http://www.semwebtech.org/mondial/10/language/MayanDialects/	Language
http://www.semwebtech.org/mondial/10/island/Fogo/	Island
3441d4f:1508ad6f828:7c50	Membership
3441d4f:1508ad97479:-6993	EthnicProportion
3441d4f:1508ad97479:-6c8d	BelievedBy
3441d4f:1508ad97479:-78a5	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	City
3441d4f:1508ad6f828:6dea	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/	Province
3441d4f:1508ad97479:-7ed7	Membership
3441d4f:1508ad97479:-7801	Membership
3441d4f:1508ad6f828:751d	Membership
3441d4f:1508ad97479:-7e33	Membership
3441d4f:1508ad97479:-710c	Membership
3441d4f:1508ad6f828:7b4f	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/	Province
http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/	Mountains
3441d4f:1508ad6f828:777d	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/	Province
3441d4f:1508ad97479:-736c	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	City
http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/	Mountains
3441d4f:1508ad6f828:6c66	Membership
3441d4f:1508ad6f828:7afb	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	City
3441d4f:1508ad6f828:6894	Encompassed
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	Mountain
http://www.semwebtech.org/mondial/10/organization/IADB/	Organization
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/	Province
3441d4f:1508ad97479:-76ac	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Kirdi/	EthnicGroup
3441d4f:1508ad97479:-6e49	SpokenBy
3441d4f:1508ad97479:-7cde	Membership
3441d4f:1508ad6f828:73e9	Membership
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	City
3441d4f:1508ad6f828:6fa6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	City
3441d4f:1508ad6f828:7345	Membership
3441d4f:1508ad97479:-7c3a	Membership
3441d4f:1508ad6f828:6f02	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	City
3441d4f:1508ad97479:-6df5	SpokenBy
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/	Province
3441d4f:1508ad97479:-7e9a	Membership
3441d4f:1508ad97479:-7194	Membership
3441d4f:1508ad97479:-6d51	SpokenBy
http://www.semwebtech.org/mondial/10/island/Niihau/	Island
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	City
3441d4f:1508ad6f828:7939	Membership
3441d4f:1508ad6f828:72f1	Membership
3441d4f:1508ad97479:-7528	Membership
3441d4f:1508ad6f828:6a6d	Border
http://www.semwebtech.org/mondial/10/river/Kolyma/	River
3441d4f:1508ad6f828:7cb7	Membership
3441d4f:1508ad97479:-7788	Membership
3441d4f:1508ad6f828:7c13	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/	Province
3441d4f:1508ad6f828:78e5	Membership
3441d4f:1508ad97479:-6956	EthnicProportion
3441d4f:1508ad97479:-74d4	Membership
3441d4f:1508ad6f828:7841	Membership
3441d4f:1508ad97479:-7430	Membership
3441d4f:1508ad6f828:6dad	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/	Province
http://www.semwebtech.org/mondial/10/island/Batam/	Island
3441d4f:1508ad6f828:7e73	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	City
3441d4f:1508ad6f828:714c	Membership
3441d4f:1508ad97479:-7a62	Membership
3441d4f:1508ad6f828:69db	Border
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	City
3441d4f:1508ad97479:-7690	Membership
3441d4f:1508ad97479:-6bfc	BelievedBy
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	City
http://www.semwebtech.org/mondial/10/language/Polish/	Language
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	Lake
3441d4f:1508ad97479:-732f	Membership
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/	Province
http://www.semwebtech.org/mondial/10/islands/Baleares/	Islands
3441d4f:1508ad97479:-7da2	Membership
3441d4f:1508ad6f828:6c29	Membership
3441d4f:1508ad6f828:7abe	Membership
3441d4f:1508ad97479:-79d0	Membership
3441d4f:1508ad97479:-758f	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	City
3441d4f:1508ad6f828:7a1a	Membership
3441d4f:1508ad6f828:76ec	Membership
http://www.semwebtech.org/mondial/10/river/Saar/	River
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/	Province
3441d4f:1508ad97479:-72db	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	City
3441d4f:1508ad6f828:6e89	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	City
3441d4f:1508ad97479:-6a78	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	City
3441d4f:1508ad6f828:6bd5	Membership
3441d4f:1508ad6f828:7c7a	Membership
3441d4f:1508ad6f828:6b31	Membership
3441d4f:1508ad6f828:7308	Membership
3441d4f:1508ad97479:-78cf	Membership
3441d4f:1508ad97479:-782b	Membership
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/	Province
3441d4f:1508ad6f828:6d91	Membership
3441d4f:1508ad97479:-6db8	SpokenBy
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	City
3441d4f:1508ad6f828:7568	Membership
3441d4f:1508ad97479:-7e5d	Membership
3441d4f:1508ad97479:-7157	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	City
3441d4f:1508ad6f828:7fba	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/	Province
3441d4f:1508ad97479:-6d14	BelievedBy
3441d4f:1508ad6f828:72b4	Membership
3441d4f:1508ad6f828:7210	Membership
3441d4f:1508ad97479:-6f74	Membership
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/	Province
3441d4f:1508ad97479:-6cc0	BelievedBy
3441d4f:1508ad6f828:78a8	Membership
3441d4f:1508ad6f828:7470	Membership
3441d4f:1508ad97479:-6919	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	City
3441d4f:1508ad6f828:7804	Membership
3441d4f:1508ad97479:-7ac9	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	City
3441d4f:1508ad97479:-76f7	Membership
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	City
3441d4f:1508ad97479:-7a25	Membership
3441d4f:1508ad6f828:7e36	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/	Province
3441d4f:1508ad6f828:710f	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	City
3441d4f:1508ad97479:-68c5	EthnicProportion
3441d4f:1508ad97479:-7653	Membership
3441d4f:1508ad97479:-6bbf	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	Mountain
3441d4f:1508ad6f828:77b0	Membership
3441d4f:1508ad6f828:736f	Membership
3441d4f:1508ad97479:-7c85	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	City
3441d4f:1508ad6f828:6f2c	Membership
3441d4f:1508ad6f828:7de2	Membership
3441d4f:1508ad97479:-6b1b	BelievedBy
3441d4f:1508ad6f828:70bb	Membership
3441d4f:1508ad97479:-6d7b	SpokenBy
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	City
3441d4f:1508ad6f828:76af	Membership
3441d4f:1508ad97479:-7fc5	Membership
3441d4f:1508ad6f828:760b	Membership
3441d4f:1508ad97479:-7f21	Membership
3441d4f:1508ad6f828:7c3d	Membership
3441d4f:1508ad97479:-74fe	Membership
http://www.semwebtech.org/mondial/10/organization/CEMAC/	Organization
3441d4f:1508ad6f828:786b	Membership
3441d4f:1508ad97479:-745a	Membership
http://www.semwebtech.org/mondial/10/river/Moldau/	River
3441d4f:1508ad6f828:6df8	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/	Province
3441d4f:1508ad6f828:7e9d	Membership
3441d4f:1508ad6f828:7197	Membership
3441d4f:1508ad97479:-7a8c	Membership
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	Island
3441d4f:1508ad6f828:6d54	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	City
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	River
3441d4f:1508ad6f828:6982	Border
3441d4f:1508ad6f828:6aa0	Border
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/	Province
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/	Province
http://www.semwebtech.org/mondial/10/estuary/Ischim/	Estuary
3441d4f:1508ad97479:-6f37	Membership
3441d4f:1508ad6f828:74d7	Membership
3441d4f:1508ad97479:-7dcc	Membership
3441d4f:1508ad97479:-70c6	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	City
3441d4f:1508ad6f828:7433	Membership
3441d4f:1508ad97479:-79fa	Membership
3441d4f:1508ad97479:-7022	Membership
3441d4f:1508ad6f828:7a65	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/	Province
3441d4f:1508ad97479:-6ee3	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	City
3441d4f:1508ad6f828:7693	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/	Province
3441d4f:1508ad97479:-7282	Membership
3441d4f:1508ad6f828:6bff	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/	Province
http://www.semwebtech.org/mondial/10/river/Narva/	River
3441d4f:1508ad97479:-7616	Membership
3441d4f:1508ad6f828:6b5b	Membership
3441d4f:1508ad97479:-7c48	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	City
3441d4f:1508ad6f828:7da5	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	City
3441d4f:1508ad97479:-7876	Membership
3441d4f:1508ad6f828:7d01	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/	Province
3441d4f:1508ad6f828:79d3	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	City
3441d4f:1508ad97479:-75c2	Membership
http://www.semwebtech.org/mondial/10/island/Tarawa/	Island
3441d4f:1508ad97479:-6d3e	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Isere/	Estuary
3441d4f:1508ad6f828:72de	Membership
3441d4f:1508ad97479:-7bf4	Membership
3441d4f:1508ad6f828:7f61	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	City
3441d4f:1508ad6f828:723a	Membership
3441d4f:1508ad97479:-7b50	Membership
3441d4f:1508ad97479:-6f9e	Membership
3441d4f:1508ad97479:-69f0	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/	Mountains
3441d4f:1508ad97479:-6cea	BelievedBy
3441d4f:1508ad6f828:749a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/German/	EthnicGroup
3441d4f:1508ad6f828:782e	Membership
3441d4f:1508ad97479:-741d	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	City
3441d4f:1508ad97479:-7a4f	Membership
3441d4f:1508ad6f828:69e9	Border
3441d4f:1508ad6f828:6d17	Membership
3441d4f:1508ad6f828:7bac	Membership
3441d4f:1508ad97479:-68ef	EthnicProportion
http://www.semwebtech.org/mondial/10/islands/CookIslands/	Islands
3441d4f:1508ad97479:-767d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	City
3441d4f:1508ad6f828:6945	Encompassed
3441d4f:1508ad6f828:77da	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/	Province
3441d4f:1508ad6f828:6f77	Membership
3441d4f:1508ad97479:-6b66	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	City
3441d4f:1508ad6f828:6cc3	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	City
3441d4f:1508ad6f828:7062	Membership
3441d4f:1508ad6f828:68f1	Encompassed
3441d4f:1508ad97479:-79bd	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	City
3441d4f:1508ad6f828:7a28	Membership
3441d4f:1508ad97479:-7fef	Membership
3441d4f:1508ad97479:-72e9	Membership
3441d4f:1508ad97479:-6ea6	Membership
3441d4f:1508ad6f828:7656	Membership
3441d4f:1508ad97479:-7f4b	Membership
3441d4f:1508ad97479:-7245	Membership
3441d4f:1508ad97479:-6e02	SpokenBy
3441d4f:1508ad6f828:7c88	Membership
3441d4f:1508ad6f828:73a2	Membership
3441d4f:1508ad6f828:6b1e	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	City
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	City
3441d4f:1508ad97479:-7839	Membership
3441d4f:1508ad97479:-71f1	Membership
http://www.semwebtech.org/mondial/10/mountain/MountApo/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:6d7e	Membership
http://www.semwebtech.org/mondial/10/island/Nauru/	Island
3441d4f:1508ad6f828:6aca	Membership
3441d4f:1508ad6f828:7fc8	Membership
3441d4f:1508ad6f828:7b90	Membership
3441d4f:1508ad97479:-7bb7	Membership
3441d4f:1508ad6f828:7f24	Membership
3441d4f:1508ad97479:-77e5	Membership
3441d4f:1508ad97479:-7b13	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/	Province
3441d4f:1508ad97479:-69b3	EthnicProportion
3441d4f:1508ad97479:-7741	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/	Province
3441d4f:1508ad97479:-6cad	BelievedBy
3441d4f:1508ad6f828:745d	Membership
3441d4f:1508ad97479:-7d73	Membership
3441d4f:1508ad97479:-704c	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	City
3441d4f:1508ad6f828:7ed0	Membership
3441d4f:1508ad6f828:7a8f	Membership
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	Lake
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/	Province
3441d4f:1508ad6f828:6908	Encompassed
http://www.semwebtech.org/mondial/10/organization/G-5/	Organization
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	City
3441d4f:1508ad6f828:7dcf	Membership
3441d4f:1508ad97479:-6b29	BelievedBy
3441d4f:1508ad6f828:70c9	Membership
3441d4f:1508ad6f828:7d2b	Membership
3441d4f:1508ad6f828:79fd	Membership
3441d4f:1508ad6f828:7025	Membership
3441d4f:1508ad97479:-75ec	Membership
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	Mountain
3441d4f:1508ad6f828:68b4	Encompassed
3441d4f:1508ad97479:-6d89	SpokenBy
3441d4f:1508ad6f828:6ee6	Membership
3441d4f:1508ad6f828:7f8b	Membership
3441d4f:1508ad97479:-6ad5	EthnicProportion
3441d4f:1508ad6f828:7285	Membership
3441d4f:1508ad97479:-7b7a	Membership
3441d4f:1508ad6f828:6e42	Membership
3441d4f:1508ad97479:-6a31	EthnicProportion
3441d4f:1508ad6f828:7619	Membership
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	City
3441d4f:1508ad97479:-7f0e	Membership
3441d4f:1508ad97479:-7208	Membership
3441d4f:1508ad97479:-6c91	BelievedBy
3441d4f:1508ad6f828:7879	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	City
3441d4f:1508ad97479:-7468	Membership
http://www.semwebtech.org/mondial/10/source/Swir/	Source
3441d4f:1508ad6f828:75c5	Membership
3441d4f:1508ad97479:-7eba	Membership
3441d4f:1508ad97479:-71b4	Membership
http://www.semwebtech.org/mondial/10/lake/LochLomond/	Lake
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	City
3441d4f:1508ad6f828:7bf7	Membership
3441d4f:1508ad6f828:7521	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	City
3441d4f:1508ad97479:-7110	Membership
3441d4f:1508ad6f828:696f	Encompassed
3441d4f:1508ad6f828:7b53	Membership
http://www.semwebtech.org/mondial/10/desert/ErgChech/	Desert
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	City
http://www.semwebtech.org/mondial/10/island/Dagoe/	Island
3441d4f:1508ad97479:-6fd1	Membership
3441d4f:1508ad6f828:7781	Membership
3441d4f:1508ad97479:-77a8	Membership
3441d4f:1508ad97479:-7370	Membership
3441d4f:1508ad6f828:6ced	Membership
http://www.semwebtech.org/mondial/10/country/REUN/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	City
3441d4f:1508ad6f828:708c	Membership
3441d4f:1508ad97479:-7704	Membership
http://www.semwebtech.org/mondial/10/religion/NewApostolic/	Religion
3441d4f:1508ad97479:-7d36	Membership
3441d4f:1508ad97479:-700f	Membership
http://www.semwebtech.org/mondial/10/island/Borkum/	Island
3441d4f:1508ad97479:-7964	Membership
3441d4f:1508ad97479:-726f	Membership
3441d4f:1508ad97479:-7f96	Membership
3441d4f:1508ad97479:-76b0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	City
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/	Province
3441d4f:1508ad97479:-6e2c	SpokenBy
3441d4f:1508ad6f828:73cc	Membership
3441d4f:1508ad97479:-7ce2	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	City
http://www.semwebtech.org/mondial/10/organization/EurasEC/	Organization
3441d4f:1508ad6f828:6b69	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/	Province
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	Mountain
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	Estuary
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/language/OtherPacificIslandLanguage/	Language
3441d4f:1508ad97479:-75af	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/	Province
3441d4f:1508ad6f828:791c	Membership
3441d4f:1508ad97479:-750b	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/	Province
3441d4f:1508ad6f828:6ea9	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	City
3441d4f:1508ad6f828:6a71	Border
3441d4f:1508ad6f828:7f4e	Membership
3441d4f:1508ad6f828:7248	Membership
3441d4f:1508ad97479:-7b3d	Membership
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	Mountain
3441d4f:1508ad6f828:6e05	Membership
3441d4f:1508ad97479:-69dd	EthnicProportion
3441d4f:1508ad97479:-776b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	City
http://www.semwebtech.org/mondial/10/mountain/Leuser/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/	Province
3441d4f:1508ad97479:-6cf8	BelievedBy
3441d4f:1508ad97479:-7d9d	Membership
3441d4f:1508ad97479:-7097	Membership
3441d4f:1508ad6f828:7efa	Membership
3441d4f:1508ad97479:-6c54	BelievedBy
3441d4f:1508ad6f828:71f4	Membership
http://www.semwebtech.org/mondial/10/islands/GilbertIslands/	Islands
3441d4f:1508ad6f828:6db1	Membership
3441d4f:1508ad6f828:7150	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/	Province
http://www.semwebtech.org/mondial/10/organization/WMO/	Organization
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/	Province
http://www.semwebtech.org/mondial/10/desert/Nefud/	Desert
3441d4f:1508ad6f828:7b16	Membership
3441d4f:1508ad6f828:77e8	Membership
3441d4f:1508ad97479:-73d7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Quechua/	EthnicGroup
http://www.semwebtech.org/mondial/10/ethnicgroup/Kikuyu/	EthnicGroup
3441d4f:1508ad6f828:7744	Membership
3441d4f:1508ad97479:-7333	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	City
3441d4f:1508ad6f828:7d76	Membership
3441d4f:1508ad6f828:704f	Membership
3441d4f:1508ad6f828:68de	Encompassed
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/	Province
3441d4f:1508ad6f828:6c0c	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	City
3441d4f:1508ad6f828:7ac2	Membership
3441d4f:1508ad97479:-7593	Membership
3441d4f:1508ad97479:-6aff	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Busira/	Estuary
3441d4f:1508ad6f828:76f0	Membership
3441d4f:1508ad97479:-7927	Membership
3441d4f:1508ad6f828:6e6c	Membership
3441d4f:1508ad97479:-6a5b	EthnicProportion
3441d4f:1508ad97479:-7f59	Membership
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-7ca5	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	City
3441d4f:1508ad97479:-78d3	Membership
3441d4f:1508ad97479:-7c01	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/	Province
3441d4f:1508ad6f828:75ef	Membership
3441d4f:1508ad97479:-71de	Membership
3441d4f:1508ad6f828:754b	Membership
3441d4f:1508ad97479:-7e61	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	City
3441d4f:1508ad97479:-713a	Membership
3441d4f:1508ad6f828:6ad8	Membership
3441d4f:1508ad6f828:7b7d	Membership
3441d4f:1508ad6f828:6a34	Border
3441d4f:1508ad97479:-6ffb	Membership
http://www.semwebtech.org/mondial/10/desert/Atacama/	Desert
3441d4f:1508ad97479:-739a	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/	Province
3441d4f:1508ad97479:-772e	Membership
3441d4f:1508ad6f828:6c94	Membership
http://www.semwebtech.org/mondial/10/country/NLSM/	Country
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/	Province
3441d4f:1508ad97479:-6c17	BelievedBy
3441d4f:1508ad6f828:7ebd	Membership
3441d4f:1508ad97479:-798e	Membership
3441d4f:1508ad6f828:71b7	Membership
3441d4f:1508ad97479:-7aac	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Gypsy/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/Romanian/	Language
3441d4f:1508ad6f828:7113	Membership
3441d4f:1508ad97479:-76da	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	City
3441d4f:1508ad6f828:69a2	Border
3441d4f:1508ad97479:-6e77	Membership
3441d4f:1508ad6f828:6fd4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	City
3441d4f:1508ad97479:-6bc3	BelievedBy
3441d4f:1508ad6f828:7373	Membership
3441d4f:1508ad6f828:6f30	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	City
3441d4f:1508ad6f828:7707	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/	Province
3441d4f:1508ad6f828:7d39	Membership
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	Estuary
http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	Mountains
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/	Province
3441d4f:1508ad6f828:7967	Membership
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	Estuary
3441d4f:1508ad97479:-7556	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	City
3441d4f:1508ad6f828:7f99	Membership
3441d4f:1508ad6f828:6a9b	Border
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	City
3441d4f:1508ad6f828:76b3	Membership
3441d4f:1508ad97479:-7b88	Membership
3441d4f:1508ad97479:-72a2	Membership
3441d4f:1508ad6f828:6e2f	Membership
3441d4f:1508ad6f828:7ce5	Membership
3441d4f:1508ad97479:-6a1e	EthnicProportion
3441d4f:1508ad6f828:7c41	Membership
3441d4f:1508ad97479:-6984	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Tajik/	Language
3441d4f:1508ad97479:-6c7e	BelievedBy
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	Sea
3441d4f:1508ad6f828:6ddb	Membership
3441d4f:1508ad97479:-7ec8	Membership
3441d4f:1508ad6f828:717a	Membership
3441d4f:1508ad97479:-7a90	Membership
3441d4f:1508ad6f828:750e	Membership
3441d4f:1508ad97479:-7e24	Membership
http://www.semwebtech.org/mondial/10/estuary/Tambo/	Estuary
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/	Province
3441d4f:1508ad97479:-6fbe	Membership
3441d4f:1508ad6f828:776e	Membership
3441d4f:1508ad97479:-735d	Membership
3441d4f:1508ad97479:-6f1a	Membership
3441d4f:1508ad6f828:74ba	Membership
3441d4f:1508ad97479:-7dd0	Membership
3441d4f:1508ad6f828:6c57	Membership
3441d4f:1508ad6f828:7aec	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	City
3441d4f:1508ad6f828:6885	Encompassed
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/	Province
3441d4f:1508ad97479:-7ccf	Membership
http://www.semwebtech.org/mondial/10/estuary/Indus/	Estuary
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/	Province
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	Lake
3441d4f:1508ad97479:-78fd	Membership
3441d4f:1508ad6f828:7336	Membership
3441d4f:1508ad97479:-7c2b	Membership
http://www.semwebtech.org/mondial/10/politicalbody/MergerofNorth-SouthYemen/	PoliticalBody
3441d4f:1508ad97479:-6de6	SpokenBy
3441d4f:1508ad6f828:7596	Membership
3441d4f:1508ad97479:-7e8b	Membership
3441d4f:1508ad97479:-7185	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Hutu/	EthnicGroup
3441d4f:1508ad97479:-6d42	SpokenBy
http://www.semwebtech.org/mondial/10/river/Suchona/	River
3441d4f:1508ad6f828:72e2	Membership
3441d4f:1508ad97479:-7519	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazakh/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/AG/	Country
3441d4f:1508ad6f828:6a5e	Border
3441d4f:1508ad6f828:7ca8	Membership
3441d4f:1508ad97479:-7779	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/	Province
3441d4f:1508ad6f828:7c04	Membership
3441d4f:1508ad6f828:78d6	Membership
http://www.semwebtech.org/mondial/10/language/Spanish/	Language
3441d4f:1508ad97479:-6947	EthnicProportion
3441d4f:1508ad97479:-74c5	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/	Province
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	Lake
3441d4f:1508ad6f828:7832	Membership
http://www.semwebtech.org/mondial/10/source/Sanga/	Source
3441d4f:1508ad97479:-7af7	Membership
3441d4f:1508ad97479:-7421	Membership
http://www.semwebtech.org/mondial/10/country/ES/	Country
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	City
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	Mountain
3441d4f:1508ad6f828:7e64	Membership
3441d4f:1508ad97479:-7a53	Membership
3441d4f:1508ad6f828:713d	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/	Province
3441d4f:1508ad6f828:69cc	Border
3441d4f:1508ad6f828:7bb0	Membership
3441d4f:1508ad97479:-68f3	EthnicProportion
3441d4f:1508ad97479:-7681	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	City
3441d4f:1508ad6f828:6ffe	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	City
3441d4f:1508ad97479:-6bed	BelievedBy
3441d4f:1508ad6f828:739d	Membership
3441d4f:1508ad6f828:6f5a	Membership
http://www.semwebtech.org/mondial/10/organization/OPANAL/	Organization
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	Sea
http://www.semwebtech.org/mondial/10/estuary/Colorado/	Estuary
http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	EthnicGroup
3441d4f:1508ad6f828:7aaf	Membership
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	Island
3441d4f:1508ad97479:-79c1	Membership
3441d4f:1508ad6f828:76dd	Membership
3441d4f:1508ad6f828:7a0b	Membership
3441d4f:1508ad97479:-7ff3	Membership
3441d4f:1508ad97479:-72cc	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/	Province
3441d4f:1508ad97479:-6a69	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/	Province
http://www.semwebtech.org/mondial/10/country/NL/	Country
3441d4f:1508ad6f828:6bc6	Membership
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	River
3441d4f:1508ad6f828:7c6b	Membership
3441d4f:1508ad6f828:6b22	Membership
http://www.semwebtech.org/mondial/10/island/Kyushu/	Island
http://www.semwebtech.org/mondial/10/country/GUAM/	Country
http://www.semwebtech.org/mondial/10/country/PR/	Country
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Minsk/	Province
3441d4f:1508ad97479:-781c	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	City
3441d4f:1508ad6f828:6d82	Membership
3441d4f:1508ad97479:-6da9	SpokenBy
3441d4f:1508ad6f828:7559	Membership
3441d4f:1508ad97479:-7e4e	Membership
3441d4f:1508ad97479:-7148	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Hausa/	EthnicGroup
3441d4f:1508ad6f828:7fab	Membership
3441d4f:1508ad97479:-6d05	BelievedBy
3441d4f:1508ad6f828:72a5	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	City
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	City
3441d4f:1508ad6f828:7201	Membership
http://www.semwebtech.org/mondial/10/mountains/Pamir/	Mountains
3441d4f:1508ad97479:-6f65	Membership
3441d4f:1508ad97479:-7dfa	Membership
3441d4f:1508ad97479:-70f4	Membership
3441d4f:1508ad97479:-6cb1	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	Mountain
3441d4f:1508ad97479:-7050	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	City
3441d4f:1508ad6f828:7461	Membership
3441d4f:1508ad97479:-740e	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	City
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/	Province
http://www.semwebtech.org/mondial/10/river/Ischim/	River
3441d4f:1508ad6f828:7a93	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	City
3441d4f:1508ad6f828:7e27	Membership
3441d4f:1508ad97479:-76e8	Membership
3441d4f:1508ad97479:-7a16	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/	Province
3441d4f:1508ad97479:-68b6	EthnicProportion
3441d4f:1508ad97479:-7644	Membership
3441d4f:1508ad6f828:77a1	Membership
3441d4f:1508ad97479:-7c76	Membership
3441d4f:1508ad6f828:6f1d	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	City
3441d4f:1508ad6f828:7dd3	Membership
3441d4f:1508ad97479:-6b0c	EthnicProportion
3441d4f:1508ad6f828:70ac	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/	Province
http://www.semwebtech.org/mondial/10/source/WhiteDrin/	Source
3441d4f:1508ad97479:-75f0	Membership
3441d4f:1508ad97479:-6d6c	SpokenBy
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	City
3441d4f:1508ad97479:-7fb6	Membership
http://www.semwebtech.org/mondial/10/mountain/Kongur/	Mountain
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	Mountain
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	City
3441d4f:1508ad97479:-7f12	Membership
http://www.semwebtech.org/mondial/10/river/Katun/	River
http://www.semwebtech.org/mondial/10/ethnicgroup/Inuit/	EthnicGroup
3441d4f:1508ad6f828:7c2e	Membership
3441d4f:1508ad97479:-74ef	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	City
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/	Province
3441d4f:1508ad6f828:785c	Membership
3441d4f:1508ad97479:-744b	Membership
3441d4f:1508ad6f828:6de9	Membership
3441d4f:1508ad6f828:7e8e	Membership
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	City
3441d4f:1508ad6f828:7188	Membership
3441d4f:1508ad97479:-7a7d	Membership
3441d4f:1508ad6f828:6d45	Membership
3441d4f:1508ad6f828:7bda	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	EthnicGroup
3441d4f:1508ad6f828:6973	Encompassed
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	City
3441d4f:1508ad97479:-6b94	BelievedBy
3441d4f:1508ad6f828:6cf1	Membership
3441d4f:1508ad97479:-6f28	Membership
3441d4f:1508ad97479:-7dbd	Membership
3441d4f:1508ad6f828:74c8	Membership
3441d4f:1508ad6f828:7090	Membership
3441d4f:1508ad97479:-70b7	Membership
http://www.semwebtech.org/mondial/10/continent/Europe/	Continent
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	City
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	City
3441d4f:1508ad6f828:7424	Membership
3441d4f:1508ad97479:-79eb	Membership
3441d4f:1508ad97479:-7013	Membership
3441d4f:1508ad6f828:7a56	Membership
3441d4f:1508ad97479:-6ed4	Membership
3441d4f:1508ad6f828:7684	Membership
3441d4f:1508ad97479:-7273	Membership
http://www.semwebtech.org/mondial/10/organization/UNSC/	Organization
3441d4f:1508ad97479:-6e30	SpokenBy
3441d4f:1508ad6f828:73d0	Membership
3441d4f:1508ad97479:-7607	Membership
3441d4f:1508ad6f828:6b4c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/	Province
3441d4f:1508ad97479:-7c39	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	City
3441d4f:1508ad97479:-7867	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	City
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:79c4	Membership
3441d4f:1508ad97479:-6d2f	BelievedBy
3441d4f:1508ad97479:-7e99	Membership
3441d4f:1508ad97479:-75b3	Membership
3441d4f:1508ad6f828:7ff6	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/	Province
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	City
3441d4f:1508ad6f828:7920	Membership
3441d4f:1508ad6f828:72cf	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	City
3441d4f:1508ad97479:-7be5	Membership
3441d4f:1508ad6f828:7f52	Membership
3441d4f:1508ad6f828:722b	Membership
3441d4f:1508ad97479:-7b41	Membership
3441d4f:1508ad97479:-6f8f	Membership
3441d4f:1508ad97479:-69e1	EthnicProportion
3441d4f:1508ad97479:-6cdb	BelievedBy
3441d4f:1508ad6f828:748b	Membership
3441d4f:1508ad97479:-707a	Membership
3441d4f:1508ad6f828:781f	Membership
3441d4f:1508ad6f828:6d08	Membership
3441d4f:1508ad97479:-766e	Membership
3441d4f:1508ad6f828:6936	Encompassed
3441d4f:1508ad6f828:77cb	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	City
3441d4f:1508ad97479:-73ba	Membership
http://www.semwebtech.org/mondial/10/estuary/Iller/	Estuary
3441d4f:1508ad6f828:6f68	Membership
3441d4f:1508ad6f828:7dfd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	City
3441d4f:1508ad97479:-6b57	BelievedBy
3441d4f:1508ad6f828:70f7	Membership
3441d4f:1508ad6f828:6cb4	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	City
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Tongan/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	City
3441d4f:1508ad6f828:7053	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	City
3441d4f:1508ad6f828:6c10	Membership
3441d4f:1508ad6f828:68e2	Encompassed
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	City
3441d4f:1508ad97479:-79ae	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Rashaida/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/	Province
3441d4f:1508ad6f828:7a19	Membership
3441d4f:1508ad97479:-790a	Membership
http://www.semwebtech.org/mondial/10/island/Hainan/	Island
http://www.semwebtech.org/mondial/10/island/Sicilia/	Island
3441d4f:1508ad6f828:6e70	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	City
3441d4f:1508ad6f828:7647	Membership
3441d4f:1508ad97479:-7f3c	Membership
3441d4f:1508ad97479:-7236	Membership
3441d4f:1508ad6f828:7c79	Membership
http://www.semwebtech.org/mondial/10/island/Samos/	Island
3441d4f:1508ad6f828:6b0f	Membership
3441d4f:1508ad97479:-7496	Membership
3441d4f:1508ad6f828:75f3	Membership
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	City
3441d4f:1508ad97479:-71e2	Membership
3441d4f:1508ad6f828:6d6f	Membership
3441d4f:1508ad6f828:7fb9	Membership
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	City
3441d4f:1508ad6f828:6abb	Border
3441d4f:1508ad6f828:699d	Border
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/	Province
3441d4f:1508ad6f828:7b81	Membership
3441d4f:1508ad97479:-7ba8	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	City
http://www.semwebtech.org/mondial/10/islands/Vanuatu/	Islands
3441d4f:1508ad6f828:7f15	Membership
3441d4f:1508ad97479:-77d6	Membership
3441d4f:1508ad97479:-7b04	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	EthnicGroup
3441d4f:1508ad97479:-69a4	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	City
http://www.semwebtech.org/mondial/10/island/Gomera/	Island
3441d4f:1508ad97479:-7732	Membership
http://www.semwebtech.org/mondial/10/desert/Ordos/	Desert
3441d4f:1508ad6f828:744e	Membership
3441d4f:1508ad97479:-7d64	Membership
3441d4f:1508ad97479:-6900	EthnicProportion
3441d4f:1508ad97479:-703d	Membership
3441d4f:1508ad6f828:7ec1	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	City
3441d4f:1508ad97479:-7992	Membership
3441d4f:1508ad97479:-7ab0	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/	Province
3441d4f:1508ad97479:-6efe	Membership
3441d4f:1508ad97479:-729d	Membership
http://www.semwebtech.org/mondial/10/island/SaintLucia/	Island
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	City
3441d4f:1508ad97479:-6e5a	Membership
3441d4f:1508ad6f828:73fa	Membership
http://www.semwebtech.org/mondial/10/religion/ChurchChrist/	Religion
3441d4f:1508ad6f828:6b97	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Sotho/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	Province
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/	Province
3441d4f:1508ad6f828:7d1c	Membership
3441d4f:1508ad6f828:79ee	Membership
3441d4f:1508ad6f828:7016	Membership
3441d4f:1508ad97479:-75dd	Membership
http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/	Mountains
3441d4f:1508ad6f828:68a5	Encompassed
3441d4f:1508ad6f828:794a	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	City
3441d4f:1508ad6f828:6ed7	Membership
3441d4f:1508ad6f828:7f7c	Membership
3441d4f:1508ad97479:-6ac6	EthnicProportion
3441d4f:1508ad6f828:7276	Membership
3441d4f:1508ad97479:-7b6b	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	City
3441d4f:1508ad6f828:6e33	Membership
3441d4f:1508ad97479:-6a22	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/	Province
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	City
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	City
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	City
3441d4f:1508ad97479:-6c82	BelievedBy
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/	Province
3441d4f:1508ad97479:-7459	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	City
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	Source
3441d4f:1508ad6f828:75b6	Membership
3441d4f:1508ad97479:-7eab	Membership
3441d4f:1508ad97479:-71a5	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	City
3441d4f:1508ad6f828:7be8	Membership
3441d4f:1508ad6f828:7512	Membership
3441d4f:1508ad97479:-7101	Membership
3441d4f:1508ad6f828:7b44	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	City
3441d4f:1508ad97479:-6fc2	Membership
3441d4f:1508ad6f828:7772	Membership
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	Island
3441d4f:1508ad97479:-7361	Membership
3441d4f:1508ad6f828:6cde	Membership
3441d4f:1508ad6f828:707d	Membership
3441d4f:1508ad6f828:6c3a	Membership
3441d4f:1508ad6f828:7af0	Membership
3441d4f:1508ad97479:-79f9	Membership
3441d4f:1508ad97479:-7d27	Membership
3441d4f:1508ad97479:-7955	Membership
3441d4f:1508ad6f828:6e9a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	City
3441d4f:1508ad97479:-7f87	Membership
3441d4f:1508ad97479:-76a1	Membership
3441d4f:1508ad97479:-6e1d	SpokenBy
http://www.semwebtech.org/mondial/10/river/Busira/	River
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	City
3441d4f:1508ad97479:-7cd3	Membership
3441d4f:1508ad6f828:73bd	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	City
http://www.semwebtech.org/mondial/10/organization/ICJ/	Organization
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	City
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	City
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	Source
3441d4f:1508ad6f828:790d	Membership
http://www.semwebtech.org/mondial/10/mountain/Pico/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/island/Anguilla/	Island
3441d4f:1508ad6f828:7f3f	Membership
3441d4f:1508ad6f828:6a62	Border
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	City
3441d4f:1508ad6f828:7239	Membership
3441d4f:1508ad97479:-7b2e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/French/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	City
3441d4f:1508ad97479:-69ce	EthnicProportion
3441d4f:1508ad97479:-775c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	City
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	City
3441d4f:1508ad97479:-6ce9	BelievedBy
3441d4f:1508ad6f828:7499	Membership
3441d4f:1508ad97479:-7d8e	Membership
3441d4f:1508ad97479:-692a	EthnicProportion
3441d4f:1508ad97479:-7088	Membership
3441d4f:1508ad97479:-6c45	BelievedBy
3441d4f:1508ad6f828:7eeb	Membership
3441d4f:1508ad97479:-7ada	Membership
3441d4f:1508ad6f828:71e5	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/	Province
3441d4f:1508ad6f828:6da2	Membership
http://www.semwebtech.org/mondial/10/source/Glomma/	Source
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	City
3441d4f:1508ad6f828:7141	Membership
3441d4f:1508ad6f828:69d0	Border
3441d4f:1508ad97479:-6bf1	BelievedBy
3441d4f:1508ad6f828:7b07	Membership
3441d4f:1508ad6f828:77d9	Membership
http://www.semwebtech.org/mondial/10/river/Kama/	River
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	City
3441d4f:1508ad97479:-73c8	Membership
3441d4f:1508ad6f828:7735	Membership
3441d4f:1508ad97479:-7324	Membership
3441d4f:1508ad6f828:7d67	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	City
3441d4f:1508ad6f828:68cf	Encompassed
3441d4f:1508ad6f828:7995	Membership
3441d4f:1508ad6f828:7ab3	Membership
3441d4f:1508ad97479:-7584	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/CameroonHighlanders/	EthnicGroup
3441d4f:1508ad6f828:76e1	Membership
3441d4f:1508ad97479:-7918	Membership
3441d4f:1508ad97479:-72d0	Membership
3441d4f:1508ad6f828:6e5d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	City
3441d4f:1508ad97479:-6a4c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	City
3441d4f:1508ad97479:-78c4	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/	Province
3441d4f:1508ad97479:-7ef6	Membership
3441d4f:1508ad97479:-7820	Membership
3441d4f:1508ad97479:-71cf	Membership
3441d4f:1508ad97479:-7e52	Membership
3441d4f:1508ad6f828:753c	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	City
http://www.semwebtech.org/mondial/10/language/German/	Language
3441d4f:1508ad97479:-712b	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/	Province
3441d4f:1508ad6f828:6ac9	Membership
3441d4f:1508ad6f828:7b6e	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	City
http://www.semwebtech.org/mondial/10/river/WesternMorava/	River
3441d4f:1508ad6f828:6a25	Border
3441d4f:1508ad97479:-6fec	Membership
3441d4f:1508ad6f828:779c	Membership
3441d4f:1508ad97479:-738b	Membership
3441d4f:1508ad97479:-771f	Membership
3441d4f:1508ad6f828:6c85	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/	Province
http://www.semwebtech.org/mondial/10/country/B/	Country
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/	Province
3441d4f:1508ad6f828:7eae	Membership
3441d4f:1508ad97479:-6c08	BelievedBy
3441d4f:1508ad6f828:71a8	Membership
3441d4f:1508ad97479:-797f	Membership
3441d4f:1508ad6f828:7e0a	Membership
http://www.semwebtech.org/mondial/10/island/Nevis/	Island
3441d4f:1508ad6f828:7104	Membership
3441d4f:1508ad97479:-76cb	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	City
3441d4f:1508ad97479:-6e68	Membership
3441d4f:1508ad97479:-7cfd	Membership
3441d4f:1508ad6f828:6fc5	Membership
3441d4f:1508ad97479:-6bb4	BelievedBy
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	City
http://www.semwebtech.org/mondial/10/source/Dnepr/	Source
3441d4f:1508ad6f828:7364	Membership
http://www.semwebtech.org/mondial/10/organization/SACEP/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	City
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	River
3441d4f:1508ad6f828:6f21	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	City
3441d4f:1508ad97479:-6b10	EthnicProportion
3441d4f:1508ad6f828:70b0	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	City
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	City
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/	Province
3441d4f:1508ad97479:-6d70	SpokenBy
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	City
3441d4f:1508ad6f828:7958	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	City
3441d4f:1508ad97479:-7547	Membership
3441d4f:1508ad6f828:6a8c	Border
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	City
3441d4f:1508ad6f828:76a4	Membership
3441d4f:1508ad97479:-7b79	Membership
3441d4f:1508ad97479:-6a0f	EthnicProportion
3441d4f:1508ad6f828:7cd6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	Province
3441d4f:1508ad6f828:7600	Membership
http://www.semwebtech.org/mondial/10/country/GNB/	Country
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	City
3441d4f:1508ad6f828:7c32	Membership
3441d4f:1508ad97479:-6975	EthnicProportion
3441d4f:1508ad97479:-74f3	Membership
3441d4f:1508ad97479:-6c6f	BelievedBy
http://www.semwebtech.org/mondial/10/island/Mohilla/	Island
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	City
3441d4f:1508ad6f828:7860	Membership
3441d4f:1508ad6f828:6dcc	Membership
3441d4f:1508ad97479:-7a81	Membership
3441d4f:1508ad6f828:7e92	Membership
3441d4f:1508ad97479:-7eb9	Membership
3441d4f:1508ad6f828:716b	Membership
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	City
3441d4f:1508ad6f828:69fa	Border
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/	Province
http://www.semwebtech.org/mondial/10/island/Samar/	Island
3441d4f:1508ad97479:-7e15	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	City
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/	Province
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	City
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	EthnicGroup
3441d4f:1508ad97479:-6faf	Membership
3441d4f:1508ad6f828:775f	Membership
3441d4f:1508ad97479:-734e	Membership
http://www.semwebtech.org/mondial/10/river/Dalaelv/	River
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/	Province
3441d4f:1508ad97479:-6f0b	Membership
3441d4f:1508ad6f828:74ab	Membership
3441d4f:1508ad97479:-7dc1	Membership
3441d4f:1508ad6f828:6c48	Membership
3441d4f:1508ad6f828:7add	Membership
http://www.semwebtech.org/mondial/10/river/Lualaba/	River
3441d4f:1508ad97479:-72fa	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/	Province
3441d4f:1508ad97479:-6a97	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/	Province
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	City
3441d4f:1508ad6f828:6bf4	Membership
http://www.semwebtech.org/mondial/10/river/Hwangho/	River
http://www.semwebtech.org/mondial/10/organization/Mercosur/	Organization
3441d4f:1508ad6f828:6b50	Membership
3441d4f:1508ad97479:-78ee	Membership
3441d4f:1508ad6f828:7327	Membership
3441d4f:1508ad97479:-7c1c	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/	Province
3441d4f:1508ad97479:-784a	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	Province
3441d4f:1508ad97479:-6dd7	SpokenBy
3441d4f:1508ad6f828:7587	Membership
3441d4f:1508ad97479:-7e7c	Membership
3441d4f:1508ad97479:-7176	Membership
http://www.semwebtech.org/mondial/10/source/RioMadeira/	Source
3441d4f:1508ad97479:-6d33	BelievedBy
3441d4f:1508ad6f828:72d3	Membership
3441d4f:1508ad6f828:6a4f	Border
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/	Province
3441d4f:1508ad97479:-6f93	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	City
3441d4f:1508ad6f828:78c7	Membership
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	City
3441d4f:1508ad97479:-6938	EthnicProportion
3441d4f:1508ad97479:-74b6	Membership
3441d4f:1508ad6f828:7ef9	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	City
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	City
3441d4f:1508ad6f828:7823	Membership
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	Mountain
3441d4f:1508ad97479:-7ae8	Membership
3441d4f:1508ad97479:-7412	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	City
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	Lake
3441d4f:1508ad6f828:7e55	Membership
3441d4f:1508ad6f828:712e	Membership
3441d4f:1508ad97479:-7a44	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	City
3441d4f:1508ad97479:-68e4	EthnicProportion
3441d4f:1508ad6f828:69bd	Border
http://www.semwebtech.org/mondial/10/organization/UNHCR/	Organization
3441d4f:1508ad6f828:7ba1	Membership
3441d4f:1508ad97479:-7672	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	City
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	City
3441d4f:1508ad6f828:6fef	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Baloch/	EthnicGroup
3441d4f:1508ad97479:-6bde	BelievedBy
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	City
3441d4f:1508ad6f828:738e	Membership
3441d4f:1508ad6f828:6f4b	Membership
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	City
3441d4f:1508ad97479:-6b3a	BelievedBy
3441d4f:1508ad6f828:70da	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/	Province
http://www.semwebtech.org/mondial/10/country/MYA/	Country
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	City
3441d4f:1508ad97479:-6d9a	SpokenBy
3441d4f:1508ad97479:-79b2	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	City
3441d4f:1508ad6f828:76ce	Membership
3441d4f:1508ad97479:-7fe4	Membership
3441d4f:1508ad97479:-72bd	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	City
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	City
3441d4f:1508ad6f828:762a	Membership
3441d4f:1508ad97479:-7f40	Membership
http://www.semwebtech.org/mondial/10/desert/Trarza/	Desert
3441d4f:1508ad6f828:6bb7	Membership
3441d4f:1508ad6f828:7c5c	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/	Province
3441d4f:1508ad97479:-699f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/	Province
3441d4f:1508ad6f828:6b13	Membership
http://www.semwebtech.org/mondial/10/source/Arkansas/	Source
3441d4f:1508ad6f828:788a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	City
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/	Province
3441d4f:1508ad97479:-780d	Membership
http://www.semwebtech.org/mondial/10/source/Ucayali/	Source
3441d4f:1508ad6f828:6d73	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	EthnicGroup
3441d4f:1508ad97479:-7e3f	Membership
3441d4f:1508ad97479:-7139	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	City
3441d4f:1508ad97479:-7399	Membership
3441d4f:1508ad97479:-6f56	Membership
3441d4f:1508ad6f828:74f6	Membership
3441d4f:1508ad97479:-7deb	Membership
3441d4f:1508ad97479:-70e5	Membership
3441d4f:1508ad97479:-6ca2	BelievedBy
3441d4f:1508ad6f828:7452	Membership
3441d4f:1508ad97479:-7041	Membership
3441d4f:1508ad6f828:7a84	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	City
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	Island
3441d4f:1508ad6f828:7e18	Membership
3441d4f:1508ad97479:-76d9	Membership
3441d4f:1508ad97479:-7a07	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	City
3441d4f:1508ad97479:-68a7	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	City
3441d4f:1508ad97479:-7635	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	City
3441d4f:1508ad6f828:6b7a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	City
3441d4f:1508ad97479:-7c67	Membership
3441d4f:1508ad6f828:6f0e	Membership
3441d4f:1508ad6f828:7dc4	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/	Province
3441d4f:1508ad97479:-7895	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	City
3441d4f:1508ad6f828:7d20	Membership
3441d4f:1508ad6f828:79f2	Membership
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-75e1	Membership
http://www.semwebtech.org/mondial/10/religion/Jewish/	Religion
3441d4f:1508ad97479:-6d5d	SpokenBy
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/	Province
3441d4f:1508ad6f828:72fd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	City
3441d4f:1508ad6f828:6eba	Membership
3441d4f:1508ad6f828:7f80	Membership
3441d4f:1508ad97479:-7fa7	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	City
http://www.semwebtech.org/mondial/10/estuary/Donau/	Estuary
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	City
3441d4f:1508ad97479:-7f03	Membership
3441d4f:1508ad6f828:7c1f	Membership
http://www.semwebtech.org/mondial/10/river/March/	River
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	City
http://www.semwebtech.org/mondial/10/country/LT/	Country
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	Mountain
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	City
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	City
3441d4f:1508ad6f828:784d	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/	Province
3441d4f:1508ad97479:-743c	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/	Province
http://www.semwebtech.org/mondial/10/river/Lech/	River
3441d4f:1508ad6f828:7e7f	Membership
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	City
3441d4f:1508ad6f828:7179	Membership
3441d4f:1508ad97479:-7a6e	Membership
http://www.semwebtech.org/mondial/10/country/NZ/	Country
3441d4f:1508ad6f828:6d36	Membership
3441d4f:1508ad6f828:7bcb	Membership
3441d4f:1508ad97479:-769c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	City
3441d4f:1508ad6f828:6964	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	EthnicGroup
3441d4f:1508ad6f828:6f96	Membership
3441d4f:1508ad97479:-6b85	BelievedBy
3441d4f:1508ad6f828:6ce2	Membership
3441d4f:1508ad97479:-6f19	Membership
3441d4f:1508ad97479:-7dae	Membership
3441d4f:1508ad6f828:74b9	Membership
3441d4f:1508ad6f828:7081	Membership
3441d4f:1508ad97479:-70a8	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	City
3441d4f:1508ad97479:-79dc	Membership
3441d4f:1508ad6f828:7415	Membership
3441d4f:1508ad97479:-7d0a	Membership
3441d4f:1508ad97479:-7004	Membership
3441d4f:1508ad6f828:7a47	Membership
3441d4f:1508ad97479:-6ec5	Membership
3441d4f:1508ad6f828:7675	Membership
3441d4f:1508ad97479:-7f6a	Membership
3441d4f:1508ad97479:-6e21	SpokenBy
3441d4f:1508ad97479:-7264	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	City
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	City
3441d4f:1508ad6f828:73c1	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	City
http://www.semwebtech.org/mondial/10/country/WS/	Country
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	City
3441d4f:1508ad6f828:6b3d	Membership
3441d4f:1508ad97479:-7858	Membership
3441d4f:1508ad6f828:6d9d	Membership
3441d4f:1508ad6f828:79b5	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/	Province
3441d4f:1508ad97479:-75a4	Membership
3441d4f:1508ad97479:-7500	Membership
3441d4f:1508ad6f828:7fe7	Membership
3441d4f:1508ad6f828:7911	Membership
3441d4f:1508ad97479:-7bd6	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	City
3441d4f:1508ad6f828:7f43	Membership
3441d4f:1508ad97479:-7b32	Membership
3441d4f:1508ad6f828:721c	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/	Province
3441d4f:1508ad97479:-69d2	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/	Province
3441d4f:1508ad97479:-7760	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/	Province
3441d4f:1508ad97479:-6ccc	BelievedBy
3441d4f:1508ad6f828:747c	Membership
3441d4f:1508ad97479:-7d92	Membership
3441d4f:1508ad97479:-706b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Voltaic/	EthnicGroup
3441d4f:1508ad97479:-765f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	City
http://www.semwebtech.org/mondial/10/country/GBG/	Country
3441d4f:1508ad6f828:6927	Encompassed
3441d4f:1508ad6f828:77bc	Membership
3441d4f:1508ad97479:-73ab	Membership
3441d4f:1508ad6f828:6f59	Membership
3441d4f:1508ad6f828:7dee	Membership
3441d4f:1508ad97479:-6b48	BelievedBy
3441d4f:1508ad6f828:70e8	Membership
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/	Province
3441d4f:1508ad6f828:6ca5	Membership
3441d4f:1508ad6f828:7d4a	Membership
3441d4f:1508ad6f828:7044	Membership
3441d4f:1508ad6f828:6c01	Membership
3441d4f:1508ad6f828:68d3	Encompassed
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	City
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	Source
3441d4f:1508ad97479:-6af4	EthnicProportion
3441d4f:1508ad6f828:6e61	Membership
3441d4f:1508ad97479:-6a50	EthnicProportion
3441d4f:1508ad6f828:7638	Membership
3441d4f:1508ad97479:-7f2d	Membership
3441d4f:1508ad97479:-7227	Membership
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	Estuary
http://www.semwebtech.org/mondial/10/estuary/Cuango/	Estuary
http://www.semwebtech.org/mondial/10/language/Kazakh/	Language
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	City
3441d4f:1508ad6f828:7898	Membership
3441d4f:1508ad97479:-7487	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	City
3441d4f:1508ad6f828:75e4	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	City
3441d4f:1508ad97479:-71d3	Membership
3441d4f:1508ad6f828:7540	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	City
3441d4f:1508ad6f828:6aac	Border
3441d4f:1508ad6f828:698e	Border
3441d4f:1508ad6f828:7b72	Membership
3441d4f:1508ad97479:-6ff0	Membership
3441d4f:1508ad6f828:7f06	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	City
3441d4f:1508ad97479:-77c7	Membership
3441d4f:1508ad97479:-7df9	Membership
3441d4f:1508ad97479:-7723	Membership
http://www.semwebtech.org/mondial/10/source/Morava/	Source
3441d4f:1508ad6f828:743f	Membership
3441d4f:1508ad97479:-7d55	Membership
3441d4f:1508ad97479:-702e	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	City
3441d4f:1508ad6f828:7eb2	Membership
3441d4f:1508ad97479:-7983	Membership
3441d4f:1508ad97479:-7aa1	Membership
3441d4f:1508ad97479:-6eef	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	City
3441d4f:1508ad6f828:769f	Membership
3441d4f:1508ad97479:-728e	Membership
http://www.semwebtech.org/mondial/10/organization/UNWTO/	Organization
3441d4f:1508ad97479:-6e4b	SpokenBy
3441d4f:1508ad6f828:73eb	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/	Province
3441d4f:1508ad6f828:78aa	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	City
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Kisii/	EthnicGroup
3441d4f:1508ad6f828:6b88	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	City
3441d4f:1508ad6f828:7d0d	Membership
3441d4f:1508ad6f828:79df	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	City
3441d4f:1508ad6f828:7007	Membership
3441d4f:1508ad97479:-75ce	Membership
3441d4f:1508ad6f828:793b	Membership
3441d4f:1508ad97479:-6ab7	EthnicProportion
3441d4f:1508ad97479:-752a	Membership
3441d4f:1508ad6f828:7f6d	Membership
3441d4f:1508ad6f828:6ec8	Membership
3441d4f:1508ad6f828:6a90	Border
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/	Province
http://www.semwebtech.org/mondial/10/river/Murat/	River
3441d4f:1508ad6f828:7267	Membership
3441d4f:1508ad97479:-7b5c	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/	Province
3441d4f:1508ad6f828:6e24	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	City
3441d4f:1508ad97479:-6a13	EthnicProportion
3441d4f:1508ad97479:-69fc	EthnicProportion
3441d4f:1508ad97479:-778a	Membership
http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	Islands
3441d4f:1508ad97479:-6c73	BelievedBy
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	City
3441d4f:1508ad6f828:6dd0	Membership
3441d4f:1508ad6f828:75a7	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/	Province
3441d4f:1508ad6f828:7bd9	Membership
3441d4f:1508ad6f828:7503	Membership
http://www.semwebtech.org/mondial/10/country/RSM/	Country
3441d4f:1508ad6f828:7b35	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	City
3441d4f:1508ad97479:-73f6	Membership
3441d4f:1508ad97479:-6fb3	Membership
3441d4f:1508ad6f828:7763	Membership
3441d4f:1508ad97479:-7352	Membership
3441d4f:1508ad6f828:6ccf	Membership
3441d4f:1508ad6f828:7d95	Membership
3441d4f:1508ad6f828:706e	Membership
3441d4f:1508ad6f828:6c2b	Membership
3441d4f:1508ad6f828:68fd	Encompassed
3441d4f:1508ad6f828:7ae1	Membership
3441d4f:1508ad97479:-7d18	Membership
3441d4f:1508ad97479:-7946	Membership
3441d4f:1508ad6f828:6e8b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Bashkir/	EthnicGroup
3441d4f:1508ad97479:-6a7a	EthnicProportion
3441d4f:1508ad97479:-7f78	Membership
http://www.semwebtech.org/mondial/10/estuary/Volta/	Estuary
3441d4f:1508ad97479:-6e0e	SpokenBy
3441d4f:1508ad6f828:73ae	Membership
3441d4f:1508ad97479:-7cc4	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/	Province
http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/	Islands
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	City
3441d4f:1508ad97479:-78f2	Membership
3441d4f:1508ad97479:-7c20	Membership
3441d4f:1508ad6f828:730a	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/	Province
http://www.semwebtech.org/mondial/10/source/Narva/	Source
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	City
3441d4f:1508ad97479:-6dba	SpokenBy
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	City
3441d4f:1508ad97479:-71fd	Membership
http://www.semwebtech.org/mondial/10/river/YukonRiver/	River
http://www.semwebtech.org/mondial/10/island/Sardegna/	Island
3441d4f:1508ad97479:-7e80	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	City
3441d4f:1508ad6f828:756a	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	City
3441d4f:1508ad6f828:6af7	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	City
3441d4f:1508ad6f828:7b9c	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	City
http://www.semwebtech.org/mondial/10/river/Chatanga/	River
3441d4f:1508ad6f828:6a53	Border
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	City
3441d4f:1508ad97479:-7b1f	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	City
3441d4f:1508ad97479:-69bf	EthnicProportion
3441d4f:1508ad97479:-774d	Membership
3441d4f:1508ad97479:-7d7f	Membership
3441d4f:1508ad97479:-691b	EthnicProportion
3441d4f:1508ad97479:-7079	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	City
3441d4f:1508ad6f828:7edc	Membership
3441d4f:1508ad97479:-6c36	BelievedBy
3441d4f:1508ad6f828:71d6	Membership
3441d4f:1508ad97479:-7acb	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-EastIndian/	EthnicGroup
3441d4f:1508ad6f828:7132	Membership
3441d4f:1508ad6f828:69c1	Border
3441d4f:1508ad97479:-6e96	Membership
3441d4f:1508ad6f828:6ff3	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	City
3441d4f:1508ad97479:-6be2	BelievedBy
3441d4f:1508ad6f828:7392	Membership
3441d4f:1508ad97479:-73b9	Membership
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	City
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	City
3441d4f:1508ad6f828:7726	Membership
3441d4f:1508ad97479:-7315	Membership
3441d4f:1508ad6f828:7d58	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/	Province
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	Mountain
http://www.semwebtech.org/mondial/10/source/RioSanJuan/	Source
http://www.semwebtech.org/mondial/10/source/Missouri/	Source
3441d4f:1508ad6f828:7986	Membership
3441d4f:1508ad6f828:7aa4	Membership
3441d4f:1508ad97479:-7575	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	City
3441d4f:1508ad6f828:76d2	Membership
3441d4f:1508ad6f828:7a00	Membership
3441d4f:1508ad97479:-7909	Membership
3441d4f:1508ad97479:-72c1	Membership
3441d4f:1508ad6f828:6e4e	Membership
3441d4f:1508ad97479:-6a3d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/	Province
http://www.semwebtech.org/mondial/10/mountain/Concepcion/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7c60	Membership
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	City
3441d4f:1508ad97479:-6c9d	BelievedBy
3441d4f:1508ad97479:-78b5	Membership
3441d4f:1508ad6f828:6dfa	Membership
3441d4f:1508ad97479:-7ee7	Membership
3441d4f:1508ad97479:-7811	Membership
http://www.semwebtech.org/mondial/10/country/IR/	Country
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	Lake
3441d4f:1508ad6f828:752d	Membership
3441d4f:1508ad97479:-7e43	Membership
3441d4f:1508ad97479:-711c	Membership
http://www.semwebtech.org/mondial/10/country/SSD/	Country
3441d4f:1508ad6f828:7fa0	Membership
3441d4f:1508ad6f828:7b5f	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	City
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	River
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	City
3441d4f:1508ad6f828:6a16	Border
3441d4f:1508ad97479:-6fdd	Membership
3441d4f:1508ad6f828:778d	Membership
3441d4f:1508ad97479:-737c	Membership
3441d4f:1508ad6f828:6c76	Membership
http://www.semwebtech.org/mondial/10/island/Panarea/	Island
http://www.semwebtech.org/mondial/10/country/PE/	Country
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	City
3441d4f:1508ad97479:-76bc	Membership
http://www.semwebtech.org/mondial/10/language/Tongan/	Language
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/	Province
3441d4f:1508ad97479:-6e59	Membership
3441d4f:1508ad6f828:73f9	Membership
3441d4f:1508ad97479:-7cee	Membership
3441d4f:1508ad6f828:6fb6	Membership
3441d4f:1508ad97479:-6ba5	BelievedBy
3441d4f:1508ad6f828:7355	Membership
3441d4f:1508ad97479:-7c4a	Membership
3441d4f:1508ad6f828:6f12	Membership
3441d4f:1508ad97479:-6b01	EthnicProportion
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	City
3441d4f:1508ad6f828:70a1	Membership
http://www.semwebtech.org/mondial/10/island/Mindanao/	Island
3441d4f:1508ad97479:-6d61	SpokenBy
3441d4f:1508ad6f828:7949	Membership
3441d4f:1508ad97479:-7538	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/	Province
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	City
3441d4f:1508ad6f828:6a7d	Border
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	City
3441d4f:1508ad6f828:7cc7	Membership
3441d4f:1508ad97479:-7798	Membership
3441d4f:1508ad6f828:7c23	Membership
3441d4f:1508ad6f828:78f5	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	Province
3441d4f:1508ad97479:-6966	EthnicProportion
3441d4f:1508ad97479:-74e4	Membership
3441d4f:1508ad6f828:7851	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Caribbean/	EthnicGroup
3441d4f:1508ad97479:-7440	Membership
3441d4f:1508ad6f828:6dbd	Membership
http://www.semwebtech.org/mondial/10/island/Hokkaido/	Island
3441d4f:1508ad6f828:7e83	Membership
3441d4f:1508ad6f828:715c	Membership
3441d4f:1508ad97479:-7a72	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	City
3441d4f:1508ad6f828:69eb	Border
3441d4f:1508ad97479:-7e06	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	City
3441d4f:1508ad97479:-733f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Penza/	Province
3441d4f:1508ad97479:-7db2	Membership
3441d4f:1508ad6f828:6c39	Membership
3441d4f:1508ad6f828:7ace	Membership
3441d4f:1508ad97479:-79e0	Membership
3441d4f:1508ad97479:-759f	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	City
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/	Province
3441d4f:1508ad6f828:76fc	Membership
3441d4f:1508ad6f828:7a2a	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	City
3441d4f:1508ad97479:-72eb	Membership
3441d4f:1508ad6f828:6e99	Membership
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	City
3441d4f:1508ad97479:-6a88	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/	Province
3441d4f:1508ad6f828:6be5	Membership
3441d4f:1508ad6f828:7c8a	Membership
http://www.semwebtech.org/mondial/10/country/P/	Country
http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	Organization
3441d4f:1508ad6f828:6b41	Membership
3441d4f:1508ad97479:-78df	Membership
3441d4f:1508ad6f828:7318	Membership
3441d4f:1508ad97479:-7c0d	Membership
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	Estuary
3441d4f:1508ad97479:-783b	Membership
3441d4f:1508ad97479:-6dc8	SpokenBy
http://www.semwebtech.org/mondial/10/lake/Thunersee/	Lake
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/	Province
3441d4f:1508ad6f828:7578	Membership
3441d4f:1508ad97479:-7e6d	Membership
3441d4f:1508ad97479:-6d24	BelievedBy
3441d4f:1508ad97479:-7167	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	City
3441d4f:1508ad6f828:7fca	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	City
3441d4f:1508ad6f828:72c4	Membership
3441d4f:1508ad6f828:7220	Membership
http://www.semwebtech.org/mondial/10/mountains/Balkan/	Mountains
3441d4f:1508ad97479:-6f84	Membership
http://www.semwebtech.org/mondial/10/island/Jura/	Island
3441d4f:1508ad97479:-6929	EthnicProportion
3441d4f:1508ad97479:-6cd0	BelievedBy
http://www.semwebtech.org/mondial/10/lake/LakeMead/	Lake
3441d4f:1508ad6f828:78b8	Membership
3441d4f:1508ad6f828:7480	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	City
3441d4f:1508ad97479:-74a7	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	City
http://www.semwebtech.org/mondial/10/source/Tajo/	Source
3441d4f:1508ad6f828:7814	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	City
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	City
3441d4f:1508ad97479:-7403	Membership
3441d4f:1508ad97479:-7ad9	Membership
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	City
3441d4f:1508ad6f828:7e46	Membership
http://www.semwebtech.org/mondial/10/river/Pruth/	River
3441d4f:1508ad6f828:711f	Membership
3441d4f:1508ad97479:-7a35	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	City
3441d4f:1508ad6f828:69ae	Border
3441d4f:1508ad97479:-68d5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	City
3441d4f:1508ad97479:-7663	Membership
3441d4f:1508ad6f828:690a	Encompassed
3441d4f:1508ad97479:-6bcf	BelievedBy
3441d4f:1508ad6f828:77c0	Membership
3441d4f:1508ad6f828:737f	Membership
3441d4f:1508ad97479:-7c95	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/	Province
3441d4f:1508ad6f828:6f3c	Membership
3441d4f:1508ad6f828:7df2	Membership
3441d4f:1508ad97479:-6b2b	BelievedBy
3441d4f:1508ad6f828:70cb	Membership
http://www.semwebtech.org/mondial/10/estuary/Reuss/	Estuary
3441d4f:1508ad97479:-6d8b	SpokenBy
3441d4f:1508ad97479:-79a3	Membership
3441d4f:1508ad6f828:7072	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	City
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	City
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	Lake
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	City
3441d4f:1508ad97479:-7fd5	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/	Province
http://www.semwebtech.org/mondial/10/organization/WFTU/	Organization
3441d4f:1508ad6f828:76bf	Membership
http://www.semwebtech.org/mondial/10/country/BEN/	Country
3441d4f:1508ad97479:-72ae	Membership
3441d4f:1508ad97479:-720a	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	City
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	City
3441d4f:1508ad6f828:761b	Membership
3441d4f:1508ad97479:-7f31	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	City
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	City
3441d4f:1508ad6f828:6ba8	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	City
3441d4f:1508ad6f828:7c4d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/	Province
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	Estuary
3441d4f:1508ad6f828:6b04	Membership
3441d4f:1508ad6f828:787b	Membership
http://www.semwebtech.org/mondial/10/religion/Anglican/	Religion
3441d4f:1508ad97479:-746a	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	City
3441d4f:1508ad97479:-7a9c	Membership
3441d4f:1508ad6f828:6d64	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	City
3441d4f:1508ad6f828:6ab0	Border
3441d4f:1508ad6f828:6992	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/Scottish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	City
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	City
http://www.semwebtech.org/mondial/10/source/Volga/	Source
3441d4f:1508ad97479:-77aa	Membership
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	Mountain
3441d4f:1508ad97479:-6f47	Membership
3441d4f:1508ad6f828:74e7	Membership
3441d4f:1508ad97479:-7ddc	Membership
3441d4f:1508ad97479:-70d6	Membership
3441d4f:1508ad6f828:7443	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/	Province
3441d4f:1508ad97479:-7032	Membership
http://www.semwebtech.org/mondial/10/island/Kefallinia/	Island
3441d4f:1508ad6f828:7a75	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	City
3441d4f:1508ad97479:-6ef3	Membership
3441d4f:1508ad6f828:7e09	Membership
3441d4f:1508ad97479:-7292	Membership
3441d4f:1508ad97479:-7626	Membership
3441d4f:1508ad6f828:6b6b	Membership
3441d4f:1508ad97479:-7c58	Membership
3441d4f:1508ad6f828:7db5	Membership
3441d4f:1508ad97479:-7886	Membership
3441d4f:1508ad6f828:7d11	Membership
3441d4f:1508ad6f828:79e3	Membership
3441d4f:1508ad97479:-75d2	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/	Province
3441d4f:1508ad97479:-6d4e	SpokenBy
3441d4f:1508ad6f828:72ee	Membership
3441d4f:1508ad6f828:6eab	Membership
3441d4f:1508ad6f828:7f71	Membership
http://www.semwebtech.org/mondial/10/country/WEST/	Country
http://www.semwebtech.org/mondial/10/sea/JavaSea/	Sea
3441d4f:1508ad6f828:724a	Membership
3441d4f:1508ad97479:-7b60	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	City
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	Estuary
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	City
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	Mountain
3441d4f:1508ad97479:-6cfa	BelievedBy
3441d4f:1508ad6f828:783e	Membership
3441d4f:1508ad97479:-742d	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/	Province
3441d4f:1508ad97479:-7ea0	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	City
3441d4f:1508ad97479:-7a5f	Membership
3441d4f:1508ad6f828:6d27	Membership
3441d4f:1508ad6f828:69f9	Border
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	City
3441d4f:1508ad6f828:7bbc	Membership
3441d4f:1508ad97479:-68ff	EthnicProportion
3441d4f:1508ad97479:-768d	Membership
3441d4f:1508ad6f828:6955	Encompassed
3441d4f:1508ad6f828:77ea	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/	Province
3441d4f:1508ad6f828:6f87	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Vas/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	EthnicGroup
3441d4f:1508ad97479:-6b76	BelievedBy
3441d4f:1508ad6f828:6cd3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	City
3441d4f:1508ad6f828:7406	Membership
3441d4f:1508ad97479:-79cd	Membership
http://www.semwebtech.org/mondial/10/language/Urdu/	Language
3441d4f:1508ad6f828:7a38	Membership
3441d4f:1508ad97479:-7fff	Membership
http://www.semwebtech.org/mondial/10/estuary/Thames/	Estuary
3441d4f:1508ad97479:-72f9	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	City
3441d4f:1508ad97479:-6eb6	Membership
3441d4f:1508ad6f828:7666	Membership
3441d4f:1508ad97479:-7f5b	Membership
3441d4f:1508ad97479:-6e12	SpokenBy
3441d4f:1508ad97479:-7255	Membership
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	Desert
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/	Province
3441d4f:1508ad6f828:7c98	Membership
3441d4f:1508ad6f828:73b2	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/	Province
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	City
http://www.semwebtech.org/mondial/10/country/BD/	Country
3441d4f:1508ad6f828:6b2e	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Granma/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Sundanese/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/	Province
http://www.semwebtech.org/mondial/10/river/Cuango/	River
3441d4f:1508ad97479:-7849	Membership
3441d4f:1508ad6f828:6d8e	Membership
3441d4f:1508ad6f828:79a6	Membership
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	Island
3441d4f:1508ad6f828:6ada	Membership
3441d4f:1508ad6f828:7fd8	Membership
3441d4f:1508ad6f828:7902	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	City
3441d4f:1508ad97479:-7bc7	Membership
3441d4f:1508ad6f828:7f34	Membership
3441d4f:1508ad97479:-77f5	Membership
3441d4f:1508ad6f828:720d	Membership
3441d4f:1508ad97479:-7b23	Membership
3441d4f:1508ad97479:-69c3	EthnicProportion
3441d4f:1508ad97479:-7751	Membership
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	City
3441d4f:1508ad97479:-6cbd	BelievedBy
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	City
3441d4f:1508ad6f828:746d	Membership
3441d4f:1508ad97479:-7d83	Membership
3441d4f:1508ad97479:-705c	Membership
3441d4f:1508ad6f828:7ee0	Membership
3441d4f:1508ad6f828:7a9f	Membership
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/islands/Madeira/	Islands
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	City
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	Mountain
http://www.semwebtech.org/mondial/10/ethnicgroup/Dungan/	EthnicGroup
http://www.semwebtech.org/mondial/10/religion/CongregationalChristian/	Religion
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	City
http://www.semwebtech.org/mondial/10/country/MC/	Country
3441d4f:1508ad6f828:6918	Encompassed
3441d4f:1508ad6f828:77ad	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	City
3441d4f:1508ad6f828:7ddf	Membership
3441d4f:1508ad97479:-6b39	BelievedBy
3441d4f:1508ad6f828:70d9	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7d3b	Membership
3441d4f:1508ad6f828:7035	Membership
3441d4f:1508ad97479:-75fc	Membership
3441d4f:1508ad6f828:68c4	Encompassed
3441d4f:1508ad97479:-6d99	SpokenBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Welsh/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/	Province
3441d4f:1508ad6f828:6ef6	Membership
3441d4f:1508ad97479:-6a41	EthnicProportion
3441d4f:1508ad6f828:7f9b	Membership
3441d4f:1508ad97479:-6ae5	EthnicProportion
3441d4f:1508ad6f828:7295	Membership
3441d4f:1508ad97479:-7b8a	Membership
3441d4f:1508ad6f828:6e52	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	City
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	City
3441d4f:1508ad6f828:7629	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	City
3441d4f:1508ad97479:-7f1e	Membership
3441d4f:1508ad97479:-7218	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Fuenen/	Island
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	City
3441d4f:1508ad6f828:7889	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/	Province
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	Lake
3441d4f:1508ad97479:-7478	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	City
3441d4f:1508ad97479:-71c4	Membership
3441d4f:1508ad6f828:75d5	Membership
3441d4f:1508ad97479:-7eca	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	City
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/	Province
http://www.semwebtech.org/mondial/10/island/Syros/	Island
3441d4f:1508ad6f828:7531	Membership
http://www.semwebtech.org/mondial/10/river/Dnister/	River
http://www.semwebtech.org/mondial/10/sea/BalticSea/	Sea
3441d4f:1508ad97479:-7120	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/	Province
3441d4f:1508ad6f828:697f	Border
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	City
3441d4f:1508ad6f828:7b63	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	City
3441d4f:1508ad97479:-6fe1	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	City
3441d4f:1508ad6f828:7791	Membership
http://www.semwebtech.org/mondial/10/estuary/Ene/	Estuary
3441d4f:1508ad97479:-77b8	Membership
3441d4f:1508ad97479:-7380	Membership
http://www.semwebtech.org/mondial/10/river/WhiteNile/	River
3441d4f:1508ad6f828:6cfd	Membership
3441d4f:1508ad6f828:709c	Membership
3441d4f:1508ad97479:-7714	Membership
http://www.semwebtech.org/mondial/10/island/Majuro/	Island
3441d4f:1508ad97479:-7d46	Membership
3441d4f:1508ad97479:-701f	Membership
3441d4f:1508ad6f828:7ea3	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	City
3441d4f:1508ad97479:-7974	Membership
http://www.semwebtech.org/mondial/10/language/Turkish/	Language
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	City
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	Estuary
3441d4f:1508ad97479:-76c0	Membership
3441d4f:1508ad97479:-727f	Membership
3441d4f:1508ad97479:-6e3c	SpokenBy
3441d4f:1508ad6f828:73dc	Membership
3441d4f:1508ad97479:-7cf2	Membership
3441d4f:1508ad6f828:6b79	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Pashtun/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Araguaia/	Source
http://www.semwebtech.org/mondial/10/source/Angara/	Source
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	City
http://www.semwebtech.org/mondial/10/river/Oder/	River
3441d4f:1508ad97479:-75bf	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	City
3441d4f:1508ad6f828:792c	Membership
3441d4f:1508ad97479:-6aa8	EthnicProportion
3441d4f:1508ad97479:-751b	Membership
http://www.semwebtech.org/mondial/10/islands/Comores/	Islands
3441d4f:1508ad6f828:6eb9	Membership
3441d4f:1508ad6f828:6a81	Border
3441d4f:1508ad6f828:7f5e	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	City
3441d4f:1508ad6f828:7258	Membership
3441d4f:1508ad97479:-7b4d	Membership
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	Mountain
3441d4f:1508ad6f828:6e15	Membership
3441d4f:1508ad6f828:7caa	Membership
3441d4f:1508ad97479:-6a04	EthnicProportion
3441d4f:1508ad97479:-69ed	EthnicProportion
3441d4f:1508ad97479:-777b	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/	Province
3441d4f:1508ad97479:-6c64	BelievedBy
http://www.semwebtech.org/mondial/10/desert/Tanami/	Desert
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	City
3441d4f:1508ad6f828:6dc1	Membership
3441d4f:1508ad6f828:7160	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	City
3441d4f:1508ad6f828:7b26	Membership
3441d4f:1508ad6f828:77f8	Membership
3441d4f:1508ad97479:-73e7	Membership
3441d4f:1508ad97479:-6fa4	Membership
3441d4f:1508ad6f828:7754	Membership
http://www.semwebtech.org/mondial/10/island/Pitcairn/	Island
3441d4f:1508ad97479:-7343	Membership
3441d4f:1508ad97479:-6f00	Membership
3441d4f:1508ad6f828:7d86	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	City
3441d4f:1508ad6f828:74a0	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	City
3441d4f:1508ad6f828:705f	Membership
3441d4f:1508ad6f828:6c1c	Membership
3441d4f:1508ad6f828:68ee	Encompassed
3441d4f:1508ad6f828:7ad2	Membership
3441d4f:1508ad97479:-7d09	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	City
3441d4f:1508ad97479:-7937	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/	Province
3441d4f:1508ad6f828:6e7c	Membership
3441d4f:1508ad97479:-6a6b	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Oesel/	Island
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/	Province
3441d4f:1508ad97479:-7f69	Membership
3441d4f:1508ad97479:-7cb5	Membership
3441d4f:1508ad97479:-78e3	Membership
3441d4f:1508ad97479:-7c11	Membership
http://www.semwebtech.org/mondial/10/river/WesternDwina/	River
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	City
3441d4f:1508ad6f828:75ff	Membership
3441d4f:1508ad97479:-71ee	Membership
3441d4f:1508ad97479:-6dab	SpokenBy
3441d4f:1508ad97479:-7e71	Membership
3441d4f:1508ad6f828:755b	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	City
3441d4f:1508ad97479:-714a	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	City
3441d4f:1508ad6f828:6ae8	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	City
3441d4f:1508ad6f828:7b8d	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/	Province
3441d4f:1508ad6f828:6a44	Border
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	City
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	Lake
http://www.semwebtech.org/mondial/10/island/Lesbos/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	City
3441d4f:1508ad97479:-773e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Sinhalese/	EthnicGroup
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurd/	EthnicGroup
3441d4f:1508ad97479:-690c	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Lanzarote/	Island
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	City
3441d4f:1508ad97479:-6c27	BelievedBy
http://www.semwebtech.org/mondial/10/island/Maui/	Island
3441d4f:1508ad6f828:7ecd	Membership
3441d4f:1508ad97479:-799e	Membership
3441d4f:1508ad6f828:71c7	Membership
3441d4f:1508ad97479:-7abc	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/	Province
3441d4f:1508ad6f828:7123	Membership
3441d4f:1508ad97479:-76ea	Membership
3441d4f:1508ad6f828:69b2	Border
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/	Province
3441d4f:1508ad97479:-6e87	Membership
3441d4f:1508ad6f828:6fe4	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	City
3441d4f:1508ad97479:-6bd3	BelievedBy
3441d4f:1508ad6f828:7383	Membership
3441d4f:1508ad6f828:6f40	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/	Province
http://www.semwebtech.org/mondial/10/source/Schilka/	Source
3441d4f:1508ad6f828:7717	Membership
3441d4f:1508ad97479:-7306	Membership
3441d4f:1508ad6f828:7d49	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	City
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/	Province
3441d4f:1508ad6f828:7977	Membership
3441d4f:1508ad97479:-7566	Membership
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	Estuary
3441d4f:1508ad6f828:76c3	Membership
3441d4f:1508ad97479:-7b98	Membership
3441d4f:1508ad97479:-72b2	Membership
3441d4f:1508ad6f828:6e3f	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	City
3441d4f:1508ad6f828:7cf5	Membership
3441d4f:1508ad97479:-6a2e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/	Province
3441d4f:1508ad6f828:7c51	Membership
3441d4f:1508ad97479:-6994	EthnicProportion
3441d4f:1508ad97479:-6c8e	BelievedBy
3441d4f:1508ad97479:-78a6	Membership
3441d4f:1508ad6f828:6deb	Membership
3441d4f:1508ad97479:-7ed8	Membership
3441d4f:1508ad6f828:718a	Membership
3441d4f:1508ad97479:-7802	Membership
http://www.semwebtech.org/mondial/10/islands/BritishIsles/	Islands
3441d4f:1508ad6f828:751e	Membership
3441d4f:1508ad97479:-7e34	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	City
3441d4f:1508ad97479:-710d	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/	Province
http://www.semwebtech.org/mondial/10/island/Usedom/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	City
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	City
3441d4f:1508ad97479:-6fce	Membership
3441d4f:1508ad6f828:6a07	Border
3441d4f:1508ad6f828:777e	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	City
http://www.semwebtech.org/mondial/10/source/Brigach/	Source
3441d4f:1508ad97479:-736d	Membership
3441d4f:1508ad97479:-6f2a	Membership
3441d4f:1508ad6f828:74ca	Membership
3441d4f:1508ad97479:-7de0	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	City
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	Source
3441d4f:1508ad6f828:6c67	Membership
3441d4f:1508ad6f828:7afc	Membership
http://www.semwebtech.org/mondial/10/language/Tamil/	Language
3441d4f:1508ad6f828:6895	Encompassed
http://www.semwebtech.org/mondial/10/source/Thjorsa/	Source
3441d4f:1508ad6f828:7fbb	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	City
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	City
3441d4f:1508ad97479:-76ad	Membership
http://www.semwebtech.org/mondial/10/organization/CSTO/	Organization
3441d4f:1508ad97479:-7cdf	Membership
3441d4f:1508ad6f828:6fa7	Membership
3441d4f:1508ad97479:-7c3b	Membership
3441d4f:1508ad6f828:7346	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	City
3441d4f:1508ad6f828:6f03	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	City
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	City
3441d4f:1508ad97479:-6df6	SpokenBy
http://www.semwebtech.org/mondial/10/source/Lagen/	Source
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	City
3441d4f:1508ad97479:-7e9b	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/	Province
3441d4f:1508ad97479:-7195	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	City
3441d4f:1508ad97479:-6d52	SpokenBy
3441d4f:1508ad6f828:72f2	Membership
3441d4f:1508ad97479:-7529	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	City
3441d4f:1508ad6f828:6a6e	Border
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/	Province
3441d4f:1508ad6f828:7cb8	Membership
3441d4f:1508ad97479:-7789	Membership
http://www.semwebtech.org/mondial/10/country/CN/	Country
3441d4f:1508ad6f828:7c14	Membership
3441d4f:1508ad6f828:78e6	Membership
3441d4f:1508ad97479:-6957	EthnicProportion
3441d4f:1508ad97479:-74d5	Membership
http://www.semwebtech.org/mondial/10/island/Manitoulin/	Island
http://www.semwebtech.org/mondial/10/lake/LacAssal/	Lake
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	City
3441d4f:1508ad6f828:7842	Membership
3441d4f:1508ad97479:-7431	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	City
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	City
http://www.semwebtech.org/mondial/10/country/ET/	Country
3441d4f:1508ad6f828:6dae	Membership
3441d4f:1508ad6f828:7e74	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/	Province
3441d4f:1508ad6f828:714d	Membership
3441d4f:1508ad97479:-7a63	Membership
http://www.semwebtech.org/mondial/10/river/Paraguay/	River
3441d4f:1508ad6f828:6d0a	Membership
3441d4f:1508ad6f828:69dc	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	City
3441d4f:1508ad6f828:7bc0	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	City
http://www.semwebtech.org/mondial/10/mountain/Fako/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-7691	Membership
3441d4f:1508ad97479:-6bfd	BelievedBy
http://www.semwebtech.org/mondial/10/river/WesternBug/	River
3441d4f:1508ad6f828:6f6a	Membership
http://www.semwebtech.org/mondial/10/language/Chamorro/	Language
http://www.semwebtech.org/mondial/10/country/JA/	Country
http://www.semwebtech.org/mondial/10/ethnicgroup/Luxembourgish/	EthnicGroup
3441d4f:1508ad97479:-7da3	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/	Province
3441d4f:1508ad6f828:7abf	Membership
3441d4f:1508ad97479:-79d1	Membership
3441d4f:1508ad6f828:76ed	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	City
3441d4f:1508ad6f828:7a1b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	City
3441d4f:1508ad97479:-72dc	Membership
3441d4f:1508ad97479:-6a79	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Lur/	EthnicGroup
3441d4f:1508ad6f828:6bd6	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Centre/	Province
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	Mountain
3441d4f:1508ad6f828:7c7b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	City
3441d4f:1508ad6f828:6b32	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/	Province
3441d4f:1508ad6f828:7309	Membership
3441d4f:1508ad97479:-782c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	City
3441d4f:1508ad6f828:6d92	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Muong/	EthnicGroup
3441d4f:1508ad97479:-6db9	SpokenBy
3441d4f:1508ad6f828:7569	Membership
3441d4f:1508ad97479:-7e5e	Membership
3441d4f:1508ad97479:-7158	Membership
3441d4f:1508ad97479:-6d15	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Akita/	Province
3441d4f:1508ad97479:-7baa	Membership
3441d4f:1508ad6f828:72b5	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	City
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	Estuary
3441d4f:1508ad6f828:7211	Membership
http://www.semwebtech.org/mondial/10/estuary/Asahan/	Estuary
3441d4f:1508ad97479:-6f75	Membership
http://www.semwebtech.org/mondial/10/islands/BahamaIslands/	Islands
3441d4f:1508ad97479:-6cc1	BelievedBy
3441d4f:1508ad6f828:78a9	Membership
3441d4f:1508ad6f828:7471	Membership
3441d4f:1508ad97479:-7060	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/	Province
3441d4f:1508ad6f828:7805	Membership
3441d4f:1508ad6f828:7e37	Membership
3441d4f:1508ad97479:-76f8	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/	Province
3441d4f:1508ad97479:-7a26	Membership
3441d4f:1508ad97479:-68c6	EthnicProportion
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/	Province
http://www.semwebtech.org/mondial/10/organization/NSG/	Organization
3441d4f:1508ad97479:-7654	Membership
http://www.semwebtech.org/mondial/10/river/Lulua/	River
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/	Province
3441d4f:1508ad6f828:77b1	Membership
http://www.semwebtech.org/mondial/10/island/Falster/	Island
3441d4f:1508ad97479:-7c86	Membership
3441d4f:1508ad97479:-73a0	Membership
3441d4f:1508ad6f828:6f2d	Membership
3441d4f:1508ad97479:-6b1c	BelievedBy
3441d4f:1508ad6f828:7de3	Membership
http://www.semwebtech.org/mondial/10/source/Neckar/	Source
3441d4f:1508ad6f828:70bc	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	City
http://www.semwebtech.org/mondial/10/religion/Buddhist/	Religion
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	City
3441d4f:1508ad97479:-6d7c	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Weser/	Estuary
http://www.semwebtech.org/mondial/10/source/Mantaro/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Karakalpak/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/	Province
3441d4f:1508ad97479:-7fc6	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	City
http://www.semwebtech.org/mondial/10/estuary/Piva/	Estuary
3441d4f:1508ad6f828:760c	Membership
3441d4f:1508ad97479:-7f22	Membership
3441d4f:1508ad6f828:7c3e	Membership
3441d4f:1508ad97479:-74ff	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	EthnicGroup
3441d4f:1508ad6f828:786c	Membership
3441d4f:1508ad97479:-745b	Membership
3441d4f:1508ad6f828:6df9	Membership
http://www.semwebtech.org/mondial/10/island/Uvea/	Island
3441d4f:1508ad6f828:7e9e	Membership
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	Lake
3441d4f:1508ad6f828:7198	Membership
3441d4f:1508ad97479:-7a8d	Membership
3441d4f:1508ad6f828:6d55	Membership
3441d4f:1508ad6f828:7bea	Membership
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	Desert
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	Lake
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	City
3441d4f:1508ad6f828:6aa1	Border
3441d4f:1508ad6f828:6983	Border
http://www.semwebtech.org/mondial/10/desert/Djourab/	Desert
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	City
http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	Islands
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/	Province
3441d4f:1508ad97479:-6f38	Membership
3441d4f:1508ad6f828:74d8	Membership
3441d4f:1508ad97479:-7dcd	Membership
3441d4f:1508ad97479:-70c7	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	City
http://www.semwebtech.org/mondial/10/lake/Ammersee/	Lake
3441d4f:1508ad6f828:7434	Membership
3441d4f:1508ad97479:-79fb	Membership
3441d4f:1508ad97479:-7023	Membership
3441d4f:1508ad6f828:7a66	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	Province
3441d4f:1508ad97479:-6ee4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/	Province
3441d4f:1508ad6f828:7694	Membership
3441d4f:1508ad97479:-7283	Membership
3441d4f:1508ad97479:-6e40	SpokenBy
3441d4f:1508ad6f828:73e0	Membership
http://www.semwebtech.org/mondial/10/river/Thames/	River
3441d4f:1508ad97479:-7617	Membership
3441d4f:1508ad6f828:6b5c	Membership
3441d4f:1508ad97479:-7c49	Membership
3441d4f:1508ad6f828:7da6	Membership
3441d4f:1508ad97479:-7877	Membership
3441d4f:1508ad6f828:7d02	Membership
3441d4f:1508ad6f828:79d4	Membership
3441d4f:1508ad97479:-75c3	Membership
3441d4f:1508ad97479:-6d3f	SpokenBy
3441d4f:1508ad6f828:795a	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	City
3441d4f:1508ad6f828:7930	Membership
3441d4f:1508ad6f828:72df	Membership
3441d4f:1508ad97479:-7bf5	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Aryan/	EthnicGroup
3441d4f:1508ad6f828:7f62	Membership
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	City
3441d4f:1508ad6f828:723b	Membership
3441d4f:1508ad97479:-7b51	Membership
3441d4f:1508ad97479:-6f9f	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Ruthenian/	EthnicGroup
3441d4f:1508ad97479:-69f1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	City
3441d4f:1508ad97479:-6ceb	BelievedBy
3441d4f:1508ad6f828:749b	Membership
3441d4f:1508ad97479:-708a	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	City
3441d4f:1508ad6f828:782f	Membership
http://www.semwebtech.org/mondial/10/language/Polynesian/	Language
3441d4f:1508ad97479:-741e	Membership
3441d4f:1508ad6f828:6d18	Membership
3441d4f:1508ad6f828:7bad	Membership
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	River
3441d4f:1508ad97479:-767e	Membership
3441d4f:1508ad6f828:6946	Encompassed
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	City
3441d4f:1508ad6f828:77db	Membership
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	City
3441d4f:1508ad97479:-73ca	Membership
3441d4f:1508ad6f828:6f78	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/	Province
3441d4f:1508ad97479:-6b67	BelievedBy
3441d4f:1508ad6f828:6cc4	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	City
3441d4f:1508ad6f828:7063	Membership
3441d4f:1508ad6f828:6c20	Membership
3441d4f:1508ad6f828:68f2	Encompassed
3441d4f:1508ad97479:-79be	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	City
3441d4f:1508ad6f828:7a29	Membership
3441d4f:1508ad97479:-791a	Membership
http://www.semwebtech.org/mondial/10/island/Bali/	Island
3441d4f:1508ad6f828:6e80	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/	Province
3441d4f:1508ad97479:-6ea7	Membership
3441d4f:1508ad6f828:7657	Membership
3441d4f:1508ad97479:-7f4c	Membership
3441d4f:1508ad97479:-7246	Membership
3441d4f:1508ad97479:-6e03	SpokenBy
3441d4f:1508ad6f828:7c89	Membership
3441d4f:1508ad6f828:73a3	Membership
3441d4f:1508ad6f828:6b1f	Membership
http://www.semwebtech.org/mondial/10/language/Hungarian/	Language
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandjia/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	City
3441d4f:1508ad97479:-71f2	Membership
3441d4f:1508ad6f828:6d7f	Membership
http://www.semwebtech.org/mondial/10/river/Bomu/	River
3441d4f:1508ad6f828:6acb	Membership
3441d4f:1508ad6f828:7fc9	Membership
3441d4f:1508ad6f828:7b91	Membership
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	Lake
3441d4f:1508ad97479:-7bb8	Membership
http://www.semwebtech.org/mondial/10/source/Pibor/	Source
3441d4f:1508ad6f828:7f25	Membership
3441d4f:1508ad97479:-77e6	Membership
3441d4f:1508ad97479:-7b14	Membership
3441d4f:1508ad97479:-69b4	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Gambia/	River
3441d4f:1508ad97479:-7742	Membership
3441d4f:1508ad97479:-6910	EthnicProportion
3441d4f:1508ad97479:-6cae	BelievedBy
3441d4f:1508ad6f828:745e	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/	Province
3441d4f:1508ad97479:-7d74	Membership
3441d4f:1508ad97479:-704d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	City
http://www.semwebtech.org/mondial/10/source/Oka/	Source
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/	Province
3441d4f:1508ad6f828:7ed1	Membership
3441d4f:1508ad97479:-6c0a	BelievedBy
3441d4f:1508ad6f828:71aa	Membership
3441d4f:1508ad97479:-7ac0	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/	Province
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	City
3441d4f:1508ad97479:-6e6a	Membership
3441d4f:1508ad6f828:6909	Encompassed
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	City
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	City
3441d4f:1508ad6f828:7d2c	Membership
3441d4f:1508ad6f828:79fe	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/	Province
3441d4f:1508ad6f828:7026	Membership
3441d4f:1508ad97479:-75ed	Membership
3441d4f:1508ad6f828:68b5	Encompassed
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/	Province
3441d4f:1508ad6f828:6ee7	Membership
3441d4f:1508ad6f828:7f8c	Membership
3441d4f:1508ad97479:-6ad6	EthnicProportion
3441d4f:1508ad6f828:7286	Membership
3441d4f:1508ad97479:-7b7b	Membership
3441d4f:1508ad6f828:6e43	Membership
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	City
3441d4f:1508ad97479:-6a32	EthnicProportion
3441d4f:1508ad97479:-7f0f	Membership
3441d4f:1508ad97479:-7209	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	City
http://www.semwebtech.org/mondial/10/organization/InOC/	Organization
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/	Province
3441d4f:1508ad97479:-6c92	BelievedBy
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/	Province
3441d4f:1508ad97479:-7469	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	City
3441d4f:1508ad6f828:75c6	Membership
3441d4f:1508ad97479:-7ebb	Membership
3441d4f:1508ad97479:-71b5	Membership
3441d4f:1508ad6f828:7bf8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	City
3441d4f:1508ad6f828:7522	Membership
3441d4f:1508ad97479:-7111	Membership
http://www.semwebtech.org/mondial/10/country/BR/	Country
3441d4f:1508ad6f828:7b54	Membership
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	Mountain
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/	Province
3441d4f:1508ad97479:-6fd2	Membership
3441d4f:1508ad6f828:7782	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	City
3441d4f:1508ad97479:-77a9	Membership
3441d4f:1508ad97479:-7371	Membership
http://www.semwebtech.org/mondial/10/source/Ob/	Source
3441d4f:1508ad6f828:6cee	Membership
3441d4f:1508ad6f828:708d	Membership
3441d4f:1508ad97479:-7705	Membership
3441d4f:1508ad6f828:6c4a	Membership
3441d4f:1508ad97479:-7d37	Membership
http://www.semwebtech.org/mondial/10/source/Garonne/	Source
3441d4f:1508ad97479:-7965	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	City
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	City
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	EthnicGroup
3441d4f:1508ad97479:-7f97	Membership
3441d4f:1508ad97479:-76b1	Membership
3441d4f:1508ad97479:-6e2d	SpokenBy
3441d4f:1508ad6f828:73cd	Membership
3441d4f:1508ad97479:-7ce3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	City
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	City
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	City
3441d4f:1508ad6f828:791d	Membership
3441d4f:1508ad97479:-750c	Membership
3441d4f:1508ad6f828:6a72	Border
3441d4f:1508ad6f828:7f4f	Membership
3441d4f:1508ad6f828:7249	Membership
3441d4f:1508ad97479:-7b3e	Membership
3441d4f:1508ad6f828:6e06	Membership
3441d4f:1508ad97479:-69de	EthnicProportion
3441d4f:1508ad97479:-776c	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	City
3441d4f:1508ad97479:-6cf9	BelievedBy
3441d4f:1508ad97479:-7d9e	Membership
3441d4f:1508ad97479:-693a	EthnicProportion
3441d4f:1508ad97479:-7098	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/	Province
3441d4f:1508ad6f828:7efb	Membership
3441d4f:1508ad97479:-6c55	BelievedBy
3441d4f:1508ad6f828:71f5	Membership
3441d4f:1508ad97479:-7aea	Membership
3441d4f:1508ad6f828:6db2	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/	Province
3441d4f:1508ad6f828:7151	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	City
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/	Province
http://www.semwebtech.org/mondial/10/island/Norderney/	Island
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	City
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	City
3441d4f:1508ad6f828:69e0	Border
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	Source
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	Island
3441d4f:1508ad6f828:7b17	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/	Province
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/	Province
3441d4f:1508ad6f828:77e9	Membership
3441d4f:1508ad97479:-73d8	Membership
3441d4f:1508ad6f828:7745	Membership
http://www.semwebtech.org/mondial/10/language/Uzbek/	Language
3441d4f:1508ad97479:-7334	Membership
3441d4f:1508ad6f828:7d77	Membership
3441d4f:1508ad6f828:6c0d	Membership
3441d4f:1508ad6f828:68df	Encompassed
3441d4f:1508ad6f828:7ac3	Membership
3441d4f:1508ad97479:-7594	Membership
3441d4f:1508ad6f828:76f1	Membership
3441d4f:1508ad97479:-7928	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/	Province
3441d4f:1508ad97479:-72e0	Membership
3441d4f:1508ad6f828:6e6d	Membership
3441d4f:1508ad97479:-6a5c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	City
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	Source
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	City
3441d4f:1508ad97479:-7ca6	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/	Province
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	Mountain
3441d4f:1508ad97479:-78d4	Membership
3441d4f:1508ad97479:-7c02	Membership
http://www.semwebtech.org/mondial/10/source/Sanaga/	Source
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	City
3441d4f:1508ad97479:-7830	Membership
3441d4f:1508ad97479:-71df	Membership
3441d4f:1508ad97479:-7e62	Membership
3441d4f:1508ad6f828:754c	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/	Province
3441d4f:1508ad97479:-713b	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	City
3441d4f:1508ad6f828:6ad9	Membership
3441d4f:1508ad6f828:7b7e	Membership
3441d4f:1508ad6f828:6a35	Border
3441d4f:1508ad97479:-6ffc	Membership
3441d4f:1508ad97479:-739b	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	City
3441d4f:1508ad97479:-772f	Membership
3441d4f:1508ad6f828:6c95	Membership
http://www.semwebtech.org/mondial/10/country/C/	Country
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/	Province
3441d4f:1508ad97479:-6c18	BelievedBy
3441d4f:1508ad97479:-798f	Membership
3441d4f:1508ad6f828:7ebe	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	City
3441d4f:1508ad6f828:71b8	Membership
3441d4f:1508ad97479:-7aad	Membership
3441d4f:1508ad6f828:7e1a	Membership
3441d4f:1508ad6f828:7114	Membership
3441d4f:1508ad97479:-76db	Membership
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:69a3	Border
3441d4f:1508ad97479:-6e78	Membership
3441d4f:1508ad6f828:6fd5	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	City
3441d4f:1508ad97479:-6bc4	BelievedBy
3441d4f:1508ad6f828:7374	Membership
3441d4f:1508ad6f828:6f31	Membership
3441d4f:1508ad97479:-6b20	BelievedBy
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	City
3441d4f:1508ad6f828:7708	Membership
3441d4f:1508ad6f828:70c0	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	City
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	Sea
3441d4f:1508ad97479:-6d80	SpokenBy
3441d4f:1508ad6f828:7968	Membership
3441d4f:1508ad97479:-7557	Membership
3441d4f:1508ad6f828:6a9c	Border
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	City
3441d4f:1508ad6f828:76b4	Membership
http://www.semwebtech.org/mondial/10/organization/ABEDA/	Organization
3441d4f:1508ad97479:-7b89	Membership
3441d4f:1508ad97479:-72a3	Membership
3441d4f:1508ad97479:-6a1f	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Oahu/	Island
3441d4f:1508ad6f828:7ce6	Membership
3441d4f:1508ad6f828:7610	Membership
3441d4f:1508ad6f828:7c42	Membership
3441d4f:1508ad97479:-6985	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	City
3441d4f:1508ad97479:-6c7f	BelievedBy
3441d4f:1508ad6f828:7870	Membership
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:6ddc	Membership
http://www.semwebtech.org/mondial/10/language/Lithuanian/	Language
3441d4f:1508ad97479:-7ec9	Membership
3441d4f:1508ad6f828:717b	Membership
3441d4f:1508ad97479:-7a91	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Basogo/	EthnicGroup
3441d4f:1508ad6f828:750f	Membership
3441d4f:1508ad97479:-7e25	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	City
3441d4f:1508ad97479:-6fbf	Membership
3441d4f:1508ad6f828:776f	Membership
http://www.semwebtech.org/mondial/10/island/Pemba/	Island
http://www.semwebtech.org/mondial/10/river/Isere/	River
3441d4f:1508ad97479:-735e	Membership
http://www.semwebtech.org/mondial/10/religion/Bahai/	Religion
3441d4f:1508ad97479:-6f1b	Membership
3441d4f:1508ad6f828:74bb	Membership
3441d4f:1508ad97479:-7dd1	Membership
3441d4f:1508ad97479:-70aa	Membership
3441d4f:1508ad6f828:6c58	Membership
3441d4f:1508ad6f828:7aed	Membership
3441d4f:1508ad6f828:6886	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Iteso/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	City
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	City
3441d4f:1508ad6f828:6b60	Membership
3441d4f:1508ad97479:-78fe	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/	Province
3441d4f:1508ad6f828:7337	Membership
3441d4f:1508ad97479:-7c2c	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/	Province
3441d4f:1508ad97479:-785a	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	City
3441d4f:1508ad97479:-6de7	SpokenBy
http://www.semwebtech.org/mondial/10/islands/IonicIslands/	Islands
3441d4f:1508ad6f828:7597	Membership
3441d4f:1508ad97479:-7e8c	Membership
3441d4f:1508ad97479:-7186	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	City
3441d4f:1508ad97479:-6d43	SpokenBy
3441d4f:1508ad6f828:72e3	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	City
3441d4f:1508ad6f828:6ea0	Membership
3441d4f:1508ad6f828:6a5f	Border
3441d4f:1508ad6f828:7ca9	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	City
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	City
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	City
3441d4f:1508ad6f828:7c05	Membership
3441d4f:1508ad6f828:78d7	Membership
3441d4f:1508ad97479:-6948	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/	Province
3441d4f:1508ad97479:-74c6	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/	Province
http://www.semwebtech.org/mondial/10/river/Asahan/	River
3441d4f:1508ad6f828:7833	Membership
3441d4f:1508ad97479:-7af8	Membership
3441d4f:1508ad97479:-7422	Membership
3441d4f:1508ad6f828:7e65	Membership
3441d4f:1508ad97479:-7a54	Membership
3441d4f:1508ad6f828:713e	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	City
3441d4f:1508ad6f828:69cd	Border
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	Desert
3441d4f:1508ad6f828:7bb1	Membership
3441d4f:1508ad97479:-68f4	EthnicProportion
3441d4f:1508ad97479:-7682	Membership
3441d4f:1508ad6f828:6fff	Membership
http://www.semwebtech.org/mondial/10/country/SVAX/	Country
3441d4f:1508ad97479:-6bee	BelievedBy
3441d4f:1508ad6f828:739e	Membership
3441d4f:1508ad6f828:6f5b	Membership
3441d4f:1508ad97479:-6b4a	BelievedBy
3441d4f:1508ad6f828:70ea	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	City
3441d4f:1508ad97479:-79c2	Membership
3441d4f:1508ad97479:-7ff4	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	City
3441d4f:1508ad6f828:76de	Membership
3441d4f:1508ad6f828:7a0c	Membership
http://www.semwebtech.org/mondial/10/organization/SELEC/	Organization
3441d4f:1508ad97479:-72cd	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Zala/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/	Province
3441d4f:1508ad6f828:763a	Membership
3441d4f:1508ad97479:-7f50	Membership
3441d4f:1508ad6f828:6bc7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	City
3441d4f:1508ad6f828:7c6c	Membership
http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Mountains
3441d4f:1508ad6f828:6b23	Membership
3441d4f:1508ad6f828:789a	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/	Province
3441d4f:1508ad97479:-781d	Membership
3441d4f:1508ad6f828:6d83	Membership
3441d4f:1508ad97479:-7e4f	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	City
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/	Province
3441d4f:1508ad97479:-7149	Membership
3441d4f:1508ad6f828:7fac	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/	Province
3441d4f:1508ad97479:-6d06	BelievedBy
3441d4f:1508ad6f828:72a6	Membership
3441d4f:1508ad6f828:7202	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	City
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/	Province
http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/	Mountains
3441d4f:1508ad97479:-6f66	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	City
3441d4f:1508ad97479:-7dfb	Membership
3441d4f:1508ad97479:-70f5	Membership
3441d4f:1508ad97479:-6cb2	BelievedBy
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	City
3441d4f:1508ad6f828:7462	Membership
3441d4f:1508ad97479:-7051	Membership
3441d4f:1508ad97479:-6cdc	BelievedBy
http://www.semwebtech.org/mondial/10/language/Balochi/	Language
http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	EthnicGroup
3441d4f:1508ad6f828:7a94	Membership
3441d4f:1508ad6f828:7e28	Membership
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	Lake
3441d4f:1508ad97479:-76e9	Membership
3441d4f:1508ad97479:-7a17	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	City
3441d4f:1508ad97479:-68b7	EthnicProportion
3441d4f:1508ad97479:-7645	Membership
3441d4f:1508ad6f828:6b8a	Membership
http://www.semwebtech.org/mondial/10/island/Barbuda/	Island
3441d4f:1508ad6f828:77a2	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	City
3441d4f:1508ad97479:-7c77	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	City
3441d4f:1508ad6f828:6f1e	Membership
3441d4f:1508ad6f828:7dd4	Membership
3441d4f:1508ad97479:-6b0d	EthnicProportion
3441d4f:1508ad6f828:70ad	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	City
3441d4f:1508ad6f828:7d30	Membership
3441d4f:1508ad97479:-75f1	Membership
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	City
3441d4f:1508ad97479:-6d6d	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	City
http://www.semwebtech.org/mondial/10/sea/KaraSea/	Sea
3441d4f:1508ad6f828:6eca	Membership
3441d4f:1508ad6f828:7f90	Membership
3441d4f:1508ad97479:-7fb7	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	City
http://www.semwebtech.org/mondial/10/source/Ubangi/	Source
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	City
3441d4f:1508ad97479:-7f13	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	City
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	Sea
3441d4f:1508ad6f828:7c2f	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	City
3441d4f:1508ad6f828:785d	Membership
3441d4f:1508ad97479:-744c	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	City
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	City
http://www.semwebtech.org/mondial/10/source/Amudarja/	Source
3441d4f:1508ad6f828:7e8f	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/	Province
3441d4f:1508ad6f828:7189	Membership
3441d4f:1508ad97479:-7a7e	Membership
3441d4f:1508ad6f828:6d46	Membership
3441d4f:1508ad6f828:7bdb	Membership
http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	Mountains
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	City
http://www.semwebtech.org/mondial/10/river/Tara/	River
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	City
3441d4f:1508ad6f828:6974	Encompassed
3441d4f:1508ad97479:-6b95	BelievedBy
3441d4f:1508ad6f828:6cf2	Membership
3441d4f:1508ad97479:-6f29	Membership
3441d4f:1508ad97479:-7dbe	Membership
3441d4f:1508ad6f828:74c9	Membership
3441d4f:1508ad6f828:7091	Membership
3441d4f:1508ad97479:-70b8	Membership
3441d4f:1508ad97479:-79ec	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	City
3441d4f:1508ad6f828:7425	Membership
3441d4f:1508ad97479:-7d1a	Membership
3441d4f:1508ad97479:-7014	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	City
3441d4f:1508ad6f828:7a57	Membership
3441d4f:1508ad97479:-6ed5	Membership
3441d4f:1508ad6f828:7685	Membership
3441d4f:1508ad97479:-7f7a	Membership
3441d4f:1508ad97479:-7274	Membership
3441d4f:1508ad97479:-6e31	SpokenBy
3441d4f:1508ad6f828:73d1	Membership
3441d4f:1508ad97479:-7608	Membership
http://www.semwebtech.org/mondial/10/organization/MIGA/	Organization
3441d4f:1508ad6f828:6b4d	Membership
3441d4f:1508ad97479:-7868	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/	Province
3441d4f:1508ad6f828:79c5	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/	Province
3441d4f:1508ad97479:-75b4	Membership
http://www.semwebtech.org/mondial/10/estuary/Luvua/	Estuary
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	City
3441d4f:1508ad6f828:7ff7	Membership
3441d4f:1508ad6f828:7921	Membership
3441d4f:1508ad97479:-7be6	Membership
3441d4f:1508ad97479:-7510	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	City
3441d4f:1508ad6f828:7f53	Membership
3441d4f:1508ad6f828:722c	Membership
3441d4f:1508ad97479:-7b42	Membership
3441d4f:1508ad97479:-69e2	EthnicProportion
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/	Province
3441d4f:1508ad97479:-7770	Membership
http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/	Islands
3441d4f:1508ad6f828:748c	Membership
http://www.semwebtech.org/mondial/10/river/Main/	River
3441d4f:1508ad97479:-707b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/	Province
http://www.semwebtech.org/mondial/10/island/Gotland/	Island
3441d4f:1508ad97479:-740f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	City
3441d4f:1508ad6f828:6d09	Membership
3441d4f:1508ad97479:-766f	Membership
http://www.semwebtech.org/mondial/10/island/MargitSziget/	Island
3441d4f:1508ad6f828:6937	Encompassed
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/	Province
3441d4f:1508ad6f828:77cc	Membership
3441d4f:1508ad97479:-73bb	Membership
3441d4f:1508ad6f828:6f69	Membership
3441d4f:1508ad6f828:7dfe	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	City
3441d4f:1508ad97479:-6b58	BelievedBy
3441d4f:1508ad6f828:70f8	Membership
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	City
3441d4f:1508ad6f828:6cb5	Membership
3441d4f:1508ad6f828:7d5a	Membership
http://www.semwebtech.org/mondial/10/country/TOK/	Country
3441d4f:1508ad6f828:7054	Membership
3441d4f:1508ad6f828:6c11	Membership
3441d4f:1508ad6f828:68e3	Encompassed
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	City
3441d4f:1508ad97479:-79af	Membership
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/	Province
3441d4f:1508ad97479:-790b	Membership
http://www.semwebtech.org/mondial/10/country/DOM/	Country
3441d4f:1508ad97479:-6a60	EthnicProportion
3441d4f:1508ad6f828:6e71	Membership
http://www.semwebtech.org/mondial/10/island/Chios/	Island
3441d4f:1508ad97479:-7f3d	Membership
3441d4f:1508ad6f828:7648	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	City
3441d4f:1508ad97479:-7237	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/	Province
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	City
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	City
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	Estuary
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/	Province
3441d4f:1508ad97479:-7497	Membership
3441d4f:1508ad6f828:75f4	Membership
3441d4f:1508ad97479:-71e3	Membership
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	City
3441d4f:1508ad97479:-6da0	SpokenBy
3441d4f:1508ad6f828:7550	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	City
3441d4f:1508ad6f828:6abc	Border
3441d4f:1508ad6f828:699e	Border
3441d4f:1508ad6f828:7b82	Membership
3441d4f:1508ad97479:-7ba9	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	City
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	City
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	City
3441d4f:1508ad6f828:7f16	Membership
3441d4f:1508ad97479:-77d7	Membership
3441d4f:1508ad97479:-7b05	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	City
3441d4f:1508ad97479:-69a5	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Salzach/	Source
3441d4f:1508ad97479:-7733	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	City
3441d4f:1508ad97479:-6901	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/Azores/	Mountains
3441d4f:1508ad6f828:744f	Membership
3441d4f:1508ad97479:-7d65	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	City
3441d4f:1508ad97479:-703e	Membership
3441d4f:1508ad6f828:7ec2	Membership
http://www.semwebtech.org/mondial/10/island/GrandTurk/	Island
3441d4f:1508ad97479:-7993	Membership
3441d4f:1508ad97479:-7ab1	Membership
3441d4f:1508ad97479:-6eff	Membership
3441d4f:1508ad97479:-729e	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	City
3441d4f:1508ad97479:-6e5b	Membership
3441d4f:1508ad6f828:73fb	Membership
http://www.semwebtech.org/mondial/10/source/Pruth/	Source
3441d4f:1508ad6f828:6b98	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	City
http://www.semwebtech.org/mondial/10/river/Tambo/	River
3441d4f:1508ad6f828:7d1d	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	City
3441d4f:1508ad6f828:79ef	Membership
3441d4f:1508ad6f828:7017	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	City
3441d4f:1508ad97479:-75de	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/	Province
3441d4f:1508ad6f828:68a6	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Euronesians/	EthnicGroup
3441d4f:1508ad6f828:794b	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/	Province
3441d4f:1508ad97479:-753a	Membership
3441d4f:1508ad6f828:6ed8	Membership
3441d4f:1508ad97479:-6ac7	EthnicProportion
3441d4f:1508ad6f828:7f7d	Membership
3441d4f:1508ad6f828:7277	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	City
3441d4f:1508ad97479:-7b6c	Membership
3441d4f:1508ad6f828:6e34	Membership
3441d4f:1508ad97479:-6a23	EthnicProportion
3441d4f:1508ad97479:-779a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	City
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	City
3441d4f:1508ad97479:-6c83	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/	Mountain
http://www.semwebtech.org/mondial/10/river/Indus/	River
3441d4f:1508ad6f828:6de0	Membership
3441d4f:1508ad97479:-7eac	Membership
3441d4f:1508ad6f828:75b7	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/	Province
http://www.semwebtech.org/mondial/10/source/Uruguay/	Source
3441d4f:1508ad97479:-71a6	Membership
3441d4f:1508ad6f828:7be9	Membership
3441d4f:1508ad6f828:7513	Membership
3441d4f:1508ad97479:-7102	Membership
3441d4f:1508ad6f828:7b45	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigrinya/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountain/Ampato/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-6fc3	Membership
3441d4f:1508ad6f828:7773	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	City
3441d4f:1508ad97479:-7362	Membership
3441d4f:1508ad6f828:6cdf	Membership
3441d4f:1508ad6f828:707e	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/	Province
3441d4f:1508ad6f828:6c3b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoSoungHmongYao/	EthnicGroup
3441d4f:1508ad6f828:7af1	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	City
3441d4f:1508ad97479:-7d28	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	City
3441d4f:1508ad97479:-7956	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/	Province
3441d4f:1508ad97479:-6a8a	EthnicProportion
3441d4f:1508ad6f828:6e9b	Membership
3441d4f:1508ad97479:-76a2	Membership
3441d4f:1508ad97479:-7f88	Membership
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	City
3441d4f:1508ad97479:-6e1e	SpokenBy
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/	Province
http://www.semwebtech.org/mondial/10/island/Aland/	Island
3441d4f:1508ad6f828:73be	Membership
3441d4f:1508ad97479:-7cd4	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/	Province
3441d4f:1508ad6f828:731a	Membership
3441d4f:1508ad97479:-7c30	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	City
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/	Province
3441d4f:1508ad97479:-6dca	SpokenBy
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	City
3441d4f:1508ad6f828:757a	Membership
3441d4f:1508ad97479:-7e90	Membership
3441d4f:1508ad6f828:790e	Membership
http://www.semwebtech.org/mondial/10/source/Sobat/	Source
3441d4f:1508ad6f828:6a63	Border
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	City
3441d4f:1508ad97479:-7b2f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	City
3441d4f:1508ad97479:-69cf	EthnicProportion
3441d4f:1508ad97479:-775d	Membership
3441d4f:1508ad6f828:78ba	Membership
3441d4f:1508ad97479:-7d8f	Membership
3441d4f:1508ad97479:-692b	EthnicProportion
3441d4f:1508ad97479:-7089	Membership
3441d4f:1508ad97479:-6c46	BelievedBy
3441d4f:1508ad97479:-7adb	Membership
3441d4f:1508ad6f828:7eec	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	City
3441d4f:1508ad6f828:71e6	Membership
3441d4f:1508ad6f828:6da3	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	City
3441d4f:1508ad6f828:7142	Membership
3441d4f:1508ad6f828:69d1	Border
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	City
3441d4f:1508ad97479:-6bf2	BelievedBy
3441d4f:1508ad6f828:7b08	Membership
3441d4f:1508ad97479:-73c9	Membership
http://www.semwebtech.org/mondial/10/islands/AlandIslands/	Islands
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/	Province
3441d4f:1508ad6f828:7736	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/	Province
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/	Province
3441d4f:1508ad97479:-7325	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	City
3441d4f:1508ad6f828:7d68	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/	Province
3441d4f:1508ad6f828:7996	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	City
3441d4f:1508ad6f828:7ab4	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	City
3441d4f:1508ad97479:-7585	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	City
3441d4f:1508ad6f828:76e2	Membership
3441d4f:1508ad6f828:7a10	Membership
3441d4f:1508ad97479:-7919	Membership
3441d4f:1508ad97479:-72d1	Membership
3441d4f:1508ad6f828:6e5e	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/	Province
3441d4f:1508ad97479:-6a4d	EthnicProportion
3441d4f:1508ad6f828:6baa	Membership
3441d4f:1508ad6f828:7c70	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	City
3441d4f:1508ad97479:-78c5	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	City
3441d4f:1508ad97479:-7ef7	Membership
3441d4f:1508ad97479:-7821	Membership
http://www.semwebtech.org/mondial/10/country/IS/	Country
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/	Province
3441d4f:1508ad6f828:753d	Membership
3441d4f:1508ad97479:-7e53	Membership
3441d4f:1508ad97479:-712c	Membership
3441d4f:1508ad6f828:7fb0	Membership
3441d4f:1508ad6f828:7b6f	Membership
3441d4f:1508ad97479:-6fed	Membership
3441d4f:1508ad6f828:6a26	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	City
3441d4f:1508ad6f828:779d	Membership
3441d4f:1508ad97479:-738c	Membership
3441d4f:1508ad6f828:6c86	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	City
3441d4f:1508ad6f828:7eaf	Membership
3441d4f:1508ad97479:-6c09	BelievedBy
3441d4f:1508ad6f828:71a9	Membership
3441d4f:1508ad6f828:7e0b	Membership
3441d4f:1508ad6f828:7105	Membership
3441d4f:1508ad97479:-76cc	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	City
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	City
3441d4f:1508ad97479:-6e69	Membership
3441d4f:1508ad97479:-7cfe	Membership
http://www.semwebtech.org/mondial/10/country/RL/	Country
http://www.semwebtech.org/mondial/10/organization/LAS/	Organization
3441d4f:1508ad6f828:6fc6	Membership
3441d4f:1508ad97479:-6bb5	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	City
3441d4f:1508ad6f828:7365	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	City
3441d4f:1508ad97479:-7c5a	Membership
3441d4f:1508ad6f828:6f22	Membership
3441d4f:1508ad97479:-6b11	EthnicProportion
3441d4f:1508ad6f828:70b1	Membership
http://www.semwebtech.org/mondial/10/country/TR/	Country
http://www.semwebtech.org/mondial/10/organization/ACP/	Organization
http://www.semwebtech.org/mondial/10/mountain/Tahat/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/	Province
3441d4f:1508ad97479:-6d71	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/Silisili/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7959	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	City
3441d4f:1508ad97479:-7548	Membership
3441d4f:1508ad6f828:6a8d	Border
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	City
3441d4f:1508ad6f828:76a5	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/	Province
http://www.semwebtech.org/mondial/10/island/GrandComoro/	Island
3441d4f:1508ad6f828:7cd7	Membership
3441d4f:1508ad6f828:7601	Membership
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	Mountain
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/	Province
3441d4f:1508ad6f828:7c33	Membership
3441d4f:1508ad97479:-6976	EthnicProportion
3441d4f:1508ad97479:-74f4	Membership
3441d4f:1508ad6f828:7861	Membership
3441d4f:1508ad97479:-7450	Membership
3441d4f:1508ad6f828:6dcd	Membership
3441d4f:1508ad6f828:7e93	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	EthnicGroup
3441d4f:1508ad6f828:716c	Membership
3441d4f:1508ad97479:-7a82	Membership
http://www.semwebtech.org/mondial/10/source/Tobol/	Source
3441d4f:1508ad6f828:69fb	Border
3441d4f:1508ad97479:-7e16	Membership
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	City
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	City
3441d4f:1508ad97479:-734f	Membership
3441d4f:1508ad97479:-6f0c	Membership
3441d4f:1508ad97479:-7dc2	Membership
3441d4f:1508ad6f828:74ac	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	City
3441d4f:1508ad6f828:7ade	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/	Province
3441d4f:1508ad6f828:6c49	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	City
http://www.semwebtech.org/mondial/10/country/FARX/	Country
3441d4f:1508ad97479:-79f0	Membership
3441d4f:1508ad6f828:7a3a	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	City
3441d4f:1508ad97479:-72fb	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/	Province
3441d4f:1508ad97479:-6a98	EthnicProportion
3441d4f:1508ad6f828:6bf5	Membership
3441d4f:1508ad6f828:7c9a	Membership
http://www.semwebtech.org/mondial/10/country/Q/	Country
3441d4f:1508ad6f828:6b51	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/	Province
3441d4f:1508ad97479:-78ef	Membership
3441d4f:1508ad6f828:7328	Membership
3441d4f:1508ad97479:-7c1d	Membership
3441d4f:1508ad97479:-784b	Membership
3441d4f:1508ad97479:-6dd8	SpokenBy
http://www.semwebtech.org/mondial/10/river/Iller/	River
3441d4f:1508ad97479:-7e7d	Membership
3441d4f:1508ad6f828:7588	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/	Province
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	City
3441d4f:1508ad97479:-7177	Membership
3441d4f:1508ad97479:-6d34	BelievedBy
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/	Province
3441d4f:1508ad6f828:7fda	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	City
3441d4f:1508ad6f828:72d4	Membership
http://www.semwebtech.org/mondial/10/estuary/Luapula/	Estuary
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	City
3441d4f:1508ad6f828:7230	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	City
3441d4f:1508ad97479:-6f94	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Ilfov/	Province
http://www.semwebtech.org/mondial/10/organization/Interpol/	Organization
3441d4f:1508ad97479:-6939	EthnicProportion
3441d4f:1508ad97479:-6ce0	BelievedBy
3441d4f:1508ad6f828:78c8	Membership
3441d4f:1508ad6f828:7490	Membership
3441d4f:1508ad97479:-74b7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	City
3441d4f:1508ad6f828:7824	Membership
http://www.semwebtech.org/mondial/10/island/Pellworm/	Island
3441d4f:1508ad97479:-7ae9	Membership
3441d4f:1508ad97479:-7413	Membership
3441d4f:1508ad6f828:7e56	Membership
3441d4f:1508ad6f828:712f	Membership
http://www.semwebtech.org/mondial/10/organization/UNASUR/	Organization
3441d4f:1508ad97479:-7a45	Membership
3441d4f:1508ad6f828:69be	Border
3441d4f:1508ad6f828:7ba2	Membership
3441d4f:1508ad97479:-68e5	EthnicProportion
3441d4f:1508ad97479:-7673	Membership
3441d4f:1508ad97479:-6bdf	BelievedBy
http://www.semwebtech.org/mondial/10/country/MAL/	Country
3441d4f:1508ad6f828:691a	Encompassed
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	City
3441d4f:1508ad6f828:77d0	Membership
3441d4f:1508ad6f828:738f	Membership
3441d4f:1508ad6f828:6f4c	Membership
3441d4f:1508ad97479:-6b3b	BelievedBy
3441d4f:1508ad6f828:70db	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/	Province
3441d4f:1508ad97479:-6d9b	SpokenBy
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	City
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/	Province
3441d4f:1508ad97479:-79b3	Membership
http://www.semwebtech.org/mondial/10/country/MEX/	Country
3441d4f:1508ad6f828:76cf	Membership
3441d4f:1508ad97479:-7fe5	Membership
3441d4f:1508ad97479:-72be	Membership
3441d4f:1508ad6f828:762b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/	Province
3441d4f:1508ad97479:-7f41	Membership
3441d4f:1508ad97479:-721a	Membership
http://www.semwebtech.org/mondial/10/islands/Lofotes/	Islands
3441d4f:1508ad6f828:6bb8	Membership
3441d4f:1508ad6f828:7c5d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/	Province
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/	Province
http://www.semwebtech.org/mondial/10/island/Bahrain/	Island
3441d4f:1508ad6f828:6b14	Membership
3441d4f:1508ad6f828:788b	Membership
3441d4f:1508ad97479:-747a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	City
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	City
3441d4f:1508ad97479:-780e	Membership
3441d4f:1508ad6f828:6d74	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	City
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	City
http://www.semwebtech.org/mondial/10/religion/Mayan/	Religion
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	Lake
3441d4f:1508ad6f828:6ac0	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	City
http://www.semwebtech.org/mondial/10/estuary/Würm/	Estuary
3441d4f:1508ad97479:-77ba	Membership
http://www.semwebtech.org/mondial/10/organization/IMSO/	Organization
http://www.semwebtech.org/mondial/10/river/Ural/	River
3441d4f:1508ad97479:-6f57	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/	Province
3441d4f:1508ad6f828:74f7	Membership
3441d4f:1508ad97479:-7dec	Membership
3441d4f:1508ad97479:-70e6	Membership
3441d4f:1508ad97479:-6ca3	BelievedBy
3441d4f:1508ad6f828:7453	Membership
http://www.semwebtech.org/mondial/10/estuary/Saluen/	Estuary
3441d4f:1508ad97479:-7042	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	City
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/	Province
3441d4f:1508ad6f828:7a85	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/	Province
3441d4f:1508ad6f828:7e19	Membership
3441d4f:1508ad97479:-7a08	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/	Province
3441d4f:1508ad97479:-68a8	EthnicProportion
3441d4f:1508ad97479:-7636	Membership
3441d4f:1508ad6f828:6b7b	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	City
3441d4f:1508ad97479:-7c68	Membership
3441d4f:1508ad6f828:6f0f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Perm/	Province
3441d4f:1508ad6f828:7dc5	Membership
3441d4f:1508ad97479:-7896	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/	Province
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/	Province
3441d4f:1508ad6f828:7d21	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	City
3441d4f:1508ad6f828:79f3	Membership
http://www.semwebtech.org/mondial/10/river/RioNegro/	River
3441d4f:1508ad97479:-75e2	Membership
http://www.semwebtech.org/mondial/10/language/Croatian/	Language
3441d4f:1508ad97479:-6d5e	SpokenBy
3441d4f:1508ad6f828:72fe	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bilen/	EthnicGroup
3441d4f:1508ad6f828:6ebb	Membership
3441d4f:1508ad97479:-6aaa	EthnicProportion
3441d4f:1508ad6f828:7f81	Membership
3441d4f:1508ad97479:-7fa8	Membership
3441d4f:1508ad6f828:725a	Membership
3441d4f:1508ad97479:-7b70	Membership
3441d4f:1508ad97479:-7f04	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/	Province
3441d4f:1508ad6f828:784e	Membership
3441d4f:1508ad97479:-743d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	City
3441d4f:1508ad97479:-7eb0	Membership
3441d4f:1508ad97479:-7a6f	Membership
3441d4f:1508ad6f828:6d37	Membership
http://www.semwebtech.org/mondial/10/island/Rarotonga/	Island
3441d4f:1508ad6f828:7bcc	Membership
3441d4f:1508ad97479:-769d	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	City
3441d4f:1508ad6f828:6965	Encompassed
3441d4f:1508ad6f828:77fa	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/	Province
3441d4f:1508ad6f828:6f97	Membership
3441d4f:1508ad97479:-6b86	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/	Province
3441d4f:1508ad6f828:6ce3	Membership
3441d4f:1508ad97479:-7daf	Membership
3441d4f:1508ad6f828:7082	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	City
3441d4f:1508ad97479:-70a9	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/	Province
3441d4f:1508ad97479:-79dd	Membership
3441d4f:1508ad6f828:7416	Membership
3441d4f:1508ad97479:-7d0b	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	City
3441d4f:1508ad97479:-7005	Membership
http://www.semwebtech.org/mondial/10/island/SantaMaria/	Island
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	City
3441d4f:1508ad6f828:7a48	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	City
3441d4f:1508ad97479:-6ec6	Membership
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/	Province
3441d4f:1508ad6f828:7676	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	City
3441d4f:1508ad97479:-7f6b	Membership
3441d4f:1508ad97479:-7265	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bunyoro/	EthnicGroup
3441d4f:1508ad97479:-6e22	SpokenBy
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	City
3441d4f:1508ad6f828:73c2	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/	Province
3441d4f:1508ad6f828:6b3e	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	City
http://www.semwebtech.org/mondial/10/island/Hoy/	Island
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	City
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	Source
3441d4f:1508ad97479:-7859	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	City
3441d4f:1508ad6f828:6d9e	Membership
http://www.semwebtech.org/mondial/10/country/DK/	Country
3441d4f:1508ad6f828:79b6	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	City
3441d4f:1508ad97479:-75a5	Membership
3441d4f:1508ad6f828:6aea	Membership
3441d4f:1508ad6f828:7fe8	Membership
3441d4f:1508ad6f828:7912	Membership
3441d4f:1508ad97479:-7bd7	Membership
3441d4f:1508ad97479:-7501	Membership
3441d4f:1508ad6f828:7f44	Membership
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	Source
3441d4f:1508ad6f828:721d	Membership
3441d4f:1508ad97479:-7b33	Membership
3441d4f:1508ad97479:-69d3	EthnicProportion
3441d4f:1508ad97479:-7761	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/	Province
3441d4f:1508ad97479:-6ccd	BelievedBy
3441d4f:1508ad6f828:747d	Membership
3441d4f:1508ad97479:-7d93	Membership
3441d4f:1508ad97479:-706c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	City
3441d4f:1508ad6f828:7ef0	Membership
http://www.semwebtech.org/mondial/10/river/Adda/	River
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	City
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	City
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	City
http://www.semwebtech.org/mondial/10/language/Lezgi/	Language
http://www.semwebtech.org/mondial/10/country/MD/	Country
http://www.semwebtech.org/mondial/10/organization/G-7/	Organization
3441d4f:1508ad6f828:6928	Encompassed
3441d4f:1508ad6f828:77bd	Membership
3441d4f:1508ad97479:-73ac	Membership
3441d4f:1508ad6f828:7def	Membership
3441d4f:1508ad97479:-6b49	BelievedBy
3441d4f:1508ad6f828:70e9	Membership
3441d4f:1508ad6f828:6ca6	Membership
3441d4f:1508ad6f828:7d4b	Membership
3441d4f:1508ad6f828:7045	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/	Province
3441d4f:1508ad6f828:6c02	Membership
3441d4f:1508ad6f828:68d4	Encompassed
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/	Province
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	City
http://www.semwebtech.org/mondial/10/islands/TongaIslands/	Islands
3441d4f:1508ad97479:-6af5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	City
3441d4f:1508ad97479:-7b9a	Membership
http://www.semwebtech.org/mondial/10/language/Burmese/	Language
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	City
3441d4f:1508ad6f828:6e62	Membership
3441d4f:1508ad97479:-6a51	EthnicProportion
3441d4f:1508ad6f828:7639	Membership
3441d4f:1508ad97479:-7f2e	Membership
3441d4f:1508ad97479:-7228	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/	Province
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	City
http://www.semwebtech.org/mondial/10/river/Klaraelv/	River
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	City
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/	Province
3441d4f:1508ad6f828:7899	Membership
3441d4f:1508ad97479:-7488	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/	Province
3441d4f:1508ad6f828:75e5	Membership
3441d4f:1508ad97479:-7eda	Membership
3441d4f:1508ad97479:-71d4	Membership
http://www.semwebtech.org/mondial/10/island/Shikoku/	Island
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	City
3441d4f:1508ad6f828:7541	Membership
3441d4f:1508ad97479:-7130	Membership
3441d4f:1508ad6f828:6aad	Border
3441d4f:1508ad6f828:6a54	Border
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	City
3441d4f:1508ad6f828:698f	Border
3441d4f:1508ad6f828:7b73	Membership
3441d4f:1508ad97479:-6ff1	Membership
3441d4f:1508ad6f828:7f07	Membership
3441d4f:1508ad97479:-7390	Membership
3441d4f:1508ad97479:-77c8	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	City
3441d4f:1508ad97479:-7724	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	City
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	Lake
3441d4f:1508ad97479:-7d56	Membership
3441d4f:1508ad97479:-702f	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	City
3441d4f:1508ad6f828:7eb3	Membership
3441d4f:1508ad97479:-7984	Membership
3441d4f:1508ad97479:-7aa2	Membership
http://www.semwebtech.org/mondial/10/mountain/Sajama/	GeographicalNonPoliticalThing
http://www.semwebtech.org/mondial/10/source/Drau/	Source
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	City
3441d4f:1508ad97479:-76d0	Membership
3441d4f:1508ad97479:-728f	Membership
3441d4f:1508ad97479:-6e4c	SpokenBy
3441d4f:1508ad6f828:73ec	Membership
3441d4f:1508ad6f828:6b89	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/	Province
3441d4f:1508ad6f828:7d0e	Membership
3441d4f:1508ad6f828:7008	Membership
3441d4f:1508ad97479:-75cf	Membership
3441d4f:1508ad6f828:793c	Membership
3441d4f:1508ad97479:-752b	Membership
3441d4f:1508ad6f828:6ec9	Membership
3441d4f:1508ad6f828:6a91	Border
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/	Province
3441d4f:1508ad6f828:7f6e	Membership
3441d4f:1508ad97479:-6ab8	EthnicProportion
3441d4f:1508ad6f828:7268	Membership
3441d4f:1508ad97479:-7b5d	Membership
3441d4f:1508ad97479:-6a14	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	Mountain
3441d4f:1508ad6f828:6e25	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/	Province
3441d4f:1508ad6f828:7cba	Membership
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	City
3441d4f:1508ad97479:-69fd	EthnicProportion
3441d4f:1508ad97479:-778b	Membership
http://www.semwebtech.org/mondial/10/island/Jeju/	Island
3441d4f:1508ad97479:-6c74	BelievedBy
3441d4f:1508ad6f828:6dd1	Membership
3441d4f:1508ad6f828:75a8	Membership
3441d4f:1508ad6f828:7170	Membership
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7504	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	City
3441d4f:1508ad6f828:7b36	Membership
3441d4f:1508ad97479:-73f7	Membership
3441d4f:1508ad97479:-6fb4	Membership
3441d4f:1508ad6f828:7764	Membership
3441d4f:1508ad97479:-7353	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/	Province
3441d4f:1508ad97479:-6f10	Membership
3441d4f:1508ad6f828:7d96	Membership
3441d4f:1508ad6f828:74b0	Membership
3441d4f:1508ad6f828:706f	Membership
http://www.semwebtech.org/mondial/10/island/Mahe/	Island
3441d4f:1508ad6f828:6c2c	Membership
3441d4f:1508ad6f828:68fe	Encompassed
3441d4f:1508ad6f828:7ae2	Membership
3441d4f:1508ad97479:-7d19	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/	Province
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	City
3441d4f:1508ad97479:-7947	Membership
http://www.semwebtech.org/mondial/10/lake/CraterLake/	Lake
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	City
3441d4f:1508ad6f828:6e8c	Membership
3441d4f:1508ad97479:-6a7b	EthnicProportion
3441d4f:1508ad97479:-7f79	Membership
http://www.semwebtech.org/mondial/10/river/Amur/	River
3441d4f:1508ad97479:-6e0f	SpokenBy
3441d4f:1508ad6f828:73af	Membership
3441d4f:1508ad97479:-7cc5	Membership
3441d4f:1508ad97479:-78f3	Membership
3441d4f:1508ad6f828:730b	Membership
3441d4f:1508ad97479:-7c21	Membership
http://www.semwebtech.org/mondial/10/island/Cuba/	Island
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	City
http://www.semwebtech.org/mondial/10/country/BDS/	Country
3441d4f:1508ad97479:-71fe	Membership
3441d4f:1508ad97479:-6dbb	SpokenBy
3441d4f:1508ad6f828:756b	Membership
3441d4f:1508ad97479:-7e81	Membership
3441d4f:1508ad97479:-715a	Membership
3441d4f:1508ad6f828:6af8	Membership
3441d4f:1508ad6f828:7b9d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	City
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	City
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	River
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/	Province
http://www.semwebtech.org/mondial/10/island/Baltrum/	Island
3441d4f:1508ad97479:-774e	Membership
3441d4f:1508ad6f828:78ab	Membership
3441d4f:1508ad97479:-691c	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Lena/	Estuary
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	City
3441d4f:1508ad97479:-6c37	BelievedBy
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	City
3441d4f:1508ad6f828:7edd	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	City
3441d4f:1508ad6f828:71d7	Membership
3441d4f:1508ad97479:-7acc	Membership
3441d4f:1508ad6f828:7133	Membership
3441d4f:1508ad97479:-76fa	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	City
http://www.semwebtech.org/mondial/10/source/Ammer/	Source
3441d4f:1508ad6f828:69c2	Border
3441d4f:1508ad97479:-6e97	Membership
3441d4f:1508ad6f828:6ff4	Membership
3441d4f:1508ad97479:-6be3	BelievedBy
3441d4f:1508ad6f828:7393	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	City
3441d4f:1508ad6f828:6f50	Membership
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	Lake
3441d4f:1508ad6f828:7727	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/	Province
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	Mountain
3441d4f:1508ad97479:-7316	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	City
3441d4f:1508ad6f828:7d59	Membership
http://www.semwebtech.org/mondial/10/religion/ChurchTuvalu/	Religion
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	City
3441d4f:1508ad6f828:7987	Membership
3441d4f:1508ad6f828:7aa5	Membership
3441d4f:1508ad97479:-7576	Membership
3441d4f:1508ad6f828:76d3	Membership
3441d4f:1508ad6f828:7a01	Membership
3441d4f:1508ad97479:-72c2	Membership
3441d4f:1508ad6f828:6e4f	Membership
3441d4f:1508ad97479:-6a3e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	City
3441d4f:1508ad6f828:7c61	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/	Province
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/	Province
3441d4f:1508ad97479:-6c9e	BelievedBy
3441d4f:1508ad97479:-78b6	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/	Province
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	City
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	City
3441d4f:1508ad6f828:6dfb	Membership
3441d4f:1508ad97479:-7ee8	Membership
3441d4f:1508ad6f828:719a	Membership
3441d4f:1508ad97479:-7812	Membership
3441d4f:1508ad6f828:752e	Membership
3441d4f:1508ad97479:-7e44	Membership
3441d4f:1508ad97479:-711d	Membership
3441d4f:1508ad6f828:7fa1	Membership
http://www.semwebtech.org/mondial/10/language/Pashtu/	Language
3441d4f:1508ad6f828:6a17	Border
3441d4f:1508ad97479:-6fde	Membership
3441d4f:1508ad6f828:778e	Membership
3441d4f:1508ad97479:-737d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	City
3441d4f:1508ad97479:-6f3a	Membership
3441d4f:1508ad6f828:74da	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/	Province
3441d4f:1508ad97479:-7df0	Membership
http://www.semwebtech.org/mondial/10/river/Donau/	River
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	City
3441d4f:1508ad6f828:6c77	Membership
http://www.semwebtech.org/mondial/10/island/Isabela/	Island
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	Lake
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	Estuary
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/	Province
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	City
http://www.semwebtech.org/mondial/10/mountains/Changbai/	Mountains
3441d4f:1508ad97479:-76bd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	City
http://www.semwebtech.org/mondial/10/organization/CICA/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	City
3441d4f:1508ad97479:-7cef	Membership
3441d4f:1508ad6f828:6fb7	Membership
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	Mountain
3441d4f:1508ad97479:-6ba6	BelievedBy
3441d4f:1508ad6f828:7356	Membership
3441d4f:1508ad97479:-7c4b	Membership
3441d4f:1508ad6f828:6f13	Membership
3441d4f:1508ad97479:-6b02	EthnicProportion
3441d4f:1508ad6f828:70a2	Membership
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	Mountain
http://www.semwebtech.org/mondial/10/estuary/Jubba/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	City
3441d4f:1508ad97479:-6d62	SpokenBy
3441d4f:1508ad97479:-7539	Membership
3441d4f:1508ad6f828:6a7e	Border
3441d4f:1508ad6f828:7cc8	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	City
3441d4f:1508ad97479:-7799	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/	Province
3441d4f:1508ad97479:-6967	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/	Country
3441d4f:1508ad6f828:7c24	Membership
3441d4f:1508ad6f828:78f6	Membership
3441d4f:1508ad97479:-74e5	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/	Province
3441d4f:1508ad6f828:7852	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	City
3441d4f:1508ad97479:-7441	Membership
3441d4f:1508ad6f828:6dbe	Membership
3441d4f:1508ad6f828:7e84	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	City
3441d4f:1508ad6f828:715d	Membership
3441d4f:1508ad97479:-7a73	Membership
http://www.semwebtech.org/mondial/10/estuary/Rhein/	Estuary
3441d4f:1508ad6f828:6d1a	Membership
3441d4f:1508ad6f828:69ec	Border
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	City
3441d4f:1508ad6f828:7bd0	Membership
3441d4f:1508ad97479:-7e07	Membership
3441d4f:1508ad6f828:6f7a	Membership
3441d4f:1508ad97479:-7db3	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	City
3441d4f:1508ad6f828:7acf	Membership
3441d4f:1508ad97479:-79e1	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/	Province
3441d4f:1508ad6f828:76fd	Membership
3441d4f:1508ad6f828:7a2b	Membership
http://www.semwebtech.org/mondial/10/river/Parana/	River
3441d4f:1508ad97479:-72ec	Membership
http://www.semwebtech.org/mondial/10/source/Tennessee/	Source
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/	Province
3441d4f:1508ad97479:-6a89	EthnicProportion
3441d4f:1508ad6f828:6be6	Membership
3441d4f:1508ad6f828:7c8b	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	City
3441d4f:1508ad6f828:6b42	Membership
3441d4f:1508ad6f828:7319	Membership
3441d4f:1508ad97479:-7c0e	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/	Province
3441d4f:1508ad97479:-783c	Membership
3441d4f:1508ad97479:-6dc9	SpokenBy
3441d4f:1508ad97479:-7e6e	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	City
3441d4f:1508ad6f828:7579	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	City
3441d4f:1508ad97479:-7168	Membership
3441d4f:1508ad97479:-6d25	BelievedBy
3441d4f:1508ad6f828:7fcb	Membership
3441d4f:1508ad6f828:72c5	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/	Province
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	City
3441d4f:1508ad97479:-7bba	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	City
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7221	Membership
http://www.semwebtech.org/mondial/10/country/UA/	Country
3441d4f:1508ad97479:-6f85	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/	Province
3441d4f:1508ad97479:-6cd1	BelievedBy
3441d4f:1508ad6f828:78b9	Membership
3441d4f:1508ad6f828:7481	Membership
http://www.semwebtech.org/mondial/10/country/WG/	Country
3441d4f:1508ad97479:-74a8	Membership
3441d4f:1508ad97479:-7070	Membership
http://www.semwebtech.org/mondial/10/country/AFG/	Country
3441d4f:1508ad6f828:7815	Membership
3441d4f:1508ad97479:-7404	Membership
http://www.semwebtech.org/mondial/10/river/Saluen/	River
3441d4f:1508ad6f828:7e47	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	City
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	City
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	City
3441d4f:1508ad97479:-7a36	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	City
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/	Province
3441d4f:1508ad6f828:69af	Border
3441d4f:1508ad97479:-68d6	EthnicProportion
3441d4f:1508ad97479:-7664	Membership
3441d4f:1508ad6f828:690b	Encompassed
3441d4f:1508ad6f828:77c1	Membership
3441d4f:1508ad97479:-7c96	Membership
3441d4f:1508ad97479:-73b0	Membership
3441d4f:1508ad6f828:6f3d	Membership
3441d4f:1508ad6f828:7df3	Membership
3441d4f:1508ad97479:-6b2c	BelievedBy
3441d4f:1508ad6f828:70cc	Membership
3441d4f:1508ad97479:-6d8c	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	Estuary
3441d4f:1508ad97479:-79a4	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	City
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	Island
3441d4f:1508ad97479:-7fd6	Membership
3441d4f:1508ad97479:-7900	Membership
3441d4f:1508ad97479:-72af	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/	Province
3441d4f:1508ad97479:-7f32	Membership
3441d4f:1508ad6f828:761c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	City
3441d4f:1508ad97479:-720b	Membership
3441d4f:1508ad6f828:6ba9	Membership
3441d4f:1508ad6f828:7c4e	Membership
http://www.semwebtech.org/mondial/10/mountains/Ahaggar/	Mountains
3441d4f:1508ad6f828:6b05	Membership
3441d4f:1508ad6f828:787c	Membership
3441d4f:1508ad97479:-746b	Membership
http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/	Mountains
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	City
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	City
3441d4f:1508ad97479:-7a9d	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	City
3441d4f:1508ad6f828:6d65	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/	Province
3441d4f:1508ad6f828:7bfa	Membership
3441d4f:1508ad6f828:6ab1	Border
3441d4f:1508ad6f828:6993	Border
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	Desert
http://www.semwebtech.org/mondial/10/source/Perene/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	City
3441d4f:1508ad97479:-77ab	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/	Province
3441d4f:1508ad97479:-6f48	Membership
3441d4f:1508ad6f828:74e8	Membership
3441d4f:1508ad97479:-7ddd	Membership
3441d4f:1508ad97479:-70d7	Membership
3441d4f:1508ad6f828:7444	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	City
3441d4f:1508ad97479:-7033	Membership
3441d4f:1508ad6f828:7a76	Membership
3441d4f:1508ad97479:-6ef4	Membership
http://www.semwebtech.org/mondial/10/estuary/Chire/	Estuary
3441d4f:1508ad97479:-7293	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	City
3441d4f:1508ad97479:-6e50	SpokenBy
3441d4f:1508ad6f828:73f0	Membership
3441d4f:1508ad97479:-7627	Membership
3441d4f:1508ad6f828:6b6c	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	City
3441d4f:1508ad97479:-7c59	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	City
3441d4f:1508ad6f828:7db6	Membership
3441d4f:1508ad97479:-7887	Membership
3441d4f:1508ad6f828:7d12	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	City
3441d4f:1508ad6f828:79e4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	City
3441d4f:1508ad97479:-75d3	Membership
3441d4f:1508ad97479:-6d4f	SpokenBy
http://www.semwebtech.org/mondial/10/islands/RiauIslands/	Islands
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	City
3441d4f:1508ad6f828:7940	Membership
3441d4f:1508ad6f828:72ef	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/	Province
3441d4f:1508ad6f828:6eac	Membership
3441d4f:1508ad6f828:7f72	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	City
http://www.semwebtech.org/mondial/10/source/Piva/	Source
3441d4f:1508ad6f828:724b	Membership
3441d4f:1508ad97479:-7b61	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	City
http://www.semwebtech.org/mondial/10/island/Vulcano/	Island
3441d4f:1508ad97479:-6cfb	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	Estuary
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/	Province
http://www.semwebtech.org/mondial/10/river/Volta/	River
3441d4f:1508ad97479:-709a	Membership
3441d4f:1508ad6f828:783f	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	City
3441d4f:1508ad97479:-742e	Membership
3441d4f:1508ad97479:-7ea1	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Chuvash/	EthnicGroup
3441d4f:1508ad6f828:7bbd	Membership
3441d4f:1508ad6f828:6d28	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	City
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	City
3441d4f:1508ad97479:-768e	Membership
3441d4f:1508ad6f828:6956	Encompassed
3441d4f:1508ad6f828:77eb	Membership
3441d4f:1508ad97479:-73da	Membership
3441d4f:1508ad6f828:6f88	Membership
3441d4f:1508ad97479:-6b77	BelievedBy
3441d4f:1508ad6f828:6cd4	Membership
http://www.semwebtech.org/mondial/10/mountains/Rif/	Mountains
3441d4f:1508ad6f828:7073	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/	Province
3441d4f:1508ad6f828:6c30	Membership
3441d4f:1508ad6f828:7407	Membership
3441d4f:1508ad97479:-79ce	Membership
3441d4f:1508ad6f828:7a39	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	City
3441d4f:1508ad97479:-792a	Membership
3441d4f:1508ad6f828:6e90	Membership
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	Island
3441d4f:1508ad97479:-6eb7	Membership
3441d4f:1508ad6f828:7667	Membership
3441d4f:1508ad97479:-7f5c	Membership
3441d4f:1508ad97479:-7256	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	City
3441d4f:1508ad97479:-6e13	SpokenBy
http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/	Mountains
3441d4f:1508ad6f828:7c99	Membership
3441d4f:1508ad6f828:73b3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	City
http://www.semwebtech.org/mondial/10/country/RSA/	Country
3441d4f:1508ad6f828:6b2f	Membership
http://www.semwebtech.org/mondial/10/river/Tshuapa/	River
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/	Province
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/	Province
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	City
3441d4f:1508ad6f828:6d8f	Membership
3441d4f:1508ad6f828:79a7	Membership
3441d4f:1508ad6f828:6adb	Membership
3441d4f:1508ad6f828:7fd9	Membership
3441d4f:1508ad6f828:7903	Membership
3441d4f:1508ad97479:-7bc8	Membership
3441d4f:1508ad6f828:7f35	Membership
3441d4f:1508ad97479:-77f6	Membership
3441d4f:1508ad6f828:720e	Membership
3441d4f:1508ad97479:-7b24	Membership
3441d4f:1508ad97479:-69c4	EthnicProportion
3441d4f:1508ad97479:-7752	Membership
3441d4f:1508ad97479:-6cbe	BelievedBy
3441d4f:1508ad97479:-7d84	Membership
3441d4f:1508ad6f828:746e	Membership
http://www.semwebtech.org/mondial/10/country/USA/	Country
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	City
3441d4f:1508ad97479:-6920	EthnicProportion
3441d4f:1508ad97479:-705d	Membership
3441d4f:1508ad97479:-6c1a	BelievedBy
3441d4f:1508ad6f828:7ee1	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	City
3441d4f:1508ad6f828:71ba	Membership
3441d4f:1508ad97479:-7ad0	Membership
http://www.semwebtech.org/mondial/10/island/Halmahera/	Island
http://www.semwebtech.org/mondial/10/organization/ESA/	Organization
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/	Province
3441d4f:1508ad97479:-6e7a	Membership
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	Lake
3441d4f:1508ad6f828:6919	Encompassed
3441d4f:1508ad6f828:77ae	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	City
http://www.semwebtech.org/mondial/10/island/Formentera/	Island
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	Source
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	City
3441d4f:1508ad6f828:770a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	City
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	City
3441d4f:1508ad6f828:7d3c	Membership
3441d4f:1508ad6f828:7036	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	City
3441d4f:1508ad97479:-75fd	Membership
3441d4f:1508ad6f828:68c5	Encompassed
3441d4f:1508ad6f828:796a	Membership
3441d4f:1508ad6f828:6ef7	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/	Province
3441d4f:1508ad6f828:7f9c	Membership
3441d4f:1508ad97479:-6ae6	EthnicProportion
3441d4f:1508ad6f828:7296	Membership
3441d4f:1508ad97479:-7b8b	Membership
3441d4f:1508ad6f828:6e53	Membership
3441d4f:1508ad97479:-6a42	EthnicProportion
3441d4f:1508ad97479:-7f1f	Membership
3441d4f:1508ad97479:-7219	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	City
http://www.semwebtech.org/mondial/10/language/Afrikaans/	Language
3441d4f:1508ad97479:-7479	Membership
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	City
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	Sea
3441d4f:1508ad6f828:75d6	Membership
3441d4f:1508ad97479:-7ecb	Membership
http://www.semwebtech.org/mondial/10/river/Maranon/	River
3441d4f:1508ad97479:-71c5	Membership
3441d4f:1508ad6f828:7532	Membership
3441d4f:1508ad97479:-7121	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/	Province
http://www.semwebtech.org/mondial/10/country/BS/	Country
http://www.semwebtech.org/mondial/10/islands/FutunaIslands/	Islands
3441d4f:1508ad6f828:7b64	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	City
3441d4f:1508ad97479:-6fe2	Membership
3441d4f:1508ad6f828:7792	Membership
3441d4f:1508ad97479:-77b9	Membership
3441d4f:1508ad97479:-7381	Membership
3441d4f:1508ad6f828:6cfe	Membership
3441d4f:1508ad6f828:709d	Membership
3441d4f:1508ad97479:-7715	Membership
3441d4f:1508ad6f828:6c5a	Membership
http://www.semwebtech.org/mondial/10/island/DevonIsland/	Island
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	City
3441d4f:1508ad97479:-7d47	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	EthnicGroup
3441d4f:1508ad6f828:7ea4	Membership
3441d4f:1508ad97479:-7975	Membership
3441d4f:1508ad6f828:7e00	Membership
3441d4f:1508ad97479:-76c1	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	City
3441d4f:1508ad97479:-6e3d	SpokenBy
3441d4f:1508ad97479:-7cf3	Membership
3441d4f:1508ad6f828:73dd	Membership
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	City
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/	Province
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	City
3441d4f:1508ad6f828:792d	Membership
3441d4f:1508ad97479:-751c	Membership
3441d4f:1508ad97479:-6aa9	EthnicProportion
3441d4f:1508ad6f828:6a82	Border
3441d4f:1508ad6f828:7f5f	Membership
3441d4f:1508ad6f828:7259	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	City
3441d4f:1508ad97479:-7b4e	Membership
3441d4f:1508ad6f828:6e16	Membership
3441d4f:1508ad6f828:7cab	Membership
3441d4f:1508ad97479:-6a05	EthnicProportion
3441d4f:1508ad97479:-69ee	EthnicProportion
3441d4f:1508ad97479:-777c	Membership
3441d4f:1508ad97479:-694a	EthnicProportion
3441d4f:1508ad97479:-6c65	BelievedBy
3441d4f:1508ad97479:-7afa	Membership
http://www.semwebtech.org/mondial/10/estuary/Isar/	Estuary
3441d4f:1508ad6f828:6dc2	Membership
3441d4f:1508ad6f828:7161	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	City
3441d4f:1508ad6f828:69f0	Border
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	City
3441d4f:1508ad6f828:7b27	Membership
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	City
3441d4f:1508ad6f828:77f9	Membership
3441d4f:1508ad97479:-73e8	Membership
http://www.semwebtech.org/mondial/10/island/Aruba/	Island
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	City
3441d4f:1508ad97479:-6fa5	Membership
3441d4f:1508ad6f828:7755	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/	Province
3441d4f:1508ad97479:-7344	Membership
3441d4f:1508ad97479:-6f01	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	City
3441d4f:1508ad6f828:7d87	Membership
3441d4f:1508ad6f828:74a1	Membership
http://www.semwebtech.org/mondial/10/island/Kos/	Island
3441d4f:1508ad6f828:6c1d	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/	Province
3441d4f:1508ad6f828:68ef	Encompassed
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/	Province
3441d4f:1508ad6f828:7ad3	Membership
3441d4f:1508ad97479:-72f0	Membership
http://www.semwebtech.org/mondial/10/country/ZW/	Country
3441d4f:1508ad97479:-7938	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	City
3441d4f:1508ad6f828:6e7d	Membership
3441d4f:1508ad97479:-6a6c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	City
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	City
http://www.semwebtech.org/mondial/10/language/Catalan/	Language
3441d4f:1508ad97479:-7cb6	Membership
http://www.semwebtech.org/mondial/10/island/Graciosa/	Island
3441d4f:1508ad97479:-78e4	Membership
3441d4f:1508ad97479:-7c12	Membership
3441d4f:1508ad97479:-7840	Membership
3441d4f:1508ad97479:-71ef	Membership
http://www.semwebtech.org/mondial/10/country/AND/	Country
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	City
3441d4f:1508ad97479:-6dac	SpokenBy
3441d4f:1508ad6f828:755c	Membership
3441d4f:1508ad97479:-7e72	Membership
3441d4f:1508ad97479:-714b	Membership
http://www.semwebtech.org/mondial/10/river/Reuss/	River
3441d4f:1508ad6f828:6ae9	Membership
3441d4f:1508ad6f828:7b8e	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/	Province
3441d4f:1508ad6f828:6a45	Border
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	City
http://www.semwebtech.org/mondial/10/organization/GCC/	Organization
3441d4f:1508ad97479:-773f	Membership
http://www.semwebtech.org/mondial/10/estuary/Morava/	Estuary
http://www.semwebtech.org/mondial/10/country/D/	Country
3441d4f:1508ad97479:-690d	EthnicProportion
3441d4f:1508ad97479:-6c28	BelievedBy
3441d4f:1508ad97479:-799f	Membership
3441d4f:1508ad97479:-7abd	Membership
3441d4f:1508ad6f828:7ece	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	City
3441d4f:1508ad6f828:71c8	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	City
3441d4f:1508ad6f828:7e2a	Membership
3441d4f:1508ad97479:-76eb	Membership
3441d4f:1508ad6f828:7124	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	City
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	City
3441d4f:1508ad6f828:69b3	Border
3441d4f:1508ad97479:-6e88	Membership
3441d4f:1508ad6f828:6fe5	Membership
3441d4f:1508ad97479:-6bd4	BelievedBy
3441d4f:1508ad6f828:7384	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Chamorro/	EthnicGroup
3441d4f:1508ad97479:-6b30	BelievedBy
3441d4f:1508ad6f828:6f41	Membership
http://www.semwebtech.org/mondial/10/mountain/Pelee/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:7718	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	City
3441d4f:1508ad6f828:70d0	Membership
3441d4f:1508ad97479:-7307	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	City
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	City
3441d4f:1508ad97479:-6d90	SpokenBy
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	Island
3441d4f:1508ad6f828:7978	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	City
3441d4f:1508ad97479:-7567	Membership
3441d4f:1508ad6f828:76c4	Membership
3441d4f:1508ad97479:-7b99	Membership
3441d4f:1508ad97479:-72b3	Membership
3441d4f:1508ad97479:-6a2f	EthnicProportion
3441d4f:1508ad6f828:7cf6	Membership
3441d4f:1508ad6f828:7620	Membership
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	Island
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/	Province
3441d4f:1508ad6f828:7c52	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/	Province
3441d4f:1508ad97479:-6995	EthnicProportion
3441d4f:1508ad97479:-6c8f	BelievedBy
3441d4f:1508ad6f828:7880	Membership
3441d4f:1508ad97479:-78a7	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/	Province
3441d4f:1508ad6f828:6dec	Membership
3441d4f:1508ad97479:-7ed9	Membership
3441d4f:1508ad6f828:718b	Membership
3441d4f:1508ad97479:-7803	Membership
3441d4f:1508ad6f828:751f	Membership
3441d4f:1508ad97479:-7e35	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	City
3441d4f:1508ad97479:-710e	Membership
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	Mountain
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	City
3441d4f:1508ad6f828:6a08	Border
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	City
3441d4f:1508ad97479:-6fcf	Membership
3441d4f:1508ad6f828:777f	Membership
3441d4f:1508ad97479:-736e	Membership
3441d4f:1508ad97479:-6f2b	Membership
3441d4f:1508ad6f828:74cb	Membership
3441d4f:1508ad97479:-7de1	Membership
3441d4f:1508ad97479:-70ba	Membership
3441d4f:1508ad6f828:6c68	Membership
3441d4f:1508ad6f828:7afd	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	City
3441d4f:1508ad6f828:6896	Encompassed
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	City
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	City
3441d4f:1508ad97479:-76ae	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	EthnicGroup
3441d4f:1508ad97479:-760a	Membership
3441d4f:1508ad6f828:6fa8	Membership
3441d4f:1508ad6f828:6b70	Membership
3441d4f:1508ad97479:-7c3c	Membership
3441d4f:1508ad6f828:7347	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	City
3441d4f:1508ad6f828:6f04	Membership
3441d4f:1508ad97479:-786a	Membership
3441d4f:1508ad97479:-6df7	SpokenBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	EthnicGroup
3441d4f:1508ad97479:-7e9c	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/	Province
3441d4f:1508ad97479:-7196	Membership
3441d4f:1508ad97479:-6d53	SpokenBy
3441d4f:1508ad6f828:72f3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/	Province
3441d4f:1508ad6f828:6eb0	Membership
3441d4f:1508ad6f828:6a6f	Border
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/	Province
http://www.semwebtech.org/mondial/10/island/Bioko/	Island
3441d4f:1508ad6f828:7cb9	Membership
3441d4f:1508ad6f828:7c15	Membership
3441d4f:1508ad6f828:78e7	Membership
3441d4f:1508ad97479:-6958	EthnicProportion
3441d4f:1508ad97479:-74d6	Membership
3441d4f:1508ad6f828:7843	Membership
3441d4f:1508ad97479:-7432	Membership
3441d4f:1508ad6f828:6daf	Membership
3441d4f:1508ad6f828:7e75	Membership
3441d4f:1508ad97479:-7a64	Membership
3441d4f:1508ad6f828:714e	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	City
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/	Province
3441d4f:1508ad6f828:6d0b	Membership
3441d4f:1508ad6f828:69dd	Border
3441d4f:1508ad6f828:7bc1	Membership
http://www.semwebtech.org/mondial/10/source/Indus/	Source
3441d4f:1508ad97479:-7692	Membership
http://www.semwebtech.org/mondial/10/river/Raab/	River
3441d4f:1508ad97479:-6bfe	BelievedBy
3441d4f:1508ad6f828:6f6b	Membership
http://www.semwebtech.org/mondial/10/island/Amrum/	Island
3441d4f:1508ad97479:-6b5a	BelievedBy
3441d4f:1508ad6f828:70fa	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	City
3441d4f:1508ad97479:-7da4	Membership
3441d4f:1508ad97479:-79d2	Membership
3441d4f:1508ad97479:-7d00	Membership
3441d4f:1508ad6f828:76ee	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	City
3441d4f:1508ad6f828:7a1c	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	City
3441d4f:1508ad97479:-72dd	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/	Province
3441d4f:1508ad6f828:764a	Membership
3441d4f:1508ad97479:-7f60	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	City
3441d4f:1508ad6f828:6bd7	Membership
3441d4f:1508ad6f828:7c7c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	City
3441d4f:1508ad6f828:6b33	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	City
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	City
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	Sea
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	City
3441d4f:1508ad97479:-782d	Membership
3441d4f:1508ad6f828:6d93	Membership
3441d4f:1508ad97479:-7e5f	Membership
3441d4f:1508ad97479:-7159	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/	Province
3441d4f:1508ad6f828:7fbc	Membership
3441d4f:1508ad97479:-6d16	BelievedBy
3441d4f:1508ad6f828:72b6	Membership
3441d4f:1508ad97479:-7bab	Membership
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	City
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	Estuary
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	Mountain
3441d4f:1508ad6f828:7212	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	City
3441d4f:1508ad97479:-6f76	Membership
3441d4f:1508ad97479:-6cc2	BelievedBy
3441d4f:1508ad6f828:7472	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/	Province
3441d4f:1508ad97479:-7061	Membership
3441d4f:1508ad6f828:7806	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/	Province
3441d4f:1508ad6f828:7e38	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	City
3441d4f:1508ad97479:-76f9	Membership
3441d4f:1508ad97479:-7a27	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	City
3441d4f:1508ad97479:-7b7c	Membership
3441d4f:1508ad97479:-68c7	EthnicProportion
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	City
3441d4f:1508ad97479:-7655	Membership
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	Estuary
3441d4f:1508ad6f828:6b9a	Membership
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	Source
3441d4f:1508ad6f828:77b2	Membership
3441d4f:1508ad97479:-7c87	Membership
3441d4f:1508ad97479:-73a1	Membership
http://www.semwebtech.org/mondial/10/islands/Azores/	Islands
3441d4f:1508ad6f828:6f2e	Membership
3441d4f:1508ad97479:-6b1d	BelievedBy
3441d4f:1508ad6f828:7de4	Membership
http://www.semwebtech.org/mondial/10/source/Colorado/	Source
3441d4f:1508ad6f828:70bd	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	City
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	City
3441d4f:1508ad6f828:7d40	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	City
3441d4f:1508ad97479:-6d7d	SpokenBy
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	City
3441d4f:1508ad6f828:6eda	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	City
3441d4f:1508ad97479:-7fc7	Membership
3441d4f:1508ad6f828:760d	Membership
3441d4f:1508ad97479:-7f23	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	City
3441d4f:1508ad6f828:7c3f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	City
http://www.semwebtech.org/mondial/10/island/Mykonos/	Island
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	City
http://www.semwebtech.org/mondial/10/country/LV/	Country
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/	Province
3441d4f:1508ad6f828:786d	Membership
3441d4f:1508ad97479:-745c	Membership
3441d4f:1508ad6f828:7e9f	Membership
http://www.semwebtech.org/mondial/10/organization/IFRCS/	Organization
3441d4f:1508ad6f828:7199	Membership
3441d4f:1508ad97479:-7a8e	Membership
3441d4f:1508ad6f828:6d56	Membership
3441d4f:1508ad6f828:7beb	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/	Province
3441d4f:1508ad6f828:6aa2	Border
3441d4f:1508ad6f828:6984	Border
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	City
http://www.semwebtech.org/mondial/10/organization/IAEA/	Organization
http://www.semwebtech.org/mondial/10/mountain/Cayambe/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-6f39	Membership
3441d4f:1508ad6f828:74d9	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/	Province
3441d4f:1508ad97479:-7dce	Membership
3441d4f:1508ad97479:-70c8	Membership
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	City
3441d4f:1508ad97479:-79fc	Membership
3441d4f:1508ad6f828:7435	Membership
3441d4f:1508ad97479:-7d2a	Membership
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	Sea
3441d4f:1508ad97479:-7024	Membership
3441d4f:1508ad6f828:7a67	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	EthnicGroup
3441d4f:1508ad97479:-6ee5	Membership
3441d4f:1508ad6f828:7695	Membership
3441d4f:1508ad97479:-7f8a	Membership
3441d4f:1508ad97479:-7284	Membership
http://www.semwebtech.org/mondial/10/organization/IMO/	Organization
3441d4f:1508ad97479:-6e41	SpokenBy
3441d4f:1508ad6f828:73e1	Membership
3441d4f:1508ad97479:-7618	Membership
3441d4f:1508ad6f828:6b5d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	City
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	City
3441d4f:1508ad6f828:7da7	Membership
3441d4f:1508ad97479:-7878	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	City
3441d4f:1508ad6f828:7d03	Membership
3441d4f:1508ad6f828:79d5	Membership
3441d4f:1508ad97479:-75c4	Membership
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	City
3441d4f:1508ad6f828:7931	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Karamojong/	EthnicGroup
3441d4f:1508ad97479:-7bf6	Membership
3441d4f:1508ad97479:-7520	Membership
3441d4f:1508ad6f828:7f63	Membership
3441d4f:1508ad97479:-7b52	Membership
3441d4f:1508ad6f828:723c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	City
http://www.semwebtech.org/mondial/10/language/Hindi/	Language
3441d4f:1508ad97479:-69f2	EthnicProportion
3441d4f:1508ad97479:-7780	Membership
http://www.semwebtech.org/mondial/10/organization/AMF/	Organization
3441d4f:1508ad97479:-6cec	BelievedBy
3441d4f:1508ad6f828:749c	Membership
3441d4f:1508ad6f828:6e44	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	City
3441d4f:1508ad97479:-708b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mangbetu-Azande/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	City
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	City
3441d4f:1508ad97479:-741f	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	City
3441d4f:1508ad6f828:6d19	Membership
3441d4f:1508ad6f828:7bae	Membership
3441d4f:1508ad97479:-767f	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	City
3441d4f:1508ad6f828:6947	Encompassed
3441d4f:1508ad6f828:7b0a	Membership
3441d4f:1508ad6f828:77dc	Membership
3441d4f:1508ad97479:-73cb	Membership
3441d4f:1508ad6f828:6f79	Membership
3441d4f:1508ad97479:-6b68	BelievedBy
3441d4f:1508ad6f828:6cc5	Membership
3441d4f:1508ad6f828:7d6a	Membership
3441d4f:1508ad6f828:7064	Membership
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	Mountain
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/	Province
3441d4f:1508ad6f828:6c21	Membership
3441d4f:1508ad6f828:68f3	Encompassed
3441d4f:1508ad97479:-79bf	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	City
http://www.semwebtech.org/mondial/10/language/Norwegian/	Language
3441d4f:1508ad97479:-791b	Membership
3441d4f:1508ad6f828:6e81	Membership
3441d4f:1508ad97479:-6a70	EthnicProportion
3441d4f:1508ad97479:-6ea8	Membership
3441d4f:1508ad6f828:7658	Membership
3441d4f:1508ad97479:-7f4d	Membership
3441d4f:1508ad97479:-7247	Membership
http://www.semwebtech.org/mondial/10/language/Icelandic/	Language
3441d4f:1508ad97479:-6e04	SpokenBy
3441d4f:1508ad6f828:73a4	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/	Province
3441d4f:1508ad6f828:7300	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	City
3441d4f:1508ad97479:-71f3	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	City
3441d4f:1508ad97479:-6db0	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	Mountain
3441d4f:1508ad6f828:7560	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	City
3441d4f:1508ad6f828:6acc	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	City
3441d4f:1508ad6f828:7b92	Membership
http://www.semwebtech.org/mondial/10/source/Iller/	Source
3441d4f:1508ad97479:-7bb9	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	City
http://www.semwebtech.org/mondial/10/river/Shabelle/	River
3441d4f:1508ad6f828:7f26	Membership
http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	Islands
3441d4f:1508ad97479:-77e7	Membership
3441d4f:1508ad97479:-7b15	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	City
3441d4f:1508ad97479:-69b5	EthnicProportion
3441d4f:1508ad97479:-7743	Membership
3441d4f:1508ad97479:-6caf	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	City
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:78a0	Membership
3441d4f:1508ad6f828:745f	Membership
3441d4f:1508ad97479:-7d75	Membership
3441d4f:1508ad97479:-6911	EthnicProportion
3441d4f:1508ad97479:-704e	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/	Province
3441d4f:1508ad6f828:7ed2	Membership
3441d4f:1508ad97479:-6c0b	BelievedBy
3441d4f:1508ad6f828:71ab	Membership
3441d4f:1508ad97479:-7ac1	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	City
3441d4f:1508ad97479:-6e6b	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	City
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternNigritic/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/	Province
3441d4f:1508ad6f828:7d2d	Membership
3441d4f:1508ad6f828:79ff	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	City
3441d4f:1508ad6f828:7027	Membership
3441d4f:1508ad97479:-75ee	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/	Province
http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/	Province
3441d4f:1508ad6f828:68b6	Encompassed
3441d4f:1508ad6f828:795b	Membership
3441d4f:1508ad97479:-754a	Membership
3441d4f:1508ad6f828:6ee8	Membership
3441d4f:1508ad6f828:7f8d	Membership
3441d4f:1508ad97479:-6ad7	EthnicProportion
3441d4f:1508ad6f828:7287	Membership
3441d4f:1508ad97479:-6a33	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/UNMIT/	Organization
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	EthnicGroup
3441d4f:1508ad97479:-6c93	BelievedBy
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/	Province
3441d4f:1508ad6f828:6df0	Membership
3441d4f:1508ad6f828:75c7	Membership
3441d4f:1508ad97479:-7ebc	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	City
3441d4f:1508ad97479:-71b6	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	City
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	Desert
3441d4f:1508ad6f828:7bf9	Membership
3441d4f:1508ad6f828:7523	Membership
3441d4f:1508ad97479:-7112	Membership
3441d4f:1508ad6f828:7b55	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/	Province
3441d4f:1508ad97479:-6fd3	Membership
3441d4f:1508ad6f828:7783	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	City
3441d4f:1508ad97479:-7372	Membership
3441d4f:1508ad6f828:6cef	Membership
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	City
3441d4f:1508ad6f828:708e	Membership
3441d4f:1508ad97479:-7706	Membership
3441d4f:1508ad6f828:6c4b	Membership
3441d4f:1508ad97479:-7d38	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	City
3441d4f:1508ad97479:-7966	Membership
3441d4f:1508ad97479:-6a9a	EthnicProportion
3441d4f:1508ad97479:-7f98	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	City
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/	Province
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	City
3441d4f:1508ad97479:-76b2	Membership
3441d4f:1508ad97479:-6e2e	SpokenBy
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	Lake
3441d4f:1508ad97479:-7ce4	Membership
3441d4f:1508ad6f828:73ce	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	City
http://www.semwebtech.org/mondial/10/islands/Curiles/	Islands
3441d4f:1508ad6f828:732a	Membership
3441d4f:1508ad97479:-7c40	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	City
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	City
3441d4f:1508ad97479:-6dda	SpokenBy
3441d4f:1508ad6f828:758a	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/	Province
3441d4f:1508ad6f828:791e	Membership
3441d4f:1508ad97479:-750d	Membership
3441d4f:1508ad6f828:6a73	Border
3441d4f:1508ad97479:-7b3f	Membership
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	Estuary
3441d4f:1508ad6f828:6e07	Membership
http://www.semwebtech.org/mondial/10/country/UZB/	Country
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/	Province
3441d4f:1508ad97479:-69df	EthnicProportion
3441d4f:1508ad97479:-776d	Membership
3441d4f:1508ad6f828:78ca	Membership
3441d4f:1508ad97479:-7d9f	Membership
3441d4f:1508ad97479:-693b	EthnicProportion
3441d4f:1508ad97479:-7099	Membership
3441d4f:1508ad97479:-6c56	BelievedBy
http://www.semwebtech.org/mondial/10/river/Morava/	River
3441d4f:1508ad6f828:7efc	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	City
3441d4f:1508ad6f828:71f6	Membership
3441d4f:1508ad97479:-7aeb	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/	Province
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/	Province
3441d4f:1508ad6f828:6db3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	City
3441d4f:1508ad6f828:7152	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Gurage/	EthnicGroup
3441d4f:1508ad6f828:69e1	Border
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/	Province
http://www.semwebtech.org/mondial/10/language/Vietnamese/	Language
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	City
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/	Province
3441d4f:1508ad6f828:7b18	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	City
3441d4f:1508ad97479:-73d9	Membership
3441d4f:1508ad6f828:7746	Membership
http://www.semwebtech.org/mondial/10/language/AfghanPersian/	Language
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	City
3441d4f:1508ad97479:-7335	Membership
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	City
http://www.semwebtech.org/mondial/10/islands/FijiIslands/	Islands
3441d4f:1508ad6f828:7d78	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	City
3441d4f:1508ad6f828:6c0e	Membership
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	Island
3441d4f:1508ad6f828:7ac4	Membership
3441d4f:1508ad97479:-7595	Membership
3441d4f:1508ad6f828:76f2	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	City
3441d4f:1508ad6f828:7a20	Membership
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	Estuary
3441d4f:1508ad97479:-7929	Membership
3441d4f:1508ad97479:-72e1	Membership
3441d4f:1508ad6f828:6e6e	Membership
3441d4f:1508ad97479:-6a5d	EthnicProportion
3441d4f:1508ad6f828:6bba	Membership
3441d4f:1508ad6f828:7c80	Membership
3441d4f:1508ad97479:-7ca7	Membership
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	City
3441d4f:1508ad97479:-78d5	Membership
3441d4f:1508ad97479:-7c03	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/	Province
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountains/Taurus/	Mountains
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-7831	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	City
http://www.semwebtech.org/mondial/10/islands/Carolines/	Islands
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	Island
3441d4f:1508ad6f828:754d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	City
3441d4f:1508ad97479:-7e63	Membership
3441d4f:1508ad97479:-713c	Membership
3441d4f:1508ad6f828:7fc0	Membership
3441d4f:1508ad6f828:7b7f	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	City
3441d4f:1508ad6f828:6a36	Border
3441d4f:1508ad97479:-6ffd	Membership
http://www.semwebtech.org/mondial/10/river/Weser/	River
3441d4f:1508ad97479:-739c	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	City
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/	Province
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	Lake
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/	Province
3441d4f:1508ad6f828:6c96	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	City
3441d4f:1508ad97479:-6c19	BelievedBy
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	City
http://www.semwebtech.org/mondial/10/lake/LacLeman/	Lake
3441d4f:1508ad6f828:7ebf	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	City
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	City
3441d4f:1508ad6f828:71b9	Membership
3441d4f:1508ad97479:-7aae	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/	Province
3441d4f:1508ad97479:-76dc	Membership
3441d4f:1508ad6f828:7e1b	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/	Province
3441d4f:1508ad6f828:7115	Membership
3441d4f:1508ad97479:-7a0a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Moravian/	EthnicGroup
3441d4f:1508ad6f828:69a4	Border
http://www.semwebtech.org/mondial/10/river/SchattalArab/	River
3441d4f:1508ad97479:-6e79	Membership
3441d4f:1508ad97479:-68aa	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RM/	Country
http://www.semwebtech.org/mondial/10/ethnicgroup/Persian/	EthnicGroup
3441d4f:1508ad6f828:6fd6	Membership
3441d4f:1508ad6f828:6900	Encompassed
3441d4f:1508ad97479:-6bc5	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Angara/	Estuary
3441d4f:1508ad6f828:7375	Membership
3441d4f:1508ad97479:-7c6a	Membership
3441d4f:1508ad6f828:6f32	Membership
3441d4f:1508ad97479:-6b21	BelievedBy
3441d4f:1508ad6f828:7709	Membership
3441d4f:1508ad6f828:70c1	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/	Province
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	Mountain
3441d4f:1508ad97479:-6d81	SpokenBy
3441d4f:1508ad6f828:7969	Membership
3441d4f:1508ad97479:-7558	Membership
3441d4f:1508ad6f828:6a9d	Border
3441d4f:1508ad6f828:76b5	Membership
3441d4f:1508ad97479:-7faa	Membership
3441d4f:1508ad97479:-72a4	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/	Province
3441d4f:1508ad6f828:7ce7	Membership
3441d4f:1508ad6f828:7611	Membership
3441d4f:1508ad97479:-7200	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	City
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	City
3441d4f:1508ad6f828:7c43	Membership
3441d4f:1508ad97479:-6986	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/	Province
3441d4f:1508ad6f828:7871	Membership
3441d4f:1508ad97479:-7460	Membership
3441d4f:1508ad6f828:6ddd	Membership
http://www.semwebtech.org/mondial/10/island/LongIsland/	Island
3441d4f:1508ad6f828:717c	Membership
3441d4f:1508ad97479:-7a92	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	City
3441d4f:1508ad97479:-7e26	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/	Province
3441d4f:1508ad97479:-77a0	Membership
3441d4f:1508ad97479:-735f	Membership
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-6f1c	Membership
3441d4f:1508ad6f828:74bc	Membership
3441d4f:1508ad97479:-7dd2	Membership
3441d4f:1508ad97479:-70ab	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	City
3441d4f:1508ad6f828:6c59	Membership
http://www.semwebtech.org/mondial/10/organization/WCO/	Organization
3441d4f:1508ad6f828:7aee	Membership
3441d4f:1508ad6f828:6887	Encompassed
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	City
3441d4f:1508ad6f828:7a4a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	City
http://www.semwebtech.org/mondial/10/country/R/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/	Province
3441d4f:1508ad6f828:6b61	Membership
3441d4f:1508ad97479:-78ff	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/	Province
3441d4f:1508ad6f828:7338	Membership
3441d4f:1508ad97479:-7c2d	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	City
3441d4f:1508ad97479:-785b	Membership
3441d4f:1508ad97479:-6de8	SpokenBy
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	River
3441d4f:1508ad6f828:7598	Membership
3441d4f:1508ad97479:-7e8d	Membership
3441d4f:1508ad97479:-7187	Membership
3441d4f:1508ad6f828:7fea	Membership
3441d4f:1508ad97479:-6d44	SpokenBy
3441d4f:1508ad6f828:72e4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	City
http://www.semwebtech.org/mondial/10/island/Rota/	Island
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/	Province
3441d4f:1508ad6f828:6ea1	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	City
3441d4f:1508ad6f828:7240	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	City
3441d4f:1508ad97479:-6cf0	BelievedBy
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	Lake
3441d4f:1508ad6f828:7c06	Membership
3441d4f:1508ad6f828:78d8	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	Province
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	City
3441d4f:1508ad97479:-6949	EthnicProportion
3441d4f:1508ad97479:-74c7	Membership
3441d4f:1508ad6f828:7834	Membership
3441d4f:1508ad97479:-7af9	Membership
3441d4f:1508ad97479:-7423	Membership
3441d4f:1508ad6f828:7e66	Membership
http://www.semwebtech.org/mondial/10/river/Waag/	River
3441d4f:1508ad6f828:713f	Membership
3441d4f:1508ad97479:-7a55	Membership
3441d4f:1508ad6f828:69ce	Border
3441d4f:1508ad6f828:7bb2	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	City
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	City
3441d4f:1508ad97479:-68f5	EthnicProportion
3441d4f:1508ad97479:-7683	Membership
3441d4f:1508ad97479:-6bef	BelievedBy
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	River
3441d4f:1508ad6f828:692a	Encompassed
http://www.semwebtech.org/mondial/10/country/RCH/	Country
3441d4f:1508ad6f828:77e0	Membership
3441d4f:1508ad6f828:739f	Membership
3441d4f:1508ad6f828:6f5c	Membership
http://www.semwebtech.org/mondial/10/source/Zambezi/	Source
3441d4f:1508ad97479:-6b4b	BelievedBy
3441d4f:1508ad6f828:70eb	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	City
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	City
3441d4f:1508ad97479:-79c3	Membership
http://www.semwebtech.org/mondial/10/source/YukonRiver/	Source
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	Mountain
3441d4f:1508ad6f828:76df	Membership
3441d4f:1508ad6f828:7a0d	Membership
3441d4f:1508ad97479:-7ff5	Membership
3441d4f:1508ad97479:-72ce	Membership
3441d4f:1508ad6f828:763b	Membership
3441d4f:1508ad97479:-7f51	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/	Province
3441d4f:1508ad97479:-722a	Membership
3441d4f:1508ad6f828:6bc8	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/	Province
3441d4f:1508ad6f828:7c6d	Membership
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	Estuary
http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Mountains
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	City
3441d4f:1508ad6f828:6b24	Membership
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	City
3441d4f:1508ad6f828:789b	Membership
3441d4f:1508ad97479:-748a	Membership
3441d4f:1508ad97479:-781e	Membership
http://www.semwebtech.org/mondial/10/lake/NamCo/	Lake
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/	Province
3441d4f:1508ad6f828:6d84	Membership
3441d4f:1508ad6f828:6ad0	Membership
3441d4f:1508ad6f828:7fad	Membership
3441d4f:1508ad97479:-6d07	BelievedBy
3441d4f:1508ad6f828:72a7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/	Province
3441d4f:1508ad6f828:7203	Membership
3441d4f:1508ad97479:-77ca	Membership
3441d4f:1508ad97479:-6f67	Membership
3441d4f:1508ad97479:-7dfc	Membership
3441d4f:1508ad97479:-70f6	Membership
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	City
3441d4f:1508ad97479:-6cb3	BelievedBy
3441d4f:1508ad6f828:7463	Membership
3441d4f:1508ad97479:-7052	Membership
http://www.semwebtech.org/mondial/10/country/NORF/	Country
3441d4f:1508ad6f828:7a95	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/	Province
3441d4f:1508ad6f828:7e29	Membership
3441d4f:1508ad97479:-7a18	Membership
http://www.semwebtech.org/mondial/10/country/BRU/	Country
3441d4f:1508ad97479:-68b8	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Rhone/	Source
3441d4f:1508ad97479:-7646	Membership
3441d4f:1508ad6f828:6b8b	Membership
3441d4f:1508ad6f828:77a3	Membership
3441d4f:1508ad97479:-7c78	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Rakhine/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountain/Jezerce/	Mountain
3441d4f:1508ad6f828:6f1f	Membership
3441d4f:1508ad6f828:7dd5	Membership
3441d4f:1508ad97479:-6b0e	EthnicProportion
3441d4f:1508ad6f828:70ae	Membership
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	Lake
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	City
3441d4f:1508ad6f828:7d31	Membership
3441d4f:1508ad6f828:700a	Membership
3441d4f:1508ad97479:-75f2	Membership
3441d4f:1508ad97479:-6d6e	SpokenBy
3441d4f:1508ad6f828:6ecb	Membership
3441d4f:1508ad97479:-6aba	EthnicProportion
3441d4f:1508ad6f828:7f91	Membership
3441d4f:1508ad97479:-7fb8	Membership
3441d4f:1508ad6f828:726a	Membership
3441d4f:1508ad97479:-7b80	Membership
3441d4f:1508ad97479:-7f14	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/	Province
http://www.semwebtech.org/mondial/10/island/SanAndres/	Island
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/	Province
3441d4f:1508ad6f828:785e	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/	Province
3441d4f:1508ad97479:-744d	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	City
http://www.semwebtech.org/mondial/10/source/Karun/	Source
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	City
3441d4f:1508ad97479:-7a7f	Membership
3441d4f:1508ad6f828:75aa	Membership
3441d4f:1508ad97479:-7ec0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	City
3441d4f:1508ad6f828:6d47	Membership
3441d4f:1508ad6f828:7bdc	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	City
http://www.semwebtech.org/mondial/10/source/Würm/	Source
3441d4f:1508ad6f828:6975	Encompassed
3441d4f:1508ad97479:-6b96	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/	Province
3441d4f:1508ad6f828:6cf3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/	Province
3441d4f:1508ad97479:-7dbf	Membership
3441d4f:1508ad6f828:7092	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	EthnicGroup
3441d4f:1508ad97479:-70b9	Membership
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	Estuary
3441d4f:1508ad97479:-79ed	Membership
3441d4f:1508ad6f828:7426	Membership
3441d4f:1508ad97479:-7d1b	Membership
3441d4f:1508ad97479:-7015	Membership
http://www.semwebtech.org/mondial/10/islands/Philipines/	Islands
3441d4f:1508ad6f828:7a58	Membership
http://www.semwebtech.org/mondial/10/country/NEP/	Country
3441d4f:1508ad97479:-6ed6	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	City
3441d4f:1508ad6f828:7686	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/	Province
3441d4f:1508ad97479:-7f7b	Membership
3441d4f:1508ad97479:-7275	Membership
3441d4f:1508ad97479:-6dcb	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	Mountain
3441d4f:1508ad97479:-6e32	SpokenBy
3441d4f:1508ad6f828:73d2	Membership
http://www.semwebtech.org/mondial/10/organization/OSCE/	Organization
3441d4f:1508ad97479:-7609	Membership
3441d4f:1508ad6f828:6b4e	Membership
http://www.semwebtech.org/mondial/10/country/BF/	Country
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	City
http://www.semwebtech.org/mondial/10/organization/C/	Organization
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/	Province
http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/	Mountains
3441d4f:1508ad97479:-7869	Membership
3441d4f:1508ad6f828:79c6	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/	Province
http://www.semwebtech.org/mondial/10/river/RioLerma/	River
3441d4f:1508ad97479:-75b5	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	City
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/	Province
3441d4f:1508ad6f828:7ff8	Membership
3441d4f:1508ad6f828:6afa	Membership
3441d4f:1508ad6f828:7922	Membership
http://www.semwebtech.org/mondial/10/organization/D-8/	Organization
3441d4f:1508ad97479:-7511	Membership
3441d4f:1508ad97479:-7be7	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/	Province
3441d4f:1508ad6f828:7f54	Membership
3441d4f:1508ad6f828:722d	Membership
3441d4f:1508ad97479:-7b43	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/	Province
3441d4f:1508ad6f828:7ca0	Membership
3441d4f:1508ad97479:-69e3	EthnicProportion
3441d4f:1508ad97479:-7771	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	City
3441d4f:1508ad97479:-6cdd	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	City
3441d4f:1508ad6f828:748d	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	City
3441d4f:1508ad97479:-707c	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	City
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	Island
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/	Province
http://www.semwebtech.org/mondial/10/country/STP/	Country
http://www.semwebtech.org/mondial/10/organization/G-8/	Organization
3441d4f:1508ad6f828:6938	Encompassed
http://www.semwebtech.org/mondial/10/estuary/Neckar/	Estuary
3441d4f:1508ad6f828:77cd	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	City
3441d4f:1508ad97479:-73bc	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/	Province
3441d4f:1508ad6f828:7dff	Membership
3441d4f:1508ad97479:-6b59	BelievedBy
3441d4f:1508ad6f828:70f9	Membership
3441d4f:1508ad6f828:6cb6	Membership
3441d4f:1508ad6f828:7d5b	Membership
http://www.semwebtech.org/mondial/10/language/Samoan/	Language
3441d4f:1508ad6f828:7055	Membership
3441d4f:1508ad6f828:6c12	Membership
3441d4f:1508ad6f828:68e4	Encompassed
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	City
3441d4f:1508ad97479:-790c	Membership
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	City
3441d4f:1508ad6f828:6e72	Membership
3441d4f:1508ad97479:-6a61	EthnicProportion
3441d4f:1508ad6f828:7649	Membership
3441d4f:1508ad97479:-7f3e	Membership
3441d4f:1508ad97479:-7238	Membership
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	City
3441d4f:1508ad97479:-7498	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/	Province
3441d4f:1508ad6f828:75f5	Membership
3441d4f:1508ad97479:-7eea	Membership
3441d4f:1508ad97479:-71e4	Membership
3441d4f:1508ad97479:-6da1	SpokenBy
3441d4f:1508ad6f828:7551	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/	Province
3441d4f:1508ad97479:-7140	Membership
3441d4f:1508ad6f828:6abd	Border
3441d4f:1508ad6f828:699f	Border
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	City
3441d4f:1508ad6f828:7b83	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	City
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/	Province
3441d4f:1508ad6f828:7f17	Membership
3441d4f:1508ad97479:-77d8	Membership
3441d4f:1508ad97479:-7b06	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	City
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	City
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	City
3441d4f:1508ad97479:-69a6	EthnicProportion
3441d4f:1508ad97479:-7734	Membership
http://www.semwebtech.org/mondial/10/country/IRL/	Country
http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	City
3441d4f:1508ad97479:-6902	EthnicProportion
3441d4f:1508ad97479:-7d66	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	City
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	City
3441d4f:1508ad97479:-703f	Membership
3441d4f:1508ad6f828:7ec3	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	City
3441d4f:1508ad97479:-7994	Membership
3441d4f:1508ad97479:-7ab2	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	City
3441d4f:1508ad97479:-729f	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	City
3441d4f:1508ad97479:-76e0	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	City
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	Province
3441d4f:1508ad97479:-6e5c	Membership
3441d4f:1508ad6f828:73fc	Membership
3441d4f:1508ad6f828:6b99	Membership
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	Source
http://www.semwebtech.org/mondial/10/source/Tocantins/	Source
http://www.semwebtech.org/mondial/10/island/Bohol/	Island
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	City
3441d4f:1508ad6f828:7d1e	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/	Province
3441d4f:1508ad6f828:7018	Membership
3441d4f:1508ad97479:-75df	Membership
3441d4f:1508ad6f828:68a7	Encompassed
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/	Province
3441d4f:1508ad6f828:794c	Membership
3441d4f:1508ad97479:-753b	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	City
3441d4f:1508ad6f828:7f7e	Membership
3441d4f:1508ad6f828:6ed9	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	City
3441d4f:1508ad97479:-6ac8	EthnicProportion
3441d4f:1508ad6f828:7278	Membership
3441d4f:1508ad97479:-7b6d	Membership
3441d4f:1508ad6f828:7cca	Membership
3441d4f:1508ad6f828:6e35	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	City
3441d4f:1508ad97479:-6a24	EthnicProportion
3441d4f:1508ad97479:-779b	Membership
3441d4f:1508ad97479:-6c84	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	City
3441d4f:1508ad6f828:6de1	Membership
3441d4f:1508ad97479:-7ead	Membership
3441d4f:1508ad6f828:75b8	Membership
3441d4f:1508ad6f828:7180	Membership
3441d4f:1508ad97479:-71a7	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/	Province
http://www.semwebtech.org/mondial/10/country/A/province/Wien/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	City
3441d4f:1508ad6f828:7514	Membership
3441d4f:1508ad97479:-7103	Membership
3441d4f:1508ad6f828:7b46	Membership
3441d4f:1508ad97479:-6fc4	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/	Province
3441d4f:1508ad6f828:7774	Membership
3441d4f:1508ad97479:-7363	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/	Province
3441d4f:1508ad97479:-6f20	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/	Province
3441d4f:1508ad6f828:74c0	Membership
3441d4f:1508ad6f828:707f	Membership
http://www.semwebtech.org/mondial/10/island/Corvo/	Island
3441d4f:1508ad6f828:6c3c	Membership
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	City
3441d4f:1508ad6f828:7af2	Membership
3441d4f:1508ad97479:-7d29	Membership
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/	Province
3441d4f:1508ad97479:-7957	Membership
3441d4f:1508ad97479:-6a8b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	City
3441d4f:1508ad6f828:6e9c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/	Province
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	Mountain
3441d4f:1508ad97479:-7f89	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/	Province
3441d4f:1508ad97479:-76a3	Membership
3441d4f:1508ad97479:-6e1f	SpokenBy
3441d4f:1508ad6f828:73bf	Membership
3441d4f:1508ad97479:-7cd5	Membership
3441d4f:1508ad6f828:731b	Membership
3441d4f:1508ad97479:-7c31	Membership
http://www.semwebtech.org/mondial/10/mountains/Beskides/	Mountains
3441d4f:1508ad6f828:757b	Membership
3441d4f:1508ad97479:-7e91	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	City
3441d4f:1508ad97479:-716a	Membership
3441d4f:1508ad6f828:790f	Membership
3441d4f:1508ad6f828:6a64	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	City
3441d4f:1508ad97479:-775e	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	City
3441d4f:1508ad6f828:78bb	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	City
http://www.semwebtech.org/mondial/10/language/Maltese/	Language
3441d4f:1508ad97479:-692c	EthnicProportion
3441d4f:1508ad97479:-74aa	Membership
3441d4f:1508ad97479:-6c47	BelievedBy
3441d4f:1508ad97479:-7adc	Membership
3441d4f:1508ad6f828:7eed	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	City
3441d4f:1508ad6f828:71e7	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/	Province
3441d4f:1508ad6f828:6da4	Membership
3441d4f:1508ad6f828:7143	Membership
http://www.semwebtech.org/mondial/10/source/Zaire/	Source
3441d4f:1508ad6f828:69d2	Border
3441d4f:1508ad6f828:6d00	Membership
3441d4f:1508ad97479:-6bf3	BelievedBy
3441d4f:1508ad6f828:7b09	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	City
3441d4f:1508ad6f828:6f60	Membership
3441d4f:1508ad6f828:7737	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	City
3441d4f:1508ad97479:-7326	Membership
3441d4f:1508ad6f828:7d69	Membership
http://www.semwebtech.org/mondial/10/river/Angara/	River
3441d4f:1508ad6f828:7997	Membership
3441d4f:1508ad6f828:7ab5	Membership
3441d4f:1508ad97479:-7586	Membership
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	Estuary
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/	Province
3441d4f:1508ad6f828:76e3	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	City
3441d4f:1508ad6f828:7a11	Membership
3441d4f:1508ad97479:-72d2	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	City
3441d4f:1508ad6f828:6e5f	Membership
3441d4f:1508ad97479:-6a4e	EthnicProportion
3441d4f:1508ad6f828:6bab	Membership
3441d4f:1508ad6f828:7c71	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	City
3441d4f:1508ad97479:-78c6	Membership
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	City
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanSyrian-Lebanese/	EthnicGroup
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	Lake
3441d4f:1508ad97479:-7ef8	Membership
3441d4f:1508ad97479:-7822	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Serer/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	City
http://www.semwebtech.org/mondial/10/source/Aruwimi/	Source
3441d4f:1508ad6f828:753e	Membership
3441d4f:1508ad97479:-7e54	Membership
3441d4f:1508ad97479:-712d	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	City
3441d4f:1508ad6f828:7fb1	Membership
3441d4f:1508ad97479:-7ba0	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	City
3441d4f:1508ad97479:-6fee	Membership
3441d4f:1508ad6f828:6a27	Border
http://www.semwebtech.org/mondial/10/organization/CACM/	Organization
3441d4f:1508ad6f828:779e	Membership
3441d4f:1508ad97479:-738d	Membership
3441d4f:1508ad97479:-6f4a	Membership
3441d4f:1508ad6f828:74ea	Membership
http://www.semwebtech.org/mondial/10/source/Lena/	Source
3441d4f:1508ad6f828:6c87	Membership
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	Sea
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	City
3441d4f:1508ad6f828:7e0c	Membership
3441d4f:1508ad6f828:7106	Membership
3441d4f:1508ad97479:-76cd	Membership
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	City
http://www.semwebtech.org/mondial/10/island/GrandCayman/	Island
3441d4f:1508ad97479:-7cff	Membership
3441d4f:1508ad6f828:6fc7	Membership
http://www.semwebtech.org/mondial/10/estuary/Bani/	Estuary
3441d4f:1508ad97479:-6bb6	BelievedBy
http://www.semwebtech.org/mondial/10/island/Pico/	Island
3441d4f:1508ad6f828:7366	Membership
3441d4f:1508ad97479:-7c5b	Membership
3441d4f:1508ad6f828:6f23	Membership
http://www.semwebtech.org/mondial/10/island/Kreta/	Island
3441d4f:1508ad97479:-6b12	EthnicProportion
3441d4f:1508ad6f828:70b2	Membership
http://www.semwebtech.org/mondial/10/mountain/Semeru/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:6f51	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	City
3441d4f:1508ad97479:-6d72	SpokenBy
3441d4f:1508ad97479:-7549	Membership
3441d4f:1508ad6f828:6a8e	Border
3441d4f:1508ad6f828:76a6	Membership
http://www.semwebtech.org/mondial/10/country/KOS/	Country
3441d4f:1508ad6f828:7cd8	Membership
3441d4f:1508ad6f828:7602	Membership
3441d4f:1508ad6f828:7c34	Membership
3441d4f:1508ad97479:-6977	EthnicProportion
3441d4f:1508ad97479:-74f5	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/	Province
3441d4f:1508ad6f828:7862	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/London/	Province
3441d4f:1508ad97479:-7451	Membership
3441d4f:1508ad6f828:6dce	Membership
3441d4f:1508ad6f828:7e94	Membership
3441d4f:1508ad6f828:716d	Membership
3441d4f:1508ad97479:-7a83	Membership
3441d4f:1508ad6f828:69fc	Border
3441d4f:1508ad6f828:6d2a	Membership
3441d4f:1508ad6f828:7be0	Membership
3441d4f:1508ad97479:-7e17	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/	Province
3441d4f:1508ad6f828:6f8a	Membership
http://www.semwebtech.org/mondial/10/river/Luvua/	River
3441d4f:1508ad97479:-6f0d	Membership
3441d4f:1508ad6f828:74ad	Membership
3441d4f:1508ad97479:-7dc3	Membership
3441d4f:1508ad6f828:7adf	Membership
3441d4f:1508ad97479:-79f1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	City
3441d4f:1508ad6f828:7a3b	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/	Province
3441d4f:1508ad97479:-72fc	Membership
3441d4f:1508ad97479:-6a99	EthnicProportion
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	City
3441d4f:1508ad6f828:6bf6	Membership
3441d4f:1508ad6f828:7c9b	Membership
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/	Province
3441d4f:1508ad6f828:6b52	Membership
3441d4f:1508ad6f828:7329	Membership
3441d4f:1508ad97479:-7c1e	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	City
3441d4f:1508ad97479:-784c	Membership
http://www.semwebtech.org/mondial/10/island/Texel/	Island
3441d4f:1508ad97479:-6dd9	SpokenBy
3441d4f:1508ad6f828:7589	Membership
3441d4f:1508ad97479:-7e7e	Membership
3441d4f:1508ad97479:-7178	Membership
3441d4f:1508ad6f828:7fdb	Membership
3441d4f:1508ad97479:-6d35	BelievedBy
3441d4f:1508ad6f828:72d5	Membership
3441d4f:1508ad97479:-7bca	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/	Province
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	City
3441d4f:1508ad6f828:7231	Membership
3441d4f:1508ad97479:-6f95	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	City
http://www.semwebtech.org/mondial/10/language/Roma/	Language
3441d4f:1508ad97479:-6ce1	BelievedBy
3441d4f:1508ad6f828:78c9	Membership
3441d4f:1508ad6f828:7491	Membership
3441d4f:1508ad97479:-74b8	Membership
3441d4f:1508ad97479:-7080	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	City
3441d4f:1508ad6f828:7825	Membership
3441d4f:1508ad97479:-7414	Membership
3441d4f:1508ad6f828:7e57	Membership
http://www.semwebtech.org/mondial/10/organization/UNFICYP/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	City
3441d4f:1508ad97479:-7a46	Membership
3441d4f:1508ad6f828:69bf	Border
3441d4f:1508ad6f828:7ba3	Membership
3441d4f:1508ad97479:-68e6	EthnicProportion
3441d4f:1508ad97479:-7674	Membership
3441d4f:1508ad6f828:691b	Encompassed
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/	Province
3441d4f:1508ad6f828:77d1	Membership
3441d4f:1508ad97479:-73c0	Membership
3441d4f:1508ad6f828:6f4d	Membership
3441d4f:1508ad97479:-6b3c	BelievedBy
3441d4f:1508ad6f828:70dc	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/	Province
http://www.semwebtech.org/mondial/10/island/Dominica/	Island
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	City
3441d4f:1508ad97479:-6d9c	SpokenBy
3441d4f:1508ad97479:-79b4	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Chinese/	EthnicGroup
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	Lake
3441d4f:1508ad97479:-72bf	Membership
3441d4f:1508ad97479:-7910	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	City
3441d4f:1508ad97479:-7fe6	Membership
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	City
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/	Province
3441d4f:1508ad97479:-721b	Membership
3441d4f:1508ad6f828:762c	Membership
3441d4f:1508ad97479:-7f42	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	City
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	City
3441d4f:1508ad6f828:6bb9	Membership
3441d4f:1508ad6f828:7c5e	Membership
3441d4f:1508ad6f828:6b15	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/	Province
3441d4f:1508ad6f828:788c	Membership
3441d4f:1508ad97479:-747b	Membership
3441d4f:1508ad97479:-780f	Membership
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	Desert
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/	Province
3441d4f:1508ad6f828:6d75	Membership
3441d4f:1508ad6f828:6ac1	Membership
http://www.semwebtech.org/mondial/10/country/AUS/	Country
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	City
http://www.semwebtech.org/mondial/10/source/Reuss/	Source
3441d4f:1508ad97479:-77bb	Membership
3441d4f:1508ad97479:-6f58	Membership
3441d4f:1508ad6f828:74f8	Membership
3441d4f:1508ad97479:-7ded	Membership
3441d4f:1508ad97479:-70e7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	City
3441d4f:1508ad97479:-6ca4	BelievedBy
3441d4f:1508ad6f828:7454	Membership
3441d4f:1508ad97479:-7043	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	City
3441d4f:1508ad97479:-6c00	BelievedBy
3441d4f:1508ad6f828:7a86	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	City
3441d4f:1508ad6f828:71a0	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	City
3441d4f:1508ad97479:-7a09	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/	Province
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	Lake
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	City
3441d4f:1508ad97479:-6e60	Membership
3441d4f:1508ad97479:-68a9	EthnicProportion
3441d4f:1508ad97479:-7637	Membership
3441d4f:1508ad6f828:6b7c	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/	Province
3441d4f:1508ad97479:-7c69	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	EthnicGroup
3441d4f:1508ad6f828:7dc6	Membership
http://www.semwebtech.org/mondial/10/language/Macedonian/	Language
3441d4f:1508ad97479:-7897	Membership
3441d4f:1508ad6f828:7d22	Membership
3441d4f:1508ad6f828:79f4	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/	Province
http://www.semwebtech.org/mondial/10/source/WesternMorava/	Source
3441d4f:1508ad97479:-75e3	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/	Province
3441d4f:1508ad97479:-6d5f	SpokenBy
3441d4f:1508ad6f828:7950	Membership
3441d4f:1508ad6f828:72ff	Membership
3441d4f:1508ad6f828:6ebc	Membership
3441d4f:1508ad97479:-6aab	EthnicProportion
3441d4f:1508ad6f828:7f82	Membership
3441d4f:1508ad97479:-7fa9	Membership
3441d4f:1508ad6f828:725b	Membership
3441d4f:1508ad97479:-7b71	Membership
3441d4f:1508ad97479:-7f05	Membership
http://www.semwebtech.org/mondial/10/river/Baro/	River
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/	Province
3441d4f:1508ad6f828:784f	Membership
3441d4f:1508ad97479:-743e	Membership
3441d4f:1508ad97479:-7eb1	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	City
3441d4f:1508ad6f828:6d38	Membership
3441d4f:1508ad6f828:7bcd	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	City
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	Source
3441d4f:1508ad97479:-769e	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	City
3441d4f:1508ad6f828:6966	Encompassed
3441d4f:1508ad6f828:77fb	Membership
3441d4f:1508ad97479:-73ea	Membership
3441d4f:1508ad6f828:6f98	Membership
3441d4f:1508ad97479:-6b87	BelievedBy
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	City
3441d4f:1508ad6f828:6ce4	Membership
3441d4f:1508ad6f828:7083	Membership
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	Estuary
3441d4f:1508ad6f828:6c40	Membership
3441d4f:1508ad97479:-79de	Membership
3441d4f:1508ad6f828:7417	Membership
3441d4f:1508ad97479:-7d0c	Membership
3441d4f:1508ad97479:-7006	Membership
3441d4f:1508ad6f828:7a49	Membership
3441d4f:1508ad97479:-793a	Membership
http://www.semwebtech.org/mondial/10/river/Kura/	River
3441d4f:1508ad97479:-6ec7	Membership
3441d4f:1508ad6f828:7677	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/	Province
3441d4f:1508ad97479:-7f6c	Membership
3441d4f:1508ad97479:-7266	Membership
3441d4f:1508ad97479:-6e23	SpokenBy
3441d4f:1508ad6f828:73c3	Membership
http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Mountains
3441d4f:1508ad6f828:6b3f	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	EthnicGroup
3441d4f:1508ad6f828:6d9f	Membership
3441d4f:1508ad6f828:79b7	Membership
3441d4f:1508ad97479:-75a6	Membership
3441d4f:1508ad6f828:6aeb	Membership
3441d4f:1508ad6f828:7fe9	Membership
3441d4f:1508ad6f828:7913	Membership
3441d4f:1508ad97479:-7bd8	Membership
3441d4f:1508ad97479:-7502	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	City
3441d4f:1508ad6f828:7f45	Membership
3441d4f:1508ad6f828:721e	Membership
3441d4f:1508ad97479:-7b34	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Acholi/	EthnicGroup
http://www.semwebtech.org/mondial/10/river/Drin/	River
http://www.semwebtech.org/mondial/10/source/WesternBug/	Source
3441d4f:1508ad97479:-69d4	EthnicProportion
3441d4f:1508ad97479:-7762	Membership
3441d4f:1508ad97479:-6930	EthnicProportion
3441d4f:1508ad97479:-6cce	BelievedBy
3441d4f:1508ad97479:-7d94	Membership
3441d4f:1508ad6f828:747e	Membership
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	City
3441d4f:1508ad97479:-706d	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	City
3441d4f:1508ad97479:-6c2a	BelievedBy
3441d4f:1508ad6f828:7ef1	Membership
http://www.semwebtech.org/mondial/10/source/Paraguay/	Source
3441d4f:1508ad6f828:71ca	Membership
3441d4f:1508ad97479:-7ae0	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	City
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/	Province
3441d4f:1508ad97479:-6e8a	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	City
3441d4f:1508ad6f828:6929	Encompassed
3441d4f:1508ad6f828:77be	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	City
3441d4f:1508ad97479:-73ad	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	City
3441d4f:1508ad6f828:771a	Membership
3441d4f:1508ad6f828:6ca7	Membership
3441d4f:1508ad6f828:7d4c	Membership
3441d4f:1508ad6f828:7046	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Langi/	EthnicGroup
3441d4f:1508ad6f828:68d5	Encompassed
3441d4f:1508ad6f828:6c03	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Borneoindigenous/	EthnicGroup
3441d4f:1508ad6f828:797a	Membership
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	Source
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	Estuary
http://www.semwebtech.org/mondial/10/source/Mincio/	Source
3441d4f:1508ad97479:-6af6	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/LakeTana/	Lake
3441d4f:1508ad97479:-7b9b	Membership
3441d4f:1508ad6f828:6e63	Membership
3441d4f:1508ad97479:-6a52	EthnicProportion
http://www.semwebtech.org/mondial/10/island/NewGuinea/	Island
3441d4f:1508ad97479:-7f2f	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	City
3441d4f:1508ad97479:-7229	Membership
http://www.semwebtech.org/mondial/10/island/Leyte/	Island
http://www.semwebtech.org/mondial/10/river/RioMamore/	River
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	City
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	Mountain
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	City
3441d4f:1508ad97479:-7489	Membership
http://www.semwebtech.org/mondial/10/country/CEU/	Country
3441d4f:1508ad6f828:75e6	Membership
3441d4f:1508ad97479:-7edb	Membership
3441d4f:1508ad97479:-71d5	Membership
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	Island
3441d4f:1508ad6f828:7542	Membership
3441d4f:1508ad97479:-7131	Membership
3441d4f:1508ad6f828:6aae	Border
3441d4f:1508ad6f828:7b74	Membership
3441d4f:1508ad97479:-6ff2	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/	Province
3441d4f:1508ad6f828:6a0a	Border
3441d4f:1508ad6f828:7f08	Membership
3441d4f:1508ad97479:-7391	Membership
3441d4f:1508ad97479:-77c9	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	City
http://www.semwebtech.org/mondial/10/country/DZ/	Country
3441d4f:1508ad97479:-7725	Membership
3441d4f:1508ad6f828:6c6a	Membership
3441d4f:1508ad97479:-7d57	Membership
3441d4f:1508ad6f828:7eb4	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	City
3441d4f:1508ad97479:-7985	Membership
3441d4f:1508ad97479:-7aa3	Membership
3441d4f:1508ad6f828:7e10	Membership
3441d4f:1508ad97479:-76d1	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	City
3441d4f:1508ad97479:-6e4d	SpokenBy
3441d4f:1508ad6f828:73ed	Membership
3441d4f:1508ad6f828:6faa	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	City
http://www.semwebtech.org/mondial/10/river/Elbe/	River
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	City
3441d4f:1508ad6f828:7d0f	Membership
3441d4f:1508ad6f828:7009	Membership
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/	Mountain
http://www.semwebtech.org/mondial/10/country/MS/	Country
3441d4f:1508ad6f828:793d	Membership
3441d4f:1508ad97479:-6ab9	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	City
3441d4f:1508ad97479:-752c	Membership
3441d4f:1508ad6f828:7f6f	Membership
3441d4f:1508ad6f828:6a92	Border
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/	Province
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	Island
3441d4f:1508ad6f828:7269	Membership
3441d4f:1508ad97479:-7b5e	Membership
3441d4f:1508ad6f828:6e26	Membership
3441d4f:1508ad97479:-6a15	EthnicProportion
3441d4f:1508ad6f828:7cbb	Membership
http://www.semwebtech.org/mondial/10/mountain/MtHood/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-69fe	EthnicProportion
3441d4f:1508ad97479:-778c	Membership
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	Mountain
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	City
3441d4f:1508ad97479:-695a	EthnicProportion
3441d4f:1508ad97479:-6c75	BelievedBy
3441d4f:1508ad6f828:6dd2	Membership
3441d4f:1508ad6f828:75a9	Membership
3441d4f:1508ad6f828:7171	Membership
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	Desert
3441d4f:1508ad6f828:7505	Membership
3441d4f:1508ad6f828:7b37	Membership
3441d4f:1508ad97479:-73f8	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	City
3441d4f:1508ad97479:-6fb5	Membership
3441d4f:1508ad6f828:7765	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/	Province
3441d4f:1508ad97479:-7354	Membership
http://www.semwebtech.org/mondial/10/river/Maas/	River
3441d4f:1508ad97479:-6f11	Membership
3441d4f:1508ad6f828:7d97	Membership
3441d4f:1508ad6f828:74b1	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Hindustani/	EthnicGroup
3441d4f:1508ad97479:-70a0	Membership
3441d4f:1508ad6f828:68ff	Encompassed
3441d4f:1508ad6f828:6c2d	Membership
3441d4f:1508ad6f828:7ae3	Membership
3441d4f:1508ad97479:-7948	Membership
3441d4f:1508ad6f828:6e8d	Membership
3441d4f:1508ad97479:-6a7c	EthnicProportion
3441d4f:1508ad97479:-7cc6	Membership
3441d4f:1508ad97479:-78f4	Membership
3441d4f:1508ad6f828:730c	Membership
3441d4f:1508ad97479:-7c22	Membership
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-7850	Membership
3441d4f:1508ad97479:-71ff	Membership
3441d4f:1508ad97479:-6dbc	SpokenBy
3441d4f:1508ad6f828:756c	Membership
3441d4f:1508ad97479:-7e82	Membership
3441d4f:1508ad97479:-715b	Membership
3441d4f:1508ad6f828:6af9	Membership
3441d4f:1508ad6f828:7b9e	Membership
3441d4f:1508ad6f828:6a55	Border
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/	Province
http://www.semwebtech.org/mondial/10/island/Tutuila/	Island
3441d4f:1508ad97479:-774f	Membership
3441d4f:1508ad6f828:78ac	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/	Province
http://www.semwebtech.org/mondial/10/country/E/	Country
3441d4f:1508ad97479:-691d	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Isar/	Source
3441d4f:1508ad97479:-6c38	BelievedBy
3441d4f:1508ad6f828:7ede	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	City
3441d4f:1508ad6f828:71d8	Membership
3441d4f:1508ad97479:-7acd	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	City
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	City
http://www.semwebtech.org/mondial/10/mountain/Uluru/	Mountain
3441d4f:1508ad6f828:7e3a	Membership
3441d4f:1508ad6f828:7134	Membership
3441d4f:1508ad97479:-76fb	Membership
3441d4f:1508ad6f828:69c3	Border
http://www.semwebtech.org/mondial/10/island/Zhoushan/	Island
3441d4f:1508ad97479:-6e98	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Evora/	Province
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	City
3441d4f:1508ad6f828:6ff5	Membership
3441d4f:1508ad97479:-6be4	BelievedBy
3441d4f:1508ad6f828:7394	Membership
3441d4f:1508ad97479:-6b40	BelievedBy
3441d4f:1508ad6f828:7728	Membership
3441d4f:1508ad6f828:70e0	Membership
3441d4f:1508ad97479:-7317	Membership
3441d4f:1508ad6f828:7988	Membership
3441d4f:1508ad6f828:7aa6	Membership
3441d4f:1508ad97479:-7577	Membership
http://www.semwebtech.org/mondial/10/source/Prypjat/	Source
3441d4f:1508ad6f828:76d4	Membership
3441d4f:1508ad6f828:7a02	Membership
3441d4f:1508ad97479:-72c3	Membership
3441d4f:1508ad97479:-6a3f	EthnicProportion
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	River
3441d4f:1508ad6f828:7630	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	City
3441d4f:1508ad6f828:7c62	Membership
3441d4f:1508ad97479:-6c9f	BelievedBy
3441d4f:1508ad6f828:7890	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	City
3441d4f:1508ad97479:-78b7	Membership
3441d4f:1508ad6f828:6dfc	Membership
http://www.semwebtech.org/mondial/10/mountains/Hindukusch/	Mountains
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	City
3441d4f:1508ad97479:-7ee9	Membership
3441d4f:1508ad6f828:719b	Membership
3441d4f:1508ad97479:-7813	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/	Province
3441d4f:1508ad6f828:752f	Membership
3441d4f:1508ad97479:-7e45	Membership
3441d4f:1508ad97479:-711e	Membership
3441d4f:1508ad6f828:7fa2	Membership
3441d4f:1508ad97479:-6fdf	Membership
3441d4f:1508ad6f828:6a18	Border
http://www.semwebtech.org/mondial/10/country/MEL/	Country
3441d4f:1508ad6f828:778f	Membership
3441d4f:1508ad97479:-737e	Membership
http://www.semwebtech.org/mondial/10/mountain/YuShan/	Mountain
3441d4f:1508ad97479:-6f3b	Membership
3441d4f:1508ad6f828:74db	Membership
3441d4f:1508ad97479:-7df1	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	City
3441d4f:1508ad97479:-70ca	Membership
http://www.semwebtech.org/mondial/10/country/RIM/	Country
3441d4f:1508ad6f828:6c78	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	City
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	City
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/	Province
3441d4f:1508ad97479:-76be	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/	Province
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	City
3441d4f:1508ad97479:-761a	Membership
3441d4f:1508ad6f828:6fb8	Membership
3441d4f:1508ad6f828:6b80	Membership
3441d4f:1508ad97479:-6ba7	BelievedBy
3441d4f:1508ad6f828:7357	Membership
3441d4f:1508ad97479:-7c4c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	City
3441d4f:1508ad6f828:6f14	Membership
3441d4f:1508ad97479:-6b03	EthnicProportion
3441d4f:1508ad6f828:70a3	Membership
3441d4f:1508ad97479:-787a	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	City
http://www.semwebtech.org/mondial/10/country/MNE/	Country
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	City
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	City
http://www.semwebtech.org/mondial/10/islands/Japan/	Islands
3441d4f:1508ad97479:-6d63	SpokenBy
http://www.semwebtech.org/mondial/10/language/Nepali/	Language
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/	Province
3441d4f:1508ad6f828:6ec0	Membership
3441d4f:1508ad6f828:6a7f	Border
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	City
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/	Province
3441d4f:1508ad6f828:7cc9	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	City
http://www.semwebtech.org/mondial/10/language/Guarani/	Language
3441d4f:1508ad6f828:7c25	Membership
3441d4f:1508ad6f828:78f7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	City
3441d4f:1508ad97479:-6968	EthnicProportion
3441d4f:1508ad97479:-74e6	Membership
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	City
3441d4f:1508ad6f828:7853	Membership
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	River
3441d4f:1508ad97479:-7442	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	City
3441d4f:1508ad97479:-7a74	Membership
3441d4f:1508ad6f828:6dbf	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	City
3441d4f:1508ad6f828:7e85	Membership
3441d4f:1508ad6f828:715e	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	City
3441d4f:1508ad6f828:69ed	Border
3441d4f:1508ad6f828:6d1b	Membership
http://www.semwebtech.org/mondial/10/organization/UNIFIL/	Organization
3441d4f:1508ad6f828:7bd1	Membership
3441d4f:1508ad97479:-7e08	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	City
3441d4f:1508ad6f828:6f7b	Membership
3441d4f:1508ad97479:-6b6a	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	City
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	City
3441d4f:1508ad97479:-7db4	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	City
3441d4f:1508ad97479:-79e2	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	City
3441d4f:1508ad97479:-7d10	Membership
http://www.semwebtech.org/mondial/10/river/Nile/	River
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	City
3441d4f:1508ad6f828:76fe	Membership
3441d4f:1508ad6f828:7a2c	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/	Province
3441d4f:1508ad97479:-72ed	Membership
3441d4f:1508ad97479:-6eaa	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/	Province
3441d4f:1508ad6f828:765a	Membership
3441d4f:1508ad97479:-7f70	Membership
3441d4f:1508ad6f828:7c8c	Membership
3441d4f:1508ad6f828:6be7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	City
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	City
3441d4f:1508ad6f828:6b43	Membership
3441d4f:1508ad97479:-7c0f	Membership
3441d4f:1508ad97479:-783d	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/	Province
3441d4f:1508ad97479:-7e6f	Membership
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	Source
3441d4f:1508ad97479:-7169	Membership
3441d4f:1508ad6f828:7fcc	Membership
3441d4f:1508ad97479:-6d26	BelievedBy
3441d4f:1508ad6f828:72c6	Membership
3441d4f:1508ad97479:-7bbb	Membership
3441d4f:1508ad6f828:7222	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	City
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	City
3441d4f:1508ad97479:-6f86	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	City
3441d4f:1508ad97479:-6cd2	BelievedBy
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	City
3441d4f:1508ad6f828:7482	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	City
3441d4f:1508ad97479:-74a9	Membership
3441d4f:1508ad97479:-7071	Membership
3441d4f:1508ad6f828:7816	Membership
3441d4f:1508ad97479:-7405	Membership
3441d4f:1508ad6f828:7e48	Membership
3441d4f:1508ad97479:-7a37	Membership
3441d4f:1508ad97479:-68d7	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/	Mountain
3441d4f:1508ad97479:-7665	Membership
3441d4f:1508ad6f828:690c	Encompassed
3441d4f:1508ad6f828:77c2	Membership
3441d4f:1508ad97479:-7c97	Membership
3441d4f:1508ad97479:-73b1	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	City
3441d4f:1508ad6f828:6f3e	Membership
3441d4f:1508ad97479:-6b2d	BelievedBy
3441d4f:1508ad6f828:7df4	Membership
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	Estuary
3441d4f:1508ad6f828:70cd	Membership
3441d4f:1508ad6f828:7d50	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	City
3441d4f:1508ad97479:-6d8d	SpokenBy
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	City
http://www.semwebtech.org/mondial/10/island/Ikaria/	Island
3441d4f:1508ad97479:-79a5	Membership
3441d4f:1508ad6f828:6eea	Membership
3441d4f:1508ad97479:-7fd7	Membership
3441d4f:1508ad97479:-7901	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/	Province
3441d4f:1508ad6f828:761d	Membership
3441d4f:1508ad97479:-7f33	Membership
http://www.semwebtech.org/mondial/10/language/Papiamento/	Language
3441d4f:1508ad97479:-720c	Membership
3441d4f:1508ad6f828:7c4f	Membership
3441d4f:1508ad6f828:6b06	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/	Province
3441d4f:1508ad6f828:787d	Membership
3441d4f:1508ad97479:-746c	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	City
3441d4f:1508ad97479:-7a9e	Membership
3441d4f:1508ad6f828:6d66	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	City
3441d4f:1508ad6f828:7bfb	Membership
http://www.semwebtech.org/mondial/10/river/Ganges/	River
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/	Province
3441d4f:1508ad6f828:6994	Border
3441d4f:1508ad6f828:6ab2	Border
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	Island
3441d4f:1508ad97479:-77ac	Membership
3441d4f:1508ad6f828:72f4	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	City
3441d4f:1508ad97479:-6f49	Membership
3441d4f:1508ad6f828:74e9	Membership
3441d4f:1508ad97479:-7dde	Membership
3441d4f:1508ad97479:-70d8	Membership
http://www.semwebtech.org/mondial/10/source/Weser/	Source
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/	Province
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	City
3441d4f:1508ad6f828:7445	Membership
3441d4f:1508ad97479:-7d3a	Membership
3441d4f:1508ad97479:-7034	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Andorran/	EthnicGroup
3441d4f:1508ad6f828:7a77	Membership
3441d4f:1508ad97479:-6ef5	Membership
3441d4f:1508ad97479:-7f9a	Membership
3441d4f:1508ad97479:-7294	Membership
3441d4f:1508ad97479:-6e51	SpokenBy
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/	Province
http://www.semwebtech.org/mondial/10/organization/ZC/	Organization
3441d4f:1508ad6f828:73f1	Membership
http://www.semwebtech.org/mondial/10/country/WV/	Country
3441d4f:1508ad97479:-7628	Membership
3441d4f:1508ad6f828:6b6d	Membership
http://www.semwebtech.org/mondial/10/estuary/Kura/	Estuary
http://www.semwebtech.org/mondial/10/source/Loire/	Source
3441d4f:1508ad6f828:7db7	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	City
3441d4f:1508ad97479:-7888	Membership
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	Lake
http://www.semwebtech.org/mondial/10/river/Tocantins/	River
3441d4f:1508ad6f828:7d13	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/	Province
3441d4f:1508ad6f828:79e5	Membership
3441d4f:1508ad97479:-75d4	Membership
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	Source
3441d4f:1508ad6f828:7941	Membership
3441d4f:1508ad97479:-7530	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/	Province
3441d4f:1508ad6f828:6ead	Membership
3441d4f:1508ad6f828:7f73	Membership
3441d4f:1508ad6f828:724c	Membership
3441d4f:1508ad97479:-7b62	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	City
3441d4f:1508ad97479:-7790	Membership
3441d4f:1508ad97479:-6cfc	BelievedBy
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	City
3441d4f:1508ad97479:-709b	Membership
3441d4f:1508ad97479:-742f	Membership
http://www.semwebtech.org/mondial/10/religion/Adventist/	Religion
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	Province
http://www.semwebtech.org/mondial/10/estuary/Drin/	Estuary
3441d4f:1508ad97479:-7ea2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	City
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	City
http://www.semwebtech.org/mondial/10/island/Benbecula/	Island
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	Lake
3441d4f:1508ad6f828:6d29	Membership
3441d4f:1508ad6f828:7bbe	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	City
3441d4f:1508ad97479:-73db	Membership
3441d4f:1508ad97479:-768f	Membership
http://www.semwebtech.org/mondial/10/country/GBJ/	Country
3441d4f:1508ad6f828:7b1a	Membership
3441d4f:1508ad6f828:6957	Encompassed
3441d4f:1508ad6f828:77ec	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	City
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	City
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/	Province
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	City
3441d4f:1508ad6f828:6f89	Membership
3441d4f:1508ad97479:-6b78	BelievedBy
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	City
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/	Province
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	Island
3441d4f:1508ad6f828:6cd5	Membership
3441d4f:1508ad6f828:7d7a	Membership
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	City
3441d4f:1508ad6f828:7074	Membership
3441d4f:1508ad6f828:6c31	Membership
3441d4f:1508ad6f828:7408	Membership
3441d4f:1508ad97479:-79cf	Membership
3441d4f:1508ad97479:-792b	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	City
3441d4f:1508ad6f828:6e91	Membership
3441d4f:1508ad97479:-6a80	EthnicProportion
3441d4f:1508ad97479:-6eb8	Membership
3441d4f:1508ad6f828:7668	Membership
3441d4f:1508ad97479:-7f5d	Membership
http://www.semwebtech.org/mondial/10/island/Banaba/	Island
3441d4f:1508ad97479:-7257	Membership
http://www.semwebtech.org/mondial/10/river/Ubangi/	River
3441d4f:1508ad97479:-6e14	SpokenBy
3441d4f:1508ad6f828:73b4	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	City
3441d4f:1508ad6f828:7310	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	City
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	Mountain
http://www.semwebtech.org/mondial/10/language/Romansch/	Language
3441d4f:1508ad97479:-6dc0	SpokenBy
3441d4f:1508ad6f828:79a8	Membership
3441d4f:1508ad6f828:7570	Membership
3441d4f:1508ad6f828:6adc	Membership
3441d4f:1508ad6f828:7904	Membership
3441d4f:1508ad97479:-7bc9	Membership
3441d4f:1508ad6f828:7f36	Membership
3441d4f:1508ad97479:-77f7	Membership
3441d4f:1508ad6f828:720f	Membership
3441d4f:1508ad97479:-7b25	Membership
http://www.semwebtech.org/mondial/10/language/Dutch/	Language
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Assyrian/	EthnicGroup
3441d4f:1508ad97479:-69c5	EthnicProportion
3441d4f:1508ad97479:-7753	Membership
3441d4f:1508ad97479:-6921	EthnicProportion
3441d4f:1508ad97479:-6cbf	BelievedBy
http://www.semwebtech.org/mondial/10/island/Male/	Island
3441d4f:1508ad6f828:78b0	Membership
3441d4f:1508ad6f828:746f	Membership
3441d4f:1508ad97479:-7d85	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	City
3441d4f:1508ad97479:-705e	Membership
3441d4f:1508ad6f828:7ee2	Membership
3441d4f:1508ad97479:-6c1b	BelievedBy
3441d4f:1508ad6f828:71bb	Membership
3441d4f:1508ad97479:-7ad1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	City
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	City
3441d4f:1508ad97479:-6e7b	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	City
http://www.semwebtech.org/mondial/10/source/Tara/	Source
http://www.semwebtech.org/mondial/10/language/Turkmen/	Language
3441d4f:1508ad6f828:77af	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/	Province
3441d4f:1508ad6f828:770b	Membership
3441d4f:1508ad6f828:7d3d	Membership
3441d4f:1508ad6f828:7037	Membership
3441d4f:1508ad97479:-75fe	Membership
3441d4f:1508ad6f828:68c6	Encompassed
3441d4f:1508ad6f828:796b	Membership
3441d4f:1508ad97479:-755a	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	City
3441d4f:1508ad6f828:6ef8	Membership
3441d4f:1508ad6f828:7f9d	Membership
3441d4f:1508ad97479:-6ae7	EthnicProportion
3441d4f:1508ad6f828:7297	Membership
3441d4f:1508ad97479:-7b8c	Membership
3441d4f:1508ad6f828:6e54	Membership
3441d4f:1508ad97479:-6a43	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	City
3441d4f:1508ad6f828:6ba0	Membership
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/	Province
3441d4f:1508ad6f828:75d7	Membership
3441d4f:1508ad97479:-7ecc	Membership
3441d4f:1508ad97479:-71c6	Membership
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	Island
3441d4f:1508ad6f828:7533	Membership
http://www.semwebtech.org/mondial/10/island/Greenland/	Island
3441d4f:1508ad97479:-7122	Membership
http://www.semwebtech.org/mondial/10/river/Jubba/	River
3441d4f:1508ad6f828:7b65	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	City
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/	Province
3441d4f:1508ad97479:-6fe3	Membership
3441d4f:1508ad6f828:7793	Membership
3441d4f:1508ad97479:-7382	Membership
3441d4f:1508ad6f828:6cff	Membership
3441d4f:1508ad6f828:709e	Membership
3441d4f:1508ad97479:-7716	Membership
3441d4f:1508ad6f828:6c5b	Membership
3441d4f:1508ad97479:-7d48	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	City
3441d4f:1508ad6f828:7ea5	Membership
3441d4f:1508ad97479:-7976	Membership
3441d4f:1508ad6f828:7e01	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	City
3441d4f:1508ad97479:-76c2	Membership
http://www.semwebtech.org/mondial/10/mountain/Katla/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-6e3e	SpokenBy
3441d4f:1508ad6f828:73de	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	City
3441d4f:1508ad97479:-7cf4	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/	Province
3441d4f:1508ad6f828:727a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	City
http://www.semwebtech.org/mondial/10/river/Rhein/	River
3441d4f:1508ad6f828:733a	Membership
3441d4f:1508ad97479:-7c50	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	City
3441d4f:1508ad97479:-6dea	SpokenBy
3441d4f:1508ad6f828:759a	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/	Province
http://www.semwebtech.org/mondial/10/islands/Svalbard/	Islands
http://www.semwebtech.org/mondial/10/desert/Qaidam/	Desert
http://www.semwebtech.org/mondial/10/ethnicgroup/BeriBeri/	EthnicGroup
3441d4f:1508ad6f828:792e	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	City
http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	Mountains
3441d4f:1508ad97479:-751d	Membership
3441d4f:1508ad6f828:6a83	Border
3441d4f:1508ad97479:-7b4f	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	City
3441d4f:1508ad6f828:6e17	Membership
3441d4f:1508ad97479:-69ef	EthnicProportion
3441d4f:1508ad6f828:7cac	Membership
3441d4f:1508ad97479:-6a06	EthnicProportion
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	City
3441d4f:1508ad97479:-777d	Membership
3441d4f:1508ad6f828:78da	Membership
http://www.semwebtech.org/mondial/10/island/Terceira/	Island
3441d4f:1508ad97479:-694b	EthnicProportion
3441d4f:1508ad97479:-6c66	BelievedBy
3441d4f:1508ad97479:-7afb	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	City
3441d4f:1508ad6f828:6dc3	Membership
3441d4f:1508ad6f828:7162	Membership
3441d4f:1508ad6f828:69f1	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	City
3441d4f:1508ad6f828:7b28	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/	Province
3441d4f:1508ad97479:-73e9	Membership
http://www.semwebtech.org/mondial/10/island/Tiree/	Island
http://www.semwebtech.org/mondial/10/estuary/Kasai/	Estuary
http://www.semwebtech.org/mondial/10/estuary/Drina/	Estuary
3441d4f:1508ad97479:-6fa6	Membership
3441d4f:1508ad6f828:7756	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/	Province
3441d4f:1508ad97479:-7345	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	City
3441d4f:1508ad97479:-6f02	Membership
3441d4f:1508ad6f828:7d88	Membership
3441d4f:1508ad6f828:74a2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	City
3441d4f:1508ad6f828:6c1e	Membership
3441d4f:1508ad6f828:7ad4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	City
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/	Province
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/	Province
3441d4f:1508ad6f828:7a30	Membership
3441d4f:1508ad97479:-7939	Membership
3441d4f:1508ad97479:-72f1	Membership
3441d4f:1508ad6f828:6e7e	Membership
3441d4f:1508ad97479:-6a6d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/	Province
http://www.semwebtech.org/mondial/10/organization/UNAMID/	Organization
3441d4f:1508ad6f828:6bca	Membership
3441d4f:1508ad6f828:7c90	Membership
3441d4f:1508ad97479:-7cb7	Membership
http://www.semwebtech.org/mondial/10/island/SriLanka/	Island
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	City
3441d4f:1508ad97479:-78e5	Membership
3441d4f:1508ad97479:-7c13	Membership
http://www.semwebtech.org/mondial/10/islands/Canares/	Islands
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/	Province
http://www.semwebtech.org/mondial/10/country/MART/	Country
3441d4f:1508ad97479:-7841	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	City
http://www.semwebtech.org/mondial/10/source/Lomami/	Source
3441d4f:1508ad97479:-6dad	SpokenBy
3441d4f:1508ad6f828:755d	Membership
3441d4f:1508ad97479:-7e73	Membership
3441d4f:1508ad97479:-714c	Membership
3441d4f:1508ad6f828:7fd0	Membership
3441d4f:1508ad6f828:7b8f	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/	Province
http://www.semwebtech.org/mondial/10/organization/EITI/	Organization
3441d4f:1508ad6f828:6a46	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	City
3441d4f:1508ad97479:-690e	EthnicProportion
3441d4f:1508ad97479:-6c29	BelievedBy
3441d4f:1508ad6f828:7ecf	Membership
3441d4f:1508ad97479:-7abe	Membership
3441d4f:1508ad6f828:71c9	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/	Province
http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/	Mountains
http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	Mountains
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	City
3441d4f:1508ad6f828:7e2b	Membership
3441d4f:1508ad97479:-76ec	Membership
3441d4f:1508ad6f828:7125	Membership
3441d4f:1508ad97479:-7a1a	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	City
3441d4f:1508ad6f828:69b4	Border
3441d4f:1508ad97479:-6e89	Membership
3441d4f:1508ad97479:-68ba	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RN/	Country
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	City
3441d4f:1508ad6f828:6fe6	Membership
3441d4f:1508ad6f828:6910	Encompassed
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	City
3441d4f:1508ad97479:-6bd5	BelievedBy
3441d4f:1508ad6f828:7385	Membership
3441d4f:1508ad97479:-7c7a	Membership
3441d4f:1508ad6f828:6f42	Membership
3441d4f:1508ad97479:-6b31	BelievedBy
3441d4f:1508ad6f828:7719	Membership
3441d4f:1508ad6f828:70d1	Membership
http://www.semwebtech.org/mondial/10/country/TT/	Country
3441d4f:1508ad97479:-7308	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	City
3441d4f:1508ad97479:-6d91	SpokenBy
3441d4f:1508ad6f828:7979	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/	Province
3441d4f:1508ad97479:-7568	Membership
3441d4f:1508ad6f828:76c5	Membership
3441d4f:1508ad97479:-7fba	Membership
3441d4f:1508ad97479:-72b4	Membership
3441d4f:1508ad6f828:7cf7	Membership
3441d4f:1508ad6f828:7621	Membership
3441d4f:1508ad97479:-7210	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Dagestani/	EthnicGroup
3441d4f:1508ad6f828:7c53	Membership
3441d4f:1508ad97479:-6996	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Chire/	River
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	Estuary
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	City
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	City
http://www.semwebtech.org/mondial/10/country/R/province/Samara/	Province
3441d4f:1508ad6f828:7881	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	City
3441d4f:1508ad97479:-78a8	Membership
3441d4f:1508ad97479:-7470	Membership
3441d4f:1508ad6f828:6ded	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	City
3441d4f:1508ad6f828:718c	Membership
3441d4f:1508ad97479:-7804	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	City
3441d4f:1508ad97479:-7e36	Membership
3441d4f:1508ad97479:-710f	Membership
http://www.semwebtech.org/mondial/10/river/Ucayali/	River
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	City
3441d4f:1508ad6f828:6a09	Border
http://www.semwebtech.org/mondial/10/country/WAL/	Country
3441d4f:1508ad97479:-77b0	Membership
3441d4f:1508ad97479:-736f	Membership
3441d4f:1508ad97479:-6f2c	Membership
3441d4f:1508ad6f828:74cc	Membership
3441d4f:1508ad97479:-7de2	Membership
3441d4f:1508ad97479:-70bb	Membership
http://www.semwebtech.org/mondial/10/organization/G-10/	Organization
3441d4f:1508ad6f828:6c69	Membership
3441d4f:1508ad6f828:7afe	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	City
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	River
3441d4f:1508ad6f828:6897	Encompassed
3441d4f:1508ad6f828:7a5a	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigre/	EthnicGroup
3441d4f:1508ad97479:-76af	Membership
http://www.semwebtech.org/mondial/10/organization/ITSO/	Organization
http://www.semwebtech.org/mondial/10/country/S/	Country
3441d4f:1508ad97479:-760b	Membership
3441d4f:1508ad6f828:6fa9	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	City
3441d4f:1508ad6f828:6b71	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	City
3441d4f:1508ad6f828:7348	Membership
3441d4f:1508ad97479:-7c3d	Membership
3441d4f:1508ad6f828:6f05	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	City
3441d4f:1508ad97479:-786b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	City
3441d4f:1508ad97479:-6df8	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Saone/	Estuary
3441d4f:1508ad97479:-7e9d	Membership
3441d4f:1508ad97479:-7197	Membership
3441d4f:1508ad6f828:7ffa	Membership
3441d4f:1508ad97479:-6d54	SpokenBy
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	City
3441d4f:1508ad6f828:6eb1	Membership
3441d4f:1508ad97479:-6aa0	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/UNISFA/	Organization
3441d4f:1508ad6f828:7250	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/	Province
3441d4f:1508ad6f828:7c16	Membership
3441d4f:1508ad6f828:78e8	Membership
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	River
3441d4f:1508ad97479:-6959	EthnicProportion
3441d4f:1508ad97479:-74d7	Membership
3441d4f:1508ad6f828:7844	Membership
3441d4f:1508ad97479:-7433	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	City
3441d4f:1508ad6f828:7e76	Membership
3441d4f:1508ad6f828:714f	Membership
3441d4f:1508ad97479:-7a65	Membership
3441d4f:1508ad6f828:69de	Border
3441d4f:1508ad6f828:6d0c	Membership
3441d4f:1508ad6f828:7bc2	Membership
3441d4f:1508ad97479:-7693	Membership
3441d4f:1508ad97479:-6bff	BelievedBy
3441d4f:1508ad6f828:693a	Encompassed
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/	Province
3441d4f:1508ad6f828:77f0	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/	Province
3441d4f:1508ad6f828:6f6c	Membership
3441d4f:1508ad97479:-6b5b	BelievedBy
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	City
3441d4f:1508ad6f828:70fb	Membership
http://www.semwebtech.org/mondial/10/religion/Muslim/	Religion
http://www.semwebtech.org/mondial/10/organization/CBSS/	Organization
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	River
3441d4f:1508ad97479:-7da5	Membership
3441d4f:1508ad97479:-79d3	Membership
3441d4f:1508ad97479:-7d01	Membership
3441d4f:1508ad6f828:76ef	Membership
3441d4f:1508ad6f828:7a1d	Membership
3441d4f:1508ad97479:-72de	Membership
3441d4f:1508ad6f828:764b	Membership
3441d4f:1508ad97479:-7f61	Membership
3441d4f:1508ad97479:-723a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	City
3441d4f:1508ad6f828:6bd8	Membership
3441d4f:1508ad6f828:7c7d	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	City
http://www.semwebtech.org/mondial/10/organization/EAC/	Organization
3441d4f:1508ad6f828:6b34	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	City
3441d4f:1508ad97479:-749a	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	City
3441d4f:1508ad97479:-782e	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/	Province
3441d4f:1508ad6f828:6d94	Membership
http://www.semwebtech.org/mondial/10/language/Monegasque/	Language
3441d4f:1508ad6f828:6ae0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Altay/	Province
3441d4f:1508ad6f828:7fbd	Membership
3441d4f:1508ad97479:-6d17	BelievedBy
3441d4f:1508ad6f828:72b7	Membership
3441d4f:1508ad97479:-7bac	Membership
3441d4f:1508ad6f828:7213	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	City
3441d4f:1508ad97479:-77da	Membership
3441d4f:1508ad97479:-6f77	Membership
3441d4f:1508ad97479:-6cc3	BelievedBy
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	City
3441d4f:1508ad6f828:7473	Membership
3441d4f:1508ad97479:-7062	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	City
3441d4f:1508ad6f828:7807	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	City
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	City
3441d4f:1508ad6f828:7e39	Membership
3441d4f:1508ad97479:-7a28	Membership
3441d4f:1508ad97479:-68c8	EthnicProportion
3441d4f:1508ad97479:-7656	Membership
3441d4f:1508ad97479:-6b1e	BelievedBy
3441d4f:1508ad6f828:6b9b	Membership
http://www.semwebtech.org/mondial/10/organization/ANZUS/	Organization
3441d4f:1508ad6f828:77b3	Membership
3441d4f:1508ad97479:-73a2	Membership
3441d4f:1508ad97479:-7c88	Membership
http://www.semwebtech.org/mondial/10/country/RWA/	Country
http://www.semwebtech.org/mondial/10/source/RioGrande/	Source
3441d4f:1508ad6f828:6f2f	Membership
3441d4f:1508ad6f828:7de5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	City
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	Mountain
3441d4f:1508ad6f828:70be	Membership
3441d4f:1508ad6f828:7d41	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	EthnicGroup
3441d4f:1508ad6f828:701a	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	City
3441d4f:1508ad97479:-6d7e	SpokenBy
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	City
3441d4f:1508ad6f828:6edb	Membership
3441d4f:1508ad97479:-6aca	EthnicProportion
3441d4f:1508ad97479:-7fc8	Membership
3441d4f:1508ad97479:-7b90	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	City
3441d4f:1508ad6f828:760e	Membership
3441d4f:1508ad97479:-7f24	Membership
http://www.semwebtech.org/mondial/10/island/SaintHelena/	Island
http://www.semwebtech.org/mondial/10/ethnicgroup/Rwanda/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/	Province
3441d4f:1508ad6f828:786e	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	City
3441d4f:1508ad97479:-745d	Membership
3441d4f:1508ad6f828:75ba	Membership
3441d4f:1508ad97479:-7ed0	Membership
3441d4f:1508ad97479:-7a8f	Membership
3441d4f:1508ad6f828:6d57	Membership
http://www.semwebtech.org/mondial/10/estuary/Olt/	Estuary
3441d4f:1508ad6f828:7bec	Membership
3441d4f:1508ad6f828:6985	Border
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	City
3441d4f:1508ad6f828:6aa3	Border
http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	Islands
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	City
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/	Province
3441d4f:1508ad97479:-7dcf	Membership
3441d4f:1508ad97479:-70c9	Membership
http://www.semwebtech.org/mondial/10/religion/CopticChristian/	Religion
3441d4f:1508ad97479:-79fd	Membership
3441d4f:1508ad6f828:7436	Membership
3441d4f:1508ad97479:-7d2b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	City
3441d4f:1508ad97479:-7025	Membership
3441d4f:1508ad6f828:7a68	Membership
3441d4f:1508ad97479:-6ee6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	City
3441d4f:1508ad6f828:7696	Membership
3441d4f:1508ad97479:-7f8b	Membership
3441d4f:1508ad97479:-7285	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/	Province
3441d4f:1508ad97479:-6e42	SpokenBy
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	City
3441d4f:1508ad6f828:73e2	Membership
3441d4f:1508ad97479:-7619	Membership
http://www.semwebtech.org/mondial/10/country/BG/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	City
3441d4f:1508ad6f828:6b5e	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/	Province
http://www.semwebtech.org/mondial/10/source/WesternDwina/	Source
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	City
3441d4f:1508ad6f828:7da8	Membership
http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	Islands
3441d4f:1508ad97479:-7879	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	City
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	City
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	Lake
3441d4f:1508ad6f828:7d04	Membership
3441d4f:1508ad6f828:79d6	Membership
3441d4f:1508ad97479:-75c5	Membership
3441d4f:1508ad6f828:7932	Membership
3441d4f:1508ad97479:-7bf7	Membership
3441d4f:1508ad97479:-7521	Membership
3441d4f:1508ad6f828:7f64	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	City
3441d4f:1508ad6f828:723d	Membership
3441d4f:1508ad97479:-7b53	Membership
http://www.semwebtech.org/mondial/10/organization/SPC/	Organization
3441d4f:1508ad6f828:7cb0	Membership
3441d4f:1508ad97479:-69f3	EthnicProportion
3441d4f:1508ad97479:-7781	Membership
3441d4f:1508ad97479:-6ced	BelievedBy
3441d4f:1508ad6f828:749d	Membership
3441d4f:1508ad97479:-708c	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	City
http://www.semwebtech.org/mondial/10/island/Vlieland/	Island
3441d4f:1508ad6f828:7baf	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	City
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	City
http://www.semwebtech.org/mondial/10/organization/G-9/	Organization
3441d4f:1508ad6f828:6948	Encompassed
3441d4f:1508ad6f828:7b0b	Membership
3441d4f:1508ad6f828:77dd	Membership
3441d4f:1508ad97479:-73cc	Membership
3441d4f:1508ad97479:-6b69	BelievedBy
3441d4f:1508ad6f828:6cc6	Membership
3441d4f:1508ad6f828:7d6b	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	City
3441d4f:1508ad6f828:7065	Membership
http://www.semwebtech.org/mondial/10/source/Luvua/	Source
3441d4f:1508ad6f828:68f4	Encompassed
3441d4f:1508ad6f828:6c22	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	City
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	City
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	Estuary
3441d4f:1508ad97479:-791c	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	City
3441d4f:1508ad97479:-6a71	EthnicProportion
3441d4f:1508ad6f828:6e82	Membership
3441d4f:1508ad97479:-6ea9	Membership
3441d4f:1508ad97479:-7248	Membership
3441d4f:1508ad6f828:7659	Membership
3441d4f:1508ad97479:-7f4e	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	City
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	City
3441d4f:1508ad97479:-6e05	SpokenBy
3441d4f:1508ad6f828:73a5	Membership
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	City
3441d4f:1508ad6f828:7301	Membership
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	Lake
http://www.semwebtech.org/mondial/10/language/Czech/	Language
3441d4f:1508ad97479:-7efa	Membership
3441d4f:1508ad97479:-71f4	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	City
3441d4f:1508ad97479:-6db1	SpokenBy
3441d4f:1508ad6f828:7561	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	City
3441d4f:1508ad97479:-7150	Membership
3441d4f:1508ad6f828:6acd	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	City
3441d4f:1508ad6f828:7b93	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/	Province
http://www.semwebtech.org/mondial/10/island/KoSamui/	Island
3441d4f:1508ad6f828:7f27	Membership
3441d4f:1508ad97479:-77e8	Membership
3441d4f:1508ad97479:-7b16	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/	Province
3441d4f:1508ad97479:-69b6	EthnicProportion
3441d4f:1508ad97479:-7744	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	City
3441d4f:1508ad6f828:78a1	Membership
3441d4f:1508ad97479:-6912	EthnicProportion
3441d4f:1508ad97479:-7d76	Membership
http://www.semwebtech.org/mondial/10/organization/IGAD/	Organization
3441d4f:1508ad97479:-704f	Membership
3441d4f:1508ad6f828:7ed3	Membership
3441d4f:1508ad97479:-6c0c	BelievedBy
3441d4f:1508ad6f828:71ac	Membership
3441d4f:1508ad97479:-7ac2	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	City
http://www.semwebtech.org/mondial/10/organization/Sparteca/	Organization
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	City
3441d4f:1508ad97479:-76f0	Membership
http://www.semwebtech.org/mondial/10/organization/AMU/	Organization
3441d4f:1508ad97479:-6e6c	Membership
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	Sea
3441d4f:1508ad6f828:7d2e	Membership
3441d4f:1508ad6f828:7028	Membership
3441d4f:1508ad97479:-75ef	Membership
3441d4f:1508ad6f828:68b7	Encompassed
3441d4f:1508ad6f828:795c	Membership
3441d4f:1508ad97479:-754b	Membership
3441d4f:1508ad6f828:6ee9	Membership
3441d4f:1508ad6f828:7f8e	Membership
3441d4f:1508ad97479:-6ad8	EthnicProportion
3441d4f:1508ad6f828:7288	Membership
3441d4f:1508ad97479:-7b7d	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	City
3441d4f:1508ad6f828:6e45	Membership
3441d4f:1508ad6f828:7cda	Membership
3441d4f:1508ad97479:-6a34	EthnicProportion
3441d4f:1508ad97479:-6c94	BelievedBy
http://www.semwebtech.org/mondial/10/lake/Balaton/	Lake
3441d4f:1508ad6f828:6df1	Membership
3441d4f:1508ad97479:-7ebd	Membership
3441d4f:1508ad6f828:75c8	Membership
3441d4f:1508ad6f828:7190	Membership
3441d4f:1508ad97479:-71b7	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	City
3441d4f:1508ad6f828:7524	Membership
3441d4f:1508ad97479:-7113	Membership
3441d4f:1508ad6f828:7b56	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	City
3441d4f:1508ad97479:-6fd4	Membership
3441d4f:1508ad6f828:7784	Membership
3441d4f:1508ad97479:-7373	Membership
3441d4f:1508ad97479:-6f30	Membership
3441d4f:1508ad6f828:74d0	Membership
3441d4f:1508ad6f828:708f	Membership
3441d4f:1508ad97479:-7707	Membership
3441d4f:1508ad6f828:6c4c	Membership
3441d4f:1508ad97479:-7d39	Membership
http://www.semwebtech.org/mondial/10/source/Adda/	Source
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	City
3441d4f:1508ad97479:-7967	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	City
3441d4f:1508ad97479:-6a9b	EthnicProportion
3441d4f:1508ad97479:-6e2f	SpokenBy
3441d4f:1508ad97479:-7f99	Membership
3441d4f:1508ad97479:-76b3	Membership
http://www.semwebtech.org/mondial/10/estuary/Kwa/	Estuary
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	City
3441d4f:1508ad97479:-7ce5	Membership
3441d4f:1508ad6f828:73cf	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	City
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	City
3441d4f:1508ad6f828:732b	Membership
3441d4f:1508ad97479:-7c41	Membership
3441d4f:1508ad6f828:7c44	Membership
http://www.semwebtech.org/mondial/10/estuary/Senegal/	Estuary
http://www.semwebtech.org/mondial/10/source/RioNegro/	Source
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	City
3441d4f:1508ad97479:-6ddb	SpokenBy
3441d4f:1508ad6f828:758b	Membership
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/	Province
3441d4f:1508ad97479:-717a	Membership
3441d4f:1508ad6f828:791f	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/	Province
3441d4f:1508ad97479:-750e	Membership
3441d4f:1508ad6f828:6a74	Border
3441d4f:1508ad6f828:6e08	Membership
3441d4f:1508ad97479:-776e	Membership
3441d4f:1508ad6f828:78cb	Membership
3441d4f:1508ad97479:-693c	EthnicProportion
3441d4f:1508ad97479:-74ba	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	EthnicGroup
3441d4f:1508ad6f828:7efd	Membership
3441d4f:1508ad97479:-6c57	BelievedBy
3441d4f:1508ad6f828:71f7	Membership
3441d4f:1508ad97479:-7aec	Membership
3441d4f:1508ad6f828:6db4	Membership
3441d4f:1508ad6f828:7153	Membership
3441d4f:1508ad6f828:69e2	Border
3441d4f:1508ad6f828:6d10	Membership
3441d4f:1508ad6f828:7b19	Membership
3441d4f:1508ad6f828:6f70	Membership
3441d4f:1508ad6f828:7747	Membership
3441d4f:1508ad97479:-7336	Membership
3441d4f:1508ad6f828:7d79	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	City
3441d4f:1508ad6f828:6c0f	Membership
3441d4f:1508ad6f828:7ac5	Membership
3441d4f:1508ad97479:-7596	Membership
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	City
3441d4f:1508ad6f828:76f3	Membership
3441d4f:1508ad6f828:7a21	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	City
3441d4f:1508ad97479:-72e2	Membership
3441d4f:1508ad6f828:6e6f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	City
3441d4f:1508ad97479:-6a5e	EthnicProportion
http://www.semwebtech.org/mondial/10/river/BlueNile/	River
3441d4f:1508ad6f828:6bbb	Membership
3441d4f:1508ad6f828:7c81	Membership
3441d4f:1508ad97479:-7ca8	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	City
3441d4f:1508ad97479:-78d6	Membership
3441d4f:1508ad97479:-7c04	Membership
3441d4f:1508ad97479:-7832	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/	Province
3441d4f:1508ad6f828:754e	Membership
3441d4f:1508ad97479:-7e64	Membership
3441d4f:1508ad97479:-713d	Membership
3441d4f:1508ad6f828:7fc1	Membership
3441d4f:1508ad97479:-7bb0	Membership
3441d4f:1508ad6f828:6a37	Border
3441d4f:1508ad97479:-6ffe	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-European/	EthnicGroup
3441d4f:1508ad97479:-739d	Membership
3441d4f:1508ad97479:-6f5a	Membership
3441d4f:1508ad6f828:74fa	Membership
3441d4f:1508ad6f828:6c97	Membership
http://www.semwebtech.org/mondial/10/lake/LopNor/	Lake
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	Source
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	City
3441d4f:1508ad97479:-7aaf	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	City
3441d4f:1508ad97479:-76dd	Membership
3441d4f:1508ad6f828:7e1c	Membership
3441d4f:1508ad6f828:7116	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	City
3441d4f:1508ad97479:-7a0b	Membership
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	City
3441d4f:1508ad6f828:69a5	Border
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	City
3441d4f:1508ad97479:-68ab	EthnicProportion
3441d4f:1508ad6f828:6fd7	Membership
3441d4f:1508ad6f828:6901	Encompassed
3441d4f:1508ad97479:-6bc6	BelievedBy
http://www.semwebtech.org/mondial/10/river/Ene/	River
3441d4f:1508ad6f828:7376	Membership
3441d4f:1508ad97479:-7c6b	Membership
http://www.semwebtech.org/mondial/10/source/Leine/	Source
3441d4f:1508ad6f828:6f33	Membership
3441d4f:1508ad97479:-6b22	BelievedBy
3441d4f:1508ad6f828:70c2	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	City
3441d4f:1508ad97479:-6d82	SpokenBy
3441d4f:1508ad97479:-7559	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/	Province
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/	Province
3441d4f:1508ad6f828:6a9e	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	City
3441d4f:1508ad6f828:76b6	Membership
3441d4f:1508ad97479:-7fab	Membership
3441d4f:1508ad97479:-72a5	Membership
3441d4f:1508ad6f828:7ce8	Membership
3441d4f:1508ad6f828:7612	Membership
3441d4f:1508ad97479:-7201	Membership
http://www.semwebtech.org/mondial/10/mountain/Musala/	Mountain
http://www.semwebtech.org/mondial/10/religion/United/	Religion
3441d4f:1508ad97479:-6987	EthnicProportion
3441d4f:1508ad97479:-7461	Membership
3441d4f:1508ad6f828:7872	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/	Province
http://www.semwebtech.org/mondial/10/country/GAZA/	Country
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/	Province
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	City
http://www.semwebtech.org/mondial/10/country/EW/	Country
3441d4f:1508ad6f828:6dde	Membership
3441d4f:1508ad97479:-7a93	Membership
3441d4f:1508ad6f828:717d	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	City
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	Mountain
3441d4f:1508ad6f828:6d3a	Membership
3441d4f:1508ad6f828:7bf0	Membership
3441d4f:1508ad97479:-7e27	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	City
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	Mountain
http://www.semwebtech.org/mondial/10/island/SaintVincent/	Island
3441d4f:1508ad6f828:6f9a	Membership
3441d4f:1508ad97479:-77a1	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/	Province
3441d4f:1508ad97479:-6f1d	Membership
3441d4f:1508ad6f828:74bd	Membership
3441d4f:1508ad97479:-7dd3	Membership
3441d4f:1508ad97479:-70ac	Membership
3441d4f:1508ad6f828:7aef	Membership
3441d4f:1508ad6f828:6888	Encompassed
3441d4f:1508ad6f828:7a4b	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	City
http://www.semwebtech.org/mondial/10/islands/LineIslands/	Islands
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	City
http://www.semwebtech.org/mondial/10/source/Bani/	Source
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	City
3441d4f:1508ad6f828:6b62	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/	Province
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/	Province
3441d4f:1508ad6f828:7339	Membership
3441d4f:1508ad97479:-7c2e	Membership
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	Mountain
3441d4f:1508ad97479:-785c	Membership
3441d4f:1508ad97479:-6de9	SpokenBy
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	River
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	City
3441d4f:1508ad6f828:7599	Membership
3441d4f:1508ad97479:-7e8e	Membership
3441d4f:1508ad97479:-7188	Membership
3441d4f:1508ad6f828:7feb	Membership
3441d4f:1508ad97479:-6d45	SpokenBy
3441d4f:1508ad6f828:72e5	Membership
3441d4f:1508ad97479:-7bda	Membership
3441d4f:1508ad6f828:6ea2	Membership
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	River
3441d4f:1508ad6f828:7241	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/	Province
3441d4f:1508ad97479:-6cf1	BelievedBy
3441d4f:1508ad6f828:7c07	Membership
3441d4f:1508ad6f828:78d9	Membership
3441d4f:1508ad97479:-74c8	Membership
3441d4f:1508ad97479:-7090	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	City
3441d4f:1508ad6f828:7835	Membership
3441d4f:1508ad97479:-7424	Membership
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/	Province
3441d4f:1508ad6f828:7e67	Membership
3441d4f:1508ad97479:-7a56	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	City
3441d4f:1508ad6f828:69cf	Border
3441d4f:1508ad6f828:7bb3	Membership
3441d4f:1508ad97479:-68f6	EthnicProportion
3441d4f:1508ad97479:-7684	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	City
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	City
3441d4f:1508ad6f828:692b	Encompassed
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/	Province
3441d4f:1508ad6f828:77e1	Membership
http://www.semwebtech.org/mondial/10/river/Arno/	River
3441d4f:1508ad97479:-73d0	Membership
3441d4f:1508ad6f828:6f5d	Membership
3441d4f:1508ad97479:-6b4c	BelievedBy
3441d4f:1508ad6f828:70ec	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	City
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	City
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/	Province
3441d4f:1508ad97479:-79c4	Membership
http://www.semwebtech.org/mondial/10/river/Ruki/	River
3441d4f:1508ad6f828:7a0e	Membership
3441d4f:1508ad97479:-7ff6	Membership
3441d4f:1508ad97479:-7920	Membership
3441d4f:1508ad97479:-72cf	Membership
3441d4f:1508ad97479:-722b	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/	Province
3441d4f:1508ad6f828:763c	Membership
3441d4f:1508ad97479:-7f52	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/	Province
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	City
3441d4f:1508ad6f828:6bc9	Membership
3441d4f:1508ad6f828:7c6e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldovan/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/	Province
http://www.semwebtech.org/mondial/10/island/Stromboli/	Island
3441d4f:1508ad6f828:6b25	Membership
3441d4f:1508ad6f828:789c	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	City
3441d4f:1508ad97479:-748b	Membership
3441d4f:1508ad97479:-781f	Membership
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	City
3441d4f:1508ad6f828:6d85	Membership
3441d4f:1508ad97479:-6d08	BelievedBy
3441d4f:1508ad6f828:6ad1	Membership
3441d4f:1508ad6f828:7fae	Membership
http://www.semwebtech.org/mondial/10/islands/Galapagos/	Islands
3441d4f:1508ad6f828:72a8	Membership
3441d4f:1508ad6f828:7f0a	Membership
3441d4f:1508ad6f828:7204	Membership
3441d4f:1508ad97479:-77cb	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	City
3441d4f:1508ad97479:-6f68	Membership
3441d4f:1508ad97479:-7dfd	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/	Province
3441d4f:1508ad97479:-70f7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Baya/	EthnicGroup
3441d4f:1508ad97479:-6cb4	BelievedBy
3441d4f:1508ad6f828:7464	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	City
3441d4f:1508ad97479:-7053	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	City
3441d4f:1508ad97479:-6c10	BelievedBy
3441d4f:1508ad6f828:7a96	Membership
3441d4f:1508ad6f828:71b0	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	City
3441d4f:1508ad97479:-7a19	Membership
3441d4f:1508ad97479:-6e70	Membership
3441d4f:1508ad97479:-68b9	EthnicProportion
3441d4f:1508ad97479:-7647	Membership
3441d4f:1508ad6f828:6b8c	Membership
http://www.semwebtech.org/mondial/10/river/Selenge/	River
3441d4f:1508ad6f828:77a4	Membership
http://www.semwebtech.org/mondial/10/river/Ebro/	River
3441d4f:1508ad97479:-7c79	Membership
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	City
3441d4f:1508ad97479:-6b0f	EthnicProportion
3441d4f:1508ad6f828:7dd6	Membership
3441d4f:1508ad6f828:7700	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	City
3441d4f:1508ad6f828:70af	Membership
http://www.semwebtech.org/mondial/10/river/OhioRiver/	River
3441d4f:1508ad6f828:7d32	Membership
3441d4f:1508ad6f828:700b	Membership
3441d4f:1508ad97479:-75f3	Membership
3441d4f:1508ad97479:-6d6f	SpokenBy
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	City
3441d4f:1508ad6f828:7960	Membership
3441d4f:1508ad6f828:6ecc	Membership
3441d4f:1508ad97479:-6abb	EthnicProportion
3441d4f:1508ad6f828:7f92	Membership
3441d4f:1508ad97479:-7fb9	Membership
3441d4f:1508ad6f828:726b	Membership
3441d4f:1508ad97479:-7b81	Membership
3441d4f:1508ad97479:-7f15	Membership
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/	Province
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/	Province
http://www.semwebtech.org/mondial/10/religion/AfricanMethodistEpiscopal/	Religion
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	City
3441d4f:1508ad97479:-8000	Membership
3441d4f:1508ad6f828:785f	Membership
3441d4f:1508ad97479:-744e	Membership
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	Desert
3441d4f:1508ad6f828:75ab	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	City
3441d4f:1508ad97479:-7ec1	Membership
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	Mountain
3441d4f:1508ad6f828:6d48	Membership
3441d4f:1508ad6f828:7bdd	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	City
3441d4f:1508ad6f828:6976	Encompassed
3441d4f:1508ad97479:-73fa	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/African-white-Indian/	EthnicGroup
3441d4f:1508ad97479:-6b97	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Ararat/	GeographicalNonPoliticalThing
3441d4f:1508ad6f828:6cf4	Membership
3441d4f:1508ad6f828:7093	Membership
http://www.semwebtech.org/mondial/10/mountains/SierraMadre/	Mountains
3441d4f:1508ad6f828:6c50	Membership
3441d4f:1508ad97479:-79ee	Membership
3441d4f:1508ad6f828:7427	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	City
3441d4f:1508ad97479:-7d1c	Membership
3441d4f:1508ad97479:-7016	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	City
3441d4f:1508ad6f828:7a59	Membership
3441d4f:1508ad97479:-794a	Membership
3441d4f:1508ad97479:-6ed7	Membership
3441d4f:1508ad6f828:7687	Membership
3441d4f:1508ad97479:-7f7c	Membership
3441d4f:1508ad97479:-7276	Membership
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	Estuary
3441d4f:1508ad97479:-6e33	SpokenBy
3441d4f:1508ad6f828:73d3	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/	Province
3441d4f:1508ad6f828:6b4f	Membership
3441d4f:1508ad6f828:79c7	Membership
3441d4f:1508ad97479:-75b6	Membership
3441d4f:1508ad6f828:6afb	Membership
3441d4f:1508ad6f828:7ff9	Membership
3441d4f:1508ad6f828:7923	Membership
3441d4f:1508ad97479:-7be8	Membership
3441d4f:1508ad97479:-7512	Membership
3441d4f:1508ad6f828:7f55	Membership
3441d4f:1508ad6f828:722e	Membership
3441d4f:1508ad97479:-7b44	Membership
http://www.semwebtech.org/mondial/10/estuary/Doubs/	Estuary
3441d4f:1508ad6f828:7ca1	Membership
3441d4f:1508ad97479:-69e4	EthnicProportion
3441d4f:1508ad97479:-7772	Membership
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	Desert
3441d4f:1508ad97479:-6cde	BelievedBy
3441d4f:1508ad6f828:748e	Membership
3441d4f:1508ad97479:-6940	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	City
3441d4f:1508ad97479:-707d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	City
3441d4f:1508ad97479:-6c3a	BelievedBy
3441d4f:1508ad6f828:71da	Membership
3441d4f:1508ad97479:-7af0	Membership
3441d4f:1508ad97479:-6e9a	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/	Province
3441d4f:1508ad6f828:6939	Encompassed
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	City
3441d4f:1508ad6f828:77ce	Membership
http://www.semwebtech.org/mondial/10/island/Sachalin/	Island
3441d4f:1508ad97479:-73bd	Membership
3441d4f:1508ad6f828:772a	Membership
3441d4f:1508ad6f828:6cb7	Membership
3441d4f:1508ad6f828:7d5c	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/	Province
http://www.semwebtech.org/mondial/10/river/Akagera/	River
3441d4f:1508ad6f828:7056	Membership
http://www.semwebtech.org/mondial/10/country/NMIS/	Country
3441d4f:1508ad6f828:68e5	Encompassed
3441d4f:1508ad6f828:6c13	Membership
3441d4f:1508ad6f828:798a	Membership
3441d4f:1508ad97479:-790d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	City
3441d4f:1508ad6f828:6e73	Membership
3441d4f:1508ad97479:-6a62	EthnicProportion
3441d4f:1508ad97479:-7f3f	Membership
3441d4f:1508ad97479:-7239	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	City
http://www.semwebtech.org/mondial/10/estuary/Fimi/	Estuary
3441d4f:1508ad97479:-7499	Membership
3441d4f:1508ad6f828:75f6	Membership
3441d4f:1508ad97479:-7eeb	Membership
3441d4f:1508ad97479:-71e5	Membership
3441d4f:1508ad97479:-6da2	SpokenBy
3441d4f:1508ad6f828:7552	Membership
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	Lake
3441d4f:1508ad97479:-7141	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	EthnicGroup
3441d4f:1508ad6f828:6abe	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	City
3441d4f:1508ad6f828:7b84	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	City
3441d4f:1508ad6f828:7f18	Membership
3441d4f:1508ad6f828:6a1a	Border
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	City
3441d4f:1508ad97479:-77d9	Membership
3441d4f:1508ad97479:-7b07	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/	Province
http://www.semwebtech.org/mondial/10/estuary/Tiber/	Estuary
3441d4f:1508ad97479:-69a7	EthnicProportion
3441d4f:1508ad97479:-7735	Membership
3441d4f:1508ad6f828:6c7a	Membership
3441d4f:1508ad97479:-7d67	Membership
3441d4f:1508ad97479:-6903	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/	Country
3441d4f:1508ad6f828:7ec4	Membership
3441d4f:1508ad97479:-7995	Membership
3441d4f:1508ad97479:-7ab3	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/	Province
3441d4f:1508ad6f828:7e20	Membership
3441d4f:1508ad97479:-76e1	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	City
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	City
3441d4f:1508ad97479:-6e5d	Membership
3441d4f:1508ad6f828:73fd	Membership
3441d4f:1508ad6f828:6fba	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	City
http://www.semwebtech.org/mondial/10/country/KN/	Country
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	City
3441d4f:1508ad6f828:7d1f	Membership
http://www.semwebtech.org/mondial/10/river/Schilka/	River
3441d4f:1508ad6f828:7019	Membership
3441d4f:1508ad6f828:68a8	Encompassed
http://www.semwebtech.org/mondial/10/island/Anjouan/	Island
3441d4f:1508ad6f828:794d	Membership
3441d4f:1508ad97479:-753c	Membership
http://www.semwebtech.org/mondial/10/island/Okinawa/	Island
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	City
http://www.semwebtech.org/mondial/10/estuary/Mosel/	Estuary
3441d4f:1508ad6f828:7f7f	Membership
3441d4f:1508ad97479:-6ac9	EthnicProportion
3441d4f:1508ad6f828:7279	Membership
3441d4f:1508ad97479:-7b6e	Membership
3441d4f:1508ad6f828:6e36	Membership
3441d4f:1508ad6f828:7ccb	Membership
3441d4f:1508ad97479:-6a25	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/	Province
3441d4f:1508ad97479:-779c	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/	Province
3441d4f:1508ad97479:-696a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RA/	Country
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	City
3441d4f:1508ad97479:-6c85	BelievedBy
3441d4f:1508ad6f828:6de2	Membership
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	Mountain
3441d4f:1508ad97479:-7eae	Membership
3441d4f:1508ad6f828:75b9	Membership
3441d4f:1508ad6f828:7181	Membership
3441d4f:1508ad97479:-71a8	Membership
3441d4f:1508ad6f828:7515	Membership
3441d4f:1508ad97479:-7e0a	Membership
http://www.semwebtech.org/mondial/10/island/GranCanaria/	Island
3441d4f:1508ad97479:-7104	Membership
3441d4f:1508ad6f828:7b47	Membership
http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Mountains
3441d4f:1508ad97479:-6fc5	Membership
3441d4f:1508ad6f828:7775	Membership
3441d4f:1508ad97479:-7364	Membership
http://www.semwebtech.org/mondial/10/island/Seeland/	Island
3441d4f:1508ad97479:-6f21	Membership
3441d4f:1508ad6f828:74c1	Membership
http://www.semwebtech.org/mondial/10/river/Brigach/	River
3441d4f:1508ad97479:-70b0	Membership
3441d4f:1508ad6f828:6c3d	Membership
3441d4f:1508ad6f828:7af3	Membership
http://www.semwebtech.org/mondial/10/estuary/Mur/	Estuary
http://www.semwebtech.org/mondial/10/source/Irtysch/	Source
http://www.semwebtech.org/mondial/10/organization/CELAC/	Organization
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/	Province
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/	GeographicalNonPoliticalThing
3441d4f:1508ad97479:-7958	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	City
3441d4f:1508ad6f828:6e9d	Membership
http://www.semwebtech.org/mondial/10/river/Thjorsa/	River
3441d4f:1508ad97479:-6a8c	EthnicProportion
3441d4f:1508ad97479:-76a4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	City
3441d4f:1508ad97479:-7cd6	Membership
3441d4f:1508ad97479:-7600	Membership
3441d4f:1508ad6f828:731c	Membership
3441d4f:1508ad97479:-7c32	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	City
3441d4f:1508ad97479:-7860	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/	Province
3441d4f:1508ad97479:-6dcc	SpokenBy
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	City
3441d4f:1508ad6f828:757c	Membership
3441d4f:1508ad97479:-7e92	Membership
3441d4f:1508ad97479:-716b	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/	Province
3441d4f:1508ad6f828:6a65	Border
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/	Province
3441d4f:1508ad97479:-775f	Membership
3441d4f:1508ad6f828:78bc	Membership
3441d4f:1508ad97479:-692d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/F/	Country
3441d4f:1508ad97479:-74ab	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	City
3441d4f:1508ad6f828:7eee	Membership
3441d4f:1508ad97479:-6c48	BelievedBy
3441d4f:1508ad6f828:71e8	Membership
3441d4f:1508ad97479:-7add	Membership
3441d4f:1508ad6f828:6da5	Membership
3441d4f:1508ad6f828:7e4a	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	Province
3441d4f:1508ad6f828:7144	Membership
3441d4f:1508ad6f828:69d3	Border
3441d4f:1508ad6f828:6d01	Membership
\.


--
-- TOC entry 5998 (class 0 OID 90376)
-- Dependencies: 768
-- Data for Name: othername; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY othername ("MondialThing", "VALUE") FROM stdin;
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	Zhongli
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	L'Hospitalet de Llobregat
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	Kokshetau
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	Port Elizabeth
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	San Juan de Pasto
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	Elx
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	Ilesa
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	Cuautla
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	Jekaterinburg
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	Donostia-San Sebastián
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	San Sebastián
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	Sumqayit
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	Sakakah
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	Sutton
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	Pretoria
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	Cagayan de Oro
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	San Andres y Providencia
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	Kaspiysk
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	Pusan
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	Kota Bharu
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	Taegu
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	Čita
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	Santarém
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	Dahuk
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	Bojnourd
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	Bojnord
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	Distrito Central
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	Siquatepeque
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	Piraeus
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	Piräus
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	Cheju
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	Padua
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	Urumqi
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	Al-Qādisiyyah
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	Dzerzhinsk
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	Sukhumi
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	Castelló de la Plana
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	Taiz
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	Kimchaek
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	Songjin
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	Shakhty
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	Kelang
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	Volžskij
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	Bergen
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	Novokuzneck
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	Tashkent City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	Mytishchi
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	Laâyoune
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	Homs
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	Qamishli
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	Gambela
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	Diu
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	Komsomolsk on Amur
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	Komsomol'sk-na-Amure
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	Ahmedabad
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	Nashville
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	Guatemala City
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	Fez
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	Čel'abinsk
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	Novy Urengoy
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	Toamasina
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	Efon-Alaaye
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	Shchyolkovo
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	St. George's
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	Hamadan
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	Jerusalem
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	Nakhodka
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	Santiago de los Caballeros
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	Khasavyurt
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	Reggio Emilia
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	Bisho
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	Zouérat
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	Calicut
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	Geneva
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	Fergana
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	Uljanovsk
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	Amarah
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	Manama
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	Zheleznodorozhny
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	Lipeck
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	Korolyov
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	La Laguna
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	Mosul
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	El-Mahalla El-Kubra
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	Cairo
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	Termez
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	Rovno
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	Cologne
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	Ho Chi Minh City
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	Saigon
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	Mansoura
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	Turin
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	Guwahati
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	Mahajanga
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	Icel
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	Beersheba
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	Ulan Bator
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	Basra
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	Basrah
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	Viangchan
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	Latakia
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	Kamensk Uralsky
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	Kiev
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	Akyab
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	Nebitdag
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	Sāhīwal
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	Juárez
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	Nawābshāh
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	Adapazari
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	Poza Rica
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	Būrewāla
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	Karagandy
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	Santiago de Veraguas
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	Kaxgar
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	Kashi
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	South Tangerang
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	Las Tunas
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	Toljatti
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	Karāchi
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	Tashkent
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	Dera Ghāzi Khān
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	Minya
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	Almalyk
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	Rahim Yar Khan
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	Rahīmyār Khān
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	Cuzco
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	Kafr el-Dawwar
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	Goa
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	Seville
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	Genoa
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	Petropavl
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	Reggio Calabria
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	Limassol
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	Balqash
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	Misrata
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	Aizawl
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	Kotte
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	Sri Jayewardenepura
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	Pachuca de Soto
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	Deir ez-Zor
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	Boise
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	Santa Cruz
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	Ghent
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	Gand
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	Machačkala
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	Luik
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	Tabuk
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	Rubtsovsk
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	Heroica Nogales
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	Faiyum
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	Taif
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	Hama
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	Frankfurt
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	Panjin
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	Santarém
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	Dahuk
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	Damaskus
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	Damascus
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	Benin City
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	İzmir
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	Archangel'sk
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	Samarkand
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	Almetyevsk
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	Taldykorgan
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	Nefteyugansk
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	Rishon LeZion
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	Ahwaz
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	Iževsk
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	Najaf
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	Offenbach
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	Pushkino
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	Magway
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	Aleppo
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	Haleb
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	Thiruvananthapuram
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	Sharjah
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	Mersa Matruh
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	Shimla
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	Guixian
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	Dawei
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	Tlalnepantla de Baz
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	Orekhovo Zuyevo
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	Nazret
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	Antakya
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	Mamoudzou
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	Bhilai Nagar
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Saint Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Sankt Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	St. Peterburg
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	Taejon
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	Kwangju
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	Wad Madani
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	Yuzhno Sakhalinsk
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	Astrachan'
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	Odessa
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	Kāmoke
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	Bataysk
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	Bataisk
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	Karbala
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	Novorossijsk
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	Al Khalil
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	Achinsk
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	Coihaique
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	Nzérékoré
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	Estado de Mexico
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	San Juan de Los Morros
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	Nižnij Tagil
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	Iruña
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	Antwerp
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	Anvers
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	Athens
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	Osogbo
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	Gujrāt
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	Stavropol'
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	Jizan
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	Ramadi
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	Pyatigorsk
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	Nizhny Novgorod
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	Nižnij Novgorod
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	Shubra El-Kheima
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	Kamyshin
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	Copenhagen
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	Coro
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	Damascus
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	Rangoon
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	Naucalpan de Juarez
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	Porto
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	San Jose del Monte
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	Kokand
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	Urfa
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	Dehradun
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	Debre Zeyit
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	Mingora
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	Mingāora
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	Yelets
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	Huhhot
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	Bucharest
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	Bucarest
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	Izmit
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	Afyon
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	Br'ansk
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	Sinpo
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	Homs
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	Aktobe
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	Joškar-Ola
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	Urgench
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	Tucuman
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	Daraa
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	Sohag
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	Quy Nhơn
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	Durban
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	Voronež
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	San Pablo de las Salinas
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	Mawlamyaing
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	Moulmein
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	Howrah
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	Khomeynishahr
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	Blagoveshchensk
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	Luik
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	Havana
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	Habana
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	Afyon
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	Groznyj
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	Kazan'
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	Florence
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	Hamadan
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	Alacant
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	Islāmābād
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	Mülheim
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	Vienna
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	Timbuktu
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	Chalcis
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	Chalkis
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	Giza
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	Gizeh
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	Naberezhnye Chelny
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	Naberežnyje Čelny
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	Jaroslavl'
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	Novokuybyshevsk
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	Lārkāna
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	Nicosia
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	Agana
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	Malacca
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	Asaita
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	Biysk
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	Gambela
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	Nampo
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	Warsaw
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	Kigoma
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	Quneitra
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	Calcutta
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	Iraklion
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	Irakleio
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	Beirut
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	Rhodos
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	Pripyat
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	Aarhus
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	Novoshakhtinsk
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	Freiburg im Breisgau
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	Coxen Hole (Roatan)
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	Coxen Hole
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	Ismaïlia
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	San Fernando de Apure
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Kostanay
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Kustanay
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	Sfântu Gheorghe
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	Kopeysk
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	Dadiangas
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	Bruges
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	Larnaca
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	Tromsoe
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	Luxor
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	Lyubertsy
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	Kuwait
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	Kuwait City
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	Jerez
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	Al Chartum Bahri
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	Chartum Bahri
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	Oryol
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	Orël
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Brussels
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Brussel
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	Multān
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	Novocherkassk
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	Alexandria
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	Chabarovsk
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	Xiangfan
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	Charjew
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	Margilan
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	Nižnevartovsk
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	Isfahan
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	Khimki
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	Sulaymaniyah
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	Deir ez-Zor
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	Nacala
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	Hull
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	Tabuk
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	Naypyidaw
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	Naypyitaw
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	Al Qadarif
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	Odintsovo
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	Oktyabrsky
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	Gujrānwāla
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	Samarkand
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	Maskat
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	Tumaco
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	Gonbad e Kavous
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	Las Palmas
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	Khanty Mansiysk
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	Qena
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	Nasiriyah
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	The Hague
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	's-Gravenhage
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	Fergana
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	Isfahan
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	Rome
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	Čerepovec
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	Hyderābād
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	Évora
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	Quneitra
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	Serpukhov
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	Port Said
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	Al Bahah
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	Nelspruit
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	St. Catharines
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	Kumul
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	Cochin
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	Corfu
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	Korfu
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	Rostov on Don
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	Rostov
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	Bahāwalpur
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	Karagandy
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	Penang
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	Magway
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	Jerusalem
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	Châlons
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	Châlons en Champagne
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	Peshāwar
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	Newcastle
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	Syracuse
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	Khvoy
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	Sheikhūpura
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	Vadsoe
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	Khudzhand
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	Chudschand
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	T'umen'
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	Karbala
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	Islamshahr
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	Daşoguz
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	Tashauz
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	Veliky Novgorod
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	Novgorod
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	Hong Gai
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	Rāwalpindi
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	Schaarbeek
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	Ondjiva
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	Zaporizhia
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	Sint-Jans-Molenbeek
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	Lexington Fayette
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	Bengaluru
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	Hanover
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	Ayoûn el-Atroûs
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	Bienne
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	Soči
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	Caloocan
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Sankt Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Sankt-Peterburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Saint Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	St. Peterburg
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	Bukhara
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	Okāra
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	Hodeidah
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	Al Hudaydah
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	Mardān
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	Palma
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	Basse Terre
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	Tirane
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	Bozen
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	Kostanay
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	Kostanai
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	San Juan de Girón
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	Al Diwaniyah
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	Noyabrsk
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	Perm'
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	Prokopyevsk
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	Maykop
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	New Bombay
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	Pétionville
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	East London
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	Pristina
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	Maarat al-Numaan
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	Tidjikdja
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	Zhukovskij
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	Zhukovsky
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	Uzhgorod
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	Vanderbijlpark
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	Kuching
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	Namen
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	Suez
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	Kalemie
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	Bodoe
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	Shibin El Kom
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	Sergiyev Posad
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	Zagorsk
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	Veracruz Llave
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	Naples
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	Patan
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	Yessentuki
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	Zagazig
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	Ardabil
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	Kasūr
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	Touggourt
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	Embu das Artes
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	Hamhung
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	Ludwigshafen am Rhein
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	Pietermaritzburg
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	Nizhnekamsk
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	Venice
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	Al Bahah
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	Kulob
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	R'azan'
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	Hubballi
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	Lubuklinggau
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	Belgrade
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	Jakutsk
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	Hama
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	Wāh Cantonment
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	Cherkessk
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	Tangier
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	Gothenburg
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	Göteborg
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	Samawah
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	Douma
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	Soledad de Graciano Sanchez
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	Bokara Steel City
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	Xalapa
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	Jalapa
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	Nuremberg
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	Jiaoxian
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	Târgu Jiu
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	Pietersburg
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	Daraa
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	Čeboksary
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	Ussuriysk
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	Victoria de Durango
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	Munich
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	Petropavlovsk Kamchatsky
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	Moscow
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	Ogbomoso
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	Rudny
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	Petah Tikva
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	Petah Tikwa
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	Nizhny Novgorod
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	Novocheboksarsk
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	La Coruna
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	Stary Oskol
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	Louvain
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	Lucerne
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	Zamora
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	Prague
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	Banjarmasin
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	St. Gallen
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	Djelfa
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	Madinah
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	Krasnojarsk
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	Tver'
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	Patras
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	Santa Catarina
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	Jaboatao dos Guararapes
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	Jizan
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	Yasouj
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	Tanjung Pinang
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	As Sib
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	Siālkot
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	Moji Guacu
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	Ecatepec de Morelos
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	San Nicolas de los Garza
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	Jiangsu
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	Bien Hoa City
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	Milan
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	Tashkent
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	Bloemfontein
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	Solapur
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	Balashikha
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	Nalchik
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	Jujuy
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	Mytilene
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	Beni Suef
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	Bukhara
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	Monaco-Ville
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	Kharkov
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	Ujung Pandang
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	Kut
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	Mīrpur Khās
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	Jaffa
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	Tel Aviv
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	Mexico City
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	Nishapur
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	Ekurhuleni
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	East Rand
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	Madeira
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	Puerto Inirida
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	Basra
\.


--
-- TOC entry 5999 (class 0 OID 90379)
-- Dependencies: 769
-- Data for Name: proptablemap; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY proptablemap (property, tablename) FROM stdin;
nmprop	X1
type	Sea
type	Islands
type	Lake
type	Mountain
type	Mountains
type	Island
type	Membership
type	Desert
latitude	Location
flowsInto	Lake
flowsInto	Line
languageInfo-	SpokenBy
name	Area
name	AnthropoGeographicalThing
name	Water
name	Mountain
name	Line
name	PoliticalThing
population	Island
population	Islands
population	City
population	AdministrativeArea
inMountains	Source
inMountains	Mountain
government	Country
percent	ReifiedThing
percent	Encompassed
percent	EthnicProportion
percent	SpokenBy
percent	BelievedBy
elevation	Island
elevation	Lake
elevation	Islands
elevation	City
elevation	Place
elevation	Mountains
encompassedArea	Encompassed
capital	AdministrativeArea
invfktprop_Inv	Y2
invfktprop_Inv	Y1
depth	Sea
depth	Lake
religionInfo-	BelievedBy
longitude	Location
hasMother	Female
hasMother	Male
carCode	Country
hasFather	Female
hasFather	Male
area	Water
area	Mountains
area	Line
area	AdministrativeArea
area	Island
area	Continent
area	Desert
area	Islands
isProvinceOf	Province
gdpAgri	Country
abbrev	Organization
hasEstuary	River
inOrganization	Membership
infantMortality	Country
established	Organization
length	Line
length	Border
onEthnicGroup	EthnicProportion
gdpInd	Country
belongsToIslands	Island
ethnicInfo-	EthnicProportion
onLanguage	SpokenBy
inflation	Country
unemployment	Country
totUpartV11prop	U
locatedOnIsland	Mountain
gdpServ	Country
populationGrowth	Country
lastEruption	Mountain
hasHeadq	Organization
independenceDate	Country
encompassedBy	Encompassed
ofMember	Membership
onReligion	BelievedBy
flowsThrough_Inv	Lake
hasSource	River
gdpTotal	Country
onlyfemaleprop	Female
wasDependentOf	Country
dependentOf	Country
rdftype	Mountain
\.


--
-- TOC entry 6000 (class 0 OID 90382)
-- Dependencies: 770
-- Data for Name: rctab; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY rctab (tablename, columnname, rangetable) FROM stdin;
X1	nmprop	Y1
X1	nmprop	Y2
SpokenBy	languageInfo-	Country
SpokenBy	onLanguage	Language
Island	belongsToIslands	Islands
Country	wasDependentOf	PoliticalBody
Country	wasDependentOf	Organization
Country	wasDependentOf	Country
Country	dependentOf	Country
Lake	flowsInto	Sea
Lake	flowsInto	Lake
Lake	flowsInto	River
Lake	flowsInto	Water
Lake	flowsThrough_Inv	River
Encompassed	encompassedArea	AdministrativeArea
Encompassed	encompassedArea	Province
Encompassed	encompassedArea	Country
Encompassed	encompassedBy	Continent
Y2	invfktprop_Inv	X1
Y2	invfktprop_Inv	X2
BelievedBy	religionInfo-	Country
BelievedBy	onReligion	Religion
Female	hasMother	Female
Female	hasFather	Male
Province	isProvinceOf	Country
Organization	hasHeadq	City
River	hasEstuary	Estuary
River	hasSource	Source
Membership	inOrganization	Organization
Membership	ofMember	Country
Line	flowsInto	Sea
Line	flowsInto	Lake
Line	flowsInto	River
Line	flowsInto	Water
EthnicProportion	onEthnicGroup	EthnicGroup
EthnicProportion	ethnicInfo-	Country
Y1	invfktprop_Inv	X1
Y1	invfktprop_Inv	X2
U	totUpartV11prop	V
Mountain	locatedOnIsland	Island
Mountain	inMountains	Mountains
Source	inMountains	Mountains
AdministrativeArea	capital	City
Male	hasMother	Female
Male	hasFather	Male
hasNickname	Person	Female
hasNickname	Person	Male
locatedAt	City	City
nmprop	X	X2
mergesWith	Sea1	Sea
locatedOnIsland	GeographicalThing	GeographicalThing
locatedOnIsland	GeographicalThing	City
locatedOnIsland	GeographicalThing	Location
locatedOnIsland	GeographicalThing	Area
locatedOnIsland	GeographicalThing	PoliticalThing
marriedWith	Person1	Male
marriedWith	Person1	Female
borders	Area	MondialThing
borders	Area	Sea
borders	Area	AdministrativeArea
borders	Area	GeographicalThing
borders	Area	Continent
borders	Area	PoliticalThing
borders	Area	Province
borders	Area	GeographicalNonPoliticalThing
borders	Area	Water
borders	Area	PoliticalBody
borders	Area	Country
borders	Area	Area
cityIn	City	City
othername	MondialThing	EthnicGroup
othername	MondialThing	City
othername	MondialThing	Religion
othername	MondialThing	Lake
othername	MondialThing	GeographicalNonPoliticalThing
othername	MondialThing	Sea
othername	MondialThing	Country
othername	MondialThing	AnthropoGeographicalThing
othername	MondialThing	Water
othername	MondialThing	Location
othername	MondialThing	MondialThing
othername	MondialThing	Island
othername	MondialThing	Continent
othername	MondialThing	Mountain
othername	MondialThing	Mountains
othername	MondialThing	AdministrativeArea
othername	MondialThing	Place
othername	MondialThing	Organization
othername	MondialThing	GeographicalThing
othername	MondialThing	Language
othername	MondialThing	Desert
othername	MondialThing	PoliticalBody
othername	MondialThing	River
othername	MondialThing	Islands
othername	MondialThing	Province
othername	MondialThing	Area
othername	MondialThing	Line
othername	MondialThing	PoliticalThing
locatedIn	GeographicalThing	PoliticalThing
locatedIn	GeographicalThing	City
locatedIn	GeographicalThing	Desert
locatedIn	GeographicalThing	Source
locatedIn	GeographicalThing	Lake
locatedIn	GeographicalThing	Location
locatedIn	GeographicalThing	Sea
locatedIn	GeographicalThing	Mountains
locatedIn	GeographicalThing	River
locatedIn	GeographicalThing	Island
locatedIn	GeographicalThing	Area
locatedIn	GeographicalThing	Water
locatedIn	GeographicalThing	Place
locatedIn	GeographicalThing	Line
locatedIn	GeographicalThing	GeographicalThing
locatedIn	GeographicalThing	Mountain
locatedIn	GeographicalThing	Islands
locatedIn	GeographicalThing	Estuary
locatedIn	GeographicalThing	GeographicalNonPoliticalThing
locatedInWater	Island	Island
hasAccountNo	Person	Male
hasAccountNo	Person	Female
hasChild	Person1	Female
hasChild	Person1	Male
locatedAt	Water	Lake
locatedAt	Water	Line
locatedAt	Water	Location
locatedAt	Water	Sea
locatedAt	Water	River
locatedAt	Water	Water
locatedAt	Water	Area
nmprop	Y	Y2
nmprop	Y	Y1
mergesWith	Sea2	Sea
mergesWith	Sea2	Sea
locatedOnIsland	Island	Island
marriedWith	Person2	Female
marriedWith	Person2	Male
marriedWith	Person2	Female
marriedWith	Person2	Male
borders	LargeArea	AdministrativeArea
borders	LargeArea	PoliticalThing
borders	LargeArea	Country
borders	LargeArea	GeographicalThing
borders	LargeArea	Province
borders	LargeArea	GeographicalNonPoliticalThing
borders	LargeArea	Water
borders	LargeArea	Sea
borders	LargeArea	MondialThing
borders	LargeArea	Continent
borders	LargeArea	PoliticalBody
borders	LargeArea	Area
cityIn	AdministrativeArea	Country
cityIn	AdministrativeArea	AdministrativeArea
cityIn	AdministrativeArea	Province
cityIn	AdministrativeArea	PoliticalBody
locatedIn	Area	AdministrativeArea
locatedIn	Area	Water
locatedIn	Area	Islands
locatedIn	Area	Continent
locatedIn	Area	GeographicalThing
locatedIn	Area	Province
locatedIn	Area	Country
locatedIn	Area	PoliticalThing
locatedIn	Area	PoliticalBody
locatedIn	Area	City
locatedIn	Area	Lake
locatedIn	Area	MondialThing
locatedIn	Area	Island
locatedIn	Area	Mountains
locatedIn	Area	Desert
locatedIn	Area	Location
locatedIn	Area	GeographicalNonPoliticalThing
locatedIn	Area	Sea
locatedIn	Area	Area
locatedInWater	Water	Lake
locatedInWater	Water	Line
locatedInWater	Water	Location
locatedInWater	Water	Area
locatedInWater	Water	Water
locatedInWater	Water	River
locatedInWater	Water	Sea
hasChild	Person2	Male
hasChild	Person2	Female
Border	Country1	Country
Border	Country2	Country
\.


--
-- TOC entry 6001 (class 0 OID 90385)
-- Dependencies: 771
-- Data for Name: rdf2sqlconf; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY rdf2sqlconf (name, value) FROM stdin;
casesensitive	true
identifiers	asURI
\.


--
-- TOC entry 6002 (class 0 OID 90388)
-- Dependencies: 772
-- Data for Name: subcl; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY subcl (subclass, superclass) FROM stdin;
Desert	Location
Desert	Area
Desert	GeographicalNonPoliticalThing
Province	AdministrativeArea
Line	rdf2sqlTOP
River	Water
River	Line
Source	GeographicalNonPoliticalThing
Source	Place
Y2	rdf2sqlTOP
AdministrativeArea	PoliticalThing
AdministrativeArea	Area
V	rdf2sqlTOP
Mountain	GeographicalNonPoliticalThing
Mountain	Place
Island	Location
Island	Area
Island	GeographicalNonPoliticalThing
Membership	rdf2sqlTOP
Male	rdf2sqlTOP
PoliticalBody	PoliticalThing
Religion	AnthropoGeographicalThing
Country	PoliticalBody
Country	AdministrativeArea
MondialThing	rdf2sqlTOP
GeographicalNonPoliticalThing	GeographicalThing
Estuary	Place
Estuary	GeographicalNonPoliticalThing
Sea	Area
Sea	Water
Encompassed	rdf2sqlTOP
Place	Location
GeographicalThing	MondialThing
ReifiedThing	MondialThing
City	Location
City	GeographicalThing
City	Area
City	PoliticalThing
Female	rdf2sqlTOP
Border	rdf2sqlTOP
X2	rdf2sqlTOP
Location	rdf2sqlTOP
Mountains	Location
Mountains	GeographicalNonPoliticalThing
Mountains	Area
Lake	Area
Lake	Water
Lake	Location
Islands	GeographicalNonPoliticalThing
Islands	Location
Islands	Area
Continent	Area
Continent	GeographicalNonPoliticalThing
EthnicProportion	rdf2sqlTOP
X1	rdf2sqlTOP
Organization	PoliticalBody
AnthropoGeographicalRelationship	ReifiedThing
Y1	rdf2sqlTOP
PoliticalThing	MondialThing
U	rdf2sqlTOP
EthnicGroup	AnthropoGeographicalThing
SpokenBy	rdf2sqlTOP
AnthropoGeographicalThing	MondialThing
Area	rdf2sqlTOP
Language	AnthropoGeographicalThing
Water	GeographicalNonPoliticalThing
BelievedBy	rdf2sqlTOP
\.


--
-- TOC entry 6003 (class 0 OID 90391)
-- Dependencies: 773
-- Data for Name: toptables; Type: TABLE DATA; Schema: mondial_allconcrete_standard; Owner: -
--

COPY toptables (tablename, property, range) FROM stdin;
TOP_locatedOnIsland	locatedOnIsland	Island
TOP_latitude	latitude	decimal
TOP_population	population	nonNegativeInteger
TOP_capital	capital	City
TOP_hasFather	hasFather	Male
TOP_depth	depth	decimal
TOP_elevation	elevation	decimal
TOP_percent	percent	decimal
TOP_length	length	decimal
TOP_name	name	string
TOP_flowsInto	flowsInto	Water
TOP_nmprop	nmprop	Y
TOP_inMountains	inMountains	Mountains
TOP_area	area	decimal
TOP_invfktprop_Inv	invfktprop_Inv	X
TOP_type	type	string
TOP_hasMother	hasMother	Female
TOP_nmprop_Inv	nmprop_Inv	X
TOP_longitude	longitude	decimal
TOP_onlyfemaleprop	onlyfemaleprop	Integer
\.


SET search_path = mondial_rdf2sql_standard, pg_catalog;

--
-- TOC entry 6004 (class 0 OID 92450)
-- Dependencies: 877
-- Data for Name: BelievedBy; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "BelievedBy" ("URI", percent, "religionInfo-", "onReligion") FROM stdin;
7b93e6a1:150814fecb6:244e	94	http://www.semwebtech.org/mondial/10/country/REUN/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22e3	47	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:232a	95	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2301	6	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/religion/CopticChristian/
7b93e6a1:150814fecb6:2387	32.2	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23f4	98	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:238a	24.3	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:22cc	2	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Sikh/
7b93e6a1:150814fecb6:241e	25	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2381	15	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23fa	2	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2276	3	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:23bd	11	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/United/
7b93e6a1:150814fecb6:2239	0.2	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2364	15	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2327	83	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22d3	60.4	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:238e	16	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/religion/Methodist/
7b93e6a1:150814fecb6:2452	1.8	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/religion/Adventist/
7b93e6a1:150814fecb6:22fd	16.9	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2415	1	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23c1	97	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/religion/ChurchTuvalu/
7b93e6a1:150814fecb6:243f	33	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23eb	0.5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2267	79	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23ae	1.6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2442	7	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22ed	6	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:230a	22	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2392	20	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23f9	15	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2355	1.7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Mormon/
7b93e6a1:150814fecb6:2318	70	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22c4	16	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:237f	90	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2443	41	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22ee	4	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:224a	26.8	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2406	10	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23b2	7.2	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2295	1.8	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23dc	100	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2258	7	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2383	7	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2346	5.2	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22f2	25	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2309	98	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22b5	97	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2434	28	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23e0	7.2	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22df	1.5	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/HoaHao/
7b93e6a1:150814fecb6:223b	3.2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23a3	40.9	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2286	0.7	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23cd	2	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2249	6	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2374	4	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2337	19	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:239e	38	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:22a6	84.5	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2425	95	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23d1	15.4	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:244f	70.3	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/religion/Catholic/
7b93e6a1:150814fecb6:23fb	50	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2277	2	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23be	100	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:231a	17	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2365	85	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2328	9	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22d4	19.2	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:238f	34	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2453	90	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22fe	2	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:225a	10.8	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2416	65	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23c2	36.6	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23ec	97	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2268	4.1	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23af	1.3	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:230b	30	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2393	30	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2356	1.7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2319	75	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22c5	4	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2444	20	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23f0	98.7	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22ef	3	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:224b	2.1	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2407	50	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23b3	11.7	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2296	87	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23dd	30.5	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2259	68.9	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2384	3	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2347	1.1	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:22f3	18	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22b6	90	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2435	38	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23e1	1.1	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:223c	5.5	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23a4	6	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/religion/Mormon/
7b93e6a1:150814fecb6:2300	94	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2287	86.8	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23ce	95	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2375	5	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2338	12	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22e4	2	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2240	3.5	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:239f	30	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22a7	1	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:226a	95	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2426	2	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23d2	70	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23fc	50	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2278	30	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23bf	1	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/religion/Bahai/
7b93e6a1:150814fecb6:231b	6	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2366	77	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2329	3	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:22d5	9.1	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2454	8	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:22ff	1.7	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/religion/Druze/
7b93e6a1:150814fecb6:225b	4.1	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2417	9	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23c3	58.2	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/religion/CongregationalChristian/
7b93e6a1:150814fecb6:23ed	90	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2269	1.9	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:230c	5	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2394	50	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/religion/ChristianCongregationalist/
7b93e6a1:150814fecb6:2357	0.7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:22c6	4	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2445	20	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23f1	0.2	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:224c	34	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2408	40	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23b4	39	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2310	3	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2297	1.5	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23de	28.4	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:233a	32	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/Baptist/
7b93e6a1:150814fecb6:2385	99	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2348	15	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22f4	36	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2250	18.9	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22b7	89	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:227a	5.8	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2436	90	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23e2	19.6	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:223d	1.1	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23a5	100	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2288	7.5	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23cf	5	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:232b	8	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2376	55.9	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2339	20	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:22e5	44	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2241	90	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22a8	45	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:226b	83.5	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2427	14	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23d3	15	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23fd	10	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2279	20	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:231c	84	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2367	15	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:240a	20	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22d6	6.3	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2232	70	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:225c	1	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2418	35	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23c4	15	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2320	0.2	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/religion/Chondogyo/
7b93e6a1:150814fecb6:23ee	1	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:234a	5	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:230d	1	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:2395	25.8	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2358	0.6	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2260	4.3	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22c7	89	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:228a	99.8	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2446	55	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23f2	1.1	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:224d	34	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2409	10	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23b5	4.4	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:2311	92	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2298	90	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23df	8.1	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:233b	6	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/Methodist/
7b93e6a1:150814fecb6:22aa	6	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2386	6	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2349	23	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:22f5	80	http://www.semwebtech.org/mondial/10/country/COCO/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2251	84.6	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22b8	9	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:227b	40	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2437	9	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23e3	22.8	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:223e	74.2	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23a6	50	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2302	87	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2289	4.7	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:232c	8	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2377	95	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:241a	16	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22e6	75	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2242	95	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22a9	19	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:226c	8	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/UkrainianGreekCatholic/
7b93e6a1:150814fecb6:2428	86	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23d4	1.1	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:2330	93	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/religion/Taoist/
7b93e6a1:150814fecb6:23fe	50	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:235a	5.7	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:231d	47.4	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2368	95	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2270	20	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:240b	50	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22d7	60	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2233	10	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:229a	2	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:225d	96	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2419	30	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23c5	15	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2321	100	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23ef	100	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:234b	18	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:230e	8	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/Presbyterian/
7b93e6a1:150814fecb6:22ba	9	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2396	18.7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2359	11	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2261	1.8	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:22c8	14	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:228b	95	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2447	20	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23f3	80	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:224e	3.7	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23b6	16.4	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/religion/UnitingChurchAustralia/
7b93e6a1:150814fecb6:2312	8	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2299	8	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:233c	6	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/ChurchofGod/
7b93e6a1:150814fecb6:2400	10	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/religion/Kimbanguist/
7b93e6a1:150814fecb6:22ab	2.7	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:242a	8	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22f6	20	http://www.semwebtech.org/mondial/10/country/COCO/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2252	2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:22b9	88	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:227c	31	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2438	92	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23e4	25.2	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2340	30.9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:223f	17.7	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23a7	47	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2303	3	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:236a	16	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:232d	69	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2378	5	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2280	4.4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:241b	33	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22e7	20	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2243	85	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:226d	2.2	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2429	85	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23d5	89.6	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2331	5.7	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22a0	90	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23ff	20	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:235b	26	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/religion/ChurchofGod/
7b93e6a1:150814fecb6:231e	48.6	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22ca	0.7	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2369	80	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2271	15	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:240c	2	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22d8	3.8	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2234	20	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:229b	74	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:225e	41.8	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23c6	6.2	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:2322	75	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:234c	11	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/AfricanMethodistEpiscopal/
7b93e6a1:150814fecb6:2410	12	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:230f	97	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22bb	94.7	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/religion/ArmenianApostolic/
7b93e6a1:150814fecb6:2397	8.7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:243a	30	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2262	80	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:22c9	2.4	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:228c	2	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2448	30	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2350	16.5	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:224f	51.9	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23b7	100	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:2313	85	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:237a	14.7	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:233d	4	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2401	60	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22ac	1	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2388	14	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2290	100	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:242b	20	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22f7	78	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2253	0.9	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:227d	15	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2439	2	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23e5	27.4	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2341	1.6	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:23a8	100	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2304	6	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22b0	99	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:236b	57.1	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:232e	15	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:22da	0.5	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2379	72.8	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2281	0.4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:241c	15	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22e8	10	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2244	8	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:226e	2.2	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23d6	6.2	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2332	30.2	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22a1	3	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:235c	11.8	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/religion/UnitedChurch/
7b93e6a1:150814fecb6:2420	25	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:231f	3	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/religion/Confucianism/
7b93e6a1:150814fecb6:22cb	80	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:244a	28.3	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2272	75	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:240d	1	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22d9	95	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2235	98	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:229c	11	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2360	58.5	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:225f	35.3	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23c7	36.7	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/Presbyterian/
7b93e6a1:150814fecb6:2323	96	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:234d	10	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2411	30	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22bc	1.3	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/religion/Yezidi/
7b93e6a1:150814fecb6:2398	2.7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:243b	5	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2263	10	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23aa	30	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:228d	2	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2449	16.6	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23f5	1	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2351	6.8	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:23b8	19	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2314	100	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22c0	93.4	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:237b	2	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:233e	67	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22ea	1	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2402	1	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22ad	0.6	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Sikh/
7b93e6a1:150814fecb6:2389	14.4	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2291	82.5	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:242c	10	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22f8	18	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2254	2.1	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:227e	4	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23e6	96	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2342	50	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23a9	60	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2305	1	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:22b1	2	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:236c	21.2	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2430	33.9	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:232f	4.5	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22db	0.1	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2282	1.3	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:241d	25	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22e9	7	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2245	2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2370	3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:226f	0.6	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:23d7	47.1	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2333	29	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:239a	1.7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22a2	100	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:235d	76.3	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2421	100	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:244b	52	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2273	25	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:240e	25	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23ba	34	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2236	1.3	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:229d	100	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2361	23.2	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23c8	3.8	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/ChurchChrist/
7b93e6a1:150814fecb6:2324	98	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22d0	63	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:238b	18	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:234e	86	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22fa	0.6	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2412	24	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22bd	87.8	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2399	2.1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:243c	60	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2264	2.6	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23ab	13.8	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:228e	13.6	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23f6	1	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2352	1.9	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23b9	5	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2315	90	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22c1	4.8	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:237c	39	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2440	33	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:233f	39.3	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22eb	45	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2403	15	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22ae	0.5	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2292	1.1	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:242d	94	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22f9	98.7	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2255	0.3	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2380	85	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:227f	87.8	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23e7	2	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2343	40	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2306	2	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:22b2	4	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:236d	1.9	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:2431	18.6	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22dc	95	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:23a0	54	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2283	59.4	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23ca	99.7	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2246	1	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2371	100	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23d8	10	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2334	23.9	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/religion/Methodist/
7b93e6a1:150814fecb6:22e0	1.1	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/CaoDai/
7b93e6a1:150814fecb6:239b	100	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22a3	98	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:235e	14.4	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2422	1	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22cd	0.5	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Jains/
7b93e6a1:150814fecb6:244c	90	http://www.semwebtech.org/mondial/10/country/MAYO/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2274	87	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:240f	60	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23bb	17	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/Baptist/
7b93e6a1:150814fecb6:2237	64.7	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:229e	96	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2362	0.9	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:23c9	99	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2325	1	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:22d1	8	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:238c	40	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/religion/Baptist/
7b93e6a1:150814fecb6:2450	3.4	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:234f	42.6	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22fb	0.7	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2413	1	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22be	9.9	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:243d	10	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2265	19.6	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23ac	24.8	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2390	42	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/religion/Baptist/
7b93e6a1:150814fecb6:228f	12.8	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23f7	100	http://www.semwebtech.org/mondial/10/country/WSA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2353	51.3	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2316	10	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22c2	100	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:237d	44.8	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2441	80	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22ec	50	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2404	15	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23b0	10	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/religion/Mormon/
7b93e6a1:150814fecb6:22af	0.3	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2293	86.7	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:242e	6	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23da	81.3	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2256	0.2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:23e8	95	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2344	1	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/religion/Mayan/
7b93e6a1:150814fecb6:22f0	5	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2307	1	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22b3	99	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:236e	0.7	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/religion/Mormon/
7b93e6a1:150814fecb6:2432	0.7	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/religion/Catholic/
7b93e6a1:150814fecb6:22dd	9.3	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:23a1	95	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2284	7.8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:241f	50	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23cb	92	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2247	94	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2372	95	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23d9	0.3	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2335	80.8	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22e1	0.5	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:239c	8	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22a4	98	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:235f	1.3	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:2423	55	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22ce	75	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:244d	60	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2275	8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23bc	10	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:2238	33.3	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:229f	3	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2363	85	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2326	5	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22d2	14	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:238d	12	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/religion/ChurchofGod/
7b93e6a1:150814fecb6:2451	2	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/religion/NewApostolic/
7b93e6a1:150814fecb6:22fc	75.6	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2414	67	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23c0	1.4	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:22bf	0.8	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:243e	16	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23ea	0.5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2266	15.3	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23ad	12.6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2391	17	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/religion/Episcopalian/
7b93e6a1:150814fecb6:23f8	38	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2354	23.9	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2317	30	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22c3	83	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:237e	3.4	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2405	50	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23b1	61	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/religion/EkalesiaNiue/
7b93e6a1:150814fecb6:2294	1	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:242f	43.5	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23db	12.5	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2257	76.2	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2382	90	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23e9	99	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2345	76.5	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22f1	90	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2308	1	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22b4	1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/religion/Bahai/
7b93e6a1:150814fecb6:236f	97	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2433	100	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22de	6.7	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:223a	85	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23a2	52.6	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2285	0.8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:23cc	2	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2248	85	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2373	1	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2336	9	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22e2	0.1	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:239d	52	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22a5	1.5	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2424	100	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23d0	73.6	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22cf	25	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/religion/Hindu/
\.


--
-- TOC entry 6005 (class 0 OID 92456)
-- Dependencies: 878
-- Data for Name: Border; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Border" ("URI", length, "Country1", "Country2") FROM stdin;
7b93e6a1:150814fecb6:-6f4	235	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/country/SLO/
7b93e6a1:150814fecb6:-650	1224	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/RA/
7b93e6a1:150814fecb6:-6b7	423	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/LAO/
7b93e6a1:150814fecb6:-613	877	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/country/RT/
7b93e6a1:150814fecb6:-67a	331	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-63d	965	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/TN/
7b93e6a1:150814fecb6:-701	215	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/country/SK/
7b93e6a1:150814fecb6:-688	870	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/country/TAD/
7b93e6a1:150814fecb6:-5f7	858	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/country/RMM/
7b93e6a1:150814fecb6:-6e5	91	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/country/PL/
7b93e6a1:150814fecb6:-641	1376	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/RMM/
7b93e6a1:150814fecb6:-6a8	35	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/IR/
7b93e6a1:150814fecb6:-604	189	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/GQ/
7b93e6a1:150814fecb6:-66b	288	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/country/YE/
7b93e6a1:150814fecb6:-62e	201	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/RCB/
7b93e6a1:150814fecb6:-5da	1569	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/MW/
7b93e6a1:150814fecb6:-679	181	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/JOR/
7b93e6a1:150814fecb6:-71c	151	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/MK/
7b93e6a1:150814fecb6:-5e8	830	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/ETH/
7b93e6a1:150814fecb6:-6d6	25	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/country/MNE/
7b93e6a1:150814fecb6:-632	443	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/country/WSA/
7b93e6a1:150814fecb6:-65c	225	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/PA/
7b93e6a1:150814fecb6:-61f	628	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/RN/
7b93e6a1:150814fecb6:-70d	623	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/country/F/
7b93e6a1:150814fecb6:-5d9	105	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/SD/
7b93e6a1:150814fecb6:-660	203	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/country/GCA/
7b93e6a1:150814fecb6:-6c7	6.3	http://www.semwebtech.org/mondial/10/country/CEU/	http://www.semwebtech.org/mondial/10/country/MA/
7b93e6a1:150814fecb6:-623	306	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/BF/
7b93e6a1:150814fecb6:-68a	19	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-64d	1560	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/PE/
7b93e6a1:150814fecb6:-711	65	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/country/E/
7b93e6a1:150814fecb6:-698	605	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/country/IND/
7b93e6a1:150814fecb6:-6aa	1621	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/country/UZB/
7b93e6a1:150814fecb6:-6f5	443	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/RO/
7b93e6a1:150814fecb6:-651	1643	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/CO/
7b93e6a1:150814fecb6:-6b8	1236	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/NEP/
7b93e6a1:150814fecb6:-614	716	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/LB/
7b93e6a1:150814fecb6:-67b	820	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/country/RI/
7b93e6a1:150814fecb6:-63e	956	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/RN/
7b93e6a1:150814fecb6:-5ea	769	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/EAT/
7b93e6a1:150814fecb6:-702	646	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/country/D/
7b93e6a1:150814fecb6:-689	238	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/country/ROK/
7b93e6a1:150814fecb6:-5f8	2184	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-6e6	453	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/country/LV/
7b93e6a1:150814fecb6:-642	982	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/LAR/
7b93e6a1:150814fecb6:-6a9	268	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-605	1094	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/TCH/
7b93e6a1:150814fecb6:-66c	410	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/country/UAE/
7b93e6a1:150814fecb6:-62f	1175	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/country/TCH/
7b93e6a1:150814fecb6:-5db	1231	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/ZW/
7b93e6a1:150814fecb6:-71d	282	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/GR/
7b93e6a1:150814fecb6:-5e9	232	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/SSD/
7b93e6a1:150814fecb6:-670	1458	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/country/YE/
7b93e6a1:150814fecb6:-6d7	241	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-633	813	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/country/SN/
7b93e6a1:150814fecb6:-69a	1690	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/country/NEP/
7b93e6a1:150814fecb6:-6ff	451	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/F/
7b93e6a1:150814fecb6:-65b	2900	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/PE/
7b93e6a1:150814fecb6:-61e	126	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/RT/
7b93e6a1:150814fecb6:-669	266	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/country/GCA/
7b93e6a1:150814fecb6:-70c	1.2	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/country/GBZ/
7b93e6a1:150814fecb6:-6c6	939	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-622	773	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/WAN/
7b93e6a1:150814fecb6:-64c	673	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/FGU/
7b93e6a1:150814fecb6:-710	488	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/country/I/
7b93e6a1:150814fecb6:-60f	217	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-697	381	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/country/MAL/
7b93e6a1:150814fecb6:-65d	15	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/country/SMAR/
7b93e6a1:150814fecb6:-70e	4.4	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/country/MC/
7b93e6a1:150814fecb6:-6ba	2185	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/MYA/
7b93e6a1:150814fecb6:-661	275	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/country/RH/
7b93e6a1:150814fecb6:-6c8	586	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/country/SF/
7b93e6a1:150814fecb6:-624	266	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/RN/
7b93e6a1:150814fecb6:-68b	1051	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/KGZ/
7b93e6a1:150814fecb6:-64e	985	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/ROU/
7b93e6a1:150814fecb6:-5fa	1360	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/country/TCH/
7b93e6a1:150814fecb6:-712	60	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/country/F/
7b93e6a1:150814fecb6:-699	470	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/country/CN/
7b93e6a1:150814fecb6:-6ab	1161	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/country/UZB/
7b93e6a1:150814fecb6:-6f6	329	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/HR/
7b93e6a1:150814fecb6:-652	900	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/PE/
7b93e6a1:150814fecb6:-6b9	3380	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/IND/
7b93e6a1:150814fecb6:-615	610	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/RG/
7b93e6a1:150814fecb6:-67c	228	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/country/TL/
7b93e6a1:150814fecb6:-63f	1559	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/MA/
7b93e6a1:150814fecb6:-5eb	1626	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/country/SP/
7b93e6a1:150814fecb6:-703	164	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/CH/
7b93e6a1:150814fecb6:-5f9	639	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-680	11	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/GAZA/
7b93e6a1:150814fecb6:-6e7	217	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-643	1420	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/country/PE/
7b93e6a1:150814fecb6:-606	797	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/RCA/
7b93e6a1:150814fecb6:-66d	676	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/country/SA/
7b93e6a1:150814fecb6:-5dc	491	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/RSA/
7b93e6a1:150814fecb6:-6a0	322	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/GE/
7b93e6a1:150814fecb6:-6ca	729	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/country/SF/
7b93e6a1:150814fecb6:-671	457	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/country/UAE/
7b93e6a1:150814fecb6:-6d8	932	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/country/HR/
7b93e6a1:150814fecb6:-634	1561	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/country/WSA/
7b93e6a1:150814fecb6:-5e0	435	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/country/SSD/
7b93e6a1:150814fecb6:-69b	1463	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/country/MYA/
7b93e6a1:150814fecb6:-65e	922	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/country/NIC/
7b93e6a1:150814fecb6:-70f	73	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/country/L/
7b93e6a1:150814fecb6:-6bb	414	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/TAD/
7b93e6a1:150814fecb6:-662	330	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/country/PA/
7b93e6a1:150814fecb6:-6c9	1619	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/country/S/
7b93e6a1:150814fecb6:-625	797	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/country/ZW/
7b93e6a1:150814fecb6:-68c	2203	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/UZB/
7b93e6a1:150814fecb6:-64f	1290	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/PY/
7b93e6a1:150814fecb6:-5fb	350	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/country/GQ/
7b93e6a1:150814fecb6:-713	159	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/country/MK/
7b93e6a1:150814fecb6:-6ac	1458	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/IRQ/
7b93e6a1:150814fecb6:-690	803	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/country/THA/
7b93e6a1:150814fecb6:-6f7	103	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-653	750	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/PY/
7b93e6a1:150814fecb6:-616	668	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/GH/
7b93e6a1:150814fecb6:-67d	1273	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-5ec	934	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/country/SSD/
7b93e6a1:150814fecb6:-704	324	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/SLO/
7b93e6a1:150814fecb6:-6b0	30	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/HONX/
7b93e6a1:150814fecb6:-6da	357	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-681	307	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/WEST/
7b93e6a1:150814fecb6:-6e8	959	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-644	743	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/country/YV/
7b93e6a1:150814fecb6:-5f0	58	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/country/SP/
7b93e6a1:150814fecb6:-607	1690	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/WAN/
7b93e6a1:150814fecb6:-66e	375	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/country/SYR/
7b93e6a1:150814fecb6:-5dd	419	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/Z/
7b93e6a1:150814fecb6:-6a1	611	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/IR/
7b93e6a1:150814fecb6:-6cb	167	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-672	222	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/country/SA/
7b93e6a1:150814fecb6:-6d9	249	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/country/MNE/
7b93e6a1:150814fecb6:-635	2237	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/country/RMM/
7b93e6a1:150814fecb6:-5e1	169	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/country/RWA/
7b93e6a1:150814fecb6:-69c	2912	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/country/PK/
7b93e6a1:150814fecb6:-65f	342	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/country/HCA/
7b93e6a1:150814fecb6:-6bc	523	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/PK/
7b93e6a1:150814fecb6:-663	309	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/country/NIC/
7b93e6a1:150814fecb6:-626	1930	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-68d	379	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/TM/
7b93e6a1:150814fecb6:-5fc	1903	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/country/RCB/
7b93e6a1:150814fecb6:-714	352	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-6c0	1206	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/TAD/
7b93e6a1:150814fecb6:-6ea	605	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/PL/
7b93e6a1:150814fecb6:-6ad	992	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/TM/
7b93e6a1:150814fecb6:-691	541	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/country/LAO/
7b93e6a1:150814fecb6:-6f8	102	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/SLO/
7b93e6a1:150814fecb6:-654	861	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/RCH/
7b93e6a1:150814fecb6:-617	532	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/RMM/
7b93e6a1:150814fecb6:-67e	1150	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/LAR/
7b93e6a1:150814fecb6:-5ed	769	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-705	91	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/SK/
7b93e6a1:150814fecb6:-6b1	0.34	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/MACX/
7b93e6a1:150814fecb6:-6db	450	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/NL/
7b93e6a1:150814fecb6:-682	79	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/RL/
7b93e6a1:150814fecb6:-6e9	891	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-645	600	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/country/SME/
7b93e6a1:150814fecb6:-5f1	337	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/country/ETH/
7b93e6a1:150814fecb6:-608	523	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/RCB/
7b93e6a1:150814fecb6:-66f	822	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-5de	837	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/country/Z/
7b93e6a1:150814fecb6:-6a2	9	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-6cc	290	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-673	97	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/country/WEST/
7b93e6a1:150814fecb6:-636	419	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/country/SN/
7b93e6a1:150814fecb6:-5e2	765	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-69d	1800	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/country/THA/
7b93e6a1:150814fecb6:-6d0	240	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-6fa	151	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-6bd	3645	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-664	8893	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/country/USA/
7b93e6a1:150814fecb6:-627	855	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/country/RSA/
7b93e6a1:150814fecb6:-68e	6846	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-5fd	87	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/country/WAN/
7b93e6a1:150814fecb6:-715	79	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/country/MNE/
7b93e6a1:150814fecb6:-6c1	2430	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/PK/
7b93e6a1:150814fecb6:-6eb	502	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/LT/
7b93e6a1:150814fecb6:-6f9	515	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/SK/
7b93e6a1:150814fecb6:-6ae	909	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/PK/
7b93e6a1:150814fecb6:-60a	475	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/MW/
7b93e6a1:150814fecb6:-692	2130	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/country/VN/
7b93e6a1:150814fecb6:-655	3400	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/BR/
7b93e6a1:150814fecb6:-618	430	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/country/SD/
7b93e6a1:150814fecb6:-67f	255	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/IL/
7b93e6a1:150814fecb6:-5ee	912	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/country/ETH/
7b93e6a1:150814fecb6:-706	37	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/FL/
7b93e6a1:150814fecb6:-6b2	4673	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/MNG/
7b93e6a1:150814fecb6:-6dc	148	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/L/
7b93e6a1:150814fecb6:-683	76	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/SYR/
7b93e6a1:150814fecb6:-646	510	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/country/SME/
7b93e6a1:150814fecb6:-5f2	113	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/country/ER/
7b93e6a1:150814fecb6:-609	756	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/MOC/
7b93e6a1:150814fecb6:-6e0	1576	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-5df	909	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/country/RSA/
7b93e6a1:150814fecb6:-6a3	284	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-6cd	267	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/country/LV/
7b93e6a1:150814fecb6:-674	375	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/country/SYR/
7b93e6a1:150814fecb6:-637	821	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/country/RN/
7b93e6a1:150814fecb6:-5e3	338	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/country/SN/
7b93e6a1:150814fecb6:-69e	4053	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/country/IND/
7b93e6a1:150814fecb6:-6d1	608	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/RO/
7b93e6a1:150814fecb6:-6fb	68	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/DK/
7b93e6a1:150814fecb6:-6be	137	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/UZB/
7b93e6a1:150814fecb6:-61a	813	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/country/ZW/
7b93e6a1:150814fecb6:-665	3326	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/country/USA/
7b93e6a1:150814fecb6:-628	1360	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/country/RB/
7b93e6a1:150814fecb6:-68f	1228	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/country/VN/
7b93e6a1:150814fecb6:-5fe	989	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/SSD/
7b93e6a1:150814fecb6:-716	124	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-6c2	936	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/IR/
7b93e6a1:150814fecb6:-6ec	141	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/LV/
7b93e6a1:150814fecb6:-6af	499	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-60b	396	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/EAU/
7b93e6a1:150814fecb6:-693	1754	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/country/THA/
7b93e6a1:150814fecb6:-656	832	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/RA/
7b93e6a1:150814fecb6:-619	225	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/country/ZW/
7b93e6a1:150814fecb6:-6f0	573	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/F/
7b93e6a1:150814fecb6:-5ef	605	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-707	430	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/I/
7b93e6a1:150814fecb6:-6b3	858	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/KGZ/
7b93e6a1:150814fecb6:-6dd	167	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/D/
7b93e6a1:150814fecb6:-684	238	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/JOR/
7b93e6a1:150814fecb6:-647	160	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/country/RCH/
7b93e6a1:150814fecb6:-5f3	306	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/country/WAL/
7b93e6a1:150814fecb6:-6e1	206	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-6a4	252	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-600	1197	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/TCH/
7b93e6a1:150814fecb6:-6ce	531	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-62a	2410	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-675	728	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/country/SA/
7b93e6a1:150814fecb6:-638	383	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-5e4	386	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/country/RG/
7b93e6a1:150814fecb6:-69f	193	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/country/MYA/
7b93e6a1:150814fecb6:-6d2	318	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-6fc	577	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/NL/
7b93e6a1:150814fecb6:-6bf	744	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/TM/
7b93e6a1:150814fecb6:-61b	1840	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/country/RSA/
7b93e6a1:150814fecb6:-666	256	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/country/HCA/
7b93e6a1:150814fecb6:-629	233	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/country/Z/
7b93e6a1:150814fecb6:-5ff	175	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-717	62	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-6c3	76	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/CN/
7b93e6a1:150814fecb6:-6ed	41	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/FL/
7b93e6a1:150814fecb6:-60c	217	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/RWA/
7b93e6a1:150814fecb6:-694	235	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/country/MYA/
7b93e6a1:150814fecb6:-657	579	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/country/ROU/
7b93e6a1:150814fecb6:-6f1	90	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-708	366	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/H/
7b93e6a1:150814fecb6:-6b4	1416	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/NOK/
7b93e6a1:150814fecb6:-610	451	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/country/EAT/
7b93e6a1:150814fecb6:-6de	620	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/F/
7b93e6a1:150814fecb6:-63a	459	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/TN/
7b93e6a1:150814fecb6:-685	51	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/country/IL/
7b93e6a1:150814fecb6:-648	1880	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/country/RA/
7b93e6a1:150814fecb6:-5f4	563	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/country/RG/
7b93e6a1:150814fecb6:-6e2	428	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-6a5	723	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-601	1577	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-6cf	476	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-62b	1110	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/Z/
7b93e6a1:150814fecb6:-676	605	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/SYR/
7b93e6a1:150814fecb6:-639	1055	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/TCH/
7b93e6a1:150814fecb6:-5e5	740	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/country/WAG/
7b93e6a1:150814fecb6:-6d3	148	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/MK/
7b93e6a1:150814fecb6:-6fd	138	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/L/
7b93e6a1:150814fecb6:-61c	548	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/GH/
7b93e6a1:150814fecb6:-667	962	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/country/MEX/
7b93e6a1:150814fecb6:-70a	362	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/CZ/
7b93e6a1:150814fecb6:-718	206	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-6c4	360	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/country/IRL/
7b93e6a1:150814fecb6:-620	1000	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/RMM/
7b93e6a1:150814fecb6:-6ee	740	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/I/
7b93e6a1:150814fecb6:-64a	597	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/SME/
7b93e6a1:150814fecb6:-60d	338	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/Z/
7b93e6a1:150814fecb6:-695	1782	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/country/RI/
7b93e6a1:150814fecb6:-658	5150	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/country/RCH/
7b93e6a1:150814fecb6:-6f2	39	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/country/RSM/
7b93e6a1:150814fecb6:-709	784	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/D/
7b93e6a1:150814fecb6:-6b5	1533	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/KAZ/
7b93e6a1:150814fecb6:-611	290	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/country/RWA/
7b93e6a1:150814fecb6:-6df	1313	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/country/SF/
7b93e6a1:150814fecb6:-63b	354	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/RN/
7b93e6a1:150814fecb6:-686	3441	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-649	2200	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/YV/
7b93e6a1:150814fecb6:-5f5	652	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/country/WAL/
7b93e6a1:150814fecb6:-6e3	444	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/country/SK/
7b93e6a1:150814fecb6:-6a6	787	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/AZ/
7b93e6a1:150814fecb6:-602	467	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/RCB/
7b93e6a1:150814fecb6:-62c	2511	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-677	814	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/SA/
7b93e6a1:150814fecb6:-71a	112	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/KOS/
7b93e6a1:150814fecb6:-5e6	933	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/EAU/
7b93e6a1:150814fecb6:-6d4	494	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/GR/
7b93e6a1:150814fecb6:-630	1497	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/country/WAN/
7b93e6a1:150814fecb6:-6fe	456	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/PL/
7b93e6a1:150814fecb6:-65a	2050	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/YV/
7b93e6a1:150814fecb6:-61d	584	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/CI/
7b93e6a1:150814fecb6:-668	250	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/country/MEX/
7b93e6a1:150814fecb6:-70b	1214	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/country/P/
7b93e6a1:150814fecb6:-719	228	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/country/MK/
7b93e6a1:150814fecb6:-6c5	450	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/country/RO/
7b93e6a1:150814fecb6:-621	644	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/RT/
7b93e6a1:150814fecb6:-6ef	334	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/D/
7b93e6a1:150814fecb6:-64b	1119	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/GUY/
7b93e6a1:150814fecb6:-60e	459	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-696	506	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/country/THA/
7b93e6a1:150814fecb6:-659	590	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/EC/
7b93e6a1:150814fecb6:-6f3	3.2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/country/V/
7b93e6a1:150814fecb6:-6b6	1281	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/VN/
7b93e6a1:150814fecb6:-612	233	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-63c	42	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/WSA/
7b93e6a1:150814fecb6:-700	658	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/country/PL/
7b93e6a1:150814fecb6:-687	1099	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/country/UZB/
7b93e6a1:150814fecb6:-5f6	330	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/country/SN/
7b93e6a1:150814fecb6:-6e4	227	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-640	463	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/RIM/
7b93e6a1:150814fecb6:-6a7	164	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/GE/
7b93e6a1:150814fecb6:-603	298	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/G/
7b93e6a1:150814fecb6:-66a	60	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/country/SA/
7b93e6a1:150814fecb6:-62d	1376	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/NAM/
7b93e6a1:150814fecb6:-678	242	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/KWT/
7b93e6a1:150814fecb6:-71b	172	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/MNE/
7b93e6a1:150814fecb6:-5e7	682	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/SP/
7b93e6a1:150814fecb6:-6d5	546	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/country/SLO/
7b93e6a1:150814fecb6:-631	9.6	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/country/MEL/
\.


--
-- TOC entry 6006 (class 0 OID 92462)
-- Dependencies: 879
-- Data for Name: City; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "City" ("URI", name, population, elevation, longitude, latitude) FROM stdin;
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	Barreiro	79042	\N	-9.07	38.67
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	Viamão	224943	9	-51.02	-30.08
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	Montréal	1649519	30	-73.57	45.5
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	Makiïvka	356118	169	38.07	48.08
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	Sakaka	\N	566	40.2	29.97
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	Sutton Coldfield	109015	\N	-1.82	52.56
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	Chattanooga	168828	206	-85.27	35.05
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	Malambo	119286	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	Ondo	146051	\N	4.83	7.08
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	Al Hasakah	254622	300	40.74	36.51
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	Sheffield	518090	\N	-1.47	53.38
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	Maturín	298581	67	-63.18	9.75
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	Chongqing	7457600	237	106.57	29.56
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	Oaxaca	255029	1555	-96.72	17.07
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	Hamilton	\N	\N	-64.78	32.29
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	Ploieşti	209945	160	26.03	44.93
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	Concordia	137046	21	-58.03	-31.4
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	Mbanza Congo	\N	408	14.25	-6.27
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	Bremen	542707	11	8.8	53.08
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	Chandigarh	510565	350	76.78	30.75
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	Cheongju	667726	39	127.48	36.63
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	Baia Mare	123738	228	23.58	47.67
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	Eger	56569	165	20.37	47.9
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	Acarigua	129237	195	-69.2	9.56
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	Illéla	142214	\N	5.24	14.46
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	Irkutsk	606137	444	104.3	52.31
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	Saint-Louis	177662	\N	-16.5	16.03
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	Guarenas	170204	374	-66.62	10.47
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	Suva	75225	\N	178.44	-18.14
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	Stans	7961	452	8.35	46.95
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	Clearwater	108261	9	-82.76	27.97
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	Tshwane	2921488	1339	28.19	-25.75
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	Athens	115453	194	-83.38	33.95
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	Pingdingshan	410775	\N	113.3	33.73
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	Koronadal	149622	100	124.85	6.5
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	Enschede	158494	42	6.9	52.22
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	Žilina	81494	342	18.74	49.22
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	Khorramshahr	129418	5	48.17	30.44
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	Herat	335200	920	62.2	34.34
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	Helsingborg	132011	10	12.72	56.05
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	Roseau	14725	43	-61.39	15.3
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	Blantyre	661256	1039	35.01	-15.79
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	Pangkal Pinang	174758	13	106.12	-2.13
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	San Andres	\N	\N	-81.7	12.58
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	Chur	\N	593	9.53	46.85
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	Cagayan De Oro	553966	10	124.65	8.48
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	Fort-de-France	100000	\N	-61	14.6
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	Majuro	27797	\N	171.27	7.07
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	Suqian	105021	\N	118.28	33.93
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	Bagé	97765	212	-54.11	-31.33
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	Nevinnomyssk	118360	320	41.93	44.63
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	Ribeirão Pires	113068	800	-46.42	-23.72
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	Maanshan	305421	\N	118.35	31.7
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	Watford	131982	71	-0.4	51.66
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	Helsinki	614535	\N	24.94	60.17
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	Ubon Ratchathani	149700	\N	104.86	15.23
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	Pomona	149058	259	-117.76	34.06
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	Frankfort	27269	155	-84.87	38.2
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	Novi Sad	335701	80	19.85	45.25
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	Szolnok	72953	68	20.18	47.17
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	Springfield	153060	21	-72.59	42.1
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	Takoradi	311206	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	Winterthur	105676	439	8.75	47.5
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	Jizzax	163200	378	67.84	40.12
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	Donets´k	955041	169	37.81	48
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	Tunceli	\N	940	39.55	39.1
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	Tarapoto	117184	356	-76.37	-6.48
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	Kaspijsk	100129	0	47.64	42.88
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	Busan	3403135	\N	129.07	35.17
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	Kota Bahru	233673	\N	102.25	6.13
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	Antananarivo	710236	1276	47.52	-18.93
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	Ipswich	144957	\N	1.16	52.06
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	Owando	\N	325	15.9	-0.48
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	Papeete	\N	0	-149.57	-17.53
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	Daegu	2444085	\N	128.6	35.87
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	Chita	331346	650	113.47	52.05
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	Petare	520982	900	-66.82	10.48
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	Râmnicu Vâlcea	98776	\N	24.38	45.1
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	Yanan	113277	975	109.48	36.58
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	Indianapolis	843393	218	-86.15	39.77
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	San Luis	152918	709	-66.33	-33.3
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	Santarem	\N	\N	-8.68	39.23
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	Alexandria	\N	41	25.33	43.97
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	Béchar	165241	747	-2.22	31.62
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	Vinh	215577	\N	105.67	18.67
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	Bojnurd	199791	1070	57.33	37.48
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	Carapicuíba	369584	\N	-46.84	-23.52
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	Paradise	223167	627	-115.12	36.08
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	Ushuaia	56825	23	-68.3	-54.8
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	Durgapur	425836	65	87.32	23.55
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	Palu	336532	118	119.83	-0.9
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	Rockford	153044	222	-89.06	42.26
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	Santo Domingo	2749703	14	-69.95	18.47
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	St Helens	102885	\N	-2.75	53.45
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	Salvador	2674923	8	-38.48	-12.97
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	Chimoio	237497	664	33.48	-19.12
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	Swindon	182441	\N	-1.78	51.56
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	Christchurch	361941	0	172.62	-43.53
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	San Felipe	\N	250	-68.74	10.34
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	Tegucigalpa	850227	990	-87.22	14.1
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	Siguatepeque	60155	\N	-87.83	14.6
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	Pematang Siantar	234698	\N	99.06	2.96
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	Guelmim	\N	\N	-10.07	28.98
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	Amol	219915	76	52.35	36.47
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	Fóggia	147036	76	15.55	41.46
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	Quito	1619146	2850	-78.52	-0.23
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	Hermansverk	\N	6	6.85	61.18
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	Sion	\N	500	7.37	46.23
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	Detroit	688701	183	-83.05	42.33
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	Nyala	227183	673	24.88	12.04
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	Presidente Prudente	203375	\N	-51.38	-22.13
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	Peiraias	163688	0	23.63	37.95
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	Kawasaki	1388481	\N	139.7	35.52
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	Jeju	399416	\N	126.52	33.51
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	Bremerhaven	108156	2	8.58	53.55
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	Pádova	206192	12	11.87	45.42
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	Tripoli	\N	655	22.38	37.52
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	Constantine	448028	694	6.6	36.35
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	Moss	24517	14	10.7	59.46
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	Tianshui	244974	1171	105.73	34.58
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	Sanming	160691	\N	117.62	26.25
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	Eskisehir	659924	788	30.52	39.78
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	Vladimir	347930	150	40.42	56.13
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	Pembroke Pines	154019	2	-80.31	26.01
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	Bandar Seri Begawan	279924	9	114.94	4.89
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	Teófilo Otoni	110076	334	-41.5	-17.86
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	Wulumuqi	3029372	\N	87.6	43.83
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	Lancaster	156633	719	-118.15	34.68
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	Singida	150379	\N	34.74	-4.81
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	Pekalongan	281434	\N	109.67	-6.88
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	Dzeržinsk	240742	90	43.45	56.23
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	Comilla	339133	\N	91.2	23.45
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	Laghouat	134372	769	2.88	33.8
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	Haiphong	846191	\N	106.68	20.87
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	Sokhumi	62914	5	41.02	43
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	Szekszárd	\N	83	18.7	46.36
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	Casablanca	2946440	0	-7.58	33.53
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	Jiangyou	175753	\N	104.76	31.77
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	Kirklareli	\N	203	27.23	41.73
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	Adelaide	1262940	43	138.6	-34.93
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	Dezful	248380	150	48.4	32.38
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	Al Ubayyiḑ	229425	609	30.22	13.18
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	Cartago	150473	1435	-83.92	9.87
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	Parnaíba	137485	5	-41.78	-2.9
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	Castellón de la Plana	176298	30	-0.03	39.98
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	Ta'izz	458933	1370	44.02	13.58
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	Turku	182154	\N	22.27	60.45
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	Verona	252520	59	10.98	45.43
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	Arlon	28759	\N	5.82	49.68
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	Pindamonhangaba	141708	540	-45.46	-22.92
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	Gera	96067	194	12.08	50.88
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	Osh	265200	963	72.8	40.53
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	Baku	2150800	-28	49.88	40.4
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	Yuyao	114056	\N	121.15	30.05
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	Coimbra	118016	34	-8.43	40.21
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	Comodoro Rivadavia	135813	61	-67.48	-45.86
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	Vitória da Conquista	274739	923	-40.84	-14.87
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	Bo	149957	15	-11.74	7.96
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	Odienne	\N	451	-7.56	9.51
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	Rawson	102099	4	-65.1	-43.3
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	Puerto Cortes	90161	\N	-87.95	15.88
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	Jincheng	136396	\N	112.83	35.52
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	Santa Rosa	93924	175	-64.28	-36.62
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	Bello	447185	1310	-75.57	6.33
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	Xichang	134419	1542	102.26	27.89
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	San Juan	381931	8	-66.06	18.41
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	Itagui	264775	1550	-75.62	6.17
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	Jersey City	247643	6	-74.07	40.71
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	Muzaffarabad	725000	737	73.28	34.21
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	Valparaíso	263499	10	-71.62	-33.05
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	Oruro	264683	3735	-67.12	-17.97
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	Hollywood	140769	3	-80.17	26.02
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	Yellowknife	19234	206	-114.4	62.44
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	Houston	2195914	13	-95.38	29.76
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	Albacete	171999	686	-1.86	39
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	Huaibei	366549	\N	116.47	33.58
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	Apeldoorn	157540	16	5.97	52.22
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	Kim Chaek	207299	\N	129.2	40.67
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	Maputo	1094628	47	32.58	-25.97
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	Najafabad	221814	\N	51.6	32.85
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	Akure	239124	\N	5.2	7.25
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	Šachty	239987	100	40.23	47.7
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	Tambacounda	\N	24	-13.67	13.77
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	Rangpur	294265	34	89.25	25.56
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	San Antonio	1409019	198	-98.5	29.42
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	Sunderland	174286	\N	-1.38	54.91
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	Klang	563173	\N	101.45	3.03
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	Charlotte Amalie	10354	\N	-64.9	18.3
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	Portland	609456	15.2	-122.68	45.52
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	Erie	101784	199	-80.09	42.13
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	Elbasan	78703	150	20.07	41.1
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	Iquique	164396	1	-70.15	-20.22
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	Hawassa	212665	1708	38.47	7.05
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	Bridgetown	88529	1	-59.61	13.11
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	Volzhsky	327356	20	44.74	48.81
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	Zhengzhou	4253913	\N	113.65	34.77
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	Impfondo	\N	326	18.07	1.64
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	Toledo	287206	187	-83.58	41.67
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	Batam	944285	\N	104.03	1.08
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	Atar	\N	270	-13.05	20.52
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	Rzeszów	180776	221	22	50.03
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	Severodvinsk	192353	7	39.87	64.57
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	Mons	93941	\N	3.95	50.45
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	Governador Valadares	253300	170	-41.95	-18.85
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	Barra Mansa	176193	389	-44.17	-22.54
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	Sanandaj	373987	1538	46.99	35.31
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	Novokuznetsk	549182	200	87.12	53.75
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	Basildon	107123	\N	0.49	51.58
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	Ankang	142170	300	109.02	32.68
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	Zhumadian	123232	\N	114.03	32.98
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	Viborg	\N	51	9.4	56.45
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	São Gonçalo	998999	19	-43.05	-22.83
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	Itu	144269	583	-47.3	-23.26
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	Kingstown	12909	\N	-61.22	13.16
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	Leverkusen	158984	60	6.98	51.03
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	Oulu	194181	\N	25.47	65.02
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	Penonomé	85737	70	-80.36	8.52
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	Ferrara	132545	9	11.62	44.83
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	Basingstoke	107355	\N	-1.09	51.27
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	Santa Rosa	167834	50	-122.7	38.45
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	Győr	129527	108	17.63	47.68
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	Sarajevo	291422	518	18.42	43.87
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	Chichica	\N	\N	-81.67	8.36
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	Békéscsaba	62050	89	21.09	46.68
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	Hamamatsu	791710	\N	137.73	34.71
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	Mesa	439611	379	-111.83	33.42
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	Zibo	3129228	7	118.05	36.78
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	Saraburi	125300	\N	100.91	14.53
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	New York	8405837	10	-74.01	40.71
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	Harar	110457	1885	42.12	9.32
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	Rochester	210512	154	-77.61	43.17
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	Mytišči	173160	150	37.77	55.92
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	Magaria	130707	\N	8.91	13
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	El Aaiun	183691	\N	-13.2	27.15
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	Middlesbrough	174700	\N	-1.24	54.58
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	Melitopol´	156885	\N	35.37	46.83
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	Al Qamishl	232258	455	41.22	37.05
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	Kuantan	283041	21.95	103.33	3.82
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	Ėngel's	202419	20	46.12	51.5
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	Daman	\N	5	72.85	20.42
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	Iqaluit	6699	\N	-68.52	63.75
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	Santiago	4659048	521	-70.67	-33.45
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	Wels	59239	317	14.02	48.15
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	Oklahoma City	610613	366	-97.53	35.48
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	Marabá	186270	170	-49.12	-5.35
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	Uyo	\N	65	7.92	5.03
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	Laval	401553	91	-73.75	45.58
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	Monrovia	1010970	\N	-10.8	6.31
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	Niigata	802778	\N	139.04	37.92
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	Haarlem	155361	2	4.63	52.38
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	Komsomolsk-na-Amure	257891	30	137	50.57
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	Nevsehir	92068	\N	34.71	38.63
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	Matagalpa	150643	680	-85.92	12.92
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	Moradabad	429214	198	78.78	28.83
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	Cuttack	403418	36	85.79	20.52
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	Qitaihe	214957	209	131	45.77
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	Rancho Cucamonga	165350	368	-117.58	34.12
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	Sarapul	101381	80	53.8	56.47
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	Poole	154718	\N	-1.98	50.72
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	Hangzhou	6241971	\N	120.17	30.25
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	Seremban	246441	79	101.95	2.72
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	Daloa	266324	299	-6.45	6.88
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	Yizheng	109268	\N	119.19	32.41
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	Yonkers	195979	25	-73.86	40.94
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	Santa Marta	476385	6	-74.21	11.24
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	Vila Velha	412575	4	-40.29	-20.34
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	Nigde	118186	1229	34.68	37.97
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	Chernivtsi	255929	248	25.93	48.3
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	Stoke-on-Trent	270726	107	-2.18	53
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	Lund	112950	\N	13.2	55.7
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	Santos	419086	2	-46.32	-23.94
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	Ahmadabad	5577940	53	72.58	23.03
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	Fremont	214079	17	-121.99	37.55
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	Kirsehir	114244	\N	34.16	39.15
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	Yakeshi	377869	657	120.72	49.28
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	Gifu	409655	\N	136.77	35.42
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	Nashville-Davidson	634464	182	-86.78	36.17
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	Piracicaba	356743	547	-47.65	-22.73
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	Celaya	340387	1767	-100.81	20.52
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	Huaiyin	239675	\N	119.13	33.5
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	Braunschweig	242537	75	10.52	52.27
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	Taunggyi	380665	1399	97.03	20.78
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	Phoenix	1513367	331	-112.07	33.45
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	Amiens	133327	14	2.3	49.89
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	Springfield	159500	396	-93.29	37.2
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	Caxias do Sul	419406	817	-51.18	-29.17
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	Juticalpa	84641	410	-86.22	14.67
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	Baiyin	204970	1698	104.21	36.56
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	Parma	175895	55	10.33	44.8
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	Sari	296417	5	53.06	36.56
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	Cape Coast	169894	0	-1.25	5.1
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	Cochabamba	630587	2558	-66.17	-17.38
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	Barakaldo	100064	39	-2.99	43.3
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	Ayacucho	151019	2761	-74.22	-13.16
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	Ciudad de Guatemala	992541	1500	-90.54	14.61
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	León	201100	86	-86.89	12.43
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	Davao	1363337	22.3	125.6	7.07
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	Patos de Minas	127724	815	-46.52	-18.58
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	Zalau	\N	275	23.06	47.19
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	Fès	920740	412	-5	34.03
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	Mbuji-Mayi	806475	549	23.6	-6.15
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	Goma	109094	1489	29.23	-1.68
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	Yozgat	78328	1300	34.81	39.82
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	Chelyabinsk	1156201	220	61.38	55.15
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	Valencia	1599540	520	-68	10.18
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	Aba	500183	205	7.37	5.12
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	Tiraspol	148917	\N	29.63	46.85
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	Novyj Urengoj	104107	40	76.68	66.08
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	Galaţi	249432	55	28.04	45.42
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	Barcelona	1611013	12	2.18	41.38
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	Piacenza	100311	61	9.7	45.05
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	Inglewood	109673	40	-118.35	33.96
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	Debrecen	211320	121	21.64	47.53
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	Boca del Río	126507	16	-96.11	19.11
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	Barnaul	629681	180	83.75	53.33
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	Amsterdam	812895	2	4.9	52.37
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	Dire Dawa	262884	1276	41.87	9.6
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	Ukhta	99591	100	53.7	63.57
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	Fianarantsoa	109260	1200	47.09	-21.45
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	Tarnów	113188	190	20.99	50.01
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	Mannheim	290117	97	8.47	49.49
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	Callao	438326	0	-77.13	-12.03
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	Sinop	\N	\N	35.15	42.03
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	Saratov	839755	50	46.02	51.53
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	Jinxi	357052	\N	120.83	40.72
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	Road Town	\N	\N	-64.37	18.27
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	Tamatave	137782	\N	49.42	-18.15
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	Hirakata	406123	\N	135.65	34.82
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	Effon-Alaiye	158977	\N	4.82	7.68
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	Falun	51900	110	15.63	60.61
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	Whitehorse	23276	670	-135.05	60.72
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	Xianyang	352125	\N	108.72	34.35
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	Bismarck	61264	514	-100.78	46.81
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	Sendai	1020241	\N	140.87	38.27
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	Buzău	115494	95	26.82	45.17
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	Port Harcourt	703421	18	7	4.75
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	Ščëlkovo	110411	150	38	55.92
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	San Cristóbal	328636	860	-72.23	7.77
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	L´viv	729842	296	24.02	49.85
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	Mixco	483705	1600	-90.61	14.63
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	Hualien	108077	\N	121.61	23.97
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	Bandar Lampung	881801	15	105.27	-5.45
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	Saint George's	37000	\N	-61.75	12.05
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	Chandler	236176	370	-111.83	33.3
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	Hamedan	525794	1850	48.52	34.8
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	Xiaoshan	162930	\N	120.25	30.17
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	Arica	210936	2	-70.33	-18.48
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	Nachodka	159719	8	132.87	42.82
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	Parla	122045	648.5	-3.77	40.24
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	Santiago	591985	175	-70.7	19.47
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	Vorkuta	70548	180	64.03	67.5
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	Kitchener	219153	\N	-80.48	43.45
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	Chasavjurt	131187	130	46.58	43.25
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	Stavanger	129191	\N	5.72	58.96
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	Tuxtla Gutiérrez	537102	522	-93.12	16.75
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	Namibe	\N	9	12.15	-15.2
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	Odense	168798	13	10.39	55.4
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	Yeosu	267921	\N	127.73	34.73
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	Ikare	103843	\N	5.75	7.52
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	Arapiraca	181481	264	-36.66	-9.75
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	Santa Tecla	126353	931	-89.24	13.67
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	Derby	255394	\N	-1.48	52.92
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	Manisa	309050	\N	27.42	38.63
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	Reggio nell'Emilia	\N	58	10.63	44.7
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	Bhisho	77682	435	27.44	-32.85
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	Jinan	4335989	23	116.98	36.67
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	Zouerate	\N	380	-12.47	22.68
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	Vigo	295623	0	-8.71	42.23
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	Moers	104009	30	6.62	51.46
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	West Covina	106098	117	-117.92	34.06
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	Kozhikode	456618	1	75.77	11.25
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	Bhopal	1798218	527	77.42	23.25
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	Changsha	3093980	63	112.97	28.2
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	Zhytomyr	271895	221	28.67	50.25
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	Chon Buri	233200	\N	100.98	13.36
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	Blackpool	147663	5	-3.05	53.81
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	Manzhouli	120023	\N	117.43	49.6
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	Okhotsk	4215	10	143.26	59.37
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	Beira	431583	14	34.85	-19.83
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	Asaba	\N	45	6.73	6.2
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	Tongling	228017	\N	117.77	30.93
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	Genève	191557	375	6.15	46.2
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	Guangzhou	11071424	21	113.27	23.13
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	Tripoli	1500000	81	13.19	32.9
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	Getafe	168642	622	-3.73	40.3
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	Northampton	215173	\N	-0.89	52.23
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	Geelong	174086	\N	144.35	-38.15
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	Gorzów Wielkopolski	124470	19	15.25	52.73
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	Sidi Bel Abbës	210146	470	-0.64	35.19
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	Kaedi	49152	23	-13.51	16.15
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	Jinotega	123548	1000	-86	13.17
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	Baicheng	217987	154	122.83	45.62
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	Jos	510300	1217	8.88	9.93
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	Perúgia	162449	493	12.39	43.11
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	Cádiz	124014	11	-6.28	36.53
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	Ulyanovsk	615306	140	48.37	54.32
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	Jacareí	208297	567	-45.97	-23.31
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	Montreuil	103068	52	2.44	48.86
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	Morogoro	315866	\N	37.67	-6.82
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	Dallas	1257676	131	-96.8	32.78
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	London	366151	251	-81.25	42.98
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	Sapporo	1904319	\N	141.35	43.07
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	Perpignan	118238	8	2.9	42.7
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	Santa Maria	248347	113	-53.8	-29.68
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	Baguio	301926	1540	120.6	16.42
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	Trenčín	55877	211	18.04	48.89
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	Amarillo	190701	1099	-101.85	35.2
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	Rach Gia	210784	\N	105.08	10.02
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	Ar Raqqah	343870	245	39.02	35.95
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	West Island	\N	\N	96.5	-12.1
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	Lleida	137283	155	0.63	41.62
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	Al Amarah	208797	12	47	32
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	Mumbai	12442373	14	72.83	18.98
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	Palangkaraya	220962	5	113.92	-2.21
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	Paris	2249975	28	2.35	48.86
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	San Fernando	269365	\N	120.68	15.03
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	Wałbrzych	119216	350	16.28	50.77
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	Nîmes	144940	21	4.36	43.84
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	Västerås	140499	17	16.55	59.62
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	Al Manāmah	143035	\N	50.58	26.22
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	Cap-Haïtien	155505	0	-72.2	19.76
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	Strasbourg	272222	132	7.75	48.58
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	San José	354409	1172	-84.08	9.93
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	Eisenstadt	13485	182	16.52	47.85
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	Plzeň	171346	308	13.38	49.75
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	Guarujá	290696	4	-46.26	-23.99
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	Buon Ma Thuot	211891	536	108.05	12.67
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	Santa Bárbara d'Oeste	178596	570	-47.41	-22.75
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	Zhoukou	146288	\N	114.63	33.63
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	Chingola	211755	1363	27.85	-12.53
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	Železnodorožnyj	131257	145	38.02	55.75
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	Abeokuta	352735	66	3.35	7.16
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	Lubbock	229399	993	-101.88	33.57
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	Mazatlán	381583	\N	-106.42	23.22
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	Elista	103749	120	44.27	46.32
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	Jacksonville	842583	5	-81.66	30.34
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	Zhangzhou	181424	\N	117.65	24.52
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	Bonn	305765	60	7.1	50.73
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	Tétouan	320539	90	-5.37	35.57
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	Tangerang	1798601	\N	106.63	-6.18
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	Steinkjer	20480	\N	11.72	64.06
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	Bacolod	499497	10	122.95	10.67
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	Fuyang	179572	\N	115.82	32.9
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	Idlib	126284	500	36.63	35.93
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	Uribia	168286	10	-72	11.92
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	Acheng	197595	\N	126.97	45.54
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	Yinchuan	356652	1100	106.27	38.47
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	Kayes	127368	33	-11.43	14.45
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	Alba Iulia	\N	230	23.57	46.07
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	Vila Real	\N	450	-7.75	41.3
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	Lipetsk	509098	160	39.6	52.62
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	Annaba	342703	3	7.77	36.9
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	Ivano-Frankivs´k	224660	244	24.71	48.92
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	Curitiba	1751907	934.6	-49.25	-25.42
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	Onitsha	350280	\N	6.78	6.17
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	Guliston	\N	271	68.78	40.48
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	Carson City	32022	1464	-119.75	39.16
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	Módena	179149	34	10.93	44.65
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	Kiel	235782	5	10.13	54.33
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	Hiroshima	1164654	\N	132.46	34.39
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	Essen	566201	116	7.01	51.45
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	Sorø	\N	\N	11.57	55.43
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	Coquimbo	148438	15	-71.34	-29.95
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	Sariwon	307764	\N	125.75	38.51
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	Hafnarfjordur	26099	\N	-21.95	64.07
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	Malmö	307758	12	13.04	55.61
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	Samsun	547778	\N	36.33	41.28
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	Manado	410481	5	124.84	1.49
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	Korolëv	183402	160	37.82	55.92
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	Vancouver	603502	0	-123.1	49.25
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	Kyoto	1382113	\N	135.77	35.01
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	San Cristóbal de La Laguna	152025	543	-16.3	28.48
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	Xiamen	3531347	\N	118.09	24.48
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	Arnhem	150989	13	5.92	51.98
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	Kampala	1516210	1190	32.58	0.31
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	Escondido	143913	197	-117.08	33.12
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	's-Hertogenbosch	143822	6	5.3	51.68
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	Aurangabad	1175116	568	75.32	19.88
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	Phuket	75573	\N	98.4	7.89
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	Duisburg	488468	33	6.76	51.44
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	Fatick	\N	11	-16.41	14.33
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	Mariehamn	10851	\N	19.93	60.1
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	Mbeya	385279	1697	33.45	-8.9
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	Wuxi	3543719	\N	120.3	31.57
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	Garland	226876	168	-96.64	32.91
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	Shinyanga	161391	\N	33.42	-3.66
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	Taiyuan	3426519	800	112.56	37.87
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	Colombo	203203	950	-49.22	-25.29
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	Dourados	181005	430	-54.81	-22.22
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	Bissau	\N	0	-15.57	11.85
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	Olanchito	78776	\N	-86.58	15.48
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	New Haven	129868	18	-72.92	41.31
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	Boa Vista	277799	76	-60.67	2.82
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	Cabinda	\N	24	12.19	-5.56
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	Płock	124048	60	19.7	52.55
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	Geita	\N	\N	32.23	-2.87
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	Abakaliki	\N	\N	8.1	6.33
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	Al Mawsil	1800000	223	43.13	36.34
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	Yanji	230892	179	129.5	42.9
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	Kirkwall	6330	\N	-2.96	58.98
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	Heilbronn	116059	157	9.22	49.15
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	Quzhou	112373	\N	118.87	28.95
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	Shishou	104571	\N	112.4	29.72
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	Łódź	722022	162	19.47	51.78
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	Liuzhou	609320	\N	109.38	24.32
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	Newport	128060	\N	-3	51.58
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	Rajahmundry	324881	14	81.78	16.98
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	Yichang	371601	58	111.28	30.72
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	Bauru	338184	537	-49.06	-22.31
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	Kotka	54714	\N	26.94	60.47
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	Newark	277138	4	-74.17	40.72
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	Al Mahallah al Kubra	442884	26	31.16	30.97
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	Huangshi	457601	\N	115.08	30.22
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	Anau	\N	\N	58.53	37.88
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	Diadema	386089	780	-46.61	-23.69
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	La Esperanza	\N	1700	-88.18	14.31
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	Cambridge	145818	6	0.12	52.21
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	Daan	138963	137	124.28	45.5
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	Sumaré	238470	583	-47.27	-22.82
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	Rosso	51026	6	-15.8	16.51
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	Bilecik	\N	\N	29.98	40.14
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	Lafia	108000	\N	8.52	8.49
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	Kashiwa	396251	\N	139.98	35.87
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	Al Qahirah	8471859	23	31.23	30.05
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	Trier	105671	137	6.63	49.75
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	Eugene	156358	131	-123.09	44.05
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	San José de las Lajas	\N	135	-82.16	22.97
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	Birjand	178020	1491	59.2	32.87
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	Camaçari	231973	36	-38.32	-12.7
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	Termiz	136200	302	67.28	37.22
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	Sapele	109576	\N	5.67	5.9
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	Southend-on-Sea	175547	\N	0.71	51.54
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	Dresden	512354	112	13.73	51.03
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	Eskilstuna	98765	26	16.51	59.37
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	Boma	135284	61	13.05	-5.85
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	Rivne	250174	136	26.25	50.62
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	Köln	1005775	53	6.95	50.94
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	Granada	123697	\N	-85.95	11.93
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	Ibirité	158590	872	-44.06	-20.02
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	Ho Chi Minh	5968384	19	106.7	10.78
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	Al Mansurah	437311	12	31.68	31.07
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	Torino	872367	239	7.7	45.07
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	Yancheng	296831	\N	120.12	33.38
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	Biratnagar	204949	80	87.28	26.45
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	Gauhati	584342	55.5	91.73	26.18
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	Medan	2097610	2.5	98.67	3.58
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	Kaunas	307498	48	23.89	54.9
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	Skien	53015	\N	9.55	59.21
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	Slough	155298	\N	-0.59	51.51
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	Nema	\N	280	-7.25	16.62
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	Gunsan	256755	\N	126.72	35.98
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	Yantai	2227733	\N	121.39	37.53
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	Augsburg	267767	494	10.9	48.37
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	Majunga	106780	\N	46.32	-15.72
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	Belo Horizonte	2375151	760	-43.93	-19.92
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	Zarqa	395227	619	36.1	32.08
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	Alvorada	195673	17	-51.08	-29.99
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	Mersin	876958	10	34.63	36.8
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	Be'er Sheva	194300	260	34.8	31.26
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	Ulaanbaatar	760077	1350	106.92	47.92
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	Buffalo	261325	183	-78.85	42.9
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	Buenavista	206081	\N	-99.17	19.61
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	Ibadan	1835300	239	3.92	7.4
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	Kumanovo	107745	340	21.72	42.14
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	Changuinola	98310	\N	-82.52	9.43
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	Fuzhou	2921762	\N	119.31	26.08
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	Anchorage	291826	31	-149.9	61.22
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	Kursk	428741	250	36.18	51.72
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	Rosario	906004	31	-60.67	-32.95
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	Belém	1381475	10	-48.5	-1.46
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	Hebi	212976	\N	114.2	35.9
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	Cotonou	665100	51	2.43	6.37
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	Ipoh	566211	21.95	101.07	4.6
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	Foshan	7194311	16	113.12	23.02
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	Beni Mellal	163286	619	-6.36	32.34
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	Táranto	200154	15	17.23	40.47
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	Randers	61121	56	10.04	56.46
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	Aarau	\N	381	8.05	47.4
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	Nashik	1486053	660	73.78	20
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	Luan	144248	\N	116.51	31.75
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	Ludhiana	1618879	262	75.85	30.91
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	Leiyang	130115	\N	112.93	26.41
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	Formosa	198146	57	-58.18	-26.18
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	Kunshan	102052	\N	120.99	31.32
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	Belgorod	373528	130	36.6	50.6
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	Puyang	175988	\N	115.07	35.77
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	Kedougou	\N	\N	-12.18	12.55
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	Chennai	4646732	6	80.27	13.08
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	Chaozhou	313469	0	116.63	23.67
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	Touba	\N	\N	-7.68	8.28
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	Al Basrah	1400000	5	47.82	30.5
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	Vientiane	698318	174	102.6	17.97
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	Gijón	276969	3	-5.7	43.53
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	Lincoln	100160	\N	-0.54	53.23
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	Durham	228404	123	-78.91	35.99
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	Al Ladhiqiyah	424392	11	35.78	35.52
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	Catanzaro	89364	342	16.6	38.9
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	Nanning	3437171	\N	108.32	22.82
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	Lauro de Freitas	163449	30	-38.33	-12.89
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	Orlando	238834	25	-81.3	28.42
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	Brăila	180302	25	27.96	45.27
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	Incheon	2637652	\N	126.63	37.48
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	Southampton	253651	\N	-1.4	50.9
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	Örebro	138952	34	15.21	59.27
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	Uberaba	289376	823	-47.93	-19.75
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	Greensboro	268878	273	-79.82	36.08
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	Las Piñas	532330	\N	120.98	14.45
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	Granada	241003	738	-3.6	37.18
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	Białystok	294675	120	23.15	53.12
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	Aydin	195951	67	27.85	37.85
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	Leticia	\N	96	-69.93	-4.21
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	Xianning	136811	\N	114.22	29.88
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	Hayward	144342	32	-122.08	37.67
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	Raleigh	403971	96	-78.64	35.78
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	Itaituba	\N	15	-55.98	-4.28
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	Bariadi	\N	\N	33.98	-2.8
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	São Leopoldo	213238	26	-51.15	-29.76
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	Santa Fe	368369	25	-60.7	-31.63
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	Spring Valley	178395	721	-115.25	36.11
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	Bogotá	7776845	2640	-74.08	4.6
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	Bacău	144307	165	26.92	46.58
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	Kamensk-Ural'skij	174689	160	61.93	56.4
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	Shenzhen	10358381	0	114.1	22.55
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	Erzurum	384399	1900	41.28	39.91
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	Bristol	535907	11	-2.58	51.45
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	Orizaba	120844	\N	-97.1	18.85
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	Kyïv	2814258	179	30.52	50.45
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	Loikaw	\N	884	97.21	19.67
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	Ajmer	402700	486	74.64	26.45
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	Kurgan	325565	75	65.35	55.47
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	Jalandhar	509510	228	75.58	31.33
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	Huancayo	323054	3259	-75.22	-12.07
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	Sandvika	116677	12	10.52	59.88
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	Torrance	145438	27	-118.34	33.83
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	Narvik	18754	\N	17.56	68.42
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	Luanshya	186372	1225	28.4	-13.13
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	Sittwe	149348	\N	92.9	20.15
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	Antofagasta	285255	40	-70.4	-23.65
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	Zielona Góra	119182	71	15.5	51.93
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	Balkanabat	108000	17	54.37	39.52
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	Dordrecht	118780	1	4.67	51.82
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	Zaoyang	162198	\N	112.75	32.13
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	Sássari	123782	225	8.57	40.73
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	Gillingham	104157	\N	0.55	51.38
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	Mongu	\N	\N	23.13	-15.28
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	Corum	231146	801	34.95	40.55
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	Sahiwal	208778	152.4	73.11	30.66
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	Santa Rita	103717	\N	-34.98	-7.11
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	Phnom Penh	703963	11.89	104.92	11.55
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	Magé	215236	5	-43.04	-22.65
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	Maidstone	107627	\N	0.53	51.27
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	Montero	109518	357	-63.26	-17.34
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	Sittard-Geleen	93726	47	5.87	51
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	Masjed Soleyman	103369	372	49.3	31.94
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	Zhezkazgan	84765	300	67.7	47.78
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	Elizabeth	124969	5	-74.19	40.67
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	Ciudad Juárez	789522	1137	-106.49	31.74
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	Nawabshah	189244	\N	68.25	26.15
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	Hsinchu	425071	\N	120.98	24.82
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	Salamanca	151658	802	-5.67	40.97
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	Canoas	323827	8	-51.18	-29.92
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	Jammu	\N	327	74.87	32.73
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	Haifa	265600	475	34.98	32.82
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	Sakarya	590498	31	30.4	40.78
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	Pori	83457	\N	21.8	61.48
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	Yueyang	302800	\N	113.43	29.37
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	Poza Rica de Hidalgo	185242	50	-97.45	20.53
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	Nuevo Laredo	373725	\N	-99.51	27.49
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	Burewala	152097	133	72.68	30.17
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	San Isidro	293212	15	-58.52	-34.47
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	Nanyang	243303	131	112.53	33
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	Bimbo	124176	338	18.4	4.26
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	Huddinge	101010	\N	17.98	59.23
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	Karyes	233	\N	24.24	40.26
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	Gumushane	\N	\N	39.48	40.46
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	Jequié	139426	215	-40.08	-13.86
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	Jaú	126943	541	-48.56	-22.3
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	Karaganda	484596	546	73.17	49.83
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	Kirovohrad	234919	124	32.27	48.5
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	Santiago	88997	101	-80.97	8.11
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	Kashgar	174570	1270	75.98	39.47
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	Tangerang Selatan	1290322	\N	106.72	-6.29
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	Berkeley	112497	52	-122.27	37.87
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	Bréscia	189902	149	10.22	45.54
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	Pondicherry	\N	3	79.79	11.93
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	Mbandaka	169841	370	18.26	0.05
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	Linköping	148521	45	15.63	58.42
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	Manizales	394627	2160	-75.55	5.1
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	Baton Rouge	229452	17	-91.13	30.45
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	Shangrao	132455	\N	117.97	28.45
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	Korçë	51152	850	20.77	40.62
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	Chilpancingo	187251	1253	-99.5	17.55
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	Victoria de las Tunas	167424	92	-76.95	20.96
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	Tolyatti	719149	90	49.42	53.51
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	Norwalk	105549	28	-118.08	33.91
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	Stara Zagora	136363	196	25.65	42.43
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	Graz	269211	353	15.43	47.07
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	Karachi	9339023	8	67.01	24.86
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	Mary	123000	226	61.83	37.6
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	Labuan	\N	\N	115.21	5.32
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	Kuala Terengganu	250528	\N	103.15	5.33
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	Laiwu	246833	\N	117.67	36.18
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	Kiffa	60005	94	-11.4	16.62
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	Samarinda	727500	8	117.15	-0.5
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	Mariestad	24255	\N	13.82	58.7
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	Ewo	\N	534	14.82	-0.87
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	Guangshui	102770	\N	113.83	31.62
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	Choloma	151999	\N	-88	15.63
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	Dera Ghazi Khan	190542	\N	70.63	30.05
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	Yibin	241019	321	104.62	28.77
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	Worcester	100153	\N	-2.22	52.19
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	Valledupar	443210	180	-73.25	10.48
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	Lafayette	120719	11	-92.03	30.22
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	Al Minya	235234	47	30.74	28.12
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	Kabwe	233197	1183	28.45	-14.43
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	Chifeng	350077	586	118.88	42.25
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	Amravati	421576	343	77.76	20.93
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	Akjoujt	\N	\N	-14.38	19.75
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	Olmaliq	121100	530	69.6	40.85
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	Parnamirim	202456	\N	-35.25	-5.92
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	Saskatoon	222189	481.5	-106.68	52.13
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	Kisumu	388311	1131	34.75	-0.1
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	Rahimyar Khan	233537	\N	70.3	28.42
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	Rabat	621480	20	-6.83	34.03
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	Drammen	65473	1	10.21	59.74
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	Zanjan	386851	1638	48.48	36.67
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	Colorado Springs	417341	1840	-104.76	38.87
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	Kramators´k	165469	\N	37.53	48.72
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	Gomel	482652	138	30.98	52.45
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	Njombe	130223	\N	34.77	-9.33
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	Charleroi	203753	\N	4.43	50.4
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	Jiujiang	291187	\N	115.99	29.74
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	Poços de Caldas	148722	1196	-46.56	-21.79
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	Mysore	606755	763	76.6	12.26
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	Hagen	187944	106	7.48	51.37
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	Cusco	348935	3399	-71.97	-13.52
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	Bangui	622771	369	18.58	4.37
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	Columbus	822553	275	-82.98	39.98
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	Kutaisi	185965	80	42.7	42.25
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	Daqing	657297	149	125	46.58
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	Contagem	601400	858	-44.05	-19.93
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	Salé	760186	\N	-6.8	34.03
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	Guiglo	\N	\N	-7.48	6.55
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	Calamba	360281	\N	121.17	14.22
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	Cartagena	215757	10	-0.98	37.6
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	Chania	108642	0	24.02	35.52
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	Kafr ad Dawwar	262748	6	30.13	31.13
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	Melilla	78476	\N	-2.95	35.3
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	Recklinghausen	115958	85	7.16	51.59
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	Mishan	132744	\N	131.87	45.53
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	Mukono	161996	1200	32.75	0.36
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	Kathmandu	1003285	1400	85.33	27.7
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	Panaji	\N	\N	73.83	15.5
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	Huelva	147808	54	-6.95	37.25
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	Orléans	114185	90	1.91	47.9
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	Ourense	107314	132	-7.86	42.34
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	Simi Valley	124239	234	-118.74	34.27
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	Sevilla	698042	7	-5.99	37.38
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	Bălţi	143300	59	27.92	47.77
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	Torrejón de Ardoz	123213	568	-3.5	40.46
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	Quezon City	2679450	17	121.03	14.63
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	Oberhausen	210216	35	6.85	51.55
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	Paulista	300466	13	-34.87	-7.94
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	San Miguel	218410	129	-88.18	13.48
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	Luohe	126438	\N	114.03	33.57
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	Cajamarca	162326	2750	-78.51	-7.16
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	Mwanza	706453	1140	32.9	-2.52
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	Hachioji	553914	\N	139.32	35.67
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	Bielefeld	326870	118	8.52	52.02
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	Tuzla	120441	245	18.68	44.54
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	Nagano	\N	\N	138.18	36.63
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	Puerto Ayacucho	\N	74	-67.63	5.66
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	Génova	586180	20	8.93	44.41
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	Edirne	148474	42	26.56	41.68
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	Jijiga	147482	1609	42.8	9.35
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	Vallejo	115940	21	-122.24	38.11
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	Nagpur	2405665	310	79.09	21.15
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	Townsville	167636	\N	146.82	-19.26
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	Dos Hermanas	128433	42	-5.92	37.28
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	Philipsburg	1338	\N	-63.05	18.02
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	Petropavlovsk	207402	140	69.17	54.88
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	Avellaneda	329638	2	-58.37	-34.67
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	Comayagua	87474	594	-87.65	14.46
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	Réggio di Calabria	180817	31	15.66	38.11
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	Wellington	185187	0	174.78	-41.29
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	Freetown	772873	26	-13.23	8.48
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	Lomas de Zamora	590677	20	-58.4	-34.77
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	Bobo Dioulasso	489967	445	-4.28	11.18
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	Pingtung	207862	20	120.49	22.68
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	Nador	126207	42	-2.93	35.17
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	Lemesos	101000	\N	33.03	34.67
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	Balkhash	71203	440	75	46.85
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	Viseu	\N	\N	-7.92	40.67
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	Guadalajara	1495182	1566	-103.35	20.67
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	Cilegon	374559	\N	106.15	-6.12
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	Modesto	201187	27	-120.99	37.66
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	Manaus	1792881	53	-60.02	-3.1
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	Santo Domingo de los Colorados	305632	625	-79.17	-0.25
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	Trujillo	\N	\N	-70.5	9.42
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	Ghardaïa	142913	572	3.67	32.48
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	Oran	803329	0.9	-0.63	35.7
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	Chişinău	663400	85	28.92	47
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	Wakayama	\N	\N	135.17	34.23
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	Yokohama	3629257	\N	139.64	35.44
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	Echeng	190123	\N	114.89	30.4
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	Barcelona	410643	13	-64.72	10.12
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	Norfolk	242833	2.13	-76.2	36.92
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	Jiaonan	121397	4	120.05	35.87
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	Puno	120229	3830	-70.02	-15.84
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	Valladolid	311682	698	-4.72	41.63
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	Aijal	\N	1132	92.72	23.73
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	Sri Jayawardhanapura Kotte	116366	0	79.89	6.91
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	San Miguelito	315019	\N	-79.5	9.03
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	Oakland	390865	13	-122.27	37.8
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	Guilin	364130	153	110.28	25.27
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	Bursa	1734705	100	29.05	40.18
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	Pachuca	256584	2432	-98.75	20.1
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	Salerno	132608	4	14.77	40.68
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	Dayr az Zawr	239196	210	40.15	35.33
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	Salta	462668	1152	-65.42	-24.78
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	Yenagoa	\N	\N	6.33	5.03
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	Kızıltepe	147585	\N	40.59	37.19
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	Lusaka	1269848	1279	28.28	-15.42
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	Jiangmen	230587	10	113.07	22.57
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	Ústí nad Labem	98596	218	14.04	50.66
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	Peoria	115021	201	-89.61	40.72
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	Boise City	206105	832	-116.2	43.62
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	Santa Cruz de la Sierra	1453549	416	-63.18	-17.8
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	Gent	248813	\N	3.73	51.05
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	Pasig	617301	\N	121.08	14.58
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	Nakuru	307990	1850	36.07	-0.3
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	Nara	\N	\N	135.8	34.68
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	Makhachkala	576194	10	47.5	42.97
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	Calgary	1096833	1045	-114.07	51.05
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	Djibouti	475322	\N	43.17	11.6
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	Nampula	471717	360	39.27	-15.12
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	Wuwei	133101	\N	102.64	37.93
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	Magnitogorsk	411880	310	59.03	53.38
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	Nottingham	289301	61	-1.13	52.95
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	Saint-Pierre	5618	0	-56.18	46.78
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	Lichinga	142331	1398	35.24	-13.31
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	Amman	1812941	784	35.93	31.95
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	Cherkasy	286163	110	32.06	49.44
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	Zaozhuang	2125481	\N	117.55	34.87
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	Thane	1841488	\N	72.96	19.17
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	Providence	178042	23	-71.42	41.82
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	Xinghua	161910	\N	119.83	32.93
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	Vitória	327801	4	-40.34	-20.32
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	Yopal	136484	350	-72.41	5.35
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	Huai'an	2635406	\N	119.13	33.5
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	Warri	363382	\N	5.75	5.52
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	Garden Grove	171010	27	-117.96	33.78
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	Zixing	110048	\N	113.23	25.97
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	Ancona	100497	16	13.52	43.62
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	Volta Redonda	257686	390	-44.1	-22.52
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	Probolinggo	217062	\N	113.22	-7.75
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	Bratsk	246319	450	101.6	56.12
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	Scottsdale	217355	383	-111.93	33.5
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	Petrolina	219215	376	-40.51	-9.39
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	Aachen	236420	173	6.08	50.78
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	Chelmsford	110507	\N	0.47	51.92
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	Botucatu	122678	804	-48.44	-22.89
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	Zhaodong	179976	\N	125.98	46.07
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	Barquisimeto	875788	566	-69.33	10.06
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	Chimalhuacán	612383	2240	-98.95	19.44
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	Rubcovsk	147002	210	81.2	51.52
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	Salem	154732	47	-123.03	44.93
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	Metz	119962	162	6.18	49.12
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	Birkenhead	142968	\N	-3.01	53.39
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	Armenia	295143	1551	-75.68	4.53
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	Manchester	510746	38	-2.23	53.47
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	Vicenza	111500	39	11.55	45.55
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	Otsu	\N	\N	135.85	35.02
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	Beja	\N	\N	-7.88	38.03
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	Santiago de Cuba	446233	82	-75.81	20.02
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	Calapan	116976	\N	121.18	13.4
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	Sivas	312587	1285	37.02	39.75
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	Mandaluyong	305576	\N	121.03	14.58
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	Guacara	141762	438	-67.9	10.25
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	Matam	\N	\N	-13.33	15.62
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	Reus	106849	134	1.12	41.15
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	Gibraltar	\N	\N	-5.35	36.13
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	Tomsk	547989	110	84.97	56.5
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	Nogales	212533	1199	-110.95	31.32
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	Tekirdag	150112	\N	27.52	40.98
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	Chitungwiza	356840	1448	31.05	-17.99
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	Mansa	\N	\N	28.88	-11.2
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	Sobral	166310	70	-40.24	-3.67
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	Durango	518709	1880	-104.67	24.02
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	Al Fayyum	316772	23	30.84	29.31
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	At Taif	521273	1879	40.35	21.43
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	Hamah	467807	280	36.75	35.13
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	Wuhan	9785388	37	114.28	30.58
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	La Paz	764617	3640	-68.15	-16.5
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	Frankfurt am Main	667925	112	8.68	50.12
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	Santarém	215790	51	-54.72	-2.43
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	Saint-Étienne	170049	422	4.39	45.43
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	Trento	114198	190	11.12	46.07
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	Dover	37366	11	-75.53	39.16
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	Murmansk	302468	50	33.08	68.97
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	Anju	240117	\N	125.66	39.62
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	Panshan	362773	\N	122.05	41.12
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	Duhouk	\N	565	43	36.87
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	Owo	157181	\N	5.58	7.18
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	Augusta	195844	41	-81.97	33.47
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	Qianjiang	205504	32	112.9	30.4
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	Tlemcen	173531	842	-1.32	34.88
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	Aparecida de Goiânia	455193	808	-49.23	-16.82
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	Dimashq	1552161	680	36.29	33.51
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	Tulcea	\N	30	28.8	45.19
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	Innsbruck	124386	574	11.38	47.27
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	Puerto Carreno	\N	51	-67.47	6.18
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	Kermanshah	851405	1350	47.07	34.31
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	Marbella	135124	27	-4.88	36.52
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	Tlaquepaque	575942	1870	-103.35	20.67
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	Iloilo	418710	\N	122.67	11
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	Newcastle	540002	9	151.75	-32.92
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	Tbilisi	1073345	380	44.78	41.72
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	Dniprodzerzhyns´k	242646	120	34.62	48.52
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	Quibdó	115517	43	-76.66	5.69
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	Toruń	204847	65	18.62	53.03
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	Tainan	1881645	\N	120.18	22.98
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	Benin	762719	80	5.62	6.33
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	Slatina	\N	155	24.36	44.43
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	Iseyin	170936	\N	3.6	7.97
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	Moquegua	\N	1410	-70.93	-17.2
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	Hasselt	75579	\N	5.34	50.93
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	Woking	105367	\N	-0.56	51.32
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	Lübeck	210305	13	10.69	53.87
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	Wakefield	99251	\N	-1.5	53.68
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	Arkhangelsk	350985	5	40.53	64.53
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	Niamey	1026848	207	2.11	13.52
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	Hortolândia	192692	587	-47.22	-22.86
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	Fuling	173878	287	107.39	29.7
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	Hail	\N	992	41.68	27.52
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	Nouakchott	958399	7	-15.95	18.1
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	Jefferson City	43088	192	-92.17	38.58
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	Lisboa	559248	\N	-9.14	38.71
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	Djougou	181895	431	1.67	9.7
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	Oujda	400738	470	-1.91	34.69
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	Gangtok	\N	1600	88.62	27.33
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	Al'metjevsk	146393	110	52.3	54.9
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	Bushehr	195222	8	50.83	28.97
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	Taldykurgan	135217	600	78.37	45.02
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	Gdynia	248574	0	18.53	54.5
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	Neftejugansk	122855	40	72.7	61.08
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	Rishon LeZiyyon	228200	40	34.8	31.95
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	Andria	100052	151	16.3	41.22
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	Cuautitlán Izcalli	484573	2280	-99.21	19.65
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	Ahvaz	1112021	17	48.67	31.32
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	Tuluá	209086	960	-76.2	4.08
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	Wichita Falls	104554	289	-98.51	33.9
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	Izhevsk	632913	140	53.18	56.83
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	Cayenne	57229	\N	-52.45	4.93333
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	Neuchatel	\N	430	6.93	47
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	Shreveport	200410	44	-93.75	32.51
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	Lille	227533	17	3.06	50.63
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	Hampton	137515	3	-76.36	37.03
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	San Jose	998537	25	-121.9	37.33
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	Linyi	2303648	74	118.35	35.05
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	Ziguinchor	162887	12	-16.28	12.56
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	Plano	259841	206	-96.7	33.02
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	Masaya	166588	242	-86.1	11.97
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	Diffa	\N	286	12.62	13.31
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	Córdoba	140896	860	-96.93	18.89
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	An Najaf	309010	60	44.33	32
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	Offenbach am Main	113443	98	8.8	50.1
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	Schaffhausen	\N	403	8.63	47.7
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	Alagoinhas	124042	132	-38.42	-12.14
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	Birobidzhan	75413	80	132.93	48.8
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	Tanout	154238	\N	8.88	14.97
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	Kütahya	224898	930	29.98	39.42
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	Puškino	102874	160	37.83	56.02
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	Port-Gentil	105712	\N	8.78	-0.72
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	Memphis	653450	103	-89.97	35.12
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	Magwe	\N	\N	94.95	20.15
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	Halab	2181061	379	37.17	36.22
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	Meknès	469169	552	-5.55	33.9
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	Santa Fe	67973	2195	-105.96	35.67
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	Itajaí	173452	2	-48.67	-26.9
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	Hyderabad	6731790	505	78.48	17.37
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	Valenzuela	568928	38	120.98	14.7
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	Kielce	201363	260	20.62	50.88
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	Bragança Paulista	142255	817	-46.54	-22.95
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	Sunshine Coast	241643	\N	153.07	-26.65
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	Nova Iguaçu	787563	25	-43.45	-22.76
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	Surat	4467797	13	72.83	21.18
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	Oldenburg	157267	5	8.21	53.14
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	Trivandrum	752490	10	76.95	8.49
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	Bhubaneswar	411542	45	85.84	20.27
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	Al Sharjah	519000	\N	55.39	25.36
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	Chipata	\N	1140	32.63	-13.65
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	Laredo	236086	134	-99.49	27.52
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	Honghu	190772	\N	113.53	30.02
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	Bandundu	\N	321	17.37	-3.32
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	Mugla	\N	660	28.37	37.22
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	Bridgeport	144236	1	-73.2	41.19
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	Richmond	204247	45.7	-77.47	37.53
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	Cerro de Pasco	\N	4330	-76.26	-10.69
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	Guangyuan	182241	\N	105.82	32.43
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	Marsa Matruh	\N	30	27.22	31.33
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	Imphal	\N	786	93.95	24.82
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	Zhuzhou	409924	\N	113.13	27.85
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	Zanzibar	223033	\N	39.32	-6.13
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	Neijiang	256012	\N	105.07	29.58
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	Bocas del Toro	\N	\N	-82.24	9.34
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	Simla	\N	2205	77.17	31.1
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	Hakodate	279127	\N	140.73	41.77
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	Haicheng	205560	17	122.68	40.88
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	Anqing	250718	\N	117.03	30.5
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	Abilene	117463	524	-99.75	32.45
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	Warrington	165456	\N	-2.6	53.39
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	Fredericton	56224	20	-66.65	45.96
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	Gebze	290868	\N	29.43	40.8
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	Guigang	114025	45	109.61	23.1
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	Padang	833562	0	100.35	-0.95
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	Saarbrücken	175853	230	7	49.23
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	Ede	142363	269	4.44	7.74
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	Deyang	182488	\N	104.4	31.13
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	Nablus	126132	\N	35.3	32.2
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	Mykolaïv	497032	42	32	46.97
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	Szeged	168048	75	20.15	46.26
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	Guanajuato	72237	\N	-101.27	21.02
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	Sabadell	206949	190	2.11	41.55
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	Tavoy	\N	\N	98.2	14.08
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	Hradec Králové	95594	235	15.83	50.21
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	Can Tho	783122	0	105.78	10.03
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	Omaha	416969	332	-96	41.25
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	Cágliari	149883	4	9.05	39.25
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	Asosa	\N	1570	34.52	10.07
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	El Progreso	147369	\N	-87.8	15.4
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	Americana	209654	569	-47.33	-22.74
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	Dosquebradas	196926	1460	-75.68	4.83
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	Longkou	148362	\N	120.33	37.63
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	Dhaka	7423137	4	90.37	23.7
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	Minna	189191	\N	6.56	9.61
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	San Fernando	114813	\N	120.32	16.62
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	Tlalnepantla	653410	2250	-99.19	19.54
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	Orechovo-Zujevo	120670	120	38.97	55.8
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	Hódmezővásárhely	\N	\N	20.32	46.43
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	Zinder	322935	479	8.99	13.81
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	Edinburgh	459366	47	-3.19	55.95
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	Ciudad Guayana	692215	13	-62.65	8.37
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	Bayamo	164008	55	-76.64	20.38
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	Choluteca	120791	\N	-87.18	13.3
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	Asyut	386086	70	31.17	27.18
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	Cascavel	270049	781	-53.46	-24.96
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	Saint-Paul	103916	0	55.27	-21.01
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	Piatra-Neamţ	85055	310	26.37	46.93
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	Ponce	132502	16	-66.61	18
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	Monywa	371963	\N	95.14	22.11
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	Tengxian	315083	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	Tébessa	194461	858	8.12	35.4
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	Adama	271562	1712	39.27	8.54
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	Topeka	127474	288	-95.69	39.06
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	Tula	493813	170	37.62	54.2
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	Gilgit	216760	1500	74.29	35.92
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	Badalona	219241	12	2.25	41.45
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	Hatay	216960	67	36.15	36.2
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	Mamoutzou	\N	\N	45.13	-12.46
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	Alcalá de Henares	200505	588	-3.37	40.47
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	Xinyang	192509	\N	114.05	32.13
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	Tours	134633	44	0.69	47.39
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	Surabaya	2765487	5	112.74	-7.27
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	Kochi	\N	\N	133.53	33.57
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	Dutse	\N	\N	9.34	11.7
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	Takamatsu	424490	\N	134.05	34.35
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	Bhilai	395360	452	81.38	21.21
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	Hilo	43263	18	-155.09	19.71
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	Fresno	509924	94	-119.77	36.75
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	Kolda	\N	0	-14.95	12.88
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	La Paz	215178	27	-110.31	24.14
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	Batumi	121806	3	41.64	41.65
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	Smolensk	330970	242	32.05	54.78
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	Xingtai	302789	\N	114.48	37.07
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	Suzano	253240	749.43	-46.31	-23.54
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	Okayama	691955	\N	133.92	34.65
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	Selibaby	\N	\N	-12.18	15.16
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	Brasília	2482210	1172	-47.88	-15.79
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	Aomori	\N	2	140.75	40.82
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	Guarapuava	152993	1120	-51.46	-25.39
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	Tema	139784	1	0	5.67
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	Palikir	6444	\N	158.15	6.9
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	Songea	203309	\N	35.65	-10.68
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	Corona	152374	207	-117.57	33.87
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	Soyapango	268228	648	-89.15	13.73
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	Wete	\N	\N	39.73	-5.06
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	Sumbe	\N	0	13.84	-11.21
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	Savar	296851	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	Soledad	599012	5	-74.75	10.92
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	Libreville	538195	0	9.45	0.39
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	Huntington Beach	191037	12	-118	33.69
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	Marikina	424610	14.7	121.1	14.65
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	Vijayawada	1034358	23	80.64	16.51
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	Addis Ababa	3040740	2355	38.74	9.03
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	Nova Friburgo	159372	846	-42.53	-22.27
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	Putrajaya	\N	\N	101.7	2.94
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	Banjul	357238	0	-16.58	13.45
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	Prešov	91782	250	21.24	49
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	Maribor	111374	275	15.65	46.55
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	Ashdod	206400	\N	34.65	31.8
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	Bouafle	\N	\N	-5.75	6.98
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	Daejeon	1495453	\N	127.39	36.35
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	Richmond	190473	10	-123.13	49.17
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	Riyadh	4087152	612	46.72	24.63
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	Weihai	128888	\N	122.12	37.52
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	Rotherham	109691	\N	-1.36	53.43
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	Zwickau	93081	267	12.5	50.72
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	Gwangju	1469293	\N	126.92	35.17
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	Chittagong	2971102	\N	91.8	22.37
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	Al Rayyan	272860	\N	51.37	25.32
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	Al Gazira	211362	\N	33.52	14.4
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	Chernihiv	296723	136	31.3	51.5
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	Južno-Sachalinsk	181728	40	142.73	46.97
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	Tumbes	94751	6	-80.45	-3.57
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	Astrakhan	527345	-28	48.05	46.35
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	Derbent	119200	0	48.3	42.05
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	Jinzhou	569518	24	121.13	41.12
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	Preston	97886	\N	-2.7	53.76
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	Magangué	123618	49	-74.77	9.25
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	Odesa	1008162	40	30.73	46.47
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	Rio Grande	189429	6	-52.1	-32.03
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	Valdivia	127750	5	-73.25	-39.81
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	Cheyenne	59488	1848	-104.8	41.15
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	Arraiján	220779	\N	-79.65	8.95
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	Kaluga	331351	190	36.28	54.55
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	Caxito	\N	84	13.66	-8.58
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	Laiyang	137080	\N	120.71	36.98
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	Heyuan	120101	39	114.7	23.75
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	Brownsville	175007	10	-97.48	25.93
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	Forlí	116434	34	12.05	44.23
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	Dunhua	235100	505	128.23	43.37
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	Arlington	365366	184	-97.12	32.71
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	Albany	97856	60	-73.76	42.65
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	Tapachula	202672	177	-92.27	14.9
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	Ciudad Madero	197216	\N	-97.83	22.25
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	Lucapa	\N	880	20.75	-8.42
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	Mérida	230120	\N	-71.19	8.48
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	Kyzylorda	213165	128	65.52	44.85
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	Flying Fish Cove	\N	\N	105.43	-10.25
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	Pasay	403064	\N	121	14.55
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	Kamoke	152288	\N	74.22	31.97
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	Batajsk	111843	5	39.73	47.17
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	Kerbela	296705	\N	44.03	32.62
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	Novorossiysk	251013	20	37.75	44.72
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	Foz do Iguaçu	253962	164	-54.58	-25.55
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	Chuncheon	273737	\N	127.73	37.87
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	Port St. Lucie	164719	5	-80.35	27.28
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	Malayer	159848	\N	48.82	34.3
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	Skopje	514967	240	21.43	42
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	Resistencia	274001	20	-58.99	-27.45
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	Passo Fundo	180120	687	-52.4	-28.25
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	Hebron	163146	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	Águas Lindas de Goiás	159138	1100	-48.28	-15.75
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	Resita	\N	208	21.89	45.3
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	Pécs	156049	153	18.23	46.07
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	Ačinsk	109155	220	90.5	56.25
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	Birmingham	212193	196	-86.81	33.65
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	Volgodonsk	170841	50	42.15	47.52
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	Ciudad Victoria	305155	316	-99.13	23.73
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	Shillong	\N	1525	91.88	25.57
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	Jena	105739	143	11.59	50.93
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	Grudziadz	98726	50	18.78	53.49
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	Panamá City	880691	2	-79.52	8.98
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	Huddersfield	162949	\N	-1.78	53.65
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	Poznań	552393	60	16.92	52.4
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	Potsdam	156021	32	13.07	52.4
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	Kitakyushu	974691	\N	130.88	33.88
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	Coyhaique	\N	302	-72.07	-45.57
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	N'Zérékoré	194178	\N	-8.82	7.75
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	Kashan	275325	982	51.48	33.99
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	Dortmund	571143	86	7.47	51.52
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	Faisalabad	2008861	184	73.08	31.43
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	Kostroma	271445	110	40.93	57.77
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	Camaragibe	144466	55	-34.98	-8.02
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	Kaili	113958	\N	107.97	26.58
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	San Juan	\N	428.5	-67.36	9.91
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	Funafuti	4492	\N	179.2	-8.52
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	Aboisso	\N	\N	-3.2	5.47
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	Edmonton	812201	645	-113.5	53.53
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	Santa Coloma de Gramenet	119391	56	2.22	41.47
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	Toyama	416223	\N	137.22	36.7
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	Mandalay	1225133	22	96.08	21.98
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	Settat	116570	\N	-7.62	33
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	Birmingham	1085810	140	-1.89	52.48
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	The Valley	\N	9	-63.05	18.22
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	Nizhny Tagil	358378	200	59.97	57.92
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	Saitama	1223954	\N	139.65	35.87
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	Lappeenranta	72617	\N	28.18	61.07
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	Tsu	\N	\N	136.5	34.72
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	Leeds	474632	9	-1.55	53.8
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	Babol	219467	-2	52.68	36.55
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	Chorzów	111314	\N	18.95	50.3
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	Bilbao	351356	19	-2.92	43.26
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	Wenzhou	3039439	\N	120.7	28
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	Artvin	\N	345	41.82	41.18
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	Darmstadt	143499	144	8.65	49.87
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	Pamplona	195943	446	-1.65	42.82
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	San Carlos	\N	152	-68.58	9.65
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	Ilhéus	155281	52	-39.05	-14.79
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	Fukuoka	1422831	\N	130.4	33.58
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	Olsztyn	175482	90	20.5	53.78
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	Taipei	2673226	10	121.63	25.03
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	Antwerpen	507911	\N	4.4	51.22
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	Varna	330486	80	27.92	43.22
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	Athina	664046	70	23.72	37.97
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	San-Pedro	174287	1	-6.64	4.75
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	Salzgitter	98895	90	10.33	52.15
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	Oshogbo	250951	\N	4.57	7.77
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	Stuttgart	585890	247	9.18	48.78
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	Gujrat	251792	\N	74.08	32.57
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	Santo André	676407	700	-46.53	-23.66
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	Yiyang	185818	\N	112.33	28.58
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	Weifang	2044028	32	119.1	36.72
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	Stavropol	412116	550	41.98	45.05
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	Novara	101952	162	8.62	45.45
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	Jiutai	180130	\N	125.84	44.15
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	Jazan	\N	40	42.56	16.89
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	Newport News	180918	4.5	-76.48	37.07
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	Zapopan	1142483	1571	-103.39	20.72
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	Khorramabad	348216	1147	48.36	33.49
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	Depok	1738570	50	106.83	-6.39
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	Heerlen	88139	113	5.98	50.88
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	Madison	233362	266	-89.4	43.07
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	Las Vegas	603488	610	-115.14	36.17
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	Ciego de Ávila	124103	55	-78.76	21.85
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	Bareilly	590661	268	79.42	28.36
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	Sarnen	\N	473	8.23	46.88
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	České Budějovice	95589	381	14.47	48.97
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	Hamilton	519949	75	-79.87	43.25
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	Galway	75414	25	-9.05	53.27
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	Ar Ramadi	192556	\N	43.31	33.42
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	Kabul	2435400	1791	69.17	34.53
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	Windsor	210891	190	-83	42.28
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	Concepción	212003	12	-73.05	-36.83
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	Santiago del Estero	230424	187	-64.27	-27.78
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	Ciudad López Mateos	489160	2280	-99.25	19.56
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	Cleveland	396697	199	-81.67	41.48
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	Canakkale	111137	\N	26.41	40.16
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	Baltimore	622104	10	-76.62	39.28
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	Zhongshan	3121275	11	113.35	22.53
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	Zhangjiakou	529136	716	114.88	40.77
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	Maracay	459007	436	-67.6	10.25
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	Sinuiju	359341	\N	124.4	40.1
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	Tembisa	463109	1549	28.21	-26.01
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	Bishkek	901700	800	74.61	42.87
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	Long Beach	462257	9	-118.2	33.77
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	P'atigorsk	142511	600	43.07	44.05
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	Beihai	112673	21	109.1	21.47
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	Taitung	107720	\N	121.14	22.76
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	Gandhinagar	\N	81	72.68	23.22
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	Colima	137383	305	-103.72	19.24
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	Brest	309764	280.4	23.67	52.13
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	Mostaganem	162885	104	0.08	35.93
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	Kristianstad	80507	\N	14.16	56.03
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	Amagasaki	457216	\N	135.4	34.73
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	Orsk	239800	200	58.57	51.2
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	Nizhnii Novgorod	1259921	78	44.01	56.33
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	Malabo	92900	0	8.77	3.75
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	São José dos Pinhais	236895	906	-49.21	-25.53
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	St. John's	106172	0	-52.71	47.57
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	Arendal	12174	1	8.78	58.48
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	Morioka	\N	\N	141.15	39.68
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	Bytom	175377	249	18.9	50.38
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	Honolulu	337256	6	-157.82	21.3
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	Shubra al Khimah	1016722	16	31.24	30.13
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	Rio Verde	163540	748	-50.92	-17.79
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	Nanchong	180273	340	106.08	30.8
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	Shantou	5329024	51	116.67	23.35
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	Yining	177193	\N	81.32	43.92
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	Arlington	207628	\N	-77.11	38.88
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	Wrocław	631377	105	17.03	51.1
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	Longjing	139417	266	129.43	42.77
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	Neuss	150568	40	6.7	51.2
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	Kamyšin	119565	50	45.4	50.08
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	Çorlu	235354	10	27.8	41.15
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	Khon Kaen	223300	\N	102.83	16.43
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	Fort Collins	144073	1525	-105.08	40.56
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	København	549050	24	12.57	55.68
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	Lausanne	132788	495	6.63	46.52
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	Sfax	299235	\N	10.77	34.73
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	Pierre	13646	443	-100.34	44.37
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	Ontario	163924	306	-117.63	34.05
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	Vinnytsia	370814	\N	28.48	49.23
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	Jeonju	643079	\N	127.15	35.82
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	Benghazi	800000	2	20.07	32.12
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	Teresópolis	146207	871	-42.97	-22.41
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	Vladikavkaz	308285	680	44.65	43.02
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	Maracaibo	1372724	6	-71.63	10.65
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	Almaty	1507737	500	76.9	43.28
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	Anaheim	336511	48	-117.89	33.84
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	Miyazaki	402855	\N	131.42	31.92
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	Itabuna	199643	54	-39.28	-14.79
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	Santa Ana de Coro	158763	17	-69.67	11.42
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	Fushun	1350000	\N	123.9	41.87
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	Bergen	267950	0	5.33	60.39
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	Luziânia	162807	930	-47.95	-16.25
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	La Serena	147815	28	-71.25	-29.9
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	Cirilo Guainora	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	Kirikkale	192473	\N	33.51	39.84
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	Barueri	240749	719	-46.88	-23.51
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	Yamoussoukro	207412	\N	-5.28	6.82
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	Malang	820243	476	112.62	-7.98
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	San Justo	1256724	26	-58.55	-34.68
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	Sylhet	479837	35	91.87	24.9
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	Gómez Palacio	257352	\N	-103.5	25.58
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	Quetta	565137	1680	67	30.18
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	Changhua	236636	20	120.53	24.07
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	Ibagué	548209	1285	-75.23	4.43
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	Denver	649495	1564	-104.88	39.76
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	Sofia	1270284	500	23.33	42.7
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	Blumenau	294773	21	-49.07	-26.92
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	Yangon	5209541	15	96.18	16.85
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	Liberec	104973	374	15.07	50.72
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	Naucalpan	792211	2300	-99.24	19.48
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	Chincha Alta	153598	97	-76.13	-13.45
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	Batman	348963	540	41.13	37.88
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	Linqing	123958	\N	115.71	36.85
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	Horlivka	258879	215	38.05	48.3
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	Jalingo	\N	\N	11.37	8.9
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	Hunjiang	482043	471	126.42	41.93
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	Kars	78100	1768	43.1	40.62
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	Banda Aceh	223446	0	95.32	5.55
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	Oporto	266790	\N	-8.62	41.16
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	Quelimane	193343	1	36.89	-17.88
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	San Jose Del Monte	439090	100	121.05	14.81
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	Uppsala	202625	15	17.64	59.86
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	Jastrzebie Zdroj	92465	259	18.58	49.95
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	Fortaleza	2452185	21	-38.54	-3.72
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	Qo‘qon	233500	409	70.94	40.53
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	Prato	185456	65	11.1	43.88
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	Tokat	132437	623	36.55	40.31
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	Abomey-Calavi	307745	54	2.36	6.45
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	Manzanillo	105967	25	-77.11	20.34
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	Ikire	111435	\N	4.18	7.36
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	Dezhou	195485	\N	116.27	37.43
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	Delhi	11034555	0	77.23	28.61
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	Volgograd	1018790	80	44.52	48.7
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	Winston-Salem	229634	296	-80.26	36.1
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	Şanlıurfa	526247	477	38.79	37.16
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	Angarsk	233567	430	103.9	52.55
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	Hamilton	132060	40	175.28	-37.78
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	Jamshedpur	478950	135	86.3	22.8
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	Dehra Dun	\N	435	78.03	30.32
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	Ganja	322600	408	46.36	40.68
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	Podgorica	150977	48	19.26	42.44
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	Maoming	178683	29	110.92	21.65
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	Breda	180263	3	4.78	51.58
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	Maracanaú	207623	\N	-38.63	-3.87
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	Mito	\N	\N	140.47	36.37
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	Angren	175400	961	70.14	41.02
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	Marília	207021	660	-49.95	-22.21
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	Adiyaman	217463	7	38.28	37.76
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	Aleg	\N	\N	-13.92	17.05
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	L'Aquila	\N	714	13.4	42.35
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	Khulna	663342	9	89.55	22.82
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	Mulhouse	110351	232	7.34	47.75
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	Bishoftu	123230	1920	38.98	8.75
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	Al Hillah	268834	34	44.43	32.48
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	Semarang	1555984	4	110.42	-6.97
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	Fayetteville	200574	80	-78.88	35.05
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	Argenteuil	104282	21	2.25	48.95
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	Itapetininga	131050	656	-48.05	-23.59
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	Mingaora	173868	984	72.22	34.47
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	Sana'a	1527861	2250	44.21	15.35
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	Krasnogorsk	116896	150	37.32	55.83
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	Gombe	163604	\N	11.17	10.28
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	Mianyang	262947	473	104.68	31.47
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	St. Petersburg	245193	13	-82.64	27.77
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	Penza	519900	150	45	53.2
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	Tampere	220678	\N	23.77	61.5
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	Birni-N'Konni	149414	\N	5.25	13.79
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	Durrës	113249	0	19.45	41.32
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	Billings	104190	952	-108.54	45.79
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	Huizhou	2344634	15	114.4	23.07
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	Imperatriz	234547	95	-47.48	-5.53
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	North Las Vegas	216701	672	-115.15	36.23
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	Orange	136426	58	-117.83	33.8
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	La Habana	2141993	59	-82.38	23.13
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	Rīga	696618	7	24.11	56.95
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	Salamanca	160169	1721	-101.2	20.57
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	Dunedin	123516	\N	170.5	-45.87
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	Bolu	131264	725	31.61	40.73
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	Malatya	426381	954	38.3	38.35
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	Changshu	181805	\N	120.82	31.67
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	Karaman	141630	\N	33.22	37.18
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	Peterborough	161707	\N	-0.25	52.58
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	Los Angeles	3884307	93	-118.25	34.05
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	Hong Kong	7055071	\N	114.2	22.3
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	Oskemen	314014	283	82.62	49.98
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	Artemisa	\N	50	-82.76	22.81
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	Atlanta	420279	225	-84.39	33.76
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	Taoyuan	413488	\N	121.31	24.99
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	Bogor	950334	265	106.8	-6.6
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	Duyun	132971	\N	107.52	26.26
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	Zaragoza	678115	243	-0.88	41.65
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	Balikpapan	557579	0	116.83	-1.26
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	San Luis Potosí	722772	1850	-100.84	22.15
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	Gwalior	1054420	196	78.18	26.22
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	Jelec	108404	140	38.47	52.62
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	Araraquara	202730	664	-48.18	-21.79
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	Yuscaran	\N	1007	-86.82	13.93
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	Shiraz	1460665	1500	52.53	29.62
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	Fort Worth	792727	199	-97.33	32.76
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	Wigan	103608	\N	-2.63	53.54
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	Asunción	542023	43	-57.63	-25.27
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	Nukus	295200	76	59.6	42.47
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	Sokoto	329639	\N	5.23	13.07
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	Flint	102400	229	-83.69	43.01
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	Mazar-i-Sharif	288700	357	67.12	36.7
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	Mohammedia	188619	10	-7.38	33.68
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	Zlín	77137	230	17.67	49.23
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	Chula Vista	243916	20	-117.05	32.63
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	Leeuwarden	108145	3	5.78	53.2
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	Portsmouth	238137	\N	-1.08	50.82
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	Algeciras	117695	20	-5.45	36.13
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	Divo	105859	\N	-5.37	5.83
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	Hohhot	652534	1065	111.65	40.82
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	Bata	66800	5	9.75	1.85
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	London	8250205	0	-0.09	51.52
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	Danlí	135136	814	-86.58	14.05
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	Morelia	597511	1921	-101.19	19.77
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	Bucureşti	1883425	55.8	26.1	44.43
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	Kemerovo	540095	140	86.07	55.37
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	Vitebsk	347928	172	30.17	55.18
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	Turbo	155173	2	-76.73	8.1
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	Gracias	\N	800	-88.58	14.58
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	Kocaeli	1527407	100	29.92	40.77
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	Düsseldorf	586291	38	6.78	51.23
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	Port Louis	\N	\N	57.5	-20.16
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	Murcia	437667	43	-1.13	37.99
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	Tieling	254842	\N	123.73	42.22
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	Niš	257867	195	21.9	43.32
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	Accra	2070463	61	-0.2	5.55
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	Tongliao	255129	179	122.27	43.62
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	Podol'sk	187961	160	37.53	55.42
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	Pasadena	137122	263	-118.13	34.16
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	Bryansk	410837	190	34.37	53.23
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	Dushanbe	747500	706	68.78	38.54
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	Handan	1110000	\N	114.48	36.6
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	Kidal	\N	\N	1.41	18.44
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	São Vicente	331817	6	-46.39	-23.96
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	Machida	420243	\N	139.45	35.55
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	Vlorë	79513	25	19.49	40.47
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	Iraklio	173993	150	23.77	38.05
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	Gateshead	120046	\N	-1.6	54.95
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	Faro	\N	6	-7.92	37.03
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	Agadez	118240	520	7.98	16.97
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	Calarasi	\N	26	27.33	44.2
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	Santa Ana	245421	665	-89.53	13.98
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	Pucallpa	204772	154	-74.52	-8.38
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	Jiangyin	213659	\N	120.3	31.84
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	Krasnodar	784048	25	38.97	45.03
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	Dongying	281728	\N	118.47	37.45
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	Talca	189505	102	-71.67	-35.43
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	Funabashi	602996	\N	139.98	35.7
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	Jaén	116469	573	-3.77	37.77
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	Sinpho	152759	\N	128.25	40.08
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	Gaborone	227333	1014	25.91	-24.66
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	Utrecht	330081	5	5.12	52.08
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	Miskolc	167754	131	20.79	48.1
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	Radom	220062	130	21.17	51.4
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	Regensburg	135403	337	12.08	49.02
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	Toulouse	447340	115	1.44	43.6
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	Uige	\N	858	15.05	-7.62
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	Brest	140547	0	-4.49	48.39
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	Andijon	403900	450	72.33	40.78
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	Salgótarján	\N	299	19.79	48.09
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	Suwon	1064951	\N	127.02	37.27
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	Hims	750501	501	36.71	34.73
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	Francistown	100079	1001	27.51	-21.17
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	Hillerød	\N	41	12.31	55.93
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	Seongnam	951424	\N	127.15	37.43
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	Liaoyuan	354141	260	125.15	42.88
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	Erfurt	200868	194	11.03	50.98
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	Gonaïves	228725	6	-72.68	19.45
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	Aqtobe	377520	219	57.17	50.28
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	Koulikoro	\N	\N	-7.56	12.86
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	Popayán	275129	1760	-76.61	2.45
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	Yangquan	362268	\N	113.57	37.85
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	Jinju	337230	\N	128.08	35.2
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	Kati	114983	481	-8.07	12.75
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	Itapecerica da Serra	151349	920	-46.85	-23.72
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	Abaetetuba	\N	42	-48.88	-1.72
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	Moroni	41557	29	43.26	-11.7
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	Mesquita	168376	\N	-43.43	-22.78
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	Huaraz	100931	3052	-77.53	-9.53
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	Belize City	53532	0	-88.19	17.5
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	Cape Coral	154305	2	-81.98	26.64
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	Lelystad	76252	-3	5.48	52.5
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	Faridabad	1414050	198	77.31	28.42
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	Torreón	608836	1120	-103.45	25.54
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	Kansas City	459787	277	-94.58	39.1
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	Nazareth	72200	\N	35.3	32.7
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	Malindi	118265	\N	40.13	-3.22
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	Herne	155160	65	7.22	51.55
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	Sirnak	\N	1650	42.46	37.52
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	Liaoyang	492559	29	123.18	41.27
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	Zug	\N	425	8.52	47.17
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	M'Bour	193368	14	-16.97	14.42
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	Yoshkar-Ola	257015	100	47.88	56.65
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	Urganch	137300	91	60.63	41.55
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	Puntarenas	119814	5	-84.83	9.97
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	Kyzyl	109918	631	94.45	51.72
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	Victoria	6252	\N	14.24	36.04
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	Chapecó	168113	\N	-52.62	-27.1
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	Salem	366712	278	78.16	11.65
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	Moshi	184292	700	37.34	-3.33
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	Santiago de Compostela	\N	260	-8.54	42.88
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	San Miguel de Tucumán	525853	431	-65.22	-26.83
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	Nagoya	2182154	\N	136.9	35.18
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	Cabo de Santo Agostinho	167783	29	-35.03	-8.29
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	Gatineau	265349	\N	-75.65	45.48
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	Szczecin	409211	1	14.55	53.43
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	Madurai	1017865	101	78.1	9.9
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	Willemstad	125000	\N	-68.9	12.1
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	Worthing	109120	7	-0.37	50.81
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	Cixi	107329	\N	121.23	30.17
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	Baotou	2096851	1065	109.83	40.65
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	Suhaj	189638	61	31.7	26.55
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	Santa Rosa de Copan	25861	1168	-88.78	14.77
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	Sevastopol´	340559	100	33.53	44.6
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	Ferraz de Vasconcelos	160754	759	-46.37	-23.54
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	Kayseri	1004276	1050	35.48	38.73
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	Serra	406450	301	-40.31	-20.13
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	Johor Bahru	384613	36.88	103.73	1.48
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	Corrientes	314247	52	-58.82	-27.48
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	Erzincan	96474	1185	39.49	39.75
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	Linhe	133183	\N	107.43	40.85
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	Korla	159344	\N	86.13	41.65
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	Qui Nhon	255463	\N	109.23	13.77
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	Wavre	\N	\N	4.6	50.72
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	Sumbawanga	209793	\N	31.62	-7.97
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	Jilin	1270000	\N	126.2	43.7
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	Exeter	113507	\N	-3.53	50.72
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	Makkah	1294106	\N	41	21.5
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	eThekwini	3442361	6	31.05	-29.88
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	Chimbote	334568	4	-78.59	-9.14
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	Nykoping	64199	20	17.01	58.75
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	Vitória de Santo Antão	113429	147	-35.3	-8.12
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	Jeddah	2801481	12	39.17	21.54
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	Villach	59942	501	13.85	46.62
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	Aberdeen	195021	\N	-2.11	57.15
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	Medellín	2441123	1495	-75.59	6.23
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	Pointe-Noire	829134	14	11.86	-4.78
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	Long Xuyen	245699	\N	105.45	10.37
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	Barreiras	123741	454	-44.99	-12.15
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	Voronezh	1003638	154	39.21	51.67
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	Santa Luzia	202378	751	-43.85	-19.77
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	Mbabane	57992	1243	31.13	-26.32
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	Fort Lauderdale	165502	3	-80.15	26.13
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	Olomouc	101954	219	17.25	49.6
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	Saipan	\N	\N	145.76	15.18
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	Salinas	150498	16	-121.66	36.68
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	Porto Velho	390733	83	-63.9	-8.76
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	Guantánamo	222243	46	-75.21	20.14
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	Matsudo	476896	\N	139.9	35.78
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	Fakaofo	490	\N	-171.21	-9.37
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	Gävle	96170	8	17.14	60.67
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	Jimma	149166	1780	36.83	7.67
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	Niterói	487562	0	-43.1	-22.88
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	Cobija	\N	280	-68.73	-11.03
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	San Pablo	189453	\N	-99.09	19.67
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	Mawlamyine	288120	\N	97.62	16.48
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	Narayanganj	286330	3	90.5	23.62
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	Aalborg	104885	5	9.92	57.05
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	Khorugh	\N	2123	71.56	37.49
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	Beaumont	117267	5	-94.13	30.08
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	Cotabato	259153	\N	124.25	7.22
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	Singapore	5076700	\N	103.8	1.3
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	Thunder Bay	108359	199	-89.25	48.38
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	Tokchon	237133	\N	126.33	39.75
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	Babati	\N	\N	35.75	-4.22
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	Rio de Janeiro	6320446	31	-43.2	-22.91
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	Kalmar	54554	8	16.36	56.66
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	Río Gallegos	79072	20	-69.22	-51.63
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	Caen	108793	2	-0.37	49.18
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	Timon	135133	\N	-42.84	-5.09
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	Ribeirão Preto	602966	546	-47.81	-21.18
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	Qom	1074036	928	50.88	34.64
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	Castanhal	153378	141	-47.92	-1.3
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	Haora	1077075	12	88.31	22.59
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	Heze	189293	\N	115.43	35.23
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	Nezahualcóyotl	1104585	2220	-98.99	19.4
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	Taguig	613343	16	121.05	14.52
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	Jayapura	256705	287	140.72	-2.53
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	Khomeinishahr	244696	\N	51.52	32.7
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	São Paulo	11152344	760	-46.63	-23.55
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	Blagoveščensk	214390	130	127.53	50.25
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	Linhares	121567	33	-40.07	-19.39
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	Yalova	102874	\N	29.28	40.66
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	Khmel´nyts´kyi	263703	275	27	49.42
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	Eldoret	289380	\N	35.28	0.52
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	Arak	484212	1718	49.69	34.09
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	Bekasi	2334871	11	107	-6.23
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	Tawau	213745	\N	117.89	4.26
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	Liège	195931	\N	5.57	50.63
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	Bucheon	847841	16	126.78	37.5
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	Gao	\N	226	-0.05	16.27
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	Tahoua	149498	389	5.27	14.88
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	Uberlândia	587266	863	-48.29	-18.92
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	Agri	107839	\N	43.05	39.72
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	Krefeld	222247	38	6.57	51.33
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	Ndola	441624	\N	28.63	-12.97
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	Latina	117892	21	12.9	41.47
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	Afyonkarahisar	186991	1021	30.54	38.76
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	Kagoshima	605120	\N	130.55	31.6
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	Cancún	628306	10	-86.85	21.16
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	Leipzig	502979	113	12.38	51.33
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	Chinandega	133361	50	-87.15	12.62
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	Telford	142723	\N	-2.45	52.68
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	Hämeenlinna	67803	\N	24.47	61
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	Sancti Spíritus	114324	51	-79.44	21.93
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	Xinyu	173524	\N	114.92	27.8
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	Kendari	289966	5	122.59	-3.97
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	Leiden	121387	0	4.48	52.17
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	Managua	1028808	83	-86.25	12.14
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	Duque de Caxias	852138	7	-43.31	-22.79
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	Limón	107219	0	-83.03	9.98
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	Cabo Frio	140486	4	-42.02	-22.88
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	As Suwayda'	147146	1080	36.57	32.7
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	Grozny	277414	130	45.72	43.32
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	Kazan	1176187	116	49.13	55.79
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	São José dos Campos	617106	660	-45.88	-23.19
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	Awka	104682	\N	7.07	6.21
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	Dundee	147285	\N	-2.97	56.46
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	Qiqihar	1380000	147	123.92	47.35
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	Kusong	196515	\N	125.17	39.97
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	Malanje	\N	1155	16.35	-9.53
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	Chiayi	271220	69	120.45	23.48
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	Ilawe-Ekiti	104049	\N	5.1	7.6
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	Dukou	415466	1157	101.72	26.58
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	Firenze	358079	50	11.25	43.78
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	Aligarh	480520	178	78.08	27.88
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	Praia Grande	262051	3	-46.4	-24.01
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	Porto Alegre	1409351	10	-51.23	-30.03
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	Harare	1485231	1490	31.03	-17.86
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	Kraków	760700	219	19.94	50.06
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	Cebu	798809	\N	123.75	10.32
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	Yokosuka	420997	\N	139.67	35.25
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	Ananindeua	470819	20	-48.37	-1.37
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	São Luís	958522	4	-44.3	-2.53
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	Madrid	3198645	667	-3.72	40.38
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	Santa Cruz do Sul	105190	122	-52.43	-29.72
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	Koutiala	137919	\N	-5.47	12.38
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	Diyarbakir	892713	675	40.24	37.91
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	Tiruchirappalli	387223	88	78.69	10.81
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	Indore	1964086	553	75.9	22.7
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	Karlstad	86929	64	13.5	59.38
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	Kavala	58790	0	24.4	40.93
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	Kurashiki	476444	\N	133.77	34.58
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	Pescara	117166	0	14.21	42.46
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	Stanley	\N	\N	-57.51	-51.42
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	Concord	122110	23	-122.03	37.98
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	Kano	2166554	488	8.52	12
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	Borujerd	240654	1573	48.9	33.9
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	Chiclayo	524442	27	-79.84	-6.76
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	Wuzhou	210452	\N	111.32	23.48
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	São Caetano do Sul	149263	744	-46.55	-23.7
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	Skikda	182903	18	6.9	36.87
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	Mopti	114296	268	-4.2	14.5
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	Novosibirsk	1523801	177	82.93	55.02
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	Sterling Heights	129699	187	-83.03	42.58
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	Zhanjiang	400997	21	110.4	21.2
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	Ichikawa	458679	\N	139.93	35.72
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	Man	148171	330	-7.55	7.4
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	Nassau	248948	10	-77.33	25.07
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	Guiyang	3034750	1275	106.63	26.65
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	Alicante	329325	3	-0.48	38.35
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	Thai Nguyen	199732	\N	105.85	21.6
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	Okene	312775	\N	6.23	7.55
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	Birnin Kebbi	\N	\N	4.2	12.45
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	Rijeka	127498	0	14.42	45.32
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	Adana	1636229	23	35.32	37
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	Agadir	346106	74	-9.6	30.43
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	Ordu	147913	5	37.88	40.98
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	Puerto Montt	153118	14	-72.93	-41.47
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	Oslo	623966	23	10.75	59.95
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	León	1238962	1815	-101.68	21.12
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	Islamabad	529180	507	73.07	33.72
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	Gejiu	214294	\N	103.15	23.37
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	Syracuse	145196	116	-76.14	43.05
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	Inhambane	65149	1	35.38	-23.86
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	Herisau	\N	771	9.27	47.38
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	Grand Prairie	175468	157	-97.02	32.72
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	Tianjin	11090314	5	117.18	39.13
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	Anyang	603184	47	126.93	37.38
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	Denpasar	788589	4	115.22	-8.65
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	Al Hoceima	\N	20	-3.93	35.25
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	Campobasso	\N	701	14.67	41.57
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	Ulm	116761	478	9.98	48.4
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	Limoges	137758	209	1.26	45.84
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	Seoul	9708483	\N	126.97	37.57
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	Ciudad Delgado	129965	603	-89.17	13.72
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	Wien	1761738	151	16.37	48.2
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	Jaipur	3046163	431	75.8	26.9
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	Misratah	360000	9	15.09	32.38
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	Jamestown	\N	\N	-5.44	-15.56
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	Tombouctou	\N	261	-3.01	16.78
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	Envigado	217343	1675	-75.58	6.17
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	Vung Tau	282415	\N	107.12	10.38
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	Shizuoka	713640	\N	138.38	34.98
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	Cimahi	541177	768	107.53	-6.88
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	Gusau	132393	450	6.67	12.15
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	Kaesong	308440	\N	126.55	37.97
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	Cuenca	331888	2560	-79.02	-2.9
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	Raipur	1010433	298.15	82	20.92
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	Dayton	141761	225	-84.19	39.76
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	Chalkida	102223	0	23.6	38.47
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	Miami	399508	2	-80.21	25.78
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	Samut Prakan	277600	\N	100.6	13.6
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	South Bend	101075	211	-86.26	41.67
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	Aix-en-Provence	140684	73	5.45	43.53
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	Shashi	281352	\N	112.25	30.32
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	Beian	204899	266	126.52	48.25
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	Vila Nova de Gaia	72576	\N	-8.62	41.13
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	Nagasaki	439903	\N	129.87	32.78
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	Karaj	1614626	1312	51.01	35.84
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	Rajshahi	440604	18	88.6	24.37
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	Varginha	119061	980	-45.43	-21.55
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	Montes Claros	344427	678	-43.86	-16.73
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	Longyearbyen	\N	\N	15.33	78.13
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	Al Jizah	2681863	19	31.22	30.02
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	Alajuela	257382	952	-84.22	10.02
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	Beipiao	194301	\N	120.78	41.8
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	Naberezhnye Tchelny	519025	100	52.32	55.68
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	São Tomé	49957	137	6.68	0.34
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	Uruapan	264439	1620	-102.06	19.42
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	Brčko	93028	92	18.81	44.87
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	Oxford	159994	\N	-1.26	51.75
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	Shuangyashan	386081	\N	131.15	46.63
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	Oranjestad	\N	4	-70.04	12.52
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	Kahramanmaraş	443575	67	36.93	37.58
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	Kanpur	2765348	126	80.3	26.5
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	Lecce	89916	49	18.17	40.35
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	Toulon	163974	0	5.92	43.13
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	Yaroslavl	599169	100	39.85	57.62
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	Xinxiang	473762	\N	113.87	35.3
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	Costa Mesa	109935	30	-117.91	33.67
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	Chengde	246799	327	117.93	40.97
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	Kimberley	\N	1184	24.77	-28.74
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	Zunyi	261862	865	106.9	27.68
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	Viana do Castelo	\N	15	-8.83	41.7
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	Ramla	65800	80	34.87	31.93
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	Rímini	139601	6	12.57	44.05
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	Fuenlabrada	196986	664	-3.8	40.28
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	Novokujbyševsk	108438	90	49.93	53.1
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	Bologna	371337	54	11.35	44.51
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	High Wycombe	120256	\N	-0.75	51.63
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	Kunming	3855346	1892	102.68	25.07
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	Fengcheng	193784	\N	124.07	40.45
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	Middelburg	\N	3	3.62	51.5
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	Doncaster	109805	\N	-1.13	53.52
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	Bafoussam	239287	1521	10.42	5.47
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	Tamanrasset	92635	1320	5.53	22.79
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	Larkana	270283	147	68.23	27.56
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	Delmas	359451	194	-72.3	18.55
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	Ostersund	56662	312	14.64	63.18
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	Luts´k	213063	174	25.34	50.75
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	Bikaner	416289	242	73.31	28.02
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	Yola	\N	599	12.46	9.23
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	Drobeta-Turnu Severin	92617	50	22.67	44.57
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	Kumamoto	725005	\N	130.73	32.78
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	Campeche	220389	10	-90.53	19.85
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	Siping	317223	164	124.37	43.17
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	Siegen	99187	267	8.02	50.88
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	Shihezi	299676	\N	86.03	44.3
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	Tarsus	245671	\N	34.9	36.92
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	Montevideo	1318755	43	-56.18	-34.88
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	Botoşani	106847	170	26.67	47.75
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	Thousand Oaks	126683	270	-118.87	34.19
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	Manila	1660714	16	121	14.58
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	Lefkosia	55014	220	33.37	35.17
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	Ekibastuz	130903	347	75.37	51.67
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	Karlskrona	59007	16	15.59	56.16
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	Vadodara	1670806	129	73.2	22.3
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	Ife	186856	\N	4.57	7.47
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	Bydgoszcz	362286	60	18	53.12
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	Colón	206553	9	-79.9	9.36
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	Reykjavik	118061	\N	-21.93	64.13
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	Beijing	11716620	43.5	116.38	39.92
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	Braşov	253200	600	25.62	45.67
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	Cotia	201150	853	-46.92	-23.6
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	Stockholm	881235	0	18.07	59.33
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	Gdańsk	460354	0	18.63	54.37
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	St. Paul	285068	214	-93.09	44.94
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	Manokwari	136302	37	134.08	-0.87
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	Hagåtña	\N	\N	144.75	13.48
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	Potenza	\N	819	15.8	40.63
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	Mikkeli	54633	\N	27.27	61.68
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	Ganzhou	220129	107	114.93	25.87
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	Bordeaux	239399	1	-0.58	44.84
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	Shizuishan	257862	\N	106.77	39.23
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	Atyrau	196494	-20	51.88	47.12
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	Gorakhpur	505566	84	83.37	26.76
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	Palmas	221742	230	-48.33	-10.18
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	Halifax	390096	10	-63.57	44.65
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	Lanzhou	2628426	1518	103.8	36.03
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	Melaka	369222	\N	102.25	2.2
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	Tijuana	1300983	20	-117.03	32.53
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	Aysaita	\N	300	41.43	11.57
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	Juneau	31275	17	-134.42	58.3
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	Sukabumi	298681	584	106.93	-6.92
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	Sakai	838675	\N	135.48	34.57
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	Lomé	839566	10	1.22	6.13
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	Luzhou	262892	262	105.45	28.88
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	Bijsk	210115	180	85.22	52.53
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	Gambella	\N	526	34.58	8.25
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	Salford	103886	68	-2.33	53.51
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	Nonthaburi	481900	\N	100.52	13.85
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	Calabar	310839	32	8.32	4.95
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	Fukui	\N	\N	136.22	36.07
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	Gondar	254450	2133	37.47	12.6
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	Valletta	5748	56	14.51	35.9
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	Tillaberi	\N	\N	1.45	14.22
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	Burlington	175779	74	-79.8	43.32
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	Ikorodu	184674	\N	3.5	6.6
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	Chaoyang	222394	170	120.45	41.57
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	Cankiri	\N	800	33.62	40.6
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	Nampho	366815	\N	125.4	38.73
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	Benguela	513000	39	13.42	-12.55
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	Nantong	2274113	2	120.9	31.98
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	Kristiansand	84476	\N	8	58.15
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	Solihull	123187	\N	-1.78	52.41
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	Yichun	151585	\N	114.38	27.8
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	Cabimas	207996	3	-71.45	10.4
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	Trabzon	243735	0	39.73	41
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	Austin	885400	149	-97.75	30.25
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	Chirchiq	149400	582	69.58	41.47
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	Villahermosa	353577	20	-92.93	17.99
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	Sibu	167427	8	111.83	2.29
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	Kalisz	104867	144	18.08	51.76
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	Peoria	154084	348	-112.24	33.58
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	Warszawa	1711324	78	21.02	52.23
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	Utsunomiya	508635	\N	139.88	36.55
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	Slobozia	\N	\N	27.37	44.56
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	Wichita	382386	396	-97.34	37.69
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	Almere	196244	-3	5.22	52.37
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	Waco	124810	143	-97.16	31.55
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	Knoxville	178765	270	-83.94	35.97
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	Brazzaville	1408150	320	15.29	-4.27
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	Kigoma-Ujiji	215458	773	29.63	-4.88
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	Växjö	84800	167	14.81	56.88
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	Baghdad	5750000	34	44.43	33.33
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	Arusha	416442	1387	36.68	-3.37
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	Meihekou	209038	180	125.68	41.53
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	Oral	227385	35	51.37	51.23
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	Kolkata	4496694	9	88.37	22.57
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	Karlsruhe	289173	115	8.4	49.01
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	Arequipa	749291	2335	-71.53	-16.38
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	Vitoria-Gasteiz	240753	525	-2.68	42.85
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	Kuopio	106475	\N	27.68	62.89
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	Sirjan	185623	1730	55.68	29.45
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	Bayrūt	1100000	\N	35.51	33.89
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	Male	133019	2.4	73.51	4.18
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	Santa Ana	324712	35	-117.88	33.74
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	Juba	372410	550	31.6	4.85
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	Coatzacoalcos	235983	10	-94.43	18.15
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	Qinzhou	114586	12	108.62	21.95
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	Antipolo	633971	156	121.17	14.58
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	Crawley	106943	\N	-0.19	51.11
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	Buenos Aires	2768772	25	-58.38	-34.6
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	Joensuu	74332	\N	29.75	62.6
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	Guayaquil	2291158	4	-79.88	-2.18
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	Changde	301276	35	111.68	29.03
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	Mus	81764	\N	41.49	38.73
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	Pemba	138716	30	40.55	-12.97
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	Cité Soleil	241055	\N	-72.33	18.58
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	Liling	108504	\N	113.47	27.67
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	Allahabad	1112544	98	81.85	25.45
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	Maiduguri	618278	320	13.15	11.83
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	Székesfehérvár	100570	118	18.41	47.19
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	Tongi	476349	\N	90.41	23.89
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	Helena	28197	1181	-112.03	46.6
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	Fargo	105549	276	-96.79	46.88
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	Changzhi	317144	\N	113.1	36.18
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	George Town	\N	3	-81.39	19.3
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	Rhodes	115490	26	28.22	36.43
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	Prypjat	0	120	30.06	51.4
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	Samara	1171598	100	50.14	53.2
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	Mérida	777615	10	-89.62	20.97
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	Itanagar	\N	750	93.62	27.1
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	Zacatecas	129011	2440	-102.58	22.77
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	Groningen	198023	7	6.57	53.22
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	Buraydah	\N	\N	43.97	26.33
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	Ioannina	112486	480	20.85	39.67
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	Pinar del Río	154063	61	-83.67	22.41
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	Tianmen	186332	32	113.17	30.67
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	La Spezia	92659	10	9.82	44.1
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	Kofu	\N	\N	138.57	35.67
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	Århus	252213	0	10.22	56.15
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	Rochdale	107926	\N	-2.16	53.61
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	Bie	\N	\N	17.57	-12.52
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	Novošachtinsk	111075	130	39.93	47.75
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	Bregenz	\N	427	9.75	47.51
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	Laohekou	123366	\N	111.77	32.4
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	Safi	284750	20	-9.23	32.28
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	Mogi das Cruzes	357313	780	-46.19	-23.52
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	Harbin	5878939	150	126.63	45.75
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	Los Mochis	256613	10	-108.99	25.78
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	Reims	180752	80	4.03	49.26
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	San Fernando del Valle de Catamarca	140556	500	-65.78	-28.47
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	Sullana	181954	\N	-80.52	-4.9
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	Bucaramanga	527451	959	-73	7.13
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	Giurgiu	\N	25	25.97	43.9
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	Uvira	115590	746	29.14	-3.37
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	Bhatpara	315976	12	88.41	22.87
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	Puqi	117264	67	113.9	29.72
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	Zhenjiang	368316	\N	119.42	32.2
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	Schwerin	91293	44	11.42	53.63
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	Aurora	197952	219	-88.29	41.76
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	Wanxian	156823	\N	108.41	30.81
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	Aksaray	186599	980	34.03	38.37
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	Giugliano in Campania	108793	\N	14.2	40.93
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	Ufa	1077719	150	55.97	54.75
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	Makurdi	151515	\N	8.54	7.73
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	Freiburg	209628	278	7.85	47.98
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	Tanta	421076	12	31	30.78
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	Serang	577785	39	106.15	-6.12
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	N'Djamena	951418	298	15.05	12.11
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	Limeira	267785	588	-47.4	-22.56
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	Yangzhou	312892	\N	119.42	32.4
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	Darwin	129062	\N	130.83	-12.45
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	Corpus Christi	305215	2	-97.4	27.74
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	Roatan	\N	\N	-86.55	16.3
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	Londrina	493520	610	-51.16	-23.31
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	Mwene-Ditu	137459	910	23.45	-7
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	Puerto Maldonado	\N	183	-69.18	-12.6
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	Richmond	103670	14	-122.35	37.94
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	Sucre	259388	2810	-65.25	-19.05
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	Terrassa	214406	286	2.01	41.56
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	Simferopol´	335582	350	34.1	44.95
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	Lansing	114297	262	-84.55	42.73
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	Yazd	486152	1216	54.37	31.9
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	São José do Rio Preto	383490	489	-49.38	-20.81
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	Riverside	303871	252	-117.4	33.95
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	Maceió	932129	7	-35.73	-9.67
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	Mar del Plata	541857	38	-57.55	-38
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	Al Isma'iliyah	300449	13	32.27	30.58
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	Mocoa	\N	604	-76.65	1.15
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	Ivanovo	409075	120	40.98	57
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	Changzhou	3290918	\N	119.97	31.78
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	Giresun	100712	10	38.39	40.92
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	Cauayan	114254	\N	121.78	16.77
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	Tempe	161778	348	-111.94	33.43
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	Nijmegen	168810	29	5.87	51.85
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	Zwolle	123440	4	6.1	52.52
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	San Fernando	\N	47	-67.47	7.89
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	Tasikmalaya	635464	\N	108.2	-7.33
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	Miass	151751	340	60.1	55
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	Baruta	213373	1178	-66.87	10.42
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	Arzamas	106362	150	43.82	55.4
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	Koani	\N	\N	39.28	-6.13
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	Tacloban	217199	2	125	11.24
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	Besançon	115879	235	6.02	47.24
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	Ottawa	883391	70	-75.68	45.42
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	Santander	178095	15	-3.8	43.46
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	Zahedan	560725	1352	60.86	29.5
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	Shaoyang	247227	\N	111.47	27.25
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	Samarra	\N	80	43.87	34.2
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	Songkhla	294200	11	100.6	7.21
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	Dąbrowa Górnicza	125063	\N	19.27	50.32
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	Palmira	302727	1001	-76.25	3.58
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	Talara	87622	11	-81.27	-4.58
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	Sfintu Gheorghe	\N	555	25.79	45.86
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	Hobart	216276	54	147.32	-42.88
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	Wendeng	133910	\N	122.05	37.2
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	Kopejsk	137601	200	61.62	55.1
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	Minneapolis	382578	253	-93.27	44.98
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	Indaiatuba	199592	624	-47.22	-23.09
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	Dongtai	192247	\N	120.52	32.8
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	Barranquilla	1212943	18	-74.8	10.96
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	San Nicolás de los Arroyos	125308	17	-60.22	-33.33
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	Zhuhai	164747	36	113.57	22.28
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	Louga	\N	44	-16.35	15.65
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	Ica	219856	406	-75.73	-14.07
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	Kolhapur	406370	545.6	74.23	16.69
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	Mönchengladbach	255188	70	6.43	51.2
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	Uruguaiana	117415	66	-57.09	-29.75
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	Lublin	348120	168	22.57	51.25
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	Regina	193100	577	-104.61	50.45
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	Patna	1684222	53	85.1	25.6
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	Clermont-Ferrand	140957	321	3.08	45.78
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	Kumasi	2035064	305	-1.62	6.67
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	Shkodër	77075	13	19.5	42.07
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	Xingcheng	102384	8	120.73	40.62
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	Karabük	110537	\N	32.63	41.2
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	Banja Luka	199191	163	17.18	44.77
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	General Santos	529542	15	125.17	6.12
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	Hanzhong	169930	511	107.02	33.07
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	Guadalupe	673616	500	-100.26	25.68
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	Logroño	152698	384	-2.45	42.47
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	Karamay	197602	354	84.88	45.6
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	Brugge	117577	2	3.23	51.22
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	Solingen	155265	221	7.08	51.17
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	Itaquaquecetuba	321770	790	-46.35	-23.49
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	Huancavelica	\N	3676	-74.98	-12.79
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	Sukkur	335551	67	68.85	27.71
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	Larnaka	51468	0	33.63	34.92
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	Lengshuijiang	137994	\N	111.44	27.69
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	Tromsø	48109	\N	18.94	69.68
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	Al Uqsur	451318	76	32.65	25.68
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	Changchun	4193073	222	125.2	43.9
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	L'ubercy	172525	130	37.93	55.67
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	Chetumal	151243	10	-88.31	18.5
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	Noginsk	100072	150	38.43	55.85
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	Punta Arenas	116005	34	-70.93	-53.17
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	Málaga	561435	11	-4.42	36.72
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	Luena	\N	1350	19.91	-11.79
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	Gongzhuling	226569	215	124.82	43.5
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	Chiniot	172522	179	72.98	31.72
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	San Francisco	837442	16	-122.42	37.78
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	Seversk	108590	90	84.85	56.6
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	Omdurman	1271403	178	32.48	15.65
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	Suihua	227881	\N	126.98	46.63
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	Leiria	50608	\N	-8.8	39.75
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	Olinda	370332	16	-34.85	-8.01
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	Pimpri Chinchwad	1727692	570	73.8	18.62
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	Franca	313046	1040	-47.4	-20.54
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	Al Kuwayt	637411	\N	47.98	29.37
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	Jerez de la Frontera	211784	56	-6.12	36.7
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	Makati	510383	15.4	121.03	14.55
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	Pforzheim	114411	261	8.72	48.9
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	Brisbane	2146577	\N	153.03	-27.47
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	Khartoum North	700887	\N	32.63	15.63
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	Taraz	351476	610	71.37	42.9
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	Fujisawa	413064	\N	139.47	35.35
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	Ingolstadt	124927	374	11.43	48.77
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	Porto Seguro	104078	4	-39.08	-16.43
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	Orenburg	556127	150	55.1	51.78
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	Vaslui	\N	110	27.73	46.64
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	Bhiwandi	392214	24	73.06	19.3
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	Orel	318136	170	36.07	52.97
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	Petrópolis	281286	838	-43.18	-22.5
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	Perth	1832114	2	115.86	-31.95
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	Bistrita	\N	356	24.5	47.13
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	Mejicanos	157188	712	-89.22	13.73
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	Temuco	227086	360	-72.67	-38.73
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	Colchester	119441	\N	0.9	51.89
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Bruxelles	168576	13	4.35	50.85
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	Zlatoust	174962	440	59.67	55.17
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	Bandung	2394873	768	107.6	-6.92
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	Garanhuns	115356	896	-36.49	-8.89
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	Hamburg	1706696	6	10	53.57
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	Tipitapa	130627	50	-86.1	12.2
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	Teresina	767557	87	-42.8	-5.09
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	Potosí	189652	4067	-65.75	-19.58
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	Yaren	\N	\N	166.92	-0.55
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	Shaoguan	350043	59	113.6	24.82
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	Tartu	103284	57.2	26.72	58.38
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	Multan	1197384	122	71.47	30.2
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	Zhoushan	156317	\N	122.4	30.17
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	Novočerkassk	168746	80	40.08	47.42
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	Zamboanga	774407	16	122.08	6.92
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	Al Iskandariyah	4123869	5	29.92	31.2
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	Khabarovsk	593636	72	135.07	48.48
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	Tessaoua	172796	\N	7.98	13.75
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	Liyang	109520	\N	119.38	31.42
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	Koforidua	120971	238	-0.27	6.1
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	Yerevan	1066264	989.4	44.52	40.18
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	Xiangyang	2199690	71	112.13	32.02
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	Mesquite	139629	151	-96.61	32.78
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	Turkmenabat	203000	187	63.57	39.08
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	Marg‘ilon	215400	487	71.72	40.47
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	Cuiabá	540814	165	-56.1	-15.6
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	Siirt	135350	895	41.95	37.92
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	Carolina	157832	16	-65.97	18.41
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	Nizhnevartovsk	263228	45	76.55	60.95
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	Iğdır	82656	861	44.04	39.92
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	Bangkok	7506700	1.5	100.47	13.75
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	Sanya	102820	\N	109.5	18.25
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	Chimki	207425	180	37.45	55.9
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	Guntur	651382	30	80.44	16.3
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	Lanús	452512	9	-58.4	-34.7
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	As Sulaymaniyah	364096	882	45.44	35.56
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	Querétaro	626495	1820	-100.39	20.59
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	Zalaegerszeg	59499	166	16.85	46.85
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	Ponta Delgada	46102	\N	-25.75	37.82
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	Saharanpur	374945	\N	77.55	29.96
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	Nacala Porto	206449	\N	40.67	-14.45
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	Jihlava	51162	525	15.59	49.4
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	McAllen	130242	37	-98.24	26.22
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	Baoding	483155	25	115.47	38.87
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	Pisa	85858	4	10.4	43.72
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	Melbourne	4169103	31	144.96	-37.81
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	Rasht	639951	5	49.58	37.28
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	Warangal	447653	302	79.58	18
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	Badajoz	151214	185	-6.97	38.88
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	Kupang	336239	62	123.58	-10.18
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	Kingston upon Hull	284321	\N	-0.33	53.75
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	Natal	803739	30	-35.2	-5.78
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	Katowice	308269	266	19	50.25
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	Matsuyama	514781	\N	132.77	33.83
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	Higashiosaka	486260	\N	135.6	34.68
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	Montgomery	205597	73	-86.28	32.36
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	Gaza	449477	\N	34.5	31.5
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	Tabouk	\N	760	36.58	28.4
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	Nay Pyi Taw	1158367	115	96.1	19.75
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	Trenton	84913	15	-74.76	40.22
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	Nazran'	93335	520	44.77	43.22
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	Al Gedaref	191164	634	35.38	14.03
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	Bago	491130	4	96.48	17.34
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	Hengyang	487148	\N	112.6	26.9
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	Grand Turk	\N	\N	-71.14	21.47
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	Minsk	1836808	280.6	27.57	53.9
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	San Diego	1355896	129	-117.16	32.72
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	Odincovo	138930	190	37.27	55.67
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	Augusta	19132	21	-69.78	44.31
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	Tucson	526116	728	-110.93	32.22
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	Waterbury	110366	82	-73.04	41.56
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	Kremenchuk	226434	80	33.42	49.07
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	Okt'abr'skij	109474	140	53.47	54.47
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	San Pedro Garza García	122627	540	-100.3	25.67
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	Xiangtan	441968	\N	112.9	27.85
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	Mufulira	204104	\N	28.23	-12.55
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	Gujranwala	1132509	\N	74.18	32.15
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	Yushu	131861	\N	126.55	44.83
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	São José	207312	0	-48.63	-27.61
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	Semey	312065	206	80.27	50.43
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	Samarqand	509000	702	66.98	39.7
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	Caxias	118534	\N	-43.36	-4.86
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	Zhaoqing	194784	12	112.47	23.05
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	Muscat	27216	20	58.58	23.6
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	Wuhu	425740	7.9	118.39	31.37
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	Harrisburg	49528	98	-76.88	40.27
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	Taboão da Serra	244528	\N	-46.8	-23.53
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	Mexicali	689775	8	-115.47	32.66
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	Livingstone	\N	986	25.87	-17.85
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	San Andres de Tumaco	195419	2	-78.76	1.81
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	Elbląg	123977	\N	19.4	54.17
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	Xining	551776	2275	101.77	36.63
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	Gonbad-e-Kavus	144546	\N	55.17	37.25
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	Pyongyang	3255288	38	125.74	39.02
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	Las Palmas de Gran Canaria	381271	8	-15.42	28.15
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	Novomoskovsk	131386	220	38.22	54.08
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	Thimphu	42465	2334	89.64	27.47
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	Dispur	\N	55	91.79	26.14
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	Khanty Mansijsk	80151	50	69	61
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	Floridablanca	264695	925	-73.07	7.22
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	Luoyang	1190000	144	112.44	34.67
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	York	152841	\N	-1.08	53.96
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	Pingxiang	425579	\N	113.85	27.63
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	Alcorcón	167217	695	-3.83	40.35
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	Veszprém	61721	266	17.91	47.09
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	Taichung	2684893	\N	120.67	24.15
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	Sosnowiec	214488	250	19.17	50.3
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	Belfast	280561	\N	-5.93	54.6
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	Wonsan	363127	\N	127.45	39.15
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	Setúbal	91108	\N	-8.88	38.53
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	Anadyr	13045	20	177.52	64.73
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	Jhelum	147392	250	73.73	32.93
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	Qina	206831	75	32.73	26.17
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	Marrakech	801043	466	-8.01	31.63
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	La Palma	\N	\N	-78.15	8.41
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	Itaboraí	215412	17	-42.86	-22.74
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	Aguié	152788	434	8.3	13.86
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	Mauá	417064	818	-46.46	-23.67
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	Göteborg	526089	12	11.97	57.7
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	Leshan	341128	\N	103.77	29.57
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	Yongin	852505	\N	127.2	37.23
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	Ruian	156468	\N	120.63	27.78
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	An Nasiriyah	265937	7	46.27	31.05
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	Louisville	609893	142	-85.77	38.25
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	Najran	\N	1293	44.13	17.49
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	Guediawaye	307594	\N	-17.4	14.78
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	Lubango	\N	1720	13.5	-14.92
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	Espoo	261654	\N	24.66	60.21
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	Frauenfeld	\N	417	8.9	47.55
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	Bulawayo	653337	1358	28.58	-20.17
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	Sincelejo	271375	213	-75.4	9.3
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	Den Haag	509623	1	4.32	52.08
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	Cincinnati	296950	147	-84.52	39.1
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	Damaturu	141897	\N	11.96	11.74
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	Guarulhos	1221979	759	-46.53	-23.47
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	Queimados	137962	29	-43.55	-22.72
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	Saransk	298287	160	45.18	54.18
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	Tonala	408759	\N	-103.23	20.62
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	Gilbert	208414	377	-111.79	33.35
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	Farg'ona	264900	582	71.79	40.39
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	Bobruysk	215092	157	29.23	53.15
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	Des Moines	204192	291	-93.62	41.59
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	Olympia	46476	29	-122.89	47.04
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	Reutlingen	109799	382	9.22	48.48
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	Esfahan	1756126	1574	51.65	32.63
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	Oita	472942	\N	131.61	33.23
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	Roma	2617175	21	12.5	41.9
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	Münster	289576	60	7.63	51.97
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	Shuangcheng	142659	\N	126.35	45.38
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	Rio Claro	181720	613	-47.56	-22.41
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	Cherepovets	315738	130	37.9	59.2
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	Hyderabad	1166894	13	68.37	25.38
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	Focsani	\N	55	27.18	45.7
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	San Bernardino	209959	321	-117.3	34.1
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	Oradea	196367	142	21.92	47.07
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	Acharnes	106943	186	23.73	38.08
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	Pune	3124458	561	73.86	18.52
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	Ndalatando	\N	670	14.92	-9.3
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	Cedar Rapids	126326	247	-91.67	41.98
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	Aosta	\N	583	7.32	45.73
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	Evora	\N	\N	-7.9	38.57
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	Elektrostal'	155196	150	38.47	55.78
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	Kalabancoro	166722	\N	-8.03	12.57
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	Buenaventura	392054	0	-77.03	3.88
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	Dosso	\N	227	3.19	13.04
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	Dolisie	128032	290	12.67	-4.2
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	Trieste	202123	2	13.8	45.63
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	Al Qunaytirah	\N	1010	35.82	33.12
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	Rovaniemi	61244	\N	25.73	66.5
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	Serpuchov	127041	140	37.4	54.92
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	Burnaby	223218	0	-122.97	49.27
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	Glendale	226437	351	-112.19	33.54
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	Zürich	384786	408	8.55	47.37
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	Ujjain	362633	\N	75.78	23.18
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	Noumea	\N	0	166.46	-22.28
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	Banská Bystrica	80003	362	19.15	48.73
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	Göttingen	115843	150	9.94	51.53
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	Bijeljina	114663	90	19.22	44.75
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	Ardahan	\N	1900	42.7	41.11
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	Tongchuan	280657	\N	109.08	35.07
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	Kassala	234622	\N	36.4	15.45
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	Bingol	98424	1151	40.5	38.89
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	Tarija	205346	1854	-64.73	-21.53
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	Anshan	1390000	2	122.98	41.12
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	Liverpool	552267	70	-2.98	53.4
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	Bochum	362286	100	7.22	51.48
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	Hammerfest	7089	2	23.68	70.66
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	Portalegre	\N	\N	-7.42	39.32
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	Visakhapatnam	1728128	54	83.22	17.69
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	Avarua	\N	\N	-159.46	-21.12
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	Vilnius	538747	112	25.28	54.68
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	Abancay	\N	2377	-72.88	-13.63
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	Messina	243262	3	15.55	38.18
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	Tottori	\N	\N	134.23	35.5
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	Manbij	204766	460	37.95	36.53
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	Bur Sa'id	570768	3	32.28	31.25
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	Mkokotoni	\N	\N	39.27	-5.88
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	Diourbel	101984	12	-16.39	14.66
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	Dimbokro	\N	\N	-4.7	6.65
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	Esbjerg	71579	11	8.45	55.48
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	Mbombela	588794	\N	30.99	-25.47
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	Luhans´k	427187	105	39.3	48.57
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	Le Havre	174156	0	0.1	49.49
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	Saint Catharines	131400	97.8	-79.23	43.18
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	Gorno Altaysk	56933	300	85.97	51.95
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	Maradi	267249	385	7.1	13.49
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	Bondoukou	\N	343	-2.8	8.03
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	Qujing	178669	1873	103.8	25.48
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	Trondheim	179692	3	10.39	63.43
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	San Salvador	354174	658	-89.19	13.69
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	Hami	161315	759	93.5	42.84
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	Shanghai	22315474	4	121.5	31.2
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	Ponta Grossa	304733	975	-49.25	-25.42
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	Quillacollo	137029	2425	-66.28	-17.4
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	Kovrov	145214	125	41.33	56.37
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	Pathein	286684	\N	94.72	16.77
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	Kochi	582588	0	76.28	9.97
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	Ocotepeque	\N	\N	-89.18	14.43
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	Glarus	\N	472	9.07	47.03
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	Le Mans	143240	38	0.2	48.01
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	Denizli	525497	324	29.08	37.77
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	Legazpi	179481	\N	123.73	13.13
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	Kerkyra	\N	0	19.87	39.58
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	Ho	104532	150	0.47	6.61
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	Matola	671556	3	32.46	-25.96
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	Posadas	253369	120	-55.9	-27.37
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	Green Bay	103913	177	-88.02	44.51
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	Xi'an	6501190	405	108.9	34.27
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	Belford Roxo	469332	38	-43.4	-22.76
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	Rostov-na-Donu	1103733	70	39.7	47.23
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	Montpellier	264538	7	3.88	43.61
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	Bahawalpur	408395	461	71.68	29.4
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	Tshikapa	180860	485	20.8	-6.42
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	Moreno Valley	193365	497	-117.23	33.94
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	Georgetown	180573	\N	100.23	5.4
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	Francisco Morato	154158	792	-46.74	-23.28
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	Tucupita	\N	5	-62.07	9.06
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	Mbarara	195013	1473	30.66	-0.61
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	Kediri	268507	3	112.01	-7.82
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	Braga	114003	200	-8.43	41.55
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	Gustavia	2299	\N	-62.85	17.9
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	Cairns	146477	\N	145.78	-16.93
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	Recife	1537704	10	-34.9	-8.05
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	Ashgabat	604700	219	58.37	37.93
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	Mata-Utu	\N	\N	-176.18	-13.28
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	Joliet	147457	187	-88.15	41.52
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	Deva	\N	187	22.91	45.88
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	Nyíregyháza	119746	116	21.73	47.95
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	Catia La Mar	118466	\N	-67.03	10.6
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	Rybinsk	200771	100	38.83	58.05
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	Hartford	124775	18	-72.67	41.76
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	Tokyo	8591695	\N	139.68	35.68
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	Mostar	113169	60	17.8	43.33
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	Gorgan	329536	1350	54.43	36.84
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	Tehuacán	248716	\N	-97.4	18.47
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	Huichon	168180	\N	126.28	40.17
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	Ciudad Bolívar	307713	54	-63.55	8.12
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	Yerushalayim	773000	754	35.22	31.78
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	Châlons-en-Champagne	\N	82	4.37	48.96
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	Shanwei	107847	8	115.37	22.78
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	Nanjing	7165292	20	118.77	32.05
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	Peshawar	982816	359	71.58	34.02
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	Apartadó	173008	30	-76.63	7.88
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	Ruda Śląska	142672	272	18.7	50.27
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	Boulogne-Billancourt	116220	28	2.24	48.84
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	Chicago	2718782	181	-87.68	41.84
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	Daxian	188101	312	107.52	31.2
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	Yixing	200824	\N	119.82	31.36
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	Oldham	96555	\N	-2.12	53.54
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	Newcastle upon Tyne	268064	\N	-1.6	54.97
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	Taiping	183320	\N	100.73	4.85
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	Marseille	850636	0	5.37	43.3
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	Kota Kinabalu	354153	\N	116.1	5.97
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	Mombasa	938131	50	39.67	-4.05
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	Cariacica	337643	\N	-40.42	-20.26
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	Blackburn	117963	\N	-2.48	53.74
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	Likasi	299118	1318	26.73	-10.98
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	Wolfsburg	119984	63	10.79	52.42
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	Hermosillo	715061	210	-110.95	29.1
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	Bejaïa	176139	949	5.07	36.75
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	Iskenderun	184833	4	36.17	36.58
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	Juazeiro	160775	1098	-40.5	-9.43
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	Charleston	51347	182	-81.63	38.35
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	Macapá	381214	12	-51.07	0.03
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	La Rioja	143921	515	-66.85	-29.41
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	Barinas	215452	187	-70.2	8.63
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	Blida	331779	260	2.82	36.47
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	Caucaia	290220	29	-38.66	-3.73
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	Siracusa	118385	17	15.28	37.08
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	Qurghonteppa	75400	430	68.78	37.84
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	Bandar Abbas	435751	9	56.27	27.18
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	Khoy	200958	1148	44.95	38.55
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	Coimbatore	1050721	411.2	76.97	11.02
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	Doha	339847	7	51.53	25.29
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	Burgas	197301	30	27.47	42.5
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	Burdur	\N	\N	30.28	37.72
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	Jhansi	313491	285	78.57	25.45
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	Härnösand	27287	1	17.94	62.64
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	Gorontalo	153036	9	123.07	0.53
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	Pago Pago	\N	9	-170.7	-14.28
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	Soacha	500097	2566	-74.22	4.59
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	Sekondi	228342	10	-1.76	4.9
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	Kinkala	\N	407	14.76	-4.36
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	Bamenda	269530	1614	10.17	5.93
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	Poltava	297589	132	34.55	49.59
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	Sheikhupura	280263	236	73.99	31.72
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	Eindhoven	221279	17	5.48	51.43
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	Iquitos	370962	104	-73.25	-3.73
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	Holguín	294313	5	-76.26	20.89
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	Vadsø	5961	6	29.73	70.08
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	Mississauga	713443	156	-79.65	43.6
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	Khujand	165300	300	69.62	40.28
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	Hpa an	\N	\N	97.63	16.89
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	Tyumen	634171	70	65.53	57.15
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	Naha	\N	\N	127.68	26.21
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	Luxembourg	99852	230	6.13	49.61
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	Taganrog	254783	30	38.92	47.22
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	La Ceiba	127590	3	-86.83	15.77
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	Franceville	103840	\N	13.58	-1.63
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	Changwon	1062731	2	128.66	35.27
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	Burgos	178864	859	-3.71	42.35
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	Swansea	179485	\N	-3.95	51.62
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	Rajkot	1286678	128	70.78	22.3
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	Würzburg	124297	177	9.93	49.78
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	Banha	158389	19	31.19	30.46
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	Surgut	325511	40	73.43	61.25
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	Almada	49578	50	-9.16	38.68
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	Palmdale	152750	810	-118.1	34.58
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	Mataram	402843	26	116.12	-8.58
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	Pekanbaru	897767	12	101.45	0.53
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	Glendale	191713	159	-118.25	34.17
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	Umeå	117294	12	20.26	63.83
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	Van	370190	1730	43.38	38.49
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	Ceuta	82376	\N	-5.3	35.9
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	Gliwice	186347	200	18.67	50.28
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	Eslam Shahr	389102	1456	51.23	35.56
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	Independence	116830	315	-94.41	39.08
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	Gloucester	136362	\N	-2.24	51.87
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	Gold Coast	576747	\N	153.4	-28.02
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	Tulsa	391886	220	-95.94	36.13
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	Dashhowuz	165400	88	59.97	41.83
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	León	131411	837	-5.57	42.61
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	Montpelier	7855	183	-72.57	44.25
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	Ciudad Obregón	298625	40	-109.93	27.49
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	Santa Cruz de Tenerife	204476	4	-16.25	28.47
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	Velikij Novgorod	218717	25	31.27	58.55
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	Maroua	201371	384	14.32	10.6
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	Tokushima	\N	\N	134.55	34.07
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	Vaughan	288301	\N	-79.5	43.83
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	Juazeiro do Norte	240128	350	-39.33	-7.2
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	Zadar	70674	0	15.23	44.11
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	Liestal	\N	327	7.73	47.47
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	Benxi	768778	131	123.77	41.3
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	Berlin	3292365	34	13.38	52.52
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	Gagnoa	167900	\N	-5.93	6.13
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	Abengourou	\N	\N	-3.48	6.73
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	Kanazawa	445432	\N	136.65	36.57
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	Quebec	516622	98	-71.22	46.82
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	Asmara	380568	2326	38.93	15.33
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	Zabrze	179861	\N	18.78	50.3
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	Coventry	325949	\N	-1.51	52.41
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	Anyang	420332	69	114.33	36.1
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	Neiva	340046	442	-75.3	3
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	Vaasa	66415	\N	21.62	63.1
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	Ermoupoli	\N	0	24.92	37.43
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	Miercurea Ciuc	\N	662	25.8	46.36
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	Port Sudan	308195	\N	37.22	19.62
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	Thessaloniki	325182	0	22.9	40.65
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	Biskra	204661	87	5.73	34.85
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	Zenica	115134	316	17.91	44.2
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	Almería	189680	27	-2.47	36.84
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	Minatitlán	112046	20	-94.55	17.98
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	Wuhai	264081	1150	106.68	39.65
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	Magdeburg	228144	55	11.62	52.13
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	Campinas	1061540	555	-47.06	-22.9
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	Río Cuarto	144140	452	-64.35	-33.13
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	Piteşti	155383	300	24.87	44.86
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	Chaoxian	123676	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	Hefei	3310268	37	117.28	31.87
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	Zaporizhzhia	772627	86	35.17	47.83
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	Anderlecht	113462	\N	4.33	50.83
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	Anápolis	328755	1017	-48.95	-16.33
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	Molenbeek-Saint-Jean	94653	\N	4.33	50.85
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	Camagüey	307841	95	-77.91	21.38
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	Srinagar	1180570	1585	74.79	34.09
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	Ningbo	3491597	150	121.55	29.87
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	Lerwick	6570	\N	-1.14	60.16
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	Lexington	295803	298	-84.49	38.03
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	Kinshasa	4655313	240	15.32	-4.32
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	Dumai	253803	\N	101.45	1.67
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	Bangalore	8443675	920	77.57	12.97
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	Torre del Greco	85922	\N	14.37	40.78
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	Hannover	506416	55	9.72	52.37
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	Ilesha	139445	\N	4.72	7.62
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	Sydney	4605992	3	151.21	-33.86
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	Qingdao	3718835	\N	120.38	36.07
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	Mogadishu	\N	\N	45.35	2.03
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	Ajaccio	66245	0	8.74	41.93
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	Kerch	145845	10	36.47	45.36
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	Rancagua	206971	572	-70.75	-34.17
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	Kananga	393030	608	22.4	-5.89
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	Armavir	188832	190	41.12	45
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	Norwich	186682	\N	1.3	52.63
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	Aioun	\N	\N	-9.62	16.67
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	Port Blair	\N	16	92.74	11.67
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	Temirtau	175632	\N	72.95	50.05
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	Biel	53031	434	7.25	47.13
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	Bournemouth	187503	\N	-1.88	50.72
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	Cape Town	3740026	0	18.42	-33.93
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	Nanchang	2357839	37	115.88	28.68
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	Caracas	1975786	900	-66.92	10.5
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	Colatina	98395	71	-40.63	-19.54
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	Lowell	106519	31	-71.31	42.64
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	Sochi	368011	30	39.72	43.59
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	Ulanhot	159538	\N	122.8	46.13
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	Apucarana	114098	840	-51.46	-23.55
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	Kalookan	1378856	\N	120.97	14.65
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	Obninsk	104739	175	36.61	55.09
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	Tamale	371351	151	-0.85	9.41
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	Mogilev	358279	192	30.33	50.9
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	Puerto Cabello	177751	0	-68.02	10.47
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	Hilversum	86738	15	5.17	52.23
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	Santa Barbara	\N	\N	-88.23	14.92
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	Irvine	211906	17	-117.82	33.67
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	Chitre	48479	24	-80.43	7.97
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	Košice	240433	206	21.25	48.72
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	Cobán	232703	1320	-90.37	15.48
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	Trnava	66358	146	17.59	48.38
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	Nouadhibou	118167	0	-17.03	20.93
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	Chiba	937146	2	140.1	35.6
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	Okara	201815	105	73.45	30.81
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	al Hudaydah	402560	17	42.95	14.8
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	Obuasi	143644	101	-1.68	6.2
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	Jiaxing	211526	\N	120.75	30.77
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	Mardan	245926	\N	72.05	34.2
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	Toledo	\N	529	-4.02	39.86
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	Madingou	\N	190	13.55	-4.15
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	Paterson	146199	34	-74.16	40.91
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	Appenzell	\N	780	9.42	47.33
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	Palma de Mallorca	402044	13	2.65	39.57
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	Ribeirão das Neves	294153	\N	-44.09	-19.77
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	Lakewood	142999	1682	-105.08	39.7
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	Liancheng	156307	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	Monza	119856	162	9.27	45.58
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	Jiutepec	162427	1355	-99.17	18.88
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	Tarragona	133223	68	1.25	41.12
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	Jabalpur	1055525	412	79.93	23.17
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	Kigali	603049	1567	30.06	-1.94
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	Dessie	147592	2470	39.63	11.13
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	Włocławek	115982	\N	19.07	52.66
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	Butuan	298378	1	125.53	8.95
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	Cirebon	296389	\N	108.57	-6.72
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	Vologda	306487	120	39.9	59.22
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	Heidelberg	146751	114	8.72	49.42
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	Puerto La Cruz	205866	10	-64.63	10.2
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	Tlaxcala	14692	2239	-98.23	19.3
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	Port Moresby	318128	35	147.22	-9.51
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	Saltillo	709671	1600	-101	25.43
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	Valencia	792054	15	-0.38	39.47
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	Danyang	169603	\N	119.59	32
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	Halle	229153	88	11.97	51.48
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	Bukoba	128796	\N	31.82	-1.33
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	Little Rock	193524	102	-92.33	34.74
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	Maseru	227880	1600	27.48	-29.31
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	Paranaguá	135386	5	-48.51	-25.52
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	Toluca	489333	2660	-99.66	19.29
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	Aracaju	571149	4	-37.05	-10.92
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	Fontana	196069	377	-117.47	34.1
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	Basseterre	15500	15	-62.73	17.3
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	Bertoua	88462	717	13.68	4.58
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	Tanga	273332	25	39.1	-5.07
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	Tirana	418495	110	19.82	41.33
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	Kaliningrad	441376	\N	20.45	54.7
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	Bolzano	102575	262	11.35	46.5
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	Tatabánya	67753	167	18.39	47.59
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	Enugu	407756	202	7.51	6.45
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	Guarda	\N	1056	-7.33	40.53
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	Kustanay	221970	125	63.62	53.2
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	Girón	175528	706	-73.17	7.07
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	Villeurbanne	145034	165	4.88	45.77
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	Diwaniyah	196519	25	45	32
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	Cardiff	335145	\N	-3.18	51.48
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	Al Fashir	141884	\N	25.35	13.63
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	Mudanjiang	571705	233	129.63	44.55
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	Bogra	350397	21	89.37	24.85
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	Mitu	\N	183	-70.17	1.2
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	Aurora	324601	1668	-104.83	39.73
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	Kindu	\N	504	25.95	-2.95
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	Kastamonu	96217	800	33.78	41.38
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	Nojabr'sk	110620	115	75.45	63.2
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	Perm	1013887	171	56.32	58
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	Lillehammer	22118	440	10.47	61.12
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	Prokopjevsk	210130	280	86.72	53.88
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	San Pedro Sula	515458	83	-88.03	15.5
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	Chihuahua	809232	1415	-106.09	28.64
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	Qarshi	254600	374	65.8	38.87
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	Viña del Mar	286931	2	-71.52	-33
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	Majkop	144249	220	40.08	44.6
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	Goyang	897174	\N	126.8	37.65
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	Ankara	4630735	938	32.87	39.93
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	Navi Mumbai	1120547	\N	73.02	19.02
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	Iringa	151345	\N	35.7	-7.77
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	Cuautla Morelos	154358	1294	-99.96	18.81
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	Cumaná	208114	43	-64.17	10.46
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	Jining	163552	\N	116.57	35.4
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	Spokane	209440	562	-117.42	47.66
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	Kuala Lumpur	1297526	21.95	101.68	3.13
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	Telde	101080	130	-15.42	27.98
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	Grodno	327540	137	23.83	53.67
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	Winnipeg	663617	230	-97.14	49.9
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	Suzhou	5345961	\N	120.6	31.3
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	Yekaterinburg	1396074	237	60.58	56.83
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	Milton Keynes	171750	\N	-0.76	52.04
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	Yangjiang	215196	4	111.97	21.85
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	Melekeok	391	\N	134.6	7.48
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	Adamstown	\N	\N	-130.05	-25.04
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	La Plata	553002	26	-57.95	-34.92
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	Aktau	181526	-8	51.15	43.65
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	Stamford	122643	7	-73.54	41.05
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	San Marino	4227	749	12.45	43.93
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	Molde	21448	130	7.24	62.76
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	Manchester	109571	64	-71.46	42.99
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	Pétion-Ville	271175	\N	-72.28	18.52
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	Buffalo City	755200	135	27.87	-32.98
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	Prishtine	198214	652	21.17	42.67
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	Philadelphia	1553165	12	-75.17	39.95
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	Móstoles	203493	620	-3.87	40.33
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	Cosenza	69484	238	16.25	39.3
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	Wolverhampton	210319	\N	-2.13	52.58
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	Las Tablas	\N	42	-80.28	7.77
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	Palermo	657561	14	13.37	38.12
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	Qazvin	381598	\N	50	36.27
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	Legnica	102708	113	16.16	51.21
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	Ma`arrat an Nu`man	150965	530	36.67	35.63
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	Cuernavaca	338650	1510	-99.23	18.92
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	Tidjikja	\N	\N	-11.43	18.55
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	Yumen	109234	1507	97.57	39.83
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	Borås	104867	143	12.94	57.72
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	Cartagena	990179	2	-75.5	10.4
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	Peristeri	139981	50	23.68	38.02
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	Shijiazhuang	2834942	83	114.48	38.07
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	Hamm	176037	63	7.82	51.68
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	Saint-Denis	145347	\N	55.5	-20.9
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	Matsue	\N	\N	133.05	35.47
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	Bielsko-Biała	174291	300	19.04	49.82
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	Ngaoundéré	152698	1212	13.58	7.32
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	Estelí	122924	843.97	-86.35	13.08
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	Dalian	4087733	29	121.64	38.92
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	Kozani	\N	710	21.78	40.3
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	Rizhao	185048	\N	119.43	35.42
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	Szombathely	78884	209	16.62	47.24
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	Žukovskij	104736	130	38.12	55.6
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	Vladivostok	600378	40	131.9	43.13
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	Eastbourne	109185	\N	0.28	50.77
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	Uzhhorod	116556	169	22.3	48.62
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	Akron	199092	306	-81.52	41.07
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	Emfuleni	721662	1468	27.84	-26.7
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	Catanduva	111914	503	-48.97	-21.14
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	Salt Lake City	186443	1288	-111.88	40.75
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	Muntinlupa	452943	16	121.05	14.38
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	Usak	187886	890	29.4	38.68
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	Jixi	683885	230	130.97	45.3
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	Ghaziabad	1648643	214	77.42	28.67
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	Kohima	\N	1444	94.11	25.67
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	Chengdu	7415590	500	104.06	30.66
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	Huainan	1200000	\N	116.98	32.62
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	Grand Rapids	188051	195	-85.66	42.96
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	Virginia Beach	437964	3	-75.98	36.85
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	El Porvenir	\N	\N	-78.97	9.55
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	Pelotas	306193	7	-52.34	-31.77
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	Markham	301709	200	-79.25	43.88
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	Hue	302983	\N	107.58	16.47
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	Victoria	\N	23	-123.37	48.43
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	Kaiserslautern	96340	251	7.77	49.44
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	Kuching Utara	152310	27	110.35	1.56
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	Namur	110500	\N	4.87	50.47
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	Ouesso	\N	340	16.05	1.61
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	Rybnik	140863	210	18.55	50.08
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	Nukualofa	23658	3	-175.2	-21.13
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	Gander	\N	128	-54.61	48.96
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	Noril'sk	175365	90	88.22	69.33
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	Mardin	86948	1083	40.74	37.32
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	Orumiyeh	667499	1332	45.07	37.56
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	Hildesheim	99554	81	9.95	52.15
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	Barretos	108686	530	-48.57	-20.56
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	Sacramento	466488	9	-121.47	38.56
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	Bottrop	117311	55	6.92	51.52
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	Viedma	52789	12	-62.97	-40.83
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	As Suways	510935	5	32.55	29.97
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	Constanţa	283872	25	28.64	44.17
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	Ternate	\N	\N	127.4	0.68
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	Lhasa	106885	4200	91.12	29.65
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	Owerri	119711	\N	7.04	5.49
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	Mariupol´	464457	22	37.55	47.1
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	Divinópolis	207516	712	-44.88	-20.14
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	Kalemi	101309	\N	29.2	-5.93
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	Fullerton	135258	50	-117.93	33.88
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	Santa Clarita	176320	368	-118.51	34.42
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	Bodø	34479	\N	14.4	67.28
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	Visby	20000	\N	18.3	57.63
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	Shibin al Kum	177060	9	31.01	30.56
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	Culiacán	675773	54	-107.39	24.8
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	Târgu Mureş	134290	320	24.56	46.55
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	Sergijev Posad	111179	210	38.13	56.3
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	Mekele	273601	2084	39.47	13.48
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	Garoua	235996	249	13.4	9.3
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	Florencia	169336	242	-75.61	1.61
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	Yaoundé	1817524	726	11.52	3.87
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	Veracruz	428323	\N	-96.38	19.43
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	Thiès	273218	\N	-16.92	14.78
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	Katsina	259315	\N	7.6	12.98
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	Kilis	85119	663	37.12	36.72
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	Lyon	491268	162	4.84	45.76
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	Cachoeiro de Itapemirim	173589	22	-41.11	-20.85
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	Rufisque	169371	\N	-17.27	14.72
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	Sanmenxia	120523	376	111.2	34.77
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	Ouagadougou	1475223	305	-1.54	12.36
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	Trujillo	\N	\N	-86	15.92
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	Nápoli	962003	17	14.25	40.83
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	Osasco	666740	760	-46.8	-23.53
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	Vatican City	842	\N	12.45	41.9
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	Port-of-Spain	548299	3	-61.52	10.67
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	Kherson	300666	43	32.58	46.63
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	Kaolack	190927	\N	-16.25	14.02
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	Mmabatho	\N	\N	25.63	-25.85
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	Mataró	123367	28	2.45	41.53
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	Lubumbashi	851381	1208	27.47	-11.67
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	Karlovy Vary	53310	447	12.87	50.23
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	Mainz	200344	89	8.27	50
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	Menongue	\N	1354	17.68	-14.66
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	Lalitpur	226728	1350	85.32	27.67
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	Caruaru	279589	545	-35.98	-8.28
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	Tacna	242451	552	-70.25	-18.06
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	Altdorf	\N	458	8.63	46.87
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	El Paso	674433	1140	-106.42	31.79
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	Livorno	157052	3	10.32	43.55
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	Dar es Salaam	4364541	12	39.28	-6.8
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	Jessentuki	100996	610	42.85	44.03
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	Az Zaqaziq	302611	\N	31.5	30.57
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	Zagreb	686568	158	15.98	45.82
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	Pagadian	161312	100	123.43	7.83
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	Musoma	134327	1189	33.8	-1.5
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	Ardebil	482632	1351	48.28	38.25
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	Salzburg	146676	424	13.03	47.8
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	Kasur	245321	218	74.45	31.12
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	Paraná	235931	77	-60.53	-31.73
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	Kaduna	993642	250	7.44	10.52
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	Sapucaia do Sul	130469	35	-51.14	-29.84
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	Monterrey	1135512	540	-100.3	25.67
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	Longueuil	231409	\N	-73.52	45.53
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	Tougourt	143270	62	6.07	33.1
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	Chiang Mai	160200	310	99	18.8
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	Embu	240230	790	-46.35	-23.49
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	Douala	1907479	13	9.68	4.05
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	Evansville	120081	118	-87.55	37.98
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	Hamhung-Hungnam	768551	\N	127.53	39.92
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	Hailar	180650	614	119.7	49.2
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	Xuancheng	112673	\N	118.73	30.93
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	Rondonópolis	188028	227	-54.64	-16.47
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	Ludwigshafen	157584	95	8.44	49.48
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	Namangan	475700	450	71.67	41
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	Luleburgaz	105279	30	27.36	41.41
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	Oshawa	149607	106	-78.85	43.9
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	Msunduzi	618536	596	30.38	-29.62
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	Hialeah	224667	2	-80.29	25.86
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	Nižnekamsk	234044	110	51.82	55.63
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	Bahir Dar	191016	1800	37.38	11.6
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	Rostock	200265	14	12.13	54.08
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	Rennes	208033	20	-1.68	48.11
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	Saga	\N	\N	130.3	33.27
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	Tonsberg	8984	\N	10.42	59.3
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	Bayburt	\N	1550	40.23	40.26
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	Meerut	1305429	224.659	77.7	28.99
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	Venézia	261362	1	12.34	45.44
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	Khartoum	947483	382	32.53	15.63
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	Cangzhou	242708	13	116.87	38.32
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	Kolomna	144589	125	38.78	55.08
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	Reno	225988	1374	-119.82	39.53
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	Oceanside	167086	20	-117.33	33.21
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	Linz	193511	266	14.28	48.3
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	Al Baha	\N	2155	41.45	20
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	Yogyakarta	388627	113	110.36	-7.8
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	Xai-Xai	115752	9	33.65	-25.05
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	Mobile	195102	3	-88.04	30.69
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	Apopa	143718	443	-89.18	13.8
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	Pikine	915300	\N	-17.4	14.75
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	Ambon	331254	3	128.17	-3.7
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	Ulhasnagar	369077	19	73.15	19.22
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	Kulyab	96800	580	69.78	37.91
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	Salavat	156095	156	55.93	53.37
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	Tacoma	198397	74	-122.46	47.24
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	Araçatuba	178077	390	-50.43	-21.21
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	Bauchi	206537	616	9.84	10.32
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	Arauca	\N	125	-70.76	7.09
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	Juliaca	216716	3825	-70.13	-15.49
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	Ryazan	527905	130	39.7	54.6
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	Tete	155870	140	33.6	-16.17
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	São Bernardo do Campo	752658	762	-46.55	-23.7
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	Campos dos Goytacazes	418725	14	-41.32	-21.75
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	Ravenna	153740	4	12.2	44.42
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	Bukavu	201569	1498	28.87	-2.5
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	Vancouver	161849	52	-122.6	45.63
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	Keflavik	13862	\N	-22.57	64.02
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	Heredia	119670	1150	-84.12	10
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	Annapolis	38274	12	-76.5	38.97
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	Halmstad	93231	11	12.86	56.67
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	Kénitra	359142	\N	-6.58	34.25
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	Basse-Terre	\N	\N	-61.8	16.15
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	Kolonia	5681	\N	158.2	7
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	Bolgatanga	65549	177	-0.85	10.78
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	Al Ain	348000	292	55.74	24.21
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	Tampa	335715	15	-82.48	27.97
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	Arar	\N	536	41.02	30.98
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	Saint Helier	\N	\N	-2.1	49.2
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	Umuahia	147167	\N	7.48	5.53
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	Kingston	662426	9	-76.8	17.98
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	Izmir	3401994	2	27.13	38.42
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	Santa Clara	220210	125	-79.96	22.41
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	Hubli	648298	671	75.08	15.36
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	Cali	2344734	1018	-76.52	3.42
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	Lubuk Linggau	201308	\N	102.86	-3.3
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	Erbil	850000	420	44.01	36.19
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	Rouen	111553	2	1.1	49.44
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	Amasya	91874	40	35.83	40.65
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	Targoviste	\N	292	25.46	44.92
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	Beograd	1639121	117	20.47	44.82
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	Gaziantep	1438373	850	37.38	37.07
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	Koblenz	107825	73	7.6	50.36
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	Lages	153937	916	-50.33	-27.82
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	Tehran	8154051	1200	51.42	35.7
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	Osmaniye	209255	\N	36.25	37.08
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	Yakutsk	286456	120	129.73	62.03
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	Osnabrück	153699	63	8.05	52.28
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	Wah Cantonment	198891	471	72.75	33.77
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	Huánuco	149210	1880	-76.24	-9.93
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	Magadan	95982	70	150.8	59.57
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	Fürth	115613	294	11	49.47
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	Andorra la Vella	22256	1023	1.5	42.5
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	Čerkessk	129069	530	42.05	44.22
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	Kavaratti	\N	\N	72.62	10.57
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	Maringá	350653	515	-51.92	-23.4
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	Tanger	669685	80	-5.8	35.77
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	Dodoma	410956	1120	35.74	-6.17
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	Basel	167386	260	7.6	47.57
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	Ado-Ekiti	156122	455	5.22	7.62
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	Quilmes	518723	17	-58.27	-34.72
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	Sagaing	\N	\N	95.98	21.88
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	Toronto	2615060	76	-79.4	43.7
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	Osaka	2543137	\N	135.5	34.69
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	As Samawah	\N	9	45.28	31.32
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	Overland Park	173334	331	-94.67	38.98
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	Duma	181934	428	36.4	33.57
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	Macaé	202859	2	-41.79	-22.37
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	Moyobamba	\N	\N	-76.97	-6.03
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	Charlotte	792862	229	-80.84	35.23
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	Soledad Díez Gutiérrez	255015	\N	-100.93	22.18
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	Leganés	185758	666.22	-3.76	40.33
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	Bokaro Steel City	333683	210	86.15	23.67
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	Xintai	281248	\N	117.78	35.91
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	St. Pölten	52100	267	15.62	48.2
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	Rize	104508	6	40.52	41.02
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	Charlottetown	34562	0	-63.15	46.23
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	Vejle	51804	8	9.53	55.72
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	Tela	77031	3	-87.47	15.78
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	Tabriz	1494998	1351.4	46.3	38.07
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	Tonghua	324600	374	125.93	41.73
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	Braganca	\N	674	-6.76	41.81
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	Jhongli	376217	\N	121.22	24.96
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	Luanda	5000000	6	13.23	-8.84
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	Pardubice	90844	237	15.78	50.04
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	Worcester	181041	146	-71.8	42.27
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	Saint Johns	22219	0	-61.85	17.12
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	Glasgow	590507	\N	-4.26	55.86
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	Shiyan	273786	\N	110.8	32.63
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	Codo	118072	47	-43.89	-4.46
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	Kaohsiung	2778659	9	120.27	22.63
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	Zhucheng	102134	66	119.42	36
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	Copiapó	125983	391	-70.33	-27.37
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	Batna	289504	1048	6.17	35.55
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	Boston	645966	43	-71.06	42.36
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	Tarawa	50182	\N	173	1.43
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	Aveiro	53496	\N	-8.65	40.63
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	Balikesir	267903	70	27.53	39.39
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	Kaifeng	507763	75	114.3	34.8
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	Sibiu	147245	415	24.15	45.8
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	Sikasso	225753	410	-5.67	11.32
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	Tegal	239599	5	109.13	-6.87
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	Norrköping	132124	\N	16.2	58.6
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	Ciénaga	104060	10	-74.25	11.01
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	Xalapa-Enríquez	424755	1440	-96.93	19.54
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	Rio Branco	308545	143	-67.81	-9.97
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	Gelsenkirchen	258766	48	7.1	51.52
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	Mendoza	110716	746.5	-68.82	-32.88
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	Huntsville	180241	193	-86.58	34.73
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	Kecskemét	111411	105	19.69	46.91
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	Bouaké	542082	312	-5.02	7.68
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	Cluj-Napoca	324576	340	23.58	46.77
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	Jhang	293366	\N	72.32	31.27
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	Dimitrovgrad	122580	60	49.58	54.18
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	Bayamón	185996	16	-66.16	18.38
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	Shangqiu	164880	50	115.65	34.42
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	Kandahar	311800	1010	65.72	31.62
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	Albuquerque	556495	1620	-106.61	35.11
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	Renqiu	114256	\N	116.1	38.7
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	Bolton	194189	\N	-2.43	53.58
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	Pervoural'sk	124528	283	59.93	56.92
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	Nürnberg	486314	309	11.08	49.45
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	Plovdiv	331796	164	24.75	42.15
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	Tabora	226999	1241	32.8	-5.02
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	Paderborn	142365	110	8.77	51.72
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	Ebolowa	\N	636	11.15	2.92
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	Haining	100478	\N	120.68	30.53
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	Haikou	280153	\N	110.34	20.04
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	Jiaozhou	153364	\N	119.96	36.25
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	Butembo	109406	1381	29.29	0.13
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	Campo Grande	776242	592	-54.61	-20.46
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	Dammam	744321	\N	50.2	26.28
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	Tirgu Jiu	\N	\N	23.27	45.03
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	Barbacena	115568	1160	-43.77	-21.22
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	Brighton and Hove	229700	\N	-0.15	50.83
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	Columbia	130038	89	-80.9	34.03
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	Kitwe	467084	\N	28.2	-12.82
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	Bern	128848	542	7.45	46.95
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	Sunchon	297317	\N	125.93	39.42
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	Colombo	647100	1	79.84	6.93
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	Zaria	612257	\N	7.7	11.07
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	Matanzas	143774	20	-81.58	23.05
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	Tartus	160862	20	35.88	34.88
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	Kobe	1512109	\N	135.2	34.69
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	Abadan	212744	3	48.3	30.34
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	Syzran'	178750	50	48.47	53.17
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	Chesapeake	222209	9	-76.24	36.71
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	Ashiaman	190972	39	-0.03	5.7
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	Allentown	118032	103	-75.48	40.6
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	Polokwane	628999	1312	29.45	-23.9
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	Los Teques	183142	\N	-67.03	10.33
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	Nakhon Ratchasima	254900	\N	102.1	14.98
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	Villa Nueva	527174	1330	-90.59	14.53
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	Sagamihara	700923	\N	139.37	35.57
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	Suceava	92121	300	26.26	47.65
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	Longyan	134481	\N	117.02	25.08
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	Port Vila	44040	\N	168.3	-17.75
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	Hakha	\N	1868	93.61	22.65
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	Dar`a	146481	435	36.1	32.62
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	Shenyang	6255921	55	123.4	41.8
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	Chake Chake	\N	\N	39.77	-5.25
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	Oyo	369894	\N	3.93	7.85
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	Ijebu-Ode	124313	70	3.92	6.82
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	Cheboksary	464940	150	47.23	56.15
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	Pontianak	554764	0	109.33	0
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	Betim	375331	817	-44.2	-19.97
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	Yamagata	\N	\N	140.33	38.25
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	Tangshan	3372102	\N	118.18	39.62
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	Mymensingh	258040	19	90.4	24.75
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	Sabzevar	231557	977.6	57.68	36.21
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	Ussurijsk	158004	20	131.97	43.8
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	Bhavnagar	402338	24	72.15	21.76
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	Komotini	\N	45	25.42	41.1
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	Weinan	140169	\N	109.5	34.5
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	São Carlos	213061	856	-47.89	-22.02
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	Sandakan	276791	12	118.12	5.83
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	Wafangdian	251733	121	121.97	39.63
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	Rotterdam	619180	0	4.5	51.92
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	Bamako	1809106	350	-8	12.65
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	Toliara	80826	\N	43.67	-23.35
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	München	1348335	519	11.57	48.13
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	Jambi	531857	16	103.61	-1.59
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	San Jose del Guaviare	\N	185	-72.63	2.57
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	Petropavlovsk-Kamčatskij	179780	150	158.65	53.02
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	Myitkyina	\N	\N	97.4	25.38
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	Ségou	130690	294	-6.27	13.45
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	Yichun	795789	\N	128.9	47.73
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	Bujumbura	497166	774	29.37	-3.38
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	Montería	434950	18	-75.88	8.75
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	Plymouth	0	\N	-62.22	16.71
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	Victoria	24970	\N	55.45	-4.62
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	Bitlis	\N	1500	42.11	38.4
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	Hengshui	104269	\N	115.7	37.73
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	Tunja	184864	2820	-73.37	5.53
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	Akureyri	17490	\N	-18.1	65.68
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	Larissa	162591	67	22.42	39.64
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	Koksetau	140846	234	69.38	53.28
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	Pereira	467185	1411	-75.69	4.81
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	Kingston	\N	\N	168	-29
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	Antsirabe	126062	1500	47.03	-19.87
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	Nelson Mandela Bay	1152115	89	25.6	-33.96
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	Dijon	151672	220	5.04	47.29
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	Temara	225497	\N	-6.91	33.93
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	Irving	216287	147	-96.95	32.81
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	Agboville	\N	\N	-4.22	5.93
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	Piura	377496	\N	-80.63	-5.2
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	Ensenada	279765	16	-116.61	31.86
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	Nuuk	\N	5	-51.74	64.18
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	Sete Lagoas	208956	766.73	-44.25	-19.47
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	Sousse	223844	\N	10.63	35.83
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	Hanoi	2644536	19	105.85	21.03
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	Morón	309086	26	-58.62	-34.65
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	Villavicencio	473766	467	-73.63	4.15
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	Opole	122120	176	17.93	50.67
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	Jamnagar	350544	17	70.07	22.47
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	Split	165893	0	16.45	43.51
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	Algiers	2364230	10	3.22	36.77
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	Dili	193563	\N	125.6	-8.6
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	Praia	131719	0	-23.51	14.92
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	Nitra	78916	190	18.09	48.31
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	Mülheim an der Ruhr	166865	40	6.88	51.43
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	Haeju	273300	\N	125.72	38.05
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	Machakos	150041	\N	37.27	-1.52
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	La Paz	\N	750	-87.67	14.32
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	Vanersborg	35804	\N	12.33	58.38
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	Assen	\N	10	6.57	53
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	Solothurn	\N	430	7.53	47.22
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	Douglas	\N	\N	-4.6	54.15
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	San Juan	115556	640	-68.53	-31.53
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	Pavlodar	329901	123	76.95	52.3
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	Bellinzona	\N	238	9.02	46.2
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	Catánia	293902	7	15.09	37.5
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	Ha Long	201990	\N	107.08	20.95
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	Shangzhi	215373	\N	127.97	45.21
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	Araguaína	142925	227	-48.21	-7.19
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	Sorocaba	580655	601	-47.46	-23.5
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	Rawalpindi	1409768	508	73.03	33.6
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	La Chorrera	161470	\N	-79.95	8.48
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	Semnan	153680	1130	53.4	35.57
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	Anda	136446	149	125.5	46.45
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	Nossa Senhora do Socorro	155823	36	-37.06	-10.85
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	Schaerbeek	130587	\N	4.38	50.87
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	Ngiva	\N	1098	15.73	-17.07
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	Lahore	5143495	217	74.34	31.55
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	Alofi	\N	21	-169.9	-19.05
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	Qinhuangdao	364972	\N	119.6	39.93
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	Saurimo	\N	1081	20.4	-9.65
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	Baoji	337765	570	107.38	34.35
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	Guanare	129751	183	-69.75	9.04
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	Surrey	468251	0	-122.85	49.18
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	Syktyvkar	235006	130	50.82	61.67
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	Ulsan	1081985	\N	129.32	35.55
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	Pasto	434486	2527	-77.28	1.21
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	Navoiy	134100	382	65.38	40.08
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	Mokpo	244543	\N	126.38	34.76
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	Angra dos Reis	163290	1378	-44.32	-23.01
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	Elche	227417	86	-0.7	38.27
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	Jiaozuo	409100	139	113.22	35.24
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	Fort Wayne	253706	247	-85.14	41.08
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	Hakkari	\N	\N	43.74	37.58
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	Donostia	185512	6	-1.99	43.32
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	Gravataí	243497	26	-50.99	-29.94
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	Antalya	1073794	30	30.68	36.9
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	Nacaome	\N	\N	-87.48	13.52
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	Lahti	103396	\N	25.65	60.98
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	Florianópolis	405286	3	-48.42	-27.83
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	Macao	\N	\N	113.55	22.17
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	Georgetown	118363	-2	-58.17	6.8
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	Oxnard	197899	16	-119.18	34.19
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	Trujillo	682834	34	-79.03	-8.11
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	Sumgayit	290500	26	49.67	40.59
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	Yoro	64425	\N	-87.13	15.13
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	Nilópolis	157425	14	-43.41	-22.81
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	Leicester	443760	\N	-1.13	52.63
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	Timişoara	319279	90	21.23	45.76
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	Moskva	11979529	156	37.62	55.75
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	Częstochowa	235156	\N	19.12	50.8
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	Maastricht	122243	49	5.68	50.85
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	Nanping	195064	89	118.18	26.65
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	Córdoba	328326	120	-4.77	37.88
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	Nha Trang	292693	\N	109.18	12.25
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	Quanzhou	185154	\N	118.58	24.92
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	Chuxian	125341	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	Cienfuegos	162178	25	-80.44	22.15
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	Ogbomosho	433030	329	4.25	8.13
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	Maebashi	\N	\N	139.06	36.39
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	Nueva Gerona	\N	17	-82.8	21.88
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	Cork	118912	9	-8.47	51.9
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	Osijek	83496	94	18.68	45.56
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	Mamuju	\N	390	118.86	-2.67
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	Rudniy	114170	\N	63.13	52.97
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	Schwyz	\N	516	8.65	47.02
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	Abidjan	4395243	18	-4.03	5.32
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	Balakovo	199690	24	47.78	52.03
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	Varanasi	1198491	80.71	82.96	25.28
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	Istanbul	13710512	40	28.96	41.01
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	Murom	116075	115	42.03	55.57
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	Grenoble	157424	212	5.72	45.2
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	Johannesburg	4434827	1753	28.05	-26.2
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	Petah Tiqwa	209600	15	34.89	32.09
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	Sioux Falls	153897	448	-96.73	43.54
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	Buea	90088	870	9.23	4.17
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	Lindi	\N	\N	39.71	-10
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	Koszalin	109183	32	16.18	54.18
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	Córdoba	1267774	390	-64.18	-31.42
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	Novočeboksarsk	124097	90	47.5	56.13
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	Bahía Blanca	272176	20	-62.27	-38.72
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	Terni	109193	130	12.65	42.57
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	Taian	350696	167	117.08	36.2
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	A Coruña	245053	0	-8.41	43.37
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	Fukushima	\N	67	140.47	37.77
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	Mtwara	108299	\N	40.18	-10.27
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	Ljubljana	282994	295	14.51	46.06
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	Pokhara	264991	930	83.97	28.26
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	La Asuncion	\N	67	-63.86	11.03
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	Delemont	\N	435	7.35	47.37
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	Jiamusi	493409	83	130.32	46.8
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	Kawaguchi	557710	\N	139.72	35.8
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	Puerto Lempira	\N	\N	-83.77	15.27
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	Bila Tserkva	210551	148	30.12	49.8
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	Remscheid	110708	365	7.2	51.18
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	Staryj Oskol	221085	150	37.83	51.3
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	Nice	344064	0	7.27	43.7
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	Ilam	172213	1431	46.42	33.64
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	Jingdezhen	281183	35	117.2	29.28
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	Astana	814401	347	71.43	51.17
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	Marigot	5700	\N	-63.1	18.1
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	Nam Dinh	193768	\N	106.17	20.42
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	Jackson	173513	85	-90.18	32.3
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	Ranchi	1073427	651	85.33	23.36
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	Carrefour	430250	39	-72.4	18.53
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	Maragheh	162275	1456	46.24	37.39
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	Arad	159074	117	21.32	46.17
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	Tallinn	399340	9	24.75	59.44
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	Mossoró	237241	20	-37.34	-5.19
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	Sunrise Manor	189372	555	-115.06	36.18
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	Baikonur	\N	100	63.32	45.62
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	Klaipeda	158891	21	21.13	55.71
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	Yuanjiang	107004	\N	112.6	28.95
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	Leuven	97692	\N	4.7	50.88
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	Sumy	269663	166	34.75	50.92
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	Xuchang	208815	71	113.85	34.03
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	Anshun	174142	1380	105.93	26.25
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	Luzern	80501	436	8.3	47.05
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	Tambov	281834	130	41.43	52.72
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	Abu Dhabi	552000	\N	54.37	24.47
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	Agra	1585704	171	78.02	27.18
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	Fuxin	635473	\N	121.65	42.02
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	Kansas City	145786	265	-94.68	39.11
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	Lianyungang	354139	\N	119.17	34.6
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	Zamora de Hidalgo	141627	1580	-102.28	19.98
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	Matadi	172730	146	13.47	-5.82
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	Praha	1289556	399	14.42	50.08
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	Abuja	776298	840	7.48	9.07
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	Cottbus	99984	75	14.33	51.76
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	Lagos	5195247	41	3.4	6.45
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	Jodhpur	1033756	231	73.02	26.28
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	Bengbu	449245	\N	117.38	32.92
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	Bandjarmasin	625481	1	114.58	-3.33
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	Agartala	\N	12.8	91.27	23.83
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	Liberia	36400	144	-85.43	10.63
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	Alor Setar	114949	7	100.37	6.12
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	Fukuyama	465645	\N	133.37	34.48
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	Ostrava	311508	335	18.29	49.84
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	Windhoek	322500	\N	17.08	-22.57
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	Lokoja	\N	\N	6.75	7.82
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	Iaşi	290422	60	27.59	47.16
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	Sankt Gallen	74581	675	9.37	47.42
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	Fribourg	\N	610	7.15	46.8
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	New Taipei	3939305	\N	121.45	25.01
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	Riohacha	250236	5	-72.91	11.54
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	Sunnyvale	140058	38	-122.04	37.37
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	Tanchon	345875	\N	128.91	40.46
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	Neftekamsk	121733	100	54.47	56.14
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	El Djelfa	265833	\N	3.25	34.67
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	Merida	\N	217	-6.33	38.9
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	Wuppertal	342661	160	7.18	51.27
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	Al Madinah	918889	\N	39.5	25
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	Cheltenham	116447	\N	-2.07	51.88
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	Barisal	328278	1	90.5	22.8
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	Cartago	131545	917	-75.92	4.7
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	Ba'qubah	114516	48	44.63	33.75
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	Tallahassee	181383	62	-84.25	30.46
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	Trinidad	106422	130	-64.9	-14.83
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	Puebla	1434062	2135	-98.18	19.03
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	Toyota	409157	\N	137.15	35.08
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	Kikwit	182142	452	18.82	-5.04
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	Jakarta	9607787	8	106.82	-6.2
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	Belmopan	13654	76	-88.77	17.25
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	Ulan-Ude	416079	530	107.6	51.83
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	Erlangen	103719	279	11.02	49.58
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	Datong	1110000	1042	113.3	40.08
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	Mpanda	102900	\N	31.07	-6.35
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	Amadora	175136	\N	-9.23	38.73
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	Chachapoyas	\N	2335	-77.85	-6.22
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	Joinville	497850	4	-48.84	-26.32
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	Jining	265248	\N	116.57	35.4
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	Nikopol´	120000	51	34.4	47.57
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	Wa	71051	305	-2.5	10.07
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	Lucknow	2817105	128	80.9	26.8
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	Auckland	419418	0	174.74	-36.84
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	Krasnoyarsk	1016385	259	93.07	56.02
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	Dubai	1171000	\N	55.33	24.95
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	Lulea	66526	6	22.15	65.58
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	Sibiti	\N	440	13.35	-3.69
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	Tver	408877	135	35.92	56.86
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	Djambala	\N	622	14.75	-2.54
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	Yamaguchi	\N	\N	131.47	34.18
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	Dublin	525383	20	-6.26	53.35
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	Witten	96382	104	7.33	51.43
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	Satu Mare	102411	127	22.89	47.79
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	Bartin	\N	25	32.34	41.63
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	Milwaukee	599164	188	-87.96	43.05
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	Zigong	393184	\N	104.77	29.34
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	Akita	\N	\N	140.1	39.72
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	Zaanstad	151058	1	4.82	52.43
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	Liupanshui	363954	\N	104.83	26.59
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	Saint Peter Port	\N	\N	-2.6	49.6
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	Patra	213984	0	21.73	38.25
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	Palembang	1455284	8	104.76	-2.99
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	Puente Alto	491222	673	-70.57	-33.62
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	Kasama	\N	\N	31.18	-10.21
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	Ciudad Santa Catarina	268347	680	-100.45	25.68
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	Linfen	187309	452	111.52	36.08
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	Kassel	190765	167	9.5	51.32
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	Nancy	105382	188	6.18	48.69
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	Goiânia	1297076	749	-49.25	-16.67
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	Jundiaí	354204	761	-46.88	-23.19
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	Nakhon Sawan	142500	33	100.14	15.71
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	Kerman	534441	1755	57.08	30.28
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	Jaboatão	630595	10	-35.02	-8.11
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	Henderson	257437	569	-114.98	36.03
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	İnegöl	177617	\N	29.51	40.08
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	Sargodha	458440	193	72.67	32.08
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	Pskov	203279	45	28.33	57.82
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	Yasuj	108505	2004	51.59	30.67
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	Kangar	\N	\N	100.2	6.43
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	Tanjungpinang	\N	18	104.48	1.08
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	Savannah	136341	15	-81.12	32.02
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	As Seeb	302992	\N	58.18	23.68
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	Kryvyi Rih	660203	84	33.25	47.92
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	Acapulco	673479	30	-99.88	16.86
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	Damanhur	241895	18	30.47	31.04
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	Sétif	252127	1096	5.4	36.18
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	Seattle	652405	0	-122.33	47.61
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	Columbus	189885	74	-84.94	32.49
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	Klagenfurt	96531	446	14.3	46.62
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	Washington	646449	\N	-77	38.5
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	Berezniki	156466	130	56.78	59.42
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	Shymkent	683273	506	69.6	42.32
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	Oviedo	225005	232	-5.84	43.36
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	Xiaogan	166280	\N	113.9	30.92
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	Castelo Branco	\N	\N	-7.5	39.82
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	Nakhon Si Thammarat	167400	9	99.96	8.44
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	Pingdu	150123	\N	119.96	36.78
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	Sialkot	421502	256	74.54	32.5
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	Isparta	198385	1049	30.56	37.76
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	Mogi Guaçu	130295	591	-46.94	-22.37
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	Lincoln	258468	359	-96.68	40.81
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	Ternopil´	217300	320	25.6	49.57
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	Bergisch Gladbach	108878	100	7.12	51.1
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	Irapuato	380941	1724	-101.35	20.67
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	Bérgamo	115349	249	9.67	45.7
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	Luton	211228	\N	-0.43	51.9
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	Tilburg	210283	14	5.08	51.55
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	El Monte	113475	91	-118.03	34.07
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	New Orleans	343829	-2	-90.07	29.95
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	Ipatinga	236968	220	-42.53	-19.5
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	Zonguldak	109080	60	31.8	41.46
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	João Pessoa	720785	40	-34.83	-7.08
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	Konya	1107886	1200	32.48	37.87
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	Omsk	1160670	90	73.37	54.98
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	Taizhou	152442	\N	119.92	32.45
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	Irbid	250645	620	35.85	32.55
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	Sunyani	74240	303	-2.33	7.33
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	Ecatepec	1655015	2250	-99.06	19.61
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	San Nicolás de los Garzas	443273	512	-100.28	25.75
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	Alcobendas	110351	700	-3.63	40.53
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	Xuzhou	3053778	\N	119.8	32.9
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	Naperville	142089	214	-88.17	41.75
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	Nishinomiya	472650	\N	135.34	34.74
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	Chemnitz	240253	298	12.92	50.83
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	Angers	148803	12	-0.55	47.47
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	Amritsar	1132383	\N	74.86	31.64
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	Plymouth	234982	0	-4.14	50.37
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	Tepic	332863	920	-104.89	21.51
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	Dakar	1121935	10	-17.45	14.69
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	Poitiers	87646	65	0.34	46.58
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	Bien Hoa	652646	\N	106.82	10.95
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	Bratislava	411228	134	17.11	48.14
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	Kolwezi	417810	1448	25.47	-10.72
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	Loudi	128418	\N	112	27.73
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	Abakan	165214	245	91.47	53.72
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	Pasadena	149300	9	-95.17	29.68
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	Jyväskylä	134862	\N	25.74	62.24
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	Bida	111245	\N	6.02	9.08
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	Milano	1242123	120	9.18	45.47
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	Ciudad del Este	222274	34	-54.62	-25.52
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	Jinhua	144280	\N	119.65	29.08
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	Toshkent	2352900	455	69.22	41.27
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	Liaocheng	207844	\N	115.98	36.45
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	Lima	7605742	0	-77.03	-12.04
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	Dnipropetrovs´k	999577	155	34.98	48.45
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	Ilorin	532089	\N	4.55	8.5
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	David	144858	-6	-82.43	8.43
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	Kisangani	417517	447	25.2	0.52
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	Aswan	265004	194	32.9	24.09
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	Yingkou	421589	\N	122.23	40.67
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	Kaffrine	\N	\N	-15.7	14.12
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	Da Nang	770911	\N	108.23	16.07
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	Shaoxing	179818	\N	120.58	30
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	Keelung	377153	\N	121.73	25.13
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	Mangaung	747431	1395	26.22	-29.12
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	Aguascalientes	722250	1888	-102.3	21.85
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	Talcahuano	161692	1	-73.12	-36.72
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	Sholapur	604215	457	75.92	17.68
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	Balašicha	215494	150	37.97	55.82
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	Ann Arbor	113946	256	-83.75	42.28
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	Nal'čik	240203	480	43.62	43.48
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	Brno	404820	237	16.62	49.2
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	Springfield	116315	170	-89.62	39.7
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	Várzea Grande	248704	198	-56.13	-15.65
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	Feira de Santana	510635	286	-38.95	-12.25
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	Craiova	269506	100	23.82	44.33
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	Kirov	483176	150	49.65	58.6
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	Hurghada	\N	14	33.81	27.26
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	San Salvador de Jujuy	230999	1259	-65.3	-24.18
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	Mytilini	\N	8	26.55	39.1
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	Jönköping	129478	104	14.16	57.78
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	Surakarta	499337	\N	110.82	-7.57
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	Bani Suwayf	193535	16	31.08	29.07
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	Bari	315933	5	16.87	41.13
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	Tórshavn	12245	\N	-7	62
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	Budapest	1729040	102	19.05	47.49
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	Wollongong	288101	5	150.88	-34.43
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	Juiz de Fora	510378	678	-43.35	-21.76
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	Aksu	164092	\N	80.25	41.17
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	Buxoro	272500	225	64.43	39.77
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	Elazig	347857	1067	39.22	38.67
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	Ruse	146609	45	25.95	43.82
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	Shahr-e-Kord	159775	2070	50.86	32.33
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	Port-au-Prince	875978	98	-72.33	18.53
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	Stockport	105878	\N	-2.15	53.41
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	Nantes	287845	2	-1.55	47.22
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	Monaco	975	\N	7.42	43.73
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	Alexandria	139966	12	-77.05	38.8
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	Kharkiv	1441362	152	36.23	50
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	Petaling Jaya	438084	\N	101.65	3.08
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	Kota	1001694	271	75.83	25.18
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	Tunis	651284	4	10.18	36.8
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	Korhogo	245239	380	-5.62	9.42
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	Sterlitamak	275798	150	55.95	53.63
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	Criciúma	189630	46	-49.37	-28.68
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	Bakersfield	347568	123	-119.02	35.37
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	Taubaté	272673	\N	-45.56	-23.02
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	Makassar	1338663	0	119.42	-5.13
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	Yongan	111762	\N	117.37	25.98
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	Paramaribo	240924	3	-55.17	5.87
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	Al Kut	183183	23	45.82	32.51
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	Mirpur Khas	189671	\N	69.02	25.53
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	Tel Aviv-Yafo	403700	5	34.78	32.07
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	Huaihua	126785	\N	109.97	27.55
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	Wiesbaden	269121	117	8.24	50.08
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	Canberra	418292	577	149.12	-35.31
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	Cúcuta	643666	320	-72.5	7.89
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	Bradford	349561	\N	-1.75	53.79
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	Monclova	215271	620	-101.42	26.91
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	Amersfoort	151270	3	5.38	52.15
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	Stockton	291731	4	-121.3	37.98
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	Hamar	15685	134	11.06	60.8
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	Solwezi	\N	1235	26.4	-12.18
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	Neyshabur	239185	1250	58.8	36.21
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	Sabará	123084	705	-43.81	-19.89
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	Novo Hamburgo	234798	57	-51.13	-29.68
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	Salekhard	42544	15	66.6	66.53
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	Koror	11665	10	134.48	7.36
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	Volos	144449	0	22.93	39.37
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	St. Louis	319356	142	-90.2	38.63
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	Dandong	523699	8	124.38	40.12
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	Sedhiou	\N	\N	-15.55	12.7
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	Vaduz	5241	455	9.52	47.14
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	Campina Grande	367209	560	-35.88	-7.23
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	Tuguegarao	129539	\N	121.72	17.62
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	Yuci	191356	\N	112.85	37.62
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	Kalyan	1247327	8.84	73.13	19.24
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	Qaemshahr	196050	\N	52.86	36.46
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	Ekurhuleni - Germiston	3178471	\N	28.33	-26.17
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	Warren	134056	191	-83.02	42.49
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	Funchal	112362	\N	-16.92	32.65
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	General San Martín	405122	472	-64.78	-23.8
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	Petrozavodsk	268946	60	34.33	61.78
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	Inirida	\N	95	-67.92	3.87
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	Seguela	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	Kaechon	319554	\N	125.91	39.7
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	Porto-Novo	223552	38	2.61	6.5
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	Fuyu	192981	183	126.05	44.98
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	Cam Pha	168196	70	107.32	21.02
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	Brampton	523911	218	-79.77	43.68
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	Shah Alam	319612	\N	101.53	3.08
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	Hegang	522747	280	130.3	47.35
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	Sacaba	169494	2719	-66.04	-17.4
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	Itapevi	200769	741	-46.93	-23.55
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	Barrancabermeja	191784	75	-73.85	7.07
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	Tampico	297284	10	-97.87	22.26
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	Salto	104011	48	-57.95	-31.38
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	Limerick	56779	10	-8.62	52.67
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	Ramallah	\N	\N	35.2	31.9
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Sankt Peterburg	5028000	3	30.3	59.95
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	Ansan	722598	139	126.83	37.32
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	Mashhad	2749374	995	59.6	36.3
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	Hospitalet de Llobregat	256509	8	2.1	41.36
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	Huzhou	218071	\N	120.1	30.87
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	Tychy	129087	\N	18.98	50.13
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	Kirkuk	750000	350	44.32	35.47
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	Dongguan	8220207	8	113.72	23.03
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	La Guaira	\N	\N	-66.93	10.6
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	Silvassa	\N	32	73.02	20.27
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	Meixian	132156	\N	116.12	24.32
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	São João de Meriti	458673	19	-43.37	-22.8
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	Kaposvár	66245	153	17.78	46.36
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	Huadian	175873	265	126.73	42.95
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	Neuquén	201729	260	-68.06	-38.95
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	Duzce	135557	\N	31.16	40.84
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	Fuzhou	3572421	\N	119.31	26.08
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	Abha	\N	2400	42.51	18.22
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	El Alto	848840	4150	-68.17	-16.52
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	Huambo	\N	1721	15.73	-12.77
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	Concord	42695	88	-71.54	43.21
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	Pittsburgh	305702	233	-79.98	40.44
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	Reading	218705	61	-0.97	51.45
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	Antsiranana	59040	\N	49.28	-12.3
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	Kanggye	251971	\N	126.6	40.97
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	Honiara	49107	29	159.95	-9.43
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	Apia	36735	2	-171.75	-13.83
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	Castries	3661	2	-60.98	14.02
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	Conakry	1667864	\N	-13.7	9.52
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	Bengkulu	308544	2	102.26	-3.8
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	Lilongwe	674448	1050	33.78	-13.98
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	Lugano	62792	273	8.95	46
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	Binjai	246154	28	98.48	3.6
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	Himeji	533832	\N	134.68	34.82
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	Reynosa	589466	33	-98.28	26.09
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	Kislovodsk	128553	810	42.72	43.92
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	Parañaque	552660	12	121.02	14.47
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	Coral Springs	121098	4	-80.26	26.27
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	Chongjin	667929	\N	129.77	41.78
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	Lamia	75315	50	22.43	38.9
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	Aden	570551	6	45.03	12.8
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	Ciudad de México	8555272	2250	-99.13	19.43
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	Matamoros	449815	9	-97.5	25.88
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	Nairobi	3133518	1661	36.82	-1.28
\.


--
-- TOC entry 6007 (class 0 OID 92469)
-- Dependencies: 880
-- Data for Name: Continent; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Continent" ("URI", name, area) FROM stdin;
http://www.semwebtech.org/mondial/10/continent/Africa/	Africa	30254708
http://www.semwebtech.org/mondial/10/continent/Asia/	Asia	45095292
http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/	Australia/Oceania	8503474
http://www.semwebtech.org/mondial/10/continent/America/	America	39872000
http://www.semwebtech.org/mondial/10/continent/Europe/	Europe	9562488
\.


--
-- TOC entry 6008 (class 0 OID 92475)
-- Dependencies: 881
-- Data for Name: Country; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Country" ("URI", "gdpAgri", inflation, "populationGrowth", government, "gdpServ", population, "gdpTotal", unemployment, "independenceDate", "dependentOf", "infantMortality", area, "gdpInd", "carCode", capital, "wasDependentOf", name) FROM stdin;
http://www.semwebtech.org/mondial/10/country/GUAD/	6	3.7	1.2	overseas department of France	85	404635	3700	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	8.3	1628	9	GUAD	http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	\N	Guadeloupe
http://www.semwebtech.org/mondial/10/country/SY/	2	4.3	0.87	republic	79.4	90945	1271	2	1976-06-29	\N	10.77	455	18.7	SY	http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/country/GB/	Seychelles
http://www.semwebtech.org/mondial/10/country/CR/	6.2	5.6	1.24	democratic republic	72.5	4773119	48510	7.9	1821-09-15	\N	8.7	51100	21.3	CR	http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	http://www.semwebtech.org/mondial/10/country/E/	Costa Rica
http://www.semwebtech.org/mondial/10/country/RO/	6.4	3.2	-0.29	republic	59.4	20121641	188900	7.3	1877-05-09	\N	10.16	237500	34.2	RO	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Romania
http://www.semwebtech.org/mondial/10/country/BHT/	13.8	11	1.13	constitutional monarchy	45	733004	2133	2.1	1949-08-08	\N	37.89	47000	41.2	BHT	http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	http://www.semwebtech.org/mondial/10/country/GB/	Bhutan
http://www.semwebtech.org/mondial/10/country/GQ/	4.6	6	2.54	republic	8.1	696167	17080	22.3	1968-10-12	\N	71.12	28050	87.3	GQ	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/country/E/	Equatorial Guinea
http://www.semwebtech.org/mondial/10/country/RB/	1.9	6.1	1.26	parliamentary republic	62.4	2038228	15530	17.8	1966-09-30	\N	9.38	600370	35.7	RB	http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	http://www.semwebtech.org/mondial/10/country/GB/	Botswana
http://www.semwebtech.org/mondial/10/country/SPMI/	2	4.5	-1.02	parliamentary representative democracy	83	6312	215.3	9.9	\N	http://www.semwebtech.org/mondial/10/country/F/	6.95	242	15	SPMI	http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	\N	Saint Pierre and Miquelon
http://www.semwebtech.org/mondial/10/country/NIC/	17.1	5.7	1.02	republic	57.5	6071045	11260	7.2	1821-09-15	\N	20.36	129494	25.5	NIC	http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	http://www.semwebtech.org/mondial/10/country/E/	Nicaragua
http://www.semwebtech.org/mondial/10/country/MNG/	16.5	8.2	1.37	parliamentary	50.9	2754685	11140	9	1921-03-13	\N	23.15	1565000	32.6	MNG	http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	http://www.semwebtech.org/mondial/10/country/CN/	Mongolia
http://www.semwebtech.org/mondial/10/country/SK/	3.1	1.7	0.03	parliamentary democracy	67	5397036	96960	14.4	1993-01-01	\N	5.35	48845	30.8	SK	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/territory/Czechoslovakia/	Slovakia
http://www.semwebtech.org/mondial/10/country/G/	3.6	1.2	1.94	republic; multiparty presidential regime	32.5	1556222	19970	21	1960-08-17	\N	47.03	267670	63.9	G	http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	http://www.semwebtech.org/mondial/10/country/F/	Gabon
http://www.semwebtech.org/mondial/10/country/ET/	14.5	9	1.84	republic	48	83667047	262000	13.4	1922-02-28	\N	22.41	1001450	37.5	ET	http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	http://www.semwebtech.org/mondial/10/country/GB/	Egypt
http://www.semwebtech.org/mondial/10/country/AZ/	6.2	2.4	0.99	republic	30.8	9356500	76010	6	1991-08-30	\N	26.67	86600	63	AZ	http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Azerbaijan
http://www.semwebtech.org/mondial/10/country/RP/	11.2	2.8	1.81	republic	57.2	92337852	272200	7.4	1946-07-04	\N	17.64	299764	31.6	RP	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/country/USA/	Philippines
http://www.semwebtech.org/mondial/10/country/UAE/	0.6	1.3	2.71	federation with specified powers delegated to the UAE federal government and other powers reserved to member emirates	38.2	8441537	390000	2.4	1971-12-02	\N	10.92	75581	61.1	UAE	http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	http://www.semwebtech.org/mondial/10/country/GB/	United Arab Emirates
http://www.semwebtech.org/mondial/10/country/GR/	3.5	-0.8	0.01	parliamentary republic	80.5	10816286	243300	27.9	1829-01-01	\N	4.78	131940	16	GR	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Greece
http://www.semwebtech.org/mondial/10/country/NAU/	6.1	-3.6	0.56	republic	60.8	10025	100	90	1968-01-31	\N	8.21	21	33	NAU	http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/organization/UN/	Nauru
http://www.semwebtech.org/mondial/10/country/COM/	51	2.5	1.87	republic	39	683081	658	20	1975-07-06	\N	65.31	2170	10	COM	http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/country/F/	Comoros
http://www.semwebtech.org/mondial/10/country/CUR/	0.7	3.2	\N	parliamentary	83.8	150563	5600	13	\N	http://www.semwebtech.org/mondial/10/country/NL/	\N	444	15.5	CUR	http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	\N	Curacao
http://www.semwebtech.org/mondial/10/country/CAM/	20.6	2.6	2.6	republic; multiparty presidential regime	52.1	19406100	27880	30	1960-01-01	\N	55.1	475440	27.3	CAM	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	http://www.semwebtech.org/mondial/10/organization/UN/	Cameroon
http://www.semwebtech.org/mondial/10/country/H/	3.4	1.9	-0.21	parliamentary democracy	68.7	9937628	130600	10.5	1918-11-18	\N	5.09	93030	28	H	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/territory/Austria-Hungary/	Hungary
http://www.semwebtech.org/mondial/10/country/CDN/	1.7	1	0.76	a parliamentary democracy, a federation, and a constitutional monarchy	69.9	35158304	1825000	7.1	1867-07-01	\N	4.71	9976140	28.4	CDN	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	http://www.semwebtech.org/mondial/10/country/GB/	Canada
http://www.semwebtech.org/mondial/10/country/DJI/	3	2.5	2.23	republic	79.7	834036	1459	59	1977-06-27	\N	50.2	22000	17.3	DJI	http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	http://www.semwebtech.org/mondial/10/country/F/	Djibouti
http://www.semwebtech.org/mondial/10/country/BERM/	0.7	1.8	0.52	parliamentary; self-governing territory	93.5	64237	5600	8	\N	http://www.semwebtech.org/mondial/10/country/GB/	2.48	53.3	5.7	BERM	http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	\N	Bermuda
http://www.semwebtech.org/mondial/10/country/BI/	34.4	9.3	3.28	republic	47.2	8444784	2676	\N	1962-07-01	\N	63.44	27830	18.4	BI	http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	http://www.semwebtech.org/mondial/10/organization/UN/	Burundi
http://www.semwebtech.org/mondial/10/country/WSA/	\N	\N	2.46	legal status of territory and question of sovereignty unresolved	\N	554795	\N	\N	\N	\N	145.82	266000	\N	WSA	http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	\N	Western Sahara
http://www.semwebtech.org/mondial/10/country/WL/	3.1	5.3	0.35	parliamentary democracy and a Commonwealth realm	79.5	165595	1377	20	1979-02-22	\N	11.75	620	17.4	WL	http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/country/GB/	Saint Lucia
http://www.semwebtech.org/mondial/10/country/FALK/	95	1.2	0.01	British Overseas Territories	\N	2931	164.5	4.1	\N	http://www.semwebtech.org/mondial/10/country/GB/	\N	12173	\N	FALK	http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	\N	Falkland Islands
http://www.semwebtech.org/mondial/10/country/KIR/	24.3	0.2	1.18	republic	67.8	103058	173	2	1979-07-12	\N	35.37	717	7.9	KIR	http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/country/GB/	Kiribati
http://www.semwebtech.org/mondial/10/country/GBZ/	0	2.8	0.25	dependent territory of the UK	100	27495	1106	3	\N	http://www.semwebtech.org/mondial/10/country/GB/	6.29	6.5	0	GBZ	http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	\N	Gibraltar
http://www.semwebtech.org/mondial/10/country/PK/	25.3	7.7	1.49	federal republic	53.1	173149306	236500	6.6	1947-08-14	\N	57.48	803940	21.6	PK	http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	http://www.semwebtech.org/mondial/10/country/GB/	Pakistan
http://www.semwebtech.org/mondial/10/country/KGZ/	20.8	6.8	1.04	republic	44.8	5776600	7234	8.6	1991-08-31	\N	28.71	198500	34.4	KGZ	http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Kyrgyzstan
http://www.semwebtech.org/mondial/10/country/ZRE/	44.3	7.1	2.5	republic	34	62191161	18560	\N	1960-06-30	\N	73.15	2345410	21.7	ZRE	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/country/B/	Zaire
http://www.semwebtech.org/mondial/10/country/TUV/	16.6	3.8	0.8	parliamentary democracy and a Commonwealth realm	56.2	9827	38	\N	1978-10-01	\N	31.69	26	27.2	TUV	http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/country/GB/	Tuvalu
http://www.semwebtech.org/mondial/10/country/YE/	7.7	11.8	2.72	republic	61.4	24527000	43890	35	1990-05-22	\N	50.41	527970	30.9	YE	http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	http://www.semwebtech.org/mondial/10/territory/MergerofNorth-SouthYemen/	Yemen
http://www.semwebtech.org/mondial/10/country/IRQ/	3.3	2	2.23	parliamentary democracy	32.1	33330512	221800	16	1932-10-03	\N	37.53	437072	64.6	IRQ	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/organization/UN/	Iraq
http://www.semwebtech.org/mondial/10/country/MK/	10.2	2.8	0.21	parliamentary democracy	62.3	2059794	10650	28.6	1991-09-17	\N	7.9	25333	27.5	MK	http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Macedonia
http://www.semwebtech.org/mondial/10/country/GUY/	20.7	3.9	-0.11	republic	40.8	747884	3020	11	1966-05-26	\N	33.56	214970	38.5	GUY	http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/GB/	Guyana
http://www.semwebtech.org/mondial/10/country/TCH/	46.3	4.5	1.92	republic	43.8	11720781	13590	\N	1960-08-11	\N	90.3	1284000	9.9	TCH	http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	http://www.semwebtech.org/mondial/10/country/F/	Chad
http://www.semwebtech.org/mondial/10/country/NCA/	2.1	1.7	1.42	parliamentary representative democracy	67.9	245580	9280	17.1	\N	http://www.semwebtech.org/mondial/10/country/F/	5.46	19060	30	NCA	http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	\N	New Caledonia
http://www.semwebtech.org/mondial/10/country/SGP/	0	2.4	1.92	parliamentary republic	70.6	5076700	295700	1.9	1965-08-09	\N	2.53	632.6	29.4	SGP	http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/country/MAL/	Singapore
http://www.semwebtech.org/mondial/10/country/SMAR/	1	\N	\N	overseas collectivity of France	84	37630	561.5	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	\N	54	15	SMAR	http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	\N	Saint Martin
http://www.semwebtech.org/mondial/10/country/J/	1.1	0.2	-0.13	a parliamentary government with a constitutional monarchy	73.2	127298000	5007000	4.1	\N	\N	2.13	377835	25.6	J	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	\N	Japan
http://www.semwebtech.org/mondial/10/country/I/	2	1.2	0.3	republic	73.5	59433744	2068000	12.4	1861-03-17	\N	3.31	301230	24.4	I	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	\N	Italy
http://www.semwebtech.org/mondial/10/country/PY/	20.4	2.3	1.19	constitutional republic	61.9	6672631	30560	6.6	1811-05-14	\N	20.75	406750	17.7	PY	http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	http://www.semwebtech.org/mondial/10/country/E/	Paraguay
http://www.semwebtech.org/mondial/10/country/RC/	2	1.1	0.25	multiparty democracy	68.6	23315822	484700	4.1	1949-10-01	\N	4.49	36179	29.4	RC	http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	\N	Taiwan
http://www.semwebtech.org/mondial/10/country/FSM/	14	3.4	-0.42	constitutional government in free association with the US	74	102843	339	22	1986-11-03	\N	21.93	702	12	FSM	http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/organization/UN/	Micronesia
http://www.semwebtech.org/mondial/10/country/CH/	0.7	-0.4	0.78	formally a confederation but similar in structure to a federal republic	72.5	8139631	646200	3.2	1291-01-01	\N	3.73	41290	26.8	CH	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	\N	Switzerland
http://www.semwebtech.org/mondial/10/country/IL/	2.4	1.7	1.46	parliamentary democracy	66.4	7420368	272700	5.8	1948-05-14	\N	3.98	22072	31.2	IL	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	http://www.semwebtech.org/mondial/10/organization/UN/	Israel
http://www.semwebtech.org/mondial/10/country/CV/	9.3	1.9	1.39	republic	71.9	491875	1955	21	1975-07-05	\N	24.28	4033	18.8	CV	http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/country/P/	Cape Verde
http://www.semwebtech.org/mondial/10/country/TM/	7.2	9	1.14	authoritarian presidential rule	68.4	5041995	40560	60	1991-10-27	\N	38.13	488100	24.4	TM	http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Turkmenistan
http://www.semwebtech.org/mondial/10/country/BRN/	0.3	3.1	2.49	constitutional monarchy	53	1234596	28360	15	1971-08-15	\N	9.68	620	46.7	BRN	http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/country/GB/	Bahrain
http://www.semwebtech.org/mondial/10/country/FGU/	\N	2.5	3.86	overseas department of France	\N	237549	800	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	14.6	83534	\N	FGU	http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	\N	French Guiana
http://www.semwebtech.org/mondial/10/country/CI/	26.3	2.9	1.96	republic; multiparty presidential regime established 1960	52.4	22671331	28280	\N	1960-08-07	\N	60.16	322460	21.3	CI	http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	http://www.semwebtech.org/mondial/10/country/F/	Cote dIvoire
http://www.semwebtech.org/mondial/10/country/BOL/	9.2	6.5	1.6	republic; Social Unitarian State	52.3	10027262	30790	7.4	1825-08-06	\N	38.61	1098580	38.5	BOL	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/E/	Bolivia
http://www.semwebtech.org/mondial/10/country/FJI/	11.7	3	0.7	republic	70.2	860559	4218	7.6	1970-10-10	\N	10.2	18270	18.1	FJI	http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/country/GB/	Fiji
http://www.semwebtech.org/mondial/10/country/MEL/	\N	\N	\N	dependent territory of Spain	\N	78476	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/E/	\N	12	\N	MEL	http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	\N	Melilla
http://www.semwebtech.org/mondial/10/country/RT/	27.6	2.2	2.71	republic under transition to multiparty democratic rule	38.7	6191155	4299	\N	1960-04-27	\N	46.73	56790	33.7	RT	http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	http://www.semwebtech.org/mondial/10/country/F/	Togo
http://www.semwebtech.org/mondial/10/country/LB/	76.9	5.2	2.52	republic	17.7	3957990	1977	85	1847-07-26	\N	69.19	111370	5.4	LB	http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	\N	Liberia
http://www.semwebtech.org/mondial/10/country/LAO/	30.5	6.5	1.59	Communist state	37.5	6514432	10100	1.9	1949-07-19	\N	54.53	236800	32	LAO	http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	http://www.semwebtech.org/mondial/10/country/F/	Laos
http://www.semwebtech.org/mondial/10/country/AMSA/	\N	\N	-0.35	unincorporated and unorganized territory of the US	\N	55519	462.2	29.8	\N	http://www.semwebtech.org/mondial/10/country/USA/	8.92	199	\N	AMSA	http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	\N	American Samoa
http://www.semwebtech.org/mondial/10/country/PAL/	3.2	2.7	0.37	constitutional government in free association with the US	76.8	17501	221	4.2	1994-10-01	\N	11.46	458	20	PAL	http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/organization/UN/	Palau
http://www.semwebtech.org/mondial/10/country/HR/	5	2.2	-0.12	parliamentary democracy	69.2	4290612	59140	21.6	1991-06-25	\N	5.87	56538	25.8	HR	http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Croatia
http://www.semwebtech.org/mondial/10/country/HCA/	14	5.2	1.74	democratic constitutional republic	57.8	8045990	18880	4.5	1821-09-15	\N	18.72	112090	28.2	HCA	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	http://www.semwebtech.org/mondial/10/country/E/	Honduras
http://www.semwebtech.org/mondial/10/country/PL/	4	1	-0.11	republic	62.7	38533789	513900	10.3	1918-11-11	\N	6.19	312683	33.3	PL	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	\N	Poland
http://www.semwebtech.org/mondial/10/country/GH/	21.5	11	2.19	constitutional democracy	49.8	24658823	45550	11	1957-03-06	\N	38.52	238540	28.7	GH	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/country/GB/	Ghana
http://www.semwebtech.org/mondial/10/country/PITC/	\N	\N	0	British Overseas Territories	\N	66	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/GB/	\N	47	\N	PITC	http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	\N	Pitcairn
http://www.semwebtech.org/mondial/10/country/PA/	3.7	4.1	1.35	constitutional democracy	78.4	3405813	40620	4.5	1903-11-03	\N	10.7	78200	17.9	PA	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/country/CO/	Panama
http://www.semwebtech.org/mondial/10/country/Z/	19.8	7.1	2.88	republic	46.5	13046508	22240	15	1964-10-24	\N	66.62	752610	33.8	Z	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	http://www.semwebtech.org/mondial/10/country/GB/	Zambia
http://www.semwebtech.org/mondial/10/country/RH/	24.1	6.3	1.08	republic	56	9896400	8287	40.6	1804-01-01	\N	49.43	27750	19.9	RH	http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/country/F/	Haiti
http://www.semwebtech.org/mondial/10/country/WAG/	19.7	6	2.23	republic	67.7	1882450	896	\N	1965-02-18	\N	65.74	11300	12.6	WAG	http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/country/GB/	Gambia
http://www.semwebtech.org/mondial/10/country/ETH/	47	8.4	2.89	federal republic	42.2	84320987	47340	17.5	\N	\N	55.77	1127127	10.8	ETH	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	\N	Ethiopia
http://www.semwebtech.org/mondial/10/country/EC/	5.9	2.6	1.37	republic	59	14483499	91410	4.2	1822-05-24	\N	17.93	283560	35.1	EC	http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	http://www.semwebtech.org/mondial/10/country/E/	Ecuador
http://www.semwebtech.org/mondial/10/country/SD/	7.6	6.1	1.14	monarchy	44.6	1193148	3807	40	1968-09-06	\N	54.82	17360	47.8	SD	http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	http://www.semwebtech.org/mondial/10/country/GB/	Swaziland
http://www.semwebtech.org/mondial/10/country/N/	1.2	1.9	1.19	constitutional monarchy	56.5	5051275	515800	3.6	1905-10-26	\N	2.48	324220	42.3	N	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/country/S/	Norway
http://www.semwebtech.org/mondial/10/country/RI/	14.3	7.7	0.95	republic	39.1	252124458	867500	6.6	1945-08-17	\N	25.16	1919440	46.6	RI	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/country/NL/	Indonesia
http://www.semwebtech.org/mondial/10/country/LAR/	2	3.2	3.08	operates under a transitional government	39.7	6040612	70920	30	1951-12-24	\N	11.87	1759540	58.3	LAR	http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/I/	Libya
http://www.semwebtech.org/mondial/10/country/ER/	11.7	13	2.3	transitional government	61.4	5741159	3438	\N	1993-05-27	\N	38.44	121320	26.9	ER	http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	http://www.semwebtech.org/mondial/10/country/ETH/	Eritrea
http://www.semwebtech.org/mondial/10/country/BY/	9.2	19	-0.19	republic in name, although in fact a dictatorship	44.7	9460692	69240	1	1991-08-25	\N	3.64	207600	46.2	BY	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Belarus
http://www.semwebtech.org/mondial/10/country/KAZ/	5.2	5.8	1.17	republic; authoritarian presidential rule, with little power outside the executive branch	56.9	17165239	224900	5.3	1991-12-16	\N	21.61	2717300	37.9	KAZ	http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Kazakhstan
http://www.semwebtech.org/mondial/10/country/ARM/	20.6	6.2	-0.13	republic	42.1	3026879	10440	17.3	1918-05-28	\N	13.97	29800	37.3	ARM	http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Armenia
http://www.semwebtech.org/mondial/10/country/NLSM/	0.4	4	1.51	parliamentary	81.3	37429	794.7	12	\N	http://www.semwebtech.org/mondial/10/country/NL/	9.05	34	18.3	NLSM	http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	\N	Sint Maarten
http://www.semwebtech.org/mondial/10/country/GBG/	3	3.4	0.36	parliamentary democracy	87	59807	2742	0.9	\N	http://www.semwebtech.org/mondial/10/country/GB/	3.47	194	10	GBG	http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	\N	Guernsey
http://www.semwebtech.org/mondial/10/country/WS/	10.2	2.7	0.59	parliamentary democracy	64	187820	705	\N	1962-01-01	\N	20.5	2860	25.9	WS	http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/organization/UN/	Samoa
http://www.semwebtech.org/mondial/10/country/LT/	3.7	1.2	-0.29	parliamentary democracy	68	2979310	46710	12.4	1991-09-06	\N	6	65200	28.3	LT	http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Lithuania
http://www.semwebtech.org/mondial/10/country/ES/	10.3	0.9	0.27	republic	60.1	6290420	24670	6.3	1821-09-15	\N	18.44	21040	29.5	ES	http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	http://www.semwebtech.org/mondial/10/country/E/	El Salvador
http://www.semwebtech.org/mondial/10/country/SLB/	50	2.6	2.07	parliamentary democracy and a Commonwealth realm	39.4	526447	1099	\N	1978-07-07	\N	16.17	28450	10.6	SLB	http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/country/GB/	Solomon Islands
http://www.semwebtech.org/mondial/10/country/LS/	7.4	5	0.34	parliamentary constitutional monarchy	58.2	2008921	2457	25	1966-10-04	\N	50.48	30350	34.5	LS	http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	http://www.semwebtech.org/mondial/10/country/GB/	Lesotho
http://www.semwebtech.org/mondial/10/country/WD/	15.7	1.8	0.22	parliamentary democracy	68.7	70739	495	23	1978-11-03	\N	11.61	746	15.6	WD	http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/country/GB/	Dominica
http://www.semwebtech.org/mondial/10/country/SF/	2.9	2.2	0.05	republic	71.9	5455068	259600	8.1	1917-12-06	\N	3.36	337030	25.1	SF	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/country/R/	Finland
http://www.semwebtech.org/mondial/10/country/REUN/	\N	\N	1.93	overseas department of France	\N	828581	2900	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	7.5	2510	\N	REUN	http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	\N	Reunion
http://www.semwebtech.org/mondial/10/country/MYA/	38	5.7	1.03	parliamentary government took power in March 2011	41.7	51419420	59430	5.2	1948-01-04	\N	44.91	678500	20.3	MYA	http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	http://www.semwebtech.org/mondial/10/country/GB/	Myanmar
http://www.semwebtech.org/mondial/10/country/CZ/	2.4	1.4	0.17	parliamentary democracy	60.3	10562214	194800	7.1	1993-01-01	\N	2.63	78703	37.3	CZ	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/territory/Czechoslovakia/	Czech Republic
http://www.semwebtech.org/mondial/10/country/BEN/	31.6	2.4	2.81	republic	55.6	9983884	8359	\N	1960-08-01	\N	57.09	112620	12.9	BEN	http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	http://www.semwebtech.org/mondial/10/country/F/	Benin
http://www.semwebtech.org/mondial/10/country/WEST/	33	14	4.99	\N	60	2790331	3700	\N	\N	\N	28.6	5655	7	WEST	http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	\N	West Bank
http://www.semwebtech.org/mondial/10/country/NZ/	5	1.3	0.83	parliamentary democracy and a Commonwealth realm	69.5	4242048	181100	6.4	1907-09-26	\N	4.59	268680	25.5	NZ	http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/country/GB/	New Zealand
http://www.semwebtech.org/mondial/10/country/B/	0.8	1.3	0.05	federal parliamentary democracy under a constitutional monarchy	76.6	11099554	507400	8.8	1830-10-04	\N	4.18	30510	22.6	B	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	http://www.semwebtech.org/mondial/10/country/NL/	Belgium
http://www.semwebtech.org/mondial/10/country/PE/	6.2	2.9	0.99	constitutional republic	56.3	30135875	210300	3.6	1821-07-28	\N	20.21	1285220	37.5	PE	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/country/E/	Peru
http://www.semwebtech.org/mondial/10/country/BD/	17.2	7.6	1.6	parliamentary democracy	53.9	149772364	140200	5	1971-12-16	\N	45.67	144000	28.9	BD	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/country/PK/	Bangladesh
http://www.semwebtech.org/mondial/10/country/MAL/	11.2	2.2	1.47	constitutional monarchy	48.1	27565821	312400	3.1	1957-08-31	\N	13.69	329750	40.6	MAL	http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	http://www.semwebtech.org/mondial/10/country/GB/	Malaysia
http://www.semwebtech.org/mondial/10/country/C/	3.8	6	-0.14	Communist state	73.9	11167325	72300	4.3	1902-05-20	\N	4.7	110860	22.3	C	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/country/E/	Cuba
http://www.semwebtech.org/mondial/10/country/DK/	1.5	0.8	0.22	constitutional monarchy	76.8	5580516	324300	6	\N	\N	4.1	43070	21.7	DK	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	\N	Denmark
http://www.semwebtech.org/mondial/10/country/MC/	0	1.5	0.06	constitutional monarchy	90	36845	5748	2	1419-01-01	\N	1.81	1.9	10	MC	http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	\N	Monaco
http://www.semwebtech.org/mondial/10/country/SVAX/	\N	\N	-0.03	territory of Norway administered by the Ministry of Industry	\N	1872	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/N/	\N	62049	\N	SVAX	http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	\N	Svalbard
http://www.semwebtech.org/mondial/10/country/SLO/	2.8	1.8	-0.23	parliamentary republic	68.3	2058821	46820	13.1	1991-06-25	\N	4.04	20256	28.9	SLO	http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Slovenia
http://www.semwebtech.org/mondial/10/country/JA/	6.5	9.4	0.69	constitutional parliamentary democracy and a Commonwealth realm	64.1	2697983	14390	16.3	1962-08-06	\N	13.69	10991	29.4	JA	http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/country/GB/	Jamaica
http://www.semwebtech.org/mondial/10/country/TR/	8.9	7.6	1.12	republican parliamentary democracy	63.8	75627384	821800	9.3	1923-10-29	\N	21.43	780580	27.3	TR	http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Turkey
http://www.semwebtech.org/mondial/10/country/EAK/	29.3	5.8	2.11	republic	53.3	40909194	45310	40	1963-12-12	\N	40.71	582650	17.4	EAK	http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	http://www.semwebtech.org/mondial/10/country/GB/	Kenya
http://www.semwebtech.org/mondial/10/country/DOM/	6	5	1.25	democratic republic	64.9	9445281	59270	15	1844-02-27	\N	19.63	48730	29.1	DOM	http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/country/RH/	Dominican Republic
http://www.semwebtech.org/mondial/10/country/LV/	4.9	0.2	-0.62	parliamentary democracy	69.4	2201196	30380	9.8	1991-09-06	\N	7.91	64100	25.7	LV	http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Latvia
http://www.semwebtech.org/mondial/10/country/RCH/	3.6	1.7	0.84	republic	61	16341929	281700	6	1810-09-18	\N	7.02	756950	35.4	RCH	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	http://www.semwebtech.org/mondial/10/country/E/	Chile
http://www.semwebtech.org/mondial/10/country/EAT/	27.6	7.8	2.8	republic	47.4	44928923	31940	\N	1964-04-26	\N	43.74	945090	25	EAT	http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	http://www.semwebtech.org/mondial/10/country/GB/	Tanzania
http://www.semwebtech.org/mondial/10/country/BRU/	0.7	1	1.65	constitutional sultanate (locally known as Malay Islamic Monarchy)	28.4	393372	16560	2.6	1984-01-01	\N	10.48	5770	70.9	BRU	http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/country/GB/	Brunei
http://www.semwebtech.org/mondial/10/country/MA/	15.1	2.5	1.02	constitutional monarchy	53.2	32901622	104800	9.5	1956-03-02	\N	24.52	446550	31.7	MA	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/country/F/	Morocco
http://www.semwebtech.org/mondial/10/country/D/	0.8	1.6	-0.18	federal republic	69	80219695	3593000	5.3	1871-01-18	\N	3.46	356910	30.1	D	http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	\N	Germany
http://www.semwebtech.org/mondial/10/country/BDS/	3.1	2.1	0.33	parliamentary democracy and a Commonwealth realm	83	277821	4262	11.4	1966-11-30	\N	10.93	430	13.9	BDS	http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/country/GB/	Barbados
http://www.semwebtech.org/mondial/10/country/ZW/	20.1	8.5	4.36	parliamentary democracy	54.5	13061239	10480	95	1980-04-18	\N	26.55	390580	25.4	ZW	http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	http://www.semwebtech.org/mondial/10/country/GB/	Zimbabwe
http://www.semwebtech.org/mondial/10/country/ANG/	10.2	8.9	2.78	republic; multiparty presidential regime	28.4	24383301	124000	\N	1975-11-11	\N	79.99	1246700	61.4	ANG	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/country/P/	Angola
http://www.semwebtech.org/mondial/10/country/THA/	12.1	2.2	0.35	constitutional monarchy	44.2	65981659	400900	0.7	1238-01-01	\N	9.86	514000	43.6	THA	http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	\N	Thailand
http://www.semwebtech.org/mondial/10/country/BS/	2.1	1	0.87	constitutional parliamentary democracy and a Commonwealth realm	90.8	353658	8373	16.2	1973-07-10	\N	12.5	13940	7.1	BS	http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/country/GB/	Bahamas
http://www.semwebtech.org/mondial/10/country/NEP/	36.8	6.7	1.82	federal democratic republic	48.7	26494504	19340	46	1768-01-01	\N	40.43	140800	14.5	NEP	http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	\N	Nepal
http://www.semwebtech.org/mondial/10/country/CEU/	\N	\N	\N	dependent territory of Spain	\N	82376	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/E/	\N	18	\N	CEU	http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	\N	Ceuta
http://www.semwebtech.org/mondial/10/country/DZ/	9.4	3.9	1.88	republic	28	37062820	215700	10.3	1962-07-05	\N	21.76	2381740	62.6	DZ	http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	http://www.semwebtech.org/mondial/10/country/F/	Algeria
http://www.semwebtech.org/mondial/10/country/E/	3.1	1.8	0.81	parliamentary monarchy	70.8	46815916	1356000	26.3	1492-01-01	\N	3.33	504750	26	E	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	\N	Spain
http://www.semwebtech.org/mondial/10/country/MART/	6	3.9	1.1	overseas department of France	83	392291	3950	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	7.1	1128	11	MART	http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	\N	Martinique
http://www.semwebtech.org/mondial/10/country/F/	1.9	0.9	0.45	republic	79.4	64933400	2739000	10.2	\N	\N	3.31	547030	18.7	F	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	\N	France
http://www.semwebtech.org/mondial/10/country/RA/	9.3	20.8	0.95	republic	61	42669500	484600	7.5	1816-07-09	\N	9.96	2766890	29.7	RA	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/country/E/	Argentina
http://www.semwebtech.org/mondial/10/country/RWA/	31.9	5.9	2.63	republic; presidential, multiparty system	53.3	10515973	7700	\N	1962-07-01	\N	59.59	26340	14.8	RWA	http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	http://www.semwebtech.org/mondial/10/organization/UN/	Rwanda
http://www.semwebtech.org/mondial/10/country/GBJ/	2	3.7	0.81	parliamentary democracy	96	97857	5100	1.7	\N	http://www.semwebtech.org/mondial/10/country/GB/	3.86	117	2	GBJ	http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	\N	Jersey
http://www.semwebtech.org/mondial/10/country/TT/	0.3	5.4	-0.11	parliamentary democracy	42	1328019	27130	5.9	1962-08-31	\N	24.82	5130	57.7	TT	http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/country/GB/	Trinidad and Tobago
http://www.semwebtech.org/mondial/10/country/RMM/	38.5	0.1	3	republic	37	13985961	11370	30	1960-09-22	\N	104.34	1240000	24.4	RMM	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/country/F/	Mali
http://www.semwebtech.org/mondial/10/country/MNE/	0.8	4	-0.49	republic	87.9	620029	4518	19.1	2006-06-03	\N	\N	14026	11.3	MNE	http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	http://www.semwebtech.org/mondial/10/country/SRB/	Montenegro
http://www.semwebtech.org/mondial/10/country/AL/	19.5	1.7	0.3	parliamentary democracy	68.5	2800138	12800	16.9	1912-11-28	\N	13.19	28750	12	AL	http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Albania
http://www.semwebtech.org/mondial/10/country/WAL/	47.9	11.1	2.33	constitutional democracy	33.5	5751976	4607	\N	1961-04-27	\N	73.29	71740	18.6	WAL	http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	http://www.semwebtech.org/mondial/10/country/GB/	Sierra Leone
http://www.semwebtech.org/mondial/10/country/MOC/	28.7	4.4	2.45	republic	46.4	23700715	14670	17	1975-06-25	\N	72.42	801590	24.9	MOC	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/country/P/	Mozambique
http://www.semwebtech.org/mondial/10/country/EW/	3.9	3.4	-0.68	parliamentary republic	66.2	1294455	24280	10.9	1991-09-06	\N	6.7	45100	30	EW	http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Estonia
http://www.semwebtech.org/mondial/10/country/RIM/	16.9	4.6	2.26	military junta	28.5	3537368	4183	30	1960-11-28	\N	56.06	1030700	54.6	RIM	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/country/F/	Mauritania
http://www.semwebtech.org/mondial/10/country/KN/	1.8	2.2	0.78	parliamentary democracy and a Commonwealth realm	75.1	52352	767	4.5	1983-09-19	\N	8.98	269	23.1	KN	http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/country/GB/	Saint Kitts and Nevis
http://www.semwebtech.org/mondial/10/country/MACX/	0	5.5	0.83	limited democracy	93.5	552503	51680	1.8	\N	http://www.semwebtech.org/mondial/10/country/CN/	3.13	16	6.5	MACX	http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	\N	Macao
http://www.semwebtech.org/mondial/10/country/VN/	19.3	6.8	1	Communist state	42.2	88772900	170000	1.3	1945-09-02	\N	18.99	329560	38.5	VN	http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	http://www.semwebtech.org/mondial/10/country/F/	Vietnam
http://www.semwebtech.org/mondial/10/country/WAN/	30.9	8.7	2.47	federal republic	26	164294516	502000	23.9	1960-10-01	\N	74.09	923770	43	WAN	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	http://www.semwebtech.org/mondial/10/country/GB/	Nigeria
http://www.semwebtech.org/mondial/10/country/MV/	3	5.1	-0.09	republic	80	341256	2270	28	1965-07-26	\N	24.59	300	17	MV	http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/country/GB/	Maldives
http://www.semwebtech.org/mondial/10/country/EAU/	23.1	6.2	3.24	republic	50	34856813	22600	\N	1962-10-09	\N	60.82	236040	26.9	EAU	http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	http://www.semwebtech.org/mondial/10/country/GB/	Uganda
http://www.semwebtech.org/mondial/10/country/MH/	14.3	12.9	1.72	constitutional government in free association with the US	71.8	53158	193	36	1986-10-21	\N	21.39	181.3	13.9	MH	http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/organization/UN/	Marshall Islands
http://www.semwebtech.org/mondial/10/country/V/	\N	\N	\N	monarchical sacerdotal state	\N	842	\N	\N	1929-02-11	\N	\N	0.44	\N	V	http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	http://www.semwebtech.org/mondial/10/country/I/	Holy See
http://www.semwebtech.org/mondial/10/country/KWT/	0.3	2.8	1.7	constitutional emirate	49.1	2991580	179500	3.4	1961-06-19	\N	7.51	17820	50.6	KWT	http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	http://www.semwebtech.org/mondial/10/country/GB/	Kuwait
http://www.semwebtech.org/mondial/10/country/SRB/	7.9	2.2	-0.46	republic	60.3	7120666	43680	20.1	1992-04-11	\N	6.16	77474	31.8	SRB	http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Serbia
http://www.semwebtech.org/mondial/10/country/ARU/	0.4	-2	1.36	parliamentary democracy	66.3	101484	2516	6.9	\N	http://www.semwebtech.org/mondial/10/country/NL/	11.74	193	33.3	ARU	http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	\N	Aruba
http://www.semwebtech.org/mondial/10/country/TO/	20.9	2	0.09	constitutional monarchy	57.2	103252	477	13	1970-06-04	\N	12.36	748	21.9	TO	http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/country/GB/	Tonga
http://www.semwebtech.org/mondial/10/country/BVIR/	1.1	1.6	2.36	British Overseas Territories	87.2	23161	1095	8.7	\N	http://www.semwebtech.org/mondial/10/country/GB/	13.45	153	11.7	BVIR	http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	\N	British Virgin Islands
http://www.semwebtech.org/mondial/10/country/BZ/	13	1.3	1.92	parliamentary democracy and a Commonwealth realm	64	312971	1637	15.5	1981-09-21	\N	20.31	22960	23	BZ	http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	http://www.semwebtech.org/mondial/10/country/GB/	Belize
http://www.semwebtech.org/mondial/10/country/GROX/	4	2.8	0.02	parliamentary democracy within a constitutional monarchy	67	56370	2160	9.4	\N	http://www.semwebtech.org/mondial/10/country/DK/	9.42	2175600	29	GROX	http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	\N	Greenland
http://www.semwebtech.org/mondial/10/country/GBM/	1	5	0.8	parliamentary democracy	88	84497	4076	2	\N	http://www.semwebtech.org/mondial/10/country/GB/	4.17	588	11	GBM	http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	\N	Isle of Man
http://www.semwebtech.org/mondial/10/country/K/	34.8	3.2	1.63	multiparty democracy under a constitutional monarchy	40.7	14364931	15640	0	1949-11-09	\N	51.36	181040	24.5	K	http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	http://www.semwebtech.org/mondial/10/country/F/	Cambodia
http://www.semwebtech.org/mondial/10/country/SP/	59.3	\N	1.75	in the process of building a federal parliamentary republic	33.5	9636173	2372	\N	1960-07-01	\N	100.14	637660	7.2	SP	http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	http://www.semwebtech.org/mondial/10/country/GB/	Somalia
http://www.semwebtech.org/mondial/10/country/TL/	2.6	4.5	2.44	republic	15.8	1066582	6129	18.4	2002-05-20	\N	38.79	15007	81.6	TL	http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/country/RI/	Timor-Leste
http://www.semwebtech.org/mondial/10/country/TUCA/	1	2.5	2.58	British Overseas Territories	76.5	31458	216	10	\N	http://www.semwebtech.org/mondial/10/country/GB/	10.97	430	22.5	TUCA	http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	\N	Turks and Caicos Islands
http://www.semwebtech.org/mondial/10/country/GCA/	13.5	4.4	1.86	constitutional democratic republic	62.7	15073375	53900	4.1	1821-09-15	\N	23.51	108890	23.8	GCA	http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	http://www.semwebtech.org/mondial/10/country/E/	Guatemala
http://www.semwebtech.org/mondial/10/country/BIH/	8.1	0.2	-0.11	emerging federal democratic republic	65.5	3791622	18870	44.3	1992-04-01	\N	5.84	51233	26.4	BIH	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Bosnia and Herzegovina
http://www.semwebtech.org/mondial/10/country/TAD/	21.1	3.7	1.75	republic	55.7	8161100	8513	2.5	1991-09-09	\N	35.03	143100	23.2	TAD	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Tajikistan
http://www.semwebtech.org/mondial/10/country/AXA/	2.5	3.1	2.06	British Overseas Territories	73.8	13037	175.4	8	\N	http://www.semwebtech.org/mondial/10/country/GB/	3.4	102	23.6	AXA	http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	\N	Anguilla
http://www.semwebtech.org/mondial/10/country/SA/	2	3.7	1.49	monarchy	35.5	27136977	718500	10.5	1932-09-23	\N	14.58	1960582	62.5	SA	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	\N	Saudi Arabia
http://www.semwebtech.org/mondial/10/country/SUD/	27.4	25	1.78	federal republic	39	35652002	52500	20	1956-01-01	\N	52.86	1861484	33.6	SUD	http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/country/ET/	Sudan
http://www.semwebtech.org/mondial/10/country/COCO/	\N	\N	\N	territory of Australia	\N	596	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/AUS/	\N	14	\N	COCO	http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	\N	Cocos Islands
http://www.semwebtech.org/mondial/10/country/BR/	5.5	6.2	0.8	federal republic	68.1	202768562	2190000	5.7	1822-09-07	\N	19.21	8511965	26.4	BR	http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	http://www.semwebtech.org/mondial/10/country/P/	Brazil
http://www.semwebtech.org/mondial/10/country/L/	0.3	1.8	1.12	constitutional monarchy	86.4	524853	60540	4.9	1890-11-24	\N	4.28	2586	13.3	L	http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	http://www.semwebtech.org/mondial/10/country/NL/	Luxembourg
http://www.semwebtech.org/mondial/10/country/PNG/	27.6	3.8	1.84	constitutional parliamentary democracy and a Commonwealth realm	33.3	7275324	16100	1.9	1975-09-16	\N	39.67	461690	39.1	PNG	http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/organization/UN/	Papua New Guinea
http://www.semwebtech.org/mondial/10/country/YV/	3.7	56.2	1.42	federal republic	60.8	28946101	367500	7.9	1811-07-05	\N	19.33	912050	35.5	YV	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	http://www.semwebtech.org/mondial/10/country/E/	Venezuela
http://www.semwebtech.org/mondial/10/country/FPOL/	3.1	1.1	0.97	parliamentary representative democratic French overseas collectivity	76.9	268270	5650	11.7	\N	http://www.semwebtech.org/mondial/10/country/F/	4.78	4167	20	FPOL	http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	\N	French Polynesia
http://www.semwebtech.org/mondial/10/country/FARX/	16	2.3	0.49	part of the Danish realm	55	48197	2320	6.8	\N	http://www.semwebtech.org/mondial/10/country/DK/	5.71	1400	29	FARX	http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	\N	Faroe Islands
http://www.semwebtech.org/mondial/10/country/AFG/	20	6.8	2.29	Islamic republic	54.4	26023100	20650	35	1919-08-19	\N	117.23	647500	25.6	AFG	http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	http://www.semwebtech.org/mondial/10/country/GB/	Afghanistan
http://www.semwebtech.org/mondial/10/country/M/	1.4	1	0.33	republic	73.3	417432	9541	6.4	1964-09-21	\N	3.59	320	25.3	M	http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/country/GB/	Malta
http://www.semwebtech.org/mondial/10/country/SBAR/	\N	\N	\N	overseas collectivity of France	\N	9072	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	\N	21	\N	SBAR	http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	\N	Saint Barthelemy
http://www.semwebtech.org/mondial/10/country/MAYO/	\N	\N	3.32	territorial collectivity of France	\N	212645	953.6	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	56.29	374	\N	MAYO	http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	\N	Mayotte
http://www.semwebtech.org/mondial/10/country/NIUE/	23.5	4	-0.03	self-governing parliamentary democracy	49.5	1611	10	12	1974-10-19	\N	\N	260	26.9	NIUE	http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/country/NZ/	Niue
http://www.semwebtech.org/mondial/10/country/IR/	10.6	42.3	1.22	theocratic republic	44.5	75149669	411900	16	\N	\N	39	1648000	44.9	IR	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	\N	Iran
http://www.semwebtech.org/mondial/10/country/UA/	9.9	0.7	-0.64	republic	60.5	45633637	175500	8	1991-12-01	\N	8.1	603700	29.6	UA	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Ukraine
http://www.semwebtech.org/mondial/10/country/NL/	2.6	2.5	0.42	constitutional monarchy	72.1	16843181	722300	8.3	1579-01-01	\N	3.66	37330	25.4	NL	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	http://www.semwebtech.org/mondial/10/country/E/	Netherlands
http://www.semwebtech.org/mondial/10/country/SSD/	\N	1.7	4.12	republic	\N	8260490	11770	\N	2011-07-09	\N	68.16	644329	\N	SSD	http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	http://www.semwebtech.org/mondial/10/country/SUD/	South Sudan
http://www.semwebtech.org/mondial/10/country/MNTS/	1.6	4.5	0.48	British Overseas Territories	75.1	4922	29	6	\N	http://www.semwebtech.org/mondial/10/country/GB/	13.66	102	23.2	MNTS	http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	\N	Montserrat
http://www.semwebtech.org/mondial/10/country/RCB/	3.3	1.7	1.94	republic	22.9	4001831	14250	53	1960-08-15	\N	59.34	342000	73.9	RCB	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/country/F/	Congo
http://www.semwebtech.org/mondial/10/country/FL/	8	-0.7	0.82	hereditary constitutional monarchy	55	36636	5113	2.3	1806-07-12	\N	4.33	160	37	FL	http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	http://www.semwebtech.org/mondial/10/territory/HolyRomanEmpire/	Liechtenstein
http://www.semwebtech.org/mondial/10/country/CAYM/	0.3	1.8	2.14	parliamentary democracy	72.3	55691	2250	4	\N	http://www.semwebtech.org/mondial/10/country/GB/	6.21	262	27.4	CAYM	http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	\N	Cayman Islands
http://www.semwebtech.org/mondial/10/country/TN/	8.6	6.1	0.92	republic	61	10982754	48380	17.2	1956-03-20	\N	23.19	163610	30.4	TN	http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	http://www.semwebtech.org/mondial/10/country/F/	Tunisia
http://www.semwebtech.org/mondial/10/country/CY/	2.4	0.2	1.48	republic	81.7	840407	21780	17.4	1960-08-16	\N	8.54	9251	15.9	CY	http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	http://www.semwebtech.org/mondial/10/country/GB/	Cyprus
http://www.semwebtech.org/mondial/10/country/MD/	13.8	4.6	-1.02	republic	66.2	3559541	7932	5.8	1991-08-27	\N	12.93	33700	19.9	MD	http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Moldova
http://www.semwebtech.org/mondial/10/country/RM/	27.3	8.8	2.62	republic	56.3	21842167	10530	\N	1960-06-26	\N	44.88	587041	16.4	RM	http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	http://www.semwebtech.org/mondial/10/country/F/	Madagascar
http://www.semwebtech.org/mondial/10/country/P/	2.6	0.4	0.12	republic; parliamentary democracy	75.2	10561614	219300	16.8	1139-07-25	\N	4.48	92080	22.2	P	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/country/E/	Portugal
http://www.semwebtech.org/mondial/10/country/GNB/	58	1.9	1.93	republic	28.5	1586624	880	\N	1974-09-10	\N	90.92	36120	13.5	GNB	http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	http://www.semwebtech.org/mondial/10/country/P/	Guinea-Bissau
http://www.semwebtech.org/mondial/10/country/RSM/	0.1	2.8	0.87	republic	60.7	32440	1866	7	0301-01-01	\N	4.52	60	39.2	RSM	http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	\N	San Marino
http://www.semwebtech.org/mondial/10/country/A/	1.6	2.1	0.01	federal republic	69.8	8499759	417900	4.9	1918-11-12	\N	4.16	83850	28.6	A	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/territory/Austria-Hungary/	Austria
http://www.semwebtech.org/mondial/10/country/RSA/	2.6	5.8	-0.48	republic	68.4	51770560	353900	24.9	1910-05-31	\N	41.61	1219912	29	RSA	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	http://www.semwebtech.org/mondial/10/country/GB/	South Africa
http://www.semwebtech.org/mondial/10/country/S/	2	0	0.79	constitutional monarchy	66.8	9555893	552000	8.1	\N	\N	2.6	449964	31.3	S	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	\N	Sweden
http://www.semwebtech.org/mondial/10/country/OM/	1	1.6	2.06	monarchy	34.6	3623001	81950	15	1650-01-01	\N	14	212460	64.4	OM	http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	http://www.semwebtech.org/mondial/10/country/P/	Oman
http://www.semwebtech.org/mondial/10/country/GE/	8.5	-0.5	-0.11	republic	69.9	4483800	15950	15	1991-04-09	\N	16.68	69700	21.6	GE	http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Georgia
http://www.semwebtech.org/mondial/10/country/VU/	22.4	1.9	2.01	parliamentary republic	67.9	236299	828	1.7	1980-07-30	\N	16.41	14760	9.7	VU	http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/country/F/	Vanuatu
http://www.semwebtech.org/mondial/10/country/CO/	6.6	2.2	1.07	republic; executive branch dominates government structure	55.6	47661787	369200	9.7	1810-07-20	\N	15.02	1138910	37.8	CO	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	http://www.semwebtech.org/mondial/10/country/E/	Colombia
http://www.semwebtech.org/mondial/10/country/GUAM/	\N	4	0.44	organized	\N	159358	4600	8.2	\N	http://www.semwebtech.org/mondial/10/country/USA/	5.51	541.3	\N	GUAM	http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	\N	Guam
http://www.semwebtech.org/mondial/10/country/USA/	1.1	1.5	0.77	constitution-based federal republic; strong democratic tradition	79.4	318857056	16720000	7.3	1776-07-04	\N	6.17	9372610	19.5	USA	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	http://www.semwebtech.org/mondial/10/country/GB/	United States
http://www.semwebtech.org/mondial/10/country/WG/	5.6	2.4	0.5	parliamentary democracy and a Commonwealth realm	78.5	103328	811	33.5	1974-02-07	\N	10.5	344	15.8	WG	http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/country/GB/	Grenada
http://www.semwebtech.org/mondial/10/country/AND/	14	1.1	0.17	parliamentary democracy that retains as its chiefs of state a co-principality	6	78115	4800	4	1278-09-08	\N	3.69	450	79	AND	http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	\N	Andorra
http://www.semwebtech.org/mondial/10/country/IRL/	1.6	0.6	1.2	republic, parliamentary democracy	70.4	4588252	220900	13.5	1921-12-06	\N	3.74	70280	28	IRL	http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/country/GB/	Ireland
http://www.semwebtech.org/mondial/10/country/AUS/	3.8	2.4	1.09	federal parliamentary democracy and a Commonwealth realm	68.7	23135281	1488000	5.7	1901-01-01	\N	4.43	7686850	27.4	AUS	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/country/GB/	Australia
http://www.semwebtech.org/mondial/10/country/STP/	13.7	8.7	1.89	republic	66.8	187356	311	\N	1975-07-12	\N	49.16	1001	19.5	STP	http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/country/P/	Sao Tome and Principe
http://www.semwebtech.org/mondial/10/country/GB/	0.7	2	0.54	constitutional monarchy and Commonwealth realm	78.9	64105654	2490000	7.2	1801-01-01	\N	4.44	244820	20.5	GB	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	\N	United Kingdom
http://www.semwebtech.org/mondial/10/country/MS/	4.5	3.5	0.66	parliamentary democracy	73.4	1237091	11900	8.3	1968-03-12	\N	10.59	2040	22	MS	http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/country/GB/	Mauritius
http://www.semwebtech.org/mondial/10/country/RN/	35.2	1.9	3.28	republic	50.6	17138707	7304	\N	1960-08-03	\N	86.27	1267000	14.2	RN	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/country/F/	Niger
http://www.semwebtech.org/mondial/10/country/MEX/	3.6	4	1.21	federal republic	59.8	112336538	1327000	4.9	1810-09-16	\N	12.58	1972550	36.6	MEX	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	http://www.semwebtech.org/mondial/10/country/E/	Mexico
http://www.semwebtech.org/mondial/10/country/RL/	4.6	5	9.37	republic	75.4	4341092	43490	\N	1943-11-22	\N	7.98	10400	20	RL	http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	http://www.semwebtech.org/mondial/10/organization/UN/	Lebanon
http://www.semwebtech.org/mondial/10/country/HELX/	\N	\N	0.45	British Overseas Territories	\N	5663	18	\N	\N	http://www.semwebtech.org/mondial/10/country/GB/	17.63	413	\N	HELX	http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	\N	Saint Helena
http://www.semwebtech.org/mondial/10/country/VIRG/	1	2.2	-0.56	organized	80	106405	1200	6.2	\N	http://www.semwebtech.org/mondial/10/country/USA/	6.79	352	19	VIRG	http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	\N	Virgin Islands
http://www.semwebtech.org/mondial/10/country/JOR/	3.2	5.9	3.86	constitutional monarchy	67	6249000	34080	14	1946-05-25	\N	15.73	89213	29.9	JOR	http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	http://www.semwebtech.org/mondial/10/organization/UN/	Jordan
http://www.semwebtech.org/mondial/10/country/SME/	8.9	4.2	1.12	constitutional democracy	54.5	541638	5009	9	1975-11-25	\N	27.07	163270	36.6	SME	http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	http://www.semwebtech.org/mondial/10/country/NL/	Suriname
http://www.semwebtech.org/mondial/10/country/GAZA/	\N	5.7	4.55	\N	\N	1760037	1700	\N	\N	\N	30.6	365	\N	GAZA	\N	\N	Gaza Strip
http://www.semwebtech.org/mondial/10/country/IS/	5.9	3.9	0.65	constitutional republic	71.2	318452	14590	4.5	1944-06-17	\N	3.15	103000	22.9	IS	http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/country/DK/	Iceland
http://www.semwebtech.org/mondial/10/country/TOK/	\N	\N	-0.01	\N	\N	1383	1.5	\N	\N	http://www.semwebtech.org/mondial/10/country/NZ/	\N	12	\N	TOK	http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	\N	Tokelau
http://www.semwebtech.org/mondial/10/country/CN/	10	2.6	0.44	Communist state	46.1	1360720000	9330000	4.1	\N	\N	14.79	9596960	43.9	CN	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	\N	China
http://www.semwebtech.org/mondial/10/country/Q/	0.1	3.1	3.58	emirate	27.7	1699435	213100	0.3	1971-09-03	\N	6.42	11000	72.2	Q	http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	http://www.semwebtech.org/mondial/10/country/GB/	Qatar
http://www.semwebtech.org/mondial/10/country/IND/	17.4	9.6	1.25	federal republic	56.9	1210854977	1670000	8.8	1947-08-15	\N	43.19	3287590	25.8	IND	http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	http://www.semwebtech.org/mondial/10/country/GB/	India
http://www.semwebtech.org/mondial/10/country/SN/	14.9	0.8	2.48	republic	62.4	13508715	15360	48	1960-08-20	\N	52.72	196190	22.7	SN	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/country/F/	Senegal
http://www.semwebtech.org/mondial/10/country/NOK/	23.4	\N	0.53	Communist state one-man dictatorship	29.4	24500520	28000	\N	1945-08-15	\N	24.5	120540	47.2	NOK	http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	http://www.semwebtech.org/mondial/10/country/J/	North Korea
http://www.semwebtech.org/mondial/10/country/COOK/	5.1	2.2	-3	self-governing parliamentary democracy	82.1	17794	183.2	13.1	\N	http://www.semwebtech.org/mondial/10/country/NZ/	14.33	240	12.7	COOK	http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	\N	Cook Islands
http://www.semwebtech.org/mondial/10/country/ROU/	7.5	8.3	0.26	constitutional republic	71	3286314	57110	6.5	1828-08-25	\N	8.97	176220	21.5	ROU	http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	http://www.semwebtech.org/mondial/10/country/BR/	Uruguay
http://www.semwebtech.org/mondial/10/country/MW/	29.4	26.9	3.33	multiparty democracy	51.7	15013694	3683	\N	1964-07-06	\N	48.01	118480	18.9	MW	http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	http://www.semwebtech.org/mondial/10/country/GB/	Malawi
http://www.semwebtech.org/mondial/10/country/HONX/	0	4.4	0.41	limited democracy	93	7071576	272100	3.1	\N	http://www.semwebtech.org/mondial/10/country/CN/	2.73	1092	6.9	HONX	http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	\N	Hong Kong
http://www.semwebtech.org/mondial/10/country/RCA/	56.6	7	2.13	republic	28.9	4349921	2050	8	1960-08-13	\N	92.86	622980	14.5	RCA	http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	http://www.semwebtech.org/mondial/10/country/F/	Central African Republic
http://www.semwebtech.org/mondial/10/country/WAFU/	\N	2.8	0.33	parliamentary representative democratic French overseas collectivity	\N	12197	60	12.2	\N	http://www.semwebtech.org/mondial/10/country/F/	4.49	274	\N	WAFU	http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	\N	Wallis and Futuna
http://www.semwebtech.org/mondial/10/country/SYR/	17.6	59.1	-9.73	republic under an authoritarian regime	60.2	20866000	64700	17.8	1946-04-17	\N	15.79	185180	22.2	SYR	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	http://www.semwebtech.org/mondial/10/organization/UN/	Syria
http://www.semwebtech.org/mondial/10/country/RG/	22.9	11.9	2.63	republic	30.5	10628972	6544	\N	1958-10-02	\N	55.24	245860	46.5	RG	http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	http://www.semwebtech.org/mondial/10/country/F/	Guinea
http://www.semwebtech.org/mondial/10/country/ROK/	2.6	1.1	0.16	republic	58.2	51141463	1198000	3.2	1945-08-15	\N	3.93	98480	39.2	ROK	http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	http://www.semwebtech.org/mondial/10/country/J/	South Korea
http://www.semwebtech.org/mondial/10/country/XMAS/	\N	\N	\N	territory of Australia	\N	2072	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/AUS/	\N	135	\N	XMAS	http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	\N	Christmas Island
http://www.semwebtech.org/mondial/10/country/NAM/	7.7	5.5	0.67	republic	62.6	2113077	12300	27.4	1990-03-21	\N	45.64	825418	29.6	NAM	http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	http://www.semwebtech.org/mondial/10/organization/UN/	Namibia
http://www.semwebtech.org/mondial/10/country/CL/	10.6	4.7	0.86	republic	57	20263723	65120	5.1	1948-02-04	\N	9.02	65610	32.4	CL	http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/country/GB/	Sri Lanka
http://www.semwebtech.org/mondial/10/country/AG/	2.2	3	1.25	constitutional monarchy with a parliamentary system of government and a Commonwealth realm	81.4	81799	1220	11	1981-11-01	\N	13.29	442	16.4	AG	http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/country/GB/	Antigua and Barbuda
http://www.semwebtech.org/mondial/10/country/PR/	0.7	0.9	-0.65	commonwealth	50.5	3725789	93520	16	\N	http://www.semwebtech.org/mondial/10/country/USA/	7.73	8870	48.8	PR	http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	\N	Puerto Rico
http://www.semwebtech.org/mondial/10/country/R/	4.2	6.8	-0.03	federation	58.3	143666931	2113000	5.8	1991-08-24	\N	7.08	17075200	37.5	R	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Russia
http://www.semwebtech.org/mondial/10/country/UZB/	19.1	10.1	0.93	republic; authoritarian presidential rule with little power outside the executive branch	48.7	27769270	55180	4.9	1991-08-31	\N	19.84	447400	32.2	UZB	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Uzbekistan
http://www.semwebtech.org/mondial/10/country/NORF/	\N	\N	\N	territory of Australia	\N	2169	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/AUS/	\N	34.6	\N	NORF	http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	\N	Norfolk Island
http://www.semwebtech.org/mondial/10/country/BF/	33.6	2.1	3.05	parliamentary republic	42.8	17322796	12130	77	1960-08-05	\N	76.8	274200	23.6	BF	http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	http://www.semwebtech.org/mondial/10/country/F/	Burkina Faso
http://www.semwebtech.org/mondial/10/country/BG/	6.7	1.5	-0.83	parliamentary democracy	63	7284552	53700	11.6	1908-09-22	\N	15.08	110910	30.3	BG	http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Bulgaria
http://www.semwebtech.org/mondial/10/country/KOS/	12.9	1.8	\N	republic	64.5	1733872	7150	30.9	2008-02-17	\N	\N	10887	22.6	KOS	http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	http://www.semwebtech.org/mondial/10/country/SRB/	Kosovo
http://www.semwebtech.org/mondial/10/country/WV/	5.4	2.8	-0.29	parliamentary democracy and a Commonwealth realm	74.4	109991	742	18.8	1979-10-27	\N	13.07	389	20.3	WV	http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/country/GB/	Saint Vincent and the Grenadines
http://www.semwebtech.org/mondial/10/country/NMIS/	1.7	-2.7	1.13	commonwealth; self-governing with locally elected governor, lieutenant governor, and legislature	95	53883	733	11.2	\N	http://www.semwebtech.org/mondial/10/country/USA/	5.5	477	3.3	NMIS	http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	\N	Northern Mariana Islands
\.


--
-- TOC entry 6009 (class 0 OID 92482)
-- Dependencies: 882
-- Data for Name: Desert; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Desert" ("URI", area, type, latitude, longitude, name) FROM stdin;
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	200000	\N	30	-1	Grand Erg Ouest
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	176500	sand	-25	137	Simpson Desert
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	37500	\N	44	72	Mujunkum
http://www.semwebtech.org/mondial/10/desert/Trarza/	50000	\N	18	-15	Trarza
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	200000	\N	44	65	Kysylkum
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	150000	\N	27	-5	Erg Igidi
http://www.semwebtech.org/mondial/10/desert/Tenere/	600000	sand	18	11	Tenere
http://www.semwebtech.org/mondial/10/desert/Karakum/	400000	\N	40	60	Karakum
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	300000	sand	38	82	TaklaMakan
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	150000	\N	31	8	Grand Erg Est
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	166000	\N	32.5	57	Dascht-e-Lut
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	424400	\N	-29	129	Great Victoria Desert
http://www.semwebtech.org/mondial/10/desert/Ferlo/	70000	\N	15	-14	Ferlo
http://www.semwebtech.org/mondial/10/desert/Thar/	240000	\N	27.5	72	Thar
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	310800	\N	-23	125	Gibson Desert
http://www.semwebtech.org/mondial/10/desert/Nefud/	78000	sand	28	42	Nefud
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	77600	\N	32.5	55	Dascht-e-Kavir
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	80000	\N	28	8	Erg Isaouane
http://www.semwebtech.org/mondial/10/desert/Negev/	12000	\N	30.5	35	Negev
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	50000	\N	33	26	Arabian Desert
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	25000	\N	27	-10	Saguia el-Hamra
http://www.semwebtech.org/mondial/10/desert/Tanami/	37500	sand	-20	130	Tanami
http://www.semwebtech.org/mondial/10/desert/Sonora/	320000	\N	32	-113	Sonora
http://www.semwebtech.org/mondial/10/desert/RedCentre/	1000000	sand	-26	135	Red Centre
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	518000	\N	33	39	Syrian Desert
http://www.semwebtech.org/mondial/10/desert/Djourab/	100000	\N	17	18	Djourab
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	360000	sand	-20	123	Great Sandy Desert
http://www.semwebtech.org/mondial/10/desert/Namib/	95000	sand	-25	15	Namib
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	200000	lime	-31	129	Nullarbor Plain
http://www.semwebtech.org/mondial/10/desert/KumTagh/	22000	sand	40	92	Kum Tagh
http://www.semwebtech.org/mondial/10/desert/Rigestan/	25000	\N	30	65	Rigestan
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	337000	\N	36	-110	Colorado Plateau
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	80000	\N	21	-11	Erg Ouarane
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	35000	\N	\N	\N	Hamada du Draa
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	10360	\N	41	-114	Great Salt Lake Desert
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	40000	\N	22	-11	Erg Maqteir
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	300000	\N	38	-117	Great Basin
http://www.semwebtech.org/mondial/10/desert/Mojave/	57000	\N	36.2	-115.2	Mojave
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	780000	sand	21	51	Rub Al Chali
http://www.semwebtech.org/mondial/10/desert/UstUrt/	180000	\N	43	56	Ust Urt
http://www.semwebtech.org/mondial/10/desert/Ryn/	80000	\N	48	47	Ryn
http://www.semwebtech.org/mondial/10/desert/Gobi/	1000000	\N	41	105	Gobi
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	360000	\N	31	-105	Chihuahua
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	48800	\N	45	87.5	Gurbantunggut
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	200000	\N	23	22	Erg Rebiana
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	13000	\N	-29	141	Sturt Desert
http://www.semwebtech.org/mondial/10/desert/Talak/	100000	sand	17	6	Talak
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	30000	\N	31	-116	Baja California Desert
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	1100000	\N	\N	\N	Libyan Desert
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	84000	\N	30	12	Hamada al-Hamra
http://www.semwebtech.org/mondial/10/desert/Kalahari/	1200000	\N	-22	21	Kalahari
http://www.semwebtech.org/mondial/10/desert/Darfur/	500000	\N	15	27	Darfur
http://www.semwebtech.org/mondial/10/desert/Owyhee/	36000	\N	42	-117	Owyhee
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	180000	\N	18	22	Erdi Ennedi
http://www.semwebtech.org/mondial/10/desert/Fesan/	300000	\N	26	13	Fesan
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	50000	\N	32	21	Nubian Desert
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	40000	\N	31	62	Dascht-e-Margoh
http://www.semwebtech.org/mondial/10/desert/Qaidam/	120000	\N	37.5	95	Qaidam
http://www.semwebtech.org/mondial/10/desert/ErgChech/	10000	\N	25	-3	Erg Chech
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	160000	\N	23	0	Tanezrouft
http://www.semwebtech.org/mondial/10/desert/Atacama/	181300	\N	-24.5	-69.25	Atacama
http://www.semwebtech.org/mondial/10/desert/Ordos/	90000	\N	38	108	Ordos
\.


--
-- TOC entry 6010 (class 0 OID 92488)
-- Dependencies: 883
-- Data for Name: Encompassed; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Encompassed" ("URI", percent, "encompassedArea", "encompassedBy") FROM stdin;
7b93e6a1:150814fecb6:-7c3	100	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-74b	100	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78a	100	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7a2	100	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7ed	100	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-794	100	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-757	100	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f1	100	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-808	100	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b4	100	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7de	100	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-73a	100	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-785	100	http://www.semwebtech.org/mondial/10/country/SBAR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-748	100	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7e2	100	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7a5	100	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7cf	100	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-72b	100	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-776	100	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-739	100	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7d3	100	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7fd	100	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-767	100	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-80a	100	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c4	100	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-720	100	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7ee	100	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-74a	100	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-795	100	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-758	100	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f2	100	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-747	100	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7e1	100	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7a4	100	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7ce	100	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-72a	100	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-775	100	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-738	100	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79f	100	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-809	100	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b5	100	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7df	100	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-73b	100	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-786	100	http://www.semwebtech.org/mondial/10/country/SMAR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-749	100	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7e3	100	http://www.semwebtech.org/mondial/10/country/GBM/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7a6	100	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-72c	100	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-777	100	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d4	100	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-730	100	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7fe	75	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-75a	100	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-768	100	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-80b	100	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c5	100	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-721	100	http://www.semwebtech.org/mondial/10/country/REUN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7ef	100	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-796	100	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-759	100	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f3	100	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b6	100	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-73c	100	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-800	100	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-787	100	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e4	100	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-740	100	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7a7	100	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-76a	100	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-72d	100	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-778	100	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d5	100	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-731	100	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7ff	25	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-75b	100	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-71e	100	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-769	100	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-80c	100	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c6	100	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-722	100	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-74c	100	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-810	100	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-797	100	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f4	100	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-750	100	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7b7	100	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-77a	100	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-73d	100	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-801	100	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-788	100	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e5	100	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-741	100	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7a8	100	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-76b	100	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-72e	100	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-779	100	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d6	100	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-732	100	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-75c	100	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-71f	100	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-80d	100	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-760	100	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7c7	100	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-723	100	http://www.semwebtech.org/mondial/10/country/MAYO/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-74d	100	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-811	100	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-798	100	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7aa	100	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7f5	97	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-751	100	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7b8	100	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-77b	100	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-73e	100	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-802	100	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-789	100	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e6	100	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-742	100	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7a9	100	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-76c	100	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-72f	100	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-770	100	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d7	100	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-733	100	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79a	100	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-75d	100	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-80e	100	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7ba	78	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-761	100	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7c8	94.6	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-724	100	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78b	100	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-74e	100	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-812	100	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-799	100	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7ab	100	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7f6	3	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-752	100	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7b9	22	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-77c	100	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-73f	100	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-803	100	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-780	100	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e7	100	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-743	100	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-76d	100	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7a0	100	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7ca	100	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-771	100	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d8	100	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-734	100	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79b	100	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-75e	100	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-80f	100	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7bb	92.7	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-762	100	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7c9	5.4	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-725	100	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78c	100	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-74f	100	http://www.semwebtech.org/mondial/10/country/WSA/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-813	100	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7ac	100	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-790	100	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f7	100	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-753	100	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-77d	100	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-804	100	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b0	100	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7da	100	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-781	100	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e8	100	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-744	100	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-76e	100	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7a1	100	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7cb	100	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-772	100	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d9	100	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-735	100	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79c	100	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-75f	100	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7bc	7.3	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-763	100	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-726	100	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78d	100	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-814	100	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c0	100	http://www.semwebtech.org/mondial/10/country/COCO/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7ea	100	http://www.semwebtech.org/mondial/10/country/CEU/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7ad	100	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-791	100	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f8	100	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-754	100	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-77e	100	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-805	100	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b1	100	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7db	100	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-782	100	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e9	100	http://www.semwebtech.org/mondial/10/country/MEL/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-745	100	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-76f	100	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7cc	100	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-773	100	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-736	100	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79d	100	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7d0	100	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7fa	100	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7bd	100	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-764	100	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-727	100	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78e	100	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-815	100	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c1	100	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7eb	100	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7ae	100	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-792	100	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f9	100	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-755	100	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-77f	100	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-806	100	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b2	100	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7dc	100	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-783	100	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-746	100	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7e0	100	http://www.semwebtech.org/mondial/10/country/SVAX/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7a3	100	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7cd	100	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-774	100	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-737	100	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79e	100	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7d1	100	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7fb	100	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7be	100	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-765	100	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-728	100	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78f	100	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-816	100	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c2	100	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7ec	100	http://www.semwebtech.org/mondial/10/country/GBG/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7af	100	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-793	100	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-756	100	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7f0	100	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-807	100	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b3	100	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7dd	100	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-784	100	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7d2	100	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7fc	100	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7bf	100	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-766	100	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-729	100	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/continent/Africa/
\.


--
-- TOC entry 6011 (class 0 OID 92494)
-- Dependencies: 884
-- Data for Name: Estuary; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Estuary" ("URI", longitude, elevation, latitude, "hasEstuary-") FROM stdin;
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	-7.65	\N	37.35	http://www.semwebtech.org/mondial/10/river/Guadiana/
http://www.semwebtech.org/mondial/10/estuary/Inn/	13.47	\N	48.57	http://www.semwebtech.org/mondial/10/river/Inn/
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	25.2	\N	65.3	http://www.semwebtech.org/mondial/10/river/Oulujoki/
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	-6.35	\N	36.8	http://www.semwebtech.org/mondial/10/river/Guadalquivir/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	-82.2	\N	43	http://www.semwebtech.org/mondial/10/river/DetroitRiver/
http://www.semwebtech.org/mondial/10/estuary/Breg/	8.52	\N	47.95	http://www.semwebtech.org/mondial/10/river/Breg/
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	-70.811944	\N	42.819444	http://www.semwebtech.org/mondial/10/river/MerrimackRiver/
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	30.23	\N	46.35	http://www.semwebtech.org/mondial/10/river/Dnjestr/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	68.3	\N	37.1	http://www.semwebtech.org/mondial/10/river/Pjandsh/
http://www.semwebtech.org/mondial/10/estuary/Lomami/	24	\N	-0.8	http://www.semwebtech.org/mondial/10/river/Lomami/
http://www.semwebtech.org/mondial/10/estuary/Buna/	19.35	\N	41.85	http://www.semwebtech.org/mondial/10/river/Buna/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	96	\N	17	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/estuary/Bartang/	71.6	\N	37.9	http://www.semwebtech.org/mondial/10/river/Bartang/
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	59	\N	44	http://www.semwebtech.org/mondial/10/river/Amudarja/
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	-80	\N	40.42	http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	25.2	\N	0.5	http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/estuary/Newa/	30.17	\N	59.95	http://www.semwebtech.org/mondial/10/river/Newa/
http://www.semwebtech.org/mondial/10/estuary/Swir/	32.79	\N	60.51	http://www.semwebtech.org/mondial/10/river/Swir/
http://www.semwebtech.org/mondial/10/estuary/Kasai/	17.4	\N	3.3	http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/estuary/Drina/	19.35	\N	44.9	http://www.semwebtech.org/mondial/10/river/Drina/
http://www.semwebtech.org/mondial/10/estuary/Saone/	4.8	\N	45.7	http://www.semwebtech.org/mondial/10/river/Saone/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	-124.06	\N	46.24	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	79.1	\N	43.25	http://www.semwebtech.org/mondial/10/river/NiagaraRiver/
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	-91	\N	34	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	-92.33	\N	57.15	http://www.semwebtech.org/mondial/10/river/NelsonRiver/
http://www.semwebtech.org/mondial/10/estuary/Schari/	14	\N	13.2	http://www.semwebtech.org/mondial/10/river/Schari/
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	-68.15	\N	49.2	http://www.semwebtech.org/mondial/10/river/Manicouagan/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	30.05	\N	60.75	http://www.semwebtech.org/mondial/10/river/Paatsjoki/
http://www.semwebtech.org/mondial/10/estuary/Doubs/	5	\N	46.9	http://www.semwebtech.org/mondial/10/river/Doubs/
http://www.semwebtech.org/mondial/10/estuary/Tiber/	12.23	\N	41.74	http://www.semwebtech.org/mondial/10/river/Tiber/
http://www.semwebtech.org/mondial/10/estuary/Mosel/	7.61	\N	50.37	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/estuary/Ob/	71.35	\N	66.48	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	-48.73	\N	-5.37	http://www.semwebtech.org/mondial/10/river/Araguaia/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	36	\N	-19	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/estuary/Argun/	121.48	\N	53.33	http://www.semwebtech.org/mondial/10/river/Argun/
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	29.5	\N	2.5	http://www.semwebtech.org/mondial/10/river/Aruwimi/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	-50	\N	0	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	-83.9	\N	46.6	http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/
http://www.semwebtech.org/mondial/10/estuary/Sanga/	17	\N	-2	http://www.semwebtech.org/mondial/10/river/Sanga/
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	20.4	\N	42.1	http://www.semwebtech.org/mondial/10/river/BlackDrin/
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	24.45	\N	65.77	http://www.semwebtech.org/mondial/10/river/Kemijoki/
http://www.semwebtech.org/mondial/10/estuary/Okavango/	22.5	\N	-18.95	http://www.semwebtech.org/mondial/10/river/Okavango/
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	-64.8	\N	49.6	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/estuary/Lagen/	11.45	\N	61.1	http://www.semwebtech.org/mondial/10/river/Lagen/
http://www.semwebtech.org/mondial/10/estuary/Don/	39.4	\N	47.1	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	17.4	\N	3.3	http://www.semwebtech.org/mondial/10/river/Cuilo/
http://www.semwebtech.org/mondial/10/estuary/Tobol/	68.25	\N	58.2	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	24.1	\N	57	http://www.semwebtech.org/mondial/10/river/WesternDwina/
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	-84.75	\N	45.8	http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/
http://www.semwebtech.org/mondial/10/estuary/Atbara/	33.97	\N	17.68	http://www.semwebtech.org/mondial/10/river/Atbara/
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	68.93	\N	61.07	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/estuary/Ticino/	9.235	\N	45.14	http://www.semwebtech.org/mondial/10/river/Ticino/
http://www.semwebtech.org/mondial/10/estuary/Douro/	-8.66	\N	41.15	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/estuary/Mekong/	107	\N	9	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/estuary/Ammer/	11.96	\N	48.5	http://www.semwebtech.org/mondial/10/river/Ammer/
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	15.1	\N	60.7	http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/
http://www.semwebtech.org/mondial/10/estuary/Karasu/	38.75	\N	38.8	http://www.semwebtech.org/mondial/10/river/Karasu/
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	34	\N	-25.2	http://www.semwebtech.org/mondial/10/river/Limpopo/
http://www.semwebtech.org/mondial/10/estuary/Glomma/	10.95	\N	59.2	http://www.semwebtech.org/mondial/10/river/Glomma/
http://www.semwebtech.org/mondial/10/estuary/Rhone/	4.84	\N	43.33	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/estuary/Karun/	48.17	\N	30.43	http://www.semwebtech.org/mondial/10/river/Karun/
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	-73.75	\N	-10.7	http://www.semwebtech.org/mondial/10/river/Urubamba/
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	16.9	\N	3	http://www.semwebtech.org/mondial/10/river/Lukenie/
http://www.semwebtech.org/mondial/10/estuary/Zaire/	12	\N	-6	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	27	\N	-6	http://www.semwebtech.org/mondial/10/river/Lukuga/
http://www.semwebtech.org/mondial/10/estuary/Uelle/	22.5	\N	4	http://www.semwebtech.org/mondial/10/river/Uelle/
http://www.semwebtech.org/mondial/10/estuary/Jordan/	35.5	\N	31.3	http://www.semwebtech.org/mondial/10/river/Jordan/
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	9.65	\N	3.55	http://www.semwebtech.org/mondial/10/river/Sanaga/
http://www.semwebtech.org/mondial/10/estuary/Loire/	-2.18	\N	47.27	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	29.3	\N	-3.4	http://www.semwebtech.org/mondial/10/river/Ruzizi/
http://www.semwebtech.org/mondial/10/estuary/Niger/	6.42	\N	5.32	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/estuary/Leine/	9.59	\N	52.72	http://www.semwebtech.org/mondial/10/river/Leine/
http://www.semwebtech.org/mondial/10/estuary/Naryn/	71.7	\N	41	http://www.semwebtech.org/mondial/10/river/Naryn/
http://www.semwebtech.org/mondial/10/estuary/Aller/	9.18	\N	52.94	http://www.semwebtech.org/mondial/10/river/Aller/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	-97.18	\N	25.96	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	141.9	\N	-34.1	http://www.semwebtech.org/mondial/10/river/DarlingRiver/
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	24.4	\N	66.3	http://www.semwebtech.org/mondial/10/river/Ounasjoki/
http://www.semwebtech.org/mondial/10/estuary/Oka/	44	\N	56.3	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	11.9	\N	57.7	http://www.semwebtech.org/mondial/10/river/Goetaaelv/
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	-58.76	\N	-3.4	http://www.semwebtech.org/mondial/10/river/RioMadeira/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	-83.7	\N	10.9	http://www.semwebtech.org/mondial/10/river/RioSanJuan/
http://www.semwebtech.org/mondial/10/estuary/Vaal/	24	\N	-29	http://www.semwebtech.org/mondial/10/river/Vaal/
http://www.semwebtech.org/mondial/10/estuary/Enns/	14.52	\N	48.24	http://www.semwebtech.org/mondial/10/river/Enns/
http://www.semwebtech.org/mondial/10/estuary/Saar/	6.6	\N	49.7	http://www.semwebtech.org/mondial/10/river/Saar/
http://www.semwebtech.org/mondial/10/estuary/Kama/	50.3	\N	55.4	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	119.14	\N	37.74	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/estuary/Lech/	10.93	\N	48.73	http://www.semwebtech.org/mondial/10/river/Lech/
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	115	\N	73	http://www.semwebtech.org/mondial/10/river/Chatanga/
http://www.semwebtech.org/mondial/10/estuary/Dnister/	30.23	\N	46.35	http://www.semwebtech.org/mondial/10/river/Dnister/
http://www.semwebtech.org/mondial/10/estuary/Oder/	14.59	\N	53.6	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	-58.4	\N	-27.3	http://www.semwebtech.org/mondial/10/river/Paraguay/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	22.5	\N	4	http://www.semwebtech.org/mondial/10/river/Bomu/
http://www.semwebtech.org/mondial/10/estuary/Gambia/	-16.6	\N	13.5	http://www.semwebtech.org/mondial/10/river/Gambia/
http://www.semwebtech.org/mondial/10/estuary/Tara/	18.8	\N	43.35	http://www.semwebtech.org/mondial/10/river/Tara/
http://www.semwebtech.org/mondial/10/estuary/Main/	8.29	\N	49.99	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/estuary/Ural/	51.9	\N	47.1	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	-60	\N	-3.1	http://www.semwebtech.org/mondial/10/river/RioNegro/
http://www.semwebtech.org/mondial/10/estuary/Adda/	9.88	\N	45.13	http://www.semwebtech.org/mondial/10/river/Adda/
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	13.5	\N	59.4	http://www.semwebtech.org/mondial/10/river/Klaraelv/
http://www.semwebtech.org/mondial/10/estuary/Parana/	-58.2	\N	-34.5	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	20.8	\N	-0.2	http://www.semwebtech.org/mondial/10/river/Tshuapa/
http://www.semwebtech.org/mondial/10/estuary/Shabelle/	42.76	\N	0.5	http://www.semwebtech.org/mondial/10/river/Shabelle/
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	-105.6	\N	21.5	http://www.semwebtech.org/mondial/10/river/RioLerma/
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	-49.16	\N	-1.73	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	-74	\N	40.7	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	32.252	\N	46.5257	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	30.5	\N	51.15	http://www.semwebtech.org/mondial/10/river/Prypjat/
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	-119.43	\N	39.85	http://www.semwebtech.org/mondial/10/river/TruckeeRiver/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	30.9	\N	1.7	http://www.semwebtech.org/mondial/10/river/Semliki/
http://www.semwebtech.org/mondial/10/estuary/Tigris/	47.44	\N	31	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/estuary/Olt/	24.8	\N	43.7	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/estuary/Petschora/	54	\N	68.5	http://www.semwebtech.org/mondial/10/river/Petschora/
http://www.semwebtech.org/mondial/10/estuary/Drau/	18.93	\N	45.54	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/estuary/Kwa/	16.1967	\N	-3.1765	http://www.semwebtech.org/mondial/10/river/Kwa/
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	20.4	\N	42.1	http://www.semwebtech.org/mondial/10/river/WhiteDrin/
http://www.semwebtech.org/mondial/10/estuary/Volga/	47.85	\N	46.733333333333	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/estuary/Piva/	18.8	\N	43.35	http://www.semwebtech.org/mondial/10/river/Piva/
http://www.semwebtech.org/mondial/10/estuary/Mur/	16.88	\N	46.3	http://www.semwebtech.org/mondial/10/river/Mur/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	-114.8	\N	31.81	http://www.semwebtech.org/mondial/10/river/Colorado/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	33.2	\N	8.45	http://www.semwebtech.org/mondial/10/river/Pibor/
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	-97.97	\N	52.77	http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/estuary/Würm/	11.5	\N	48.3	http://www.semwebtech.org/mondial/10/river/Würm/
http://www.semwebtech.org/mondial/10/estuary/Sobat/	31.65	\N	9.63	http://www.semwebtech.org/mondial/10/river/Sobat/
http://www.semwebtech.org/mondial/10/estuary/Lena/	126.69187	\N	72.4005	http://www.semwebtech.org/mondial/10/river/Lena/
http://www.semwebtech.org/mondial/10/estuary/Alz/	12.8	\N	48.3	http://www.semwebtech.org/mondial/10/river/Alz/
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	18.95	\N	54.36	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/estuary/Isar/	12.98	\N	48.8	http://www.semwebtech.org/mondial/10/river/Isar/
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	30.9	\N	1.7	http://www.semwebtech.org/mondial/10/river/VictoriaNile/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	121.5	\N	32	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	20.1	\N	63.5	http://www.semwebtech.org/mondial/10/river/Umeaelv/
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	148.6	\N	-36.3	http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/
http://www.semwebtech.org/mondial/10/estuary/Po/	12.43	\N	44.95	http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	-88.63	\N	37.07	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	28.7	\N	-9	http://www.semwebtech.org/mondial/10/river/Luapula/
http://www.semwebtech.org/mondial/10/estuary/Bani/	-4.2	\N	14.52	http://www.semwebtech.org/mondial/10/river/Bani/
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	-75.62	\N	-5.1	http://www.semwebtech.org/mondial/10/river/Huallaga/
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	-89.25	\N	29.15	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	-67.1	\N	-18.55	http://www.semwebtech.org/mondial/10/river/RioDesaguadero/
http://www.semwebtech.org/mondial/10/estuary/Ili/	74.15	\N	45.4	http://www.semwebtech.org/mondial/10/river/Ili/
http://www.semwebtech.org/mondial/10/estuary/Neckar/	8.44	\N	49.51	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	26.5	\N	60.3	http://www.semwebtech.org/mondial/10/river/Kymijoki/
http://www.semwebtech.org/mondial/10/estuary/Fimi/	16.9	\N	3	http://www.semwebtech.org/mondial/10/river/Fimi/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	-36.4	\N	-10.5	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/estuary/Perene/	-74.23	\N	-11.15	http://www.semwebtech.org/mondial/10/river/Perene/
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	-73.97	\N	-12.26	http://www.semwebtech.org/mondial/10/river/Apurimac/
http://www.semwebtech.org/mondial/10/estuary/Fulda/	9.65	\N	51.4	http://www.semwebtech.org/mondial/10/river/Fulda/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	-16.5	\N	15.96	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	143.22	\N	-34.73	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/estuary/Marne/	2.4	\N	48.8	http://www.semwebtech.org/mondial/10/river/Marne/
http://www.semwebtech.org/mondial/10/estuary/Werra/	9.65	\N	51.4	http://www.semwebtech.org/mondial/10/river/Werra/
http://www.semwebtech.org/mondial/10/estuary/Seine/	0.1	\N	49.42	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	-163.98	\N	62.574	http://www.semwebtech.org/mondial/10/river/YukonRiver/
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	21.08	\N	52.5	http://www.semwebtech.org/mondial/10/river/WesternBug/
http://www.semwebtech.org/mondial/10/estuary/Raab/	17.63	\N	47.69	http://www.semwebtech.org/mondial/10/river/Raab/
http://www.semwebtech.org/mondial/10/estuary/Baro/	33.2	\N	8.45	http://www.semwebtech.org/mondial/10/river/Baro/
http://www.semwebtech.org/mondial/10/estuary/Elbe/	8.71	\N	53.89	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/estuary/Nile/	31	\N	31.5	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/estuary/BlueNile/	32.5	\N	15.6	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/estuary/Ruki/	18	\N	0	http://www.semwebtech.org/mondial/10/river/Ruki/
http://www.semwebtech.org/mondial/10/estuary/Selenge/	92.5	\N	58.2	http://www.semwebtech.org/mondial/10/river/Selenge/
http://www.semwebtech.org/mondial/10/estuary/Narew/	20.67	\N	52.43	http://www.semwebtech.org/mondial/10/river/Narew/
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	-62	\N	9	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/estuary/Limmat/	8.236313	\N	47.501794	http://www.semwebtech.org/mondial/10/river/Limmat/
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	31.54	\N	60.81	http://www.semwebtech.org/mondial/10/river/Vuoksi/
http://www.semwebtech.org/mondial/10/estuary/Mincio/	10.95	\N	45.1	http://www.semwebtech.org/mondial/10/river/Mincio/
http://www.semwebtech.org/mondial/10/estuary/Aare/	8.22	\N	47.61	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/estuary/Moraca/	19.15	\N	42.25	http://www.semwebtech.org/mondial/10/river/Moraca/
http://www.semwebtech.org/mondial/10/estuary/Benue/	6.75	\N	7.78	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/estuary/Missouri/	-90.12	\N	38.81	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/estuary/Save/	20.4667	\N	44.8	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/estuary/Etsch/	7.09	\N	44.8	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/estuary/Tajo/	-9.3	\N	38.7	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	15.1	\N	60.7	http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/
http://www.semwebtech.org/mondial/10/estuary/Akagera/	33	\N	-1	http://www.semwebtech.org/mondial/10/river/Akagera/
http://www.semwebtech.org/mondial/10/estuary/Brigach/	8.52	\N	47.95	http://www.semwebtech.org/mondial/10/river/Brigach/
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	-135.02	\N	69.2	http://www.semwebtech.org/mondial/10/river/MackenzieRiver/
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	47.44	\N	31	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	161.49	\N	69.63	http://www.semwebtech.org/mondial/10/river/Kolyma/
http://www.semwebtech.org/mondial/10/estuary/Moldau/	14.47	\N	50.35	http://www.semwebtech.org/mondial/10/river/Moldau/
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	21.4	\N	43.7	http://www.semwebtech.org/mondial/10/river/SouthernMorava/
http://www.semwebtech.org/mondial/10/estuary/Narva/	28.04	\N	59.46	http://www.semwebtech.org/mondial/10/river/Narva/
http://www.semwebtech.org/mondial/10/estuary/Suchona/	60.9	\N	46.3	http://www.semwebtech.org/mondial/10/river/Suchona/
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	148.55	\N	-37.6	http://www.semwebtech.org/mondial/10/river/SnowyRiver/
http://www.semwebtech.org/mondial/10/estuary/Ischim/	71.5	\N	58	http://www.semwebtech.org/mondial/10/river/Ischim/
http://www.semwebtech.org/mondial/10/estuary/Katun/	85	\N	52.43	http://www.semwebtech.org/mondial/10/river/Katun/
http://www.semwebtech.org/mondial/10/estuary/Busira/	19	\N	-0.3	http://www.semwebtech.org/mondial/10/river/Busira/
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	21.4	\N	43.7	http://www.semwebtech.org/mondial/10/river/WesternMorava/
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	40.5333	\N	64.55	http://www.semwebtech.org/mondial/10/river/NorthernDwina/
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	17.2	\N	60.7	http://www.semwebtech.org/mondial/10/river/Dalaelv/
http://www.semwebtech.org/mondial/10/estuary/March/	16.98	\N	48.17	http://www.semwebtech.org/mondial/10/river/March/
http://www.semwebtech.org/mondial/10/estuary/Murat/	38.75	\N	38.8	http://www.semwebtech.org/mondial/10/river/Murat/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	30.43	\N	9.5	http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	28.21	\N	45.47	http://www.semwebtech.org/mondial/10/river/Pruth/
http://www.semwebtech.org/mondial/10/estuary/Cuango/	17.4	\N	3.3	http://www.semwebtech.org/mondial/10/river/Cuango/
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	32.5	\N	15.6	http://www.semwebtech.org/mondial/10/river/WhiteNile/
http://www.semwebtech.org/mondial/10/estuary/Lulua/	17.4	\N	3.3	http://www.semwebtech.org/mondial/10/river/Lulua/
http://www.semwebtech.org/mondial/10/estuary/Thames/	0.65	\N	51.5	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	30.43	\N	9.5	http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/estuary/Isere/	4.9	\N	45	http://www.semwebtech.org/mondial/10/river/Isere/
http://www.semwebtech.org/mondial/10/estuary/Asahan/	99.2	\N	3.1	http://www.semwebtech.org/mondial/10/river/Asahan/
http://www.semwebtech.org/mondial/10/estuary/Tambo/	-73.75	\N	-10.7	http://www.semwebtech.org/mondial/10/river/Tambo/
http://www.semwebtech.org/mondial/10/estuary/Indus/	67.4	\N	24	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/estuary/Iller/	9.97	\N	48.38	http://www.semwebtech.org/mondial/10/river/Iller/
http://www.semwebtech.org/mondial/10/estuary/Murgab/	72.45	\N	38.3	http://www.semwebtech.org/mondial/10/river/Murgab/
http://www.semwebtech.org/mondial/10/estuary/Amur/	140.73	\N	53.1	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	-73.1	\N	46	http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/
http://www.semwebtech.org/mondial/10/estuary/Donau/	29.65	\N	45.16	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/estuary/Saluen/	97.5	\N	17	http://www.semwebtech.org/mondial/10/river/Saluen/
http://www.semwebtech.org/mondial/10/estuary/Volta/	0.68	\N	5.77	http://www.semwebtech.org/mondial/10/river/Volta/
http://www.semwebtech.org/mondial/10/estuary/Maranon/	-73.45	\N	-4.44	http://www.semwebtech.org/mondial/10/river/Maranon/
http://www.semwebtech.org/mondial/10/estuary/Reuss/	8.2371	\N	47.4921	http://www.semwebtech.org/mondial/10/river/Reuss/
http://www.semwebtech.org/mondial/10/estuary/Morava/	21.1	\N	44.6	http://www.semwebtech.org/mondial/10/river/Morava/
http://www.semwebtech.org/mondial/10/estuary/Weser/	8.5	\N	53.5	http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	48.6	\N	29.9	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/estuary/Waag/	18.15	\N	47.75	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	-74.8	\N	10.95	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/estuary/Angara/	92.5	\N	58.2	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/estuary/Luvua/	27	\N	-7	http://www.semwebtech.org/mondial/10/river/Luvua/
http://www.semwebtech.org/mondial/10/estuary/Kura/	49.43	\N	39.28	http://www.semwebtech.org/mondial/10/river/Kura/
http://www.semwebtech.org/mondial/10/estuary/Drin/	19.6	\N	41.8	http://www.semwebtech.org/mondial/10/river/Drin/
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	-65.4	\N	-10.4	http://www.semwebtech.org/mondial/10/river/RioMamore/
http://www.semwebtech.org/mondial/10/estuary/Maas/	4.67	\N	51.72	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	-16.6	\N	66.2	http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	21.2	\N	61.3	http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	90	\N	22	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	-73.97	\N	-12.26	http://www.semwebtech.org/mondial/10/river/Mantaro/
http://www.semwebtech.org/mondial/10/estuary/Garonne/	-0.6	\N	45	http://www.semwebtech.org/mondial/10/river/Garonne/
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	60.5	\N	46	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	100.02	\N	51.06	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	12.92	\N	48.21	http://www.semwebtech.org/mondial/10/river/Salzach/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	16.4	\N	-28.55	http://www.semwebtech.org/mondial/10/river/Oranje/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	-58.4	\N	-33.9	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/estuary/Theiss/	20.3	\N	45.05	http://www.semwebtech.org/mondial/10/river/Theiss/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	17.7	\N	-0.8	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/estuary/Jubba/	42.7	\N	-0.5	http://www.semwebtech.org/mondial/10/river/Jubba/
http://www.semwebtech.org/mondial/10/estuary/Rhein/	4	\N	51.9	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/estuary/Chire/	35.5	\N	-18	http://www.semwebtech.org/mondial/10/river/Chire/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	89.8	\N	23.8	http://www.semwebtech.org/mondial/10/river/Brahmaputra/
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	138.88	\N	-35.55	http://www.semwebtech.org/mondial/10/river/MurrayRiver/
http://www.semwebtech.org/mondial/10/estuary/Ene/	-74.23	\N	-11.15	http://www.semwebtech.org/mondial/10/river/Ene/
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	-73.45	\N	-4.44	http://www.semwebtech.org/mondial/10/river/Ucayali/
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	90.6	\N	40.2	http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	-72.33	\N	41.27	http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/estuary/Arno/	10.2	\N	43.7	http://www.semwebtech.org/mondial/10/river/Arno/
http://www.semwebtech.org/mondial/10/estuary/Ebro/	0.5	\N	40.8	http://www.semwebtech.org/mondial/10/river/Ebro/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	-89.13	\N	36.98	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/estuary/Schilka/	121.48	\N	53.33	http://www.semwebtech.org/mondial/10/river/Schilka/
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	-20.8	\N	63.9	http://www.semwebtech.org/mondial/10/river/Thjorsa/
\.


--
-- TOC entry 6012 (class 0 OID 92500)
-- Dependencies: 885
-- Data for Name: EthnicGroup; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "EthnicGroup" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/ethnicgroup/Gagauz/	Gagauz
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandingo/	Mandingo
http://www.semwebtech.org/mondial/10/ethnicgroup/Bengali/	Bengali
http://www.semwebtech.org/mondial/10/ethnicgroup/Monegasque/	Monegasque
http://www.semwebtech.org/mondial/10/ethnicgroup/Tay/	Tay
http://www.semwebtech.org/mondial/10/ethnicgroup/Austrian/	Austrian
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldavian-Romanian/	Moldavian/Romanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Songhai/	Songhai
http://www.semwebtech.org/mondial/10/ethnicgroup/Romansch/	Romansch
http://www.semwebtech.org/mondial/10/ethnicgroup/Latvian/	Latvian
http://www.semwebtech.org/mondial/10/ethnicgroup/Celt/	Celt
http://www.semwebtech.org/mondial/10/ethnicgroup/Arabic/	Arabic
http://www.semwebtech.org/mondial/10/ethnicgroup/Bakongo/	Bakongo
http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	Serb
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoLoum/	Lao Loum
http://www.semwebtech.org/mondial/10/ethnicgroup/Nauruan/	Nauruan
http://www.semwebtech.org/mondial/10/ethnicgroup/Alemannic/	Alemannic
http://www.semwebtech.org/mondial/10/ethnicgroup/Dutch/	Dutch
http://www.semwebtech.org/mondial/10/ethnicgroup/Scandinavian/	Scandinavian
http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	Roma
http://www.semwebtech.org/mondial/10/ethnicgroup/Bounty/	Bounty
http://www.semwebtech.org/mondial/10/ethnicgroup/Mboum/	Mboum
http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	Black
http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	Mestizo
http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	Czech
http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	Creole
http://www.semwebtech.org/mondial/10/ethnicgroup/Kamba/	Kamba
http://www.semwebtech.org/mondial/10/ethnicgroup/Baganda/	Baganda
http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	Malinke
http://www.semwebtech.org/mondial/10/ethnicgroup/GilakiMazandarani/	Gilaki Mazandarani
http://www.semwebtech.org/mondial/10/ethnicgroup/CrimeanTatar/	Crimean Tatar
http://www.semwebtech.org/mondial/10/ethnicgroup/Spanish/	Spanish
http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	Fulani
http://www.semwebtech.org/mondial/10/ethnicgroup/CaribIndians/	Carib Indians
http://www.semwebtech.org/mondial/10/ethnicgroup/Kalenjin/	Kalenjin
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbs/	Serbs
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Asian/	Afro-Asian
http://www.semwebtech.org/mondial/10/ethnicgroup/Irish/	Irish
http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	Montenegrin
http://www.semwebtech.org/mondial/10/ethnicgroup/Mossi/	Mossi
http://www.semwebtech.org/mondial/10/ethnicgroup/ArabIranian/	Arab Iranian
http://www.semwebtech.org/mondial/10/ethnicgroup/Shan/	Shan
http://www.semwebtech.org/mondial/10/ethnicgroup/Fleming/	Fleming
http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	East Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	Turkish
http://www.semwebtech.org/mondial/10/ethnicgroup/Bhote/	Bhote
http://www.semwebtech.org/mondial/10/ethnicgroup/Christian/	Christian
http://www.semwebtech.org/mondial/10/ethnicgroup/Fula/	Fula
http://www.semwebtech.org/mondial/10/ethnicgroup/Viet-Kinh/	Viet/Kinh
http://www.semwebtech.org/mondial/10/ethnicgroup/BerberArab/	Berber Arab
http://www.semwebtech.org/mondial/10/ethnicgroup/White/	White
http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	Pakistani
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbian/	Serbian
http://www.semwebtech.org/mondial/10/ethnicgroup/Kimbundu/	Kimbundu
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Mauritian/	Indo-Mauritian
http://www.semwebtech.org/mondial/10/ethnicgroup/MediterraneanNordic/	Mediterranean Nordic
http://www.semwebtech.org/mondial/10/ethnicgroup/Wallisian/	Wallisian
http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	Estonian
http://www.semwebtech.org/mondial/10/ethnicgroup/Byelorussian/	Byelorussian
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthernIrish/	Northern Irish
http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	Finn
http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	Tatar
http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	Indonesian
http://www.semwebtech.org/mondial/10/ethnicgroup/Karen/	Karen
http://www.semwebtech.org/mondial/10/ethnicgroup/Sino-Mauritian/	Sino-Mauritian
http://www.semwebtech.org/mondial/10/ethnicgroup/Nung/	Nung
http://www.semwebtech.org/mondial/10/ethnicgroup/Ovimbundu/	Ovimbundu
http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	Albanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Bantu/	Bantu
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigraway/	Tigraway
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoTheung/	Lao Theung
http://www.semwebtech.org/mondial/10/ethnicgroup/Americo-Liberians/	Americo-Liberians
http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	Azeri
http://www.semwebtech.org/mondial/10/ethnicgroup/BasquesBretons/	Basques Bretons
http://www.semwebtech.org/mondial/10/ethnicgroup/Franco-Mauritian/	Franco-Mauritian
http://www.semwebtech.org/mondial/10/ethnicgroup/Garifuna/	Garifuna
http://www.semwebtech.org/mondial/10/ethnicgroup/Surinamese/	Surinamese
http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	Iranian
http://www.semwebtech.org/mondial/10/ethnicgroup/Tutsi/	Tutsi
http://www.semwebtech.org/mondial/10/ethnicgroup/Colored/	Colored
http://www.semwebtech.org/mondial/10/ethnicgroup/Euro-African/	Euro-African
http://www.semwebtech.org/mondial/10/ethnicgroup/MBaka/	MBaka
http://www.semwebtech.org/mondial/10/ethnicgroup/EquatorialBantu/	Equatorial Bantu
http://www.semwebtech.org/mondial/10/ethnicgroup/Welaita/	Welaita
http://www.semwebtech.org/mondial/10/ethnicgroup/Sara/	Sara
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternHamitic/	Eastern Hamitic
http://www.semwebtech.org/mondial/10/ethnicgroup/Madurese/	Madurese
http://www.semwebtech.org/mondial/10/ethnicgroup/Banda/	Banda
http://www.semwebtech.org/mondial/10/ethnicgroup/Wolof/	Wolof
http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	Palestinian Arab
http://www.semwebtech.org/mondial/10/ethnicgroup/Azerbaijani/	Azerbaijani
http://www.semwebtech.org/mondial/10/ethnicgroup/Lugbara/	Lugbara
http://www.semwebtech.org/mondial/10/ethnicgroup/Nepalese/	Nepalese
http://www.semwebtech.org/mondial/10/ethnicgroup/Danish/	Danish
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	Arab-Berber
http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	Kyrgyz
http://www.semwebtech.org/mondial/10/ethnicgroup/Maori/	Maori
http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	Polynesian
http://www.semwebtech.org/mondial/10/ethnicgroup/BlackMaur/	Black Maur
http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	Europeans
http://www.semwebtech.org/mondial/10/ethnicgroup/Yezidi/	Yezidi
http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	Lithuanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Amhara/	Amhara
http://www.semwebtech.org/mondial/10/ethnicgroup/HanChinese/	Han Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Tamil/	Tamil
http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	Uzbek
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	Turkmen
http://www.semwebtech.org/mondial/10/ethnicgroup/Dravidian/	Dravidian
http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	South Asian
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese-Chinese/	Vietnamese/Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Batswana/	Batswana
http://www.semwebtech.org/mondial/10/ethnicgroup/European/	European
http://www.semwebtech.org/mondial/10/ethnicgroup/Hadiya/	Hadiya
http://www.semwebtech.org/mondial/10/ethnicgroup/Twa/	Twa
http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	Mixed
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	Slovak
http://www.semwebtech.org/mondial/10/ethnicgroup/Burman/	Burman
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthwesternBantu/	Northwestern Bantu
http://www.semwebtech.org/mondial/10/ethnicgroup/Kgalagadi/	Kgalagadi
http://www.semwebtech.org/mondial/10/ethnicgroup/Toucouleur/	Toucouleur
http://www.semwebtech.org/mondial/10/ethnicgroup/Baoule/	Baoule
http://www.semwebtech.org/mondial/10/ethnicgroup/Djerma/	Djerma
http://www.semwebtech.org/mondial/10/ethnicgroup/Fijian/	Fijian
http://www.semwebtech.org/mondial/10/ethnicgroup/Japanese/	Japanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	Swede
http://www.semwebtech.org/mondial/10/ethnicgroup/RussianUkrainian/	Russian Ukrainian
http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	Thai
http://www.semwebtech.org/mondial/10/ethnicgroup/Kunama/	Kunama
http://www.semwebtech.org/mondial/10/ethnicgroup/Soussou/	Soussou
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	Vietnamese
http://www.semwebtech.org/mondial/10/ethnicgroup/Maya/	Maya
http://www.semwebtech.org/mondial/10/ethnicgroup/Mon/	Mon
http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	Norman-French
http://www.semwebtech.org/mondial/10/ethnicgroup/Gourmantche/	Gourmantche
http://www.semwebtech.org/mondial/10/ethnicgroup/Beja/	Beja
http://www.semwebtech.org/mondial/10/ethnicgroup/BritishIsles/	British Isles
http://www.semwebtech.org/mondial/10/ethnicgroup/Mande/	Mande
http://www.semwebtech.org/mondial/10/ethnicgroup/black-Amerindian/	black-Amerindian
http://www.semwebtech.org/mondial/10/ethnicgroup/Africandescent/	African descent
http://www.semwebtech.org/mondial/10/ethnicgroup/Bahraini/	Bahraini
http://www.semwebtech.org/mondial/10/ethnicgroup/Bagisu/	Bagisu
http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	Macedonian
http://www.semwebtech.org/mondial/10/ethnicgroup/European-CaribbeanAmerindian/	European/Caribbean Amerindian
http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	Uighur
http://www.semwebtech.org/mondial/10/ethnicgroup/Oromo/	Oromo
http://www.semwebtech.org/mondial/10/ethnicgroup/Sami/	Sami
http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	Croat
http://www.semwebtech.org/mondial/10/ethnicgroup/Seychellois/	Seychellois
http://www.semwebtech.org/mondial/10/ethnicgroup/English/	English
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	Slovene
http://www.semwebtech.org/mondial/10/ethnicgroup/Circassian/	Circassian
http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	Bosniak
http://www.semwebtech.org/mondial/10/ethnicgroup/Batobo/	Batobo
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	Arab
http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	Javanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Luo/	Luo
http://www.semwebtech.org/mondial/10/ethnicgroup/Georgian/	Georgian
http://www.semwebtech.org/mondial/10/ethnicgroup/Saho/	Saho
http://www.semwebtech.org/mondial/10/ethnicgroup/Taiwanese/	Taiwanese
http://www.semwebtech.org/mondial/10/ethnicgroup/African/	African
http://www.semwebtech.org/mondial/10/ethnicgroup/Vedda/	Vedda
http://www.semwebtech.org/mondial/10/ethnicgroup/Aymara/	Aymara
http://www.semwebtech.org/mondial/10/ethnicgroup/Bete/	Bete
http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	Pacific Islander
http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	Caucasian
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanLebanese/	European Lebanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Sidama/	Sidama
http://www.semwebtech.org/mondial/10/ethnicgroup/Hazara/	Hazara
http://www.semwebtech.org/mondial/10/ethnicgroup/Luhya/	Luhya
http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	Belorussian
http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	Muslim
http://www.semwebtech.org/mondial/10/ethnicgroup/Maur/	Maur
http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	Somali
http://www.semwebtech.org/mondial/10/ethnicgroup/Walloon/	Walloon
http://www.semwebtech.org/mondial/10/ethnicgroup/Kuwaiti/	Kuwaiti
http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	Polish
http://www.semwebtech.org/mondial/10/ethnicgroup/Senoufou/	Senoufou
http://www.semwebtech.org/mondial/10/ethnicgroup/Emiri/	Emiri
http://www.semwebtech.org/mondial/10/ethnicgroup/Mong/	Mong
http://www.semwebtech.org/mondial/10/ethnicgroup/Meru/	Meru
http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	Khmer
http://www.semwebtech.org/mondial/10/ethnicgroup/None/	None
http://www.semwebtech.org/mondial/10/ethnicgroup/Greenlander/	Greenlander
http://www.semwebtech.org/mondial/10/ethnicgroup/Diola/	Diola
http://www.semwebtech.org/mondial/10/ethnicgroup/Moroccan/	Moroccan
http://www.semwebtech.org/mondial/10/ethnicgroup/Kirdi/	Kirdi
http://www.semwebtech.org/mondial/10/ethnicgroup/German/	German
http://www.semwebtech.org/mondial/10/ethnicgroup/Quechua/	Quechua
http://www.semwebtech.org/mondial/10/ethnicgroup/Kikuyu/	Kikuyu
http://www.semwebtech.org/mondial/10/ethnicgroup/Gypsy/	Gypsy
http://www.semwebtech.org/mondial/10/ethnicgroup/Hutu/	Hutu
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazakh/	Kazakh
http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	Mongol
http://www.semwebtech.org/mondial/10/ethnicgroup/Hausa/	Hausa
http://www.semwebtech.org/mondial/10/ethnicgroup/Inuit/	Inuit
http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	Filipino
http://www.semwebtech.org/mondial/10/ethnicgroup/Tongan/	Tongan
http://www.semwebtech.org/mondial/10/ethnicgroup/Rashaida/	Rashaida
http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Sotho/	Sotho
http://www.semwebtech.org/mondial/10/ethnicgroup/French/	French
http://www.semwebtech.org/mondial/10/ethnicgroup/CameroonHighlanders/	Cameroon Highlanders
http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	Afar
http://www.semwebtech.org/mondial/10/ethnicgroup/Baloch/	Baloch
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	Kazak
http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	Micronesian
http://www.semwebtech.org/mondial/10/ethnicgroup/Voltaic/	Voltaic
http://www.semwebtech.org/mondial/10/ethnicgroup/Kisii/	Kisii
http://www.semwebtech.org/mondial/10/ethnicgroup/Bashkir/	Bashkir
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-EastIndian/	Afro-East Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/Caribbean/	Caribbean
http://www.semwebtech.org/mondial/10/ethnicgroup/Scottish/	Scottish
http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	Armenian
http://www.semwebtech.org/mondial/10/ethnicgroup/Sundanese/	Sundanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Dungan/	Dungan
http://www.semwebtech.org/mondial/10/ethnicgroup/Welsh/	Welsh
http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	Ukrainian
http://www.semwebtech.org/mondial/10/ethnicgroup/Pashtun/	Pashtun
http://www.semwebtech.org/mondial/10/ethnicgroup/Sinhalese/	Sinhalese
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurd/	Kurd
http://www.semwebtech.org/mondial/10/ethnicgroup/Luxembourgish/	Luxembourgish
http://www.semwebtech.org/mondial/10/ethnicgroup/Lur/	Lur
http://www.semwebtech.org/mondial/10/ethnicgroup/Muong/	Muong
http://www.semwebtech.org/mondial/10/ethnicgroup/Karakalpak/	Karakalpak
http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	Malay
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Aryan/	Indo-Aryan
http://www.semwebtech.org/mondial/10/ethnicgroup/Ruthenian/	Ruthenian
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandjia/	Mandjia
http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	Romanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Basogo/	Basogo
http://www.semwebtech.org/mondial/10/ethnicgroup/Iteso/	Iteso
http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	Peuhl
http://www.semwebtech.org/mondial/10/ethnicgroup/Euronesians/	Euronesians
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigrinya/	Tigrinya
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoSoungHmongYao/	Lao Soung Hmong Yao
http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	Jewish
http://www.semwebtech.org/mondial/10/ethnicgroup/Bilen/	Bilen
http://www.semwebtech.org/mondial/10/ethnicgroup/Bunyoro/	Bunyoro
http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	Tajik
http://www.semwebtech.org/mondial/10/ethnicgroup/Chuvash/	Chuvash
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	Kurdish
http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	Amerindian
http://www.semwebtech.org/mondial/10/ethnicgroup/Chamorro/	Chamorro
http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	Samoan
http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	Asian
http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	Portuguese
http://www.semwebtech.org/mondial/10/ethnicgroup/Karamojong/	Karamojong
http://www.semwebtech.org/mondial/10/ethnicgroup/Mangbetu-Azande/	Mangbetu-Azande
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternNigritic/	Eastern Nigritic
http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	Bulgarian
http://www.semwebtech.org/mondial/10/ethnicgroup/Gurage/	Gurage
http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	Italian
http://www.semwebtech.org/mondial/10/ethnicgroup/Moravian/	Moravian
http://www.semwebtech.org/mondial/10/ethnicgroup/Persian/	Persian
http://www.semwebtech.org/mondial/10/ethnicgroup/Rakhine/	Rakhine
http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	Tuareg
http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	Hungarian
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanSyrian-Lebanese/	European Syrian-Lebanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Serer/	Serer
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Chinese/	Afro-Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	Russian
http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	Melanesian
http://www.semwebtech.org/mondial/10/ethnicgroup/Acholi/	Acholi
http://www.semwebtech.org/mondial/10/ethnicgroup/Langi/	Langi
http://www.semwebtech.org/mondial/10/ethnicgroup/Borneoindigenous/	Borneo indigenous
http://www.semwebtech.org/mondial/10/ethnicgroup/Hindustani/	Hindustani
http://www.semwebtech.org/mondial/10/ethnicgroup/Andorran/	Andorran
http://www.semwebtech.org/mondial/10/ethnicgroup/Assyrian/	Assyrian
http://www.semwebtech.org/mondial/10/ethnicgroup/BeriBeri/	Beri Beri
http://www.semwebtech.org/mondial/10/ethnicgroup/Dagestani/	Dagestani
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigre/	Tigre
http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	Greek
http://www.semwebtech.org/mondial/10/ethnicgroup/Rwanda/	Rwanda
http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	Mulatto
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-European/	Afro-European
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldovan/	Moldovan
http://www.semwebtech.org/mondial/10/ethnicgroup/Baya/	Baya
http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/African-white-Indian/	African-white-Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	Norwegian
\.


--
-- TOC entry 6013 (class 0 OID 92503)
-- Dependencies: 886
-- Data for Name: EthnicProportion; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "EthnicProportion" ("URI", "ethnicInfo-", "onEthnicGroup", percent) FROM stdin;
7b93e6a1:150814fecb6:2647	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Maur/	30
7b93e6a1:150814fecb6:25c6	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	73
7b93e6a1:150814fecb6:255c	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	95
7b93e6a1:150814fecb6:25a9	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	5.4
7b93e6a1:150814fecb6:25b9	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	1
7b93e6a1:150814fecb6:2562	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	20
7b93e6a1:150814fecb6:261f	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	30
7b93e6a1:150814fecb6:266c	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hutu/	80
7b93e6a1:150814fecb6:267c	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/MBaka/	4
7b93e6a1:150814fecb6:25fb	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	100
7b93e6a1:150814fecb6:2487	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	9.7
7b93e6a1:150814fecb6:26a2	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:24c7	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	89.6
7b93e6a1:150814fecb6:25f3	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	93.5
7b93e6a1:150814fecb6:25b6	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	20
7b93e6a1:150814fecb6:2512	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	85
7b93e6a1:150814fecb6:2499	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2.4
7b93e6a1:150814fecb6:253c	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/ethnicgroup/LaoLoum/	68
7b93e6a1:150814fecb6:26a4	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Wolof/	36
7b93e6a1:150814fecb6:2600	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Nauruan/	58
7b93e6a1:150814fecb6:24ab	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Moldovan/	0.5
7b93e6a1:150814fecb6:2587	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	18
7b93e6a1:150814fecb6:262a	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	4
7b93e6a1:150814fecb6:24f6	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Gagauz/	4.4
7b93e6a1:150814fecb6:24b9	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/Luxembourgish/	63.1
7b93e6a1:150814fecb6:2675	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/NorthwesternBantu/	8
7b93e6a1:150814fecb6:247c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	91.5
7b93e6a1:150814fecb6:2638	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	1
7b93e6a1:150814fecb6:25e4	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	8
7b93e6a1:150814fecb6:2540	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	14
7b93e6a1:150814fecb6:269f	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kamba/	11
7b93e6a1:150814fecb6:25a7	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	7
7b93e6a1:150814fecb6:2503	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	6
7b93e6a1:150814fecb6:249a	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Latvian/	59.3
7b93e6a1:150814fecb6:2656	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kimbundu/	25
7b93e6a1:150814fecb6:245d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	82.9
7b93e6a1:150814fecb6:2619	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	100
7b93e6a1:150814fecb6:25c5	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/ethnicgroup/CaribIndians/	100
7b93e6a1:150814fecb6:2521	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	90.6
7b93e6a1:150814fecb6:25ef	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tongan/	4
7b93e6a1:150814fecb6:254b	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Nung/	1.1
7b93e6a1:150814fecb6:26b3	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Iteso/	8
7b93e6a1:150814fecb6:250e	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	79.9
7b93e6a1:150814fecb6:256a	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/ethnicgroup/EasternHamitic/	99
7b93e6a1:150814fecb6:252d	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Shan/	9
7b93e6a1:150814fecb6:2578	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kuwaiti/	45
7b93e6a1:150814fecb6:2480	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	2
7b93e6a1:150814fecb6:26bf	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Mauritian/	68
7b93e6a1:150814fecb6:261b	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	92.6
7b93e6a1:150814fecb6:24e7	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sami/	1.5
7b93e6a1:150814fecb6:2666	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	11
7b93e6a1:150814fecb6:246d	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	5
7b93e6a1:150814fecb6:2629	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	8
7b93e6a1:150814fecb6:25d5	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	100
7b93e6a1:150814fecb6:2531	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Dravidian/	25
7b93e6a1:150814fecb6:24a0	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	84
7b93e6a1:150814fecb6:25ff	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	8
7b93e6a1:150814fecb6:255b	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	1.3
7b93e6a1:150814fecb6:26c3	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	97
7b93e6a1:150814fecb6:251e	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Georgian/	83.8
7b93e6a1:150814fecb6:24ca	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	0.9
7b93e6a1:150814fecb6:2569	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:2471	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	1
7b93e6a1:150814fecb6:260c	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	56.3
7b93e6a1:150814fecb6:24d8	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	0.2
7b93e6a1:150814fecb6:2694	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sidama/	4
7b93e6a1:150814fecb6:249b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	27.8
7b93e6a1:150814fecb6:2657	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bakongo/	13
7b93e6a1:150814fecb6:245e	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	0.9
7b93e6a1:150814fecb6:2522	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Dagestani/	2.2
7b93e6a1:150814fecb6:254c	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kazakh/	63.1
7b93e6a1:150814fecb6:26b4	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Langi/	6
7b93e6a1:150814fecb6:2610	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	0.3
7b93e6a1:150814fecb6:250f	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	15.3
7b93e6a1:150814fecb6:24bb	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	4.5
7b93e6a1:150814fecb6:2597	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	4
7b93e6a1:150814fecb6:263a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	25
7b93e6a1:150814fecb6:2462	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	1.1
7b93e6a1:150814fecb6:24c9	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	0.5
7b93e6a1:150814fecb6:2685	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	95
7b93e6a1:150814fecb6:248c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	0.1
7b93e6a1:150814fecb6:2648	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/ethnicgroup/BlackMaur/	40
7b93e6a1:150814fecb6:25f4	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	46
7b93e6a1:150814fecb6:2550	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	1.4
7b93e6a1:150814fecb6:25b7	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	3
7b93e6a1:150814fecb6:2513	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	5
7b93e6a1:150814fecb6:257a	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Asian/	10
7b93e6a1:150814fecb6:253d	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/ethnicgroup/LaoTheung/	22
7b93e6a1:150814fecb6:26a5	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Diola/	9
7b93e6a1:150814fecb6:2601	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	26
7b93e6a1:150814fecb6:24ac	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/CrimeanTatar/	0.5
7b93e6a1:150814fecb6:2588	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	40
7b93e6a1:150814fecb6:2490	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	2
7b93e6a1:150814fecb6:262b	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	45
7b93e6a1:150814fecb6:24f7	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	1.9
7b93e6a1:150814fecb6:2676	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/EasternNigritic/	7
7b93e6a1:150814fecb6:247d	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	2.4
7b93e6a1:150814fecb6:2639	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	65
7b93e6a1:150814fecb6:25e5	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	0.4
7b93e6a1:150814fecb6:2541	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	75
7b93e6a1:150814fecb6:25a8	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	3.4
7b93e6a1:150814fecb6:2504	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hazara/	19
7b93e6a1:150814fecb6:24b0	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	0.3
7b93e6a1:150814fecb6:256b	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	45
7b93e6a1:150814fecb6:252e	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Karen/	7
7b93e6a1:150814fecb6:24da	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	11.97
7b93e6a1:150814fecb6:2579	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	90
7b93e6a1:150814fecb6:2481	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	2.6
7b93e6a1:150814fecb6:261c	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Euronesians/	7
7b93e6a1:150814fecb6:24e8	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	83
7b93e6a1:150814fecb6:2667	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Baoule/	23
7b93e6a1:150814fecb6:246e	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/ethnicgroup/MediterraneanNordic/	100
7b93e6a1:150814fecb6:25d6	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	5
7b93e6a1:150814fecb6:2532	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Aryan/	72
7b93e6a1:150814fecb6:24a1	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	6.1
7b93e6a1:150814fecb6:26c4	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Africandescent/	50
7b93e6a1:150814fecb6:2620	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Aymara/	25
7b93e6a1:150814fecb6:251f	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	6.5
7b93e6a1:150814fecb6:24cb	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	0.5
7b93e6a1:150814fecb6:264a	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	99.1
7b93e6a1:150814fecb6:2472	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	2
7b93e6a1:150814fecb6:260d	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	36.3
7b93e6a1:150814fecb6:24d9	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	84.54
7b93e6a1:150814fecb6:2695	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Gurage/	2.5
7b93e6a1:150814fecb6:249c	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	3.6
7b93e6a1:150814fecb6:2658	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mangbetu-Azande/	45
7b93e6a1:150814fecb6:2560	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	70
7b93e6a1:150814fecb6:245f	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	3.9
7b93e6a1:150814fecb6:25c7	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	16
7b93e6a1:150814fecb6:2523	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	1.8
7b93e6a1:150814fecb6:258a	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	6.4
7b93e6a1:150814fecb6:254d	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	23.7
7b93e6a1:150814fecb6:26b5	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bagisu/	5
7b93e6a1:150814fecb6:2611	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	0.8
7b93e6a1:150814fecb6:24bc	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	4.3
7b93e6a1:150814fecb6:2598	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	80
7b93e6a1:150814fecb6:263b	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	7
7b93e6a1:150814fecb6:2463	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	43
7b93e6a1:150814fecb6:25aa	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/ethnicgroup/BritishIsles/	28
7b93e6a1:150814fecb6:2686	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Americo-Liberians/	5
7b93e6a1:150814fecb6:248d	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	0.1
7b93e6a1:150814fecb6:2649	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	0.2
7b93e6a1:150814fecb6:25f5	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fijian/	49
7b93e6a1:150814fecb6:2551	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	1.3
7b93e6a1:150814fecb6:25b8	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	1
7b93e6a1:150814fecb6:2514	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	4
7b93e6a1:150814fecb6:24c0	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	2.2
7b93e6a1:150814fecb6:257b	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	90.3
7b93e6a1:150814fecb6:253e	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/ethnicgroup/LaoSoungHmongYao/	9
7b93e6a1:150814fecb6:24ea	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	47
7b93e6a1:150814fecb6:26a6	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mandingo/	9
7b93e6a1:150814fecb6:2602	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	1.4
7b93e6a1:150814fecb6:24ad	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	0.4
7b93e6a1:150814fecb6:2589	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	10
7b93e6a1:150814fecb6:2491	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	1
7b93e6a1:150814fecb6:262c	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	37
7b93e6a1:150814fecb6:24f8	http://www.semwebtech.org/mondial/10/country/SVAX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	55.4
7b93e6a1:150814fecb6:2677	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Baya/	34
7b93e6a1:150814fecb6:247e	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	92.3
7b93e6a1:150814fecb6:25e6	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	0.4
7b93e6a1:150814fecb6:2542	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	1
7b93e6a1:150814fecb6:2505	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/ethnicgroup/HanChinese/	91.5
7b93e6a1:150814fecb6:24b1	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	0.2
7b93e6a1:150814fecb6:256c	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sundanese/	14
7b93e6a1:150814fecb6:2630	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	30.2
7b93e6a1:150814fecb6:252f	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Rakhine/	4
7b93e6a1:150814fecb6:24db	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arabic/	1.38
7b93e6a1:150814fecb6:265a	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	98.7
7b93e6a1:150814fecb6:2482	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	0.8
7b93e6a1:150814fecb6:261d	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	97
7b93e6a1:150814fecb6:24e9	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	5
7b93e6a1:150814fecb6:2668	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bete/	18
7b93e6a1:150814fecb6:2570	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	75
7b93e6a1:150814fecb6:246f	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Austrian/	91.1
7b93e6a1:150814fecb6:25d7	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	76.3
7b93e6a1:150814fecb6:2533	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	3
7b93e6a1:150814fecb6:259a	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	24.9
7b93e6a1:150814fecb6:24a2	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	4.9
7b93e6a1:150814fecb6:255d	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	3
7b93e6a1:150814fecb6:26c5	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	25
7b93e6a1:150814fecb6:2621	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	15
7b93e6a1:150814fecb6:24cc	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	76.9
7b93e6a1:150814fecb6:264b	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fula/	8.5
7b93e6a1:150814fecb6:2473	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serbs/	2
7b93e6a1:150814fecb6:260e	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	1.8
7b93e6a1:150814fecb6:25ba	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	69
7b93e6a1:150814fecb6:2696	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Welaita/	2.3
7b93e6a1:150814fecb6:249d	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2.5
7b93e6a1:150814fecb6:2659	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1.1
7b93e6a1:150814fecb6:2561	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	10
7b93e6a1:150814fecb6:25c8	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	11
7b93e6a1:150814fecb6:2524	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	1.5
7b93e6a1:150814fecb6:24d0	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	0.2
7b93e6a1:150814fecb6:258b	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	76.4
7b93e6a1:150814fecb6:254e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	2.8
7b93e6a1:150814fecb6:24fa	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/English/	83.6
7b93e6a1:150814fecb6:26b6	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Acholi/	4
7b93e6a1:150814fecb6:2612	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	4
7b93e6a1:150814fecb6:24bd	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	2.3
7b93e6a1:150814fecb6:2599	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	48.7
7b93e6a1:150814fecb6:263c	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	3
7b93e6a1:150814fecb6:2464	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	32
7b93e6a1:150814fecb6:25ab	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	23
7b93e6a1:150814fecb6:2687	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	5
7b93e6a1:150814fecb6:248e	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	91
7b93e6a1:150814fecb6:25f6	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	10
7b93e6a1:150814fecb6:2552	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	1.1
7b93e6a1:150814fecb6:2515	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	80
7b93e6a1:150814fecb6:24c1	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Moroccan/	2
7b93e6a1:150814fecb6:257c	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	4
7b93e6a1:150814fecb6:2640	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	99
7b93e6a1:150814fecb6:253f	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese-Chinese/	1
7b93e6a1:150814fecb6:24eb	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Monegasque/	21.6
7b93e6a1:150814fecb6:26a7	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serer/	17
7b93e6a1:150814fecb6:2603	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	34.1
7b93e6a1:150814fecb6:24ae	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	0.3
7b93e6a1:150814fecb6:266a	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	0.2
7b93e6a1:150814fecb6:2492	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	65
7b93e6a1:150814fecb6:262d	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	15
7b93e6a1:150814fecb6:24f9	http://www.semwebtech.org/mondial/10/country/SVAX/	http://www.semwebtech.org/mondial/10/ethnicgroup/RussianUkrainian/	44.3
7b93e6a1:150814fecb6:2455	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	95
7b93e6a1:150814fecb6:2678	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Banda/	27
7b93e6a1:150814fecb6:2580	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/ethnicgroup/Japanese/	99.4
7b93e6a1:150814fecb6:247f	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	1.9
7b93e6a1:150814fecb6:25e7	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	100
7b93e6a1:150814fecb6:2543	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	90
7b93e6a1:150814fecb6:2506	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	3
7b93e6a1:150814fecb6:24b2	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	79.8
7b93e6a1:150814fecb6:256d	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Madurese/	7.5
7b93e6a1:150814fecb6:2631	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	9.1
7b93e6a1:150814fecb6:24dc	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	68.7
7b93e6a1:150814fecb6:25a0	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	60
7b93e6a1:150814fecb6:265b	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:2483	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	0.7
7b93e6a1:150814fecb6:261e	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Quechua/	30
7b93e6a1:150814fecb6:25ca	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	3
7b93e6a1:150814fecb6:2669	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Senoufou/	15
7b93e6a1:150814fecb6:2571	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Assyrian/	5
7b93e6a1:150814fecb6:25d8	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-European/	15.1
7b93e6a1:150814fecb6:2534	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bhote/	50
7b93e6a1:150814fecb6:24e0	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	0.8
7b93e6a1:150814fecb6:259b	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Maya/	10.6
7b93e6a1:150814fecb6:24a3	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	1.1
7b93e6a1:150814fecb6:255e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	94.9
7b93e6a1:150814fecb6:26c6	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	25
7b93e6a1:150814fecb6:2622	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	53.7
7b93e6a1:150814fecb6:24cd	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	8
7b93e6a1:150814fecb6:264c	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hausa/	56
7b93e6a1:150814fecb6:2474	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	0.9
7b93e6a1:150814fecb6:260f	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bounty/	100
7b93e6a1:150814fecb6:25bb	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	17
7b93e6a1:150814fecb6:2697	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hadiya/	1.7
7b93e6a1:150814fecb6:249e	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	2.4
7b93e6a1:150814fecb6:25c9	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	95
7b93e6a1:150814fecb6:2525	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	10
7b93e6a1:150814fecb6:24d1	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	0.3
7b93e6a1:150814fecb6:258c	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	14.9
7b93e6a1:150814fecb6:2650	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Gourmantche/	1.2
7b93e6a1:150814fecb6:254f	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2.1
7b93e6a1:150814fecb6:24fb	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Scottish/	8.6
7b93e6a1:150814fecb6:26b7	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Lugbara/	4
7b93e6a1:150814fecb6:2613	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	1.5
7b93e6a1:150814fecb6:24be	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Dutch/	80.7
7b93e6a1:150814fecb6:267a	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mandjia/	21
7b93e6a1:150814fecb6:263d	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Christian/	67.2
7b93e6a1:150814fecb6:2465	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	8
7b93e6a1:150814fecb6:25ac	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	15
7b93e6a1:150814fecb6:2688	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	35
7b93e6a1:150814fecb6:2590	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Vedda/	1
7b93e6a1:150814fecb6:248f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	3
7b93e6a1:150814fecb6:25f7	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	12
7b93e6a1:150814fecb6:2553	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	64.9
7b93e6a1:150814fecb6:2516	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	5.5
7b93e6a1:150814fecb6:24c2	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Surinamese/	2
7b93e6a1:150814fecb6:257d	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	95
7b93e6a1:150814fecb6:2641	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/ethnicgroup/BerberArab/	97
7b93e6a1:150814fecb6:24ec	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	19
7b93e6a1:150814fecb6:26a8	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Toucouleur/	9
7b93e6a1:150814fecb6:2604	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	44.1
7b93e6a1:150814fecb6:25b0	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	4.43
7b93e6a1:150814fecb6:24af	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	0.3
7b93e6a1:150814fecb6:266b	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99.8
7b93e6a1:150814fecb6:2493	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	18
7b93e6a1:150814fecb6:262e	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	12
7b93e6a1:150814fecb6:25da	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Chinese/	1.2
7b93e6a1:150814fecb6:2456	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	3
7b93e6a1:150814fecb6:2679	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sara/	10
7b93e6a1:150814fecb6:2581	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	50
7b93e6a1:150814fecb6:25e8	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	90.3
7b93e6a1:150814fecb6:2544	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	5
7b93e6a1:150814fecb6:24f0	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	1.3
7b93e6a1:150814fecb6:2507	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Persian/	51
7b93e6a1:150814fecb6:24b3	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	3.8
7b93e6a1:150814fecb6:256e	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	7.5
7b93e6a1:150814fecb6:2632	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hindustani/	37
7b93e6a1:150814fecb6:24dd	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	25.6
7b93e6a1:150814fecb6:25a1	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	30
7b93e6a1:150814fecb6:265c	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mossi/	24
7b93e6a1:150814fecb6:2484	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	5
7b93e6a1:150814fecb6:25cb	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	2
7b93e6a1:150814fecb6:2572	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	1
7b93e6a1:150814fecb6:25d9	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-EastIndian/	3
7b93e6a1:150814fecb6:2535	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Nepalese/	35
7b93e6a1:150814fecb6:24e1	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Scandinavian/	100
7b93e6a1:150814fecb6:259c	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Garifuna/	6.1
7b93e6a1:150814fecb6:24a4	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	1.3
7b93e6a1:150814fecb6:2660	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Batswana/	95
7b93e6a1:150814fecb6:255f	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	5
7b93e6a1:150814fecb6:26c7	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	100
7b93e6a1:150814fecb6:2623	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	38.5
7b93e6a1:150814fecb6:24ce	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	4.4
7b93e6a1:150814fecb6:268a	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tigrinya/	55
7b93e6a1:150814fecb6:264d	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Djerma/	22
7b93e6a1:150814fecb6:2475	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	90.4
7b93e6a1:150814fecb6:25bc	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	9
7b93e6a1:150814fecb6:2698	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	1.7
7b93e6a1:150814fecb6:249f	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	1.3
7b93e6a1:150814fecb6:2563	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	77
7b93e6a1:150814fecb6:26aa	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:2526	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	13
7b93e6a1:150814fecb6:24d2	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	89.1
7b93e6a1:150814fecb6:258d	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sinhalese/	74
7b93e6a1:150814fecb6:2651	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	1
7b93e6a1:150814fecb6:24fc	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Welsh/	4.9
7b93e6a1:150814fecb6:26b8	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bunyoro/	3
7b93e6a1:150814fecb6:2614	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	93
7b93e6a1:150814fecb6:25c0	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	6
7b93e6a1:150814fecb6:24bf	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	2.4
7b93e6a1:150814fecb6:267b	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mboum/	4
7b93e6a1:150814fecb6:263e	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/ethnicgroup/None/	31.5
7b93e6a1:150814fecb6:25ea	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/ethnicgroup/BasquesBretons/	100
7b93e6a1:150814fecb6:2466	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	5
7b93e6a1:150814fecb6:25ad	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Inuit/	2
7b93e6a1:150814fecb6:2689	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	60
7b93e6a1:150814fecb6:2591	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	14
7b93e6a1:150814fecb6:25f8	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	78
7b93e6a1:150814fecb6:2554	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	13.8
7b93e6a1:150814fecb6:2517	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	5
7b93e6a1:150814fecb6:24c3	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Caribbean/	0.8
7b93e6a1:150814fecb6:257e	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	17
7b93e6a1:150814fecb6:2642	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mande/	50
7b93e6a1:150814fecb6:24ed	http://www.semwebtech.org/mondial/10/country/GBG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	100
7b93e6a1:150814fecb6:26a9	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanLebanese/	1
7b93e6a1:150814fecb6:2605	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Wallisian/	9
7b93e6a1:150814fecb6:25b1	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	0.97
7b93e6a1:150814fecb6:2494	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	10
7b93e6a1:150814fecb6:262f	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	43.5
7b93e6a1:150814fecb6:25db	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	5
7b93e6a1:150814fecb6:2457	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	93
7b93e6a1:150814fecb6:2582	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Emiri/	19
7b93e6a1:150814fecb6:25e9	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	3.2
7b93e6a1:150814fecb6:2545	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Viet-Kinh/	85.7
7b93e6a1:150814fecb6:24f1	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	1.1
7b93e6a1:150814fecb6:2508	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Baloch/	2
7b93e6a1:150814fecb6:24b4	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2
7b93e6a1:150814fecb6:2670	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	13
7b93e6a1:150814fecb6:256f	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	15
7b93e6a1:150814fecb6:2633	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	31
7b93e6a1:150814fecb6:24de	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2.1
7b93e6a1:150814fecb6:269a	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	1
7b93e6a1:150814fecb6:25a2	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	9
7b93e6a1:150814fecb6:265d	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:2485	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Alemannic/	95
7b93e6a1:150814fecb6:25cc	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	90
7b93e6a1:150814fecb6:2573	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	98
7b93e6a1:150814fecb6:26ba	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sotho/	99.7
7b93e6a1:150814fecb6:2536	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	20
7b93e6a1:150814fecb6:24e2	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	93.4
7b93e6a1:150814fecb6:259d	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	50
7b93e6a1:150814fecb6:24a5	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	97.6
7b93e6a1:150814fecb6:2661	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kgalagadi/	4
7b93e6a1:150814fecb6:26c8	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Seychellois/	100
7b93e6a1:150814fecb6:2624	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	6.2
7b93e6a1:150814fecb6:25d0	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	7
7b93e6a1:150814fecb6:24cf	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	2.5
7b93e6a1:150814fecb6:268b	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tigre/	30
7b93e6a1:150814fecb6:264e	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	8
7b93e6a1:150814fecb6:25fa	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	26.3
7b93e6a1:150814fecb6:2476	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Moravian/	3.7
7b93e6a1:150814fecb6:25bd	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	5
7b93e6a1:150814fecb6:2699	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	85
7b93e6a1:150814fecb6:2564	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	18
7b93e6a1:150814fecb6:26ab	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:2527	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bahraini/	63
7b93e6a1:150814fecb6:24d3	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	6.6
7b93e6a1:150814fecb6:258e	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tamil/	18
7b93e6a1:150814fecb6:2652	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:24fd	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/NorthernIrish/	2.9
7b93e6a1:150814fecb6:26b9	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Batobo/	3
7b93e6a1:150814fecb6:2615	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	96
7b93e6a1:150814fecb6:25c1	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	65.1
7b93e6a1:150814fecb6:263f	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:25eb	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	1
7b93e6a1:150814fecb6:2467	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	92
7b93e6a1:150814fecb6:25ae	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	79.96
7b93e6a1:150814fecb6:250a	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kurd/	7
7b93e6a1:150814fecb6:2592	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Taiwanese/	84
7b93e6a1:150814fecb6:25f9	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chamorro/	37.1
7b93e6a1:150814fecb6:2555	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	12.5
7b93e6a1:150814fecb6:2518	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	3
7b93e6a1:150814fecb6:24c4	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	48
7b93e6a1:150814fecb6:2680	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	70
7b93e6a1:150814fecb6:257f	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	83
7b93e6a1:150814fecb6:2643	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	17
7b93e6a1:150814fecb6:24ee	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Celt/	100
7b93e6a1:150814fecb6:2606	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	2.5
7b93e6a1:150814fecb6:25b2	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	20
7b93e6a1:150814fecb6:266d	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tutsi/	19
7b93e6a1:150814fecb6:2495	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Romansch/	1
7b93e6a1:150814fecb6:25dc	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/ethnicgroup/African-white-Indian/	90
7b93e6a1:150814fecb6:2458	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	64.2
7b93e6a1:150814fecb6:26a0	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kisii/	6
7b93e6a1:150814fecb6:2583	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/ethnicgroup/ArabIranian/	23
7b93e6a1:150814fecb6:2546	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tay/	1.9
7b93e6a1:150814fecb6:24f2	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	100
7b93e6a1:150814fecb6:2509	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Azerbaijani/	24
7b93e6a1:150814fecb6:24b5	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bashkir/	1.2
7b93e6a1:150814fecb6:2671	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	10
7b93e6a1:150814fecb6:2634	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	15.3
7b93e6a1:150814fecb6:25e0	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	4
7b93e6a1:150814fecb6:24df	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	1.2
7b93e6a1:150814fecb6:269b	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kikuyu/	22
7b93e6a1:150814fecb6:25a3	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	54
7b93e6a1:150814fecb6:265e	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:2486	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	85.7
7b93e6a1:150814fecb6:25cd	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	9
7b93e6a1:150814fecb6:2574	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Circassian/	1
7b93e6a1:150814fecb6:26bb	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	0.06
7b93e6a1:150814fecb6:2537	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	64
7b93e6a1:150814fecb6:24e3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	5.6
7b93e6a1:150814fecb6:259e	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	10
7b93e6a1:150814fecb6:24a6	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	0.6
7b93e6a1:150814fecb6:2662	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	2.6
7b93e6a1:150814fecb6:2625	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	3
7b93e6a1:150814fecb6:25d1	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	2
7b93e6a1:150814fecb6:268c	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Saho/	4
7b93e6a1:150814fecb6:264f	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/BeriBeri/	4.3
7b93e6a1:150814fecb6:2477	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	1.9
7b93e6a1:150814fecb6:25be	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	84
7b93e6a1:150814fecb6:251a	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	1.5
7b93e6a1:150814fecb6:2565	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	0.6
7b93e6a1:150814fecb6:26ac	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	1
7b93e6a1:150814fecb6:2528	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	8
7b93e6a1:150814fecb6:24d4	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	2.5
7b93e6a1:150814fecb6:2690	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Oromo/	34.5
7b93e6a1:150814fecb6:258f	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	7
7b93e6a1:150814fecb6:2653	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	98
7b93e6a1:150814fecb6:24fe	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	2
7b93e6a1:150814fecb6:245a	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	3.9
7b93e6a1:150814fecb6:2616	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	95
7b93e6a1:150814fecb6:25c2	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	12
7b93e6a1:150814fecb6:267d	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:25ec	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	40
7b93e6a1:150814fecb6:2468	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serbian/	5
7b93e6a1:150814fecb6:26b0	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Baganda/	17
7b93e6a1:150814fecb6:25af	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	12.85
7b93e6a1:150814fecb6:250b	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Lur/	2
7b93e6a1:150814fecb6:2593	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	90.1
7b93e6a1:150814fecb6:2556	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Dungan/	1.1
7b93e6a1:150814fecb6:2519	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Karakalpak/	2.5
7b93e6a1:150814fecb6:24c5	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	37.1
7b93e6a1:150814fecb6:2681	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Beja/	6
7b93e6a1:150814fecb6:2644	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Voltaic/	12
7b93e6a1:150814fecb6:25f0	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	89
7b93e6a1:150814fecb6:24ef	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Irish/	87.4
7b93e6a1:150814fecb6:2607	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	56.8
7b93e6a1:150814fecb6:25b3	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	20
7b93e6a1:150814fecb6:266e	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Twa/	1
7b93e6a1:150814fecb6:2496	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	81.2
7b93e6a1:150814fecb6:25dd	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	58
7b93e6a1:150814fecb6:2459	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	25.2
7b93e6a1:150814fecb6:26a1	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Meru/	6
7b93e6a1:150814fecb6:2584	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	1.5
7b93e6a1:150814fecb6:2547	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	1.8
7b93e6a1:150814fecb6:24f3	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Moldavian-Romanian/	78.2
7b93e6a1:150814fecb6:24b6	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chuvash/	1.1
7b93e6a1:150814fecb6:2672	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/CameroonHighlanders/	31
7b93e6a1:150814fecb6:2635	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	10
7b93e6a1:150814fecb6:25e1	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/black-Amerindian/	3
7b93e6a1:150814fecb6:269c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Luhya/	14
7b93e6a1:150814fecb6:25a4	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	34.1
7b93e6a1:150814fecb6:2500	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	1.3
7b93e6a1:150814fecb6:265f	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanSyrian-Lebanese/	1
7b93e6a1:150814fecb6:25ce	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	1
7b93e6a1:150814fecb6:252a	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	2
7b93e6a1:150814fecb6:2575	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	35
7b93e6a1:150814fecb6:26bc	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	0.08
7b93e6a1:150814fecb6:2538	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	50.4
7b93e6a1:150814fecb6:24e4	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	0.5
7b93e6a1:150814fecb6:259f	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	30.5
7b93e6a1:150814fecb6:24a7	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Byelorussian/	0.5
7b93e6a1:150814fecb6:2663	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Colored/	8.6
7b93e6a1:150814fecb6:246a	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Andorran/	33
7b93e6a1:150814fecb6:2626	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	95
7b93e6a1:150814fecb6:25d2	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:268d	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kunama/	2
7b93e6a1:150814fecb6:25fc	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	100
7b93e6a1:150814fecb6:2478	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	0.5
7b93e6a1:150814fecb6:26c0	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sino-Mauritian/	3
7b93e6a1:150814fecb6:25bf	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	10
7b93e6a1:150814fecb6:251b	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	97.7
7b93e6a1:150814fecb6:2566	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	99.4
7b93e6a1:150814fecb6:26ad	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:2529	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bengali/	98
7b93e6a1:150814fecb6:24d5	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	0.3
7b93e6a1:150814fecb6:2691	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amhara/	26.9
7b93e6a1:150814fecb6:2654	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:24ff	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	1.8
7b93e6a1:150814fecb6:245b	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Gypsy/	2.7
7b93e6a1:150814fecb6:2617	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	4
7b93e6a1:150814fecb6:25c3	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	12
7b93e6a1:150814fecb6:267e	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	28
7b93e6a1:150814fecb6:25ed	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	90
7b93e6a1:150814fecb6:2469	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Spanish/	43
7b93e6a1:150814fecb6:26b1	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Karamojong/	12
7b93e6a1:150814fecb6:250c	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	2
7b93e6a1:150814fecb6:2594	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	4.6
7b93e6a1:150814fecb6:2557	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	1
7b93e6a1:150814fecb6:24c6	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	14.3
7b93e6a1:150814fecb6:2682	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	30
7b93e6a1:150814fecb6:2645	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Songhai/	6
7b93e6a1:150814fecb6:25f1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	92
7b93e6a1:150814fecb6:2608	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	8
7b93e6a1:150814fecb6:25b4	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	40
7b93e6a1:150814fecb6:2510	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	1.1
7b93e6a1:150814fecb6:266f	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bantu/	95
7b93e6a1:150814fecb6:2497	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	11.4
7b93e6a1:150814fecb6:25de	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	20
7b93e6a1:150814fecb6:253a	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	7.1
7b93e6a1:150814fecb6:2585	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	95.5
7b93e6a1:150814fecb6:2548	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Muong/	1.5
7b93e6a1:150814fecb6:24f4	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	8.4
7b93e6a1:150814fecb6:24b7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fleming/	58
7b93e6a1:150814fecb6:2673	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/EquatorialBantu/	19
7b93e6a1:150814fecb6:247a	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	0.3
7b93e6a1:150814fecb6:2636	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	2
7b93e6a1:150814fecb6:25e2	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	1
7b93e6a1:150814fecb6:269d	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Luo/	13
7b93e6a1:150814fecb6:25a5	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	6.4
7b93e6a1:150814fecb6:2501	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	25
7b93e6a1:150814fecb6:2488	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	1.7
7b93e6a1:150814fecb6:25cf	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	90
7b93e6a1:150814fecb6:252b	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	3
7b93e6a1:150814fecb6:2576	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	4
7b93e6a1:150814fecb6:26bd	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Euro-African/	0.2
7b93e6a1:150814fecb6:2539	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	23.7
7b93e6a1:150814fecb6:24e5	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	0.3
7b93e6a1:150814fecb6:24a8	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	77.8
7b93e6a1:150814fecb6:2664	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	1
7b93e6a1:150814fecb6:246b	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	11
7b93e6a1:150814fecb6:2627	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	95
7b93e6a1:150814fecb6:25d3	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Danish/	14
7b93e6a1:150814fecb6:268e	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Rashaida/	2
7b93e6a1:150814fecb6:25fd	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	100
7b93e6a1:150814fecb6:2479	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	0.6
7b93e6a1:150814fecb6:26c1	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Franco-Mauritian/	2
7b93e6a1:150814fecb6:251c	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	0.5
7b93e6a1:150814fecb6:2567	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	76.4
7b93e6a1:150814fecb6:26ae	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Rwanda/	6
7b93e6a1:150814fecb6:260a	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	4.6
7b93e6a1:150814fecb6:24d6	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	0.3
7b93e6a1:150814fecb6:2692	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	6.2
7b93e6a1:150814fecb6:2655	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ovimbundu/	37
7b93e6a1:150814fecb6:245c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	1.8
7b93e6a1:150814fecb6:2618	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	94
7b93e6a1:150814fecb6:25c4	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	10.1
7b93e6a1:150814fecb6:2520	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	1.5
7b93e6a1:150814fecb6:267f	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	71
7b93e6a1:150814fecb6:25ee	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	2
7b93e6a1:150814fecb6:254a	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mong/	1.2
7b93e6a1:150814fecb6:26b2	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Basogo/	8
7b93e6a1:150814fecb6:250d	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/GilakiMazandarani/	8
7b93e6a1:150814fecb6:2595	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	3.7
7b93e6a1:150814fecb6:2558	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	1
7b93e6a1:150814fecb6:2460	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	1.4
7b93e6a1:150814fecb6:2683	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	40
7b93e6a1:150814fecb6:248a	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	0.3
7b93e6a1:150814fecb6:2646	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	10
7b93e6a1:150814fecb6:25f2	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	7
7b93e6a1:150814fecb6:2609	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Maori/	7.4
7b93e6a1:150814fecb6:25b5	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	74
7b93e6a1:150814fecb6:2511	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	1.1
7b93e6a1:150814fecb6:2498	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	3.9
7b93e6a1:150814fecb6:25df	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	14
7b93e6a1:150814fecb6:253b	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Borneoindigenous/	11
7b93e6a1:150814fecb6:26a3	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	17
7b93e6a1:150814fecb6:24aa	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	0.6
7b93e6a1:150814fecb6:2586	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	18
7b93e6a1:150814fecb6:2549	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	1.5
7b93e6a1:150814fecb6:24f5	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	5.8
7b93e6a1:150814fecb6:24b8	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/ethnicgroup/Walloon/	31
7b93e6a1:150814fecb6:2674	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kirdi/	11
7b93e6a1:150814fecb6:247b	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	0.2
7b93e6a1:150814fecb6:2637	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	2
7b93e6a1:150814fecb6:25e3	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	80.2
7b93e6a1:150814fecb6:269e	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kalenjin/	12
7b93e6a1:150814fecb6:25a6	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	83.4
7b93e6a1:150814fecb6:2502	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Pashtun/	38
7b93e6a1:150814fecb6:2489	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	1
7b93e6a1:150814fecb6:252c	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Burman/	68
7b93e6a1:150814fecb6:2577	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	9
7b93e6a1:150814fecb6:26be	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	27
7b93e6a1:150814fecb6:261a	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	0.4
7b93e6a1:150814fecb6:24e6	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	82.5
7b93e6a1:150814fecb6:24a9	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	17.3
7b93e6a1:150814fecb6:2665	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	98
7b93e6a1:150814fecb6:246c	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	2
7b93e6a1:150814fecb6:2628	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	88
7b93e6a1:150814fecb6:25d4	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Greenlander/	86
7b93e6a1:150814fecb6:2530	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mon/	2
7b93e6a1:150814fecb6:268f	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bilen/	2
7b93e6a1:150814fecb6:25fe	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	8
7b93e6a1:150814fecb6:255a	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	1.6
7b93e6a1:150814fecb6:26c2	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	3
7b93e6a1:150814fecb6:251d	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Yezidi/	1.3
7b93e6a1:150814fecb6:2568	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	23
7b93e6a1:150814fecb6:2470	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	1.6
7b93e6a1:150814fecb6:26af	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	1
7b93e6a1:150814fecb6:260b	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	100
7b93e6a1:150814fecb6:24d7	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	0.2
7b93e6a1:150814fecb6:2693	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tigraway/	6.1
7b93e6a1:150814fecb6:24ba	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	13.3
7b93e6a1:150814fecb6:2596	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/ethnicgroup/European-CaribbeanAmerindian/	80
7b93e6a1:150814fecb6:2559	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	95
7b93e6a1:150814fecb6:2461	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	1.8
7b93e6a1:150814fecb6:24c8	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	4.5
7b93e6a1:150814fecb6:2684	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Soussou/	20
7b93e6a1:150814fecb6:248b	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ruthenian/	0.3
\.


--
-- TOC entry 6014 (class 0 OID 92509)
-- Dependencies: 887
-- Data for Name: Female; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Female" ("URI", onlyfemaleprop, "hasMother", "hasFather") FROM stdin;
\.


--
-- TOC entry 6015 (class 0 OID 92515)
-- Dependencies: 888
-- Data for Name: Island; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Island" ("URI", population, latitude, "belongsToIslands", area, name, longitude, type, elevation) FROM stdin;
http://www.semwebtech.org/mondial/10/island/PortoSanto/	\N	33	http://www.semwebtech.org/mondial/10/islands/Madeira/	42	Porto Santo	-16.35	volcanic	517
http://www.semwebtech.org/mondial/10/island/Kiritimati/	\N	1.9	http://www.semwebtech.org/mondial/10/islands/LineIslands/	388	Kiritimati	-157.4	atoll	13
http://www.semwebtech.org/mondial/10/island/Trinidad/	\N	10.4	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	4827	Trinidad	-61.35	\N	940
http://www.semwebtech.org/mondial/10/island/Kavaratti/	\N	10.6	http://www.semwebtech.org/mondial/10/islands/Laccadives/	6	Kavaratti	72.6	\N	2
http://www.semwebtech.org/mondial/10/island/Mayotte/	\N	-12.46	http://www.semwebtech.org/mondial/10/islands/Comores/	374	Mayotte	45.13	volcanic	660
http://www.semwebtech.org/mondial/10/island/SaoJorge/	\N	38.6	http://www.semwebtech.org/mondial/10/islands/Azores/	233.5	Sao Jorge	-28	volcanic	1053
http://www.semwebtech.org/mondial/10/island/Molokai/	\N	21.1	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	676	Molokai	-157	volcanic	1512
http://www.semwebtech.org/mondial/10/island/Tasmania/	\N	-42	\N	67800	Tasmania	145	\N	1617
http://www.semwebtech.org/mondial/10/island/Barra/	\N	57	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	91	Barra	-7.7	\N	383
http://www.semwebtech.org/mondial/10/island/Hierro/	\N	27.7	http://www.semwebtech.org/mondial/10/islands/Canares/	268	Hierro	-18	volcanic	1500
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	\N	46.3	\N	5660	Prince Edward Island	-63.4	\N	142
http://www.semwebtech.org/mondial/10/island/Terschelling/	\N	53.4	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	88	Terschelling	5.3	\N	\N
http://www.semwebtech.org/mondial/10/island/Batam/	\N	1.1	http://www.semwebtech.org/mondial/10/islands/RiauIslands/	415	Batam	104.05	\N	\N
http://www.semwebtech.org/mondial/10/island/Tinian/	\N	15	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	101	Tinian	145.6	\N	171
http://www.semwebtech.org/mondial/10/island/Iceland/	\N	65	\N	102829	Iceland	-18	volcanic	2119
http://www.semwebtech.org/mondial/10/island/Panarea/	\N	38.65	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	3.4	Panarea	15.05	volcanic	421
http://www.semwebtech.org/mondial/10/island/Bougainville/	\N	-6.2	http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	8800	Bougainville	155.25	\N	2715
http://www.semwebtech.org/mondial/10/island/Sardegna/	\N	40	\N	24090	Sardegna	9	\N	1834
http://www.semwebtech.org/mondial/10/island/Oesel/	\N	58.3	\N	2714	Oesel	22	\N	54
http://www.semwebtech.org/mondial/10/island/Lesbos/	\N	39.2	http://www.semwebtech.org/mondial/10/islands/Sporades/	1636	Lesbos	26.3	\N	968
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	\N	16.3	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	589	Grande-Terre	-61.4	lime	136
http://www.semwebtech.org/mondial/10/island/Formentera/	\N	38	http://www.semwebtech.org/mondial/10/islands/Baleares/	83	Formentera	1.5	\N	192
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	\N	33.2	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	194	Santa Catalina Island	-118.2	\N	648
http://www.semwebtech.org/mondial/10/island/Rota/	\N	15.15	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	85	Rota	145.2	\N	495
http://www.semwebtech.org/mondial/10/island/SanAndres/	\N	12.5	\N	26	San Andres	-81.7	\N	85
http://www.semwebtech.org/mondial/10/island/Bohol/	\N	9.9	http://www.semwebtech.org/mondial/10/islands/Philipines/	4117	Bohol	124.2	\N	\N
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	\N	51.4	\N	2020	Rene Levasseur Island	-68.7	\N	952
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	\N	-12	\N	5800	Melville Island	131	\N	\N
http://www.semwebtech.org/mondial/10/island/Banaba/	\N	-0.85	\N	6.29	Banaba	169.54	volcanic	81
http://www.semwebtech.org/mondial/10/island/Vlieland/	\N	53.25	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	40	Vlieland	5	\N	\N
http://www.semwebtech.org/mondial/10/island/Ponape/	\N	6.85	http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/	336	Ponape	158.2	volcanic	782
http://www.semwebtech.org/mondial/10/island/Anjouan/	\N	-12.2	http://www.semwebtech.org/mondial/10/islands/Comores/	424	Anjouan	44.35	\N	\N
http://www.semwebtech.org/mondial/10/island/Impalila/	\N	-17.77	\N	18	Impalila	25.23	\N	818
http://www.semwebtech.org/mondial/10/island/Sansibar/	\N	-6.1	\N	1658	Sansibar	39.3	\N	135
http://www.semwebtech.org/mondial/10/island/Juist/	\N	53.6	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	16.4	Juist	7	\N	3
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	\N	47.85	\N	375	Maly Zitny Ostrov	17.45	\N	\N
http://www.semwebtech.org/mondial/10/island/Cyprus/	\N	35.4	\N	9251	Cyprus	33.2	\N	1952
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	\N	-10.25	\N	135	Christmas Island	105.43	coral	350
http://www.semwebtech.org/mondial/10/island/Timor/	\N	-9.2	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	33850	Timor	124.9	\N	2963
http://www.semwebtech.org/mondial/10/island/Phuket/	\N	7.4	\N	576	Phuket	98.4	\N	529
http://www.semwebtech.org/mondial/10/island/Principe/	\N	1.6	\N	142	Principe	7.4	volcanic	927
http://www.semwebtech.org/mondial/10/island/Bintan/	\N	1.1	http://www.semwebtech.org/mondial/10/islands/RiauIslands/	1173	Bintan	104.5	\N	348
http://www.semwebtech.org/mondial/10/island/Ceram/	\N	-2	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	17100	Ceram	128	\N	3027
http://www.semwebtech.org/mondial/10/island/SouthUist/	\N	57.2	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	320	South Uist	-7.2	\N	620
http://www.semwebtech.org/mondial/10/island/Linosa/	\N	35.85	\N	5	Linosa	13.85	volcanic	195
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	\N	70.75	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	212291	Victoria Island	-110.1	\N	\N
http://www.semwebtech.org/mondial/10/island/Ireland/	\N	53.5	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	84421	Ireland	-7.8	\N	1041
http://www.semwebtech.org/mondial/10/island/Ibiza/	\N	38.5	http://www.semwebtech.org/mondial/10/islands/Baleares/	572	Ibiza	1.5	\N	476
http://www.semwebtech.org/mondial/10/island/Salina/	\N	38.6	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	26.8	Salina	14.9	volcanic	962
http://www.semwebtech.org/mondial/10/island/Koror/	\N	7.3	http://www.semwebtech.org/mondial/10/islands/Carolines/	8	Koror	134.5	volcanic	100
http://www.semwebtech.org/mondial/10/island/Malta/	\N	35.9	http://www.semwebtech.org/mondial/10/islands/Malta/	246	Malta	14.5	lime	252
http://www.semwebtech.org/mondial/10/island/Sumatra/	\N	0	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	473000	Sumatra	102	\N	3805
http://www.semwebtech.org/mondial/10/island/Providenciales/	\N	22	http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	\N	Providenciales	-72.3	\N	\N
http://www.semwebtech.org/mondial/10/island/BanksIsland/	\N	72.85	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	70028	Banks Island	-122.1	\N	\N
http://www.semwebtech.org/mondial/10/island/Zakynthos/	\N	37.8	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	406	Zakynthos	20.75	\N	756
http://www.semwebtech.org/mondial/10/island/Lolland/	\N	54.4	\N	1241	Lolland	11.5	\N	25
http://www.semwebtech.org/mondial/10/island/Langeland/	\N	55	\N	284	Langeland	10.5	\N	46
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	\N	-37.1	\N	104	Tristan Da Cunha	-12.3	volcanic	2062
http://www.semwebtech.org/mondial/10/island/Reunion/	\N	-20.9	\N	2510	Reunion	55.5	volcanic	3069
http://www.semwebtech.org/mondial/10/island/Fohr/	\N	54.7	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	82	Fohr	8.5	\N	13
http://www.semwebtech.org/mondial/10/island/St.Martin/	\N	18.1	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	87	St. Martin	-63.1	\N	411
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	\N	74	\N	90650	Nowaja Semlja	56	\N	1547
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	\N	79.25	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	196236	Ellesmere Island	-79.6	\N	2616
http://www.semwebtech.org/mondial/10/island/Sokotra/	\N	12.5	\N	3579	Sokotra	53.9	\N	1525
http://www.semwebtech.org/mondial/10/island/Borneo/	\N	-0.2	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	743122	Borneo	113.67	\N	4101
http://www.semwebtech.org/mondial/10/island/Rhum/	\N	57	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	104	Rhum	-6.3	volcanic	810
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	\N	28.4	http://www.semwebtech.org/mondial/10/islands/Canares/	1660	Fuerteventura	-14	volcanic	807
http://www.semwebtech.org/mondial/10/island/Panay/	\N	11.15	http://www.semwebtech.org/mondial/10/islands/Philipines/	12297	Panay	122.5	\N	2117
http://www.semwebtech.org/mondial/10/island/Ternate/	\N	0.8	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	137	Ternate	127.3	\N	1721
http://www.semwebtech.org/mondial/10/island/Lipari/	\N	38.5	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	37.5	Lipari	14.95	volcanic	602
http://www.semwebtech.org/mondial/10/island/Unalaska/	\N	63.9	http://www.semwebtech.org/mondial/10/islands/Aleutes/	2721	Unalaska	-166.5	volcanic	2036
http://www.semwebtech.org/mondial/10/island/Kauai/	\N	22	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	1433	Kauai	-159.5	volcanic	1598
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	\N	33	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	147	San Clemente Island	-118.5	\N	599
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	\N	44.8	\N	1.5	Veliki Ratno Ostrvo	20.45	\N	\N
http://www.semwebtech.org/mondial/10/island/Mindoro/	\N	13	http://www.semwebtech.org/mondial/10/islands/Philipines/	10244	Mindoro	121.1	\N	2582
http://www.semwebtech.org/mondial/10/island/Anglesey/	\N	53.3	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	715	Anglesey	-4.4	\N	\N
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	\N	-11.3	\N	19162	Ilha do Bananal	-50.4	\N	\N
http://www.semwebtech.org/mondial/10/island/Ameland/	\N	53.5	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	57.6	Ameland	5.75	\N	\N
http://www.semwebtech.org/mondial/10/island/Madagaskar/	\N	-20	\N	587041	Madagaskar	46	\N	2876
http://www.semwebtech.org/mondial/10/island/Labuan/	\N	5.3	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	91	Labuan	115.2	\N	\N
http://www.semwebtech.org/mondial/10/island/Helgoland/	\N	54.2	\N	1.7	Helgoland	7.9	\N	61.3
http://www.semwebtech.org/mondial/10/island/Jamaica/	\N	18.1	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	10991	Jamaica	-77.3	\N	2256
http://www.semwebtech.org/mondial/10/island/Curacao/	\N	12.2	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	444	Curacao	-69	\N	375
http://www.semwebtech.org/mondial/10/island/Arran/	\N	55.3	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	430	Arran	-5.5	\N	874
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	\N	-29	\N	34	Norfolk Island	168	volcanic	318
http://www.semwebtech.org/mondial/10/island/Wangerooge/	\N	53.8	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	7.9	Wangerooge	7.9	\N	17
http://www.semwebtech.org/mondial/10/island/Tongatapu/	\N	-21.2	http://www.semwebtech.org/mondial/10/islands/TongaIslands/	260	Tongatapu	-175.15	coral	65
http://www.semwebtech.org/mondial/10/island/Martinique/	\N	14.6	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	1128	Martinique	-61	volcanic	1397
http://www.semwebtech.org/mondial/10/island/Korfu/	\N	39.6	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	593	Korfu	19.8	\N	906
http://www.semwebtech.org/mondial/10/island/Grenada/	\N	12	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	344	Grenada	-62	volcanic	840
http://www.semwebtech.org/mondial/10/island/Gheschm/	\N	\N	\N	1491	Gheschm	\N	\N	\N
http://www.semwebtech.org/mondial/10/island/Newfoundland/	\N	48.6	\N	108860	Newfoundland	-55.8	\N	814
http://www.semwebtech.org/mondial/10/island/Jersey/	\N	49.2	http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	117	Jersey	-2.1	\N	136
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	\N	-16.35	http://www.semwebtech.org/mondial/10/islands/FijiIslands/	5500	Vanua Levu	179.25	volcanic	1111
http://www.semwebtech.org/mondial/10/island/Flores/	\N	39.5	http://www.semwebtech.org/mondial/10/islands/Azores/	143	Flores	-31.2	volcanic	914
http://www.semwebtech.org/mondial/10/island/Futuna/	\N	-14.3	http://www.semwebtech.org/mondial/10/islands/FutunaIslands/	64	Futuna	-178.1	volcanic	524
http://www.semwebtech.org/mondial/10/island/Fehmarn/	\N	54.4	\N	185	Fehmarn	11.2	\N	27.2
http://www.semwebtech.org/mondial/10/island/Gozo/	\N	36.05	http://www.semwebtech.org/mondial/10/islands/Malta/	67	Gozo	14.3	lime	176
http://www.semwebtech.org/mondial/10/island/EasterIsland/	\N	-27.1	\N	163	Easter Island	-109.35	volcanic	507
http://www.semwebtech.org/mondial/10/island/Gomera/	\N	28.1	http://www.semwebtech.org/mondial/10/islands/Canares/	369	Gomera	-17.3	volcanic	1487
http://www.semwebtech.org/mondial/10/island/Niihau/	\N	21.9	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	178	Niihau	-160.1	volcanic	381
http://www.semwebtech.org/mondial/10/island/Nantucket/	\N	41.5	\N	125	Nantucket	-70.1	\N	\N
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	\N	-38.4	http://www.semwebtech.org/mondial/10/islands/NewZealand/	114597	Te Ika-a-Maui (North Island)	175.7	\N	2797
http://www.semwebtech.org/mondial/10/island/Samos/	\N	37.7	http://www.semwebtech.org/mondial/10/islands/Sporades/	478	Samos	26.8	\N	1434
http://www.semwebtech.org/mondial/10/island/Kefallinia/	\N	38.2	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	689	Kefallinia	20.6	\N	1628
http://www.semwebtech.org/mondial/10/island/Barbados/	\N	13	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	430	Barbados	-59.3	lime	336
http://www.semwebtech.org/mondial/10/island/Nevis/	\N	17	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	93	Nevis	-62.3	volcanic	985
http://www.semwebtech.org/mondial/10/island/SaintLucia/	\N	14	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	616	Saint Lucia	-60.5	volcanic	950
http://www.semwebtech.org/mondial/10/island/Mindanao/	\N	7.55	http://www.semwebtech.org/mondial/10/islands/Philipines/	95581	Mindanao	124.9	\N	2954
http://www.semwebtech.org/mondial/10/island/Fogo/	\N	17.95	http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	476	Fogo	-24.4	volcanic	2829
http://www.semwebtech.org/mondial/10/island/Upolu/	\N	-13.9	http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	1125	Upolu	-171.75	volcanic	1158
http://www.semwebtech.org/mondial/10/island/Kyushu/	\N	32	http://www.semwebtech.org/mondial/10/islands/Japan/	35640	Kyushu	131	volcanic	1758
http://www.semwebtech.org/mondial/10/island/EastFalkland/	\N	-51.8	http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	6605	East Falkland	-58.8	\N	705
http://www.semwebtech.org/mondial/10/island/Streymoy/	\N	62	http://www.semwebtech.org/mondial/10/islands/FaroeIslands/	373	Streymoy	-7	\N	789
http://www.semwebtech.org/mondial/10/island/Svalbard/	\N	78.9	http://www.semwebtech.org/mondial/10/islands/Svalbard/	39044	Svalbard	18.2	\N	1717
http://www.semwebtech.org/mondial/10/island/Bangka/	\N	2.25	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	11942	Bangka	106	\N	700
http://www.semwebtech.org/mondial/10/island/Rarotonga/	\N	-21.12	http://www.semwebtech.org/mondial/10/islands/CookIslands/	67	Rarotonga	-159.46	volcanic	658
http://www.semwebtech.org/mondial/10/island/Savaii/	\N	-13.6	http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	1707	Savaii	-172.4	volcanic	1858
http://www.semwebtech.org/mondial/10/island/Krakatau/	\N	-6.1	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	\N	Krakatau	105.6	volcanic	813
http://www.semwebtech.org/mondial/10/island/Hainan/	\N	19.1	\N	34380	Hainan	109.6	\N	1897
http://www.semwebtech.org/mondial/10/island/Madeira/	\N	31	http://www.semwebtech.org/mondial/10/islands/Madeira/	794	Madeira	-16	volcanic	1861
http://www.semwebtech.org/mondial/10/island/LaPalma/	\N	28.7	http://www.semwebtech.org/mondial/10/islands/Canares/	708	La Palma	-17.9	volcanic	2426
http://www.semwebtech.org/mondial/10/island/Sicilia/	\N	37	\N	25462	Sicilia	14	\N	3323
http://www.semwebtech.org/mondial/10/island/Barbuda/	\N	17.3	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	161	Barbuda	-61.4	lime	38
http://www.semwebtech.org/mondial/10/island/Oahu/	\N	21.5	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	1557	Oahu	-158	volcanic	1225
http://www.semwebtech.org/mondial/10/island/GrandTurk/	\N	21.28	http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	14	Grand Turk	-71.08	\N	20
http://www.semwebtech.org/mondial/10/island/Aland/	\N	60.1	http://www.semwebtech.org/mondial/10/islands/AlandIslands/	650	Aland	20	\N	\N
http://www.semwebtech.org/mondial/10/island/GrandComoro/	\N	-11.7	http://www.semwebtech.org/mondial/10/islands/Comores/	1148	Grand Comoro	43.4	\N	2361
http://www.semwebtech.org/mondial/10/island/Babelthuap/	\N	7.5	http://www.semwebtech.org/mondial/10/islands/Carolines/	8	Babelthuap	134.6	volcanic	331
http://www.semwebtech.org/mondial/10/island/Sumbawa/	\N	-8.8	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	15448	Sumbawa	116.1	\N	2850
http://www.semwebtech.org/mondial/10/island/Hawaii/	\N	19.6	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	10450	Hawaii	-155.5	volcanic	4214
http://www.semwebtech.org/mondial/10/island/BishopRock/	\N	50	http://www.semwebtech.org/mondial/10/islands/ScillyIslands/	\N	Bishop Rock	-6.3	\N	\N
http://www.semwebtech.org/mondial/10/island/Taiwan/	\N	24	\N	35801	Taiwan	121	\N	3950
http://www.semwebtech.org/mondial/10/island/Luzon/	\N	16.1	http://www.semwebtech.org/mondial/10/islands/Philipines/	108172	Luzon	121	\N	2928
http://www.semwebtech.org/mondial/10/island/Ikaria/	\N	37.6	http://www.semwebtech.org/mondial/10/islands/Sporades/	255	Ikaria	26.2	\N	1037
http://www.semwebtech.org/mondial/10/island/Benbecula/	\N	57.45	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	82	Benbecula	-7.3	\N	124
http://www.semwebtech.org/mondial/10/island/Cebu/	\N	10.4	http://www.semwebtech.org/mondial/10/islands/Philipines/	5088	Cebu	123.8	\N	1000
http://www.semwebtech.org/mondial/10/island/DevonIsland/	\N	75.1	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	55247	Devon Island	-87.85	\N	1920
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	\N	53.5	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	40	Schiermonnikoog	6.2	\N	\N
http://www.semwebtech.org/mondial/10/island/Mallorca/	\N	39.3	http://www.semwebtech.org/mondial/10/islands/Baleares/	3618	Mallorca	3	\N	1445
http://www.semwebtech.org/mondial/10/island/Vulcano/	\N	38.4	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	21.2	Vulcano	15	volcanic	499
http://www.semwebtech.org/mondial/10/island/Lavan/	\N	26.5	\N	76	Lavan	53.1	\N	\N
http://www.semwebtech.org/mondial/10/island/Mull/	\N	56.45	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	910	Mull	6	\N	875
http://www.semwebtech.org/mondial/10/island/Ambon/	\N	-3.7	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	775	Ambon	128.2	\N	1225
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	\N	-22.16	http://www.semwebtech.org/mondial/10/islands/NewCaledonia/	16372	Grande Terre	166.27	\N	1628
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	\N	75.4	\N	11665	Kotelny Island	141	\N	374
http://www.semwebtech.org/mondial/10/island/SaintPierre/	\N	47	\N	26	Saint Pierre	-56	\N	\N
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	\N	60.3	http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/	970	Shetland Mainland	-1.3	\N	449
http://www.semwebtech.org/mondial/10/island/Oeland/	\N	57	\N	1344	Oeland	17	\N	55
http://www.semwebtech.org/mondial/10/island/Corse/	\N	41.4	\N	8680	Corse	8.4	\N	2706
http://www.semwebtech.org/mondial/10/island/Ascension/	\N	-7.9	\N	91	Ascension	-14.4	volcanic	859
http://www.semwebtech.org/mondial/10/island/Khark/	\N	29.1	\N	20.5	Khark	50.2	\N	1394
http://www.semwebtech.org/mondial/10/island/SaoTome/	\N	0.2	\N	859	Sao Tome	6.6	volcanic	2024
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	\N	37.7	http://www.semwebtech.org/mondial/10/islands/Azores/	747	Sao Miguel	-25.5	volcanic	1104
http://www.semwebtech.org/mondial/10/island/Bioko/	\N	3.5	\N	2017	Bioko	8.7	volcanic	3011
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	\N	47.95	\N	1885	Zitny Ostrov	17.65	\N	\N
http://www.semwebtech.org/mondial/10/island/Baltrum/	\N	53.6	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	6.5	Baltrum	7.4	\N	5
http://www.semwebtech.org/mondial/10/island/PuertoRico/	\N	18.49	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	8870	Puerto Rico	-66.12	\N	1338
http://www.semwebtech.org/mondial/10/island/Kos/	\N	36.8	http://www.semwebtech.org/mondial/10/islands/Sporades/	287	Kos	27.1	\N	846
http://www.semwebtech.org/mondial/10/island/Corvo/	\N	39.7	http://www.semwebtech.org/mondial/10/islands/Azores/	17.5	Corvo	-31.1	volcanic	718
http://www.semwebtech.org/mondial/10/island/Isabela/	\N	-1	http://www.semwebtech.org/mondial/10/islands/Galapagos/	5436	Isabela	-91.3	volcanic	1707
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	\N	16.15	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	848	Basse-Terre	-61.8	volcanic	1467
http://www.semwebtech.org/mondial/10/island/Bornholm/	\N	55.1	\N	588	Bornholm	14.9	\N	162
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	\N	72.6	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	33339	Prince of Wales Island	-98.55	\N	\N
http://www.semwebtech.org/mondial/10/island/Tiree/	\N	56.3	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	78	Tiree	6.9	\N	141
http://www.semwebtech.org/mondial/10/island/Terceira/	\N	38.7	http://www.semwebtech.org/mondial/10/islands/Azores/	400	Terceira	-27.2	volcanic	1022
http://www.semwebtech.org/mondial/10/island/Paramuschir/	\N	50.5	http://www.semwebtech.org/mondial/10/islands/Curiles/	2042	Paramuschir	155.75	volcanic	1816
http://www.semwebtech.org/mondial/10/island/Guam/	\N	13.4	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	541	Guam	144.7	coral	\N
http://www.semwebtech.org/mondial/10/island/Niue/	\N	-19.01	\N	260	Niue	-169.55	coral	67
http://www.semwebtech.org/mondial/10/island/Fakaofo/	\N	-9.37	http://www.semwebtech.org/mondial/10/islands/Tokelau/	4	Fakaofo	-171.2	atoll	\N
http://www.semwebtech.org/mondial/10/island/Tahiti/	\N	-17.32	http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/	1045	Tahiti	-149.34	volcanic	2241
http://www.semwebtech.org/mondial/10/island/Tortola/	\N	18.27	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	55	Tortola	-64.37	volcanic	521
http://www.semwebtech.org/mondial/10/island/Hispaniola/	\N	19	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	76192	Hispaniola	-70.7	\N	3098
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	\N	53.8	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	18.2	Spiekeroog	7.6	\N	3
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	\N	34	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	215	Santa Rosa Island	-120.1	\N	484
http://www.semwebtech.org/mondial/10/island/Faial/	\N	38.6	http://www.semwebtech.org/mondial/10/islands/Azores/	172	Faial	-28.7	volcanic	1043
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	\N	19.7	http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	30	Cayman Brac	-79.8	\N	\N
http://www.semwebtech.org/mondial/10/island/Honshu/	\N	36.3	http://www.semwebtech.org/mondial/10/islands/Japan/	230500	Honshu	138.6	volcanic	3776
http://www.semwebtech.org/mondial/10/island/Langeoog/	\N	53.65	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	20	Langeoog	7.5	\N	5
http://www.semwebtech.org/mondial/10/island/Guernsey/	\N	49.6	http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	194	Guernsey	-2.6	\N	111
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	\N	11.4	http://www.semwebtech.org/mondial/10/islands/AndamanIslands/	1210	South Andaman Island	92.5	\N	366
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	\N	34	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	245	Santa Cruz Island	-119.7	\N	747
http://www.semwebtech.org/mondial/10/island/Westray/	\N	59.4	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	47	Westray	-3	\N	169
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	\N	49.6	\N	31285	Vancouver Island	-125.65	\N	2195
http://www.semwebtech.org/mondial/10/island/GranCanaria/	\N	28	http://www.semwebtech.org/mondial/10/islands/Canares/	1560	Gran Canaria	-15.6	volcanic	1949
http://www.semwebtech.org/mondial/10/island/Okinawa/	\N	26	http://www.semwebtech.org/mondial/10/islands/Japan/	2255	Okinawa	128	volcanic	\N
http://www.semwebtech.org/mondial/10/island/Seeland/	\N	55.3	\N	7439	Seeland	12	\N	122
http://www.semwebtech.org/mondial/10/island/Tarawa/	\N	1.4	http://www.semwebtech.org/mondial/10/islands/GilbertIslands/	39	Tarawa	173	atoll	\N
http://www.semwebtech.org/mondial/10/island/SaintVincent/	\N	13.25	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	346	Saint Vincent	-61.3	volcanic	1300
http://www.semwebtech.org/mondial/10/island/Santiago/	\N	15.1	http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	991	Santiago	-23.6	volcanic	1394
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	\N	64.5	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	41214	Southampton Island	-84.5	\N	625
http://www.semwebtech.org/mondial/10/island/Sachalin/	\N	50	\N	76400	Sachalin	143	volcanic	1609
http://www.semwebtech.org/mondial/10/island/Nauru/	\N	-1	\N	21	Nauru	167	coral	60
http://www.semwebtech.org/mondial/10/island/Dagoe/	\N	58.8	\N	965	Dagoe	22.7	\N	\N
http://www.semwebtech.org/mondial/10/island/Sylt/	\N	54.9	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	99	Sylt	8.3	\N	52.5
http://www.semwebtech.org/mondial/10/island/IsleofWight/	\N	50.6	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	381	Isle of Wight	-1.3	\N	241
http://www.semwebtech.org/mondial/10/island/Skye/	\N	57.3	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	1385	Skye	-6.3	\N	993
http://www.semwebtech.org/mondial/10/island/Palawan/	\N	9.5	http://www.semwebtech.org/mondial/10/islands/Philipines/	11785	Palawan	118.4	\N	2085
http://www.semwebtech.org/mondial/10/island/SaintHelena/	\N	-15.56	\N	122	Saint Helena	-5.44	volcanic	818
http://www.semwebtech.org/mondial/10/island/KoSamui/	\N	9.5	\N	229	Ko Samui	100	\N	635
http://www.semwebtech.org/mondial/10/island/NewProvidence/	\N	25	http://www.semwebtech.org/mondial/10/islands/BahamaIslands/	207	New Providence	-77.4	\N	\N
http://www.semwebtech.org/mondial/10/island/Stromboli/	\N	38.8	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	12.6	Stromboli	15.15	volcanic	926
http://www.semwebtech.org/mondial/10/island/Rugen/	\N	54.5	\N	926	Rugen	13.4	\N	161
http://www.semwebtech.org/mondial/10/island/Lefkas/	\N	38.7	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	293	Lefkas	20.6	\N	1158
http://www.semwebtech.org/mondial/10/island/Hokkaido/	\N	43.3	http://www.semwebtech.org/mondial/10/islands/Japan/	83456	Hokkaido	143	volcanic	2290
http://www.semwebtech.org/mondial/10/island/Olkhon/	\N	53.15	\N	730	Olkhon	107.4	\N	1276
http://www.semwebtech.org/mondial/10/island/IsleofMan/	\N	54.1	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	588	Isle of Man	-4.5	\N	621
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	\N	11.5	\N	270	Isla da Ometepe	-85.6	\N	1700
http://www.semwebtech.org/mondial/10/island/Mohilla/	\N	-12.25	http://www.semwebtech.org/mondial/10/islands/Comores/	290	Mohilla	43.75	\N	\N
http://www.semwebtech.org/mondial/10/island/Fuenen/	\N	55.35	\N	2976	Fuenen	10.25	\N	131
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	\N	-9.6	http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	5358	Guadalcanal	160.2	\N	2335
http://www.semwebtech.org/mondial/10/island/Rhodos/	\N	36.2	http://www.semwebtech.org/mondial/10/islands/Sporades/	1401	Rhodos	28	\N	1215
http://www.semwebtech.org/mondial/10/island/Lampedusa/	\N	35.4	\N	20	Lampedusa	13.2	volcanic	113
http://www.semwebtech.org/mondial/10/island/Negros/	\N	10	http://www.semwebtech.org/mondial/10/islands/Philipines/	13328	Negros	123	\N	2435
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	\N	17.9	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	21	St. Barthelemy	-62.82	\N	286
http://www.semwebtech.org/mondial/10/island/Menorca/	\N	40	http://www.semwebtech.org/mondial/10/islands/Baleares/	760	Menorca	4	\N	358
http://www.semwebtech.org/mondial/10/island/Jura/	\N	56	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	367	Jura	-6	\N	785
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	\N	68.3	http://www.semwebtech.org/mondial/10/islands/Lofotes/	526	Aust-Vagoey	14.6	\N	1146
http://www.semwebtech.org/mondial/10/island/Greenland/	\N	70	\N	2175600	Greenland	-40	\N	\N
http://www.semwebtech.org/mondial/10/island/Pellworm/	\N	54.5	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	37.4	Pellworm	8.6	\N	2
http://www.semwebtech.org/mondial/10/island/Chios/	\N	38.4	http://www.semwebtech.org/mondial/10/islands/Sporades/	843	Chios	26.2	\N	1297
http://www.semwebtech.org/mondial/10/island/SantaMaria/	\N	37	http://www.semwebtech.org/mondial/10/islands/Azores/	97	Santa Maria	-25.1	volcanic	586
http://www.semwebtech.org/mondial/10/island/Mykonos/	\N	37.45	http://www.semwebtech.org/mondial/10/islands/Kyklades/	105	Mykonos	25.4	\N	341
http://www.semwebtech.org/mondial/10/island/Cuba/	\N	22	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	105806	Cuba	-79	\N	1974
http://www.semwebtech.org/mondial/10/island/NewGuinea/	\N	-5	\N	786000	New Guinea	142	\N	4884
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	\N	58.6	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	50	South Ronaldsay	-3.1	\N	118
http://www.semwebtech.org/mondial/10/island/Tobago/	\N	11.25	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	301	Tobago	-60.7	\N	576
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	\N	32.17	http://www.semwebtech.org/mondial/10/islands/BermudaIslands/	53.3	Grand Bermuda	-64.47	coral	79
http://www.semwebtech.org/mondial/10/island/Majuro/	\N	7.1	http://www.semwebtech.org/mondial/10/islands/MarshallIslands/	9.2	Majuro	171.4	atoll	\N
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	\N	41.4	\N	232	Marthas Vineyard	-70.6	\N	\N
http://www.semwebtech.org/mondial/10/island/Manitoulin/	\N	45.75	\N	2766	Manitoulin	-82.2	\N	\N
http://www.semwebtech.org/mondial/10/island/Falster/	\N	54.8	\N	514	Falster	12	\N	44
http://www.semwebtech.org/mondial/10/island/SriLanka/	\N	7	\N	65610	Sri Lanka	80	\N	2524
http://www.semwebtech.org/mondial/10/island/Samar/	\N	12	http://www.semwebtech.org/mondial/10/islands/Philipines/	13080	Samar	125.1	\N	\N
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	\N	22.1	http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	\N	North Caicos	-72.1	\N	20
http://www.semwebtech.org/mondial/10/island/Pemba/	\N	-5.2	\N	984	Pemba	39.7	\N	95
http://www.semwebtech.org/mondial/10/island/Efate/	\N	-17.8	http://www.semwebtech.org/mondial/10/islands/Vanuatu/	900	Efate	168.4	\N	647
http://www.semwebtech.org/mondial/10/island/Lombok/	\N	-8.4	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	4725	Lombok	116.5	volcanic	3726
http://www.semwebtech.org/mondial/10/island/WestFalkland/	\N	-51.8	http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	4532	West Falkland	-60.1	\N	700
http://www.semwebtech.org/mondial/10/island/Kreta/	\N	37	\N	8331	Kreta	25	\N	2456
http://www.semwebtech.org/mondial/10/island/Lanai/	\N	20.5	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	364	Lanai	-157	volcanic	1027
http://www.semwebtech.org/mondial/10/island/Saipan/	\N	15.2	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	115	Saipan	145.75	volcanic	474
http://www.semwebtech.org/mondial/10/island/Teneriffa/	\N	28.3	http://www.semwebtech.org/mondial/10/islands/Canares/	2034	Teneriffa	-16.6	volcanic	3718
http://www.semwebtech.org/mondial/10/island/Hoy/	\N	59.1	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	143	Hoy	-3.2	\N	479
http://www.semwebtech.org/mondial/10/island/Graciosa/	\N	39	http://www.semwebtech.org/mondial/10/islands/Azores/	61	Graciosa	-28	volcanic	402
http://www.semwebtech.org/mondial/10/island/SaintKitts/	\N	17.3	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	164	Saint Kitts	-62.75	volcanic	1156
http://www.semwebtech.org/mondial/10/island/Maui/	\N	20.7	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	1883	Maui	-156.3	volcanic	3055
http://www.semwebtech.org/mondial/10/island/Pitcairn/	\N	-25.04	http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/	4.5	Pitcairn	-130.05	volcanic	347
http://www.semwebtech.org/mondial/10/island/Anguilla/	\N	18	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	91	Anguilla	-64	\N	65
http://www.semwebtech.org/mondial/10/island/Lanzarote/	\N	29	http://www.semwebtech.org/mondial/10/islands/Canares/	846	Lanzarote	-13.6	volcanic	671
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	\N	57.9	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	2170	Lewis and Harris	-6.8	\N	799
http://www.semwebtech.org/mondial/10/island/Syros/	\N	37.45	http://www.semwebtech.org/mondial/10/islands/Kyklades/	84	Syros	24.9	\N	442
http://www.semwebtech.org/mondial/10/island/Pico/	\N	38.5	http://www.semwebtech.org/mondial/10/islands/Azores/	442	Pico	-28.4	volcanic	2351
http://www.semwebtech.org/mondial/10/island/Tutuila/	\N	-14.16	http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	135	Tutuila	-170.42	volcanic	653
http://www.semwebtech.org/mondial/10/island/Montserrat/	\N	16.42	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	102	Montserrat	-62.13	volcanic	1050
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	\N	-12.2	http://www.semwebtech.org/mondial/10/islands/CocosIslands/	6.23	Pulau Panjang	96.9	atoll	9
http://www.semwebtech.org/mondial/10/island/Mauritius/	\N	-20	\N	1860	Mauritius	57	volcanic	828
http://www.semwebtech.org/mondial/10/island/GreatBritain/	\N	53	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	229850	Great Britain	-1.5	\N	1344
http://www.semwebtech.org/mondial/10/island/Antigua/	\N	17.05	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	281	Antigua	-61.8	\N	400
http://www.semwebtech.org/mondial/10/island/Fongafale/	\N	-8.5	http://www.semwebtech.org/mondial/10/islands/ElliceIslands/	2.8	Fongafale	179.1	atoll	\N
http://www.semwebtech.org/mondial/10/island/SaintThomas/	\N	18.3	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	31	Saint Thomas	-64.9	\N	\N
http://www.semwebtech.org/mondial/10/island/LittleCayman/	\N	19.8	http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	20	Little Cayman	-80	\N	\N
http://www.semwebtech.org/mondial/10/island/Singapore/	\N	1.3	\N	632.6	Singapore	103.833	\N	176
http://www.semwebtech.org/mondial/10/island/Male/	\N	2	http://www.semwebtech.org/mondial/10/islands/Maldives/	2.74	Male	72	atoll	1
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	\N	69	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	507451	Baffin Island	72	\N	2147
http://www.semwebtech.org/mondial/10/island/NorthUist/	\N	57.4	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	303	North Uist	-7.1	\N	347
http://www.semwebtech.org/mondial/10/island/Samosir/	\N	2.6	\N	852	Samosir	98.85	volcanic	\N
http://www.semwebtech.org/mondial/10/island/Java/	\N	-7.5	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	126650	Java	111.25	\N	3676
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	\N	33	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	37	San Miguel Island	-120.4	\N	259
http://www.semwebtech.org/mondial/10/island/Islay/	\N	62.1	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	619.6	Islay	7	\N	491
http://www.semwebtech.org/mondial/10/island/Sulawesi/	\N	-2.1	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	189216	Sulawesi	120.3	volcanic	3455
http://www.semwebtech.org/mondial/10/island/Borkum/	\N	53.6	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	31	Borkum	6.7	\N	6
http://www.semwebtech.org/mondial/10/island/Alicudi/	\N	38.6	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	5.2	Alicudi	14.4	volcanic	675
http://www.semwebtech.org/mondial/10/island/VitiLevu/	\N	-17.8	http://www.semwebtech.org/mondial/10/islands/FijiIslands/	10429	Viti Levu	178	volcanic	1394
http://www.semwebtech.org/mondial/10/island/Filicudi/	\N	38.6	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	9.5	Filicudi	14.55	volcanic	774
http://www.semwebtech.org/mondial/10/island/Usedom/	\N	53.9	\N	445	Usedom	14.1	\N	\N
http://www.semwebtech.org/mondial/10/island/Leyte/	\N	11	http://www.semwebtech.org/mondial/10/islands/Philipines/	7368	Leyte	124.9	\N	\N
http://www.semwebtech.org/mondial/10/island/Uvea/	\N	-13.16	http://www.semwebtech.org/mondial/10/islands/WallisIslands/	90	Uvea	-176.2	volcanic	131
http://www.semwebtech.org/mondial/10/island/Bali/	\N	-8.4	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	5561	Bali	115.1	volcanic	3142
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	\N	59	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	492	Orkney Mainland	-3.1	\N	271
http://www.semwebtech.org/mondial/10/island/Gotland/	\N	57.5	\N	3140	Gotland	18.5	\N	82
http://www.semwebtech.org/mondial/10/island/Norderney/	\N	53.7	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	26.3	Norderney	7.9	\N	5
http://www.semwebtech.org/mondial/10/island/MargitSziget/	\N	47.5	\N	1	Margit Sziget	19.05	\N	\N
http://www.semwebtech.org/mondial/10/island/Amrum/	\N	54.65	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	20.5	Amrum	8.3	\N	32
http://www.semwebtech.org/mondial/10/island/Halmahera/	\N	0.6	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	18040	Halmahera	127.9	\N	1635
http://www.semwebtech.org/mondial/10/island/Texel/	\N	53.1	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	162	Texel	4.8	\N	15
http://www.semwebtech.org/mondial/10/island/Bahrain/	\N	26	\N	620	Bahrain	50.5	\N	135
http://www.semwebtech.org/mondial/10/island/Dominica/	\N	15.4	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	746	Dominica	-61.35	volcanic	1447
http://www.semwebtech.org/mondial/10/island/Shikoku/	\N	34	http://www.semwebtech.org/mondial/10/islands/Japan/	18800	Shikoku	134	volcanic	1965
http://www.semwebtech.org/mondial/10/island/Aruba/	\N	12.31	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	193	Aruba	-70.02	\N	188
http://www.semwebtech.org/mondial/10/island/Zhoushan/	\N	30.05	\N	502	Zhoushan	122.15	\N	503
http://www.semwebtech.org/mondial/10/island/Jeju/	\N	33.4	\N	1845	Jeju	126.5	volcanic	1950
http://www.semwebtech.org/mondial/10/island/Mahe/	\N	-4.65	http://www.semwebtech.org/mondial/10/islands/Seychelles/	154	Mahe	55.5	\N	905
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	\N	-35.8	\N	4405	Cangaroo Island	137.3	\N	307
http://www.semwebtech.org/mondial/10/island/GrandCayman/	\N	19.18	http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	197	Grand Cayman	-81.23	\N	\N
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	\N	-44	http://www.semwebtech.org/mondial/10/islands/NewZealand/	151757	Te Waka-a-Maui (South Island)	170.4	\N	3754
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	\N	47.1	\N	205	Miquelon-Langlade	-56.3	\N	240
http://www.semwebtech.org/mondial/10/island/LongIsland/	\N	40.8	\N	3566	Long Island	-73.3	\N	122
\.


--
-- TOC entry 6016 (class 0 OID 92522)
-- Dependencies: 889
-- Data for Name: Islands; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Islands" ("URI", latitude, population, area, type, longitude, elevation, name) FROM stdin;
http://www.semwebtech.org/mondial/10/islands/Seychelles/	\N	\N	\N	\N	\N	\N	Seychelles
http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	\N	\N	\N	\N	\N	\N	Cayman Islands
http://www.semwebtech.org/mondial/10/islands/ElliceIslands/	\N	\N	\N	\N	\N	\N	Ellice Islands
http://www.semwebtech.org/mondial/10/islands/NewCaledonia/	\N	\N	\N	\N	\N	\N	New Caledonia
http://www.semwebtech.org/mondial/10/islands/ScillyIslands/	\N	\N	\N	\N	\N	\N	Scilly Islands
http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	\N	\N	\N	\N	\N	\N	Inner Hebrides
http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	\N	\N	\N	\N	\N	\N	Outer Hebrides
http://www.semwebtech.org/mondial/10/islands/Malta/	\N	\N	\N	\N	\N	\N	Malta
http://www.semwebtech.org/mondial/10/islands/LipariIslands/	\N	\N	\N	\N	\N	\N	Lipari Islands
http://www.semwebtech.org/mondial/10/islands/BermudaIslands/	\N	\N	\N	\N	\N	\N	Bermuda Islands
http://www.semwebtech.org/mondial/10/islands/Kyklades/	\N	\N	\N	\N	\N	\N	Kyklades
http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	\N	\N	\N	\N	\N	\N	Cape Verdes
http://www.semwebtech.org/mondial/10/islands/WallisIslands/	\N	\N	\N	\N	\N	\N	Wallis Islands
http://www.semwebtech.org/mondial/10/islands/FaroeIslands/	\N	\N	\N	\N	\N	\N	Faroe Islands
http://www.semwebtech.org/mondial/10/islands/Tokelau/	\N	\N	\N	\N	\N	\N	Tokelau
http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/	\N	\N	\N	\N	\N	\N	Polynesian Islands
http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	\N	\N	\N	\N	\N	\N	Mariana Islands
http://www.semwebtech.org/mondial/10/islands/MarshallIslands/	\N	\N	\N	\N	\N	\N	Marshall Islands
http://www.semwebtech.org/mondial/10/islands/AndamanIslands/	\N	\N	\N	\N	\N	\N	Andaman Islands
http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	\N	\N	\N	\N	\N	\N	Ostfriesische Inseln
http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	\N	\N	\N	\N	\N	\N	Turks and Caicos Islands
http://www.semwebtech.org/mondial/10/islands/Philipines/	\N	\N	\N	\N	\N	\N	Philipines
http://www.semwebtech.org/mondial/10/islands/Japan/	\N	\N	\N	\N	\N	\N	Japan
http://www.semwebtech.org/mondial/10/islands/Svalbard/	\N	\N	\N	\N	\N	\N	Svalbard
http://www.semwebtech.org/mondial/10/islands/Laccadives/	\N	\N	\N	\N	\N	\N	Laccadives
http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	\N	\N	\N	\N	\N	\N	Greater Antilles
http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	\N	\N	\N	\N	\N	\N	Hawaii Islands
http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	\N	\N	\N	\N	\N	\N	Nordfriesische Inseln
http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	\N	\N	\N	\N	\N	\N	Lesser Antilles
http://www.semwebtech.org/mondial/10/islands/CocosIslands/	\N	\N	\N	\N	\N	\N	Cocos Islands
http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	\N	\N	\N	\N	\N	\N	Falkland Islands
http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	\N	\N	\N	\N	\N	\N	Canadian Arctic Islands
http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	\N	\N	\N	\N	\N	\N	Samoan Islands
http://www.semwebtech.org/mondial/10/islands/SundaIslands/	\N	\N	\N	\N	\N	\N	Sunda Islands
http://www.semwebtech.org/mondial/10/islands/Aleutes/	\N	\N	\N	\N	\N	\N	Aleutes
http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/	\N	\N	\N	\N	\N	\N	Shetland Islands
http://www.semwebtech.org/mondial/10/islands/NewZealand/	\N	\N	\N	\N	\N	\N	New Zealand
http://www.semwebtech.org/mondial/10/islands/Maldives/	\N	\N	\N	\N	\N	\N	Maldives
http://www.semwebtech.org/mondial/10/islands/Sporades/	\N	\N	\N	\N	\N	\N	Sporades
http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	\N	\N	\N	\N	\N	\N	Solomon Islands
http://www.semwebtech.org/mondial/10/islands/Baleares/	\N	\N	\N	\N	\N	\N	Baleares
http://www.semwebtech.org/mondial/10/islands/CookIslands/	\N	\N	\N	\N	\N	\N	Cook Islands
http://www.semwebtech.org/mondial/10/islands/GilbertIslands/	\N	\N	\N	\N	\N	\N	Gilbert Islands
http://www.semwebtech.org/mondial/10/islands/Vanuatu/	\N	\N	\N	\N	\N	\N	Vanuatu
http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	\N	\N	\N	\N	\N	\N	Orkney Islands
http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/	\N	\N	\N	\N	\N	\N	Pitcairn Islands
http://www.semwebtech.org/mondial/10/islands/Madeira/	\N	\N	\N	\N	\N	\N	Madeira
http://www.semwebtech.org/mondial/10/islands/Comores/	\N	\N	\N	\N	\N	\N	Comores
http://www.semwebtech.org/mondial/10/islands/BritishIsles/	\N	\N	\N	\N	\N	\N	British Isles
http://www.semwebtech.org/mondial/10/islands/BahamaIslands/	\N	\N	\N	\N	\N	\N	Bahama Islands
http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	\N	\N	\N	\N	\N	\N	Californian Channel Islands
http://www.semwebtech.org/mondial/10/islands/IonicIslands/	\N	\N	\N	\N	\N	\N	Ionic Islands
http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/	\N	\N	\N	\N	\N	\N	Micronesian Islands
http://www.semwebtech.org/mondial/10/islands/AlandIslands/	\N	\N	\N	\N	\N	\N	Aland Islands
http://www.semwebtech.org/mondial/10/islands/Lofotes/	\N	\N	\N	\N	\N	\N	Lofotes
http://www.semwebtech.org/mondial/10/islands/TongaIslands/	\N	\N	\N	\N	\N	\N	Tonga Islands
http://www.semwebtech.org/mondial/10/islands/RiauIslands/	\N	\N	\N	\N	\N	\N	Riau Islands
http://www.semwebtech.org/mondial/10/islands/FutunaIslands/	\N	\N	\N	\N	\N	\N	Futuna Islands
http://www.semwebtech.org/mondial/10/islands/Azores/	\N	\N	\N	\N	\N	\N	Azores
http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	\N	\N	\N	\N	\N	\N	Moluccan Islands
http://www.semwebtech.org/mondial/10/islands/Curiles/	\N	\N	\N	\N	\N	\N	Curiles
http://www.semwebtech.org/mondial/10/islands/Canares/	\N	\N	\N	\N	\N	\N	Canares
http://www.semwebtech.org/mondial/10/islands/FijiIslands/	\N	\N	\N	\N	\N	\N	Fiji Islands
http://www.semwebtech.org/mondial/10/islands/Carolines/	\N	\N	\N	\N	\N	\N	Carolines
http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	\N	\N	\N	\N	\N	\N	Channel Islands
http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	\N	\N	\N	\N	\N	\N	Westfriesische Inseln
http://www.semwebtech.org/mondial/10/islands/LineIslands/	\N	\N	\N	\N	\N	\N	Line Islands
http://www.semwebtech.org/mondial/10/islands/Galapagos/	\N	\N	\N	\N	\N	\N	Galapagos
\.


--
-- TOC entry 6017 (class 0 OID 92529)
-- Dependencies: 890
-- Data for Name: Language; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Language" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/language/Pitkern/	Pitkern
http://www.semwebtech.org/mondial/10/language/Gagauz/	Gagauz
http://www.semwebtech.org/mondial/10/language/Brahui/	Brahui
http://www.semwebtech.org/mondial/10/language/English/	English
http://www.semwebtech.org/mondial/10/language/Slovene/	Slovene
http://www.semwebtech.org/mondial/10/language/Arabic/	Arabic
http://www.semwebtech.org/mondial/10/language/Punjabi/	Punjabi
http://www.semwebtech.org/mondial/10/language/Futunian/	Futunian
http://www.semwebtech.org/mondial/10/language/Estonian/	Estonian
http://www.semwebtech.org/mondial/10/language/Creole/	Creole
http://www.semwebtech.org/mondial/10/language/Serbo-Croatian/	Serbo-Croatian
http://www.semwebtech.org/mondial/10/language/Albanian/	Albanian
http://www.semwebtech.org/mondial/10/language/Garifuna/	Garifuna
http://www.semwebtech.org/mondial/10/language/Maori/	Maori
http://www.semwebtech.org/mondial/10/language/French/	French
http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/	Philipine Language
http://www.semwebtech.org/mondial/10/language/Quechua/	Quechua
http://www.semwebtech.org/mondial/10/language/Chinese/	Chinese
http://www.semwebtech.org/mondial/10/language/Belorussian/	Belorussian
http://www.semwebtech.org/mondial/10/language/Amerindian/	Amerindian
http://www.semwebtech.org/mondial/10/language/Bulgarian/	Bulgarian
http://www.semwebtech.org/mondial/10/language/Korean/	Korean
http://www.semwebtech.org/mondial/10/language/Swedish/	Swedish
http://www.semwebtech.org/mondial/10/language/Portuguese/	Portuguese
http://www.semwebtech.org/mondial/10/language/Finnish/	Finnish
http://www.semwebtech.org/mondial/10/language/Serbian/	Serbian
http://www.semwebtech.org/mondial/10/language/Bosnian/	Bosnian
http://www.semwebtech.org/mondial/10/language/Siraiki/	Siraiki
http://www.semwebtech.org/mondial/10/language/Japanese/	Japanese
http://www.semwebtech.org/mondial/10/language/Basque/	Basque
http://www.semwebtech.org/mondial/10/language/Luxembourgish/	Luxembourgish
http://www.semwebtech.org/mondial/10/language/Greek/	Greek
http://www.semwebtech.org/mondial/10/language/Hebrew/	Hebrew
http://www.semwebtech.org/mondial/10/language/Turkic/	Turkic
http://www.semwebtech.org/mondial/10/language/Danish/	Danish
http://www.semwebtech.org/mondial/10/language/Montenegrin/	Montenegrin
http://www.semwebtech.org/mondial/10/language/Dungun/	Dungun
http://www.semwebtech.org/mondial/10/language/Kyrgyz/	Kyrgyz
http://www.semwebtech.org/mondial/10/language/Hindko/	Hindko
http://www.semwebtech.org/mondial/10/language/Azeri/	Azeri
http://www.semwebtech.org/mondial/10/language/Kurdish/	Kurdish
http://www.semwebtech.org/mondial/10/language/Slovenian/	Slovenian
http://www.semwebtech.org/mondial/10/language/ChineseLanguage/	Chinese Language
http://www.semwebtech.org/mondial/10/language/Italian/	Italian
http://www.semwebtech.org/mondial/10/language/Persian/	Persian
http://www.semwebtech.org/mondial/10/language/Slovak/	Slovak
http://www.semwebtech.org/mondial/10/language/Sinhala/	Sinhala
http://www.semwebtech.org/mondial/10/language/Georgian/	Georgian
http://www.semwebtech.org/mondial/10/language/Russian/	Russian
http://www.semwebtech.org/mondial/10/language/Galician/	Galician
http://www.semwebtech.org/mondial/10/language/Miskito/	Miskito
http://www.semwebtech.org/mondial/10/language/KhalkhaMongol/	Khalkha Mongol
http://www.semwebtech.org/mondial/10/language/Luri/	Luri
http://www.semwebtech.org/mondial/10/language/Kurd/	Kurd
http://www.semwebtech.org/mondial/10/language/Bambara/	Bambara
http://www.semwebtech.org/mondial/10/language/Aymara/	Aymara
http://www.semwebtech.org/mondial/10/language/Latvian/	Latvian
http://www.semwebtech.org/mondial/10/language/Ukrainian/	Ukrainian
http://www.semwebtech.org/mondial/10/language/Somali/	Somali
http://www.semwebtech.org/mondial/10/language/Wallisian/	Wallisian
http://www.semwebtech.org/mondial/10/language/Sindhi/	Sindhi
http://www.semwebtech.org/mondial/10/language/Armenian/	Armenian
http://www.semwebtech.org/mondial/10/language/MayanDialects/	Mayan Dialects
http://www.semwebtech.org/mondial/10/language/Polish/	Polish
http://www.semwebtech.org/mondial/10/language/OtherPacificIslandLanguage/	Other Pacific Island Language
http://www.semwebtech.org/mondial/10/language/Romanian/	Romanian
http://www.semwebtech.org/mondial/10/language/Tajik/	Tajik
http://www.semwebtech.org/mondial/10/language/Spanish/	Spanish
http://www.semwebtech.org/mondial/10/language/German/	German
http://www.semwebtech.org/mondial/10/language/Kazakh/	Kazakh
http://www.semwebtech.org/mondial/10/language/Tongan/	Tongan
http://www.semwebtech.org/mondial/10/language/Urdu/	Urdu
http://www.semwebtech.org/mondial/10/language/Turkish/	Turkish
http://www.semwebtech.org/mondial/10/language/Tamil/	Tamil
http://www.semwebtech.org/mondial/10/language/Chamorro/	Chamorro
http://www.semwebtech.org/mondial/10/language/Polynesian/	Polynesian
http://www.semwebtech.org/mondial/10/language/Hungarian/	Hungarian
http://www.semwebtech.org/mondial/10/language/Uzbek/	Uzbek
http://www.semwebtech.org/mondial/10/language/Lithuanian/	Lithuanian
http://www.semwebtech.org/mondial/10/language/Balochi/	Balochi
http://www.semwebtech.org/mondial/10/language/Croatian/	Croatian
http://www.semwebtech.org/mondial/10/language/Lezgi/	Lezgi
http://www.semwebtech.org/mondial/10/language/Burmese/	Burmese
http://www.semwebtech.org/mondial/10/language/Pashtu/	Pashtu
http://www.semwebtech.org/mondial/10/language/Afrikaans/	Afrikaans
http://www.semwebtech.org/mondial/10/language/Catalan/	Catalan
http://www.semwebtech.org/mondial/10/language/Hindi/	Hindi
http://www.semwebtech.org/mondial/10/language/Norwegian/	Norwegian
http://www.semwebtech.org/mondial/10/language/Icelandic/	Icelandic
http://www.semwebtech.org/mondial/10/language/Vietnamese/	Vietnamese
http://www.semwebtech.org/mondial/10/language/AfghanPersian/	Afghan Persian
http://www.semwebtech.org/mondial/10/language/Samoan/	Samoan
http://www.semwebtech.org/mondial/10/language/Maltese/	Maltese
http://www.semwebtech.org/mondial/10/language/Roma/	Roma
http://www.semwebtech.org/mondial/10/language/Macedonian/	Macedonian
http://www.semwebtech.org/mondial/10/language/Nepali/	Nepali
http://www.semwebtech.org/mondial/10/language/Guarani/	Guarani
http://www.semwebtech.org/mondial/10/language/Papiamento/	Papiamento
http://www.semwebtech.org/mondial/10/language/Romansch/	Romansch
http://www.semwebtech.org/mondial/10/language/Dutch/	Dutch
http://www.semwebtech.org/mondial/10/language/Turkmen/	Turkmen
http://www.semwebtech.org/mondial/10/language/Monegasque/	Monegasque
http://www.semwebtech.org/mondial/10/language/Czech/	Czech
\.


--
-- TOC entry 6018 (class 0 OID 92532)
-- Dependencies: 891
-- Data for Name: Male; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Male" ("URI", "hasMother", "hasFather") FROM stdin;
\.


--
-- TOC entry 6019 (class 0 OID 92538)
-- Dependencies: 892
-- Data for Name: Membership; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Membership" ("URI", "ofMember", "inOrganization", type) FROM stdin;
7b93e6a1:150814fecb6:1e7c	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:13ca	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:17d7	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:836	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-271	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1920	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-38b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/BA/	member
7b93e6a1:150814fecb6:1ddf	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1b26	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:7c6	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:10f8	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d0e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:14fa	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:901	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1dc8	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:141b	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:18	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
7b93e6a1:150814fecb6:d11	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e3	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:ee0	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:a9f	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-99	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-55c	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1a42	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:-260	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20f7	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b37	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb4	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2053	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:765	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c10	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e2	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d97	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4b1	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11ed	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e70	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ae3	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-bc	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-5a0	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:-15f	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1b0f	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:173d	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:30c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d6f	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1069	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1abb	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:199d	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:56c	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b9e	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:13a9	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1305	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8ac	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ede	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1d8	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1565	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:1b97	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:e3a	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:134	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b1	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2c7	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-223	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-358	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d08	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5a9	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:394	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2016	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:ed	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:728	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a5	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-483	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
7b93e6a1:150814fecb6:1ed7	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1801	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:aa6	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:988	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e33	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110c	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6d4	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a02	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:630	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:136c	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/GUAM/	member
7b93e6a1:150814fecb6:c62	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:890	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19b	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:52f	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16ac	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-28a	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:fa2	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cde	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:207d	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:78f	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:1c3a	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4db	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1e9a	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5ca	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1194	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:1528	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-63	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1788	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:357	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d4	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1430	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-446	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1a62	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1690	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-3f2	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cc9	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132f	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c25	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f7	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1da2	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:853	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19d0	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:158f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e85	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:15e	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12db	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd1	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-24d	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:18cf	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:94	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:182b	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e5d	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1157	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6fe	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a2c	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-26	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:65a	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c8c	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1ac9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-409	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1a25	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16f7	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fcc	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2c6	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1653	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:222	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c85	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3b5	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-311	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:482	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2104	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:816	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-8d	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-571	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e48	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc5	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f21	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b0	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14fe	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:df4	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:145a	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:57	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:d50	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a8c	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1bc	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:61d	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:c4f	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dcc	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c6	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:87d	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19fa	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1022	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:bfb	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1282	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-298	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1616	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:1c48	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e9	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1876	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:445	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c2	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5d8	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a77	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bf4	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-534	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b50	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f1	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4e0	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:db7	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:141d	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d13	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e5	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a4f	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:941	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:167d	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f73	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24c	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3df	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-33b	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:19bd	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-59b	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1fef	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12e9	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bbe	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f4b	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1245	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20da	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1a	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7ec	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:d7a	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1839	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11f1	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:408	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-c0	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-163	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1bb7	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:668	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b13	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17e5	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3b4	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1741	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:310	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d73	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a3	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104c	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9a8	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:570	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:904	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f36	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20f	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:8b0	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:46f	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ec	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ee2	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bb	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-55e	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b7a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2aa	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f0e	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1208	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7af	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:f1	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70b	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1468	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d3d	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eba	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b4	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:96b	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1110	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-126	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9d	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:297	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17a8	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1370	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-386	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1704	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d36	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:100f	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d7	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1964	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f96	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:533	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b0	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:126f	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b65	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce2	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2081	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:793	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15af	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-ea	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-18d	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:ea5	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:150b	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e01	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b3d	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3de	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:176b	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:33a	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d9d	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4cd	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1097	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b4	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:10	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59a	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:92e	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13d7	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cac	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1333	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-349	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:8da	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1593	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1927	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:162	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2f5	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:1f59	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-251	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20e8	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b28	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ca5	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2044	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c01	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:756	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18d3	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d88	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4a2	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11de	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ad4	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e61	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-ad	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:113a	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a30	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:139a	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c90	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:172e	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1aac	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:198e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:55d	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16da	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd0	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:b8f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:ecf	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1c9	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-91	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1556	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e2b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b88	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:125	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a2	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2b8	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-214	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:385	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:de	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2007	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:719	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-474	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:3a	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1ec8	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a90	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c0	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:979	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e24	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c5	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cf7	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:621	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:135d	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c53	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dd0	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:881	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:18c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:-27b	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1ccf	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:206e	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c2b	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18fd	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4cc	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e8b	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:afe	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-f8	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
7b93e6a1:150814fecb6:-5bb	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1185	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a5a	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-54	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1519	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1779	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:348	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c5	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1af7	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1421	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-437	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:1a53	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:ffa	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f4	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1681	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:250	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3e3	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:c16	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e8	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:844	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c1	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e76	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:14f	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12cc	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bc2	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-23e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:7f0	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-49e	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:85	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:181c	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1ea	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e4e	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1148	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6ef	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a1d	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-17	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:64b	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:c7d	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dfa	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10f4	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1050	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a16	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e8	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fbd	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b7	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1644	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:213	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c76	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a6	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-302	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:473	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f0	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:807	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-7e	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-562	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e39	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb6	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f12	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a1	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b3	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14ef	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:de5	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:144b	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:48	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d41	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a7d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ad	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:27a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:60e	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1dbd	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b7	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86e	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19eb	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1013	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ba	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bec	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1273	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-289	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1607	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:1c39	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1867	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e99	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:436	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15b3	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5c9	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-191	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:a68	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be5	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-525	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b41	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:696	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3e2	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4d1	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:107a	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:da8	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140e	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d04	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d6	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:932	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:166e	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f64	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23d	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13ba	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb0	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-32c	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:49d	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:19ae	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-58c	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:5	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:190a	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:1f3c	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:baf	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1236	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20cb	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0b	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7dd	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1496	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d6b	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11e2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1f8	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-b1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-154	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1ba8	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:659	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b04	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:17d6	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1732	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:3a5	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:301	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d64	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103d	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ab0	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1992	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:561	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:129d	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b93	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f27	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8a1	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15dd	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed3	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1ac	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-54f	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b6b	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4fb	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1459	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1eab	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:d2e	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:11a5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:95c	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1101	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-117	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8e	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:288	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
7b93e6a1:150814fecb6:cda	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1361	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-377	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d27	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f9	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c8	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:190	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:1955	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f87	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:524	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a1	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b56	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd3	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2072	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:784	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:4d0	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-db	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:-17e	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1b2e	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:3cf	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:175c	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d8e	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:32b	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4be	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1088	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:a5	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1ada	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41a	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:58b	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:91f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13c8	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1324	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8cb	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:efd	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1f7	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1584	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1918	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:153	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d0	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2e6	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:-242	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:20d9	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b19	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:2035	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	associate member
7b93e6a1:150814fecb6:747	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c4	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:d79	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef6	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1820	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11cf	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac5	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e52	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112b	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6f3	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a21	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:138b	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c81	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:171f	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:197f	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:54e	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16cb	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc1	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cfd	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:209c	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:4fa	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-82	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1547	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:e1c	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b79	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:116	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2a9	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:-205	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:376	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f3	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:cf	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-465	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2b	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1eb9	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a81	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b1	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e15	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6b6	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:ce8	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:612	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:134e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c44	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dc1	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:872	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:17d	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12fa	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bf0	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-26c	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:205f	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c1c	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18ee	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:184a	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:4bd	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:aef	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-e9	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5ac	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1176	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a4b	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-45	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:339	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b6	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1ae8	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1412	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-428	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:599	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a44	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:feb	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e5	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1672	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:241	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3d4	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-330	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:c07	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d9	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:835	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19b2	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-590	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:e67	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fe4	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12bd	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb3	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f40	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-22f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7e1	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-48f	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:76	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:180d	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1db	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e3f	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1139	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a0e	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:63c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1399	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c6e	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1deb	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89c	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1041	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a07	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:16d9	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fae	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2a8	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1635	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:f0a	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:204	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c67	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1895	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:464	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15e1	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:a96	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1b0	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-6f	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-553	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1fa7	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f03	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a4	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dd6	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:700	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:143c	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:39	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d32	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a6e	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:960	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:169c	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f92	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:26b	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3fe	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-35a	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dae	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a8	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:85f	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d0a	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19dc	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:1004	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ab	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bdd	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f6a	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1264	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1858	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:427	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15a4	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-182	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:a59	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd6	http://www.semwebtech.org/mondial/10/country/SBAR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1500	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:-516	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:687	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b32	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
7b93e6a1:150814fecb6:1760	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3d3	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d92	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c2	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106b	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9c7	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:ff9	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:923	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:165f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:f55	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22e	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13ab	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca1	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-31d	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:48e	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1da	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-57d	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1f2d	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1227	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20bc	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7ce	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:72a	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1487	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	signatory state
7b93e6a1:150814fecb6:d5c	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11d3	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1e9	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:98a	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-a2	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	observer
7b93e6a1:150814fecb6:-145	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17c7	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1df9	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1723	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d55	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102e	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f6	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aa1	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1983	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:552	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:128e	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b84	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f18	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15ce	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec4	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:152a	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e20	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b5c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3fd	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:178a	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4ec	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:d3	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:d1f	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:94d	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-108	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:f7f	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:279	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13f6	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ccb	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1352	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-368	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d18	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5b9	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:181	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:1946	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f78	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:515	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-270	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:b47	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc4	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2063	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c20	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:775	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18f2	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:93e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:4c1	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11fd	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e80	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:af3	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-cc	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-5b0	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-16f	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/CAEU/	candidate
7b93e6a1:150814fecb6:1b1f	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:174d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d7f	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:31c	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4af	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1079	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1acb	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40b	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:57c	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:13b9	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1315	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8bc	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:eee	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ISO/	subscriber member
7b93e6a1:150814fecb6:1e8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:1575	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e4a	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1909	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:144	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c1	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2d7	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:-233	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:2026	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:fd	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:738	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b5	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-493	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1ee7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1811	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ab6	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:998	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e43	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:111c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6e4	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a12	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:640	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:137c	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c72	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:53f	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16bc	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-29a	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb2	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cee	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:208d	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:79f	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c4a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4eb	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1538	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-73	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e0d	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:107	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1798	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:367	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14e4	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1440	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-456	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
7b93e6a1:150814fecb6:1c	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
7b93e6a1:150814fecb6:1a72	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a2	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/CPLP/	associate observer
7b93e6a1:150814fecb6:1e06	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6a7	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cd9	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:603	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:133f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c35	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db2	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:863	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19e0	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:159f	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e95	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:16e	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12eb	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be1	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-25d	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c0d	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18df	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ae	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:183b	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:40a	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e6d	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1167	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a3c	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-36	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:66a	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c9c	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:14a7	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1ad9	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1403	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-419	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9aa	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a35	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fdc	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2d6	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1663	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:1c95	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:232	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3c5	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-321	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:492	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2114	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:19a3	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:826	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-9d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-581	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e58	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd5	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12ae	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba4	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f31	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:120a	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20c0	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b00	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d2	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:146a	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:67	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d60	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a9c	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1cc	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:62d	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17aa	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c5f	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1ddc	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10d6	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88d	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1032	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1292	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1626	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:1c58	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f9	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1886	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:455	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d2	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:a87	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1a1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-544	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b60	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4f0	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:dc7	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142d	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d23	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f5	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ea0	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a5f	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:951	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:168d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f83	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:25c	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3ef	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-34b	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:19cd	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:1fff	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12f9	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bce	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:20ea	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:1f5b	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1255	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b2a	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7fc	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:d8a	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1849	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:418	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-d0	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-173	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1bc7	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-507	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:678	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b23	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f5	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3c4	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1751	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:320	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d83	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b3	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:105c	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9b8	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:580	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:914	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f46	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:21f	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-30e	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:8c0	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:47f	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15fc	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ef2	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1cb	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-56e	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b8a	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ba	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f1e	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1218	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ad	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7bf	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:71b	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1478	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d4d	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eca	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c4	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:97b	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1120	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-136	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17b8	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1380	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-396	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1714	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d46	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101f	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e7	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1974	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:543	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c0	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:127f	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b75	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cf2	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:2091	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:f09	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15bf	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-fa	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:-19d	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb5	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:151b	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e11	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b4d	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3ee	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:177b	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:34a	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4dd	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c4	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:20	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:13e7	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cbc	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1343	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-359	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:8ea	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d09	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1937	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:172	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:1f69	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:506	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-261	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20f8	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b38	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb5	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2054	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:766	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c11	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e3	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d98	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4b2	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11ee	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e71	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ae4	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-bd	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-5a1	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:114a	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a40	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:173e	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:30d	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1abc	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:199e	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:56d	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16ea	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe0	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:b9f	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1306	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8ad	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:edf	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1566	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:1d9	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:e3b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b98	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:135	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b2	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2c8	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-224	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:395	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:ee	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2017	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:729	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a6	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-484	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/CAN/	member
7b93e6a1:150814fecb6:4a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1ed8	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1802	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d0	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:aa7	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:989	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e34	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110d	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6d5	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a03	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:631	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:136d	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/GUAM/	member
7b93e6a1:150814fecb6:c63	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de0	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:891	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19c	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:16ad	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-28b	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:fa3	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cdf	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:207e	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c3b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4dc	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1e9b	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5cb	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1195	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a6a	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-64	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1529	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1789	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:358	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d5	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:daa	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1431	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-447	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1a63	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1691	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:260	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3f3	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:c26	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f8	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1da3	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:854	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19d1	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:e86	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5a0	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:15f	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12dc	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd2	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-24e	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:95	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:182c	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1fa	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e5e	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1158	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6ff	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a2d	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1baa	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-27	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:65b	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c8d	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1060	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a26	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16f8	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fcd	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2c7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1654	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:1c86	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:223	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a0	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3b6	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-312	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:483	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2105	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:817	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-8e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-572	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e49	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc6	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f22	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b1	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c3	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14ff	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:df5	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:145b	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:58	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:d51	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a8d	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1bd	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:28a	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
7b93e6a1:150814fecb6:61e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1dcd	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c7	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:87e	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19fb	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1023	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ca	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bfc	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1283	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-299	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1617	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/SCO/	dialogue member
7b93e6a1:150814fecb6:1c49	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1877	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:446	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c3	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:a78	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bf5	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-535	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b51	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f2	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4e1	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108a	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:db8	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:141e	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d14	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e6	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:942	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:167e	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f74	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24d	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:cc0	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-33c	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:19be	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-59c	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:191a	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:bbf	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f4c	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1246	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20db	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1b	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7ed	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:d7b	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11f2	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:409	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-c1	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-164	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1bb8	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:669	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b14	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17e6	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3b5	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1742	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:311	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d74	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a4	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104d	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ac0	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-400	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:9a9	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:571	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:905	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f37	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8b1	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15ed	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ee3	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bc	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-55f	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b7b	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ab	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f0f	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1209	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:f2	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70c	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1469	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d3e	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ebb	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b5	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:96c	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1111	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-127	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:298	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:cea	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:17a9	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1371	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-387	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1705	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d37	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5d8	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1965	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f97	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:534	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b1	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b66	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce3	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2082	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:794	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:4e0	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-eb	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-18e	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:ea6	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:150c	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e02	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b3e	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3df	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:176c	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d9e	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:33b	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4ce	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1098	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b5	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1aea	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-42a	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:11	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59b	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:92f	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13d8	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cad	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1334	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8db	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1594	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1928	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:163	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e0	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:-2f6	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
7b93e6a1:150814fecb6:-252	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20e9	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b29	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ca6	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2045	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:757	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c02	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d4	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d89	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4a3	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1830	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11df	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e62	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ad5	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-ae	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:113b	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a31	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:139b	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c91	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:172f	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1aad	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:198f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-4	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:55e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16db	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd1	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2aa	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-92	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1557	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:1b89	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:e2c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:126	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a3	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2b9	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-215	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:386	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:df	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2008	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:-475	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:3b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1ec9	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a91	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c1	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e25	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c6	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cf8	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:622	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:135e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:1dd1	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c54	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10aa	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:882	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:18d	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:-27c	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:206f	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c2c	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18fe	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4cd	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:185a	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:aff	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e8c	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-f9	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
7b93e6a1:150814fecb6:-5bc	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1186	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a5b	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-55	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:349	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c6	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1af8	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1422	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-438	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:1a54	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:ffb	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1682	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:251	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3e4	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-340	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:c17	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:845	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c2	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e77	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff4	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12cd	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bc3	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f50	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-23f	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:7f1	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-49f	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:86	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:181d	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1eb	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e4f	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1149	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a1e	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-18	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:64c	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:c7e	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dfb	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10f5	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1051	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a17	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e9	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fbe	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b8	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1645	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f1a	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c77	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:214	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3a7	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-303	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:474	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f1	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:808	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c0	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-7f	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-563	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fb7	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f13	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a2	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b4	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:de6	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:710	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:144c	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:49	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d42	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a7e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ae	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:970	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-10a	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:27b	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:60f	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-36a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dbe	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86f	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d1a	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19ec	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1014	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5bb	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bed	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f7a	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1274	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1608	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:1868	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:437	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15b4	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-192	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:a69	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be6	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1510	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-526	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:697	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b42	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e3	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1770	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4d2	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:107b	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:da9	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140f	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d05	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d7	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:933	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:166f	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f65	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23e	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13bb	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb1	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-32d	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:49e	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1ea	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:19af	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-58d	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:6	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:190b	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:1f3d	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1237	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20cc	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0c	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7de	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:73a	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1497	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d6c	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11e3	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1f9	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:99a	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-b2	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-155	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1ba9	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b05	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1733	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:3a6	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:302	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d65	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103e	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ab1	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1993	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:562	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:129e	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b94	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f28	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8a2	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15de	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed4	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1ad	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:153a	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e30	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b6c	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:179a	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4fc	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e3	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:d2f	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eac	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11a6	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:95d	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1102	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-118	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:289	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
7b93e6a1:150814fecb6:cdb	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1362	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-378	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d28	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1956	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:5c9	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:191	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:1f88	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:525	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a2	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-280	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:b57	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd4	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2073	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:785	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c30	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d1	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1e90	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-dc	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:-5c0	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-17f	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1b2f	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:175d	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d8f	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:32c	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4bf	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1089	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:a6	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1adb	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41b	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:58c	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:13c9	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1325	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8cc	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:efe	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1f8	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1585	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1919	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:e5a	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:154	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d1	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2e7	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:-243	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:2036	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	associate member
7b93e6a1:150814fecb6:748	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c5	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:1ef7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1821	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ac6	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e53	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112c	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a22	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6f4	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:650	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:138c	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c82	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:54f	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16cc	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc2	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cfe	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:209d	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c5a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4fb	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-83	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:db5	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1548	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:e1d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:117	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-206	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:377	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f4	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:1450	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-466	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2c	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1a82	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b2	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e16	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6b7	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:ce9	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:613	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:134f	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c45	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dc2	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:873	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19f0	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:17e	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12fb	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bf1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-26d	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c1d	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18ef	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4be	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:184b	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:41a	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e7d	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5ad	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1177	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a4c	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-46	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:67a	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14b7	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1ae9	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1413	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-429	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:9ba	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a45	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fec	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e6	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1673	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	observer
7b93e6a1:150814fecb6:242	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3d5	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-331	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:c08	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:19b3	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-591	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:e68	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fe5	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12be	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb4	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f41	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121a	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d0	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b10	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e2	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:147a	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:77	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d70	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:180e	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1dc	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:a0f	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:63d	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17ba	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c6f	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dec	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e6	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89d	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1042	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a08	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:faf	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2a9	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1636	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:f0b	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:205	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c68	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1896	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:15e2	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:465	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a97	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1b1	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-554	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1fa8	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b70	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a0	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f04	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a5	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dd7	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:701	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:143d	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d33	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb0	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a6f	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:961	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:169d	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f93	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:26c	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3ff	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-35b	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1daf	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a9	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d0b	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19dd	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:1005	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ac	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bde	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f6b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1265	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:20fa	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3a	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:d9a	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1859	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:428	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-e0	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:15a5	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-183	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:1bd7	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1501	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:-517	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:688	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b33	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
7b93e6a1:150814fecb6:3d4	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1761	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:330	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d93	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c3	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106c	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9c8	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:590	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:924	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f56	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22f	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13ac	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca2	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-31e	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:8d0	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:48f	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1db	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-57e	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b9a	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ca	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:1f2e	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1228	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20bd	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7cf	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:72b	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1488	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	signatory state
7b93e6a1:150814fecb6:d5d	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1eda	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d4	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:98b	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-a3	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	observer
7b93e6a1:150814fecb6:1130	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-146	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17c8	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1390	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1724	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d56	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102f	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f7	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aa2	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1984	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:553	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16d0	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:128f	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b85	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f19	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15cf	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec5	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:152b	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e21	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b5d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3fe	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:178b	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4ed	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:35a	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:d4	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:30	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:94e	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-109	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:1ee8	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:13f7	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ccc	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1353	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-369	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:8fa	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d19	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:182	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:1947	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f79	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:516	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:b48	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc5	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2064	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c21	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:776	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18f3	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4c2	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11fe	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:af4	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e81	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-cd	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-5b1	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:115a	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a50	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:174e	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:31d	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1acc	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40c	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:57d	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16fa	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff0	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1316	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8bd	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:eef	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1e9	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:1576	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e4b	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:145	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c2	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2d8	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:-234	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:2027	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:fe	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:739	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b6	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-494	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1812	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e0	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ab7	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:999	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e44	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:111d	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:a13	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6e5	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:641	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:137d	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c73	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df0	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:16bd	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-29b	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb3	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cef	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:208e	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c4b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4ec	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:a7a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-74	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1539	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e0e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:108	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1799	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:368	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14e5	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dba	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1441	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-457	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
7b93e6a1:150814fecb6:1d	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1a73	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a3	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/CPLP/	associate observer
7b93e6a1:150814fecb6:1e07	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6a8	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:270	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:604	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:c36	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db3	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:864	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19e1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:e96	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5b0	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16f	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/FAO/	associate member
7b93e6a1:150814fecb6:12ec	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be2	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-25e	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c0e	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4af	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:183c	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:40b	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e6e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1168	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a3d	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bba	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-37	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:66b	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c9d	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:14a8	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1070	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1404	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9ab	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a36	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fdd	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2d7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1664	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:1c96	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:13b0	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:233	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3c6	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-322	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:493	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2115	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:19a4	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:827	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-9e	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-582	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e59	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd6	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1900	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:12af	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f32	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20c1	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:120b	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b01	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d3	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:146b	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:68	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d61	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a9d	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1cd	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:29a	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:62e	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17ab	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1ddd	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10d7	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88e	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1033	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5da	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1293	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1627	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:1c59	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1887	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:15d3	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:456	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a88	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1a2	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-545	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b61	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4f1	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109a	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:dc8	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d24	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f6	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ea1	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:952	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:168e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f84	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:25d	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13da	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd0	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-34c	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:19ce	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:192a	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bcf	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f5c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1256	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20eb	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b2b	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7fd	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:d8b	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:419	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-d1	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-174	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1bc8	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-508	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:679	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b24	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f6	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3c5	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1752	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:321	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d84	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b4	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:105d	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ad0	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-410	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:9b9	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:581	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:915	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	observer
7b93e6a1:150814fecb6:f47	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:-30f	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:8c1	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15fd	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ef3	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1cc	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-56f	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b8b	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2bb	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f1f	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1219	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ae	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:200a	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:71c	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1479	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d4e	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ecb	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c5	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:97c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1121	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-137	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:cfa	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:17b9	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1381	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-397	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1715	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d47	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5e8	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1975	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:544	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c1	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1cf3	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:b76	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:2092	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:4f0	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-fb	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:-19e	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb6	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:151c	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e12	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b4e	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3ef	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:177c	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:34b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4de	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c5	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1afa	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43a	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:21	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:93f	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13e8	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cbd	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1344	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:8eb	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:173	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:1938	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:12f0	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:507	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-262	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20f9	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b39	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb6	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2055	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:767	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c12	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e4	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d99	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4b3	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1840	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11ef	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ae5	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e72	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-be	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-5a2	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:114b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a41	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-1a	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/EFTA/	member
7b93e6a1:150814fecb6:173f	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:30e	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1abd	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:199f	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:56e	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16eb	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe1	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ba	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1307	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8ae	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:80a	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1567	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:1b99	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:e3c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:136	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b3	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2c9	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-225	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:396	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:ef	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2018	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18a7	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-485	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/CAN/	member
7b93e6a1:150814fecb6:4b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1ed9	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1803	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d1	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:aa8	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e35	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110e	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:a04	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6d6	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:632	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:136e	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c64	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de1	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ba	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:892	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19d	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:16ae	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-28c	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:fa4	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:160a	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:207f	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:f00	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c3c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4dd	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:186a	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e9c	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5cc	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1196	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a6b	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-65	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:359	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d6	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dab	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1432	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-448	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1a64	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1692	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:261	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3f4	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-350	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c27	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f9	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1da4	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:855	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1d00	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d2	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:e87	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5a1	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12dd	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd3	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f60	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-24f	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:96	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:182d	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1fb	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e5f	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1159	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a2e	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bab	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-28	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:65c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c8e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1061	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a27	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16f9	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fce	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2c8	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1655	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f2a	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:1c87	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:224	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a1	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3b7	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-313	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:484	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2106	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:818	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1d0	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-8f	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-573	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fc7	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f23	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b2	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c4	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:df6	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:720	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:145c	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:59	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:d52	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a8e	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1be	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:980	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-11a	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:28b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:61f	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-37a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dce	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c8	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d2a	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:87f	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19fc	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1024	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5cb	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bfd	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f8a	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1284	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1618	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/SCO/	dialogue member
7b93e6a1:150814fecb6:1878	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:447	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c4	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bf6	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a79	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1520	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-536	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b52	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f3	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1780	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4e2	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108b	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:db9	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:141f	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d15	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e7	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:943	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:167f	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f75	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24e	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13cb	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cc1	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-33d	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:1fa	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:19bf	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-59d	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:191b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:1f4d	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1247	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20dc	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1c	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7ee	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:74a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d7c	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11f3	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-c2	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-165	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1bb9	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b15	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17e7	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3b6	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1743	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:312	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d75	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a5	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104e	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ac1	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-401	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:572	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:906	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f38	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8b2	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15ee	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ee4	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bd	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:154a	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e40	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b7c	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ac	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:f3	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70d	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d3f	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ebc	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b6	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:96d	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1112	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-128	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:299	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:ceb	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1372	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-388	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1706	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d38	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5d9	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1966	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f98	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:16b2	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:535	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:-290	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:b67	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce4	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2083	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:795	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c40	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e1	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-ec	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5d0	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-18f	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:ea7	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:150d	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e03	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b3f	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:176d	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d9f	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:33c	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4cf	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1099	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b6	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1aeb	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-42b	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:12	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59c	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:13d9	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cae	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1335	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c0a	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8dc	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1595	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e6a	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1929	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:164	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e1	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:-2f7	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
7b93e6a1:150814fecb6:-253	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1ca7	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2046	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:758	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c03	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d5	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4a4	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1831	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e63	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ad6	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:400	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-af	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:113c	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a32	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:660	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:139c	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c92	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1aae	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-5	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9a0	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:55f	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a0a	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16dc	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ab	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c6a	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-93	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1558	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e2d	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1faa	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:127	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a4	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1200	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-216	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:387	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2009	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1460	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-476	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:3c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a92	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c2	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e26	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c7	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cf9	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:623	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17a0	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:135f	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c55	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dd2	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ab	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:883	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:18e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:-27d	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c2d	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18ff	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ce	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:185b	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:42a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e8d	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5bd	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1187	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a5c	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-56	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:68a	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14c7	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1af9	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1423	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-439	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:9ca	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a55	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:ffc	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f6	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1683	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:252	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3e5	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-341	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:c18	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:846	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c3	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e78	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12ce	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bc4	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f51	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122a	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20e0	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b20	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f2	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:148a	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:87	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:d80	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:181e	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1ec	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:a1f	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-19	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/EFTA/	member
7b93e6a1:150814fecb6:64d	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17ca	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c7f	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dfc	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10f6	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1052	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a18	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:fbf	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b9	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1646	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f1b	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:215	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c78	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a8	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-304	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:475	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f2	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:809	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-564	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fb8	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b80	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2b0	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:1f14	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a3	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b5	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:de7	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:711	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:144d	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d43	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec0	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a7f	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1af	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:971	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-10b	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:27c	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:-36b	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dbf	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b9	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d1b	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19ed	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1015	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5bc	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bee	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f7b	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1275	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b4a	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1609	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:1869	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:438	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-f0	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:15b5	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-193	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1be7	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1511	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-527	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:698	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b43	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e4	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1771	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:107c	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:340	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4d3	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:d06	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d8	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:934	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f66	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23f	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13bc	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb2	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-32e	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:8e0	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:49f	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1eb	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:-58e	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:7	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:190c	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2da	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:1f3e	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1238	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20cd	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0d	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7df	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:73b	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1498	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d6d	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1eea	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e4	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:99b	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-b3	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:1140	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-156	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1b06	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:17d8	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3a7	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1734	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:303	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d66	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103f	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ab2	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1994	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:563	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16e0	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:129f	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b95	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f29	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8a3	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15df	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed5	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1ae	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:153b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/OIC/	observer
7b93e6a1:150814fecb6:e31	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:10a	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b6d	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:179b	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:36a	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4fd	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e4	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:40	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1ead	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11a7	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:95e	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1103	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-119	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:6aa	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cdc	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1363	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-379	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d29	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:192	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:1957	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f89	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:526	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a3	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-281	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:b58	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd5	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2074	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:786	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c31	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1e91	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-dd	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:-5c1	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116a	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a60	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:175e	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:32d	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14aa	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:a7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:da0	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1adc	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41c	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:58d	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1326	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8cd	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:eff	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1f9	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1586	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e5b	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:155	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d2	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2e8	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
7b93e6a1:150814fecb6:-244	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:2037	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	associate member
7b93e6a1:150814fecb6:749	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c6	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:6a	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1ef8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1822	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f0	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ac7	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e54	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112d	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a23	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6f5	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1ba0	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:651	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:138d	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c83	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:16cd	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc3	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cff	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:209e	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c5b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4fc	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:a8a	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1549	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:-84	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e1e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:118	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-207	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:378	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f5	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:dca	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1451	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-467	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2d	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1a83	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b3	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e17	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6b8	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:280	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:614	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1dc3	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c46	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:874	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19f1	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c0	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:17f	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12fc	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/NAFTA/	member
7b93e6a1:150814fecb6:bf2	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-26e	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c1e	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4bf	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:184c	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e7e	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:41b	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1178	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-5ae	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a4d	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bca	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-47	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-50a	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:67b	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14b8	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1080	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1414	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9bb	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a46	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fed	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e7	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1674	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	observer
7b93e6a1:150814fecb6:243	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c0	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3d6	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-332	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:c09	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:837	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19b4	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-592	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:e69	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fe6	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1910	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:12bf	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb5	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f42	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121b	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d1	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b11	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e3	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:147b	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:78	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d71	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:180f	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1dd	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:63e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17bb	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1ded	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e7	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89e	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1043	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ea	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a09	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:1637	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f0c	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:206	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c69	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1897	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:466	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15e3	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:a98	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1b2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-555	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fa9	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b71	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a1	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f05	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a6	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dd8	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:702	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:143e	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d34	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb1	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:962	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:169e	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f94	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:26d	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13ea	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce0	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-35c	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d0c	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19de	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:1006	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ad	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:193a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bdf	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f6c	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1266	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:20fb	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3b	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:d9b	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:15a6	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:429	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-e1	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-184	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:1bd8	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1502	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:-518	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:689	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b34	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
7b93e6a1:150814fecb6:3d5	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1762	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:331	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d94	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c4	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106d	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ae0	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-420	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:9c9	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:591	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:925	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f57	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13ad	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca3	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-31f	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:8d1	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1dc	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-57f	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b9b	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2cb	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:1f2f	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1229	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20be	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:201a	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:72c	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1489	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d5e	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1edb	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d5	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aaa	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:98c	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-a4	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1131	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-147	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17c9	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1391	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1725	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d57	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5f8	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aa3	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1985	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:16d1	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:554	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b86	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2a0	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:ec6	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:152c	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e22	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b5e	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3ff	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:178c	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:35b	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4ee	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:d5	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-44a	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:31	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ESA/	cooperating state
7b93e6a1:150814fecb6:94f	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13f8	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ccd	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1354	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:8fb	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:10a0	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1948	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:183	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:517	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-272	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:b49	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc6	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2065	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c22	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:777	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18f4	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4c3	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1850	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11ff	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e82	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:af5	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:115b	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-ce	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-5b2	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a51	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-2a	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:174f	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:31e	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1acd	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40d	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:57e	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16fb	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff1	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ca	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1317	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8be	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:81a	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1577	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e4c	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:146	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c3	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2d9	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:-235	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ff	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2028	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18b7	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-495	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5b	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1ee9	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1813	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e1	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ab8	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:2107	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:1e45	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:111e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:a14	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6e6	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:642	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:137e	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c74	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df1	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ca	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:16be	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-29c	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb4	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:161a	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
7b93e6a1:150814fecb6:208f	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:f10	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c4c	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4ed	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:187a	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:a7b	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-75	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e0f	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:109	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:369	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14e6	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dbb	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1442	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-458	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
7b93e6a1:150814fecb6:1e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1a74	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a4	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/CPLP/	associate observer
7b93e6a1:150814fecb6:1e08	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-100	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:6a9	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:271	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:605	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-360	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c37	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db4	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:865	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d10	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e2	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:e97	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5b1	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12ed	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be3	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f70	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-25f	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c0f	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:183d	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:40c	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e6f	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1169	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a3e	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bbb	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-38	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:66c	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c9e	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:14a9	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1071	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1405	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9ac	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a37	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fde	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2d8	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1665	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:1c97	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:f3a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:234	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13b1	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3c7	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-323	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:494	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2116	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:19a5	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:828	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1e0	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
7b93e6a1:150814fecb6:-9f	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-583	http://www.semwebtech.org/mondial/10/country/WSA/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fd7	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1901	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:ba6	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f33	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:120c	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20c2	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b02	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d4	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:730	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:146c	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:69	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d62	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a9e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ce	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:990	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-12a	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:29b	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:62f	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17ac	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-38a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/BA/	member
7b93e6a1:150814fecb6:1dde	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10d8	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88f	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d3a	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1034	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5db	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1f9a	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1294	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1628	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:1888	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:457	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d4	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1530	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:a89	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1a3	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-546	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b62	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1790	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4f2	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109b	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:dc9	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d25	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f7	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ea2	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:953	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:168f	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f85	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:25e	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13db	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd1	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-34d	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:19cf	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:192b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f5d	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1257	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ec	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b2c	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7fe	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:75a	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d8c	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-d2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-175	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1bc9	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-509	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b25	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f7	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:3c6	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1753	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:322	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d85	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b5	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:105e	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ad1	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-411	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:582	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:916	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	observer
7b93e6a1:150814fecb6:f48	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:8c2	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15fe	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ef4	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1cd	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:155a	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/organization/PIF/	associate member
7b93e6a1:150814fecb6:e50	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b8c	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2bc	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:20af	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:200b	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:71d	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d4f	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ecc	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c6	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:97d	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1122	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-138	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:cfb	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1382	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-398	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1716	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d48	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5e9	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1976	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:545	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c2	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b77	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cf4	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:2093	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c50	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f1	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-fc	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:-19f	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb7	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:151d	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e13	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b4f	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:177d	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:34c	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4df	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c6	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1afb	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43b	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:22	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:13e9	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cbe	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1345	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c1a	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8ec	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:e7a	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:174	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:1939	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:12f1	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/NC/	observer
7b93e6a1:150814fecb6:508	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-263	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cb7	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2056	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:768	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c13	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e5	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4b4	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1841	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e73	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ae6	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:410	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-bf	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-5a3	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:114c	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a42	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-1b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/EFTA/	member
7b93e6a1:150814fecb6:670	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:30f	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1abe	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1a1a	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:9b0	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:56f	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16ec	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe2	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2bb	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:1c7a	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3aa	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1308	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8af	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:80b	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1568	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:e3d	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fba	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:137	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b4	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1210	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-226	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:397	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2019	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18a8	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1470	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-486	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/CAN/	member
7b93e6a1:150814fecb6:4c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1804	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d2	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:aa9	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e36	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110f	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:a05	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6d7	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:633	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b0	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:136f	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c65	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de2	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10bb	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:893	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:16af	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-28d	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:fa5	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:160b	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:f01	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c3d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4de	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:186b	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e9d	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1197	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:43a	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5cd	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a6c	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-66	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:69a	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14d7	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dac	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1433	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-449	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:9da	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a65	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1693	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:262	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3f5	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-351	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c28	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1da5	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:856	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1d01	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d3	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:e88	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5a2	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12de	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd4	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f61	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123a	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f0	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b30	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:149a	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:97	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:d90	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:182e	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1fc	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:a2f	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bac	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-29	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:65d	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17da	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c8f	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1062	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a28	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:fcf	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2c9	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1656	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f2b	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:1c88	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:225	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a2	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3b8	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	observer
7b93e6a1:150814fecb6:-314	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:485	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:819	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1d1	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-574	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fc8	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b90	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c0	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f24	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b3	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c5	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:df7	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:721	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:145d	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d53	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed0	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a8f	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1bf	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:981	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-11b	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:28c	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-37b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dcf	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c9	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d2b	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19fd	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1025	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5cc	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bfe	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f8b	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1285	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b5a	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1619	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/SCO/	dialogue member
7b93e6a1:150814fecb6:1879	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:448	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c5	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bf7	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1521	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-537	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b53	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f4	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1781	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:350	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4e3	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108c	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:d16	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e8	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:944	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f76	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24f	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13cc	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cc2	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-33e	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:8f0	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1fb	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-59e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:191c	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2ea	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
7b93e6a1:150814fecb6:1f4e	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1248	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20dd	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1d	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7ef	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:74b	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d7d	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1efa	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f4	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-c3	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/CEPGL/	member
7b93e6a1:150814fecb6:1150	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-166	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1b16	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17e8	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3b7	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1744	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:313	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d76	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a6	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104f	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ac2	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-402	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:573	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16f0	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:907	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f39	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:8b3	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15ef	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ee5	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1be	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:154b	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e41	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:11a	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b7d	http://www.semwebtech.org/mondial/10/country/GBG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ad	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:37a	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:f4	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:50	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
7b93e6a1:150814fecb6:1ebd	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:96e	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1113	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-129	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6ba	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cec	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1373	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-389	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/BA/	member
7b93e6a1:150814fecb6:1707	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d39	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1967	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f99	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:536	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b3	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-291	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:b68	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce5	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2084	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:796	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c41	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e2	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-ed	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5d1	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:ea8	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:a70	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:150e	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e04	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:176e	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:33d	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ba	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:b7	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:db0	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1aec	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-42c	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:13	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59d	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:caf	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1336	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c0b	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8dd	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1596	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e6b	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:165	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e2	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:-2f8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
7b93e6a1:150814fecb6:-254	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1ca8	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2047	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:759	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c04	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d6	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:7a	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:4a5	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1832	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ad7	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:401	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e64	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:113d	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a33	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb0	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:661	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:139d	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c93	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1aaf	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-6	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9a1	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a0b	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16dd	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd3	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ac	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c6b	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:a9a	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-94	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1559	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e2e	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fab	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:128	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1201	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-217	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:388	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:dda	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1461	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-477	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:3d	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a93	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c3	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e27	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c8	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:290	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:624	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17a1	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c56	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dd3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ac	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:884	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:5d0	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:18f	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:-27e	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1c2e	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4cf	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:185c	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:42b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e8e	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5be	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1188	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a5d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bda	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-57	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-51a	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:68b	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14c8	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1090	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1424	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9cb	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a56	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:ffd	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f7	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1684	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:253	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d0	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3e6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-342	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:c19	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:847	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c4	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e79	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff6	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12cf	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bc5	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:20e1	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:1f52	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122b	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b21	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:148b	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:88	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:d81	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:181f	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1ed	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:64e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17cb	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1dfd	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10f7	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1053	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5fa	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a19	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:1647	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
7b93e6a1:150814fecb6:f1c	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:216	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c79	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a9	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-305	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:476	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f3	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1c2	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-565	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fb9	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b81	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2b1	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:1f15	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a4	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b6	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2000	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:de8	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:712	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:144e	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d44	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec1	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:972	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-10c	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:27d	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13fa	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf0	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-36c	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d1c	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19ee	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1016	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5bd	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:194a	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bef	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f7c	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1276	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b4b	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:439	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-f1	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/EADB/	member
7b93e6a1:150814fecb6:15b6	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-194	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1be8	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1512	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-528	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:699	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b44	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e5	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1772	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:341	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4d4	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:107d	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1af0	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-430	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:d07	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d9	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:935	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f67	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13bd	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb3	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-32f	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:8e1	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1ec	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-58f	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:8	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:190d	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2db	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:1f3f	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1239	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ce	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0e	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:202a	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:73c	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1499	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d6e	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1eeb	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e5	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aba	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:99c	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-b4	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1141	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-157	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:-10	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1b07	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:17d9	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3a8	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1735	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:304	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d67	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1ab3	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1995	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:16e1	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:564	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b96	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2b0	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:8a4	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ed6	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:800	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1af	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:153c	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OIC/	observer
7b93e6a1:150814fecb6:e32	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:10b	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b6e	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:179c	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:36b	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4fe	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e5	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-45a	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:41	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1eae	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11a8	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:95f	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e0a	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1104	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6ab	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cdd	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1364	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:10b0	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:193	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:1958	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:527	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a4	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-282	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:b59	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd6	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1600	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2075	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:787	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c32	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d3	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1860	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e92	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-de	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:-5c2	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116b	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a61	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-3a	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:175f	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:32e	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ab	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:a8	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:da1	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1add	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41d	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:58e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:2da	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1327	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8ce	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:82a	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1587	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e5c	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:156	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d3	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2e9	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
7b93e6a1:150814fecb6:-245	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:2038	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	associate member
7b93e6a1:150814fecb6:18c7	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:6b	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1ef9	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1823	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f1	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ac8	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e55	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112e	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6f6	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a24	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ba1	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:138e	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:652	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c84	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10da	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:16ce	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc4	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:162a	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:209f	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:f20	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c5c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4fd	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:188a	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:a8b	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-85	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e1f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:119	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-208	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:379	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f6	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:dcb	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1452	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-468	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2e	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1a84	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b4	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e18	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-110	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:6b9	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:281	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:615	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-370	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c47	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dc4	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d20	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:875	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19f2	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c1	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12fd	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/NAFTA/	member
7b93e6a1:150814fecb6:bf3	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f80	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-26f	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c1f	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:184d	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:41c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e7f	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5af	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1179	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a4e	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bcb	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-48	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-50b	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:67c	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14b9	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1081	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1415	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9bc	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a47	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fee	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e8	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1675	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f4a	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:244	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c1	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3d7	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-333	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:838	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1f0	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:19b5	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-593	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1fe7	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1911	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:bb6	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f43	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121c	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d2	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b12	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e4	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:740	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:147c	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:79	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d72	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-1de	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-13a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:63f	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17bc	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-39a	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1dee	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e8	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89f	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d4a	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1044	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5eb	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1638	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f0d	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:207	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1898	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:467	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15e4	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1540	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:a99	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1b3	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-556	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b72	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a2	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f06	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a7	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dd9	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:703	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:143f	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d35	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb2	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:963	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:169f	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f95	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:26e	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13eb	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce1	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-35d	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d0d	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19df	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:1007	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ae	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:193b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:50a	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f6d	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1267	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:20fc	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3c	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:76a	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d9c	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-e2	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:15a7	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-185	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:1bd9	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1503	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-519	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b35	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3d6	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1763	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:332	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d95	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106e	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ae1	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-421	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:592	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:926	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f58	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13ae	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca4	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c00	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d2	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1dd	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/G-24/	observer
7b93e6a1:150814fecb6:156a	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
7b93e6a1:150814fecb6:e60	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b9c	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2cc	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:20bf	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:201b	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:72d	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18aa	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:d5f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1edc	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d6	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aab	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:98d	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-a5	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1132	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-148	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:1392	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1726	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d58	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5f9	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aa4	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1986	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1a00	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:555	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16d2	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b87	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2a1	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c60	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:ec7	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:152d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e23	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa0	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b5f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:178d	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:35c	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4ef	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:d6	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-44b	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:32	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ESA/	cooperating state
7b93e6a1:150814fecb6:13f9	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cce	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1355	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c2a	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8fc	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:10a1	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:e8a	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1949	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:184	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:518	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-273	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cc7	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2066	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:778	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c23	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18f5	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4c4	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1851	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e83	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:af6	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:420	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-cf	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-5b3	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:115c	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a52	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-2b	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:680	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:31f	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ace	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40e	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:9c0	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:57f	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a2a	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16fc	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff2	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2cb	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1c8a	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ba	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:1318	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8bf	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:81b	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1578	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1fca	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e4d	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:147	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c4	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1220	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-236	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:2029	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18b8	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1480	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-496	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5c	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1814	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e2	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ab9	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e46	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:111f	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6e7	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a15	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:643	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17c0	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:137f	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c75	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df2	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10cb	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:16bf	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-29d	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb5	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:161b	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
7b93e6a1:150814fecb6:f11	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c4d	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4ee	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:187b	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:44a	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a7c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-76	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:14e7	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dbc	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1443	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-459	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:1f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:9ea	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a75	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a5	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:1e09	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-101	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:272	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:606	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-361	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1db5	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c38	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:866	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d11	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e3	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:e98	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5b2	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12ee	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be4	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f71	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:124a	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b40	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:183e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:40d	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:a3f	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bbc	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-39	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:66d	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17ea	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c9f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1072	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1406	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9ad	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a38	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fdf	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2d9	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1666	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:1c98	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:13b2	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:f3b	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:235	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3c8	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-324	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:495	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2117	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:829	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1e1	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
7b93e6a1:150814fecb6:19a6	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-584	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fd8	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1902	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2d0	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:ba7	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f34	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:120d	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20c3	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b03	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d5	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:731	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:146d	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d63	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee0	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a9f	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1cf	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:991	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-12b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:29c	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17ad	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10d9	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d3b	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1035	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5dc	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1f9b	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1295	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b6a	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1629	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:1889	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:458	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d5	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eaa	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a4	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:1531	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-547	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:100	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b63	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1791	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:360	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4f3	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:d26	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f8	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ea3	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:954	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f86	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6a0	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:25f	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13dc	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd2	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-34e	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:192c	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2fa	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
7b93e6a1:150814fecb6:1f5e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1258	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ed	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b2d	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7ff	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1caa	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:75b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d8d	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-d3	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1160	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-176	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:17f8	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:3c7	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1754	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d86	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:14a0	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:323	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:105f	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:-4b6	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ad2	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-412	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:583	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:917	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	observer
7b93e6a1:150814fecb6:f49	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:8c3	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15ff	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ef5	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1ce	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:155b	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/PIF/	associate member
7b93e6a1:150814fecb6:e51	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:12a	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b8d	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2bd	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:38a	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:200c	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:71e	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:60	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1ecd	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:97e	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1123	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-139	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6ca	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cfc	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1383	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-399	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1717	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d49	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1977	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:16c3	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:546	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1cf5	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:b78	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:2094	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c51	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f2	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-fd	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:118a	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:eb8	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:a80	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:151e	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e14	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:177e	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:34d	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ca	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:c7	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dc0	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1afc	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43c	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:23	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:cbf	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1346	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c1b	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8ed	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:e7b	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:175	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12f2	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/NC/	observer
7b93e6a1:150814fecb6:509	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-264	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cb8	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2057	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:769	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c14	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e6	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:8a	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4b5	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1842	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ae7	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:411	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e74	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5a4	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:114d	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a43	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc0	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-1c	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/EFTA/	member
7b93e6a1:150814fecb6:-500	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:671	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1abf	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:9b1	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a1b	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16ed	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe3	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2bc	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:1c7b	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ab	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1309	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:80c	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1569	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
7b93e6a1:150814fecb6:e3e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fbb	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:138	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b5	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1211	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-227	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:398	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:dea	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:18a9	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1471	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-487	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/CAN/	member
7b93e6a1:150814fecb6:4d	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1805	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d3	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e37	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:6d8	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a06	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:17b1	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:634	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:c66	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de3	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10bc	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:894	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:5e0	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:19f	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:-28e	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:fa6	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:160c	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:f02	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c3e	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4df	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:186c	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:43b	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e9e	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5ce	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1198	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:1bea	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a6d	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-67	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-52a	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:69b	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14d8	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dad	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1434	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9db	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a66	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1694	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:263	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e0	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3f6	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-352	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c29	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1da6	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d02	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:857	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19d4	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:e89	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5a3	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:a	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:1930	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:12df	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd5	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f62	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123b	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f1	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b31	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:149b	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:98	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:d91	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:182f	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1fd	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1bad	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:65e	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17db	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3aa	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1063	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a29	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:1657	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f2c	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:1c89	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:226	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a3	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3b9	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	observer
7b93e6a1:150814fecb6:-315	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:486	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2108	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:1d2	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-575	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fc9	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b91	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c1	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f25	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b4	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:2010	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:df8	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:722	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:145e	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d54	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed1	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11aa	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:aa0	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:982	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-11c	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:28d	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-37c	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d2c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19fe	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1026	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5cd	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:195a	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bff	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f8c	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1286	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b5b	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:449	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c6	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bf8	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1522	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-538	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b54	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f5	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1782	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:351	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4e4	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108d	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:aa	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:-440	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d17	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e9	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:945	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f77	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13cd	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cc3	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-33f	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:8f1	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1fc	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-59f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:191d	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2eb	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
7b93e6a1:150814fecb6:1f4f	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1249	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20de	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1e	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:203a	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:74c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d7e	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1efb	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f5	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aca	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-c4	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/CEPGL/	member
7b93e6a1:150814fecb6:1151	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-167	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:-20	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:1b17	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17e9	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3b8	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1745	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:314	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d77	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a7	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1ac3	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-403	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:574	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16f1	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:908	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2c0	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:8b4	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ee6	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:810	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1bf	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:154c	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:1b7e	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:e42	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:11b	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2ae	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:-20a	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:37b	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:f5	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70f	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-46a	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:51	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
7b93e6a1:150814fecb6:1ebe	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b8	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:96f	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e1a	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1114	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6bb	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:ced	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1374	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:1708	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10c0	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1968	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:537	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b4	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-292	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1ce6	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:b69	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1610	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2085	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:797	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c42	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e3	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1870	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-ee	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5d2	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117b	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:ea9	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:a71	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-4a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:150f	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e05	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:176f	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:33e	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14bb	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:b8	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:db1	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1aed	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-42d	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:14	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59e	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:2ea	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1337	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c0c	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8de	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:83a	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1597	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e6c	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:166	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e3	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:-2f9	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
7b93e6a1:150814fecb6:-255	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1ca9	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2048	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c05	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d7	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:7b	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:4a6	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1833	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ad8	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:402	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e65	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:113e	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a34	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb1	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:662	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:139e	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c94	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:10ea	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-7	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9a2	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a0c	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16de	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd4	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ad	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:163a	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f30	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:1c6c	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:189a	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:a9b	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-95	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1fac	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e2f	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:129	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a6	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1202	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-218	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:389	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:ddb	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1462	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:3e	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:-478	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:1a94	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c4	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e28	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-120	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:6c9	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:291	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17a2	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:625	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-380	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c57	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dd4	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ad	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:885	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d30	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5d1	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1f90	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-27f	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1c2f	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:185d	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:42c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e8f	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5bf	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1189	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a5e	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bdb	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-58	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-51b	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:68c	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14c9	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1091	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1425	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9cc	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a57	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:ffe	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f8	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1685	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f5a	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:254	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d1	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3e7	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-343	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:848	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c5	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1ff7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1921	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bc6	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f53	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122c	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20e2	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b22	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f4	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:750	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:148c	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:89	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:d82	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-1ee	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-14a	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:64f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17cc	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1dfe	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d5a	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1054	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5fb	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1648	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
7b93e6a1:150814fecb6:f1d	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:217	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-306	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:477	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f4	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1c3	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1550	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:-566	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b82	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2b2	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:1f16	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a5	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b7	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2001	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:de9	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:713	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:144f	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d45	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec2	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:973	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-10d	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:27e	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13fb	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf1	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-36d	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d1d	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19ef	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1017	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5be	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:194b	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:51a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f7d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1277	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b4c	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:77a	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:15b7	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-f2	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/EADB/	member
7b93e6a1:150814fecb6:-195	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1be9	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1513	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-529	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b45	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:1773	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3e6	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:342	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4d5	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:107e	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1af1	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-431	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:d08	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:936	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f68	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13be	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb4	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131a	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c10	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e2	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1ed	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:157a	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e70	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:9	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:190e	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2dc	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
7b93e6a1:150814fecb6:20cf	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0f	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:202b	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:73d	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18ba	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:d6f	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1eec	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e6	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:abb	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:99d	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-b5	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1142	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-158	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:-11	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1b08	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:3a9	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1736	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UN/	observer
7b93e6a1:150814fecb6:305	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d68	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1ab4	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1996	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1a10	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:565	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16e2	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b97	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2b1	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c70	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a0	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8a5	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ed7	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:801	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:153d	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/OIC/	observer
7b93e6a1:150814fecb6:e33	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb0	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:10c	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b6f	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:179d	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:36c	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4ff	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e6	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-45b	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:42	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1eaf	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11a9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:1e0b	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1105	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6ac	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cde	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1365	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c3a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10b1	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:e9a	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:194	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:1959	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:528	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a5	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-283	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1cd7	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1601	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2076	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:788	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c33	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d4	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1861	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e93	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:430	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-df	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5c3	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116c	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a62	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-3b	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:690	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:32f	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ac	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:a9	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:da2	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ade	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41e	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:9d0	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:58f	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a3a	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2db	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1c9a	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ca	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:1328	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8cf	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:82b	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1588	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e5d	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fda	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:157	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d4	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1230	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-246	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:2039	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	observer
7b93e6a1:150814fecb6:18c8	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:1490	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:6c	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1824	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f2	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ac9	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e56	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112f	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6f7	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a25	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ba2	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:17d0	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:653	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:138f	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c85	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10db	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:16cf	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc5	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:162b	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:f21	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c5d	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4fe	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:188b	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:45a	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a8c	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-86	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-209	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:14f7	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:dcc	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1453	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-469	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2f	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:9fa	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a85	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b5	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e19	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-111	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:282	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:616	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-371	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c48	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dc5	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:876	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d21	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f3	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c2	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12fe	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/NAFTA/	member
7b93e6a1:150814fecb6:1f81	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:bf4	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:125a	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b50	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:184e	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:41d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a4f	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bcc	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-49	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-50c	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:67d	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17fa	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:1082	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1416	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9bd	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a48	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fef	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e9	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1676	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f4b	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:245	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3d8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-334	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:839	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1f1	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:19b6	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-594	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1fe8	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1912	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2e0	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
7b93e6a1:150814fecb6:bb7	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f44	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121d	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d3	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b13	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e5	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:741	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:147d	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d73	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef0	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-1df	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-13b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17bd	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-39b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1def	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e9	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d4b	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1045	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ec	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b7a	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1639	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f0e	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:208	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1899	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:468	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15e5	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eba	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1b4	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1541	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:-557	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:110	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b73	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a3	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f07	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a8	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:370	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:704	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d36	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb3	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:964	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f96	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6b0	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:26f	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13ec	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce2	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-35e	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1008	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5af	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:193c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:50b	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f6e	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1268	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:20fd	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3d	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cba	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:76b	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d9d	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:15a8	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-e3	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:1170	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-186	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:1504	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b36	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3d7	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1764	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d96	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:333	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b0	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4c6	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106f	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ae2	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-422	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:593	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:927	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f59	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13af	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca5	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c01	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d3	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1de	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/G-3/	member
7b93e6a1:150814fecb6:156b	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
7b93e6a1:150814fecb6:e61	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:13a	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b9d	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2cd	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:39a	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:201c	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:72e	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18ab	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:70	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1edd	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d7	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aac	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:98e	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-a6	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1133	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-149	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6da	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1393	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1727	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d59	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1aa5	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1987	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1a01	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:556	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16d3	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b88	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2a2	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c61	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:119a	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:ec8	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:a90	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:152e	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e24	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa1	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:178e	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:35d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14da	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:d7	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dd0	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-44c	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:33	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ESA/	cooperating state
7b93e6a1:150814fecb6:ccf	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1356	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c2b	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8fd	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:10a2	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:e8b	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:185	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:519	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-274	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cc8	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2067	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:779	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c24	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18f6	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:9a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4c5	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1852	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e84	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:af7	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:421	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5b4	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:115d	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a53	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd0	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-510	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:681	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1acf	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40f	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:9c1	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a2b	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16fd	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff3	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2cc	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1c8b	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3bb	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:1319	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:210a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:81c	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1579	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1fcb	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e4e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:148	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c5	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1221	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-237	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:dfa	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:18b9	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1481	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-497	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5d	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1815	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e3	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e47	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:6e8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a16	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:644	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17c1	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c76	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df3	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10cc	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:5f0	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-29e	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb6	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:161c	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
7b93e6a1:150814fecb6:f12	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c4e	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4ef	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:187c	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:44b	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a7d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1bfa	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-77	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-53a	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:14e8	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dbd	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1444	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9eb	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a76	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a6	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:-102	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
7b93e6a1:150814fecb6:273	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:13f0	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:607	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-362	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c39	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db6	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:867	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d12	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e4	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:e99	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5b3	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1940	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:12ef	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be5	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f72	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:124b	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b41	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:183f	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:40e	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1bbd	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:66e	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17eb	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3ba	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1073	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1407	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9ae	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a39	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:90a	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1667	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:1c99	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:13b3	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:f3c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:236	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3c9	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-325	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:496	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e2	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
7b93e6a1:150814fecb6:19a7	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-585	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fd9	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1903	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2d1	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:ba8	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f35	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:120e	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20c4	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b04	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d6	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2020	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:732	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:146e	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d64	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee1	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11ba	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ab0	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:992	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-12c	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:29d	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17ae	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-38c	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ANZUS/	member
7b93e6a1:150814fecb6:170a	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d3c	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1036	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5dd	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:196a	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f9c	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1296	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b6b	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:459	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eab	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a5	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:1532	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-548	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:101	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b64	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1792	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:361	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4f4	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109d	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:ba	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-450	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d27	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f9	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ea4	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:955	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e00	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f87	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6a1	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13dd	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd3	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-34f	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:192d	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2fb	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:1f5f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1259	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ee	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b2e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cab	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:204a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:75c	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d8e	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:ada	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-d4	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1161	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-177	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:-30	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1b27	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f9	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:3c8	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1755	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d87	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:324	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14a1	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:-4b7	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ad3	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-413	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:584	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:918	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2d0	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:8c4	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ef6	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:820	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1cf	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:155c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:e52	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:12b	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b8e	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2be	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-21a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:38b	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:200d	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:71f	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-47a	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:61	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1ece	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:97f	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e2a	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1124	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6cb	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cfd	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1384	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:1718	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10d0	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1978	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:547	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c4	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b79	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cf6	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1620	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:2095	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c52	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f3	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1880	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-fe	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:118b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:eb9	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:a81	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-5a	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:151f	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e15	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:177f	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:34e	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14cb	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:c8	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dc1	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1afd	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43d	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:24	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:2fa	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1347	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c1c	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8ee	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:84a	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:e7c	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:176	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12f3	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/NC/	observer
7b93e6a1:150814fecb6:-265	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cb9	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2058	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c15	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e7	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:8b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1843	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:4b6	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e75	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ae8	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:412	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-5a5	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:114e	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a44	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc1	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-1d	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-501	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:672	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:10fa	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:9b2	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a1c	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16ee	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe4	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2bd	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:164a	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
7b93e6a1:150814fecb6:f40	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1c7c	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ac	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:80d	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1fbc	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e3f	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:139	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b6	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1212	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-228	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:399	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:ad9	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:deb	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1472	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-488	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:4e	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1806	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d4	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e38	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-130	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6d9	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a07	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:635	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b2	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-390	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:c67	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de4	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10bd	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:895	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d40	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5e1	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-28f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:160d	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:fa7	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:f03	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c3f	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:186d	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e9f	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:43c	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5cf	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1199	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a6e	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1beb	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-68	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-52b	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:69c	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14d9	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dae	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1435	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d0a	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9dc	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a67	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1695	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f6a	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13e1	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:264	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3f7	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-353	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1da7	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d03	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:858	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19d5	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:5a4	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:1931	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bd6	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:500	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f63	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123c	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b32	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:760	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:149c	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:99	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:d92	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-1fe	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-15a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1bae	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:65f	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b0a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17dc	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3ab	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d6a	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1064	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1658	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f2d	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:227	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a4	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1300	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-316	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:487	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2109	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:1d3	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1560	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:-576	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b92	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f26	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b5	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c7	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2011	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:df9	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:723	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a0	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:145f	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d55	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed2	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11ab	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:aa1	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:983	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-11d	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:28e	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-37d	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d2d	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19ff	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1027	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ce	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:195b	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:52a	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f8d	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1287	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b5c	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:78a	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15c7	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bf9	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1523	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-539	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b55	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:1783	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3f6	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:352	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4e5	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108e	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:ab	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:-441	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d18	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:946	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f78	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13ce	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cc4	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132a	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c20	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f2	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1fd	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:158a	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e80	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:191e	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2ec	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
7b93e6a1:150814fecb6:20df	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1f	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:203b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:74d	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18ca	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d7f	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1efc	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f6	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:acb	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-c5	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/CEPGL/	member
7b93e6a1:150814fecb6:1152	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-168	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:-21	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:1b18	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:3b9	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1746	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:315	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d78	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a8	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1ac4	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-404	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:575	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a20	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16f2	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:909	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2c1	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1c80	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3b0	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8b5	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ee7	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:811	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:154d	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e43	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc0	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:11c	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b7f	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2af	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:-20b	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:37c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:f6	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-46b	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:52	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
7b93e6a1:150814fecb6:1ebf	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b9	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e1b	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1115	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6bc	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cee	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1375	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c4a	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1709	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10c1	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1969	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:538	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b5	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-293	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1ce7	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1611	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:2086	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:798	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c43	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1871	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:440	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-ef	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5d3	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117c	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a72	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-4b	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:e06	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:33f	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14bc	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:b9	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:db2	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1aee	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1a4a	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:9e0	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:-42e	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:15	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59f	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:2eb	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3da	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:1338	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c0d	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8df	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:83b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1598	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e6d	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fea	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:167	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e4	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:1240	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-256	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:2049	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c06	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:7c	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:4a7	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1834	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:403	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e66	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:113f	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a35	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb2	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:663	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17e0	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:139f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c95	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:10eb	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-8	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9a3	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a0d	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16df	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd5	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ae	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:163b	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:1c6d	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:f31	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20a	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:189b	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:46a	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a9c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-96	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1fad	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12a7	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1203	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-219	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7aa	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:ddc	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1463	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-479	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:3f	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a95	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c5	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e29	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-121	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:292	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17a3	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:626	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-381	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c58	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dd5	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ae	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d31	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:886	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:100a	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d2	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1f91	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:126a	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b60	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:185e	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:42d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15aa	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bdc	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:ea0	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:a5f	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-59	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-51c	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:68d	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1092	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1426	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9cd	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a58	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:fff	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f9	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1686	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f5b	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:255	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d2	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3e8	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-344	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/Benelux/	member
7b93e6a1:150814fecb6:849	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c6	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1ff8	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1922	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2f0	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:bc7	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f54	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122d	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20e3	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b23	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1ca0	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:751	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:148d	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d83	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-1ef	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-14b	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17cd	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1dff	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10f9	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d5b	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1055	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5fc	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b8a	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1649	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
7b93e6a1:150814fecb6:f1e	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:218	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-307	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:478	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f5	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eca	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1c4	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1551	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:-567	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:120	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b83	http://www.semwebtech.org/mondial/10/country/GBM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2b3	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f17	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a6	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b8	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:380	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2002	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:714	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d46	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec3	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:974	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-10e	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:6c0	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:27f	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13fc	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf2	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-36e	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d1e	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1018	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5bf	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:194c	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:51b	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f7e	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1278	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b4d	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cca	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:77b	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:15b8	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-f3	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/EADB/	member
7b93e6a1:150814fecb6:1180	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:-196	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1514	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b46	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e7	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1774	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:343	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c0	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4d6	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:107f	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1af2	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-432	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:d09	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:937	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f69	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13bf	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb5	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c11	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e3	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1ee	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:157b	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e71	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:14a	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:190f	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2dd	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
7b93e6a1:150814fecb6:202c	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:73e	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18bb	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:80	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:1eed	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e7	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:abc	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:99e	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-b6	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1143	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-159	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:6ea	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-12	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1b09	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1737	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:306	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d69	http://www.semwebtech.org/mondial/10/country/REUN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1ab5	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1997	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1a11	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:566	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16e3	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b98	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2b2	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c71	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a1	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8a6	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ed8	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:802	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:153e	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:e34	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb1	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:10d	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:179e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:36d	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ea	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:e7	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:de0	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-45c	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:43	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1e0c	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1106	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6ad	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cdf	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1366	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c3b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10b2	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:e9b	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:195	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:529	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a6	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-284	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1cd8	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1602	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2077	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:789	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c34	http://www.semwebtech.org/mondial/10/country/MAYO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d5	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1862	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:431	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e94	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5c4	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116d	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a63	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be0	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-3c	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-520	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:691	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14ad	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:da3	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1adf	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41f	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:9d1	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a3b	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2dc	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1c9b	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3cb	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:1329	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:82c	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1589	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1fdb	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e5e	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:0	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:158	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d5	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:baa	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1231	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-247	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:18c9	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:1491	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:6d	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1825	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e57	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:6f8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a26	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ba3	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:654	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17d1	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c86	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:3a0	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10dc	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:fc6	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:162c	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:f22	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c5e	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4ff	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:188c	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:45b	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a8d	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-87	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-54a	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:14f8	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:dcd	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1454	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9fb	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a86	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11a0	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:-1b6	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-112	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:283	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:617	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-372	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dc6	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c49	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1d22	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:877	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19f4	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c3	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1950	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:12ff	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:bf5	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f82	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:125b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b51	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:184f	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:41e	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1bcd	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-50d	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:67e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17fb	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:3ca	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1083	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:a0	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1417	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9be	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a49	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:91a	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1677	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f4c	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:246	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c3	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3d9	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-335	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:19b7	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f2	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-595	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1fe9	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1913	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2e1	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:bb8	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f45	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121e	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d4	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b14	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e6	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2030	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:742	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:147e	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d74	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef1	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11ca	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac0	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-13c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17be	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-39c	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:171a	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d4c	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1046	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:197a	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:5ed	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b7b	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:f0f	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:209	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:469	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15e6	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ebb	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1b5	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1542	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:-558	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:111	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b74	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a4	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f08	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-200	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7a9	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:371	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:ca	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:705	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-460	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:d37	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb4	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:965	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e10	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f97	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6b1	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13ed	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce3	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-35f	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d0f	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1009	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:193d	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:50c	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f6f	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1269	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:20fe	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3e	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cbb	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:205a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:76c	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d9e	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:aea	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:15a9	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-e4	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:1171	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-187	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:-40	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1505	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b37	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:1765	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3d8	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d97	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:334	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b1	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4c7	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ae3	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-423	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:594	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:928	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2e0	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:ca6	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c02	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d4	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:830	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1df	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/G-3/	member
7b93e6a1:150814fecb6:156c	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
7b93e6a1:150814fecb6:e62	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:13b	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b9e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ce	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-22a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:39b	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:201d	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:72f	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18ac	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-48a	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:71	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1ede	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aad	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:98f	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e3a	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-a7	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1134	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6db	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1394	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1728	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10e0	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1aa6	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1988	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1a02	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:557	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16d4	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1630	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:b89	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2a3	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c62	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1890	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:119b	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:ec9	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:a91	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-6a	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:152f	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e25	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa2	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:178f	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:35e	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14db	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:d8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dd1	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-44d	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:34	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1357	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c2c	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/IMO/	associate member
7b93e6a1:150814fecb6:8fe	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:10a3	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:85a	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:e8c	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:186	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:-275	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cc9	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2068	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c25	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18f7	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:9b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4c6	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1853	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:af8	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:422	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e85	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5b5	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:115e	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a54	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd1	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2d	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-511	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:682	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:9c2	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a2c	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16fe	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff4	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2cd	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:165a	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f50	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1c8c	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3bc	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:210b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:81d	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:e4f	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fcc	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:149	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c6	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1222	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-238	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:dfb	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1482	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-498	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5e	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1816	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e4	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e48	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-140	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6e9	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a17	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:645	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17c2	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c77	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df4	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10cd	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d50	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5f1	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-29f	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb7	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:161d	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
7b93e6a1:150814fecb6:f13	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c4f	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:187d	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:44c	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1bfb	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a7e	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-78	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-53b	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:14e9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dbe	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1445	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d1a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9ec	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a77	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1a7	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:-103	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
7b93e6a1:150814fecb6:f7a	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:274	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:13f1	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:608	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-363	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1db7	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:868	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d13	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e5	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5b4	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1941	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:be6	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:510	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f73	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:124c	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b42	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:770	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:40f	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-16a	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1bbe	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b1a	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:66f	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17ec	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3bb	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d7a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4aa	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1074	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1408	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9af	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:90b	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1668	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f3d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:237	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13b4	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1310	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-326	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:497	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:19a8	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1e3	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
7b93e6a1:150814fecb6:1570	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:-586	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1904	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2d2	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:ba9	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f36	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:120f	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20c5	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b05	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d7	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2021	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:733	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b0	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:146f	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d65	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee2	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11bb	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ab1	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:993	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-12d	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:29e	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17af	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-38d	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ANZUS/	member
7b93e6a1:150814fecb6:170b	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d3d	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1037	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5de	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:196b	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f9d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:53a	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1297	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b6c	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:79a	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:15d7	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eac	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a6	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:1533	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-549	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:102	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b65	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1793	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:362	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4f5	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109e	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:bb	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-451	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d28	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ea5	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:956	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e01	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f88	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6a2	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13de	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd4	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:133a	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c30	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:159a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e90	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:192e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2fc	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:20ef	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b2f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cac	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:204b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:75d	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18da	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d8f	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:adb	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-d5	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1162	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-178	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:-31	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1b28	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:3c9	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1756	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d88	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:325	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14a2	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:-4b8	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ad4	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-414	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-a	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:585	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a30	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:919	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2d1	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1c90	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3c0	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:8c5	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ef7	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:821	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:155d	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:1fd0	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e53	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b8f	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:12c	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2bf	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-21b	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:38c	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:200e	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:-47b	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:62	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1ecf	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c9	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e2b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1125	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6cc	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:cfe	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1385	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c5a	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1719	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10d1	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1979	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:548	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c5	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1cf7	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1621	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:2096	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c53	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f4	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1881	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:450	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-ff	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:118c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a82	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-5b	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:e16	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:34f	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14cc	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:c9	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dc2	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1afe	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43e	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:25	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:9f0	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a5a	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2fb	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3ea	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1348	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c1d	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8ef	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:84b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:e7d	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ffa	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:177	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12f4	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:1250	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-266	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:2059	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c16	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e8	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:8c	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4b7	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1844	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ae9	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:413	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e76	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5a6	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:114f	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:1bc2	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a45	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-1e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-502	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:673	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17f0	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10fb	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:9b3	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a1d	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16ef	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe5	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2be	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:164b	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
7b93e6a1:150814fecb6:f41	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:21a	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c7d	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ad	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:47a	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:80e	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1fbd	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12b7	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1213	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-229	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7ba	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dec	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1473	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-489	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:4f	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1807	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d5	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e39	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-131	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:a08	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:636	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b3	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-391	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:c68	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de5	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10be	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:896	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d41	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101a	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e2	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:127a	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fa8	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b70	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:160e	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:f04	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:186e	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:43d	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ba	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bec	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:eb0	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:a6f	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-69	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-52c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:69d	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:daf	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1436	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d0b	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9dd	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a68	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1696	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f6b	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:265	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e2	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3f8	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-354	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1da8	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:859	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1d04	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d6	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:5a5	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:1932	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bd7	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:501	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f64	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123d	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f3	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b33	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb0	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:761	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:149d	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d93	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-1ff	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-15b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1baf	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b0b	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17dd	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3ac	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d6b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1065	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:b9a	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1659	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f2e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:228	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a5	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1301	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-317	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:488	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:eda	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1d4	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1561	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:-577	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:130	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b93	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c3	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f27	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b6	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c8	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:390	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2012	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:724	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a1	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:d56	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed3	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11ac	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:aa2	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:984	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-11e	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:6d0	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:28f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-37e	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d2e	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1028	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5cf	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:195c	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:52b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f8e	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1288	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b5d	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cda	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:78b	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15c8	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1190	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:1524	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b56	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f7	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1784	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:14d0	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:353	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4e6	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108f	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:ac	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:-442	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d19	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:947	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f79	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13cf	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cc5	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132b	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c21	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f3	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1fe	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:158b	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:191f	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e81	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:15a	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2ed	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:203c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:74e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18cb	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:90	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1efd	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f7	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:acc	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-c6	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1153	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-169	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:6fa	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-22	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:1b19	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:1747	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:316	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d79	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a9	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1ac5	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-405	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:576	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a21	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16f3	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:2c2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1c81	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3b1	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8b6	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2100	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:ee8	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:812	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:154e	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e44	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc1	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:11d	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-20c	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:37d	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:f7	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:df0	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-46c	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:53	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
7b93e6a1:150814fecb6:1e1c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1116	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6bd	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cef	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1376	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c4b	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10c2	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:539	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b6	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-294	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1ce8	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1612	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:2087	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:799	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c44	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e5	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1872	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:441	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5d4	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117d	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a73	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bf0	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4c	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-530	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e07	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14bd	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:db3	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1aef	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-42f	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:16	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:9e1	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a4b	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2ec	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3db	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:1339	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c0e	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:83c	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1599	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e6e	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1feb	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:168	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e5	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bba	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1241	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-257	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c07	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d9	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:7d	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:4a8	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1835	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:404	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e67	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1bb3	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a36	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:664	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17e1	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c96	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:3b0	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10ec	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-9	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9a4	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a0e	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:fd6	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:900	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2af	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:163c	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:1c6e	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:f32	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20b	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:189c	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:46b	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a9d	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-97	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-55a	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fae	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12a8	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f0a	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1204	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7ab	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:ddd	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1464	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1a96	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11b0	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/LAS/	observer
7b93e6a1:150814fecb6:-1c6	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-122	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:293	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:627	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17a4	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-382	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dd6	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c59	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1700	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10af	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:887	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d32	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:100b	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d3	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1960	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f92	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:126b	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b61	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:185f	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:42e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ab	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ea1	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1bdd	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-51d	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:68e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3da	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1093	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b0	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1427	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9ce	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a59	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:92a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1687	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:13d3	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:f5c	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:256	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3e9	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-345	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/Benelux/	member
7b93e6a1:150814fecb6:19c7	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1ff9	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1923	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2f1	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:bc8	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f55	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122e	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20e4	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:1ca1	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:b24	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f6	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2040	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:752	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:148e	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d84	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11da	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ad0	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-14c	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17ce	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:172a	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d5c	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1056	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5fd	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:198a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:b8b	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f1f	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:219	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-308	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:479	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f6	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ecb	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1c5	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1552	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:-568	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b84	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:121	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2b4	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f18	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-210	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20a7	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b9	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:381	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:da	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2003	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:715	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-470	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:d47	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec4	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:975	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e20	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-10f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:6c1	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13fd	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf3	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-36f	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d1f	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1019	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:194d	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:51c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f7f	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1279	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b4e	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ccb	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:206a	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:77c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:afa	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:15b9	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-f4	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/EADB/	member
7b93e6a1:150814fecb6:1181	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:-197	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1515	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-50	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1b47	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e8	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1775	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:14c1	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:344	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4d7	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1af3	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-433	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:938	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2f0	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:cb6	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c12	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e4	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:840	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1ef	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:157c	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e72	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:14b	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2de	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
7b93e6a1:150814fecb6:-23a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:202d	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:73f	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18bc	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-49a	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:81	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:1eee	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e8	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:abd	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:99f	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e4a	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-b7	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1144	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6eb	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-13	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1738	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10f0	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:307	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ab6	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1998	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:567	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a12	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e4	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b99	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2b3	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1640	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:1c72	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a2	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8a7	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ed9	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:803	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-7a	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:153f	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:1fb2	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e35	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:10e	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:179f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:36e	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14eb	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:e8	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:de1	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-45d	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:44	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1e0d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1107	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6ae	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:60a	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1367	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c3c	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10b3	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86a	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:e9c	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:196	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:16a7	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-285	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1cd9	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1603	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2078	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c35	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d6	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1863	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:432	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e95	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5c5	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116e	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:1be1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a64	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-3d	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-521	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:692	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14ae	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:da4	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140a	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d00	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d2	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a3c	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2dd	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:166a	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f60	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1c9c	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3cc	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:82d	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19aa	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1fdc	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e5f	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:159	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d6	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bab	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1232	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-248	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:1492	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:6e	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1826	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f4	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e58	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-150	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:a27	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6f9	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1ba4	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b00	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:655	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17d2	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c87	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:3a1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10dd	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d60	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:fc7	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:162d	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:f23	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c5f	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:188d	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:45c	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a8e	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-88	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-54b	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:14f9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:dce	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1455	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d2a	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9fc	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a87	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11a1	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:-1b7	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-113	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8a	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:284	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:618	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-373	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dc7	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:878	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d23	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f5	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c4	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1951	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bf6	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:520	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f83	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:125c	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b52	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:780	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:41f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-17a	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1bce	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-50e	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:67f	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b2a	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17fc	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:3cb	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d8a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1084	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:-4ba	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:a1	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1418	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9bf	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:91b	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1678	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f4d	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:247	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c4	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1320	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-336	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:19b8	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f3	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1580	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:-596	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1914	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2e2	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:bb9	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f46	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121f	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d5	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b15	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e7	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2031	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:743	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c0	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:147f	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d75	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef2	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11cb	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac1	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-13d	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17bf	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-39d	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:171b	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d4d	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1047	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ee	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:197b	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:54a	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:b7c	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:15e7	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ebc	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1b6	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1543	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:-559	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b75	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:112	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2a5	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f09	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-201	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:372	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:cb	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:706	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-461	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:d38	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb5	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:966	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e11	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f98	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6b2	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13ee	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce4	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:134a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c40	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:193e	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:50d	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:20ff	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3f	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cbc	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:205b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:76d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18ea	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d9f	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:aeb	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1172	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-e5	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-188	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:-41	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1506	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b38	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3d9	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1766	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d98	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:335	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b2	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4c8	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ae4	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-424	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:595	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a40	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:929	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2e1	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3d0	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:ca7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c03	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d5	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:831	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1fe0	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:156d	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
7b93e6a1:150814fecb6:1b9f	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:e63	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:13c	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2cf	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-22b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:39c	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:201e	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18ad	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-48b	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:72	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1edf	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d9	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aae	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e3b	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-a8	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1135	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a0a	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6dc	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1395	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c6a	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1729	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10e1	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1aa7	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1989	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:558	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a03	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:16d5	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:faa	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2a4	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1631	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:200	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c63	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1891	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:460	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:119c	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:a92	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-6b	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1fa3	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e26	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:7a0	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:35f	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14dc	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:d9	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dd2	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-44e	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:35	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a6a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-3fa	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1358	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c2d	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/IMO/	associate member
7b93e6a1:150814fecb6:8ff	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1daa	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a4	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:85b	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1000	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e8d	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:187	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:1260	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-276	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:2069	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c26	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18f8	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:9c	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4c7	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1854	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e86	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:15a0	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:af9	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:423	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5b6	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:115f	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a55	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd2	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2e	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-512	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:683	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:9c3	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a2d	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16ff	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff5	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ce	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:165b	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:f51	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22a	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c8d	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3bd	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:48a	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:210c	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:81e	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1fcd	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12c7	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1223	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-239	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7ca	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dfc	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1483	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-499	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5f	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1817	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e5	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e49	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-141	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:a18	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:646	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17c3	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c78	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ce	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d51	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102a	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f2	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:128a	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fb8	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b80	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:161e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
7b93e6a1:150814fecb6:f14	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:187e	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:44d	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ca	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec0	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:a7f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1bfc	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-79	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-53c	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:dbf	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1446	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d1b	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9ed	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a78	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1a8	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:-104	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
7b93e6a1:150814fecb6:f7b	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:275	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:13f2	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:609	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-364	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1db8	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:869	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d14	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e6	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5b5	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1942	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f74	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:be7	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:511	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:124d	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b43	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc0	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:771	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-16b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1bbf	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b1b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17ed	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3bc	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d7b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4ab	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1075	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1409	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:90c	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1669	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f3e	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:238	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13b5	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1311	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-327	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:498	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:19a9	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:eea	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1571	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1e4	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
7b93e6a1:150814fecb6:-587	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1905	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:140	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2d3	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:1f37	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20c6	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b06	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d8	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2022	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:734	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b1	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:d66	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee3	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11bc	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ab2	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:994	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-12e	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6e0	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:29f	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-38e	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ANZUS/	member
7b93e6a1:150814fecb6:170c	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d3e	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1038	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5df	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:196c	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:53b	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1f9e	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1298	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b6d	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cea	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:79b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:15d8	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ead	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a7	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:1534	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:103	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b66	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1794	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:363	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14e0	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4f6	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109f	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:bc	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-452	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d29	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ea6	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:957	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e02	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f89	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6a3	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13df	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd5	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:133b	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c31	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:159b	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e91	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:192f	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:16a	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2fd	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:1cad	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:204c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:75e	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18db	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4aa	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:adc	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-d6	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1163	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-179	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:-32	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1b29	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:1757	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d89	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:14a3	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:326	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4b9	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ad5	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-415	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-b	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:586	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a31	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2d2	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1c91	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3c1	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:8c6	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2110	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:ef8	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:822	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:155e	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:e54	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd1	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12d	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12aa	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba0	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-21c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:38d	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:200f	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:-47c	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:63	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1e2c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1126	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6cd	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:cff	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1386	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c5b	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10d2	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:549	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c6	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1cf8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1622	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:2097	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c54	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f5	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1882	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:451	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:118d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a83	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-5c	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-540	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e17	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14cd	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dc3	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1aff	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43f	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:26	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:9f1	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a5b	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2fc	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3eb	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1349	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c1e	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:84c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:e7e	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ffb	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:178	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12f5	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bca	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1251	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-267	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c17	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e9	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:8d	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4b8	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1845	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:414	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e77	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5a7	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a46	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc3	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-1f	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-503	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:674	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17f1	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3c0	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10fc	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:9b4	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a1e	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:fe6	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:910	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2bf	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:164c	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f42	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1c7e	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:21b	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3ae	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-30a	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:47b	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:80f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-56a	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fbe	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12b8	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f1a	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1214	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7bb	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:ded	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1474	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1808	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11c0	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1d6	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-132	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:a09	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:637	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b4	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-392	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1de6	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c69	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1710	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10bf	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:897	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d42	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101b	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e3	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1970	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:127b	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fa9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b71	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:160f	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:f05	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:186f	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:43e	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15bb	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eb1	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1bed	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-52d	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:69e	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3ea	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:c0	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1437	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d0c	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9de	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a69	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:93a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1697	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f6c	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:266	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e3	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3f9	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-355	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1da9	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d05	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d7	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:d	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:5a6	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1933	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bd8	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:502	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f65	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123e	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f4	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b34	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb1	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2050	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:762	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:149e	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d94	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11ea	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ae0	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-15c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1b0c	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17de	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3ad	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:173a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d6c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1066	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:199a	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:b9b	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f2f	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:229	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a6	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1302	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-318	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
7b93e6a1:150814fecb6:489	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:edb	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1d5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1562	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:-578	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:131	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b94	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c4	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f28	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-220	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20b7	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c9	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:391	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2013	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:ea	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:725	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a2	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-480	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
7b93e6a1:150814fecb6:d57	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed4	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11ad	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:aa3	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:985	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e30	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-11f	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:6d1	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-37f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d2f	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1029	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:195d	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f8f	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:52c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1289	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b5e	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cdb	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:207a	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:78c	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15c9	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1191	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:-60	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1525	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b57	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3f8	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1785	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:354	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d1	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4e7	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:ad	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:-443	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:948	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:cc6	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132c	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c22	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f4	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:850	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1ff	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:158c	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e82	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:15b	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2ee	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:-24a	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:203d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:74f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18cc	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:91	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1efe	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f8	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e5a	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:acd	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1154	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-c7	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:6fb	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-23	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:1748	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:317	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ac6	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-406	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:577	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a22	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16f4	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:2c3	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1650	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:1c82	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3b2	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8b7	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2101	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:ee9	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:813	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:154f	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:-8a	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e45	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc2	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:11e	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-20d	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:37e	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14fb	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:f8	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:df1	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-46d	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:54	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
7b93e6a1:150814fecb6:1e1d	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1117	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6be	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:61a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1377	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c4c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10c3	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:87a	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:16b7	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-295	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1ce9	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1613	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:2088	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c45	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e6	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1873	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:442	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5d5	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117e	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a74	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bf1	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4d	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-531	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e08	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14be	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:db4	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:141a	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d10	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:17	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:9e2	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a4c	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:167a	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:2ed	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:f70	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:-3dc	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:c0f	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:83d	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19ba	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e6f	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fec	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:169	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e6	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bbb	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1242	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-258	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c08	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:7e	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:4a9	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1836	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:405	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e68	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-160	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:a37	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb4	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b10	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:665	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17e2	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c97	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:3b1	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10ed	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d70	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a0	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:9a5	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a0f	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:fd7	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:163d	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f33	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20c	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c6f	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:189d	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:46c	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a9e	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-98	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-55b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1faf	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12a9	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f0b	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1205	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7ac	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dde	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1465	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d3a	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a97	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11b1	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/LAS/	observer
7b93e6a1:150814fecb6:-1c7	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-123	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:294	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:628	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17a5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-383	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dd7	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1701	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:888	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d33	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:100c	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d4	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1961	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f93	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:530	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:126c	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b62	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:790	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:42f	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ac	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-18a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:ea2	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1bde	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-51e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:68f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b3a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3db	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d9a	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4ca	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1094	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b1	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1428	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9cf	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:92b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1688	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f5d	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:257	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d4	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1330	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-346	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/Benelux/	member
7b93e6a1:150814fecb6:19c8	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1590	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1924	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2f2	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:bc9	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f56	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20e5	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b25	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f7	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1ca2	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2041	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:753	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18d0	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:148f	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d85	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11db	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ad1	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-aa	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-14d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17cf	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:172b	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d5d	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1057	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5fe	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:198b	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:55a	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b8c	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-309	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:15f7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ecc	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1553	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:1c6	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-569	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:122	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b85	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2b5	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f19	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-211	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20a8	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:382	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:db	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2004	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:716	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-471	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:d48	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec5	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:976	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e21	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c2	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13fe	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf4	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:135a	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c50	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:194e	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:51d	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:b4f	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ccc	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:206b	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:77d	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18fa	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:afb	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-f5	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
7b93e6a1:150814fecb6:1182	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:-198	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:-51	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1516	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b48	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e9	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1776	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:345	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c2	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4d8	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1af4	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-434	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:1a50	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:939	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2f1	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3e0	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cb7	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c13	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e5	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:841	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:157d	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e73	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff0	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:14c	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2df	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
7b93e6a1:150814fecb6:-23b	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:202e	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18bd	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:-49b	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:82	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:1eef	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e9	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e4b	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:abe	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-b8	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1145	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a1a	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6ec	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-14	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:c7a	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1739	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10f1	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:308	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ab7	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1999	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:568	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a13	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e5	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fba	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b4	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1641	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:210	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c73	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a3	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8a8	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:470	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:804	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-7b	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e36	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb3	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:10f	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:7b0	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:36f	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ec	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:e9	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:de2	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-45e	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:45	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a7a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1aa	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:1e0e	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1108	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6af	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:60b	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1368	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c3d	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dba	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b4	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86b	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1010	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e9d	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:197	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:16a8	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1270	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-286	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1604	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2079	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c36	http://www.semwebtech.org/mondial/10/country/REUN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d7	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1864	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e96	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:433	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15b0	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5c6	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116f	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a65	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be2	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-3e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-522	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:693	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14af	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:da5	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140b	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d01	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d3	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a3d	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2de	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:166b	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f61	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23a	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c9d	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3cd	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:49a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:82e	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19ab	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:2	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1fdd	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12d7	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bac	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1233	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-249	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:7da	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1493	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:6f	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1827	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f5	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e59	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-151	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:a28	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ba5	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b01	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:656	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17d3	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c88	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:3a2	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10de	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d61	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103a	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:129a	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fc8	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b90	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:162e	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:f24	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:188e	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:45d	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15da	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed0	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:a8f	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-89	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-54c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:dcf	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1456	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d2b	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9fd	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a88	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11a2	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:-1b8	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-114	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8b	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:285	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:619	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-374	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:879	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d24	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f6	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c5	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1952	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bf7	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:521	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f84	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:125d	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b53	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd0	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:781	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-17b	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1bcf	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-50f	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b2b	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17fd	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:3cc	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d8b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1085	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:-4bb	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:a2	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1419	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:91c	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1679	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f4e	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:248	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c5	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1321	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-337	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:efa	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:19b9	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f4	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1581	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:-597	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:150	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1915	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2e3	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:1f47	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20d6	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b16	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e8	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2032	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:744	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c1	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:d76	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef3	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11cc	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac2	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-13e	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6f0	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-39e	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:171c	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d4e	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1048	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ef	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:197c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:54b	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:b7d	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cfa	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:15e8	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ebd	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1b7	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1544	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:1b76	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:113	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2a6	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:-202	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:14f0	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:373	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:cc	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:707	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-462	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:d39	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb6	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:967	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e12	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f99	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6b3	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13ef	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce5	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:134b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c41	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:17a	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:193f	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:50e	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1cbd	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:205c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:76e	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18eb	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ba	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:aec	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-e6	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:1173	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-189	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:-42	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1507	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b39	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:1767	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d99	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:336	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b3	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4c9	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ae5	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-425	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:596	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a41	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2e2	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3d1	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:ca8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c04	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d6	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:832	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:156e	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1fe1	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e64	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:13d	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12ba	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb0	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-22c	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:39d	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:201f	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18ae	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-48c	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:73	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:180a	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:aaf	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e3c	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-a9	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1136	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a0b	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6dd	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1396	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c6b	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10e2	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1aa8	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:559	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a04	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:16d6	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fab	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1632	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:2a5	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:201	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c64	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1892	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:461	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:119d	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:a93	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-6c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-550	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e27	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa4	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f00	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a1	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14dd	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dd3	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-44f	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:36	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a6b	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-3fb	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1359	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c2e	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/IMO/	associate member
7b93e6a1:150814fecb6:1dab	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a5	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:85c	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1001	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e8e	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:188	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:bda	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1261	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-277	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c27	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18f9	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:9d	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4c8	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1855	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e87	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:15a1	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:424	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5b7	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a56	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd3	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2f	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-513	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:684	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3d0	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:9c4	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a2e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:ff6	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:920	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2cf	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:165c	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:f52	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22b	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c8e	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3be	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:-31a	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
7b93e6a1:150814fecb6:48b	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:210d	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:81f	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-57a	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fce	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12c8	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f2a	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1224	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7cb	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dfd	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1484	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1818	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11d0	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1e6	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-142	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:a19	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:647	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17c4	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1df6	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1720	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:c79	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10cf	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d52	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102b	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f3	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1980	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:128b	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fb9	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b81	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:161f	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:f15	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:187f	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:44e	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15cb	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec1	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bfd	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-53d	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:3fa	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:d0	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1447	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d1c	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9ee	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a79	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1a9	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:94a	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-105	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
7b93e6a1:150814fecb6:f7c	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:276	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:13f3	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-365	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1db9	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d15	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5b6	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1943	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:be8	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:512	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f75	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:124e	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b44	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc1	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2060	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:772	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:11fa	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:af0	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-16c	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1b1c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17ee	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3bd	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:174a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d7c	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4ac	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1076	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:90d	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f3f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:239	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13b6	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1312	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-328	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:499	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:eeb	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ISO/	subscriber member
7b93e6a1:150814fecb6:1e5	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:1572	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:-588	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:141	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1906	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2d4	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/SICA/	associated member
7b93e6a1:150814fecb6:1f38	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-230	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20c7	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b07	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d9	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:fa	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2023	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:735	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b2	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-490	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:d67	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee4	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11bd	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ab3	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:995	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e40	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-12f	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6e1	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-38f	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:170d	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d3f	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1039	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:196d	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:53c	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1f9f	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1299	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b6e	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ceb	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:208a	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:79c	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:15d9	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eae	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a8	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-70	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1535	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e0a	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:104	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b67	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1795	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:14e1	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:364	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4f7	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:bd	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-453	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1ea7	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:958	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e03	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6a4	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cd6	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:600	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:133c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c32	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:860	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:159c	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e92	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:16b	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2fe	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:-25a	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cae	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:204d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:75f	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c0a	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18dc	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ab	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:add	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e6a	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-d7	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1164	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-33	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1758	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:327	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14a4	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1ad6	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1400	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-416	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-c	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:587	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a32	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2d3	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1660	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:1c92	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3c2	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:8c7	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2111	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:ef9	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:d4a	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:823	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19a0	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-9a	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:155f	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:e55	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd2	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12e	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12ab	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba1	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-21d	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:38e	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-47d	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:64	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1e2d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1127	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6ce	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:62a	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1387	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c5c	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10d3	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88a	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:16c7	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1cf9	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1623	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:2098	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c55	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f6	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1883	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:452	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:118e	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a84	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-5d	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-541	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e18	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14ce	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dc4	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142a	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:27	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:d20	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f2	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a5c	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2fd	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:168a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f80	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:-3ec	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:c1f	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:84d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19ca	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:1ffc	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e7f	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:179	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12f6	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bcb	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1252	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-268	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c18	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:8e	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4b9	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1846	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:415	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e78	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5a8	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-170	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/CAEU/	candidate
7b93e6a1:150814fecb6:a47	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc4	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-504	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b20	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:675	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17f2	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3c1	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10fd	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d80	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b0	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:9b5	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a1f	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:fe7	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:911	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:164d	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f43	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1c7f	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:21c	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3af	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-30b	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:47c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-56b	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fbf	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12b9	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f1b	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1215	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20aa	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7bc	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dee	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1475	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1809	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11c1	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1d7	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-133	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:638	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b5	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-393	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1de7	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1711	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:898	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d43	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101c	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e4	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1971	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:540	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:127c	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b72	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:f06	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:43f	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15bc	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-19a	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb2	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1bee	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-52e	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b4a	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:69f	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3eb	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4da	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c1	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1438	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d0d	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9df	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:93b	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1698	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f6d	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:267	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1340	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-356	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d06	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d8	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:5a7	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:1934	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bd9	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:503	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f66	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123f	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f5	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b35	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb2	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2051	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:763	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18e0	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:149f	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d95	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11eb	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ae1	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-ba	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-15d	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1b0d	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17df	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3ae	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:173b	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:30a	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d6d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1067	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:199b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:56a	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b9c	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:13a7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1303	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-319	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
7b93e6a1:150814fecb6:8aa	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:edc	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1d6	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1563	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:-579	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:132	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b95	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c5	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:1f29	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-221	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20b8	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:392	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:eb	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2014	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:726	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a3	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-481	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
7b93e6a1:150814fecb6:d58	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed5	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11ae	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/LAS/	observer
7b93e6a1:150814fecb6:aa4	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:986	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e31	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110a	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:a00	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6d2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:136a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/GUAM/	member
7b93e6a1:150814fecb6:c60	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:195e	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:52d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16aa	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1cdc	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:fa0	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b5f	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:207b	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:78d	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:1192	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:1526	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-61	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1b58	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3f9	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1786	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:355	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d2	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4e8	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:ae	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:-444	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1a60	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:949	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-3f0	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cc7	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132d	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c23	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f5	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1da0	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:851	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:158d	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e83	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:15c	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2ef	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:-24b	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:203e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:18cd	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:92	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1eff	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f9	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e5b	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ace	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-c8	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1155	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a2a	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6fc	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-24	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:c8a	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1749	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:318	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ac7	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-407	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:578	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a23	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16f5	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fca	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2c4	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1651	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:1c83	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:220	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3b3	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8b8	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:480	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2102	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:814	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-8b	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e46	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc3	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:11f	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-20e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7c0	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:37f	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14fc	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:f9	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:df2	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-46e	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:55	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1a8a	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ba	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e1e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1118	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6bf	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:61b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1378	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c4d	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dca	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c4	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:87b	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1020	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:16b8	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1280	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-296	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1614	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:2089	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c46	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e7	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1874	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:15c0	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:443	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5d6	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117f	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:1bf2	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a75	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-4e	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-532	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e09	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14bf	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1a4d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2ee	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:167b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f71	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24a	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3dd	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:83e	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19bb	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1fed	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12e7	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bbc	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1243	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-259	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:7ea	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c09	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:7f	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:1837	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e69	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:406	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-161	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:a38	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb5	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b11	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:666	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17e3	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c98	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:3b2	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10ee	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d71	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a1	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104a	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9a6	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:fd8	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:902	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:163e	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f34	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20d	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:189e	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:46d	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ea	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1f0c	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1206	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7ad	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:ddf	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1466	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d3b	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a98	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11b2	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1c8	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-124	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9b	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:295	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:629	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17a6	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-384	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dd8	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1702	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:889	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d34	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:100d	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d5	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1962	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f94	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:531	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:126d	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b63	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce0	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:791	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15ad	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-18b	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:ea3	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1bdf	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-51f	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b3b	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3dc	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d9b	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1095	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-4cb	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1429	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:92c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1689	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f5e	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:258	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d5	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:caa	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1331	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-347	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:19c9	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:1591	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1925	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:160	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2f3	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:1f57	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20e6	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b26	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f8	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1ca3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2042	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:754	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18d1	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d86	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4a0	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11dc	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ad2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-ab	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-14e	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:172c	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d5e	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1058	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ff	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aaa	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:198c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-1	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:55b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b8d	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:15f8	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ecd	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1c7	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1554	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:1b86	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:123	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a0	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2b6	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-212	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20a9	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:383	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:dc	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2005	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:717	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-472	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:d49	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec6	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:977	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e22	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c3	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13ff	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf5	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:135b	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c51	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:18a	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:194f	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:51e	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1ccd	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:206c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:77e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18fb	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ca	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:afc	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-f6	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
7b93e6a1:150814fecb6:1183	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:-199	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:-52	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1517	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b49	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:1777	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:346	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c3	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4d9	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1af5	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-435	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:1a51	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2f2	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3e1	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cb8	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131e	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c14	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e6	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:842	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1ff1	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:157e	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:12ca	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:e74	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:14d	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:bc0	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-23c	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:202f	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18be	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:-49c	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:83	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:181a	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e4c	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:abf	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-b9	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1146	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6ed	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a1b	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-15	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:c7b	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10f2	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:309	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ab8	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:569	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a14	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e6	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fbb	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b5	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1642	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:211	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c74	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a4	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-300	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:8a9	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:471	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:805	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-7c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-560	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e37	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb4	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f10	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7b1	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14ed	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:de3	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-45f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:46	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a7b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ab	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:1e0f	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1109	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:60c	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1369	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c3e	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dbb	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b5	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86c	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1011	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e9e	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:198	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:bea	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:16a9	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1271	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-287	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1605	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:1c37	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1865	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:4d8	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1e97	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:434	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15b1	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5c7	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a66	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be3	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-3f	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-523	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:694	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3e0	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:da6	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140c	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d02	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d4	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a3e	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:930	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2df	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:166c	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f62	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23b	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c9e	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ce	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-32a	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:49b	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:82f	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19ac	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-58a	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:3	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1fde	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12d8	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bad	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f3a	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1234	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7db	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1494	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1828	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11e0	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1f6	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-152	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:a29	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ba6	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:657	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b02	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:17d4	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c89	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:3a3	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1730	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10df	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d62	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103b	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1990	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:129b	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fc9	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b91	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:162f	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:f25	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:188f	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:45e	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15db	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed1	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1aa	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-54d	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e0	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1457	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d2c	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9fe	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a89	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11a3	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:-1b9	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:95a	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-115	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8c	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:286	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
7b93e6a1:150814fecb6:-375	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dc9	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d25	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f7	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1953	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f85	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:bf8	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:522	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:125e	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b54	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd1	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2070	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:782	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-17c	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1b2c	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17fe	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:3cd	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:175a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d8c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4bc	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1086	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:a3	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:91d	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f4f	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:249	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c6	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1322	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-338	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:1582	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:efb	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1f5	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-598	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1916	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:151	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2e4	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:1f48	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-240	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:20d7	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b17	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e9	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2033	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:745	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c2	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:d77	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef4	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11cd	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac3	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e50	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-13f	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6f1	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-39f	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:171d	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d4f	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1049	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:197d	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:54c	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:b7e	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cfb	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:209a	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:15e9	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ebe	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1b77	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b8	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-80	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1545	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:e1a	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:114	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2a7	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:-203	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:374	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f1	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:cd	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:708	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-463	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:1eb7	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:968	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e13	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6b4	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:ce6	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:610	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:134c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c42	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:870	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:17b	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:50f	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-26a	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cbe	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:205d	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:76f	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c1a	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18ec	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4bb	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:aed	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e7a	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-e7	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5aa	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1174	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-43	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1508	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1768	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:337	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b4	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1ae6	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1410	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-426	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:597	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1670	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:2e3	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3d2	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:ca9	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130f	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c05	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d7	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:833	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19b0	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:156f	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e65	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fe2	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:13e	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12bb	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb1	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-22d	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:39e	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:18af	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-48d	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:74	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:180b	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e3d	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1137	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6de	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a0c	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:63a	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1397	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c6c	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10e3	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89a	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1aa9	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1a05	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:16d7	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fac	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2a6	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1633	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:202	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c65	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1893	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:462	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:119e	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:a94	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-6d	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-551	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e28	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa5	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f01	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a2	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14de	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dd4	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:143a	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:37	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d30	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a6c	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:169a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f90	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:-3fc	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:c2f	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dac	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a6	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:19da	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:85d	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1002	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e8f	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:189	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:bdb	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1262	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-278	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c28	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:9e	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4c9	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1856	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e88	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:425	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15a2	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5b8	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-180	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:a57	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd4	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-514	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:685	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b30	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
7b93e6a1:150814fecb6:3d1	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d90	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c0	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:9c5	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a2f	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:ff7	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:921	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:165d	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:f53	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22c	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c8f	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3bf	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:-31b	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
7b93e6a1:150814fecb6:48c	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:210e	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:-57b	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fcf	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12c9	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f2b	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1225	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ba	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7cc	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dfe	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1485	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d5a	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1819	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11d1	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1e7	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-a0	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-143	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:648	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17c5	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1df7	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1721	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d53	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102c	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f4	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1981	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:550	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:128c	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b82	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:f16	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:44f	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15cc	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec2	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bfe	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-53e	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b5a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3fb	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4ea	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:d1	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1448	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d1d	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9ef	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:94b	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-106	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
7b93e6a1:150814fecb6:f7d	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:277	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13f4	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1350	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-366	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d16	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e8	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5b7	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1944	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f76	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:be9	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:513	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:124f	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b45	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc2	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2061	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:773	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18f0	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:11fb	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:af1	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-ca	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-16d	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/CAEU/	candidate
7b93e6a1:150814fecb6:1b1d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17ef	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3be	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:174b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d7d	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:31a	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4ad	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1077	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:57a	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:90e	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:13b7	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1313	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-329	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:8ba	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:eec	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ISO/	subscriber member
7b93e6a1:150814fecb6:1e6	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:1573	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:-589	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:142	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1907	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2d5	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:1f39	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-231	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20c8	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b08	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:fb	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2024	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:736	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b3	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-491	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:d68	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee5	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11be	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ab4	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:996	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e41	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:111a	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6e2	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a10	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:137a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c70	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:170e	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:196e	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:53d	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16ba	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fb0	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b6f	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cec	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:208b	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:79d	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:eaf	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a9	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-71	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1536	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e0b	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:105	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b68	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1796	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:14e2	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:365	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4f8	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:be	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-454	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
7b93e6a1:150814fecb6:1a	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
7b93e6a1:150814fecb6:1ea8	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a70	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a0	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:959	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e04	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6a5	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cd7	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:601	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:133d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c33	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db0	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:861	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:159d	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e93	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:16c	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2ff	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:-25b	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1caf	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:204e	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c0b	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18dd	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ac	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:ade	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e6b	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-d8	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:1165	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a3a	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-34	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:c9a	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1759	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:328	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14a5	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1ad7	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1401	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-417	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-d	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:588	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a33	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fda	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1661	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:2d4	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:230	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c93	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3c3	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:8c8	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:490	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2112	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:19a1	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:824	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-9b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e56	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd3	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12f	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12ac	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba2	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-21e	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7d0	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:38f	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-47e	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CAN/	observer
7b93e6a1:150814fecb6:65	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1a9a	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ca	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e2e	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1128	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6cf	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:62b	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1388	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c5d	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dda	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10d4	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88b	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1030	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:16c8	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1290	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1624	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:2099	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c56	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f7	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1884	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:453	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d0	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:118f	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a85	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-5e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-542	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e19	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14cf	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dc5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142b	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d21	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:28	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:9f3	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a5d	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2fe	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:168b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f81	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:25a	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3ed	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:84e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19cb	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:1ffd	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12f7	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bcc	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1253	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-269	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:7fa	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c19	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:8f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1847	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:416	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e79	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5a9	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-171	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:a48	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc5	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-505	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:676	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b21	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f3	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10fe	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:3c2	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d81	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b1	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:105a	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9b6	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:fe8	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:912	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:164e	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f44	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:21d	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-30c	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:15fa	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:47d	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:ef0	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:-56c	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1f1c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1216	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ab	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7bd	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:def	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1476	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d4b	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:11c2	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1d8	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-134	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:639	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b6	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-394	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1de8	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1712	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:899	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d44	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101d	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e5	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1972	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:541	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:127d	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b73	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cf0	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:f07	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15bd	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-19b	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb3	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1bef	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-52f	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b4b	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3ec	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4db	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c2	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1439	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d0e	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:93c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1699	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f6e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:268	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e5	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cba	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1341	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-357	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d07	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d9	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:5a8	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:f	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:170	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/FAO/	associate member
7b93e6a1:150814fecb6:1935	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:504	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f67	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20f6	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b36	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb3	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2052	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:764	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18e1	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d96	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4b0	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11ec	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ae2	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-bb	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-15e	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1b0e	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:3af	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:173c	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d6e	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:30b	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1068	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1aba	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:199c	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:56b	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b9d	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:13a8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1304	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8ab	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:edd	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1d7	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1564	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:1b96	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:133	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b0	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2c6	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-222	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20b9	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:393	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:ec	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2015	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:727	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a4	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-482	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
7b93e6a1:150814fecb6:d59	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed6	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1800	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11af	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/LAS/	observer
7b93e6a1:150814fecb6:aa5	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:987	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e32	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110b	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6d3	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a01	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:136b	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/GUAM/	member
7b93e6a1:150814fecb6:c61	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:19a	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:195f	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:52e	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16ab	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fa1	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cdd	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:207c	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:78e	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:4da	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1193	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:-62	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1527	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b59	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1787	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:356	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d3	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4e9	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:af	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-445	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1a61	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-3f1	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cc8	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132e	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c24	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f6	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1da1	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:852	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:158e	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e84	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:15d	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12da	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd0	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-24c	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:203f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:18ce	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:93	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:182a	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:acf	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e5c	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-c9	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1156	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6fd	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a2b	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-25	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:c8b	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:fd9	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:319	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ac8	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-408	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:579	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a24	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16f6	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fcb	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2c5	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1652	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:221	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c84	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3b4	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-310	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:8b9	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:481	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2103	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:815	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-8c	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-570	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e47	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc4	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f20	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-20f	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7c1	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14fd	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:df3	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-46f	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:56	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1a8b	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1bb	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e1f	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1119	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:61c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1379	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c4e	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dcb	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c5	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:87c	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1021	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:bfa	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:16b9	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1281	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-297	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1615	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:1c47	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e8	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1875	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:444	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c1	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5d7	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a76	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bf3	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4f	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-533	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:3f0	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:db6	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:141c	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:19	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
7b93e6a1:150814fecb6:d12	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e4	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a4e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:940	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2ef	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:167c	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f72	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24b	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3de	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-33a	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:83f	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19bc	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-59a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1fee	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12e8	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bbd	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f4a	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1244	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7eb	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1838	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11f0	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:407	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-162	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:a39	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb6	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b12	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:667	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17e4	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c99	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:3b3	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1740	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10ef	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d72	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a2	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104b	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9a7	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:903	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:163f	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f35	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20e	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:189f	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:46e	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15eb	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ee1	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1ba	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-55d	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1f0d	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1207	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7ae	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:f0	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70a	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1467	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d3c	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a99	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11b3	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1c9	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:96a	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-125	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:296	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17a7	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-385	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dd9	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1703	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d35	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:100e	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d6	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1963	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:532	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1f95	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:126e	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b64	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce1	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2080	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:792	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15ae	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-18c	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:ea4	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:150a	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e00	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b3c	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3dd	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:176a	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d9c	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4cc	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1096	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b3	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:92d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f5f	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:259	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d6	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cab	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1332	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-348	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:1592	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:161	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1926	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2f4	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:1f58	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-250	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20e7	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b27	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f9	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1ca4	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2043	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:755	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c00	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d2	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d87	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4a1	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11dd	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ad3	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e60	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-ac	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-14f	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:172d	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d5f	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1059	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1aab	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:198d	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:55c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b8e	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:15f9	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ece	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1c8	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-90	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1555	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e2a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b87	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:124	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a1	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2b7	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-213	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:384	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:dd	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2006	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:718	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-473	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:1ec7	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:978	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e23	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c4	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cf6	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:620	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:135c	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c52	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:880	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:18b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:51f	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-27a	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cce	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:206d	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c2a	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:77f	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18fc	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4cb	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e8a	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:afd	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-f7	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
7b93e6a1:150814fecb6:-5ba	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1184	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:-53	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1518	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1778	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:347	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c4	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1af6	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1420	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-436	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:1a52	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2f3	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1680	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-3e2	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cb9	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c15	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e7	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:843	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c0	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:157f	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e75	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff2	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:14e	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12cb	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bc1	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-23d	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:18bf	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:-49d	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:84	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:181b	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e4d	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1147	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6ee	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a1c	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-16	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:64a	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:c7c	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10f3	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1ab9	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1a15	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e7	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fbc	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b6	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1643	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:1c75	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:212	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3a5	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-301	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:472	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:806	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-7d	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-561	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e38	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f11	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a0	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b2	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14ee	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:de4	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:144a	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:47	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d40	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a7c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ac	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:60d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:c3f	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dbc	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b6	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86d	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19ea	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1012	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e9f	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:199	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:beb	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1272	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-288	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1606	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:1c38	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d9	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1866	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e98	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:435	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15b2	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5c8	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-190	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:a67	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be4	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-524	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:695	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b40	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e1	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4d0	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:da7	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140d	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d03	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d5	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a3f	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:931	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:166d	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f63	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23c	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c9f	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3cf	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-32b	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:49c	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:19ad	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-58b	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:4	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:1fdf	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12d9	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bae	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f3b	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1235	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ca	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0a	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7dc	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1495	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d6a	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1829	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11e1	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1f7	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-b0	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-153	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1ba7	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b03	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:658	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17d5	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3a4	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1731	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:300	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d63	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103c	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1991	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:560	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:129c	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b92	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f26	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8a0	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:45f	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15dc	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed2	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1ab	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-54e	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b6a	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4fa	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e1	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1458	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d2d	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9ff	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1eaa	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11a4	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:95b	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1100	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-116	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8d	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:287	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
7b93e6a1:150814fecb6:1360	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-376	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d26	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f8	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c7	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1954	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f86	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:bf9	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:523	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a0	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:125f	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b55	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd2	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2071	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:783	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-da	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:-17d	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1b2d	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17ff	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:3ce	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:175b	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:32a	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d8d	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4bd	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1087	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:a4	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:58a	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:91e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13c7	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1323	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-339	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:8ca	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:efc	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1583	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1f6	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-599	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:152	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1917	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2e5	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:1f49	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-241	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:20d8	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b18	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:2034	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:746	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c3	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:1ef5	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:d78	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11ce	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac4	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e51	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112a	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6f2	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a20	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:138a	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c80	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:171e	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:197e	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:54d	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16ca	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc0	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b7f	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cfc	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:209b	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:ebf	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1b9	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-81	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1546	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:e1b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:115	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b78	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a8	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:-204	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:375	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f2	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:ce	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:709	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-464	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2a	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1eb8	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a80	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b0	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:969	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e14	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6b5	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:ce7	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:611	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:134d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c43	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dc0	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:871	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:17c	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:-26b	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cbf	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:205e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c1b	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18ed	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4bc	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:aee	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e7b	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-e8	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5ab	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1175	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a4a	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-44	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1509	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1769	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:338	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b5	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1ae7	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1411	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-427	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:598	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a43	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fea	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e4	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1671	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:240	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3d3	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:c06	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d8	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:834	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19b1	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e66	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fe3	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:13f	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12bc	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb2	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-22e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7e0	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:39f	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-48e	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:75	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:180c	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1da	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e3e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1138	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6df	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a0d	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:63b	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1398	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c6d	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dea	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e4	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89b	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1040	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a06	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:16d8	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fad	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2a7	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1634	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:1c66	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:203	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1894	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:15e0	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:463	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:119f	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:a95	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-6e	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-552	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e29	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa6	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f02	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a3	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14df	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dd5	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:143b	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:38	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d31	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a6d	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:169b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f91	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:26a	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3fd	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1dad	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a7	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:85e	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19db	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:1003	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5aa	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bdc	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1263	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-279	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c29	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:9f	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1857	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e89	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:15a3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:426	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5b9	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-181	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:a58	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd5	http://www.semwebtech.org/mondial/10/country/SMAR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-515	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:686	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b31	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
7b93e6a1:150814fecb6:3d2	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d91	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c1	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106a	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9c6	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:ff8	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:922	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:165e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:f54	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22d	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13aa	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca0	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-31c	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
7b93e6a1:150814fecb6:48d	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:210f	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:-57c	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1f2c	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1226	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20bb	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7cd	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dff	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1486	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d5b	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11d2	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1e8	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-a1	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	observer
7b93e6a1:150814fecb6:-144	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:649	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17c6	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1df8	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1722	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d54	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102d	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f5	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aa0	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1982	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:551	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:128d	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b83	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:f17	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15cd	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec3	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bff	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-53f	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b5b	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3fc	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4eb	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:d2	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1449	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d1e	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:94c	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-107	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:f7e	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:278	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13f5	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cca	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1351	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-367	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d17	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e9	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5b8	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:180	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:1945	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:514	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f77	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:b46	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc3	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2062	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:774	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18f1	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4c0	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11fc	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:af2	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-cb	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-16e	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/CAEU/	candidate
7b93e6a1:150814fecb6:1b1e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:3bf	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:174c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:31b	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d7e	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4ae	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1078	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1aca	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40a	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:57b	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:90f	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:13b8	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1314	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8bb	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:eed	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ISO/	subscriber member
7b93e6a1:150814fecb6:1e7	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:1574	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1908	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:12c0	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:143	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2d6	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:-232	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20c9	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b09	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:fc	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2025	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:737	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b4	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-492	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:d69	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee6	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1810	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11bf	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e42	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ab5	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:997	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:111b	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6e3	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a11	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:137b	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c71	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:170f	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:196f	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:53e	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16bb	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fb1	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1ced	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:208c	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:79e	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:4ea	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-72	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1537	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e0c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:106	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b69	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1797	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:366	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14e3	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4f9	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:bf	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-455	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
7b93e6a1:150814fecb6:1b	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
7b93e6a1:150814fecb6:1ea9	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a71	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a1	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1e05	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6a6	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cd8	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:602	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:133e	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c34	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db1	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:862	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:159e	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e94	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:16d	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12ea	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be0	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-25c	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:204f	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c0c	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18de	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ad	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:183a	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:adf	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e6c	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-d9	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:1166	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a3b	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-35	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:c9b	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:329	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14a6	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1ad8	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1402	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-418	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-e	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:589	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a34	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fdb	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2d5	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1662	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:231	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c94	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3c4	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-320	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:8c9	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:491	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2113	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:825	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19a2	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-9c	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-580	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e57	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd4	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12ad	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba3	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f30	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-21f	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7d1	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-47f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
7b93e6a1:150814fecb6:66	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1a9b	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1cb	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e2f	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1129	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:1389	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:62c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:c5e	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1ddb	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10d5	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88c	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1031	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:16c9	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1291	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1625	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:1c57	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f8	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1885	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:454	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d1	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:a86	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1a0	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:-5f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-543	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:dc6	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142c	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:29	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:d22	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a5e	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:950	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2ff	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:168c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f82	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:25b	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3ee	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-34a	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:84f	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19cc	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:1ffe	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12f8	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bcd	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f5a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1254	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7fb	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1848	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:417	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-172	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:a49	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc6	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-506	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:677	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b22	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f4	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3c3	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1750	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10ff	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d82	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b2	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:105b	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9b7	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:fe9	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:913	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:164f	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f45	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:21e	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-30d	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:47e	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15fb	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ef1	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1ca	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-56d	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1f1d	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1217	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ac	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7be	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:71a	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1477	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d4c	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:11c3	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1d9	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:97a	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-135	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17b7	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-395	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1de9	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1713	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d45	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101e	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e6	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1973	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:542	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:127e	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b74	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cf1	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:2090	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:f08	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15be	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-19c	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb4	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:151a	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e10	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b4c	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3ed	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:177a	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4dc	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c3	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:d0f	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:93d	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f6f	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:269	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e6	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cbb	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1342	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:171	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:1936	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f68	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:505	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
\.


--
-- TOC entry 6020 (class 0 OID 92541)
-- Dependencies: 893
-- Data for Name: Mountain; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Mountain" ("URI", "locatedOnIsland", type, "lastEruption", "inMountains", name, elevation, longitude, latitude, rdftype) FROM stdin;
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Puy de Sancy	1885	2.8	45.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mt Fairweather	4663	-137.5	58.9	\N
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Mawenzi	5148	37.45	-3.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Zhima/	http://www.semwebtech.org/mondial/10/island/Olkhon/	\N	\N	\N	Zhima	1276	107.4	53.15	\N
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	http://www.semwebtech.org/mondial/10/island/Hokkaido/	volcanic	\N	\N	Asahi-Dake	2290	142.85	43.65	Volcano
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Popocatepetl	5450	-98	19	Volcano
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Sabalan	4811	47.8	38.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tahan/	\N	\N	\N	\N	Tahan	2190	108	4	\N
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	Torre de Cerredo	2648	4.85	43.2	\N
http://www.semwebtech.org/mondial/10/mountain/Meru/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Meru	4567	36.8	-3.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/Olymp/	\N	\N	\N	\N	Olymp	2917	22.35	40.1	\N
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Nevado del Ruiz	5389	-75.3	4.9	Volcano
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Piz Bernina	4048	9.9	46.4	\N
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Gasherbrum II	8034	76.65	35.75	\N
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Dychtau	5204	43.13	43.05	\N
http://www.semwebtech.org/mondial/10/mountain/Joekul/	\N	\N	\N	\N	Joekul	1876	7.2	60.3	\N
http://www.semwebtech.org/mondial/10/mountain/Fogo/	http://www.semwebtech.org/mondial/10/island/Fogo/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/	Fogo	2829	-24.4	14.95	Volcano
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	http://www.semwebtech.org/mondial/10/island/LaPalma/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Roque de los Muchachos	2426	-17.9	28.75	Volcano
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Elbrus	5642	42.26	43.21	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	http://www.semwebtech.org/mondial/10/island/Madeira/	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Madeira/	Pico Ruivo	1861	-16	31	Volcano
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Alpamayo	5947	-77.7	-8.9	\N
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Zugspitze	2963	11.1	47.3	\N
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Revoluzija	6940	72.2	38.3	\N
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Ulug Muztag	6973	87.4	36.4	\N
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/WestGhats/	Dodabetta	2636	76.7	11.4	\N
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Mount Everest	8848	86.9	28	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/	Pico de Agulhas Negras	2791	-44.65	-22.4	\N
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	\N	\N	\N	\N	Sulitjelma	1914	16.2	67.1	\N
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Grossglockner	3797	12.5	47	\N
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/TianShan/	Pik Pobeda	7439	80.1	42	\N
http://www.semwebtech.org/mondial/10/mountain/Kailash/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/	Kailash	6638	81.3	31.1	\N
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Changbai/	Changbai Shan	2744	128.1	42	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	\N	\N	\N	Mt. Babel	952	-68.7	51.45	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Mt. Bogong	1986	147.5	-37	\N
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	\N	\N	\N	\N	Kebnekaise	2114	18.3	67.5	\N
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/	http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	volcano	\N	\N	Queen Marys Peak	2062	-12.3	-37.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/	http://www.semwebtech.org/mondial/10/island/Iceland/	volcanic	\N	\N	Hvannadalshnukur	2110	-16.7	64.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/	http://www.semwebtech.org/mondial/10/island/Reunion/	volcanic	\N	\N	Piton des Neiges	3069	55.5	-21.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Soufriere/	http://www.semwebtech.org/mondial/10/island/SaintVincent/	volcano	\N	\N	Soufriere	1220	-61.2	13.35	Volcano
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/island/Luzon/	volcanic	\N	\N	Pulog	2928	121	17	Volcano
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Iztaccihuatl	5286	-98.6	19.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/	Mt Blackburn	4996	-143.4	61.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/island/Mindanao/	volcanic	\N	\N	Mount Apo	2954	125.45	7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/	http://www.semwebtech.org/mondial/10/island/Timor/	\N	\N	\N	Tatamailau	2963	125.5	-8.9	\N
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/island/Negros/	volcano	\N	\N	Kanlaon	2435	123.1	10.4	Volcano
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Licancabur	5920	-67.9	-22.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Zachwoa	3345	40.2	43.7	\N
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Altai/	Bjelucha	4506	86.4	49.48	\N
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/	\N	\N	\N	\N	Pidurutalagala	2524	80.8	7	\N
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Mt Elbert	4401	-106.4	39.1	\N
http://www.semwebtech.org/mondial/10/mountain/Athos/	\N	\N	\N	\N	Athos	2033	24.35	40.15	\N
http://www.semwebtech.org/mondial/10/mountain/Makalu/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Makalu	8485	87.1	27.9	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Mt. Kosciuszko	2228	148	-36.5	\N
http://www.semwebtech.org/mondial/10/mountain/Illimani/	\N	granite	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Illimani	6439	-67.8	-16.65	\N
http://www.semwebtech.org/mondial/10/mountain/MtBona/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mt Bona	5005	-141.75	61.4	\N
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Coropuna	6425	-72.65	-15.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Thabana Ntlenyana	3482	29.3	-29.5	\N
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Hindukusch/	Tirich Mir	7708	71.8	36.25	\N
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	http://www.semwebtech.org/mondial/10/island/Bioko/	volcano	\N	\N	Pico Basile	3011	8.7	3.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Andringitra/	http://www.semwebtech.org/mondial/10/island/Madagaskar/	volcanic	\N	\N	Andringitra	2658	47	-22.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Karthala/	http://www.semwebtech.org/mondial/10/island/GrandComoro/	volcano	\N	\N	Karthala	2361	43.35	-11.75	Volcano
http://www.semwebtech.org/mondial/10/mountain/Snaefell/	http://www.semwebtech.org/mondial/10/island/Iceland/	volcanic	\N	\N	Snaefell	1833	-15.2	64.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/	http://www.semwebtech.org/mondial/10/island/VitiLevu/	volcanic	\N	\N	Mt. Victoria	1323	178	-17.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/Hekla/	http://www.semwebtech.org/mondial/10/island/Iceland/	volcano	\N	\N	Hekla	1491	-19.7	64	Volcano
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/	http://www.semwebtech.org/mondial/10/island/Reunion/	volcano	\N	\N	Piton de la Fournaise	2631	55.7	-21.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	http://www.semwebtech.org/mondial/10/island/Teneriffa/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Pico de Teide	3718	-16.6	28.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Finsteraarhorn	4274	8.1	46.5	\N
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Mt Mitchell	2037	-82.1	35.4	\N
http://www.semwebtech.org/mondial/10/mountain/Manaslu/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Manaslu	8163	84.6	28.55	\N
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Cho Oyu	8188	86.65	28.35	\N
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Lebanon/	Jabal Lubnan	3088	36.1	34.3	\N
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	\N	\N	\N	\N	Portefjaellen	2021	17.4	67.1	\N
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Pico Bolivar	4981	-71	8.6	\N
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Wheeler Peak	4011	-105.4	36.55	\N
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	Moncayo	2313	1.85	41.8	\N
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Taurus/	Demirkazik	3756	35.2	37.8	\N
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Nanga Parbat	8125	74.6	35.2	\N
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Ismoil Somoni	7495	72	39	\N
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Kings Peak	4123	-110.4	40.5	\N
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Apennin/	Monte Falterona	1654	11.7	43.9	\N
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Ojos del Salado	6893	-68.5	-27.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Borah Peak	3859	-113.8	44.1	\N
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Clingmans Dome	2025	-83.2	35.3	\N
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	http://www.semwebtech.org/mondial/10/island/GreatBritain/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Grampians/	Ben Nevis	1344	-5	56.8	\N
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/	Barbeau Peak	2616	-75	81.9	\N
http://www.semwebtech.org/mondial/10/mountain/Uluru/	\N	monolith	\N	\N	Uluru	869	131	-25.3	\N
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	http://www.semwebtech.org/mondial/10/island/Hawaii/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Mauna Kea	4214	-155.45	19.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Nanda Devi	7816	80	30.4	\N
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Vignemale	3298	0.15	42.8	\N
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Karl-Marx	6726	72.5	37.16	\N
http://www.semwebtech.org/mondial/10/mountain/Jezerce/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Balkan/	Jezerce	2694	19.4	42.3	\N
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Azbine/	Mont Greboun	1944	9	20	\N
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Gannett Peak	4207	-110	43.2	\N
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Beskides/	Gerlachovsky Stit	2655	20.1	49.2	\N
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Mt Washington	1917	-71.3	44.3	\N
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/island/Cuba/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/	Pico Turquino	1974	-76.8	20	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/	http://www.semwebtech.org/mondial/10/island/NewGuinea/	volcano	\N	\N	Mt. Giluwe	4368	143.9	-6.05	Volcano
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Matterhorn	4478	7.56	46	\N
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/	Pico Rocarre	5187	-78	-8.8	\N
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Guadalupe Peak	2667	-105	32	\N
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	\N	monolith	\N	\N	Aso Rock	400	7.5	9.05	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/	http://www.semwebtech.org/mondial/10/island/Bougainville/	volcanic	\N	\N	Mt. Balbi	2715	155	-5.9	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/	http://www.semwebtech.org/mondial/10/island/Madagaskar/	volcanic	\N	\N	Tsiafajavona	2642	47.2	-19.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	http://www.semwebtech.org/mondial/10/island/Lombok/	volcano	\N	\N	Rinjani	3726	116.5	-8.4	Volcano
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	http://www.semwebtech.org/mondial/10/island/BaffinIsland/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/	Mt. Odin	2147	-65.6	66.55	\N
http://www.semwebtech.org/mondial/10/mountain/Annapurna/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Annapurna	8091	83.8	28.6	\N
http://www.semwebtech.org/mondial/10/mountain/Brocken/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Harz/	Brocken	1141	10.6	51.8	\N
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Kilimanjaro	5895	37.35	-3.05	Volcano
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	Schneekoppe	1602	15.7	50.7	\N
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/island/Sulawesi/	volcanic	\N	\N	Rantekombola	3455	120	-3.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	http://www.semwebtech.org/mondial/10/island/Hawaii/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Mauna Loa	4170	-155.6	19.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/	http://www.semwebtech.org/mondial/10/island/Montserrat/	volcano	\N	\N	Soufriere Hills	1050	-62.2	16.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Huascaran	6768	-77.3	-9	\N
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Boundary Peak	4006	-118.3	37.9	\N
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Monte Pissis	6795	-68.85	-27.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Nevado de Toluca	4558	-99	19	Volcano
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/	http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/	Mt. Cook	3754	170.2	-43.6	\N
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/island/Ceram/	\N	\N	\N	Gunung Binaiya	3027	129.3	-3.1	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/	http://www.semwebtech.org/mondial/10/island/SaoTome/	volcanic	\N	\N	Pico de Sao Tome	2024	6.6	0.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/	http://www.semwebtech.org/mondial/10/island/Jamaica/	\N	\N	\N	Blue Mountain Peak	2256	-76.4	18.1	\N
http://www.semwebtech.org/mondial/10/mountain/Olympos/	http://www.semwebtech.org/mondial/10/island/Cyprus/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Troodos/	Olympos	1952	32.85	34.9	\N
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	http://www.semwebtech.org/mondial/10/island/Bali/	volcano	\N	\N	Gunung Agung	3142	115.5	-8.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Merapi/	http://www.semwebtech.org/mondial/10/island/Java/	volcano	\N	\N	Merapi	2914	110.4	-7.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Mt Columbia	3747	-117.44	52.15	\N
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CoastMountains/	Mt Waddington	4019	-125.26	51.4	\N
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/	Ausangate	6336	-71.2	-13.8	\N
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	http://www.semwebtech.org/mondial/10/island/Palawan/	volcanic	\N	\N	Mantalingajan	2085	118.4	9.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Pico/	http://www.semwebtech.org/mondial/10/island/Pico/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Azores/	Pico	2351	-28.4	38.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Etna/	http://www.semwebtech.org/mondial/10/island/Sicilia/	volcano	\N	\N	Etna	3323	15	37.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	http://www.semwebtech.org/mondial/10/island/Corse/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Corse/	Monte Cinto	2706	8.9	42.4	\N
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	http://www.semwebtech.org/mondial/10/island/Maui/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Haleakala	3055	-156.25	20.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	http://www.semwebtech.org/mondial/10/island/NewGuinea/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/	Puncak Jaya	4884	137.11	-4.1	\N
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/	http://www.semwebtech.org/mondial/10/island/PuertoRico/	\N	\N	\N	Cerro de Punta	1338	-66.6	18.2	\N
http://www.semwebtech.org/mondial/10/mountain/Tambora/	http://www.semwebtech.org/mondial/10/island/Sumbawa/	volcano	\N	\N	Tambora	2850	118	-8.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	\N	\N	\N	\N	Jostedalsbre	2083	5.5	61.4	\N
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	http://www.semwebtech.org/mondial/10/island/Krakatau/	volcano	\N	\N	Krakatau	813	105.4	-6.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Karisimbi	4507	29.45	-1.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Citlaltepetl (Pico de Orizaba)	5636	-97	19	Volcano
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Barre des Ecrins	4101	6.3	44.9	\N
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Lhotse	8516	86.9	28	\N
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Mt Robson	3954	-119.1	52.3	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Pico de Almanzor	2648	-5.3	40.25	\N
http://www.semwebtech.org/mondial/10/mountain/K2/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	K2	8611	76.5	35.9	\N
http://www.semwebtech.org/mondial/10/mountain/Kongur/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Kongur	7649	75.35	38.65	\N
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/BlackForest/	Feldberg	1493	7.5	47.5	\N
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Shishapangma	8027	85.8	28.55	\N
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Mt Rainier	4392	-121.75	46.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	Mt Marcy	1629	-73.9	44.1	\N
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Atlas/	Tubkhal	4165	-8	31	\N
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Sinai/	Jabal Katrina	2637	33.95	28.5	\N
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	Mulhacen	3482	3.3	37	\N
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	\N	volcano	\N	\N	Hotaka-Dake	3190	138	36	Volcano
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Moskva	6785	71.5	39	\N
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Zagros/	Zard Kuh	4550	50.1	32.35	\N
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Grand Combin	4314	7.3	45.9	\N
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Gran Paradiso	4061	7.25	45.5	\N
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	\N	\N	\N	\N	Haltiatunturi	1328	21.4	67	\N
http://www.semwebtech.org/mondial/10/mountain/Sajama/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Sajama	6542	-68.9	-18.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Crap Sogn Gion	2228	9.2	46.85	\N
http://www.semwebtech.org/mondial/10/mountain/Musala/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Balkan/	Musala	2925	23.6	42.2	\N
http://www.semwebtech.org/mondial/10/mountain/Damavand/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Elburs/	Damavand	5610	52.1	35.95	Volcano
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Chimborazo	6287	-78.5	-1.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	\N	volcano	\N	\N	Fujisan	3776	139	35	Volcano
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	http://www.semwebtech.org/mondial/10/island/Sumatra/	volcano	\N	\N	Kerinci	3805	101.45	-1.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtHood/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Mt Hood	3424	-121.5	45.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Granite Peak	3901	-109.5	45	\N
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/TianShan/	Pik Chan-Tengri	7010	80.16	42.2	\N
http://www.semwebtech.org/mondial/10/mountain/Ararat/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Ararat	5165	44.3	39.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Kangchendzonga	8586	88.1	27.7	\N
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Muztagata	7509	75.1	38.27	\N
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/	\N	\N	\N	\N	Jabal Shuayb	3760	44	15.5	\N
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Lenina	7134	72.9	39.35	\N
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Kasbek	5033	44.31	42.42	Volcano
http://www.semwebtech.org/mondial/10/mountain/YuShan/	http://www.semwebtech.org/mondial/10/island/Taiwan/	\N	\N	\N	Yu Shan	3950	121	23.5	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/	http://www.semwebtech.org/mondial/10/island/NewGuinea/	\N	\N	\N	Mt. Wilhelm	4509	145	-5.8	\N
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	http://www.semwebtech.org/mondial/10/island/Kreta/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Crete/	Psiloritis	2456	24.7	35.2	\N
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Pikes Peak	4302	-105	38.8	\N
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/	Roman Kosch	1545	34.25	44.61	\N
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Liushi Shan	7167	80.9	35.3	\N
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Torre de Estrela	1993	-7.6	40.3	\N
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Vosges/	Grand Ballon	1424	7.1	47.9	\N
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	\N	\N	\N	\N	Galdhoeppig	2469	8	61.4	\N
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Nevado del Huila	5750	-76	2.9	Volcano
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/	http://www.semwebtech.org/mondial/10/island/Basse-Terre/	volcano	\N	\N	La Soufriere	1467	-61.65	16.05	Volcano
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/	http://www.semwebtech.org/mondial/10/island/Guadalcanal/	volcanic	\N	\N	Popomanaseu	2335	160.1	-9.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/	http://www.semwebtech.org/mondial/10/island/Tahiti/	volcanic	\N	\N	Mont Orohena	2241	-149.5	-17.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/	http://www.semwebtech.org/mondial/10/island/Madagaskar/	volcanic	\N	\N	Tsaratanana	2876	48.5	-14	Volcano
http://www.semwebtech.org/mondial/10/mountain/Concepcion/	http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	volcano	\N	\N	Concepcion	1700	-85.6	11.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	http://www.semwebtech.org/mondial/10/island/Luzon/	volcano	1991-06-15	\N	Pinatubo	1486	120.3	15.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Semeru/	http://www.semwebtech.org/mondial/10/island/Java/	volcano	\N	\N	Semeru	3676	112.9	-8.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Pelee/	http://www.semwebtech.org/mondial/10/island/Martinique/	volcano	\N	\N	Pelee	1397	-61.15	14.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	volcano	\N	\N	Ruapehu	2797	175.6	-39.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Silisili/	http://www.semwebtech.org/mondial/10/island/Savaii/	volcanic	\N	\N	Silisili	1858	-172.4	-13.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/Katla/	http://www.semwebtech.org/mondial/10/island/Iceland/	volcano	\N	\N	Katla	1450	-19	63.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/	http://www.semwebtech.org/mondial/10/island/Dominica/	volcano	\N	\N	Morne Diablotins	1447	-61.4	15.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Leuser/	http://www.semwebtech.org/mondial/10/island/Sumatra/	volcanic	\N	\N	Leuser	3466	98	3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Fako/	\N	volcano	\N	\N	Fako	4095	9.2	4.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Azbine/	Tamgak	1800	9	19	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Mt Adams	3743	-121.5	46.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Broad Peak	8051	76.6	35.8	\N
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	\N	volcano	1944-03-18	\N	Vesuv	1281	14.4	40.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/Korab/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Balkan/	Korab	2751	20.3	41.4	\N
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	\N	\N	\N	\N	Sarektjokko	2090	17.4	67.3	\N
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Hochgolling	2862	13.75	47.3	\N
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	http://www.semwebtech.org/mondial/10/island/GranCanaria/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Pico de los Nieves	1949	-15.6	25.95	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/	http://www.semwebtech.org/mondial/10/island/Hispaniola/	\N	\N	\N	Pico Duarte	3098	-71.3	18.3	\N
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	http://www.semwebtech.org/mondial/10/island/Borneo/	granite	\N	\N	Kinabalu	4101	116.5	6.1	\N
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mt Logan	5959	-140.4	60.6	\N
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	\N	\N	\N	\N	Glittertind	2452	8.1	61.4	\N
http://www.semwebtech.org/mondial/10/mountain/Irazu/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Irazu	3432	-83.9	10	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mt St.Elias	5489	-140.9	60.3	\N
http://www.semwebtech.org/mondial/10/mountain/Schchara/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Schchara	5200	43.1	43	\N
http://www.semwebtech.org/mondial/10/mountain/Illampu/	\N	granite	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Illampu	6368	-68.5	-15.8	\N
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Dhaulagiri	8167	83.5	28.7	\N
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Aconcagua	6962	-70	-32.65	\N
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Apennin/	Gran Sasso	2912	13.55	42.5	\N
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/AleutianRange/	Mt Redoubt	3108	-152.75	60.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Darfur/	Jabal Marra	3088	24.6	13	Volcano
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Monte Rosa	4634	7.9	45.9	\N
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Ruwenzori	5109	29.9	0.4	\N
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	Moldoveanu	2544	24.7	45.6	\N
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Rif/	Djebel Aures	2456	-6.5	35.5	\N
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Harney Peak	2207	-103.4	44	\N
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/	Grosser Arber	1456	13	49.1	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Pico de Aneto	3404	0.65	42.6	\N
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Cotopaxi	5897	-78.4	-0.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Ampato/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Ampato	6288	-71.9	-15.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/	Mt McKinley	6193	-151	63.1	\N
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Ural/	Narodnaja	1895	60.1	65	\N
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Cathkin Peak	3181	29.35	-29.1	\N
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/	Pico Cristobal Colon	5775	-73.7	10.85	\N
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Marmolata	3343	11.85	46.4	\N
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Tupungato	6550	-69.87	-33.35	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Mt Whitney	4418	-118.2	36.6	\N
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	\N	\N	\N	\N	Snoehetta	2286	9	62.1	\N
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	\N	\N	\N	\N	Tarrekaise	1850	17.3	67	\N
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Llullaillaco	6739	-68.5	-24.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Kamchatka/	Kljutschewskaja Sopka	4750	160.6	56.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Amhara/	Ras Daschan Terara	4533	38.4	13.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/SierraMadre/	Tajumulco	4220	-91.9	15	Volcano
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Humphreys Peak	3850	-111.65	35.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Elgon/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Elgon	4321	34.55	1.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/MountKenia/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Mount Kenia	5199	37.3	0.15	Volcano
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Cerro Chirripo	3819	-83.5	9.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Mont Blanc	4808	6.8	45.8	\N
http://www.semwebtech.org/mondial/10/mountain/Tahat/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Ahaggar/	Tahat	3003	5.5	23.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Nevado de Colima	4330	-104	20	Volcano
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Gasherbrum I	8080	76.7	35.6	\N
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Puy De Dome	1465	3	45.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Tibesti/	Emi Kussi	3415	18.5	20	Volcano
http://www.semwebtech.org/mondial/10/mountain/Cayambe/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Cayambe	5796	-78	0.1	Volcano
\.


--
-- TOC entry 6021 (class 0 OID 92547)
-- Dependencies: 894
-- Data for Name: Mountains; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Mountains" ("URI", name, latitude, elevation, type, longitude, area) FROM stdin;
http://www.semwebtech.org/mondial/10/mountains/Azbine/	Azbine	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Sinai/	Sinai	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Hawaii	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/	Crimean Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Corse/	Corse	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/	Jabal Lubnan	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Rif/	Rif	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/	British Empire Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Taurus/	Taurus	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Cascade Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/	Cape Verdes	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Beskides/	Beskides	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Cordillera Real	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Grampians/	Grampians	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraParima/	Sierra Parima	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Cordillera de Talamanca	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Hindukusch/	Hindukusch	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	Cordillera Cantabrica	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/	Sudirman Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	Adirondacks	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraMadre/	Sierra Madre	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Snowy Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Cordillera Volcanica	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Kurdistan	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	Waldai Hills	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/	Great Dividing Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/	Alaska Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Lebanon/	Lebanon	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Appalachian Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Rocky Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BlackForest/	Black Forest	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Harz/	Harz	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CoastMountains/	Coast Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Rhön/	Rhön	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Cevennes	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Cordillera Central	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/	Cordillera Negra	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Andes/	Andes	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/	Wrangell Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Pyrenees	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Atlas/	Atlas	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Altai/	Altai	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Zagros/	Zagros	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Canary Islands	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	Sudety Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Darfur/	Darfur	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/	Cordillera Vilcanota	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Kaukasus	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Elias Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Drakensberge	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Apennin/	Apennin	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Antitaurus/	Antitaurus	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Sierra Nevada California	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/TianShan/	Tian Shan	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Vosges/	Vosges	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Jura/	Jura	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AleutianRange/	Aleutian Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/	Penny Highlands	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	Cordillera Iberica	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Elburs/	Elburs	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Tibesti/	Tibesti	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Crete/	Crete	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Ural/	Ural	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	East African Rift	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Cordillera Blanca	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Alps/	Alps	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/	Brazilian Highlands	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/	Bayrischer Wald	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/	Fichtelgebirge	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/	Transhimalaya	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	Cordillera Betica	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pamir	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/	New Zealand Alps	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Balkan/	Balkan	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Kunlun	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/	Bohemian Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	Ethiopian Highlands	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Azores/	Azores	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Changbai/	Changbai	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Ahaggar/	Ahaggar	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/	Sierra Maestra	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Himalaya	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Karakorum	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Karpaten/	Karpaten	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Troodos/	Troodos	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Vogesen/	Vogesen	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WestGhats/	West Ghats	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Madeira/	Madeira	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/	Sierra Nevada de Santa Marta	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kamchatka/	Kamchatka	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Amhara/	Amhara	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/	Thueringer Wald	\N	\N	\N	\N	\N
\.


--
-- TOC entry 6022 (class 0 OID 92553)
-- Dependencies: 895
-- Data for Name: Organization; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Organization" ("URI", "hasHeadq", abbrev, name, established) FROM stdin;
http://www.semwebtech.org/mondial/10/organization/ARF/	\N	ARF	ASEAN Regional Forum	1994-07-25
http://www.semwebtech.org/mondial/10/organization/G-11/	\N	G-11	Group of 11	1984-06-22
http://www.semwebtech.org/mondial/10/organization/UNMIL/	\N	UNMIL	United Nations Mission in Liberia	2003-09-18
http://www.semwebtech.org/mondial/10/organization/SACEP/	\N	SACEP	South Asia Co-operative Environment Program	\N
http://www.semwebtech.org/mondial/10/organization/CACM/	http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	CACM	Central American Common Market	1960-12-13
http://www.semwebtech.org/mondial/10/organization/UNFICYP/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	UNFICYP	United Nations Peacekeeping Force in Cyprus	1964-03-04
http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	UNIFIL	United Nations Interim Force in Lebanon	1978-03-19
http://www.semwebtech.org/mondial/10/organization/ZC/	\N	ZC	Zangger Committee	\N
http://www.semwebtech.org/mondial/10/organization/UNAMID/	\N	UNAMID	African Union/United Nations Hybrid Operation in Darfur	2007-07-31
http://www.semwebtech.org/mondial/10/organization/EITI/	\N	EITI	Extractive Industry Transparency Initiative	\N
http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	OECD	Organization for Economic Cooperation and Development	1960-12-14
http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	FATF	Financial Action Task Force	1989-07-15
http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	ICAO	International Civil Aviation Organization	1944-12-07
http://www.semwebtech.org/mondial/10/organization/BDEAC/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	BDEAC	Central African States Development Bank	1975-12-03
http://www.semwebtech.org/mondial/10/organization/CPLP/	\N	CPLP	Comuinidade dos Paises de Lingua Portuguesa	\N
http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IFC	International Finance Corporation	1955-05-25
http://www.semwebtech.org/mondial/10/organization/CIS/	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	CIS	Commonwealth of Independent States	1991-12-08
http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	CEI	Central European Initiative	1989-11-10
http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	FZ	Franc Zone	1945-12-20
http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	EIB	European Investment Bank	1957-03-25
http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	SAARC	South Asian Association for Regional Cooperation	1985-12-08
http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	CAEU	Council of Arab Economic Unity	1957-06-02
http://www.semwebtech.org/mondial/10/organization/BSEC/	\N	BSEC	Black Sea Economic Cooperation Zone	1992-06-24
http://www.semwebtech.org/mondial/10/organization/PFP/	\N	PFP	Partnership for Peace	1994-01-10
http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	EAPC	Euro-Atlantic Partnership Council	1991-11-07
http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	ADB	Asian Development Bank	1966-12-19
http://www.semwebtech.org/mondial/10/organization/G-10/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	G-10	Group of 10	1962-10-01
http://www.semwebtech.org/mondial/10/organization/ITSO/	\N	ITSO	International Telecommunication Satellite Organization	\N
http://www.semwebtech.org/mondial/10/organization/UNISFA/	\N	UNISFA	United Nations Interim Security Force for Abyei	2011-06-26
http://www.semwebtech.org/mondial/10/organization/CBSS/	\N	CBSS	Council of the Baltic Sea States	1992-03-06
http://www.semwebtech.org/mondial/10/organization/EAC/	\N	EAC	East African Community	\N
http://www.semwebtech.org/mondial/10/organization/ANZUS/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	ANZUS	Australia-New Zealand-United States Security Treaty	1951-08-31
http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	SPC	Secretariat of the Pacific Community	1947-02-05
http://www.semwebtech.org/mondial/10/organization/G-9/	\N	G-9	Group of 9	\N
http://www.semwebtech.org/mondial/10/organization/IGAD/	\N	IGAD	Inter-Governmental Authority on Development	\N
http://www.semwebtech.org/mondial/10/organization/Sparteca/	\N	Sparteca	South Pacific Regional Trade and Economic Cooperation Agreement	1981-01-01
http://www.semwebtech.org/mondial/10/organization/EAS/	\N	EAS	East Asia Summit	2005-12-14
http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	ECOWAS	Economic Community of West African States	1975-05-28
http://www.semwebtech.org/mondial/10/organization/Entente/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	Entente	Council of the Entente	1959-05-29
http://www.semwebtech.org/mondial/10/organization/BA/	http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	BA	Baltic Assembly	1990-05-12
http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	COMESA	Common Market for Eastern and Southern Africa	1994-12-08
http://www.semwebtech.org/mondial/10/organization/OECS/	http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	OECS	Organization of Eastern Caribbean States	1981-06-17
http://www.semwebtech.org/mondial/10/organization/IPU/	\N	IPU	Inter-Parliamentary Union	\N
http://www.semwebtech.org/mondial/10/organization/G-77/	\N	G-77	Group of 77	1964-06-14
http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	OPCW	Organization for the Prohibition of Chemical Weapons	1997-04-28
http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	NAM	Nonaligned Movement	1961-09-05
http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	ICC	International Chamber of Commerce	1919-01-01
http://www.semwebtech.org/mondial/10/organization/BCIE/	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	BCIE	Central American Bank for Economic Integration	1960-12-13
http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	ASEAN	Association of Southeast Asian Nations	1967-08-07
http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	WIPO	World Intellectual Property Organization	1967-07-14
http://www.semwebtech.org/mondial/10/organization/PCA/	\N	PCA	Permanent Court of Arbitration	1899-07-29
http://www.semwebtech.org/mondial/10/organization/GUAM/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	GUAM	Organization for Democracy and Economic Development	2001-06-06
http://www.semwebtech.org/mondial/10/organization/UNOCI/	\N	UNOCI	United Nations Operation in Cote d'Ivoire	2004-02-26
http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	PIF	Pacific Islands Forum	1971-08-04
http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	UNRWA	United Nations Relief and Works Agency for Palestine Refugees in the Near East	1949-12-08
http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	SCO	Shanghai Cooperation Organization	2001-06-14
http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IMF	International Monetary Fund	1944-07-22
http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	AfDB	African Development Bank Group	1964-09-09
http://www.semwebtech.org/mondial/10/organization/AFESD/	\N	AFESD	Arab Fund for Economic and Social Development	1968-05-16
http://www.semwebtech.org/mondial/10/organization/OAPEC/	\N	OAPEC	Organization of Arab Petroleum Exporting Countries	1968-01-08
http://www.semwebtech.org/mondial/10/organization/G-20/	\N	G-20	Group of 20	1999-12-16
http://www.semwebtech.org/mondial/10/organization/AG/	\N	AG	Australia Group	\N
http://www.semwebtech.org/mondial/10/organization/MONUSCO/	\N	MONUSCO	United Nations Organization Stabilization Mission in the Democratic Republic of the Congo	2010-05-28
http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	ITU	International Telecommunication Union	1865-05-17
http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	NATO	North Atlantic Treaty Organization	1949-04-03
http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	AU	African Union	1963-05-25
http://www.semwebtech.org/mondial/10/organization/UNMISS/	\N	UNMISS	United Nations Mission in the Republic of South Sudan	2011-07-08
http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	IOM	International Organization for Migration	1951-12-05
http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	WHO	World Health Organization	1946-07-22
http://www.semwebtech.org/mondial/10/organization/G-8/	\N	G-8	Group of 8	1975-10-01
http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	OAS	Organization of American States	1890-04-13
http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	ICCt	International Criminal Court	2002-07-01
http://www.semwebtech.org/mondial/10/organization/OPEC/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	OPEC	Organization of Petroleum Exporting Countries	1960-09-13
http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	IFAD	International Fund for Agricultural Development	1974-11-01
http://www.semwebtech.org/mondial/10/organization/CDB/	\N	CDB	Caribbean Development Bank	1969-10-18
http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	CERN	European Organization for Nuclear Research	1953-07-01
http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IDA	International Development Association	1960-01-25
http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	G-15	Group of 15	\N
http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	ECB	European Central Bank	1998-05-31
http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	Caricom	Caribbean Community and Common Market	1973-07-04
http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	EU	European Union	1992-02-06
http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	OIC	Organization of Islamic Cooperation	1969-09-24
http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	UN	United Nations	1945-06-25
http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	EBRD	European Bank for Reconstruction and Development	1990-01-08
http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	IDB	Islamic Development Bank	1973-12-15
http://www.semwebtech.org/mondial/10/organization/EFTA/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	EFTA	European Free Trade Association	1960-01-03
http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	BIS	Bank for International Settlements	1930-01-19
http://www.semwebtech.org/mondial/10/organization/NAFTA/	\N	NAFTA	North American Free Trade Agreement	1992-12-17
http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IBRD	International Bank for Reconstruction and Development	1944-07-22
http://www.semwebtech.org/mondial/10/organization/ECO/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	ECO	Economic Cooperation Organization	1985-01-28
http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	LAIA	Latin American Integration Association	1980-08-11
http://www.semwebtech.org/mondial/10/organization/NEA/	\N	NEA	Nuclear Energy Agency	1958-01-31
http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	SADC	Southern African Development Community	1992-08-16
http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	APEC	Asia-Pacific Economic Cooperation	1989-11-06
http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	CP	Colombo Plan	1951-07-01
http://www.semwebtech.org/mondial/10/organization/CAN/	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	CAN	Andean Community	1969-05-26
http://www.semwebtech.org/mondial/10/organization/IHO/	\N	IHO	International Hydrographic Organization	\N
http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	UNIDO	United Nations Industrial Development Organization	1966-11-16
http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	UNTSO	United Nations Truce Supervision Organization	1948-05-01
http://www.semwebtech.org/mondial/10/organization/UNDOF/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	UNDOF	United Nations Disengagement Observer Force	1974-05-31
http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	MINURSO	United Nations Mission for the Referendum in Western Sahara	1991-04-28
http://www.semwebtech.org/mondial/10/organization/UNITAR/	\N	UNITAR	United Nations Institute for Training and Research	1963-12-11
http://www.semwebtech.org/mondial/10/organization/CEPGL/	\N	CEPGL	Economic Community of the Great Lakes Countries	1976-09-19
http://www.semwebtech.org/mondial/10/organization/G-3/	\N	G-3	Group of 3	1990-10-01
http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	SICA	Central American Integration System	1991-12-13
http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	FAO	Food and Agriculture Organization	1945-10-16
http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	ISO	International Organization for Standardization	1947-02-01
http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	G-24	Group of 24	1989-07-31
http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	IOC	International Olympic Committee	1894-06-22
http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	UNMOGIP	United Nations Military Observer Group in India and Pakistan	1949-01-23
http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	OIF	International Organization of the French-speaking World	1970-03-20
http://www.semwebtech.org/mondial/10/organization/AOSIS/	\N	AOSIS	Alliance of Small Island States	\N
http://www.semwebtech.org/mondial/10/organization/CD/	\N	CD	Community of Democracies	2000-06-26
http://www.semwebtech.org/mondial/10/organization/NC/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	NC	Nordic Council	1952-03-16
http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	ILO	International Labor Organization	1919-06-27
http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	UNESCO	United Nations Educational, Scientific, and Cultural Organization	1945-11-15
http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	LAES	Latin American and Caribbean Economic System	1975-10-17
http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	IEA	International Energy Agency	1974-11-14
http://www.semwebtech.org/mondial/10/organization/NIB/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	NIB	Nordic Investment Bank	1975-12-04
http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	UNSC	United Nations Security Council	1945-06-25
http://www.semwebtech.org/mondial/10/organization/GCTU/	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	GCTU	General Confederation of Trade Unions	1992-04-15
http://www.semwebtech.org/mondial/10/organization/SACU/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	SACU	Southern African Customs Union	1969-12-11
http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	ABEDA	Arab Bank for Economic Development in Africa	1974-02-17
http://www.semwebtech.org/mondial/10/organization/Benelux/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Benelux	Benelux Union	1958-02-02
http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	ICJ	International Court of Justice	1945-06-25
http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	UPU	Universal Postal Union	1874-10-09
http://www.semwebtech.org/mondial/10/organization/EADB/	http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	EADB	East African Development Bank	1967-06-05
http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	ITUC	International Trade Union Confederation	2006-11-02
http://www.semwebtech.org/mondial/10/organization/WTO/	\N	WTO	World Trade Organization	1994-04-14
http://www.semwebtech.org/mondial/10/organization/UNCTAD/	\N	UNCTAD	United Nations Conference on Trade and Development	1964-12-30
http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	EMU	Economic and Monetary Union	1992-02-06
http://www.semwebtech.org/mondial/10/organization/Mercosur/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	Mercosur	Southern Cone Common Market	1991-03-26
http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	CE	Council of Europe	1949-05-05
http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IADB	Inter-American Development Bank	1959-04-07
http://www.semwebtech.org/mondial/10/organization/CEMAC/	http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	CEMAC	Economic and Monetary Community of Central Africa	1964-12-08
http://www.semwebtech.org/mondial/10/organization/G-5/	\N	G-5	Group of 5	1985-09-21
http://www.semwebtech.org/mondial/10/organization/EurasEC/	\N	EurasEC	Eurasian Economic Community	\N
http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	UNHCR	United Nations High Commissioner for Refugees	1949-12-03
http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	WMO	World Meteorological Organization	1947-10-11
http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	OPANAL	Agency for the Prohibition of Nuclear Weapons in Latin America and the Caribbean	1967-02-13
http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	SELEC	Convention of the Southeast European Law Enforcement Center	2011-10-07
http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	UNWTO	World Tourism Organization	1975-01-01
http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	\N	BIMSTEC	Bay of Bengal Initiative for Multi-Sectoral Technical and Economic Cooperation	\N
http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	IAEA	International Atomic Energy Agency	1956-10-26
http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	WFTU	World Federation of Trade Unions	1945-10-03
http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	MIGA	Multilateral Investment Guarantee Agency	1988-04-11
http://www.semwebtech.org/mondial/10/organization/CSTO/	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	CSTO	Collective Security Treaty Organization	2002-10-07
http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	NSG	Nuclear Suppliers Group	\N
http://www.semwebtech.org/mondial/10/organization/InOC/	http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	InOC	Indian Ocean Commission	1982-12-21
http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	UNASUR	Union of South American Nations	2008-05-23
http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	LAS	League of Arab States	1945-03-22
http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	ESA	European Space Agency	1975-05-31
http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	ACP	African, Caribbean, and Pacific Group of States	1975-06-05
http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	IMSO	International Mobile Satellite Organization	1999-04-14
http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	Interpol	International Criminal Police Organization	1956-06-13
http://www.semwebtech.org/mondial/10/organization/G-7/	\N	G-7	Group of 7	1985-09-21
http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	CICA	Conference of Interaction and Confidence-Building Measures in Asia	1999-09-13
http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	IFRCS	International Federation of Red Cross and Red Crescent Societies	1919-05-05
http://www.semwebtech.org/mondial/10/organization/GCC/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	GCC	Gulf Cooperation Council	1981-05-25
http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	IMO	International Maritime Organization	1948-03-06
http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	AMF	Arab Monetary Fund	1976-04-26
http://www.semwebtech.org/mondial/10/organization/UNMIT/	\N	UNMIT	United Nations Integrated Mission in Timor-Leste	2006-08-24
http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	WCO	World Customs Organization	1950-12-15
http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	OSCE	Organization for Security and Cooperation in Europe	1994-12-31
http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	C	Commonwealth	1931-12-31
http://www.semwebtech.org/mondial/10/organization/D-8/	\N	D-8	Developing Eight	1997-06-14
http://www.semwebtech.org/mondial/10/organization/AMU/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	AMU	Arab Maghreb Union	1989-02-16
http://www.semwebtech.org/mondial/10/organization/CELAC/	\N	CELAC	Community of Latin American and Caribbean States	2010-02-22
\.


--
-- TOC entry 6023 (class 0 OID 92556)
-- Dependencies: 896
-- Data for Name: Province; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Province" ("URI", name, capital, area, "isProvinceOf", population) FROM stdin;
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/	Sibiu	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	5432	http://www.semwebtech.org/mondial/10/country/RO/	397322
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/	Gorj	http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	5601	http://www.semwebtech.org/mondial/10/country/RO/	341594
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/	Arad	http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	7754	http://www.semwebtech.org/mondial/10/country/RO/	430629
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/	Argeş	http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	6826	http://www.semwebtech.org/mondial/10/country/RO/	612431
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/	Timiş	http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	8696	http://www.semwebtech.org/mondial/10/country/RO/	683540
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/	Neamţ	http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	5896	http://www.semwebtech.org/mondial/10/country/RO/	470766
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/	Sălaj	http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	3864	http://www.semwebtech.org/mondial/10/country/RO/	224384
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/	Ialomiţa	http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	4452	http://www.semwebtech.org/mondial/10/country/RO/	274148
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/	Dolj	http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	7414	http://www.semwebtech.org/mondial/10/country/RO/	660544
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/	Suceava	http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	8553	http://www.semwebtech.org/mondial/10/country/RO/	634810
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/	Maramureş	http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	6304	http://www.semwebtech.org/mondial/10/country/RO/	478659
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/	Mureş	http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	6713	http://www.semwebtech.org/mondial/10/country/RO/	550846
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/	Vrancea	http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	4857	http://www.semwebtech.org/mondial/10/country/RO/	340310
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/	Brăila	http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	4765	http://www.semwebtech.org/mondial/10/country/RO/	321212
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/	Braşov	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	5363	http://www.semwebtech.org/mondial/10/country/RO/	549217
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/	Tulcea	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	8498	http://www.semwebtech.org/mondial/10/country/RO/	213083
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/	Bucureşti	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	237	http://www.semwebtech.org/mondial/10/country/RO/	1883425
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/	Liaoning	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	151000	http://www.semwebtech.org/mondial/10/country/CN/	43900000
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/	Chandigarh	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	114	http://www.semwebtech.org/mondial/10/country/IND/	1055450
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/	Śląskie	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	12333	http://www.semwebtech.org/mondial/10/country/PL/	4620624
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/	Orientale	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	503239	http://www.semwebtech.org/mondial/10/country/ZRE/	5566000
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/	Beni	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	213564	http://www.semwebtech.org/mondial/10/country/BOL/	421196
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/	Chiba	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	5156	http://www.semwebtech.org/mondial/10/country/J/	6192000
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/	Fromager	http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	6912	http://www.semwebtech.org/mondial/10/country/CI/	542992
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/	Goiás	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	340086	http://www.semwebtech.org/mondial/10/country/BR/	6523222
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/	Rio de Janeiro	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	43696	http://www.semwebtech.org/mondial/10/country/BR/	16461173
http://www.semwebtech.org/mondial/10/country/Z/province/Western/	Western	http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	126386	http://www.semwebtech.org/mondial/10/country/Z/	881524
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/	Oslo	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	454	http://www.semwebtech.org/mondial/10/country/N/	623966
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/	Kymi	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	\N	http://www.semwebtech.org/mondial/10/country/SF/	345000
http://www.semwebtech.org/mondial/10/country/B/province/Namur/	Namur	http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	3666	http://www.semwebtech.org/mondial/10/country/B/	482451
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/	Brabant Wallon	http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	1090	http://www.semwebtech.org/mondial/10/country/B/	388526
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/	Mato Grosso	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	903358	http://www.semwebtech.org/mondial/10/country/BR/	3224357
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/	Chelyabinsk	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	87900	http://www.semwebtech.org/mondial/10/country/R/	3490053
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/	Tamil Nadu	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	130060	http://www.semwebtech.org/mondial/10/country/IND/	72147030
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/	Gujarat	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	196244	http://www.semwebtech.org/mondial/10/country/IND/	60439692
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/	Edirne	http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	6097	http://www.semwebtech.org/mondial/10/country/TR/	399708
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/	Jawa Barat	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	35377	http://www.semwebtech.org/mondial/10/country/RI/	46300543
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/	Minas Gerais	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	586528	http://www.semwebtech.org/mondial/10/country/BR/	20734097
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/	Erzurum	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	25330	http://www.semwebtech.org/mondial/10/country/TR/	778195
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/	Kastamonu	http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	13157	http://www.semwebtech.org/mondial/10/country/TR/	359808
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/	Bahia	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	564692	http://www.semwebtech.org/mondial/10/country/BR/	15126371
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/	Western Cape	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	129462	http://www.semwebtech.org/mondial/10/country/RSA/	5822734
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/	North Dakota	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	178711	http://www.semwebtech.org/mondial/10/country/USA/	739482
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/	Orenburg	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	124000	http://www.semwebtech.org/mondial/10/country/R/	2008566
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/	Libertador General Bernardo O'Higgins	http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	16387	http://www.semwebtech.org/mondial/10/country/RCH/	851406
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/	Bacău	http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	6620	http://www.semwebtech.org/mondial/10/country/RO/	616168
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/	Gansu	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	366500	http://www.semwebtech.org/mondial/10/country/CN/	25821800
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/	Xinjiang	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	1646900	http://www.semwebtech.org/mondial/10/country/CN/	22643000
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/	Bihor	http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	7544	http://www.semwebtech.org/mondial/10/country/RO/	575398
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/	Baden-Württemberg	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	35751	http://www.semwebtech.org/mondial/10/country/D/	10486660
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/	Malanje	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	97602	http://www.semwebtech.org/mondial/10/country/ANG/	968135
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/	Vâlcea	http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	5764	http://www.semwebtech.org/mondial/10/country/RO/	371714
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/	Paraná	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	199315	http://www.semwebtech.org/mondial/10/country/BR/	11081692
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/	Sichuan	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	488000	http://www.semwebtech.org/mondial/10/country/CN/	81070000
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/	Jilin	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	187000	http://www.semwebtech.org/mondial/10/country/CN/	27512800
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/	Dhaka	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	31177	http://www.semwebtech.org/mondial/10/country/BD/	47424418
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/	Hunedoara	http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	7062	http://www.semwebtech.org/mondial/10/country/RO/	418565
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/	Nei Mongol	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	1177500	http://www.semwebtech.org/mondial/10/country/CN/	24976100
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/	Guangxi	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	220400	http://www.semwebtech.org/mondial/10/country/CN/	47190000
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/	Heilongjiang	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	463600	http://www.semwebtech.org/mondial/10/country/CN/	38350200
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/	Constanţa	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	7071	http://www.semwebtech.org/mondial/10/country/RO/	684082
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/	Mehedinţi	http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	4932	http://www.semwebtech.org/mondial/10/country/RO/	265390
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/	Alba	http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	6241	http://www.semwebtech.org/mondial/10/country/RO/	342376
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/	Călăraşi	http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	5087	http://www.semwebtech.org/mondial/10/country/RO/	306691
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/	Dâmboviţa	http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	4054	http://www.semwebtech.org/mondial/10/country/RO/	518745
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/	Zhejiang	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	101800	http://www.semwebtech.org/mondial/10/country/CN/	54980000
http://www.semwebtech.org/mondial/10/country/RO/province/Ilfov/	Ilfov	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	1583	http://www.semwebtech.org/mondial/10/country/RO/	388738
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/	Maranhão	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	331983	http://www.semwebtech.org/mondial/10/country/BR/	6850884
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/	Arizona	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	294207	http://www.semwebtech.org/mondial/10/country/USA/	6731484
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/	Pernambuco	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	98311	http://www.semwebtech.org/mondial/10/country/BR/	9277727
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/	Emilia-Romagna	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	22445	http://www.semwebtech.org/mondial/10/country/I/	4342135
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/	Vaslui	http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	5318	http://www.semwebtech.org/mondial/10/country/RO/	395499
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/	Teleorman	http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	5789	http://www.semwebtech.org/mondial/10/country/RO/	380123
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/	Buzău	http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	6102	http://www.semwebtech.org/mondial/10/country/RO/	451069
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/	Satu-Mare	http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	4417	http://www.semwebtech.org/mondial/10/country/RO/	344360
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/	Caraş-Severin	http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	8519	http://www.semwebtech.org/mondial/10/country/RO/	295579
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/	Indiana	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	92789	http://www.semwebtech.org/mondial/10/country/USA/	6596855
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/	Texas	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	676587	http://www.semwebtech.org/mondial/10/country/USA/	26956958
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/	Bistriţa-Năsăud	http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	5355	http://www.semwebtech.org/mondial/10/country/RO/	286225
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/	Galaţi	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	4466	http://www.semwebtech.org/mondial/10/country/RO/	536167
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/	Gauteng	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	18178	http://www.semwebtech.org/mondial/10/country/RSA/	12272263
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/	Hessen	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	21114	http://www.semwebtech.org/mondial/10/country/D/	5971816
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/	Donets´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	26517	http://www.semwebtech.org/mondial/10/country/UA/	4403178
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/	North Carolina	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	125920	http://www.semwebtech.org/mondial/10/country/USA/	9943964
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/	Ohio	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	105829	http://www.semwebtech.org/mondial/10/country/USA/	11594163
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/	Michigan	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	146435	http://www.semwebtech.org/mondial/10/country/USA/	9909877
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/	Bamako	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	252	http://www.semwebtech.org/mondial/10/country/RMM/	1809106
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/	Ségou	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	64821	http://www.semwebtech.org/mondial/10/country/RMM/	2336255
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/	New York	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	122057	http://www.semwebtech.org/mondial/10/country/USA/	19746227
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/	Niedersachsen	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	47613	http://www.semwebtech.org/mondial/10/country/D/	7777992
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/	Sikasso	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	70280	http://www.semwebtech.org/mondial/10/country/RMM/	2625919
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/	Kayes	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	119743	http://www.semwebtech.org/mondial/10/country/RMM/	1996812
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/	Gao	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	170572	http://www.semwebtech.org/mondial/10/country/RMM/	544120
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/	Koulikoro	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	95848	http://www.semwebtech.org/mondial/10/country/RMM/	2418305
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/	Tombouctou	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	496611	http://www.semwebtech.org/mondial/10/country/RMM/	681691
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/	Kidal	http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	151430	http://www.semwebtech.org/mondial/10/country/RMM/	67638
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/	Puntarenas	http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	11265	http://www.semwebtech.org/mondial/10/country/CR/	461671
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/	Heredia	http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	2656	http://www.semwebtech.org/mondial/10/country/CR/	483154
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/	Cartago	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	3124	http://www.semwebtech.org/mondial/10/country/CR/	516831
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/	Moskovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	45900	http://www.semwebtech.org/mondial/10/country/R/	7133620
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/	Limón	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	9188	http://www.semwebtech.org/mondial/10/country/CR/	428103
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/	Guanacaste	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	10140	http://www.semwebtech.org/mondial/10/country/CR/	359869
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/	East Midlands	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	15606	http://www.semwebtech.org/mondial/10/country/GB/	4598729
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/	Yorkshire and the Humber	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	15407	http://www.semwebtech.org/mondial/10/country/GB/	5337710
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/	South West	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	23837	http://www.semwebtech.org/mondial/10/country/GB/	5377595
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/	Alajuela	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	9757	http://www.semwebtech.org/mondial/10/country/CR/	946607
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/	Dar es Salaam	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	1393	http://www.semwebtech.org/mondial/10/country/EAT/	4364541
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/	San José	http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	4965	http://www.semwebtech.org/mondial/10/country/CR/	1576884
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/	Lindi	http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	66040	http://www.semwebtech.org/mondial/10/country/EAT/	864652
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/	Kagera	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	25265	http://www.semwebtech.org/mondial/10/country/EAT/	2458023
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/	Dodoma	http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	41311	http://www.semwebtech.org/mondial/10/country/EAT/	2083588
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/	Manyara	http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	44522	http://www.semwebtech.org/mondial/10/country/EAT/	1425131
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/	Kigoma	http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	37040	http://www.semwebtech.org/mondial/10/country/EAT/	2127930
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/	Morogoro	http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	70624	http://www.semwebtech.org/mondial/10/country/EAT/	2218492
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/	Katavi	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	45843	http://www.semwebtech.org/mondial/10/country/EAT/	564604
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/	Hubei	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	187500	http://www.semwebtech.org/mondial/10/country/CN/	57990000
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/	Geita	http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	20054	http://www.semwebtech.org/mondial/10/country/EAT/	1739530
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/	Maharashtra	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	307713	http://www.semwebtech.org/mondial/10/country/IND/	112374333
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/	Georgia	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	148959	http://www.semwebtech.org/mondial/10/country/USA/	10097343
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/	Kusini Pemba	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	332	http://www.semwebtech.org/mondial/10/country/EAT/	195116
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/	Shandong	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	153300	http://www.semwebtech.org/mondial/10/country/CN/	97333900
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/	Nordland	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	38482	http://www.semwebtech.org/mondial/10/country/N/	239611
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/	Souss Massa Daraa	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	70880	http://www.semwebtech.org/mondial/10/country/MA/	3601917
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/	Doukala Abda	http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	13285	http://www.semwebtech.org/mondial/10/country/MA/	2183090
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/	Rabat Sale Zemmour Zaer	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	9580	http://www.semwebtech.org/mondial/10/country/MA/	2676754
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/	Gharb Chrarda Beni Hssen	http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	8805	http://www.semwebtech.org/mondial/10/country/MA/	1904112
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/	Taza Al Hoceima Taounate	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	24155	http://www.semwebtech.org/mondial/10/country/MA/	1807036
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/	Meknes Tafilalet	http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	79210	http://www.semwebtech.org/mondial/10/country/MA/	2316865
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/	Tanger Tetouan	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	11570	http://www.semwebtech.org/mondial/10/country/MA/	3157075
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/	Chaouia Ouardigha	http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	7010	http://www.semwebtech.org/mondial/10/country/MA/	1893950
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/	Fes Boulemane	http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	19795	http://www.semwebtech.org/mondial/10/country/MA/	1808295
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/	Guelmim Es Semara	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	62825	http://www.semwebtech.org/mondial/10/country/MA/	501921
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/	Grand Casablanca	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	1615	http://www.semwebtech.org/mondial/10/country/MA/	4270750
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/	Mendoza	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	148827	http://www.semwebtech.org/mondial/10/country/RA/	1863809
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/	Poitou Charentes	http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	25809	http://www.semwebtech.org/mondial/10/country/F/	1777773
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/	Languedoc-Roussillon	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	27375	http://www.semwebtech.org/mondial/10/country/F/	2670046
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/	Alsace	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	8280	http://www.semwebtech.org/mondial/10/country/F/	1852325
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/	Cluj	http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	6674	http://www.semwebtech.org/mondial/10/country/RO/	691106
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/	Khanty Mansi ao	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	534800	http://www.semwebtech.org/mondial/10/country/R/	1532243
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/	Covasna	http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	3709	http://www.semwebtech.org/mondial/10/country/RO/	210177
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/	Iaşi	http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	5475	http://www.semwebtech.org/mondial/10/country/RO/	772348
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/	Botoşani	http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	4985	http://www.semwebtech.org/mondial/10/country/RO/	412626
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/	Prahova	http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	4715	http://www.semwebtech.org/mondial/10/country/RO/	762886
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/	Giurgiu	http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	3526	http://www.semwebtech.org/mondial/10/country/RO/	281422
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/	Olt	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	5498	http://www.semwebtech.org/mondial/10/country/RO/	436400
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/	Harghita	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	6638	http://www.semwebtech.org/mondial/10/country/RO/	310867
http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/	Pwani	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	32547	http://www.semwebtech.org/mondial/10/country/EAT/	1098668
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/	Kaskazini Pemba	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	574	http://www.semwebtech.org/mondial/10/country/EAT/	211732
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/	Mara	http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	21760	http://www.semwebtech.org/mondial/10/country/EAT/	1743830
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/	Kaskazini Unguja	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	470	http://www.semwebtech.org/mondial/10/country/EAT/	187455
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/	Shinyanga	http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	18901	http://www.semwebtech.org/mondial/10/country/EAT/	1534808
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/	Njombe	http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	21347	http://www.semwebtech.org/mondial/10/country/EAT/	702097
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/	Tanga	http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	26677	http://www.semwebtech.org/mondial/10/country/EAT/	2045205
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/	Tabora	http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	76150	http://www.semwebtech.org/mondial/10/country/EAT/	2291623
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/	Mjini Magharibi Unguja	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	230	http://www.semwebtech.org/mondial/10/country/EAT/	593678
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/	Kusini Unguja	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	854	http://www.semwebtech.org/mondial/10/country/EAT/	115588
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/	Mbeya	http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	60350	http://www.semwebtech.org/mondial/10/country/EAT/	2707410
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/	Mtwara	http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	16710	http://www.semwebtech.org/mondial/10/country/EAT/	1270854
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/	Iringa	http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	35503	http://www.semwebtech.org/mondial/10/country/EAT/	941238
http://www.semwebtech.org/mondial/10/country/J/province/Nara/	Nara	http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	3691	http://www.semwebtech.org/mondial/10/country/J/	1383000
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/	Eastern Cape	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	168966	http://www.semwebtech.org/mondial/10/country/RSA/	6562053
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/	Mopti	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	79017	http://www.semwebtech.org/mondial/10/country/RMM/	2037330
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/	Ruvuma	http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	63669	http://www.semwebtech.org/mondial/10/country/EAT/	1376891
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/	Arusha	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	37576	http://www.semwebtech.org/mondial/10/country/EAT/	1694310
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/	Santiago de Estero	http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	136351	http://www.semwebtech.org/mondial/10/country/RA/	918147
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/	Kwara	http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	34467	http://www.semwebtech.org/mondial/10/country/WAN/	2742093
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/	Prince Edward Island	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	5685	http://www.semwebtech.org/mondial/10/country/CDN/	145237
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/	Rio Grande do Norte	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	52796	http://www.semwebtech.org/mondial/10/country/BR/	3408510
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/	Szabolcs-Szatmár-Bereg	http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	5935	http://www.semwebtech.org/mondial/10/country/H/	559272
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/	Dytikis Makedonias	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	9451	http://www.semwebtech.org/mondial/10/country/GR/	283689
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/	Ionion Nison	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	2306	http://www.semwebtech.org/mondial/10/country/GR/	207855
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/	Telangana	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	114840	http://www.semwebtech.org/mondial/10/country/IND/	35193978
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/	Chhattisgarh	http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	135191	http://www.semwebtech.org/mondial/10/country/IND/	25545198
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/	Sicilia	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	25711	http://www.semwebtech.org/mondial/10/country/I/	5002904
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/	As Sulaymaniyah	http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	17023	http://www.semwebtech.org/mondial/10/country/IRQ/	942513
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	al-Qadisiya	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	8153	http://www.semwebtech.org/mondial/10/country/IRQ/	1134313
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/	Grodno	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	25118	http://www.semwebtech.org/mondial/10/country/BY/	1056955
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/	Nagasaki	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	4105	http://www.semwebtech.org/mondial/10/country/J/	1397000
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/	Vaud	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	3212	http://www.semwebtech.org/mondial/10/country/CH/	749373
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/	Dushanbe	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	100	http://www.semwebtech.org/mondial/10/country/TAD/	775800
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/	Tarija	http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	37623	http://www.semwebtech.org/mondial/10/country/BOL/	482196
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/	Idlib	http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	6097	http://www.semwebtech.org/mondial/10/country/SYR/	1464000
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/	Northern	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	147826	http://www.semwebtech.org/mondial/10/country/Z/	1759600
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/	Aktobe	http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	300629	http://www.semwebtech.org/mondial/10/country/KAZ/	808878
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/	Sulawesi Utara	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	13851	http://www.semwebtech.org/mondial/10/country/RI/	2382941
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/	DKI Jakarta	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	664	http://www.semwebtech.org/mondial/10/country/RI/	10135030
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/	Kalimantan Timur	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	204534	http://www.semwebtech.org/mondial/10/country/RI/	4115741
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/	Aust-Agder	http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	9157	http://www.semwebtech.org/mondial/10/country/N/	112772
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/	Tadla Azilal	http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	17125	http://www.semwebtech.org/mondial/10/country/MA/	1607506
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/	Nay Pyi Taw	http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	7054	http://www.semwebtech.org/mondial/10/country/MYA/	1158367
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/	Bago	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	39402	http://www.semwebtech.org/mondial/10/country/MYA/	4863455
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/	Semnan	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	97491	http://www.semwebtech.org/mondial/10/country/IR/	631218
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/	Ancash	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	35914	http://www.semwebtech.org/mondial/10/country/PE/	1129391
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/	Xizang	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	1221600	http://www.semwebtech.org/mondial/10/country/CN/	3120400
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/	Hatay	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	5831	http://www.semwebtech.org/mondial/10/country/TR/	1483674
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/	Yalova	http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	850	http://www.semwebtech.org/mondial/10/country/TR/	211799
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/	Osmaniye	http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	3195	http://www.semwebtech.org/mondial/10/country/TR/	492135
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/	Taraba	http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	60291	http://www.semwebtech.org/mondial/10/country/WAN/	2647413
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/	Johor	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	19210	http://www.semwebtech.org/mondial/10/country/MAL/	3348283
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/	Sinaloa	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	57377	http://www.semwebtech.org/mondial/10/country/MEX/	2767761
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	San Andrés, Providencia y Santa Catalina	http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	44	http://www.semwebtech.org/mondial/10/country/CO/	75801
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/	Tolima	http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	23562	http://www.semwebtech.org/mondial/10/country/CO/	1404262
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	Toshkent City	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	300	http://www.semwebtech.org/mondial/10/country/UZB/	2352900
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/	Sirdaryo	http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	5100	http://www.semwebtech.org/mondial/10/country/UZB/	763800
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/	Andijon	http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	4200	http://www.semwebtech.org/mondial/10/country/UZB/	2805500
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/	Tul´skaya	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	25700	http://www.semwebtech.org/mondial/10/country/R/	1521497
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/	Karelia	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	172400	http://www.semwebtech.org/mondial/10/country/R/	634402
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/	Kirov	http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	120800	http://www.semwebtech.org/mondial/10/country/R/	1310929
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/	Arica y Parinacota	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	16873	http://www.semwebtech.org/mondial/10/country/RCH/	212813
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/	Värmland	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	17591	http://www.semwebtech.org/mondial/10/country/S/	273080
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/	Picardie	http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	19399	http://www.semwebtech.org/mondial/10/country/F/	1918155
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/	Lorraine	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	23547	http://www.semwebtech.org/mondial/10/country/F/	2350657
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/	Kilimanjaro	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	13250	http://www.semwebtech.org/mondial/10/country/EAT/	1640087
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/	Simiyu	http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	25212	http://www.semwebtech.org/mondial/10/country/EAT/	1584157
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/	Rukwa	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	22792	http://www.semwebtech.org/mondial/10/country/EAT/	1004539
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/	Mwanza	http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	9467	http://www.semwebtech.org/mondial/10/country/EAT/	2772509
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/	Singida	http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	49340	http://www.semwebtech.org/mondial/10/country/EAT/	1370637
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/	Manica	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	62272	http://www.semwebtech.org/mondial/10/country/MOC/	1735351
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/	Tete	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	98417	http://www.semwebtech.org/mondial/10/country/MOC/	2228527
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/	Gaza	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	75334	http://www.semwebtech.org/mondial/10/country/MOC/	1344095
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/	Maputo	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	22693	http://www.semwebtech.org/mondial/10/country/MOC/	1506442
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/	Zambézia	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	103478	http://www.semwebtech.org/mondial/10/country/MOC/	4444204
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/	Niassa	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	122827	http://www.semwebtech.org/mondial/10/country/MOC/	1472387
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/	Nampula	http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	79010	http://www.semwebtech.org/mondial/10/country/MOC/	4647841
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/	Inhambane	http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	68775	http://www.semwebtech.org/mondial/10/country/MOC/	1426684
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/	Sofala	http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	67753	http://www.semwebtech.org/mondial/10/country/MOC/	1903728
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/	Cidade de Maputo	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	347	http://www.semwebtech.org/mondial/10/country/MOC/	1194121
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/	Cabo Delgado	http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	78778	http://www.semwebtech.org/mondial/10/country/MOC/	1797335
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/	Győr-Moson-Sopron	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	4208	http://www.semwebtech.org/mondial/10/country/H/	447985
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/	Bács-Kiskun	http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	8444	http://www.semwebtech.org/mondial/10/country/H/	520331
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/	Nógrád	http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	2545	http://www.semwebtech.org/mondial/10/country/H/	202427
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/	Hajdú-Bihar	http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	6210	http://www.semwebtech.org/mondial/10/country/H/	546721
http://www.semwebtech.org/mondial/10/country/H/province/Heves/	Heves	http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	3637	http://www.semwebtech.org/mondial/10/country/H/	308882
http://www.semwebtech.org/mondial/10/country/H/province/Békés/	Békés	http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	5629	http://www.semwebtech.org/mondial/10/country/H/	359948
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/	Zaire	http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	40130	http://www.semwebtech.org/mondial/10/country/ANG/	567225
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/	Uíge	http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	58698	http://www.semwebtech.org/mondial/10/country/ANG/	1426354
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/	Huíla	http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	79023	http://www.semwebtech.org/mondial/10/country/ANG/	2354398
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/	Huambo	http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	34270	http://www.semwebtech.org/mondial/10/country/ANG/	1896147
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/	Cuanza Norte	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	24110	http://www.semwebtech.org/mondial/10/country/ANG/	427971
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/	Cunene	http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	87342	http://www.semwebtech.org/mondial/10/country/ANG/	965288
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/	Bengo	http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	31371	http://www.semwebtech.org/mondial/10/country/ANG/	351579
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/	Bié	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	70314	http://www.semwebtech.org/mondial/10/country/ANG/	1338923
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/	Luanda	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	2417	http://www.semwebtech.org/mondial/10/country/ANG/	6542944
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/	Cabinda	http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	7270	http://www.semwebtech.org/mondial/10/country/ANG/	688285
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/	Benguela	http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	39826	http://www.semwebtech.org/mondial/10/country/ANG/	2036662
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/	Moxico	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	223023	http://www.semwebtech.org/mondial/10/country/ANG/	727594
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/	Lunda-Sul	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	77367	http://www.semwebtech.org/mondial/10/country/ANG/	516077
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/	Cuando Cubango	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	199049	http://www.semwebtech.org/mondial/10/country/ANG/	510369
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/	Cuanza Sul	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	55600	http://www.semwebtech.org/mondial/10/country/ANG/	1793787
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/	Namibe	http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	57091	http://www.semwebtech.org/mondial/10/country/ANG/	471613
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/	Lunda-Norte	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	103760	http://www.semwebtech.org/mondial/10/country/ANG/	799950
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/	Continental	http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	26017	http://www.semwebtech.org/mondial/10/country/GQ/	\N
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/	Insular	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	2034	http://www.semwebtech.org/mondial/10/country/GQ/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/	Cordillera	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	19422	http://www.semwebtech.org/mondial/10/country/RP/	1616867
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/	Central Luzon	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	22014	http://www.semwebtech.org/mondial/10/country/RP/	10137737
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/	Boreioy Aigaioy	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	3835	http://www.semwebtech.org/mondial/10/country/GR/	199231
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/	Peloponnisos	http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	15489	http://www.semwebtech.org/mondial/10/country/GR/	577903
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/	Cagayan Valley	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	28228	http://www.semwebtech.org/mondial/10/country/RP/	3229163
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/	Calabarzon	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	16873	http://www.semwebtech.org/mondial/10/country/RP/	12609803
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/	Northern Mindanao	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	20496	http://www.semwebtech.org/mondial/10/country/RP/	4297323
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/	Muslim Mindanao	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	21065	http://www.semwebtech.org/mondial/10/country/RP/	3256140
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/	Ilocos	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	13012	http://www.semwebtech.org/mondial/10/country/RP/	4748372
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/	Central Visayas	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	15885	http://www.semwebtech.org/mondial/10/country/RP/	6800180
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/	Eastern Visayas	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	23251	http://www.semwebtech.org/mondial/10/country/RP/	4101322
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/	Zamboanga Peninsula	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	17046	http://www.semwebtech.org/mondial/10/country/RP/	3407353
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/	Caraga	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	21478	http://www.semwebtech.org/mondial/10/country/RP/	2429224
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/	Soccsksargen	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	22513	http://www.semwebtech.org/mondial/10/country/RP/	4109571
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/	Davao	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	20357	http://www.semwebtech.org/mondial/10/country/RP/	4468563
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/	Western Visayas	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	20794	http://www.semwebtech.org/mondial/10/country/RP/	7102438
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/	Mimaropa	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	29620	http://www.semwebtech.org/mondial/10/country/RP/	2744671
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/	Bicol	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	18155	http://www.semwebtech.org/mondial/10/country/RP/	5420411
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/	Shaanxi	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	195800	http://www.semwebtech.org/mondial/10/country/CN/	37640000
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/	Guizhou	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	174000	http://www.semwebtech.org/mondial/10/country/CN/	35022200
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/	Edo	http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	19819	http://www.semwebtech.org/mondial/10/country/WAN/	3694087
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/	Imo	http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	5182	http://www.semwebtech.org/mondial/10/country/WAN/	4597500
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/	Nunavut	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	1877787	http://www.semwebtech.org/mondial/10/country/CDN/	35591
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/	Querétaro	http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	11683	http://www.semwebtech.org/mondial/10/country/MEX/	1827937
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/	Borsod-Abaúj-Zemplén	http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	7249	http://www.semwebtech.org/mondial/10/country/H/	686266
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/	Komárom-Esztergom	http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	2264	http://www.semwebtech.org/mondial/10/country/H/	304568
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/	Tolna	http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	3703	http://www.semwebtech.org/mondial/10/country/H/	230361
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/	Lakshadweep	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	30	http://www.semwebtech.org/mondial/10/country/IND/	64473
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/	Delhi	http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	1483	http://www.semwebtech.org/mondial/10/country/IND/	16787941
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/	Thiès	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	6670	http://www.semwebtech.org/mondial/10/country/SN/	1788864
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/	Sédhiou	http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	7341	http://www.semwebtech.org/mondial/10/country/SN/	452994
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/	Lubuskie	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	13987	http://www.semwebtech.org/mondial/10/country/PL/	1023102
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/	Ontario	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	908607	http://www.semwebtech.org/mondial/10/country/CDN/	13537994
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/	Lubelskie	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	25122	http://www.semwebtech.org/mondial/10/country/PL/	2168616
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/	Atlántida	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	4372	http://www.semwebtech.org/mondial/10/country/HCA/	407551
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/	Gracias a Dios	http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	16997	http://www.semwebtech.org/mondial/10/country/HCA/	88314
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/	Al-Jouf	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	100212	http://www.semwebtech.org/mondial/10/country/SA/	440009
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/	Okayama	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	7113	http://www.semwebtech.org/mondial/10/country/J/	1930000
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/	Genève	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	282	http://www.semwebtech.org/mondial/10/country/CH/	469433
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/	La Paz	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	133985	http://www.semwebtech.org/mondial/10/country/BOL/	2706359
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/	Colón	http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	4575	http://www.semwebtech.org/mondial/10/country/PA/	241928
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	Hims	http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	42223	http://www.semwebtech.org/mondial/10/country/SYR/	1763000
http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/	Kouilou	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	13650	http://www.semwebtech.org/mondial/10/country/RCB/	84165
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/	Luapula	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	50567	http://www.semwebtech.org/mondial/10/country/Z/	958976
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/	YeDebub Biheroch Bihereseboch na Hizboch	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	105887	http://www.semwebtech.org/mondial/10/country/ETH/	17359008
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/	Tigray	http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	85366	http://www.semwebtech.org/mondial/10/country/ETH/	4929999
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/	Akmola	http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	146219	http://www.semwebtech.org/mondial/10/country/KAZ/	735640
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/	Buenos Aires	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	307571	http://www.semwebtech.org/mondial/10/country/RA/	16476149
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/	Riau	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	87023	http://www.semwebtech.org/mondial/10/country/RI/	6358636
http://www.semwebtech.org/mondial/10/country/N/province/Troms/	Troms	http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	25862	http://www.semwebtech.org/mondial/10/country/N/	160418
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/	Kärnten	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	9538	http://www.semwebtech.org/mondial/10/country/A/	555969
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/	Liberecký	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	3162	http://www.semwebtech.org/mondial/10/country/CZ/	439262
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/	Hainaut	http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	3785	http://www.semwebtech.org/mondial/10/country/B/	1328760
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/	Kayin	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	30382	http://www.semwebtech.org/mondial/10/country/MYA/	1572657
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/	Hormozgan	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	70697	http://www.semwebtech.org/mondial/10/country/IR/	1578183
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/	Tumbes	http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	4669	http://www.semwebtech.org/mondial/10/country/PE/	228227
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/	Amasya	http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	5703	http://www.semwebtech.org/mondial/10/country/TR/	322283
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/	Tokat	http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	10072	http://www.semwebtech.org/mondial/10/country/TR/	613990
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/	Balıkesir	http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	14472	http://www.semwebtech.org/mondial/10/country/TR/	1160731
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/	Kilis	http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	1427	http://www.semwebtech.org/mondial/10/country/TR/	124320
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/	Kütahya	http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	12013	http://www.semwebtech.org/mondial/10/country/TR/	573421
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/	Rajasthan	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	342239	http://www.semwebtech.org/mondial/10/country/IND/	68548437
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/	Sikkim	http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	7096	http://www.semwebtech.org/mondial/10/country/IND/	610577
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/	Selangor	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	8104	http://www.semwebtech.org/mondial/10/country/MAL/	5411324
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/	Distrito Federal	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	1485	http://www.semwebtech.org/mondial/10/country/MEX/	8851080
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/	Poltavs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	28750	http://www.semwebtech.org/mondial/10/country/UA/	1477195
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/	Rivnens´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	20051	http://www.semwebtech.org/mondial/10/country/UA/	1154256
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/	Iowa	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	144669	http://www.semwebtech.org/mondial/10/country/USA/	3107126
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/	Oregon	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	248608	http://www.semwebtech.org/mondial/10/country/USA/	3970239
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/	Schleswig-Holstein	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	15799	http://www.semwebtech.org/mondial/10/country/D/	2800119
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/	Surxondaryo	http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	20800	http://www.semwebtech.org/mondial/10/country/UZB/	2308300
http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/	Leningradskaya	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	83908	http://www.semwebtech.org/mondial/10/country/R/	1763924
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/	Omsk	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	139700	http://www.semwebtech.org/mondial/10/country/R/	1973876
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/	Smolenskaya	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	49800	http://www.semwebtech.org/mondial/10/country/R/	967896
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/	Guidimagha	http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	10300	http://www.semwebtech.org/mondial/10/country/RIM/	267029
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/	Kronoberg	http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	8466	http://www.semwebtech.org/mondial/10/country/S/	185887
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/	Kano	http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	21276	http://www.semwebtech.org/mondial/10/country/WAN/	11058314
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/	Anambra	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	4816	http://www.semwebtech.org/mondial/10/country/WAN/	4796408
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/	Cross River	http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	21636	http://www.semwebtech.org/mondial/10/country/WAN/	3337517
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/	Oyo	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	28245	http://www.semwebtech.org/mondial/10/country/WAN/	6596392
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/	Rivers	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	10432	http://www.semwebtech.org/mondial/10/country/WAN/	6144673
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/	Abuja	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	7753	http://www.semwebtech.org/mondial/10/country/WAN/	2193613
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/	Bauchi	http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	49933	http://www.semwebtech.org/mondial/10/country/WAN/	5499737
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/	Plateau	http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	27216	http://www.semwebtech.org/mondial/10/country/WAN/	3663428
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/	Sokoto	http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	33776	http://www.semwebtech.org/mondial/10/country/WAN/	4292416
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/	Gombe	http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	17982	http://www.semwebtech.org/mondial/10/country/WAN/	2768452
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/	Akwa Ibom	http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	6772	http://www.semwebtech.org/mondial/10/country/WAN/	4612067
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/	Lagos	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	3496	http://www.semwebtech.org/mondial/10/country/WAN/	10668139
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/	Abia	http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	4902	http://www.semwebtech.org/mondial/10/country/WAN/	3250816
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/	Borno	http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	75480	http://www.semwebtech.org/mondial/10/country/WAN/	4930077
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/	Enugu	http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	7660	http://www.semwebtech.org/mondial/10/country/WAN/	3788319
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/	Uttar Pradesh	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	240928	http://www.semwebtech.org/mondial/10/country/IND/	199812341
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/	Puglia	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	19357	http://www.semwebtech.org/mondial/10/country/I/	4052566
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/	Ekiti	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	5887	http://www.semwebtech.org/mondial/10/country/WAN/	2794575
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/	Ebonyi	http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	6421	http://www.semwebtech.org/mondial/10/country/WAN/	2499272
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/	Adamawa	http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	38823	http://www.semwebtech.org/mondial/10/country/WAN/	3667419
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/	Ogun	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	16980	http://www.semwebtech.org/mondial/10/country/WAN/	4412299
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/	Nasarawa	http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	27271	http://www.semwebtech.org/mondial/10/country/WAN/	2167120
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/	Zamfara	http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	35170	http://www.semwebtech.org/mondial/10/country/WAN/	3838160
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/	Katsina	http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	24971	http://www.semwebtech.org/mondial/10/country/WAN/	6725626
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/	Yobe	http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	46909	http://www.semwebtech.org/mondial/10/country/WAN/	2757022
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/	Kaduna	http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	45711	http://www.semwebtech.org/mondial/10/country/WAN/	7087226
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/	Bayelsa	http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	9415	http://www.semwebtech.org/mondial/10/country/WAN/	1966426
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/	Kebbi	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	37727	http://www.semwebtech.org/mondial/10/country/WAN/	3793585
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/	Ondo	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	15195	http://www.semwebtech.org/mondial/10/country/WAN/	4012105
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/	Jigawa	http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	24515	http://www.semwebtech.org/mondial/10/country/WAN/	5031103
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/	Kogi	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	29581	http://www.semwebtech.org/mondial/10/country/WAN/	3841884
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/	Benue	http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	31276	http://www.semwebtech.org/mondial/10/country/WAN/	4931135
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/	Niger	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	74108	http://www.semwebtech.org/mondial/10/country/WAN/	4674381
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/	Delta	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	17239	http://www.semwebtech.org/mondial/10/country/WAN/	4813917
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/	Manitoba	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	552329	http://www.semwebtech.org/mondial/10/country/CDN/	1265015
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/	Northwest Territories	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	1143793	http://www.semwebtech.org/mondial/10/country/CDN/	43537
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/	Yukon	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	474712	http://www.semwebtech.org/mondial/10/country/CDN/	36700
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/	New Brunswick	http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	71377	http://www.semwebtech.org/mondial/10/country/CDN/	756050
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/	Newfoundland and Labrador	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	370510	http://www.semwebtech.org/mondial/10/country/CDN/	526702
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/	Quebec	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	1356547	http://www.semwebtech.org/mondial/10/country/CDN/	8155334
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/	Nova Scotia	http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	52939	http://www.semwebtech.org/mondial/10/country/CDN/	940789
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/	Saskatchewan	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	588239	http://www.semwebtech.org/mondial/10/country/CDN/	1108303
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/	British Columbia	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	922509	http://www.semwebtech.org/mondial/10/country/CDN/	4581978
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/	Alberta	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	640081	http://www.semwebtech.org/mondial/10/country/CDN/	4025074
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/	Csongrád	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	4262	http://www.semwebtech.org/mondial/10/country/H/	417456
http://www.semwebtech.org/mondial/10/country/H/province/Pest/	Pest	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	6391	http://www.semwebtech.org/mondial/10/country/H/	1217476
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/	Jász-Nagykun-Szolnok	http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	5581	http://www.semwebtech.org/mondial/10/country/H/	386594
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/	Budapest	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	525	http://www.semwebtech.org/mondial/10/country/H/	1729040
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/	Veszprém	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	4463	http://www.semwebtech.org/mondial/10/country/H/	351898
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/	Somogy	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	6065	http://www.semwebtech.org/mondial/10/country/H/	317307
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/	Baranya	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	4429	http://www.semwebtech.org/mondial/10/country/H/	386441
http://www.semwebtech.org/mondial/10/country/H/province/Vas/	Vas	http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	3336	http://www.semwebtech.org/mondial/10/country/H/	256629
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/	Fejér	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	4358	http://www.semwebtech.org/mondial/10/country/H/	425847
http://www.semwebtech.org/mondial/10/country/H/province/Zala/	Zala	http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	3783	http://www.semwebtech.org/mondial/10/country/H/	282179
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/	Attikis	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	3808	http://www.semwebtech.org/mondial/10/country/GR/	3828434
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/	Fukui	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	4189	http://www.semwebtech.org/mondial/10/country/J/	795000
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/	Anatolikis Makedonias kai Thrakis	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	14157	http://www.semwebtech.org/mondial/10/country/GR/	608182
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/	Ipeiroy	http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	9203	http://www.semwebtech.org/mondial/10/country/GR/	336856
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/	Trujillo	http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	7198	http://www.semwebtech.org/mondial/10/country/YV/	686367
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/	Tiris Zemmour	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	252900	http://www.semwebtech.org/mondial/10/country/RIM/	53261
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/	Stereas Elladas	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	15549	http://www.semwebtech.org/mondial/10/country/GR/	547390
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/	Missouri	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	178040	http://www.semwebtech.org/mondial/10/country/USA/	6063589
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/	Dytikis Elladas	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	11350	http://www.semwebtech.org/mondial/10/country/GR/	679796
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/	Notioy Aigaioy	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	5285	http://www.semwebtech.org/mondial/10/country/GR/	309015
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/	Thessalias	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	14036	http://www.semwebtech.org/mondial/10/country/GR/	732762
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/	Aghion Oros	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	335	http://www.semwebtech.org/mondial/10/country/GR/	1811
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/	Kritis	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	8335	http://www.semwebtech.org/mondial/10/country/GR/	623065
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/	Kentrikis Makedonias	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	18810	http://www.semwebtech.org/mondial/10/country/GR/	1880297
http://www.semwebtech.org/mondial/10/country/PK/province/FATA/	FATA	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	27220	http://www.semwebtech.org/mondial/10/country/PK/	3176331
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/	FCT Islamabad	http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	906	http://www.semwebtech.org/mondial/10/country/PK/	805235
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/	Gilgit-Baltistan	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	72520	http://www.semwebtech.org/mondial/10/country/PK/	870347
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/	Azad Jammu and Kashmir	http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	13297	http://www.semwebtech.org/mondial/10/country/PK/	2580000
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/	Khyber Pakhtunkhwa	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	74521	http://www.semwebtech.org/mondial/10/country/PK/	17735912
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/	Balochistan	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	347190	http://www.semwebtech.org/mondial/10/country/PK/	6565885
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/	Punjab	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	205345	http://www.semwebtech.org/mondial/10/country/PK/	73621290
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/	Nagaland	http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	16579	http://www.semwebtech.org/mondial/10/country/IND/	1978502
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/	Jammu and Kashmir	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	222236	http://www.semwebtech.org/mondial/10/country/IND/	12541302
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/	Antioquia	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	63612	http://www.semwebtech.org/mondial/10/country/CO/	6378132
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/	Valle	http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	1665	http://www.semwebtech.org/mondial/10/country/HCA/	171613
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/	Islas de la Bahía	http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	236	http://www.semwebtech.org/mondial/10/country/HCA/	49158
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/	Telemark	http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	15296	http://www.semwebtech.org/mondial/10/country/N/	170902
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/	Al-Hudud ash Shamaliyah	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	111797	http://www.semwebtech.org/mondial/10/country/SA/	320524
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/	Solothurn	http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	790	http://www.semwebtech.org/mondial/10/country/CH/	261437
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/	Los Santos	http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	3809	http://www.semwebtech.org/mondial/10/country/PA/	89592
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/	Herrera	http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	2362	http://www.semwebtech.org/mondial/10/country/PA/	109955
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/	Kepulauan Bangka Belitung	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	16424	http://www.semwebtech.org/mondial/10/country/RI/	1380762
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/	Banten	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	9662	http://www.semwebtech.org/mondial/10/country/RI/	11834087
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/	Buskerud	http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	14910	http://www.semwebtech.org/mondial/10/country/N/	269003
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/	Aland	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	\N	http://www.semwebtech.org/mondial/10/country/SF/	23000
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/	Limburg	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	2208	http://www.semwebtech.org/mondial/10/country/NL/	1119412
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/	Yunnan	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	436200	http://www.semwebtech.org/mondial/10/country/CN/	46866000
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/	Shanghai	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	6200	http://www.semwebtech.org/mondial/10/country/CN/	24151500
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/	Pinar del Río	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	8883	http://www.semwebtech.org/mondial/10/country/C/	585452
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/	Rize	http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	3921	http://www.semwebtech.org/mondial/10/country/TR/	324152
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/	Quintana Roo	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	42360	http://www.semwebtech.org/mondial/10/country/MEX/	1325578
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/	Odes´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	33313	http://www.semwebtech.org/mondial/10/country/UA/	2388297
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/	Namangan	http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	7900	http://www.semwebtech.org/mondial/10/country/UZB/	2504100
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/	Kostromskaya	http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	60100	http://www.semwebtech.org/mondial/10/country/R/	656389
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/	Krasnodarskiy	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	76000	http://www.semwebtech.org/mondial/10/country/R/	5404273
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/	Atacama	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	75176	http://www.semwebtech.org/mondial/10/country/RCH/	284992
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/	La Rioja	http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	5045	http://www.semwebtech.org/mondial/10/country/E/	321173
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/	Cortés	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	3923	http://www.semwebtech.org/mondial/10/country/HCA/	1570291
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/	Sergipe	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	21910	http://www.semwebtech.org/mondial/10/country/BR/	2219574
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/	Hebei	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	202700	http://www.semwebtech.org/mondial/10/country/CN/	73326100
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/	Brandenburg	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	29483	http://www.semwebtech.org/mondial/10/country/D/	2455780
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/	Kanagawa	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	2415	http://www.semwebtech.org/mondial/10/country/J/	9079000
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/	Tochigi	http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	6408	http://www.semwebtech.org/mondial/10/country/J/	1986000
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/	Wakayama	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	4726	http://www.semwebtech.org/mondial/10/country/J/	979000
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/	Fukushima	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	13782	http://www.semwebtech.org/mondial/10/country/J/	1946000
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/	Gumma	http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	6362	http://www.semwebtech.org/mondial/10/country/J/	1984000
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/	Tambacounda	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	42364	http://www.semwebtech.org/mondial/10/country/SN/	681310
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/	Glarus	http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	685	http://www.semwebtech.org/mondial/10/country/CH/	39593
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/	HaMerkaz	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	1294	http://www.semwebtech.org/mondial/10/country/IL/	1814300
http://www.semwebtech.org/mondial/10/country/J/province/Saga/	Saga	http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	2439	http://www.semwebtech.org/mondial/10/country/J/	840000
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/	Hyogo	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	8396	http://www.semwebtech.org/mondial/10/country/J/	5558000
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/	Basel-Stadt	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	37	http://www.semwebtech.org/mondial/10/country/CH/	189335
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/	Nidwalden	http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	276	http://www.semwebtech.org/mondial/10/country/CH/	41888
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/	Appenzell Ausserrhoden	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	242	http://www.semwebtech.org/mondial/10/country/CH/	53691
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/	Jura	http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	838	http://www.semwebtech.org/mondial/10/country/CH/	71738
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/	Pointe-Noire	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	44	http://www.semwebtech.org/mondial/10/country/RCB/	829134
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/	Táchira	http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	10812	http://www.semwebtech.org/mondial/10/country/YV/	1168908
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/	Aragua	http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	7014	http://www.semwebtech.org/mondial/10/country/YV/	1630308
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/	Apure	http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	76500	http://www.semwebtech.org/mondial/10/country/YV/	459025
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/	Gorontalo	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	11257	http://www.semwebtech.org/mondial/10/country/RI/	1134498
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/	Oriental	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	82900	http://www.semwebtech.org/mondial/10/country/MA/	2097629
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/	Bruxelles	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	161	http://www.semwebtech.org/mondial/10/country/B/	1154635
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/	Shan	http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	155801	http://www.semwebtech.org/mondial/10/country/MYA/	5815384
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/	Qom	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	11526	http://www.semwebtech.org/mondial/10/country/IR/	1151672
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/	Loreto	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	368851	http://www.semwebtech.org/mondial/10/country/PE/	1006953
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/	Junín	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	44197	http://www.semwebtech.org/mondial/10/country/PE/	1321407
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/	Ucayali	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	102410	http://www.semwebtech.org/mondial/10/country/PE/	477616
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/	Tianjin	http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	11300	http://www.semwebtech.org/mondial/10/country/CN/	14722100
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/	Alagoas	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	27767	http://www.semwebtech.org/mondial/10/country/BR/	3321730
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/	Veracruz	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	71820	http://www.semwebtech.org/mondial/10/country/MEX/	7643194
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/	Distrito Federal	http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	5801	http://www.semwebtech.org/mondial/10/country/BR/	2852372
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/	Bursa	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	10886	http://www.semwebtech.org/mondial/10/country/TR/	2688171
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/	Ordu	http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	5952	http://www.semwebtech.org/mondial/10/country/TR/	741371
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/	Çanakkale	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	9950	http://www.semwebtech.org/mondial/10/country/TR/	493691
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/	Hakkari	http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	7178	http://www.semwebtech.org/mondial/10/country/TR/	279982
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/	Bolu	http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	8323	http://www.semwebtech.org/mondial/10/country/TR/	281080
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/	Bilecik	http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	4306	http://www.semwebtech.org/mondial/10/country/TR/	204116
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/	Ankara	http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	25401	http://www.semwebtech.org/mondial/10/country/TR/	4965542
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/	Putrajaya	http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	49	http://www.semwebtech.org/mondial/10/country/MAL/	67964
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/	Sarawak	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	124450	http://www.semwebtech.org/mondial/10/country/MAL/	2420009
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/	Caldas	http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	7888	http://www.semwebtech.org/mondial/10/country/CO/	986042
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/	Zaporiz´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	27183	http://www.semwebtech.org/mondial/10/country/UA/	1791668
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/	Jizzax	http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	20500	http://www.semwebtech.org/mondial/10/country/UZB/	1226800
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	Toshkent	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	15000	http://www.semwebtech.org/mondial/10/country/UZB/	2725900
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/	Adygeya	http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	7600	http://www.semwebtech.org/mondial/10/country/R/	446406
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/	Sakha	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	3083523	http://www.semwebtech.org/mondial/10/country/R/	954803
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/	Kaluzhskaya	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	29900	http://www.semwebtech.org/mondial/10/country/R/	1004544
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/	Sakhalin	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	87100	http://www.semwebtech.org/mondial/10/country/R/	491027
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/	Kurgan	http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	71000	http://www.semwebtech.org/mondial/10/country/R/	877149
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/	New South Wales	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	800808	http://www.semwebtech.org/mondial/10/country/AUS/	7410399
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/	Manipur	http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	22327	http://www.semwebtech.org/mondial/10/country/IND/	2855794
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/	Kerala	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	38852	http://www.semwebtech.org/mondial/10/country/IND/	33406061
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/	Karnataka	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	191791	http://www.semwebtech.org/mondial/10/country/IND/	61095297
http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/	Haryana	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	44212	http://www.semwebtech.org/mondial/10/country/IND/	25351462
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/	Arunachal Pradesh	http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	83743	http://www.semwebtech.org/mondial/10/country/IND/	1383727
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/	Punjab	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	50362	http://www.semwebtech.org/mondial/10/country/IND/	27743338
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/	Puducherry	http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	490	http://www.semwebtech.org/mondial/10/country/IND/	1247953
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/	Tripura	http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	10486	http://www.semwebtech.org/mondial/10/country/IND/	3673917
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/	Dadra and Nagar Haveli	http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	491	http://www.semwebtech.org/mondial/10/country/IND/	343709
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/	Uttarakhand	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	53483	http://www.semwebtech.org/mondial/10/country/IND/	10086292
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/	Goa	http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	3702	http://www.semwebtech.org/mondial/10/country/IND/	1458545
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/	West Bengal	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	88752	http://www.semwebtech.org/mondial/10/country/IND/	91276115
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/	Daman and Diu	http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	111	http://www.semwebtech.org/mondial/10/country/IND/	243247
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/	Odisha	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	155707	http://www.semwebtech.org/mondial/10/country/IND/	41974218
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/	Meghalaya	http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	22429	http://www.semwebtech.org/mondial/10/country/IND/	2966889
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/	Assam	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	78438	http://www.semwebtech.org/mondial/10/country/IND/	31205576
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/	Andhra Pradesh	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	160205	http://www.semwebtech.org/mondial/10/country/IND/	49386799
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/	Jharkhand	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	79716	http://www.semwebtech.org/mondial/10/country/IND/	32988134
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/	Himachal Pradesh	http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	55673	http://www.semwebtech.org/mondial/10/country/IND/	6864602
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/	Mizoram	http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	21081	http://www.semwebtech.org/mondial/10/country/IND/	1097206
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/	Bihar	http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	94163	http://www.semwebtech.org/mondial/10/country/IND/	104099452
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/	Andaman and Nicobar Islands	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	8249	http://www.semwebtech.org/mondial/10/country/IND/	380581
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/	Kasai-Occidental	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	154742	http://www.semwebtech.org/mondial/10/country/ZRE/	3337000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/	Bandundu	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	295658	http://www.semwebtech.org/mondial/10/country/ZRE/	5201000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/	Sud-Kivu	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	69130	http://www.semwebtech.org/mondial/10/country/ZRE/	2837779
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/	Kasai-Oriental	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	170302	http://www.semwebtech.org/mondial/10/country/ZRE/	3830000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/	Nord-Kivu	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	59483	http://www.semwebtech.org/mondial/10/country/ZRE/	3564434
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/	Bas-Congo	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	53920	http://www.semwebtech.org/mondial/10/country/ZRE/	2835000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/	Katanga	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	496877	http://www.semwebtech.org/mondial/10/country/ZRE/	4125000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/	Maniema	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	132250	http://www.semwebtech.org/mondial/10/country/ZRE/	1246787
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/	Kinshasa	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	9965	http://www.semwebtech.org/mondial/10/country/ZRE/	4787000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/	Equateur	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	403292	http://www.semwebtech.org/mondial/10/country/ZRE/	4820000
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/	Littoral	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	20248	http://www.semwebtech.org/mondial/10/country/CAM/	2865795
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/	Ouest	http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	13892	http://www.semwebtech.org/mondial/10/country/CAM/	1785285
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/	Centre	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	68953	http://www.semwebtech.org/mondial/10/country/CAM/	3525664
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/	Est	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	109002	http://www.semwebtech.org/mondial/10/country/CAM/	801968
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/	Extrême-Nord	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	34263	http://www.semwebtech.org/mondial/10/country/CAM/	3480414
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/	Sud	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	47191	http://www.semwebtech.org/mondial/10/country/CAM/	692142
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/	Adamaoua	http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	63701	http://www.semwebtech.org/mondial/10/country/CAM/	1015622
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/	Nord-Ouest	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	17300	http://www.semwebtech.org/mondial/10/country/CAM/	1804695
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/	Sud-Ouest	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	25410	http://www.semwebtech.org/mondial/10/country/CAM/	1384286
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/	Nord	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	66090	http://www.semwebtech.org/mondial/10/country/CAM/	2050229
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/	Liguria	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	5421	http://www.semwebtech.org/mondial/10/country/I/	1570694
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/	Piemonte	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	25402	http://www.semwebtech.org/mondial/10/country/I/	4363916
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/	Umbria	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	8456	http://www.semwebtech.org/mondial/10/country/I/	884268
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/	Trentino-Alto Adige	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	13606	http://www.semwebtech.org/mondial/10/country/I/	1029475
http://www.semwebtech.org/mondial/10/country/I/province/Marche/	Marche	http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	9365	http://www.semwebtech.org/mondial/10/country/I/	1541319
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/	Sardegna	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	24089	http://www.semwebtech.org/mondial/10/country/I/	1639362
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/	Lombardia	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	23862	http://www.semwebtech.org/mondial/10/country/I/	9704151
http://www.semwebtech.org/mondial/10/country/I/province/Molise/	Molise	http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	4437	http://www.semwebtech.org/mondial/10/country/I/	313660
http://www.semwebtech.org/mondial/10/country/I/province/Campania/	Campania	http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	13590	http://www.semwebtech.org/mondial/10/country/I/	5766810
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/	Veneto	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	18398	http://www.semwebtech.org/mondial/10/country/I/	4857210
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/	Calabria	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	15080	http://www.semwebtech.org/mondial/10/country/I/	1959050
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/	Abruzzo	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	10762	http://www.semwebtech.org/mondial/10/country/I/	1307309
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/	Valle d'Aosta	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	3263	http://www.semwebtech.org/mondial/10/country/I/	126806
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/	Toscana	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	22993	http://www.semwebtech.org/mondial/10/country/I/	3672202
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/	Basilicata	http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	9994	http://www.semwebtech.org/mondial/10/country/I/	578036
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/	Friuli-Venezia Giulia	http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	7858	http://www.semwebtech.org/mondial/10/country/I/	1218985
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/	Lazio	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	17235	http://www.semwebtech.org/mondial/10/country/I/	5502886
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/	Choluteca	http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	4360	http://www.semwebtech.org/mondial/10/country/HCA/	459124
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/	Colón	http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	8248	http://www.semwebtech.org/mondial/10/country/HCA/	293540
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/	Copán	http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	3242	http://www.semwebtech.org/mondial/10/country/HCA/	362226
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/	Francisco Morazán	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	8618	http://www.semwebtech.org/mondial/10/country/HCA/	1433810
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/	Ocotepeque	http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	1630	http://www.semwebtech.org/mondial/10/country/HCA/	132453
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/	Santa Bárbara	http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	5024	http://www.semwebtech.org/mondial/10/country/HCA/	402367
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/	Comayagua	http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	5124	http://www.semwebtech.org/mondial/10/country/HCA/	442251
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/	La Paz	http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	2330	http://www.semwebtech.org/mondial/10/country/HCA/	196322
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/	Lempira	http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	4234	http://www.semwebtech.org/mondial/10/country/HCA/	315565
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/	Copperbelt	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	31328	http://www.semwebtech.org/mondial/10/country/Z/	1958623
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/	Dire Dawa	http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	1558	http://www.semwebtech.org/mondial/10/country/ETH/	387000
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/	Yoro	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	7781	http://www.semwebtech.org/mondial/10/country/HCA/	552100
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/	Intibucá	http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	3122	http://www.semwebtech.org/mondial/10/country/HCA/	232509
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/	Olancho	http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	24057	http://www.semwebtech.org/mondial/10/country/HCA/	509564
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/	El Paraíso	http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	7489	http://www.semwebtech.org/mondial/10/country/HCA/	427232
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/	Fatick	http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	6849	http://www.semwebtech.org/mondial/10/country/SN/	714392
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/	Kaolack	http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	5357	http://www.semwebtech.org/mondial/10/country/SN/	960875
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/	Kolda	http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	13771	http://www.semwebtech.org/mondial/10/country/SN/	662455
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/	Dakar	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	547	http://www.semwebtech.org/mondial/10/country/SN/	3137196
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/	Louga	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	24889	http://www.semwebtech.org/mondial/10/country/SN/	874193
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/	Saint-Louis	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	19241	http://www.semwebtech.org/mondial/10/country/SN/	908942
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/	Matam	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	29445	http://www.semwebtech.org/mondial/10/country/SN/	562539
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/	Ziguinchor	http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	7352	http://www.semwebtech.org/mondial/10/country/SN/	549151
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/	Diourbel	http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	4824	http://www.semwebtech.org/mondial/10/country/SN/	1497455
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/	Kédougou	http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	16800	http://www.semwebtech.org/mondial/10/country/SN/	151357
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/	Kaffrine	http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	11262	http://www.semwebtech.org/mondial/10/country/SN/	566992
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/	Warmińsko-Mazurskie	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	24173	http://www.semwebtech.org/mondial/10/country/PL/	1451950
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/	Łódzkie	http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	18218	http://www.semwebtech.org/mondial/10/country/PL/	2528632
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/	Świętokrzyskie	http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	11710	http://www.semwebtech.org/mondial/10/country/PL/	1275511
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/	Pomorskie	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	18310	http://www.semwebtech.org/mondial/10/country/PL/	2286746
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/	Opolskie	http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	9411	http://www.semwebtech.org/mondial/10/country/PL/	1012296
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/	Wielkopolskie	http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	29826	http://www.semwebtech.org/mondial/10/country/PL/	3458881
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/	Podlaskie	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	20187	http://www.semwebtech.org/mondial/10/country/PL/	1199724
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/	Kujawsko-Pomorskie	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	17971	http://www.semwebtech.org/mondial/10/country/PL/	2097818
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/	Podkarpackie	http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	17845	http://www.semwebtech.org/mondial/10/country/PL/	2128921
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/	Małopolskie	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	15182	http://www.semwebtech.org/mondial/10/country/PL/	3350350
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/	Mazowieckie	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	35558	http://www.semwebtech.org/mondial/10/country/PL/	5293224
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/	Zachodniopomorskie	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	22892	http://www.semwebtech.org/mondial/10/country/PL/	1722149
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/	Kalmykiya	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	76100	http://www.semwebtech.org/mondial/10/country/R/	282021
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/	Dolnośląskie	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	19946	http://www.semwebtech.org/mondial/10/country/PL/	2915245
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/	Hunan	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	210500	http://www.semwebtech.org/mondial/10/country/CN/	66906000
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	Duhouk	http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	6553	http://www.semwebtech.org/mondial/10/country/IRQ/	1128745
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/	Maysan	http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	16072	http://www.semwebtech.org/mondial/10/country/IRQ/	971448
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/	Babylon	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	5119	http://www.semwebtech.org/mondial/10/country/IRQ/	1820673
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/	Erbil	http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	15074	http://www.semwebtech.org/mondial/10/country/IRQ/	1612692
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	Kerbela	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	5034	http://www.semwebtech.org/mondial/10/country/IRQ/	1066567
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/	Salah al-Deen	http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	24075	http://www.semwebtech.org/mondial/10/country/IRQ/	1408174
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/	al-Muthanna	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	51740	http://www.semwebtech.org/mondial/10/country/IRQ/	719069
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/	Diala	http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	17685	http://www.semwebtech.org/mondial/10/country/IRQ/	1443173
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/	Nineveh	http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	37323	http://www.semwebtech.org/mondial/10/country/IRQ/	3270422
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/	Thi Qar	http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	12900	http://www.semwebtech.org/mondial/10/country/IRQ/	1836181
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/	Wasit	http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	17153	http://www.semwebtech.org/mondial/10/country/IRQ/	1210591
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/	Baghdad	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	4555	http://www.semwebtech.org/mondial/10/country/IRQ/	7055196
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/	al-Anbar	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	138288	http://www.semwebtech.org/mondial/10/country/IRQ/	1561407
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/	Kirkuk	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	9679	http://www.semwebtech.org/mondial/10/country/IRQ/	1395614
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/	al-Najaf	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	28824	http://www.semwebtech.org/mondial/10/country/IRQ/	1285484
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	Basrah	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	19070	http://www.semwebtech.org/mondial/10/country/IRQ/	2531997
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/	Ash Sharqiyah	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	672522	http://www.semwebtech.org/mondial/10/country/SA/	4105780
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	Jazan	http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	11671	http://www.semwebtech.org/mondial/10/country/SA/	1365110
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/	Najran	http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	149511	http://www.semwebtech.org/mondial/10/country/SA/	505652
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/	Ha'il	http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	103887	http://www.semwebtech.org/mondial/10/country/SA/	597144
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/	Aseer	http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	76693	http://www.semwebtech.org/mondial/10/country/SA/	1913392
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/	Al-Madinah Al-Monawarah	http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	151990	http://www.semwebtech.org/mondial/10/country/SA/	1777933
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/	Makkah Al-Mokarramah	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	153128	http://www.semwebtech.org/mondial/10/country/SA/	6915006
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/	Al-Riyadh	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	404240	http://www.semwebtech.org/mondial/10/country/SA/	6777146
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/	Al-Qaseem	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	58046	http://www.semwebtech.org/mondial/10/country/SA/	1215858
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	Al-Baha	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	9921	http://www.semwebtech.org/mondial/10/country/SA/	411888
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/	Nord-Trøndelag	http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	22414	http://www.semwebtech.org/mondial/10/country/N/	134443
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/	Møre og Romsdal	http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	15101	http://www.semwebtech.org/mondial/10/country/N/	259404
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/	Østfold	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	4180	http://www.semwebtech.org/mondial/10/country/N/	282000
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/	Hordaland	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	15438	http://www.semwebtech.org/mondial/10/country/N/	498135
http://www.semwebtech.org/mondial/10/country/BY/province/Minsk/	Minsk	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	39912	http://www.semwebtech.org/mondial/10/country/BY/	1400717
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/	Gomel	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	40361	http://www.semwebtech.org/mondial/10/country/BY/	1426674
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/	Mogilev	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	29079	http://www.semwebtech.org/mondial/10/country/BY/	1075067
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/	Vitebsk	http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	40049	http://www.semwebtech.org/mondial/10/country/BY/	1206022
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/	Brest	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	32790	http://www.semwebtech.org/mondial/10/country/BY/	1389782
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/	Minsk City	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	305	http://www.semwebtech.org/mondial/10/country/BY/	1905475
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/	HaZafon	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	4473	http://www.semwebtech.org/mondial/10/country/IL/	1257200
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/	Hefa	http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	866	http://www.semwebtech.org/mondial/10/country/IL/	898400
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/	Tel Aviv	http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	172	http://www.semwebtech.org/mondial/10/country/IL/	1277100
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/	HaDarom	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	14185	http://www.semwebtech.org/mondial/10/country/IL/	1084200
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	Yerushalayim	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	653	http://www.semwebtech.org/mondial/10/country/IL/	924100
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/	Saitama	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	3798	http://www.semwebtech.org/mondial/10/country/J/	7222000
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/	Miyazaki	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	7735	http://www.semwebtech.org/mondial/10/country/J/	1120000
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/	Iwate	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	15278	http://www.semwebtech.org/mondial/10/country/J/	1295000
http://www.semwebtech.org/mondial/10/country/J/province/Oita/	Oita	http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	6339	http://www.semwebtech.org/mondial/10/country/J/	1178000
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/	Hiroshima	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	8479	http://www.semwebtech.org/mondial/10/country/J/	2840000
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/	Yamaguchi	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	6113	http://www.semwebtech.org/mondial/10/country/J/	1420000
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/	Shizuoka	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	7780	http://www.semwebtech.org/mondial/10/country/J/	3723000
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/	Yamagata	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	9323	http://www.semwebtech.org/mondial/10/country/J/	1141000
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/	Kagawa	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	1876	http://www.semwebtech.org/mondial/10/country/J/	985000
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/	Kumamoto	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	7404	http://www.semwebtech.org/mondial/10/country/J/	1801000
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/	Tokyo	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	2187	http://www.semwebtech.org/mondial/10/country/J/	13300000
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/	Kyoto	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	4613	http://www.semwebtech.org/mondial/10/country/J/	2617000
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/	Aichi	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	5165	http://www.semwebtech.org/mondial/10/country/J/	7443000
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/	Niigata	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	12583	http://www.semwebtech.org/mondial/10/country/J/	2330000
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/	Rostovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	100800	http://www.semwebtech.org/mondial/10/country/R/	4245532
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/	Toyama	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	4247	http://www.semwebtech.org/mondial/10/country/J/	1076000
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/	Scotland	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	78133	http://www.semwebtech.org/mondial/10/country/GB/	5327700
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	Tabouk	http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	146072	http://www.semwebtech.org/mondial/10/country/SA/	791535
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/	Mato Grosso do Sul	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	357125	http://www.semwebtech.org/mondial/10/country/BR/	2619657
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/	Mykolaïvs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	24585	http://www.semwebtech.org/mondial/10/country/UA/	1178223
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/	Tottori	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	3507	http://www.semwebtech.org/mondial/10/country/J/	578000
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/	Ibaraki	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	6095	http://www.semwebtech.org/mondial/10/country/J/	2931000
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/	Aargau	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	1403	http://www.semwebtech.org/mondial/10/country/CH/	636362
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/	Sankt Gallen	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	2025	http://www.semwebtech.org/mondial/10/country/CH/	491699
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/	Wisconsin	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	140268	http://www.semwebtech.org/mondial/10/country/USA/	5757564
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/	Düzce	http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	2592	http://www.semwebtech.org/mondial/10/country/TR/	346493
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/	Maryland	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	25142	http://www.semwebtech.org/mondial/10/country/USA/	5976407
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/	Bafing	http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	9033	http://www.semwebtech.org/mondial/10/country/CI/	139251
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/	Republika Srpska	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	24857	http://www.semwebtech.org/mondial/10/country/BIH/	1326991
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/	Lékoumou	http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	20950	http://www.semwebtech.org/mondial/10/country/RCB/	85617
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/	Harari	http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	333	http://www.semwebtech.org/mondial/10/country/ETH/	210000
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/	Zulia	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	50230	http://www.semwebtech.org/mondial/10/country/YV/	3704404
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/	Guárico	http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	64986	http://www.semwebtech.org/mondial/10/country/YV/	747739
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/	Bengkulu	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	19919	http://www.semwebtech.org/mondial/10/country/RI/	1828291
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/	Kuopio	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	\N	http://www.semwebtech.org/mondial/10/country/SF/	252000
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/	Zeeland	http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	2933	http://www.semwebtech.org/mondial/10/country/NL/	380735
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/	Qazvin	http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	15567	http://www.semwebtech.org/mondial/10/country/IR/	1201565
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/	Arequipa	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	63345	http://www.semwebtech.org/mondial/10/country/PE/	1245251
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	Santarem	http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	6747	http://www.semwebtech.org/mondial/10/country/P/	442700
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/	Erzincan	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	11727	http://www.semwebtech.org/mondial/10/country/TR/	217886
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/	Mersin	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	15512	http://www.semwebtech.org/mondial/10/country/TR/	1682848
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/	Eskişehir	http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	13902	http://www.semwebtech.org/mondial/10/country/TR/	789750
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/	Denizli	http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	11804	http://www.semwebtech.org/mondial/10/country/TR/	950557
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/	Haeme	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	\N	http://www.semwebtech.org/mondial/10/country/SF/	662000
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/	Çankırı	http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	7491	http://www.semwebtech.org/mondial/10/country/TR/	184406
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/	Guerrero	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	63620	http://www.semwebtech.org/mondial/10/country/MEX/	3388768
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/	Tlaxcala	http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	3991	http://www.semwebtech.org/mondial/10/country/MEX/	1169936
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/	Vichada	http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	100242	http://www.semwebtech.org/mondial/10/country/CO/	70260
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/	New Mexico	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	314161	http://www.semwebtech.org/mondial/10/country/USA/	2085572
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/	Saarland	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	2568	http://www.semwebtech.org/mondial/10/country/D/	999623
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/	Mecklenburg-Vorpommern	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	23194	http://www.semwebtech.org/mondial/10/country/D/	1609982
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/	Voronezhskaya	http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	52400	http://www.semwebtech.org/mondial/10/country/R/	2328959
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/	Orlovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	24700	http://www.semwebtech.org/mondial/10/country/R/	769980
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Sankt-Peterburg	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	1431	http://www.semwebtech.org/mondial/10/country/R/	5131942
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/	Dagestan	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	50300	http://www.semwebtech.org/mondial/10/country/R/	2963918
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/	Valparaíso	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	16396	http://www.semwebtech.org/mondial/10/country/RCH/	1697581
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/	Tagant	http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	98340	http://www.semwebtech.org/mondial/10/country/RIM/	80962
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/	Kalmar	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	11217	http://www.semwebtech.org/mondial/10/country/S/	233548
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/	Corrientes	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	88199	http://www.semwebtech.org/mondial/10/country/RA/	1059836
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/	Entre Ríos	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	78781	http://www.semwebtech.org/mondial/10/country/RA/	1308290
http://www.semwebtech.org/mondial/10/country/F/province/Corse/	Corse	http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	8679	http://www.semwebtech.org/mondial/10/country/F/	314486
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/	Tokushima	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	4146	http://www.semwebtech.org/mondial/10/country/J/	770000
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/	Shiga	http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	4017	http://www.semwebtech.org/mondial/10/country/J/	1416000
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/	Kagoshima	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	9188	http://www.semwebtech.org/mondial/10/country/J/	1680000
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/	Ishikawa	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	4185	http://www.semwebtech.org/mondial/10/country/J/	1159000
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/	Yamanashi	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	4465	http://www.semwebtech.org/mondial/10/country/J/	847000
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/	Miyagi	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	7285	http://www.semwebtech.org/mondial/10/country/J/	2328000
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/	Gifu	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	10621	http://www.semwebtech.org/mondial/10/country/J/	2051000
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/	Kochi	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	7105	http://www.semwebtech.org/mondial/10/country/J/	745000
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/	Osaka	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	1898	http://www.semwebtech.org/mondial/10/country/J/	8849000
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/	Nagano	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	13562	http://www.semwebtech.org/mondial/10/country/J/	2122000
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/	Fukuoka	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	4977	http://www.semwebtech.org/mondial/10/country/J/	5090000
http://www.semwebtech.org/mondial/10/country/J/province/Mie/	Mie	http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	5777	http://www.semwebtech.org/mondial/10/country/J/	1833000
http://www.semwebtech.org/mondial/10/country/J/province/Akita/	Akita	http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	11636	http://www.semwebtech.org/mondial/10/country/J/	1050000
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/	Shimane	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	6707	http://www.semwebtech.org/mondial/10/country/J/	702000
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/	Kemerov	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	95500	http://www.semwebtech.org/mondial/10/country/R/	2734075
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/	Ehime	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	5678	http://www.semwebtech.org/mondial/10/country/J/	1405000
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/	Hokkaido	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	83456	http://www.semwebtech.org/mondial/10/country/J/	5431000
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/	Okinawa	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	2276	http://www.semwebtech.org/mondial/10/country/J/	1415000
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/	Aomori	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	9644	http://www.semwebtech.org/mondial/10/country/J/	1335000
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/	Valais	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	5224	http://www.semwebtech.org/mondial/10/country/CH/	327011
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/	Uri	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	1076	http://www.semwebtech.org/mondial/10/country/CH/	35865
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/	Appenzell Innerrhoden	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	172	http://www.semwebtech.org/mondial/10/country/CH/	15778
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/	Obwalden	http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	490	http://www.semwebtech.org/mondial/10/country/CH/	36507
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/	Zug	http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	238	http://www.semwebtech.org/mondial/10/country/CH/	118118
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/	Luzern	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	1493	http://www.semwebtech.org/mondial/10/country/CH/	390349
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/	Graubünden	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	7105	http://www.semwebtech.org/mondial/10/country/CH/	194959
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/	Zürich	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	1728	http://www.semwebtech.org/mondial/10/country/CH/	1425538
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/	Schwyz	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	908	http://www.semwebtech.org/mondial/10/country/CH/	151396
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/	Schaffhausen	http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	298	http://www.semwebtech.org/mondial/10/country/CH/	78783
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/	Bern	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	5959	http://www.semwebtech.org/mondial/10/country/CH/	1001281
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/	Basel-Landschaft	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	517	http://www.semwebtech.org/mondial/10/country/CH/	278656
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/	Neuchâtel	http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	803	http://www.semwebtech.org/mondial/10/country/CH/	176402
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/	Thurgau	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	990	http://www.semwebtech.org/mondial/10/country/CH/	260278
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/	Fribourg	http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	1670	http://www.semwebtech.org/mondial/10/country/CH/	297622
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/	Ticino	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	2812	http://www.semwebtech.org/mondial/10/country/CH/	346539
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/	Khatlon	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	24600	http://www.semwebtech.org/mondial/10/country/TAD/	2898600
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/	Gorno-Badakhshan	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	64100	http://www.semwebtech.org/mondial/10/country/TAD/	212100
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/	Sughd	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	25200	http://www.semwebtech.org/mondial/10/country/TAD/	2400600
http://www.semwebtech.org/mondial/10/country/TAD/province/RegionsofRepublicanSubordination/	Regions of Republican Subordination	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	28600	http://www.semwebtech.org/mondial/10/country/TAD/	1874000
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/	Pando	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	63827	http://www.semwebtech.org/mondial/10/country/BOL/	110436
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/	Espírito Santo	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	46077	http://www.semwebtech.org/mondial/10/country/BR/	3885049
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/	Pará	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	1247689	http://www.semwebtech.org/mondial/10/country/BR/	8073924
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/	Metro Manila	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	633	http://www.semwebtech.org/mondial/10/country/RP/	11855975
http://www.semwebtech.org/mondial/10/country/P/province/Azores/	Azores	http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	2247	http://www.semwebtech.org/mondial/10/country/P/	236700
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/	Cochabamba	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	55631	http://www.semwebtech.org/mondial/10/country/BOL/	1758143
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/	Chuquisaca	http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	51524	http://www.semwebtech.org/mondial/10/country/BOL/	576153
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/	Sachsen	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	18419	http://www.semwebtech.org/mondial/10/country/D/	4056799
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/	Sindh	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	140914	http://www.semwebtech.org/mondial/10/country/PK/	30439893
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/	Potosí	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	118218	http://www.semwebtech.org/mondial/10/country/BOL/	823517
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/	Oruro	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	53588	http://www.semwebtech.org/mondial/10/country/BOL/	494178
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/	Santa Cruz	http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	370621	http://www.semwebtech.org/mondial/10/country/BOL/	2655084
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/	La Habana	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	728	http://www.semwebtech.org/mondial/10/country/C/	2154454
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/	Bas-Sassandra	http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	26969	http://www.semwebtech.org/mondial/10/country/CI/	1395233
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/	N'zi-Comoé	http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	19480	http://www.semwebtech.org/mondial/10/country/CI/	633922
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/	Jiangsu	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	102600	http://www.semwebtech.org/mondial/10/country/CN/	79394900
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	Buxoro	http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	39400	http://www.semwebtech.org/mondial/10/country/UZB/	1756400
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/	Aksaray	http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	7965	http://www.semwebtech.org/mondial/10/country/TR/	379915
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/	Karaman	http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	8868	http://www.semwebtech.org/mondial/10/country/TR/	235424
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/	Kırıkkale	http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	4569	http://www.semwebtech.org/mondial/10/country/TR/	274727
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/	Adıyaman	http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	7606	http://www.semwebtech.org/mondial/10/country/TR/	595261
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/	Moyen-Comoé	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	6900	http://www.semwebtech.org/mondial/10/country/CI/	394741
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/	Montagnes	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	16600	http://www.semwebtech.org/mondial/10/country/CI/	936502
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/	Lacs	http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	8663	http://www.semwebtech.org/mondial/10/country/CI/	476173
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/	Zanzan	http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	38131	http://www.semwebtech.org/mondial/10/country/CI/	700999
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/	Lagunes	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	12949	http://www.semwebtech.org/mondial/10/country/CI/	3733362
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/	Moyen-Cavally	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	14150	http://www.semwebtech.org/mondial/10/country/CI/	508728
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/	Vallée du Bandama	http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	28200	http://www.semwebtech.org/mondial/10/country/CI/	1080432
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/	Sud-Bandama	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	10727	http://www.semwebtech.org/mondial/10/country/CI/	682021
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/	Agnéby	http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	9093	http://www.semwebtech.org/mondial/10/country/CI/	525211
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/	Sud-Comoé	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	7619	http://www.semwebtech.org/mondial/10/country/CI/	459367
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/	Savanes	http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	40430	http://www.semwebtech.org/mondial/10/country/CI/	929673
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/	Worodougou	http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	22195	http://www.semwebtech.org/mondial/10/country/CI/	378463
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/	Denguélé	http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	21000	http://www.semwebtech.org/mondial/10/country/CI/	222446
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/	Haut-Sassandra	http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	22195	http://www.semwebtech.org/mondial/10/country/CI/	1071977
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/	Marahoué	http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	9114	http://www.semwebtech.org/mondial/10/country/CI/	554805
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/	Midtjylland	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	13124	http://www.semwebtech.org/mondial/10/country/DK/	1266682
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/	Minnesota	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	206232	http://www.semwebtech.org/mondial/10/country/USA/	5457173
http://www.semwebtech.org/mondial/10/country/GH/province/Western/	Western	http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	23921	http://www.semwebtech.org/mondial/10/country/GH/	2376021
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	Dimashq	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	105	http://www.semwebtech.org/mondial/10/country/SYR/	1733000
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/	Osun	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	8699	http://www.semwebtech.org/mondial/10/country/WAN/	3999800
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/	Somali	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	327068	http://www.semwebtech.org/mondial/10/country/ETH/	5148989
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/	Carabobo	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	4369	http://www.semwebtech.org/mondial/10/country/YV/	2245744
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/	West Kazakhstan	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	151339	http://www.semwebtech.org/mondial/10/country/KAZ/	624001
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/	Marrakech Tensift Al Haouz	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	31160	http://www.semwebtech.org/mondial/10/country/MA/	3576643
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/	Niederösterreich	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	19186	http://www.semwebtech.org/mondial/10/country/A/	1625400
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/	Ardebil	http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	17800	http://www.semwebtech.org/mondial/10/country/IR/	1248488
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/	Piura	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	35892	http://www.semwebtech.org/mondial/10/country/PE/	1799607
http://www.semwebtech.org/mondial/10/country/P/province/Porto/	Porto	http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	2395	http://www.semwebtech.org/mondial/10/country/P/	1622300
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/	Qinghai	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	721000	http://www.semwebtech.org/mondial/10/country/CN/	5777900
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/	Santiago de Cuba	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	6227	http://www.semwebtech.org/mondial/10/country/C/	1053837
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/	Muş	http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	8067	http://www.semwebtech.org/mondial/10/country/TR/	413260
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/	Konya	http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	40813	http://www.semwebtech.org/mondial/10/country/TR/	2052281
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/	Nuevo Léon	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	64220	http://www.semwebtech.org/mondial/10/country/MEX/	4653458
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/	Yucatán	http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	39612	http://www.semwebtech.org/mondial/10/country/MEX/	1955577
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/	Luhans´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	26683	http://www.semwebtech.org/mondial/10/country/UA/	2272676
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/	Kirovohrads´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	24588	http://www.semwebtech.org/mondial/10/country/UA/	1002420
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/	New Hampshire	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	23187	http://www.semwebtech.org/mondial/10/country/USA/	1326813
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/	Bremen	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	419	http://www.semwebtech.org/mondial/10/country/D/	650863
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/	Tverskaya	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	84100	http://www.semwebtech.org/mondial/10/country/R/	1325249
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/	Chuvash	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	18300	http://www.semwebtech.org/mondial/10/country/R/	1239984
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/	Gorgol	http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	13600	http://www.semwebtech.org/mondial/10/country/RIM/	335917
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/	Norrbotten	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	98244	http://www.semwebtech.org/mondial/10/country/S/	248637
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/	Dalarna	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	28188	http://www.semwebtech.org/mondial/10/country/S/	276555
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/	Västernorrland	http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	21683	http://www.semwebtech.org/mondial/10/country/S/	241981
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/	Córdoba	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	165321	http://www.semwebtech.org/mondial/10/country/RA/	3528687
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/	San Juan	http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	89651	http://www.semwebtech.org/mondial/10/country/RA/	730408
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/	Jujuy	http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	53219	http://www.semwebtech.org/mondial/10/country/RA/	718971
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/	Bourgogne	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	31581	http://www.semwebtech.org/mondial/10/country/F/	1642734
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/	Coquimbo	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	40579	http://www.semwebtech.org/mondial/10/country/RCH/	687806
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/	Guangdong	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	197100	http://www.semwebtech.org/mondial/10/country/CN/	106440000
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/	Chihuahua	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	247455	http://www.semwebtech.org/mondial/10/country/MEX/	3406465
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/	Northern Cape	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	372889	http://www.semwebtech.org/mondial/10/country/RSA/	1145861
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/	Eastern	http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	69106	http://www.semwebtech.org/mondial/10/country/Z/	1707731
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/	Rhode Island	http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	2678	http://www.semwebtech.org/mondial/10/country/USA/	1055173
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/	Jiangxi	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	164800	http://www.semwebtech.org/mondial/10/country/CN/	45221500
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/	Affar	http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	72052	http://www.semwebtech.org/mondial/10/country/ETH/	1602995
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/	Oromia	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	298164	http://www.semwebtech.org/mondial/10/country/ETH/	31294992
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/	Benishangul-Gumuz	http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	50698	http://www.semwebtech.org/mondial/10/country/ETH/	982004
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/	Amazonas	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	183500	http://www.semwebtech.org/mondial/10/country/YV/	146480
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/	Almaty	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	223924	http://www.semwebtech.org/mondial/10/country/KAZ/	1985529
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/	Finnmark	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	48631	http://www.semwebtech.org/mondial/10/country/N/	74534
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/	Vestfold	http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	2225	http://www.semwebtech.org/mondial/10/country/N/	238748
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/	Pardubický	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	4518	http://www.semwebtech.org/mondial/10/country/CZ/	518228
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/	Karlovarský	http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	3314	http://www.semwebtech.org/mondial/10/country/CZ/	310245
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/	Ayeyarwady	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	35031	http://www.semwebtech.org/mondial/10/country/MYA/	6175123
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/	Yangon	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	10276	http://www.semwebtech.org/mondial/10/country/MYA/	7355075
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/	Fars	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	122608	http://www.semwebtech.org/mondial/10/country/IR/	4596658
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/	Ilam	http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	20133	http://www.semwebtech.org/mondial/10/country/IR/	557599
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/	Madre de Dios	http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	85300	http://www.semwebtech.org/mondial/10/country/PE/	127639
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/	Ica	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	21327	http://www.semwebtech.org/mondial/10/country/PE/	763558
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/	Coimbra	http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	3947	http://www.semwebtech.org/mondial/10/country/P/	427600
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/	Santa Catarina	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	95346	http://www.semwebtech.org/mondial/10/country/BR/	6727148
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/	Amazonas	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	1570745	http://www.semwebtech.org/mondial/10/country/BR/	3873743
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/	Roraima	http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	224298	http://www.semwebtech.org/mondial/10/country/BR/	496936
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/	Matanzas	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	11791	http://www.semwebtech.org/mondial/10/country/C/	697314
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/	Şırnak	http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	7151	http://www.semwebtech.org/mondial/10/country/TR/	466982
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	Afyonkarahisar	http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	14718	http://www.semwebtech.org/mondial/10/country/TR/	703948
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/	Morelos	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	4892	http://www.semwebtech.org/mondial/10/country/MEX/	1777227
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/	La Guajira	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	20848	http://www.semwebtech.org/mondial/10/country/CO/	930143
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/	Bolívar	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	25978	http://www.semwebtech.org/mondial/10/country/CO/	2073004
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/	Louisiana	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	111898	http://www.semwebtech.org/mondial/10/country/USA/	4649676
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/	Sums´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	23832	http://www.semwebtech.org/mondial/10/country/UA/	1152333
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/	Vermont	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	23871	http://www.semwebtech.org/mondial/10/country/USA/	626562
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/	Alabama	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	131171	http://www.semwebtech.org/mondial/10/country/USA/	4849377
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/	District of Columbia	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	158	http://www.semwebtech.org/mondial/10/country/USA/	658893
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/	Khabarov	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	752600	http://www.semwebtech.org/mondial/10/country/R/	1339912
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/	Buryat	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	351300	http://www.semwebtech.org/mondial/10/country/R/	973860
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./	Jewish ao.	http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	36266	http://www.semwebtech.org/mondial/10/country/R/	170377
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/	Maule	http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	30296	http://www.semwebtech.org/mondial/10/country/RCH/	955048
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/	Bío-Bío	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	37068	http://www.semwebtech.org/mondial/10/country/RCH/	1950482
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/	Magallanes	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	116437	http://www.semwebtech.org/mondial/10/country/RCH/	155332
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/	Tasmania	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	68018	http://www.semwebtech.org/mondial/10/country/AUS/	513159
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/	Maradi	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	41796	http://www.semwebtech.org/mondial/10/country/RN/	3402094
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/	Uppsala	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	8207	http://www.semwebtech.org/mondial/10/country/S/	341977
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/	Västerbotten	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	55186	http://www.semwebtech.org/mondial/10/country/S/	260217
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/	Neuquén	http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	94078	http://www.semwebtech.org/mondial/10/country/RA/	610449
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/	Santa Fe	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	133007	http://www.semwebtech.org/mondial/10/country/RA/	3369365
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/	Distrito Federal	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	203	http://www.semwebtech.org/mondial/10/country/RA/	3049229
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/	Haute-Normandie	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	12317	http://www.semwebtech.org/mondial/10/country/F/	1839393
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/	Midi-Pyrénées	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	45347	http://www.semwebtech.org/mondial/10/country/F/	2903420
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/	Basse Normandie	http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	17589	http://www.semwebtech.org/mondial/10/country/F/	1475684
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/	Federacija Bosne i Hercegovine	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	26110	http://www.semwebtech.org/mondial/10/country/BIH/	2371603
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/	New Jersey	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	19047	http://www.semwebtech.org/mondial/10/country/USA/	8938175
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/	Arkhangel´skaya	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	587400	http://www.semwebtech.org/mondial/10/country/R/	1191785
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/	Kaliningradskaya	http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	15100	http://www.semwebtech.org/mondial/10/country/R/	963128
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/	Hodh Chargui	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	182700	http://www.semwebtech.org/mondial/10/country/RIM/	430668
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/	Tahoua	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	113371	http://www.semwebtech.org/mondial/10/country/RN/	3328365
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/	Diffa	http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	156906	http://www.semwebtech.org/mondial/10/country/RN/	593821
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/	Jämtland	http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	49341	http://www.semwebtech.org/mondial/10/country/S/	126201
http://www.semwebtech.org/mondial/10/country/GB/province/London/	London	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	1572	http://www.semwebtech.org/mondial/10/country/GB/	8416535
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/	North West	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	14105	http://www.semwebtech.org/mondial/10/country/GB/	7103260
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/	North East	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	8573	http://www.semwebtech.org/mondial/10/country/GB/	2610481
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/	La Rioja	http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	89680	http://www.semwebtech.org/mondial/10/country/RA/	362605
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/	Brčko	http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	493	http://www.semwebtech.org/mondial/10/country/BIH/	93028
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/	Volta	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	20570	http://www.semwebtech.org/mondial/10/country/GH/	2118252
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/	Northern	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	70384	http://www.semwebtech.org/mondial/10/country/GH/	2479461
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/	Greater Accra	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	3245	http://www.semwebtech.org/mondial/10/country/GH/	4010054
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/	Ashanti	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	24389	http://www.semwebtech.org/mondial/10/country/GH/	4780380
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/	Brong Ahafo	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	39557	http://www.semwebtech.org/mondial/10/country/GH/	2310983
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/	Upper West	http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	18476	http://www.semwebtech.org/mondial/10/country/GH/	702110
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/	Eastern	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	19323	http://www.semwebtech.org/mondial/10/country/GH/	2633154
http://www.semwebtech.org/mondial/10/country/GH/province/Central/	Central	http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	9826	http://www.semwebtech.org/mondial/10/country/GH/	2201863
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/	Upper East	http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	8842	http://www.semwebtech.org/mondial/10/country/GH/	1046545
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/	Emberá	http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	4393	http://www.semwebtech.org/mondial/10/country/PA/	10001
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/	Panamá	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	11289	http://www.semwebtech.org/mondial/10/country/PA/	1713070
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/	Kuna Yala	http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	2358	http://www.semwebtech.org/mondial/10/country/PA/	33109
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/	Madrid	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	8022	http://www.semwebtech.org/mondial/10/country/E/	6421874
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/	Veraguas	http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	10587	http://www.semwebtech.org/mondial/10/country/PA/	226991
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/	Darién	http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	11892	http://www.semwebtech.org/mondial/10/country/PA/	48378
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/	Bocas del Toro	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	4657	http://www.semwebtech.org/mondial/10/country/PA/	125461
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/	Ngöbe Buglé	http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	6814	http://www.semwebtech.org/mondial/10/country/PA/	156747
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/	Coclé	http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	4946	http://www.semwebtech.org/mondial/10/country/PA/	233708
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/	Chiriquí	http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	6490	http://www.semwebtech.org/mondial/10/country/PA/	416873
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/	Tartus	http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	1892	http://www.semwebtech.org/mondial/10/country/SYR/	785000
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/	Al Hasakah	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	23334	http://www.semwebtech.org/mondial/10/country/SYR/	1477000
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	Dar`a	http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	3730	http://www.semwebtech.org/mondial/10/country/SYR/	998000
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/	Ar Raqqah	http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	19616	http://www.semwebtech.org/mondial/10/country/SYR/	921000
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	Hamah	http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	8883	http://www.semwebtech.org/mondial/10/country/SYR/	1593000
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/	Al Ladhiqiyah	http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	2297	http://www.semwebtech.org/mondial/10/country/SYR/	991000
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	Al Qunaytirah	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	1861	http://www.semwebtech.org/mondial/10/country/SYR/	87000
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/	Halab	http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	18500	http://www.semwebtech.org/mondial/10/country/SYR/	4744000
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/	As Suwayda'	http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	5550	http://www.semwebtech.org/mondial/10/country/SYR/	364000
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/	Rif Dimashq	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	18032	http://www.semwebtech.org/mondial/10/country/SYR/	2744000
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	Dayr az Zawr	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	33060	http://www.semwebtech.org/mondial/10/country/SYR/	1202000
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/	Akhal	http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	97428	http://www.semwebtech.org/mondial/10/country/TM/	779400
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/	Balkan	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	138500	http://www.semwebtech.org/mondial/10/country/TM/	477600
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/	Lebap	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	93800	http://www.semwebtech.org/mondial/10/country/TM/	1147000
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/	Ashgabat	http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	100	http://www.semwebtech.org/mondial/10/country/TM/	712000
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/	Dashhowuz	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	73600	http://www.semwebtech.org/mondial/10/country/TM/	1183100
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/	Mary	http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	86800	http://www.semwebtech.org/mondial/10/country/TM/	1271200
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/	Likouala	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	66044	http://www.semwebtech.org/mondial/10/country/RCB/	97206
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/	Pool	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	33955	http://www.semwebtech.org/mondial/10/country/RCB/	436786
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/	Niari	http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	25942	http://www.semwebtech.org/mondial/10/country/RCB/	255120
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/	Cuvette-Ouest	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	26600	http://www.semwebtech.org/mondial/10/country/RCB/	59728
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/	Andalucía	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	87585	http://www.semwebtech.org/mondial/10/country/E/	8371271
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/	East of England	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	19108	http://www.semwebtech.org/mondial/10/country/GB/	5954169
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/	Auvergne	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	26012	http://www.semwebtech.org/mondial/10/country/F/	1350682
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/	Nitriansky	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	6343	http://www.semwebtech.org/mondial/10/country/SK/	689867
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/	Trnavský	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	4145	http://www.semwebtech.org/mondial/10/country/SK/	554741
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/	Košický	http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	6753	http://www.semwebtech.org/mondial/10/country/SK/	791723
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/	Bratislavský	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	2052	http://www.semwebtech.org/mondial/10/country/SK/	602436
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/	Trenčiansky	http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	4502	http://www.semwebtech.org/mondial/10/country/SK/	594328
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/	Žilinský	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	6808	http://www.semwebtech.org/mondial/10/country/SK/	688851
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/	Banskobystrický	http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	9453	http://www.semwebtech.org/mondial/10/country/SK/	660563
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/	Prešovský	http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	8973	http://www.semwebtech.org/mondial/10/country/SK/	814527
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/	Cuvette	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	48250	http://www.semwebtech.org/mondial/10/country/RCB/	152433
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/	Brazzaville	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	100	http://www.semwebtech.org/mondial/10/country/RCB/	1408150
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/	Sangha	http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	55800	http://www.semwebtech.org/mondial/10/country/RCB/	81326
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/	Plateaux	http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	38400	http://www.semwebtech.org/mondial/10/country/RCB/	192596
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/	Bouenza	http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	12265	http://www.semwebtech.org/mondial/10/country/RCB/	319570
http://www.semwebtech.org/mondial/10/country/Z/province/Central/	Central	http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	94394	http://www.semwebtech.org/mondial/10/country/Z/	1267803
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/	North-Western	http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	125826	http://www.semwebtech.org/mondial/10/country/Z/	706462
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/	Southern	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	85283	http://www.semwebtech.org/mondial/10/country/Z/	1606793
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/	Lusaka	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	21896	http://www.semwebtech.org/mondial/10/country/Z/	2198996
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	Gambella	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	29782	http://www.semwebtech.org/mondial/10/country/ETH/	385997
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/	Addis Ababa	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	526	http://www.semwebtech.org/mondial/10/country/ETH/	3041002
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/	Amhara	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	154708	http://www.semwebtech.org/mondial/10/country/ETH/	18866002
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/	Sucre	http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	11800	http://www.semwebtech.org/mondial/10/country/YV/	896291
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/	Cojedes	http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	14800	http://www.semwebtech.org/mondial/10/country/YV/	323165
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/	Lara	http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	19800	http://www.semwebtech.org/mondial/10/country/YV/	1774867
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/	Distrito Federal	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	433	http://www.semwebtech.org/mondial/10/country/YV/	1943901
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/	Portuguesa	http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	15200	http://www.semwebtech.org/mondial/10/country/YV/	876496
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/	Bolívar	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	240528	http://www.semwebtech.org/mondial/10/country/YV/	1410964
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/	Barinas	http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	35200	http://www.semwebtech.org/mondial/10/country/YV/	816264
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/	Vargas	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	1172	http://www.semwebtech.org/mondial/10/country/YV/	352920
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/	Falcón	http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	24800	http://www.semwebtech.org/mondial/10/country/YV/	902847
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/	Nueva Esparta	http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	1151	http://www.semwebtech.org/mondial/10/country/YV/	491610
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/	Miranda	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	7950	http://www.semwebtech.org/mondial/10/country/YV/	2675165
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/	Monagas	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	28900	http://www.semwebtech.org/mondial/10/country/YV/	905443
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/	Yaracuy	http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	7100	http://www.semwebtech.org/mondial/10/country/YV/	600852
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/	Mérida	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	11300	http://www.semwebtech.org/mondial/10/country/YV/	828592
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/	Anzoátegui	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	43300	http://www.semwebtech.org/mondial/10/country/YV/	1469747
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/	Delta Amacuro	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	40200	http://www.semwebtech.org/mondial/10/country/YV/	167676
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/	Atyrau	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	118631	http://www.semwebtech.org/mondial/10/country/KAZ/	567938
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/	Almaty City	http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	319	http://www.semwebtech.org/mondial/10/country/KAZ/	1507737
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/	Baikonur	http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	57	http://www.semwebtech.org/mondial/10/country/KAZ/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/	East-Kazakhstan	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	283226	http://www.semwebtech.org/mondial/10/country/KAZ/	1394114
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/	Pavlodar	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	124800	http://www.semwebtech.org/mondial/10/country/KAZ/	752977
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/	North-Kazakhstan	http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	97993	http://www.semwebtech.org/mondial/10/country/KAZ/	575746
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/	Mangistau	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	165642	http://www.semwebtech.org/mondial/10/country/KAZ/	587440
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/	Astana	http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	710	http://www.semwebtech.org/mondial/10/country/KAZ/	814401
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Kostanai	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	196001	http://www.semwebtech.org/mondial/10/country/KAZ/	880889
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/	Kyzylorda	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	226019	http://www.semwebtech.org/mondial/10/country/KAZ/	740389
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/	Zhambyl	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	144264	http://www.semwebtech.org/mondial/10/country/KAZ/	1084987
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/	South-Kazakhstan	http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	117249	http://www.semwebtech.org/mondial/10/country/KAZ/	2734734
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/	Bali	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	5780	http://www.semwebtech.org/mondial/10/country/RI/	4225384
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/	Sumatera Utara	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	72981	http://www.semwebtech.org/mondial/10/country/RI/	13527937
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/	Nusa Tenggara Timur	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	48718	http://www.semwebtech.org/mondial/10/country/RI/	5070746
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/	Jawa Tengah	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	32800	http://www.semwebtech.org/mondial/10/country/RI/	32779832
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/	Nusa Tenggara Barat	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	18572	http://www.semwebtech.org/mondial/10/country/RI/	4702389
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/	Sulawesi Barat	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	16787	http://www.semwebtech.org/mondial/10/country/RI/	1284620
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/	Sulawesi Selatan	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	46717	http://www.semwebtech.org/mondial/10/country/RI/	8395747
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/	Kepulauan Riau	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	8201	http://www.semwebtech.org/mondial/10/country/RI/	2031895
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/	Papua Barat	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	97024	http://www.semwebtech.org/mondial/10/country/RI/	877437
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/	Kalimantan Barat	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	147307	http://www.semwebtech.org/mondial/10/country/RI/	4546439
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/	Sulawesi Tenggara	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	38067	http://www.semwebtech.org/mondial/10/country/RI/	2417962
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/	Maluku	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	46914	http://www.semwebtech.org/mondial/10/country/RI/	1708190
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/	Maluku Utara	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	31982	http://www.semwebtech.org/mondial/10/country/RI/	1141561
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/	Jawa Timur	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	47799	http://www.semwebtech.org/mondial/10/country/RI/	38529481
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/	Aceh	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	57956	http://www.semwebtech.org/mondial/10/country/RI/	4731705
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/	Sumatera Selatan	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	91592	http://www.semwebtech.org/mondial/10/country/RI/	7996535
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/	Jambi	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	50058	http://www.semwebtech.org/mondial/10/country/RI/	3412459
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/	Sulawesi Tengah	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	61841	http://www.semwebtech.org/mondial/10/country/RI/	2839290
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/	Kalimantan Selatan	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	38744	http://www.semwebtech.org/mondial/10/country/RI/	3913908
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/	DI Yogyakarta	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	3133	http://www.semwebtech.org/mondial/10/country/RI/	3594290
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/	Lampung	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	34623	http://www.semwebtech.org/mondial/10/country/RI/	7972246
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/	Kalimantan Tengah	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	153564	http://www.semwebtech.org/mondial/10/country/RI/	2368654
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/	Papua	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	319036	http://www.semwebtech.org/mondial/10/country/RI/	3486432
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/	Catamarca	http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	102602	http://www.semwebtech.org/mondial/10/country/RA/	393088
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/	São Paulo	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	248209	http://www.semwebtech.org/mondial/10/country/BR/	44035304
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/	Villa Clara	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	8411	http://www.semwebtech.org/mondial/10/country/C/	783708
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/	Sumatera Barat	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	42012	http://www.semwebtech.org/mondial/10/country/RI/	5098790
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/	Bayern	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	70550	http://www.semwebtech.org/mondial/10/country/D/	12397614
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/	Praha	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	496	http://www.semwebtech.org/mondial/10/country/CZ/	1272690
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/	Olomoucký	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	5266	http://www.semwebtech.org/mondial/10/country/CZ/	639946
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/	Mon	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	12296	http://www.semwebtech.org/mondial/10/country/MYA/	2050282
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	Hamedan	http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	19368	http://www.semwebtech.org/mondial/10/country/IR/	1758268
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/	Ayacucho	http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	43814	http://www.semwebtech.org/mondial/10/country/PE/	666029
http://www.semwebtech.org/mondial/10/country/PE/province/Lima/	Lima	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	32126	http://www.semwebtech.org/mondial/10/country/PE/	913734
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/	Algarve	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	4960	http://www.semwebtech.org/mondial/10/country/P/	340100
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/	Viseu	http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	5007	http://www.semwebtech.org/mondial/10/country/P/	401000
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/	Leiria	http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	3515	http://www.semwebtech.org/mondial/10/country/P/	427800
http://www.semwebtech.org/mondial/10/country/P/province/Braga/	Braga	http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	2673	http://www.semwebtech.org/mondial/10/country/P/	746100
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/	Castelo Branco	http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	6675	http://www.semwebtech.org/mondial/10/country/P/	214700
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/	Ningxia	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	66400	http://www.semwebtech.org/mondial/10/country/CN/	6541900
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/	Camagüey	http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	15386	http://www.semwebtech.org/mondial/10/country/C/	768311
http://www.semwebtech.org/mondial/10/country/TR/province/Van/	Van	http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	19414	http://www.semwebtech.org/mondial/10/country/TR/	1051975
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/	Artvin	http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	7367	http://www.semwebtech.org/mondial/10/country/TR/	167082
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/	Gümüşhane	http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	6437	http://www.semwebtech.org/mondial/10/country/TR/	135216
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/	Karabük	http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	4108	http://www.semwebtech.org/mondial/10/country/TR/	225145
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/	Giresun	http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	6831	http://www.semwebtech.org/mondial/10/country/TR/	419555
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/	Sabah	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	73631	http://www.semwebtech.org/mondial/10/country/MAL/	3120040
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/	Pahang	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	36137	http://www.semwebtech.org/mondial/10/country/MAL/	1443365
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/	Sonora	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	179502	http://www.semwebtech.org/mondial/10/country/MEX/	2662480
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/	Putumayo	http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	24885	http://www.semwebtech.org/mondial/10/country/CO/	341034
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/	Amazonas	http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	109665	http://www.semwebtech.org/mondial/10/country/CO/	75388
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/	Norte de Santander	http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	21658	http://www.semwebtech.org/mondial/10/country/CO/	1344038
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/	Vinnyts´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	26492	http://www.semwebtech.org/mondial/10/country/UA/	1634187
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/	Khersons´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	28461	http://www.semwebtech.org/mondial/10/country/UA/	1083367
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/	KwaZulu-Natal	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	94361	http://www.semwebtech.org/mondial/10/country/RSA/	10267300
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/	Massachusetts	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	20202	http://www.semwebtech.org/mondial/10/country/USA/	6745408
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/	Nebraska	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	198974	http://www.semwebtech.org/mondial/10/country/USA/	1881503
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/	Navoiy	http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	110800	http://www.semwebtech.org/mondial/10/country/UZB/	901100
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/	Kurskaya	http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	29800	http://www.semwebtech.org/mondial/10/country/R/	1118915
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/	Ivanovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	23900	http://www.semwebtech.org/mondial/10/country/R/	1043130
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/	Tatarstan	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	68000	http://www.semwebtech.org/mondial/10/country/R/	3838230
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/	Tyumen	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	150100	http://www.semwebtech.org/mondial/10/country/R/	1340608
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/	Irkutsk	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	767900	http://www.semwebtech.org/mondial/10/country/R/	2418348
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/	Queensland	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	1729958	http://www.semwebtech.org/mondial/10/country/AUS/	4656803
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/	País Vasco	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	7237	http://www.semwebtech.org/mondial/10/country/E/	2185393
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/	Zinder	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	155778	http://www.semwebtech.org/mondial/10/country/RN/	3539764
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/	Dosso	http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	33844	http://www.semwebtech.org/mondial/10/country/RN/	2037713
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/	Franche-Comté	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	16202	http://www.semwebtech.org/mondial/10/country/F/	1173440
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/	Aquitaine	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	41308	http://www.semwebtech.org/mondial/10/country/F/	3254233
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/	Novgorodskaya	http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	55300	http://www.semwebtech.org/mondial/10/country/R/	622430
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/	Vologodskaya	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	145700	http://www.semwebtech.org/mondial/10/country/R/	1193371
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/	Tocantins	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	277620	http://www.semwebtech.org/mondial/10/country/BR/	1496880
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/	Vysočina	http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	6795	http://www.semwebtech.org/mondial/10/country/CZ/	512727
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/	Jihočeský	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	10056	http://www.semwebtech.org/mondial/10/country/CZ/	637460
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/	Plzeňský	http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	7560	http://www.semwebtech.org/mondial/10/country/CZ/	574694
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/	Batman	http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	4659	http://www.semwebtech.org/mondial/10/country/TR/	534205
http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/	Středočeský	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	11014	http://www.semwebtech.org/mondial/10/country/CZ/	1274633
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/	Tirol	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	12640	http://www.semwebtech.org/mondial/10/country/A/	720436
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/	Steiermark	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	16401	http://www.semwebtech.org/mondial/10/country/A/	1214945
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/	Burgenland	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	3961	http://www.semwebtech.org/mondial/10/country/A/	287470
http://www.semwebtech.org/mondial/10/country/A/province/Wien/	Wien	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	414	http://www.semwebtech.org/mondial/10/country/A/	1761738
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/	Vorarlberg	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	2601	http://www.semwebtech.org/mondial/10/country/A/	374861
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/	Salzburg	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	7156	http://www.semwebtech.org/mondial/10/country/A/	534030
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/	Oberösterreich	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	11979	http://www.semwebtech.org/mondial/10/country/A/	1424910
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/	Královéhradecký	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	4758	http://www.semwebtech.org/mondial/10/country/CZ/	555683
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/	Zlínský	http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	3963	http://www.semwebtech.org/mondial/10/country/CZ/	590459
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/	Moravskoslezský	http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	5426	http://www.semwebtech.org/mondial/10/country/CZ/	1236028
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/	Ústecký	http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	5334	http://www.semwebtech.org/mondial/10/country/CZ/	830371
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/	Jihomoravský	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	7194	http://www.semwebtech.org/mondial/10/country/CZ/	1169788
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/	Turku-Pori	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	\N	http://www.semwebtech.org/mondial/10/country/SF/	702000
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/	Uusimaa	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	\N	http://www.semwebtech.org/mondial/10/country/SF/	1119000
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/	Mikkeli	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	\N	http://www.semwebtech.org/mondial/10/country/SF/	209000
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/	Lappia	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	\N	http://www.semwebtech.org/mondial/10/country/SF/	195000
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/	Yazd	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	129285	http://www.semwebtech.org/mondial/10/country/IR/	1074428
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	Esfahan	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	107018	http://www.semwebtech.org/mondial/10/country/IR/	4879312
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/	Khorasan-e-Razavi	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	118851	http://www.semwebtech.org/mondial/10/country/IR/	5994402
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/	Zanjan	http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	21773	http://www.semwebtech.org/mondial/10/country/IR/	1015734
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/	Lisboa	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	2761	http://www.semwebtech.org/mondial/10/country/P/	2063800
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/	Ardahan	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	4967	http://www.semwebtech.org/mondial/10/country/TR/	106643
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/	Malatya	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	12102	http://www.semwebtech.org/mondial/10/country/TR/	762366
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/	Zonguldak	http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	3309	http://www.semwebtech.org/mondial/10/country/TR/	606527
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/	Tabasco	http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	24737	http://www.semwebtech.org/mondial/10/country/MEX/	2238603
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/	Baja California Sur	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	73922	http://www.semwebtech.org/mondial/10/country/MEX/	637026
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/	Syddanmark	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	12206	http://www.semwebtech.org/mondial/10/country/DK/	1201342
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/	Cundinamarca	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	22623	http://www.semwebtech.org/mondial/10/country/CO/	2639059
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/	Sevastopol´	http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	864	http://www.semwebtech.org/mondial/10/country/UA/	381234
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/	Krym	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	26080	http://www.semwebtech.org/mondial/10/country/UA/	1963008
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/	Qoraqalpogʻiston	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	165590	http://www.semwebtech.org/mondial/10/country/UZB/	1736500
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/	Moscow	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	1100	http://www.semwebtech.org/mondial/10/country/R/	12108257
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/	Ingushskaya	http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	3750	http://www.semwebtech.org/mondial/10/country/R/	453010
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/	Bashkortostan	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	143600	http://www.semwebtech.org/mondial/10/country/R/	4069698
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/	Mordoviya	http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	26200	http://www.semwebtech.org/mondial/10/country/R/	812156
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/	Victoria	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	227495	http://www.semwebtech.org/mondial/10/country/AUS/	5739341
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/	Trarza	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	67800	http://www.semwebtech.org/mondial/10/country/RIM/	272773
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/	Niamey	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	402	http://www.semwebtech.org/mondial/10/country/RN/	1026848
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/	Formosa	http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	72066	http://www.semwebtech.org/mondial/10/country/RA/	573823
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/	Tucumán	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	22524	http://www.semwebtech.org/mondial/10/country/RA/	1572205
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/	Suomi	http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	\N	http://www.semwebtech.org/mondial/10/country/SF/	242000
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/	Pohjols-Karjala	http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	\N	http://www.semwebtech.org/mondial/10/country/SF/	177000
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/	Oulu	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	\N	http://www.semwebtech.org/mondial/10/country/SF/	415000
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/	Vaasa	http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	\N	http://www.semwebtech.org/mondial/10/country/SF/	430000
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/	Friesland	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	5748	http://www.semwebtech.org/mondial/10/country/NL/	646452
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/	Gelderland	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	5136	http://www.semwebtech.org/mondial/10/country/NL/	2020754
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/	Noord-Holland	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	4090	http://www.semwebtech.org/mondial/10/country/NL/	2745613
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/	Noord-Brabant	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	5081	http://www.semwebtech.org/mondial/10/country/NL/	2482079
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/	Flevoland	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	2412	http://www.semwebtech.org/mondial/10/country/NL/	400398
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/	Drenthe	http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	2680	http://www.semwebtech.org/mondial/10/country/NL/	488876
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/	Groningen	http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	2959	http://www.semwebtech.org/mondial/10/country/NL/	582156
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/	Zuid-Holland	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	3418	http://www.semwebtech.org/mondial/10/country/NL/	3580735
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/	South East	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	19069	http://www.semwebtech.org/mondial/10/country/GB/	8792626
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/	Utrecht	http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	1449	http://www.semwebtech.org/mondial/10/country/NL/	1255661
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/	West-Vlaanderen	http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	3144	http://www.semwebtech.org/mondial/10/country/B/	1173019
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/	Limburg	http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	2422	http://www.semwebtech.org/mondial/10/country/B/	853239
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/	Vlaams-Brabant	http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	2106	http://www.semwebtech.org/mondial/10/country/B/	1101280
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/	Oost-Vlaanderen	http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	2982	http://www.semwebtech.org/mondial/10/country/B/	1460944
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	Liège	http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	3862	http://www.semwebtech.org/mondial/10/country/B/	1087729
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/	Luxembourg	http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	4439	http://www.semwebtech.org/mondial/10/country/B/	275594
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/	Sagaing	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	93704	http://www.semwebtech.org/mondial/10/country/MYA/	5320299
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/	Kachin	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	89041	http://www.semwebtech.org/mondial/10/country/MYA/	1689654
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/	Rakhine	http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	36778	http://www.semwebtech.org/mondial/10/country/MYA/	3188963
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/	Chin	http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	36018	http://www.semwebtech.org/mondial/10/country/MYA/	478690
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/	Tanintharyi	http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	43344	http://www.semwebtech.org/mondial/10/country/MYA/	1406434
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/	Kayah	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	11731	http://www.semwebtech.org/mondial/10/country/MYA/	286738
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/	Gillan	http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	14042	http://www.semwebtech.org/mondial/10/country/IR/	2480874
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/	Lorestan	http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	28294	http://www.semwebtech.org/mondial/10/country/IR/	1754243
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/	North Khorasan	http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	28434	http://www.semwebtech.org/mondial/10/country/IR/	867727
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/	Bushehr	http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	22743	http://www.semwebtech.org/mondial/10/country/IR/	1032949
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/	West Azarbayejan	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	37411	http://www.semwebtech.org/mondial/10/country/IR/	3080576
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/	Kurdestan	http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	29137	http://www.semwebtech.org/mondial/10/country/IR/	1493645
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/	Kerman	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	180726	http://www.semwebtech.org/mondial/10/country/IR/	2938988
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/	Golestan	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	20367	http://www.semwebtech.org/mondial/10/country/IR/	1777014
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/	South Khorasan	http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	95385	http://www.semwebtech.org/mondial/10/country/IR/	662534
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/	Markazi	http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	29127	http://www.semwebtech.org/mondial/10/country/IR/	1413959
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/	Kermanshah	http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	25009	http://www.semwebtech.org/mondial/10/country/IR/	1945227
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/	Mazandaran	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	23842	http://www.semwebtech.org/mondial/10/country/IR/	3073943
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/	Huancavelica	http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	22131	http://www.semwebtech.org/mondial/10/country/PE/	483580
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/	San Martín	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	51253	http://www.semwebtech.org/mondial/10/country/PE/	806452
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/	Callao	http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	146	http://www.semwebtech.org/mondial/10/country/PE/	969170
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/	Cajamarca	http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	33317	http://www.semwebtech.org/mondial/10/country/PE/	1513892
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/	Lambayeque	http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	14231	http://www.semwebtech.org/mondial/10/country/PE/	1229260
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/	Huánuco	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	36848	http://www.semwebtech.org/mondial/10/country/PE/	840984
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/	Moquegua	http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	15733	http://www.semwebtech.org/mondial/10/country/PE/	174859
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/	Tacna	http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	16075	http://www.semwebtech.org/mondial/10/country/PE/	328915
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/	La Libertad	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	25499	http://www.semwebtech.org/mondial/10/country/PE/	1791659
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/	Pasco	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	25319	http://www.semwebtech.org/mondial/10/country/PE/	297591
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/	Apurímac	http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	20895	http://www.semwebtech.org/mondial/10/country/PE/	451881
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/	Lima City	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	2670	http://www.semwebtech.org/mondial/10/country/PE/	8481415
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/	Puno	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	71999	http://www.semwebtech.org/mondial/10/country/PE/	1377122
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/	Cusco	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	71986	http://www.semwebtech.org/mondial/10/country/PE/	1292175
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/	Shanxi	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	157100	http://www.semwebtech.org/mondial/10/country/CN/	36298000
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	Magwe	http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	44820	http://www.semwebtech.org/mondial/10/country/MYA/	3912711
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/	Mandalay	http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	37945	http://www.semwebtech.org/mondial/10/country/MYA/	6145588
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/	Amapá	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	142814	http://www.semwebtech.org/mondial/10/country/BR/	750912
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/	Isla de la Juventud	http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	2419	http://www.semwebtech.org/mondial/10/country/C/	84263
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/	Overijssel	http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	3420	http://www.semwebtech.org/mondial/10/country/NL/	1140310
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/	Tambovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	34300	http://www.semwebtech.org/mondial/10/country/R/	1068934
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/	Antwerpen	http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	2867	http://www.semwebtech.org/mondial/10/country/B/	1793377
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/	Rondônia	http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	237576	http://www.semwebtech.org/mondial/10/country/BR/	1748531
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/	Kohgiluyeh and Boyerahmad	http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	15504	http://www.semwebtech.org/mondial/10/country/IR/	658629
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/	Chaharmahal and Bakhtiyari	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	16328	http://www.semwebtech.org/mondial/10/country/IR/	895263
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/	Sistan and Baluchestan	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	181785	http://www.semwebtech.org/mondial/10/country/IR/	2534327
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/	Alborz	http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	5122	http://www.semwebtech.org/mondial/10/country/IR/	2412513
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/	Tehran	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	13692	http://www.semwebtech.org/mondial/10/country/IR/	12183391
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/	East Azarbayejan	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	45651	http://www.semwebtech.org/mondial/10/country/IR/	3724620
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/	Amazonas	http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	39249	http://www.semwebtech.org/mondial/10/country/PE/	417508
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/	Madeira	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	794	http://www.semwebtech.org/mondial/10/country/P/	253000
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/	Viana do Castelo	http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	2255	http://www.semwebtech.org/mondial/10/country/P/	248700
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/	Rangpur	http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	16184	http://www.semwebtech.org/mondial/10/country/BD/	15787758
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/	Chittagong	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	33908	http://www.semwebtech.org/mondial/10/country/BD/	28423019
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/	Cienfuegos	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	4188	http://www.semwebtech.org/mondial/10/country/C/	400768
http://www.semwebtech.org/mondial/10/country/C/province/Granma/	Granma	http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	8374	http://www.semwebtech.org/mondial/10/country/C/	830645
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/	Bartın	http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	2080	http://www.semwebtech.org/mondial/10/country/TR/	188436
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/	Manisa	http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	13228	http://www.semwebtech.org/mondial/10/country/TR/	1346162
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/	İstanbul	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	5315	http://www.semwebtech.org/mondial/10/country/TR/	13854740
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/	Trabzon	http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	4664	http://www.semwebtech.org/mondial/10/country/TR/	757898
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/	Uşak	http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	5363	http://www.semwebtech.org/mondial/10/country/TR/	342269
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/	Bayburt	http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	3739	http://www.semwebtech.org/mondial/10/country/TR/	75797
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/	Chiapas	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	73288	http://www.semwebtech.org/mondial/10/country/MEX/	4796580
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/	Zacatecas	http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	75539	http://www.semwebtech.org/mondial/10/country/MEX/	1490668
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/	Casanare	http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	44640	http://www.semwebtech.org/mondial/10/country/CO/	350239
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/	North West	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	104882	http://www.semwebtech.org/mondial/10/country/RSA/	3509953
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/	Kansas	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	211754	http://www.semwebtech.org/mondial/10/country/USA/	2904021
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/	Maine	http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	79883	http://www.semwebtech.org/mondial/10/country/USA/	1330089
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/	Idaho	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	214045	http://www.semwebtech.org/mondial/10/country/USA/	1634464
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/	Khakasiya	http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	61900	http://www.semwebtech.org/mondial/10/country/R/	534079
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/	Yamalo Nenets ao	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	750300	http://www.semwebtech.org/mondial/10/country/R/	522904
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/	Antofagasta	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	126049	http://www.semwebtech.org/mondial/10/country/RCH/	530879
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/	Western Australia	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	2526574	http://www.semwebtech.org/mondial/10/country/AUS/	2519321
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/	Galicia	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	29559	http://www.semwebtech.org/mondial/10/country/E/	2772927
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/	Murcia	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	11312	http://www.semwebtech.org/mondial/10/country/E/	1462128
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/	Asturias	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	10603	http://www.semwebtech.org/mondial/10/country/E/	1075183
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/	Assaba	http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	36600	http://www.semwebtech.org/mondial/10/country/RIM/	325897
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/	Stockholm	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	6519	http://www.semwebtech.org/mondial/10/country/S/	2127006
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/	Blekinge	http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	2946	http://www.semwebtech.org/mondial/10/country/S/	152315
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/	San Luis	http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	76748	http://www.semwebtech.org/mondial/10/country/RA/	469889
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/	Chaco	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	99633	http://www.semwebtech.org/mondial/10/country/RA/	1130608
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/	Provence-Alpes-Côte d'Azur	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	31399	http://www.semwebtech.org/mondial/10/country/F/	4916069
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/	Setubal	http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	5064	http://www.semwebtech.org/mondial/10/country/P/	713700
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/	Portalegre	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	6065	http://www.semwebtech.org/mondial/10/country/P/	134300
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/	Braganca	http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	6608	http://www.semwebtech.org/mondial/10/country/P/	158300
http://www.semwebtech.org/mondial/10/country/P/province/Beja/	Beja	http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	10225	http://www.semwebtech.org/mondial/10/country/P/	167900
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/	Guarda	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	5518	http://www.semwebtech.org/mondial/10/country/P/	187800
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/	Aveiro	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	2808	http://www.semwebtech.org/mondial/10/country/P/	656000
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/	Vila Real	http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	4328	http://www.semwebtech.org/mondial/10/country/P/	237100
http://www.semwebtech.org/mondial/10/country/P/province/Evora/	Evora	http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	7393	http://www.semwebtech.org/mondial/10/country/P/	173500
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/	Madhya Pradesh	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	308252	http://www.semwebtech.org/mondial/10/country/IND/	72626809
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/	Rajshahi	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	18153	http://www.semwebtech.org/mondial/10/country/BD/	18484858
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/	Barisal	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	13225	http://www.semwebtech.org/mondial/10/country/BD/	8325666
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/	Sylhet	http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	12635	http://www.semwebtech.org/mondial/10/country/BD/	9910219
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/	Khulna	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	22284	http://www.semwebtech.org/mondial/10/country/BD/	15687759
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/	Piauí	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	251529	http://www.semwebtech.org/mondial/10/country/BR/	3194718
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/	Hainan	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	34300	http://www.semwebtech.org/mondial/10/country/CN/	8952800
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/	Beijing	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	16808	http://www.semwebtech.org/mondial/10/country/CN/	21148000
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/	Chongqing	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	82400	http://www.semwebtech.org/mondial/10/country/CN/	29700000
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/	Paraíba	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	56439	http://www.semwebtech.org/mondial/10/country/BR/	3943885
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/	Acre	http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	152581	http://www.semwebtech.org/mondial/10/country/BR/	790101
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/	Las Tunas	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	6592	http://www.semwebtech.org/mondial/10/country/C/	525729
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/	Artemisa	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	4003	http://www.semwebtech.org/mondial/10/country/C/	487339
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/	Sancti Spíritus	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	6777	http://www.semwebtech.org/mondial/10/country/C/	462114
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/	Ciego de Ávila	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	6971	http://www.semwebtech.org/mondial/10/country/C/	424750
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/	Mayabeque	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	3743	http://www.semwebtech.org/mondial/10/country/C/	371198
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/	Elazığ	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	9281	http://www.semwebtech.org/mondial/10/country/TR/	562703
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/	Nevşehir	http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	5391	http://www.semwebtech.org/mondial/10/country/TR/	285190
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/	Jalisco	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	78599	http://www.semwebtech.org/mondial/10/country/MEX/	7350682
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/	Xorazm	http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	6300	http://www.semwebtech.org/mondial/10/country/UZB/	1684100
http://www.semwebtech.org/mondial/10/country/R/province/Perm/	Perm	http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	160600	http://www.semwebtech.org/mondial/10/country/R/	2636154
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/	Lipetskaya	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	24100	http://www.semwebtech.org/mondial/10/country/R/	1159866
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/	Mariy-El	http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	23200	http://www.semwebtech.org/mondial/10/country/R/	688686
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/	Zabaykalskiy	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	431500	http://www.semwebtech.org/mondial/10/country/R/	1090344
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/	Tarapacá	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	42225	http://www.semwebtech.org/mondial/10/country/RCH/	295095
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/	Sucre	http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	10917	http://www.semwebtech.org/mondial/10/country/CO/	843202
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/	Guaviare	http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	42327	http://www.semwebtech.org/mondial/10/country/CO/	109490
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/	Arauca	http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	23818	http://www.semwebtech.org/mondial/10/country/CO/	259447
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/	Boyacá	http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	23189	http://www.semwebtech.org/mondial/10/country/CO/	1274615
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/	Chernivets´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	8096	http://www.semwebtech.org/mondial/10/country/UA/	905264
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/	Ternopil´s´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	13824	http://www.semwebtech.org/mondial/10/country/UA/	1080431
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/	Free State	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	129825	http://www.semwebtech.org/mondial/10/country/RSA/	2745590
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/	South Dakota	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	196350	http://www.semwebtech.org/mondial/10/country/USA/	853175
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/	Extremadura	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	41634	http://www.semwebtech.org/mondial/10/country/E/	1104500
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/	Navarra	http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	10573	http://www.semwebtech.org/mondial/10/country/E/	640129
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/	Brakna	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	33000	http://www.semwebtech.org/mondial/10/country/RIM/	312277
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/	Gotland	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	3151	http://www.semwebtech.org/mondial/10/country/S/	57241
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/	Skåne	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	11034	http://www.semwebtech.org/mondial/10/country/S/	1263088
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/	Jönköping	http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	10495	http://www.semwebtech.org/mondial/10/country/S/	339116
http://www.semwebtech.org/mondial/10/country/F/province/Centre/	Centre	http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	39150	http://www.semwebtech.org/mondial/10/country/F/	2556835
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/	Île-de-France	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	12012	http://www.semwebtech.org/mondial/10/country/F/	11852851
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/	Guantánamo	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	6167	http://www.semwebtech.org/mondial/10/country/C/	506369
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/	Holguín	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	9215	http://www.semwebtech.org/mondial/10/country/C/	1027683
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/	Yozgat	http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	14074	http://www.semwebtech.org/mondial/10/country/TR/	453211
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/	Sivas	http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	28567	http://www.semwebtech.org/mondial/10/country/TR/	623535
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/	Niğde	http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	7365	http://www.semwebtech.org/mondial/10/country/TR/	340270
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/	Iğdır	http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	3587	http://www.semwebtech.org/mondial/10/country/TR/	190409
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/	Burdur	http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	7134	http://www.semwebtech.org/mondial/10/country/TR/	254341
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/	Kahramanmaraş	http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	14456	http://www.semwebtech.org/mondial/10/country/TR/	1063174
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/	Tunceli	http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	7685	http://www.semwebtech.org/mondial/10/country/TR/	86276
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/	Diyarbakır	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	15204	http://www.semwebtech.org/mondial/10/country/TR/	1592167
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/	Kayseri	http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	17109	http://www.semwebtech.org/mondial/10/country/TR/	1274968
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/	Siirt	http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	5473	http://www.semwebtech.org/mondial/10/country/TR/	310879
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/	Sakarya	http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	4880	http://www.semwebtech.org/mondial/10/country/TR/	902267
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/	Kırşehir	http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	6530	http://www.semwebtech.org/mondial/10/country/TR/	221209
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/	Samsun	http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	9364	http://www.semwebtech.org/mondial/10/country/TR/	1251722
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	İzmir	http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	12015	http://www.semwebtech.org/mondial/10/country/TR/	4005459
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/	Tekirdağ	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	6342	http://www.semwebtech.org/mondial/10/country/TR/	852321
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/	Bitlis	http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	7094	http://www.semwebtech.org/mondial/10/country/TR/	337253
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/	Sinop	http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	5816	http://www.semwebtech.org/mondial/10/country/TR/	201311
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/	Kars	http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	10139	http://www.semwebtech.org/mondial/10/country/TR/	304821
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/	Kırklareli	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	6299	http://www.semwebtech.org/mondial/10/country/TR/	341218
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/	Çorum	http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	12796	http://www.semwebtech.org/mondial/10/country/TR/	529975
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/	Bingöl	http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	8253	http://www.semwebtech.org/mondial/10/country/TR/	262507
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/	Isparta	http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	8871	http://www.semwebtech.org/mondial/10/country/TR/	416663
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/	Mardin	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	8806	http://www.semwebtech.org/mondial/10/country/TR/	773026
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/	Ağrı	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	11498	http://www.semwebtech.org/mondial/10/country/TR/	552404
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/	Muğla	http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	12949	http://www.semwebtech.org/mondial/10/country/TR/	851145
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/	Aydın	http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	7904	http://www.semwebtech.org/mondial/10/country/TR/	1006541
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/	Adana	http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	14045	http://www.semwebtech.org/mondial/10/country/TR/	2125635
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/	Kocaeli	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	3625	http://www.semwebtech.org/mondial/10/country/TR/	1634691
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/	Gaziantep	http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	6844	http://www.semwebtech.org/mondial/10/country/TR/	1799558
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/	Antalya	http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	20790	http://www.semwebtech.org/mondial/10/country/TR/	2092537
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/	Şanlıurfa	http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	19336	http://www.semwebtech.org/mondial/10/country/TR/	1762075
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/	Perak	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	21035	http://www.semwebtech.org/mondial/10/country/MAL/	2258428
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/	Labuan	http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	91	http://www.semwebtech.org/mondial/10/country/MAL/	85272
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/	Perlis	http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	821	http://www.semwebtech.org/mondial/10/country/MAL/	227025
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/	Pulau Pinang	http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	1048	http://www.semwebtech.org/mondial/10/country/MAL/	1520143
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/	Terengganu	http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	13035	http://www.semwebtech.org/mondial/10/country/MAL/	1015776
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/	Kelantan	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	15099	http://www.semwebtech.org/mondial/10/country/MAL/	1459994
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/	Kuala Lumpur	http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	243	http://www.semwebtech.org/mondial/10/country/MAL/	1627172
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/	Kedah	http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	9500	http://www.semwebtech.org/mondial/10/country/MAL/	1947651
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/	Negeri Sembilan	http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	6686	http://www.semwebtech.org/mondial/10/country/MAL/	997071
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/	Melaka	http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	1664	http://www.semwebtech.org/mondial/10/country/MAL/	788706
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/	Hidalgo	http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	20846	http://www.semwebtech.org/mondial/10/country/MEX/	2665018
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/	Colima	http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	5625	http://www.semwebtech.org/mondial/10/country/MEX/	650555
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/	Campeche	http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	57924	http://www.semwebtech.org/mondial/10/country/MEX/	822441
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/	Tamaulipas	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	80174	http://www.semwebtech.org/mondial/10/country/MEX/	3268554
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/	Nayarit	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	27815	http://www.semwebtech.org/mondial/10/country/MEX/	1084979
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	Durango	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	123451	http://www.semwebtech.org/mondial/10/country/MEX/	1632934
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/	Coahuila	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	151562	http://www.semwebtech.org/mondial/10/country/MEX/	2748391
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	México, Estado de	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	22356	http://www.semwebtech.org/mondial/10/country/MEX/	15175862
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/	Baja California	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	71445	http://www.semwebtech.org/mondial/10/country/MEX/	3155070
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/	Puebla	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	34289	http://www.semwebtech.org/mondial/10/country/MEX/	5779829
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/	Michoacán	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	58643	http://www.semwebtech.org/mondial/10/country/MEX/	4351037
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/	Oaxaca	http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	93793	http://www.semwebtech.org/mondial/10/country/MEX/	3801962
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/	Aguascalientes	http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	5617	http://www.semwebtech.org/mondial/10/country/MEX/	1184996
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/	San Luis Potosí	http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	60982	http://www.semwebtech.org/mondial/10/country/MEX/	2585518
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/	Kyïv	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	836	http://www.semwebtech.org/mondial/10/country/UA/	2814258
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/	Illes Balears	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	4991	http://www.semwebtech.org/mondial/10/country/E/	1100503
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/	Nordjylland	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	7933	http://www.semwebtech.org/mondial/10/country/DK/	579996
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/	Sjælland	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	7273	http://www.semwebtech.org/mondial/10/country/DK/	817907
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/	Hovedstaden	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	2561	http://www.semwebtech.org/mondial/10/country/DK/	1714589
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/	Santa Fe de Bogotá	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	1587	http://www.semwebtech.org/mondial/10/country/CO/	7776845
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/	Huila	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	19890	http://www.semwebtech.org/mondial/10/country/CO/	1140539
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/	Córdoba	http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	25020	http://www.semwebtech.org/mondial/10/country/CO/	1683782
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/	Chocó	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	46530	http://www.semwebtech.org/mondial/10/country/CO/	495151
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/	Santander	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	30537	http://www.semwebtech.org/mondial/10/country/CO/	2051022
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/	Vaupés	http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	65268	http://www.semwebtech.org/mondial/10/country/CO/	43240
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/	Quindío	http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	1845	http://www.semwebtech.org/mondial/10/country/CO/	562114
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/	Cesar	http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	22905	http://www.semwebtech.org/mondial/10/country/CO/	1016533
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/	Nariño	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	33268	http://www.semwebtech.org/mondial/10/country/CO/	1722945
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/	Risaralda	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	4140	http://www.semwebtech.org/mondial/10/country/CO/	946632
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/	Guainía	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	72238	http://www.semwebtech.org/mondial/10/country/CO/	40839
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/	Atlántico	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	3388	http://www.semwebtech.org/mondial/10/country/CO/	2432003
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/	Cauca	http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	29308	http://www.semwebtech.org/mondial/10/country/CO/	1366984
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/	Caquetá	http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	88965	http://www.semwebtech.org/mondial/10/country/CO/	471541
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/	Magdalena	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	23188	http://www.semwebtech.org/mondial/10/country/CO/	1247514
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/	Meta	http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	85635	http://www.semwebtech.org/mondial/10/country/CO/	943072
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/	L´vivs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	21831	http://www.semwebtech.org/mondial/10/country/UA/	2540938
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/	Zakarpats´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	12753	http://www.semwebtech.org/mondial/10/country/UA/	1250759
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/	Volyns´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	20144	http://www.semwebtech.org/mondial/10/country/UA/	1038598
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/	Kyïvs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	28121	http://www.semwebtech.org/mondial/10/country/UA/	1719558
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/	Kharkivs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	31418	http://www.semwebtech.org/mondial/10/country/UA/	2742180
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/	Chernihivs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	31903	http://www.semwebtech.org/mondial/10/country/UA/	1088509
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/	Cherkas´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	20916	http://www.semwebtech.org/mondial/10/country/UA/	1277303
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/	Khmel´nyts´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	20629	http://www.semwebtech.org/mondial/10/country/UA/	1320171
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/	Zhytomyrs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	29827	http://www.semwebtech.org/mondial/10/country/UA/	1273199
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/	Dnipropetrovs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	31923	http://www.semwebtech.org/mondial/10/country/UA/	3320299
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/	Ivano-Frankivs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	13927	http://www.semwebtech.org/mondial/10/country/UA/	1380128
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/	Mpumalanga	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	76495	http://www.semwebtech.org/mondial/10/country/RSA/	4039939
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/	Limpopo	http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	125754	http://www.semwebtech.org/mondial/10/country/RSA/	5404868
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/	Delaware	http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	5047	http://www.semwebtech.org/mondial/10/country/USA/	935614
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/	Mississippi	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	121531	http://www.semwebtech.org/mondial/10/country/USA/	2994079
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/	Sachsen-Anhalt	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	20450	http://www.semwebtech.org/mondial/10/country/D/	2287040
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/	Castilla-La Mancha	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	79408	http://www.semwebtech.org/mondial/10/country/E/	2106331
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/	Misiones	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	29801	http://www.semwebtech.org/mondial/10/country/RA/	1174542
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/	Río Negro	http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	203013	http://www.semwebtech.org/mondial/10/country/RA/	688873
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/	Champagne-Ardenne	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	25605	http://www.semwebtech.org/mondial/10/country/F/	1336053
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/	Pays de la Loire	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	32081	http://www.semwebtech.org/mondial/10/country/F/	3601113
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/	Hawaii	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	16635	http://www.semwebtech.org/mondial/10/country/USA/	1419561
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/	Nevada	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	284332	http://www.semwebtech.org/mondial/10/country/USA/	2839099
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/	Oklahoma	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	177660	http://www.semwebtech.org/mondial/10/country/USA/	3878051
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/	Montana	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	376962	http://www.semwebtech.org/mondial/10/country/USA/	1023579
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/	West Virginia	http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	62259	http://www.semwebtech.org/mondial/10/country/USA/	1850326
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/	Wyoming	http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	251470	http://www.semwebtech.org/mondial/10/country/USA/	584153
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/	Alaska	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	1477953	http://www.semwebtech.org/mondial/10/country/USA/	736732
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/	Arkansas	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	134771	http://www.semwebtech.org/mondial/10/country/USA/	2966369
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/	Tennessee	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	106798	http://www.semwebtech.org/mondial/10/country/USA/	6549352
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/	South Carolina	http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	77857	http://www.semwebtech.org/mondial/10/country/USA/	4832482
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/	Utah	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	212818	http://www.semwebtech.org/mondial/10/country/USA/	2942902
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/	Kentucky	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	102269	http://www.semwebtech.org/mondial/10/country/USA/	4413457
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/	Rheinland-Pfalz	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	19854	http://www.semwebtech.org/mondial/10/country/D/	3989808
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/	Thüringen	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	16172	http://www.semwebtech.org/mondial/10/country/D/	2188589
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/	Hamburg	http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	755	http://www.semwebtech.org/mondial/10/country/D/	1706696
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/	Berlin	http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	891	http://www.semwebtech.org/mondial/10/country/D/	3292365
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/	Pskovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	55300	http://www.semwebtech.org/mondial/10/country/R/	656561
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/	Belgorodskaya	http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	27134	http://www.semwebtech.org/mondial/10/country/R/	1544108
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	Samarqand	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	16400	http://www.semwebtech.org/mondial/10/country/UZB/	3445600
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	Fargʻona	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	6800	http://www.semwebtech.org/mondial/10/country/UZB/	3386500
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/	Qasqadaryo	http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	28400	http://www.semwebtech.org/mondial/10/country/UZB/	2895300
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/	Kamchatka	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	472300	http://www.semwebtech.org/mondial/10/country/R/	319864
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	Nizhnii Novgorod	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	74800	http://www.semwebtech.org/mondial/10/country/R/	3281496
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/	Primorskiy	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	165900	http://www.semwebtech.org/mondial/10/country/R/	1938516
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/	Chechenskaya	http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	12300	http://www.semwebtech.org/mondial/10/country/R/	1346438
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/	Sverdlov	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	194300	http://www.semwebtech.org/mondial/10/country/R/	4320677
http://www.semwebtech.org/mondial/10/country/R/province/Amur/	Amur	http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	363700	http://www.semwebtech.org/mondial/10/country/R/	811274
http://www.semwebtech.org/mondial/10/country/R/province/Komi/	Komi	http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	415900	http://www.semwebtech.org/mondial/10/country/R/	872057
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/	Magadan	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	461400	http://www.semwebtech.org/mondial/10/country/R/	150312
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/	Yaroslavskaya	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	36400	http://www.semwebtech.org/mondial/10/country/R/	1271766
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/	Vladimirskaya	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	29084	http://www.semwebtech.org/mondial/10/country/R/	1413321
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/	Ryazanskaya	http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	39600	http://www.semwebtech.org/mondial/10/country/R/	1140844
http://www.semwebtech.org/mondial/10/country/R/province/Samara/	Samara	http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	53600	http://www.semwebtech.org/mondial/10/country/R/	3211187
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/	Murmanskaya	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	144900	http://www.semwebtech.org/mondial/10/country/R/	771058
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/	Udmurt	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	42100	http://www.semwebtech.org/mondial/10/country/R/	1517050
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/	Tyva	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	170500	http://www.semwebtech.org/mondial/10/country/R/	311761
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/	Kabardino-Balkarskaya	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	12500	http://www.semwebtech.org/mondial/10/country/R/	858397
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/	Bryanskaya	http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	34857	http://www.semwebtech.org/mondial/10/country/R/	1242599
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/	Astrakhanskaya	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	44100	http://www.semwebtech.org/mondial/10/country/R/	1016516
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/	Chukotka	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	737700	http://www.semwebtech.org/mondial/10/country/R/	50555
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/	Ul´yanovsk	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	37300	http://www.semwebtech.org/mondial/10/country/R/	1267561
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/	Saratov	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	100200	http://www.semwebtech.org/mondial/10/country/R/	2496552
http://www.semwebtech.org/mondial/10/country/R/province/Altay/	Altay	http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	92600	http://www.semwebtech.org/mondial/10/country/R/	211645
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/	Novosibirsk	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	178200	http://www.semwebtech.org/mondial/10/country/R/	2731176
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/	Volgogradskaya	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	113900	http://www.semwebtech.org/mondial/10/country/R/	2569126
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/	Karachayevo-Cherkesskaya	http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	14100	http://www.semwebtech.org/mondial/10/country/R/	469837
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/	Tomsk	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	316900	http://www.semwebtech.org/mondial/10/country/R/	1070128
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/	North Ossetia-Alania	http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	8000	http://www.semwebtech.org/mondial/10/country/R/	703977
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/	Krasnoyarsk	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	2339700	http://www.semwebtech.org/mondial/10/country/R/	2852810
http://www.semwebtech.org/mondial/10/country/R/province/Penza/	Penza	http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	43200	http://www.semwebtech.org/mondial/10/country/R/	1360587
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/	Altayskiy	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	169100	http://www.semwebtech.org/mondial/10/country/R/	2390638
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/	Lagos	http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	48583	http://www.semwebtech.org/mondial/10/country/RCH/	767714
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/	Araucanía	http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	31842	http://www.semwebtech.org/mondial/10/country/RCH/	889492
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/	Santiago	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	15403	http://www.semwebtech.org/mondial/10/country/RCH/	6604835
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/	Ríos	http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	18429	http://www.semwebtech.org/mondial/10/country/RCH/	364183
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/	Aysén	http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	108494	http://www.semwebtech.org/mondial/10/country/RCH/	94271
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/	South Australia	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	984179	http://www.semwebtech.org/mondial/10/country/AUS/	1670827
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/	Northern Territory	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	1348198	http://www.semwebtech.org/mondial/10/country/AUS/	240759
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/	Australia Capital Territory	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	2358	http://www.semwebtech.org/mondial/10/country/AUS/	381488
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/	Canarias	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	7447	http://www.semwebtech.org/mondial/10/country/E/	2082654
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/	Cantabria	http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	5323	http://www.semwebtech.org/mondial/10/country/E/	592542
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/	Valenciana	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	23253	http://www.semwebtech.org/mondial/10/country/E/	5009931
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/	Castilla y León	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	94351	http://www.semwebtech.org/mondial/10/country/E/	2540187
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/	Aragón	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	47721	http://www.semwebtech.org/mondial/10/country/E/	1344509
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/	Adrar	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	235002	http://www.semwebtech.org/mondial/10/country/RIM/	62658
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/	Dakhlet Nouadhibou	http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	23090	http://www.semwebtech.org/mondial/10/country/RIM/	123779
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/	Inchiri	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	46800	http://www.semwebtech.org/mondial/10/country/RIM/	19639
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/	Hodh El Gharbi	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	53400	http://www.semwebtech.org/mondial/10/country/RIM/	294109
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/	Nouakchott	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	1000	http://www.semwebtech.org/mondial/10/country/RIM/	958399
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/	Tillabéri	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	97251	http://www.semwebtech.org/mondial/10/country/RN/	2722482
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/	Agadez	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	667799	http://www.semwebtech.org/mondial/10/country/RN/	487620
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/	Örebro	http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	8545	http://www.semwebtech.org/mondial/10/country/S/	283113
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/	Södermanland	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	6102	http://www.semwebtech.org/mondial/10/country/S/	274723
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/	Gävleborg	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	18198	http://www.semwebtech.org/mondial/10/country/S/	276637
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/	Östergötland	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	10602	http://www.semwebtech.org/mondial/10/country/S/	433784
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/	Västra Götaland	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	23948	http://www.semwebtech.org/mondial/10/country/S/	1600447
http://www.semwebtech.org/mondial/10/country/S/province/Halland/	Halland	http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	5460	http://www.semwebtech.org/mondial/10/country/S/	304116
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/	Västmanland	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	5145	http://www.semwebtech.org/mondial/10/country/S/	256224
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/	Wales	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	20735	http://www.semwebtech.org/mondial/10/country/GB/	3082412
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/	Northern Ireland	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	14130	http://www.semwebtech.org/mondial/10/country/GB/	1829725
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/	Salta	http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	155488	http://www.semwebtech.org/mondial/10/country/RA/	1314726
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/	Tierra del Fuego	http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	21571	http://www.semwebtech.org/mondial/10/country/RA/	148143
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/	La Pampa	http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	143440	http://www.semwebtech.org/mondial/10/country/RA/	339895
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/	Chubut	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	224686	http://www.semwebtech.org/mondial/10/country/RA/	556319
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/	Anhui	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	139900	http://www.semwebtech.org/mondial/10/country/CN/	60298000
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/	Fujian	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	123100	http://www.semwebtech.org/mondial/10/country/CN/	37740000
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/	Pennsylvania	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	115883	http://www.semwebtech.org/mondial/10/country/USA/	12787209
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/	Illinois	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	143793	http://www.semwebtech.org/mondial/10/country/USA/	12880580
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/	Colorado	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	268431	http://www.semwebtech.org/mondial/10/country/USA/	5355866
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/	Nordrhein-Westfalen	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	34097	http://www.semwebtech.org/mondial/10/country/D/	17538251
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/	Virginia	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	102279	http://www.semwebtech.org/mondial/10/country/USA/	8326289
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/	Stavropol´skiy	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	66500	http://www.semwebtech.org/mondial/10/country/R/	2794508
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/	Oppland	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	25192	http://www.semwebtech.org/mondial/10/country/N/	187254
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/	Vest-Agder	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	7276	http://www.semwebtech.org/mondial/10/country/N/	176353
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/	Rio Grande do Sul	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	268887	http://www.semwebtech.org/mondial/10/country/BR/	11207274
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/	Akershus	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	4917	http://www.semwebtech.org/mondial/10/country/N/	566399
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/	Sogn og Fjordane	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	18623	http://www.semwebtech.org/mondial/10/country/N/	108700
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/	Sør-Trøndelag	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	18839	http://www.semwebtech.org/mondial/10/country/N/	302755
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/	Rogaland	http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	9375	http://www.semwebtech.org/mondial/10/country/N/	452159
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/	Hedmark	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	27397	http://www.semwebtech.org/mondial/10/country/N/	193719
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/	Cataluña	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	32163	http://www.semwebtech.org/mondial/10/country/E/	7519843
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/	Guanajuato	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	30608	http://www.semwebtech.org/mondial/10/country/MEX/	5486372
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/	Ceará	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	148825	http://www.semwebtech.org/mondial/10/country/BR/	8842791
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/	West Midlands	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	12998	http://www.semwebtech.org/mondial/10/country/GB/	5674712
http://www.semwebtech.org/mondial/10/country/USA/province/California/	California	http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	403466	http://www.semwebtech.org/mondial/10/country/USA/	38802500
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	Karaganda	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	427982	http://www.semwebtech.org/mondial/10/country/KAZ/	1369839
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/	Henan	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	167000	http://www.semwebtech.org/mondial/10/country/CN/	94133500
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/	Connecticut	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	12542	http://www.semwebtech.org/mondial/10/country/USA/	3596677
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/	Valle de Cauca	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	22140	http://www.semwebtech.org/mondial/10/country/CO/	4566875
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/	Florida	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	138887	http://www.semwebtech.org/mondial/10/country/USA/	19893297
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/	Washington	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	172119	http://www.semwebtech.org/mondial/10/country/USA/	7061530
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/	Khuzestan	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	64055	http://www.semwebtech.org/mondial/10/country/IR/	4531720
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/	Santa Cruz	http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	243943	http://www.semwebtech.org/mondial/10/country/RA/	311444
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/	Limousin	http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	16942	http://www.semwebtech.org/mondial/10/country/F/	741072
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/	Bretagne	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	27207	http://www.semwebtech.org/mondial/10/country/F/	3217767
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/	Rhône-Alpes	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	43698	http://www.semwebtech.org/mondial/10/country/F/	6283541
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/	Nord-Pas-de-Calais	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	12414	http://www.semwebtech.org/mondial/10/country/F/	4042015
\.


--
-- TOC entry 6024 (class 0 OID 92563)
-- Dependencies: 897
-- Data for Name: Religion; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Religion" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/religion/Presbyterian/	Presbyterian
http://www.semwebtech.org/mondial/10/religion/Baptist/	Baptist
http://www.semwebtech.org/mondial/10/religion/ChurchofGod/	Church of God
http://www.semwebtech.org/mondial/10/religion/Hindu/	Hindu
http://www.semwebtech.org/mondial/10/religion/ArmenianApostolic/	Armenian Apostolic
http://www.semwebtech.org/mondial/10/religion/Catholic/	Catholic
http://www.semwebtech.org/mondial/10/religion/CaoDai/	Cao Dai
http://www.semwebtech.org/mondial/10/religion/RomanCatholic/	Roman Catholic
http://www.semwebtech.org/mondial/10/religion/Sikh/	Sikh
http://www.semwebtech.org/mondial/10/religion/Jains/	Jains
http://www.semwebtech.org/mondial/10/religion/Taoist/	Taoist
http://www.semwebtech.org/mondial/10/religion/Episcopalian/	Episcopalian
http://www.semwebtech.org/mondial/10/religion/ChristianCongregationalist/	Christian Congregationalist
http://www.semwebtech.org/mondial/10/religion/Mormon/	Mormon
http://www.semwebtech.org/mondial/10/religion/Druze/	Druze
http://www.semwebtech.org/mondial/10/religion/Yezidi/	Yezidi
http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/	Jehovas Witnesses
http://www.semwebtech.org/mondial/10/religion/UkrainianGreekCatholic/	Ukrainian Greek Catholic
http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/	Christian Orthodox
http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/	Seventh-Day Adventist
http://www.semwebtech.org/mondial/10/religion/Methodist/	Methodist
http://www.semwebtech.org/mondial/10/religion/UnitingChurchAustralia/	Uniting Church Australia
http://www.semwebtech.org/mondial/10/religion/Christian/	Christian
http://www.semwebtech.org/mondial/10/religion/Chondogyo/	Chondogyo
http://www.semwebtech.org/mondial/10/religion/UnitedChurch/	United Church
http://www.semwebtech.org/mondial/10/religion/Protestant/	Protestant
http://www.semwebtech.org/mondial/10/religion/EkalesiaNiue/	Ekalesia Niue
http://www.semwebtech.org/mondial/10/religion/HoaHao/	Hoa Hao
http://www.semwebtech.org/mondial/10/religion/Kimbanguist/	Kimbanguist
http://www.semwebtech.org/mondial/10/religion/Confucianism/	Confucianism
http://www.semwebtech.org/mondial/10/religion/NewApostolic/	New Apostolic
http://www.semwebtech.org/mondial/10/religion/ChurchChrist/	Church Christ
http://www.semwebtech.org/mondial/10/religion/Jewish/	Jewish
http://www.semwebtech.org/mondial/10/religion/Anglican/	Anglican
http://www.semwebtech.org/mondial/10/religion/CongregationalChristian/	Congregational Christian
http://www.semwebtech.org/mondial/10/religion/Buddhist/	Buddhist
http://www.semwebtech.org/mondial/10/religion/Bahai/	Bahai
http://www.semwebtech.org/mondial/10/religion/Mayan/	Mayan
http://www.semwebtech.org/mondial/10/religion/ChurchTuvalu/	Church Tuvalu
http://www.semwebtech.org/mondial/10/religion/Adventist/	Adventist
http://www.semwebtech.org/mondial/10/religion/Muslim/	Muslim
http://www.semwebtech.org/mondial/10/religion/CopticChristian/	Coptic Christian
http://www.semwebtech.org/mondial/10/religion/United/	United
http://www.semwebtech.org/mondial/10/religion/AfricanMethodistEpiscopal/	African Methodist Episcopal
\.


--
-- TOC entry 6025 (class 0 OID 92566)
-- Dependencies: 898
-- Data for Name: Source; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Source" ("URI", "inMountains", longitude, elevation, "hasSource-", latitude) FROM stdin;
http://www.semwebtech.org/mondial/10/source/Guadiana/	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	-3	608	http://www.semwebtech.org/mondial/10/river/Guadiana/	42
http://www.semwebtech.org/mondial/10/source/Marne/	\N	5.35	406	http://www.semwebtech.org/mondial/10/river/Marne/	47.8
http://www.semwebtech.org/mondial/10/source/Seine/	\N	4.71	470	http://www.semwebtech.org/mondial/10/river/Seine/	47.48
http://www.semwebtech.org/mondial/10/source/Gambia/	\N	-12.3	438	http://www.semwebtech.org/mondial/10/river/Gambia/	11.3
http://www.semwebtech.org/mondial/10/source/SchattalArab/	\N	47.44	20	http://www.semwebtech.org/mondial/10/river/SchattalArab/	31
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-77	\N	http://www.semwebtech.org/mondial/10/river/RioMagdalena/	2
http://www.semwebtech.org/mondial/10/source/Jubba/	\N	39	\N	http://www.semwebtech.org/mondial/10/river/Jubba/	7
http://www.semwebtech.org/mondial/10/source/Chire/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	35.2	474	http://www.semwebtech.org/mondial/10/river/Chire/	-14.2
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	148	\N	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	-38
http://www.semwebtech.org/mondial/10/source/BlueNile/	http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	37.3	1830	http://www.semwebtech.org/mondial/10/river/BlueNile/	12
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/mountains/Alps/	13.35	1375	http://www.semwebtech.org/mondial/10/river/Enns/	47.33
http://www.semwebtech.org/mondial/10/source/Saar/	http://www.semwebtech.org/mondial/10/mountains/Vogesen/	7.15	640	http://www.semwebtech.org/mondial/10/river/Saar/	48.5
http://www.semwebtech.org/mondial/10/source/Lukuga/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.2	782	http://www.semwebtech.org/mondial/10/river/Lukuga/	-5.9
http://www.semwebtech.org/mondial/10/source/Jordan/	http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/	35.7	\N	http://www.semwebtech.org/mondial/10/river/Jordan/	33.7
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.2	1462	http://www.semwebtech.org/mondial/10/river/Ruzizi/	-1.8
http://www.semwebtech.org/mondial/10/source/Senegal/	\N	-12	\N	http://www.semwebtech.org/mondial/10/river/Senegal/	11.5
http://www.semwebtech.org/mondial/10/source/Orinoco/	http://www.semwebtech.org/mondial/10/mountains/SierraParima/	-63.5	\N	http://www.semwebtech.org/mondial/10/river/Orinoco/	2
http://www.semwebtech.org/mondial/10/source/Limmat/	\N	8.64	406	http://www.semwebtech.org/mondial/10/river/Limmat/	47.23
http://www.semwebtech.org/mondial/10/source/Vuoksi/	\N	28.75	\N	http://www.semwebtech.org/mondial/10/river/Vuoksi/	61.2
http://www.semwebtech.org/mondial/10/source/Aare/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.2	2310	http://www.semwebtech.org/mondial/10/river/Aare/	46.55
http://www.semwebtech.org/mondial/10/source/Dnjestr/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	23	1000	http://www.semwebtech.org/mondial/10/river/Dnjestr/	49
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/mountains/Pamir/	73	4130	http://www.semwebtech.org/mondial/10/river/Pjandsh/	37
http://www.semwebtech.org/mondial/10/source/Save/	http://www.semwebtech.org/mondial/10/mountains/Alps/	13.6	\N	http://www.semwebtech.org/mondial/10/river/Save/	46.2
http://www.semwebtech.org/mondial/10/source/Buna/	\N	19.5	1	http://www.semwebtech.org/mondial/10/river/Buna/	42.05
http://www.semwebtech.org/mondial/10/source/Irawaddy/	\N	98	4300	http://www.semwebtech.org/mondial/10/river/Irawaddy/	29
http://www.semwebtech.org/mondial/10/source/Vaal/	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	30	\N	http://www.semwebtech.org/mondial/10/river/Vaal/	-26
http://www.semwebtech.org/mondial/10/source/Bartang/	http://www.semwebtech.org/mondial/10/mountains/Pamir/	72.45	2595	http://www.semwebtech.org/mondial/10/river/Bartang/	38.3
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	\N	-113.9	156	http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	61.7
http://www.semwebtech.org/mondial/10/source/SouthernMorava/	\N	21.4	\N	http://www.semwebtech.org/mondial/10/river/SouthernMorava/	42.1
http://www.semwebtech.org/mondial/10/source/Katun/	http://www.semwebtech.org/mondial/10/mountains/Altai/	86.56	2000	http://www.semwebtech.org/mondial/10/river/Katun/	49.75
http://www.semwebtech.org/mondial/10/source/Kama/	\N	53.75	\N	http://www.semwebtech.org/mondial/10/river/Kama/	58.2
http://www.semwebtech.org/mondial/10/source/March/	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	16.85	1380	http://www.semwebtech.org/mondial/10/river/March/	50.21
http://www.semwebtech.org/mondial/10/source/Lech/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10	1840	http://www.semwebtech.org/mondial/10/river/Lech/	47.17
http://www.semwebtech.org/mondial/10/source/Murat/	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	44.1	1950	http://www.semwebtech.org/mondial/10/river/Murat/	39.55
http://www.semwebtech.org/mondial/10/source/Chatanga/	\N	95	\N	http://www.semwebtech.org/mondial/10/river/Chatanga/	68
http://www.semwebtech.org/mondial/10/source/WhiteNile/	\N	30.43	\N	http://www.semwebtech.org/mondial/10/river/WhiteNile/	9.5
http://www.semwebtech.org/mondial/10/source/Oder/	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	17.52	634	http://www.semwebtech.org/mondial/10/river/Oder/	49.61
http://www.semwebtech.org/mondial/10/source/Lulua/	\N	14.7	\N	http://www.semwebtech.org/mondial/10/river/Lulua/	-11.3
http://www.semwebtech.org/mondial/10/source/Isere/	http://www.semwebtech.org/mondial/10/mountains/Alps/	7	2770	http://www.semwebtech.org/mondial/10/river/Isere/	45.4
http://www.semwebtech.org/mondial/10/source/Tambo/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-74.23	295	http://www.semwebtech.org/mondial/10/river/Tambo/	-11.15
http://www.semwebtech.org/mondial/10/source/Donau/	http://www.semwebtech.org/mondial/10/mountains/BlackForest/	8.52	686	http://www.semwebtech.org/mondial/10/river/Donau/	47.95
http://www.semwebtech.org/mondial/10/source/Drina/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	18.8	441	http://www.semwebtech.org/mondial/10/river/Drina/	43.35
http://www.semwebtech.org/mondial/10/source/Saone/	http://www.semwebtech.org/mondial/10/mountains/Vogesen/	6.2	451	http://www.semwebtech.org/mondial/10/river/Saone/	48.1
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	\N	-115.85	808	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	50.2
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	\N	-78.9	174	http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	42.9
http://www.semwebtech.org/mondial/10/source/Arkansas/	\N	-106.3	4260	http://www.semwebtech.org/mondial/10/river/Arkansas/	39.25
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	\N	-97.97	218	http://www.semwebtech.org/mondial/10/river/NelsonRiver/	52.77
http://www.semwebtech.org/mondial/10/source/Schari/	\N	21	\N	http://www.semwebtech.org/mondial/10/river/Schari/	8
http://www.semwebtech.org/mondial/10/source/Manicouagan/	\N	-68.7	350	http://www.semwebtech.org/mondial/10/river/Manicouagan/	51.4
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	\N	28.3	119	http://www.semwebtech.org/mondial/10/river/Paatsjoki/	68.95
http://www.semwebtech.org/mondial/10/source/Doubs/	http://www.semwebtech.org/mondial/10/mountains/Jura/	6.2	937	http://www.semwebtech.org/mondial/10/river/Doubs/	46.7
http://www.semwebtech.org/mondial/10/source/Tiber/	http://www.semwebtech.org/mondial/10/mountains/Apennin/	12.08	1348	http://www.semwebtech.org/mondial/10/river/Tiber/	43.77
http://www.semwebtech.org/mondial/10/source/Mosel/	http://www.semwebtech.org/mondial/10/mountains/Vogesen/	6.89	715	http://www.semwebtech.org/mondial/10/river/Mosel/	47.89
http://www.semwebtech.org/mondial/10/source/Ob/	\N	85	162	http://www.semwebtech.org/mondial/10/river/Ob/	52.43
http://www.semwebtech.org/mondial/10/source/Araguaia/	\N	-53.07	760	http://www.semwebtech.org/mondial/10/river/Araguaia/	-17.97
http://www.semwebtech.org/mondial/10/source/Parana/	\N	-46.5	\N	http://www.semwebtech.org/mondial/10/river/Parana/	-19
http://www.semwebtech.org/mondial/10/source/Saluen/	\N	91.9	5450	http://www.semwebtech.org/mondial/10/river/Saluen/	32.5
http://www.semwebtech.org/mondial/10/source/Volta/	\N	-4.5	\N	http://www.semwebtech.org/mondial/10/river/Volta/	11
http://www.semwebtech.org/mondial/10/source/Ganges/	\N	79.5	\N	http://www.semwebtech.org/mondial/10/river/Ganges/	30.5
http://www.semwebtech.org/mondial/10/source/Ene/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-73.97	400	http://www.semwebtech.org/mondial/10/river/Ene/	-12.26
http://www.semwebtech.org/mondial/10/source/Selenge/	\N	106	\N	http://www.semwebtech.org/mondial/10/river/Selenge/	52
http://www.semwebtech.org/mondial/10/source/Akagera/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.3	2700	http://www.semwebtech.org/mondial/10/river/Akagera/	-2.5
http://www.semwebtech.org/mondial/10/source/Semliki/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.6	920	http://www.semwebtech.org/mondial/10/river/Semliki/	-0.35
http://www.semwebtech.org/mondial/10/source/Tigris/	http://www.semwebtech.org/mondial/10/mountains/Antitaurus/	41	\N	http://www.semwebtech.org/mondial/10/river/Tigris/	38.3
http://www.semwebtech.org/mondial/10/source/Oulujoki/	\N	27.25	123	http://www.semwebtech.org/mondial/10/river/Oulujoki/	64.3
http://www.semwebtech.org/mondial/10/source/Olt/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	25.8	1280	http://www.semwebtech.org/mondial/10/river/Olt/	46.65
http://www.semwebtech.org/mondial/10/source/Petschora/	http://www.semwebtech.org/mondial/10/mountains/Ural/	59	\N	http://www.semwebtech.org/mondial/10/river/Petschora/	62
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	\N	-76.55	75	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	44.2
http://www.semwebtech.org/mondial/10/source/Drau/	http://www.semwebtech.org/mondial/10/mountains/Alps/	12.26	1450	http://www.semwebtech.org/mondial/10/river/Drau/	46.73
http://www.semwebtech.org/mondial/10/source/Kwa/	\N	17.4	\N	http://www.semwebtech.org/mondial/10/river/Kwa/	3.3
http://www.semwebtech.org/mondial/10/source/WhiteDrin/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	20.2	\N	http://www.semwebtech.org/mondial/10/river/WhiteDrin/	42.7
http://www.semwebtech.org/mondial/10/source/Volga/	http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	33	\N	http://www.semwebtech.org/mondial/10/river/Volga/	57
http://www.semwebtech.org/mondial/10/source/Piva/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	18.82	\N	http://www.semwebtech.org/mondial/10/river/Piva/	43.11
http://www.semwebtech.org/mondial/10/source/Atbara/	http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	37.3	\N	http://www.semwebtech.org/mondial/10/river/Atbara/	12.8
http://www.semwebtech.org/mondial/10/source/Lagen/	\N	8.45	611	http://www.semwebtech.org/mondial/10/river/Lagen/	62.19
http://www.semwebtech.org/mondial/10/source/Mur/	http://www.semwebtech.org/mondial/10/mountains/Alps/	13.35	1898	http://www.semwebtech.org/mondial/10/river/Mur/	47.13
http://www.semwebtech.org/mondial/10/source/Colorado/	\N	-105.7	2700	http://www.semwebtech.org/mondial/10/river/Colorado/	40.35
http://www.semwebtech.org/mondial/10/source/Pibor/	\N	33.5	\N	http://www.semwebtech.org/mondial/10/river/Pibor/	7
http://www.semwebtech.org/mondial/10/source/Irtysch/	http://www.semwebtech.org/mondial/10/mountains/Altai/	90	2930	http://www.semwebtech.org/mondial/10/river/Irtysch/	47.9
http://www.semwebtech.org/mondial/10/source/Ticino/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.42	2400	http://www.semwebtech.org/mondial/10/river/Ticino/	46.475
http://www.semwebtech.org/mondial/10/source/Don/	\N	37.5	\N	http://www.semwebtech.org/mondial/10/river/Don/	53
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	\N	-123	1920	http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	52.5
http://www.semwebtech.org/mondial/10/source/Cuilo/	\N	14.7	\N	http://www.semwebtech.org/mondial/10/river/Cuilo/	-11.3
http://www.semwebtech.org/mondial/10/source/Würm/	\N	11.35	596	http://www.semwebtech.org/mondial/10/river/Würm/	48
http://www.semwebtech.org/mondial/10/source/Sobat/	\N	33.2	\N	http://www.semwebtech.org/mondial/10/river/Sobat/	8.45
http://www.semwebtech.org/mondial/10/source/Tobol/	http://www.semwebtech.org/mondial/10/mountains/Ural/	60.8	\N	http://www.semwebtech.org/mondial/10/river/Tobol/	51.2
http://www.semwebtech.org/mondial/10/source/Lena/	\N	107.88	1465	http://www.semwebtech.org/mondial/10/river/Lena/	53.99
http://www.semwebtech.org/mondial/10/source/Douro/	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	-3	2160	http://www.semwebtech.org/mondial/10/river/Douro/	42
http://www.semwebtech.org/mondial/10/source/Mekong/	\N	94	5200	http://www.semwebtech.org/mondial/10/river/Mekong/	32.5
http://www.semwebtech.org/mondial/10/source/Ammer/	http://www.semwebtech.org/mondial/10/mountains/Alps/	11.05	850	http://www.semwebtech.org/mondial/10/river/Ammer/	47.57
http://www.semwebtech.org/mondial/10/source/Karasu/	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	41.3	1950	http://www.semwebtech.org/mondial/10/river/Karasu/	49.9
http://www.semwebtech.org/mondial/10/source/Weichsel/	http://www.semwebtech.org/mondial/10/mountains/Beskides/	19.01	1100	http://www.semwebtech.org/mondial/10/river/Weichsel/	49.61
http://www.semwebtech.org/mondial/10/source/Isar/	http://www.semwebtech.org/mondial/10/mountains/Alps/	11.4	1.16	http://www.semwebtech.org/mondial/10/river/Isar/	47.37
http://www.semwebtech.org/mondial/10/source/VictoriaNile/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	33	1134	http://www.semwebtech.org/mondial/10/river/VictoriaNile/	-1
http://www.semwebtech.org/mondial/10/source/Limpopo/	\N	28	1800	http://www.semwebtech.org/mondial/10/river/Limpopo/	-26
http://www.semwebtech.org/mondial/10/source/Glomma/	\N	12	860	http://www.semwebtech.org/mondial/10/river/Glomma/	62.6
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	-3	1400	http://www.semwebtech.org/mondial/10/river/Guadalquivir/	37.8
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	148.5	\N	http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	-35.8
http://www.semwebtech.org/mondial/10/source/Tennessee/	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	-83	\N	http://www.semwebtech.org/mondial/10/river/Tennessee/	35.2
http://www.semwebtech.org/mondial/10/source/Luapula/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.7	1140	http://www.semwebtech.org/mondial/10/river/Luapula/	-11.2
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	\N	-82.6	176	http://www.semwebtech.org/mondial/10/river/DetroitRiver/	42.1
http://www.semwebtech.org/mondial/10/source/Rhone/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.38	1753	http://www.semwebtech.org/mondial/10/river/Rhone/	46.57
http://www.semwebtech.org/mondial/10/source/Bani/	\N	-6.56	285	http://www.semwebtech.org/mondial/10/river/Bani/	12.6
http://www.semwebtech.org/mondial/10/source/Karun/	http://www.semwebtech.org/mondial/10/mountains/Zagros/	50.1	\N	http://www.semwebtech.org/mondial/10/river/Karun/	32.35
http://www.semwebtech.org/mondial/10/source/Urubamba/	http://www.semwebtech.org/mondial/10/mountains/Andes/	\N	\N	http://www.semwebtech.org/mondial/10/river/Urubamba/	\N
http://www.semwebtech.org/mondial/10/source/Zaire/	\N	25.2	\N	http://www.semwebtech.org/mondial/10/river/Zaire/	0.5
http://www.semwebtech.org/mondial/10/source/Huallaga/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-76.3	5800	http://www.semwebtech.org/mondial/10/river/Huallaga/	-10.5
http://www.semwebtech.org/mondial/10/source/Uelle/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	30.5	\N	http://www.semwebtech.org/mondial/10/river/Uelle/	2
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-69	3812	http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	-16.55
http://www.semwebtech.org/mondial/10/source/Ili/	http://www.semwebtech.org/mondial/10/mountains/TianShan/	85.5	\N	http://www.semwebtech.org/mondial/10/river/Ili/	43.8
http://www.semwebtech.org/mondial/10/source/Neckar/	\N	8.5	706	http://www.semwebtech.org/mondial/10/river/Neckar/	48.05
http://www.semwebtech.org/mondial/10/source/Sanaga/	\N	13.4	628	http://www.semwebtech.org/mondial/10/river/Sanaga/	5.3
http://www.semwebtech.org/mondial/10/source/Loire/	http://www.semwebtech.org/mondial/10/mountains/Cevennes/	4.22	1408	http://www.semwebtech.org/mondial/10/river/Loire/	44.84
http://www.semwebtech.org/mondial/10/source/Kymijoki/	\N	25.4	78	http://www.semwebtech.org/mondial/10/river/Kymijoki/	61.5
http://www.semwebtech.org/mondial/10/source/Niger/	\N	-10.87	490	http://www.semwebtech.org/mondial/10/river/Niger/	9.65
http://www.semwebtech.org/mondial/10/source/Zambezi/	\N	24.2	1500	http://www.semwebtech.org/mondial/10/river/Zambezi/	-11
http://www.semwebtech.org/mondial/10/source/Argun/	\N	122.46	1200	http://www.semwebtech.org/mondial/10/river/Argun/	49.94
http://www.semwebtech.org/mondial/10/source/Aruwimi/	\N	14.7	\N	http://www.semwebtech.org/mondial/10/river/Aruwimi/	-11.3
http://www.semwebtech.org/mondial/10/source/Amazonas/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-73.45	88	http://www.semwebtech.org/mondial/10/river/Amazonas/	-4.44
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	\N	-84.6	184	http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	46.5
http://www.semwebtech.org/mondial/10/source/Sanga/	\N	15	\N	http://www.semwebtech.org/mondial/10/river/Sanga/	6
http://www.semwebtech.org/mondial/10/source/BlackDrin/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	20.7	695	http://www.semwebtech.org/mondial/10/river/BlackDrin/	41
http://www.semwebtech.org/mondial/10/source/Kemijoki/	\N	28.9525	230	http://www.semwebtech.org/mondial/10/river/Kemijoki/	67.96
http://www.semwebtech.org/mondial/10/source/Okavango/	\N	12.7	\N	http://www.semwebtech.org/mondial/10/river/Okavango/	-18.4
http://www.semwebtech.org/mondial/10/source/Murgab/	http://www.semwebtech.org/mondial/10/mountains/Pamir/	74.4	4015	http://www.semwebtech.org/mondial/10/river/Murgab/	37.35
http://www.semwebtech.org/mondial/10/source/Bomu/	\N	27	\N	http://www.semwebtech.org/mondial/10/river/Bomu/	5
http://www.semwebtech.org/mondial/10/source/Ural/	http://www.semwebtech.org/mondial/10/mountains/Ural/	59	\N	http://www.semwebtech.org/mondial/10/river/Ural/	54
http://www.semwebtech.org/mondial/10/source/RioMamore/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-66.5	\N	http://www.semwebtech.org/mondial/10/river/RioMamore/	-18
http://www.semwebtech.org/mondial/10/source/Kolyma/	\N	145	\N	http://www.semwebtech.org/mondial/10/river/Kolyma/	61.5
http://www.semwebtech.org/mondial/10/source/Moldau/	http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/	13.56	1174	http://www.semwebtech.org/mondial/10/river/Moldau/	48.97
http://www.semwebtech.org/mondial/10/source/Suchona/	\N	59	180	http://www.semwebtech.org/mondial/10/river/Suchona/	39
http://www.semwebtech.org/mondial/10/source/Busira/	\N	20.8	\N	http://www.semwebtech.org/mondial/10/river/Busira/	-0.2
http://www.semwebtech.org/mondial/10/source/Dalaelv/	\N	15.1	\N	http://www.semwebtech.org/mondial/10/river/Dalaelv/	60.7
http://www.semwebtech.org/mondial/10/source/Lualaba/	\N	27	\N	http://www.semwebtech.org/mondial/10/river/Lualaba/	-12
http://www.semwebtech.org/mondial/10/source/Hwangho/	\N	96.2	4500	http://www.semwebtech.org/mondial/10/river/Hwangho/	35.3
http://www.semwebtech.org/mondial/10/source/Cuango/	\N	14.2	502	http://www.semwebtech.org/mondial/10/river/Cuango/	-11.5
http://www.semwebtech.org/mondial/10/source/Dnister/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	22.93	1000	http://www.semwebtech.org/mondial/10/river/Dnister/	49.2
http://www.semwebtech.org/mondial/10/source/Thames/	\N	-2.03	105	http://www.semwebtech.org/mondial/10/river/Thames/	51.7
http://www.semwebtech.org/mondial/10/source/Klaraelv/	\N	11.9	662	http://www.semwebtech.org/mondial/10/river/Klaraelv/	62.2
http://www.semwebtech.org/mondial/10/source/Amur/	\N	121.48	305	http://www.semwebtech.org/mondial/10/river/Amur/	53.33
http://www.semwebtech.org/mondial/10/source/Tshuapa/	\N	24.5	\N	http://www.semwebtech.org/mondial/10/river/Tshuapa/	-3
http://www.semwebtech.org/mondial/10/source/Maranon/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-76.66	5800	http://www.semwebtech.org/mondial/10/river/Maranon/	-10
http://www.semwebtech.org/mondial/10/source/Raab/	http://www.semwebtech.org/mondial/10/mountains/Alps/	15.52	1150	http://www.semwebtech.org/mondial/10/river/Raab/	47.35
http://www.semwebtech.org/mondial/10/source/Shabelle/	\N	38.5	\N	http://www.semwebtech.org/mondial/10/river/Shabelle/	7
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	\N	-84.75	176	http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	45.8
http://www.semwebtech.org/mondial/10/source/RioLerma/	\N	-99	\N	http://www.semwebtech.org/mondial/10/river/RioLerma/	19
http://www.semwebtech.org/mondial/10/source/Baro/	\N	36.2	\N	http://www.semwebtech.org/mondial/10/river/Baro/	8.5
http://www.semwebtech.org/mondial/10/source/Kura/	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	42.76	2650	http://www.semwebtech.org/mondial/10/river/Kura/	40.7
http://www.semwebtech.org/mondial/10/source/Drin/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	20.4	\N	http://www.semwebtech.org/mondial/10/river/Drin/	42.1
http://www.semwebtech.org/mondial/10/source/Elbe/	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	15.54	1.386	http://www.semwebtech.org/mondial/10/river/Elbe/	50.78
http://www.semwebtech.org/mondial/10/source/Maas/	\N	5.63	409	http://www.semwebtech.org/mondial/10/river/Maas/	47.97
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	\N	-16.5	\N	http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	64.8
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	\N	23	\N	http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	61.3
http://www.semwebtech.org/mondial/10/source/Nile/	\N	32.5	\N	http://www.semwebtech.org/mondial/10/river/Nile/	15.6
http://www.semwebtech.org/mondial/10/source/Uruguay/	\N	-52	1800	http://www.semwebtech.org/mondial/10/river/Uruguay/	-27.5
http://www.semwebtech.org/mondial/10/source/Theiss/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	24.25	460	http://www.semwebtech.org/mondial/10/river/Theiss/	48.1
http://www.semwebtech.org/mondial/10/source/Newa/	\N	31.53	4	http://www.semwebtech.org/mondial/10/river/Newa/	60.82
http://www.semwebtech.org/mondial/10/source/Swir/	\N	35.49	33	http://www.semwebtech.org/mondial/10/river/Swir/	60.99
http://www.semwebtech.org/mondial/10/source/Kasai/	\N	19.3	\N	http://www.semwebtech.org/mondial/10/river/Kasai/	-10.96
http://www.semwebtech.org/mondial/10/source/Prypjat/	\N	24.1	\N	http://www.semwebtech.org/mondial/10/river/Prypjat/	51.5
http://www.semwebtech.org/mondial/10/source/Arno/	http://www.semwebtech.org/mondial/10/mountains/Apennin/	11.7	1385	http://www.semwebtech.org/mondial/10/river/Arno/	43.9
http://www.semwebtech.org/mondial/10/source/Ruki/	\N	19	\N	http://www.semwebtech.org/mondial/10/river/Ruki/	-0.3
http://www.semwebtech.org/mondial/10/source/Ebro/	http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	-4.37	1.6	http://www.semwebtech.org/mondial/10/river/Ebro/	43.0375
http://www.semwebtech.org/mondial/10/source/OhioRiver/	\N	-80	222	http://www.semwebtech.org/mondial/10/river/OhioRiver/	40.42
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	\N	-43	1200	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	-20.3
http://www.semwebtech.org/mondial/10/source/Leine/	\N	10.32	340	http://www.semwebtech.org/mondial/10/river/Leine/	51.39
http://www.semwebtech.org/mondial/10/source/Naryn/	http://www.semwebtech.org/mondial/10/mountains/TianShan/	78	\N	http://www.semwebtech.org/mondial/10/river/Naryn/	42
http://www.semwebtech.org/mondial/10/source/Perene/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-75.27	650	http://www.semwebtech.org/mondial/10/river/Perene/	-10.95
http://www.semwebtech.org/mondial/10/source/Aller/	\N	11.23	130	http://www.semwebtech.org/mondial/10/river/Aller/	52.1
http://www.semwebtech.org/mondial/10/source/RioGrande/	\N	-107.5	3900	http://www.semwebtech.org/mondial/10/river/RioGrande/	38
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/	152	\N	http://www.semwebtech.org/mondial/10/river/DarlingRiver/	-28
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	\N	23.8	450	http://www.semwebtech.org/mondial/10/river/Ounasjoki/	68.6
http://www.semwebtech.org/mondial/10/source/Apurimac/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-71.84	5020	http://www.semwebtech.org/mondial/10/river/Apurimac/	-15.24
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	\N	-71.6	\N	http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	43.4
http://www.semwebtech.org/mondial/10/source/Fulda/	http://www.semwebtech.org/mondial/10/mountains/Rhön/	9.9	850	http://www.semwebtech.org/mondial/10/river/Fulda/	50.5
http://www.semwebtech.org/mondial/10/source/Oka/	\N	36.1	\N	http://www.semwebtech.org/mondial/10/river/Oka/	52.5
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	148.5	\N	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	-37
http://www.semwebtech.org/mondial/10/source/Narew/	\N	24	\N	http://www.semwebtech.org/mondial/10/river/Narew/	53
http://www.semwebtech.org/mondial/10/source/Mincio/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10.7	65	http://www.semwebtech.org/mondial/10/river/Mincio/	45.4
http://www.semwebtech.org/mondial/10/source/RioMadeira/	\N	-65.4	\N	http://www.semwebtech.org/mondial/10/river/RioMadeira/	-10.4
http://www.semwebtech.org/mondial/10/source/Moraca/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	19.25	1	http://www.semwebtech.org/mondial/10/river/Moraca/	42.85
http://www.semwebtech.org/mondial/10/source/Missouri/	\N	-111.5	1232	http://www.semwebtech.org/mondial/10/river/Missouri/	45.9
http://www.semwebtech.org/mondial/10/source/RioSanJuan/	\N	-85.35	31	http://www.semwebtech.org/mondial/10/river/RioSanJuan/	11.6
http://www.semwebtech.org/mondial/10/source/Lomami/	\N	24.7	1140	http://www.semwebtech.org/mondial/10/river/Lomami/	-8.7
http://www.semwebtech.org/mondial/10/source/Etsch/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10.5	1525	http://www.semwebtech.org/mondial/10/river/Etsch/	46.7
http://www.semwebtech.org/mondial/10/source/Tajo/	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	-1.7	1.58	http://www.semwebtech.org/mondial/10/river/Tajo/	40.32
http://www.semwebtech.org/mondial/10/source/Werra/	http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/	10.96	797	http://www.semwebtech.org/mondial/10/river/Werra/	50.5
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	\N	12.6	\N	http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	61.8
http://www.semwebtech.org/mondial/10/source/Amudarja/	\N	68.3	310	http://www.semwebtech.org/mondial/10/river/Amudarja/	37.1
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	-77.9	759	http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	41.9
http://www.semwebtech.org/mondial/10/source/Euphrat/	\N	38.75	\N	http://www.semwebtech.org/mondial/10/river/Euphrat/	38.8
http://www.semwebtech.org/mondial/10/source/Narva/	\N	27.49	30	http://www.semwebtech.org/mondial/10/river/Narva/	58.68
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	148.3	\N	http://www.semwebtech.org/mondial/10/river/SnowyRiver/	-36.5
http://www.semwebtech.org/mondial/10/source/Ischim/	\N	71.5	\N	http://www.semwebtech.org/mondial/10/river/Ischim/	52
http://www.semwebtech.org/mondial/10/source/Dnepr/	http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	34	220	http://www.semwebtech.org/mondial/10/river/Dnepr/	55.5
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	\N	-120	1900	http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	39
http://www.semwebtech.org/mondial/10/source/Alz/	http://www.semwebtech.org/mondial/10/mountains/Alps/	12.35	\N	http://www.semwebtech.org/mondial/10/river/Alz/	47.3
http://www.semwebtech.org/mondial/10/source/Jangtse/	\N	91.2	5405	http://www.semwebtech.org/mondial/10/river/Jangtse/	33.5
http://www.semwebtech.org/mondial/10/source/Umeaelv/	\N	15	\N	http://www.semwebtech.org/mondial/10/river/Umeaelv/	66.1
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	\N	12.6	\N	http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	62.2
http://www.semwebtech.org/mondial/10/source/Po/	http://www.semwebtech.org/mondial/10/mountains/Alps/	7.09	2022	http://www.semwebtech.org/mondial/10/river/Po/	44.7
http://www.semwebtech.org/mondial/10/source/Lukenie/	\N	24.5	\N	http://www.semwebtech.org/mondial/10/river/Lukenie/	-6.8
http://www.semwebtech.org/mondial/10/source/Mississippi/	\N	-95.2	512	http://www.semwebtech.org/mondial/10/river/Mississippi/	47.25
http://www.semwebtech.org/mondial/10/source/Fimi/	\N	18.2	\N	http://www.semwebtech.org/mondial/10/river/Fimi/	-2.7
http://www.semwebtech.org/mondial/10/source/Breg/	http://www.semwebtech.org/mondial/10/mountains/BlackForest/	8.16	1078	http://www.semwebtech.org/mondial/10/river/Breg/	48.1
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	\N	12.34	44	http://www.semwebtech.org/mondial/10/river/Goetaaelv/	58.4
http://www.semwebtech.org/mondial/10/source/Benue/	\N	12.58	1100	http://www.semwebtech.org/mondial/10/river/Benue/	7.58
http://www.semwebtech.org/mondial/10/source/WesternMorava/	\N	20.2	\N	http://www.semwebtech.org/mondial/10/river/WesternMorava/	43.85
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	\N	60.9	180	http://www.semwebtech.org/mondial/10/river/NorthernDwina/	46.3
http://www.semwebtech.org/mondial/10/source/YukonRiver/	\N	-134.5	668	http://www.semwebtech.org/mondial/10/river/YukonRiver/	60.54
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	\N	28.5	\N	http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	5
http://www.semwebtech.org/mondial/10/source/Pruth/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	24.55	\N	http://www.semwebtech.org/mondial/10/river/Pruth/	48.16
http://www.semwebtech.org/mondial/10/source/WesternDwina/	http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	34	228	http://www.semwebtech.org/mondial/10/river/WesternDwina/	56
http://www.semwebtech.org/mondial/10/source/Paraguay/	\N	-56.5	\N	http://www.semwebtech.org/mondial/10/river/Paraguay/	-14.5
http://www.semwebtech.org/mondial/10/source/WesternBug/	\N	25.06	\N	http://www.semwebtech.org/mondial/10/river/WesternBug/	49.09
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	30.9	619	http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	1.7
http://www.semwebtech.org/mondial/10/source/Asahan/	\N	98.7	905	http://www.semwebtech.org/mondial/10/river/Asahan/	2.7
http://www.semwebtech.org/mondial/10/source/Tara/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	19.57	2000	http://www.semwebtech.org/mondial/10/river/Tara/	42.6
http://www.semwebtech.org/mondial/10/source/Main/	http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/	11.4	887	http://www.semwebtech.org/mondial/10/river/Main/	50.1
http://www.semwebtech.org/mondial/10/source/Indus/	\N	79.7	5300	http://www.semwebtech.org/mondial/10/river/Indus/	32.45
http://www.semwebtech.org/mondial/10/source/Iller/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10.27	783	http://www.semwebtech.org/mondial/10/river/Iller/	47.43
http://www.semwebtech.org/mondial/10/source/RioNegro/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-70	\N	http://www.semwebtech.org/mondial/10/river/RioNegro/	-2
http://www.semwebtech.org/mondial/10/source/Adda/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10.3	2235	http://www.semwebtech.org/mondial/10/river/Adda/	46.55
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	\N	-73.3	30	http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	45
http://www.semwebtech.org/mondial/10/source/Reuss/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.54	2431	http://www.semwebtech.org/mondial/10/river/Reuss/	46.56
http://www.semwebtech.org/mondial/10/source/Morava/	\N	21.4	\N	http://www.semwebtech.org/mondial/10/river/Morava/	43.7
http://www.semwebtech.org/mondial/10/source/Weser/	\N	9.65	116.5	http://www.semwebtech.org/mondial/10/river/Weser/	51.4
http://www.semwebtech.org/mondial/10/source/Waag/	http://www.semwebtech.org/mondial/10/mountains/Beskides/	19.81	664	http://www.semwebtech.org/mondial/10/river/Waag/	49.02
http://www.semwebtech.org/mondial/10/source/Angara/	\N	113	\N	http://www.semwebtech.org/mondial/10/river/Angara/	56.5
http://www.semwebtech.org/mondial/10/source/Luvua/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	28.7	931	http://www.semwebtech.org/mondial/10/river/Luvua/	-9
http://www.semwebtech.org/mondial/10/source/Ubangi/	\N	22.5	\N	http://www.semwebtech.org/mondial/10/river/Ubangi/	4
http://www.semwebtech.org/mondial/10/source/Ucayali/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-73.75	287	http://www.semwebtech.org/mondial/10/river/Ucayali/	-10.7
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	-73.95	1309	http://www.semwebtech.org/mondial/10/river/HudsonRiver/	44.1
http://www.semwebtech.org/mondial/10/source/Brigach/	http://www.semwebtech.org/mondial/10/mountains/BlackForest/	8.28	940	http://www.semwebtech.org/mondial/10/river/Brigach/	48.11
http://www.semwebtech.org/mondial/10/source/Thjorsa/	\N	-18	\N	http://www.semwebtech.org/mondial/10/river/Thjorsa/	65
http://www.semwebtech.org/mondial/10/source/Tocantins/	\N	-49	1070	http://www.semwebtech.org/mondial/10/river/Tocantins/	-16
http://www.semwebtech.org/mondial/10/source/Rhein/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.7	2345	http://www.semwebtech.org/mondial/10/river/Rhein/	46.6
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	\N	81.33	6000	http://www.semwebtech.org/mondial/10/river/Brahmaputra/	31.06
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	80.5	\N	http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	33.5
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	\N	-71.21	\N	http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	45.25
http://www.semwebtech.org/mondial/10/source/Mantaro/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-76.27	4082	http://www.semwebtech.org/mondial/10/river/Mantaro/	-10.92
http://www.semwebtech.org/mondial/10/source/Garonne/	http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	0.8	\N	http://www.semwebtech.org/mondial/10/river/Garonne/	42.73
http://www.semwebtech.org/mondial/10/source/Syrdarja/	\N	71.7	\N	http://www.semwebtech.org/mondial/10/river/Syrdarja/	41
http://www.semwebtech.org/mondial/10/source/Jenissej/	\N	97.5	\N	http://www.semwebtech.org/mondial/10/river/Jenissej/	52.33
http://www.semwebtech.org/mondial/10/source/Salzach/	http://www.semwebtech.org/mondial/10/mountains/Alps/	12.11	2300	http://www.semwebtech.org/mondial/10/river/Salzach/	47.3
http://www.semwebtech.org/mondial/10/source/Oranje/	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	28.5	1800	http://www.semwebtech.org/mondial/10/river/Oranje/	-28.5
http://www.semwebtech.org/mondial/10/source/Inn/	http://www.semwebtech.org/mondial/10/mountains/Alps/	9.67	2484	http://www.semwebtech.org/mondial/10/river/Inn/	46.41
http://www.semwebtech.org/mondial/10/source/Schilka/	\N	111	\N	http://www.semwebtech.org/mondial/10/river/Schilka/	49.8
\.


--
-- TOC entry 6026 (class 0 OID 92572)
-- Dependencies: 899
-- Data for Name: SpokenBy; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "SpokenBy" ("URI", percent, "languageInfo-", "onLanguage") FROM stdin;
7b93e6a1:150814fecb6:21e5	100	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2141	0.2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/Slovenian/
7b93e6a1:150814fecb6:21a8	1	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/language/Kurd/
7b93e6a1:150814fecb6:216b	75	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:212e	7	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2179	96	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/language/Swedish/
7b93e6a1:150814fecb6:221c	99	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:21d6	40	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/language/Amerindian/
7b93e6a1:150814fecb6:2132	7	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Galician/
7b93e6a1:150814fecb6:215c	77	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/Luxembourgish/
7b93e6a1:150814fecb6:2220	99	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:211f	1.2	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:220d	2.1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Chinese/
7b93e6a1:150814fecb6:2160	1	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21c7	75	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2123	1.1	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Roma/
7b93e6a1:150814fecb6:218a	16	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:214d	1	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/Romansch/
7b93e6a1:150814fecb6:2211	10.8	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2198	26	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Turkic/
7b93e6a1:150814fecb6:21aa	71	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Georgian/
7b93e6a1:150814fecb6:21f5	8.2	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Creole/
7b93e6a1:150814fecb6:2151	37.5	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21b8	12.5	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:217b	50	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:213e	98	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/Italian/
7b93e6a1:150814fecb6:2202	1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Vietnamese/
7b93e6a1:150814fecb6:2189	75.8	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Romanian/
7b93e6a1:150814fecb6:222c	67.6	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21e6	90	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/language/Creole/
7b93e6a1:150814fecb6:2142	0.1	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/Albanian/
7b93e6a1:150814fecb6:21a9	0.9	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:216c	18	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/language/Kurdish/
7b93e6a1:150814fecb6:2230	100	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:212f	100	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:221d	100	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2170	29.7	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21d7	95	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2133	2	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Basque/
7b93e6a1:150814fecb6:219a	8	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Urdu/
7b93e6a1:150814fecb6:215d	8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:2221	84.1	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:220e	24.4	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/
7b93e6a1:150814fecb6:21ba	95.6	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/language/Chinese/
7b93e6a1:150814fecb6:2161	100	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/language/Dutch/
7b93e6a1:150814fecb6:21c8	17	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/language/Hebrew/
7b93e6a1:150814fecb6:2124	63.6	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:218b	3	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Gagauz/
7b93e6a1:150814fecb6:214e	62.8	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:2212	9.5	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/OtherPacificIslandLanguage/
7b93e6a1:150814fecb6:2199	8	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Pashtu/
7b93e6a1:150814fecb6:21ab	9	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21f6	99	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2152	82	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/language/Lithuanian/
7b93e6a1:150814fecb6:21b9	1	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Dungun/
7b93e6a1:150814fecb6:217c	21.6	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/Monegasque/
7b93e6a1:150814fecb6:213f	0.7	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2203	61.1	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:222d	100	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2180	2	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/Dutch/
7b93e6a1:150814fecb6:21e7	10	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2143	100	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:216d	98	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/language/Danish/
7b93e6a1:150814fecb6:2231	100	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:21a0	10	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Siraiki/
7b93e6a1:150814fecb6:221e	90	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21ca	18	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/language/Tamil/
7b93e6a1:150814fecb6:2171	90	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Finnish/
7b93e6a1:150814fecb6:21d8	100	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2134	88.6	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:219b	48	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Punjabi/
7b93e6a1:150814fecb6:215e	6	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2222	13	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/language/Quechua/
7b93e6a1:150814fecb6:220f	23.4	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/ChineseLanguage/
7b93e6a1:150814fecb6:21bb	3.2	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2162	99	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/language/Serbo-Croatian/
7b93e6a1:150814fecb6:21c9	100	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/language/Japanese/
7b93e6a1:150814fecb6:2125	22	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Montenegrin/
7b93e6a1:150814fecb6:218c	4	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Ukrainian/
7b93e6a1:150814fecb6:214f	36.7	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/language/Belorussian/
7b93e6a1:150814fecb6:2213	100	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/language/Pitkern/
7b93e6a1:150814fecb6:21ac	7	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Armenian/
7b93e6a1:150814fecb6:2190	35	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/language/Pashtu/
7b93e6a1:150814fecb6:21f7	100	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2153	8	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:217d	19	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/Italian/
7b93e6a1:150814fecb6:2204	31.4	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/language/Polynesian/
7b93e6a1:150814fecb6:21b0	1.8	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:222e	20	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21da	21.6	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2181	100	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/language/Icelandic/
7b93e6a1:150814fecb6:21e8	99	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2144	83.8	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Slovak/
7b93e6a1:150814fecb6:216e	0.4	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:21a1	72	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/language/Turkmen/
7b93e6a1:150814fecb6:221f	8	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/language/Guarani/
7b93e6a1:150814fecb6:21cb	74	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/language/Sinhala/
7b93e6a1:150814fecb6:2172	5.4	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Swedish/
7b93e6a1:150814fecb6:21d9	58.8	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2135	2.3	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:219c	12	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Sindhi/
7b93e6a1:150814fecb6:215f	4	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2223	1.7	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/language/Aymara/
7b93e6a1:150814fecb6:21bc	4	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:2163	96.1	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/language/Croatian/
7b93e6a1:150814fecb6:2126	5.5	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Bosnian/
7b93e6a1:150814fecb6:218d	100	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:2214	1	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21c0	18	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:21ea	99	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:21ad	6	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Azeri/
7b93e6a1:150814fecb6:2191	50	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/language/AfghanPersian/
7b93e6a1:150814fecb6:21f8	100	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2154	5.6	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/language/Polish/
7b93e6a1:150814fecb6:217e	8.5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2205	38.3	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21b1	1.5	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Armenian/
7b93e6a1:150814fecb6:222f	100	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:21db	82.1	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2182	95	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21e9	99	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2145	10.7	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Hungarian/
7b93e6a1:150814fecb6:216f	67.3	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/language/Estonian/
7b93e6a1:150814fecb6:21a2	12	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21cc	100	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2173	1.8	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:2136	2.2	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:219d	3	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Balochi/
7b93e6a1:150814fecb6:2224	100	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:21d0	32.9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/Creole/
7b93e6a1:150814fecb6:21fa	90.6	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/language/Samoan/
7b93e6a1:150814fecb6:21bd	90	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/language/KhalkhaMongol/
7b93e6a1:150814fecb6:2164	1	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:2127	5.3	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Albanian/
7b93e6a1:150814fecb6:218e	95	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2215	58.9	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/language/Wallisian/
7b93e6a1:150814fecb6:21c1	99	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:21eb	100	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21ae	90.3	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Azeri/
7b93e6a1:150814fecb6:2192	1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:21f9	100	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2155	100	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/language/Polish/
7b93e6a1:150814fecb6:2118	98.8	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/language/Albanian/
7b93e6a1:150814fecb6:217f	3.5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2206	22.2	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/language/Chamorro/
7b93e6a1:150814fecb6:21b2	100	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/language/Burmese/
7b93e6a1:150814fecb6:21dc	10.7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2183	100	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/language/Italian/
7b93e6a1:150814fecb6:2146	1.8	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Roma/
7b93e6a1:150814fecb6:21e0	97.5	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21a3	9	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/language/Uzbek/
7b93e6a1:150814fecb6:21cd	100	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2174	0.6	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Estonian/
7b93e6a1:150814fecb6:2137	2.5	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Croatian/
7b93e6a1:150814fecb6:219e	2	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Hindko/
7b93e6a1:150814fecb6:2225	99	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21d1	8.9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/MayanDialects/
7b93e6a1:150814fecb6:21fb	2.9	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21be	100	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/language/Nepali/
7b93e6a1:150814fecb6:211a	99	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/language/Greek/
7b93e6a1:150814fecb6:2165	76.8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/language/Bulgarian/
7b93e6a1:150814fecb6:2128	92	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/language/Albanian/
7b93e6a1:150814fecb6:218f	11	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/language/Turkic/
7b93e6a1:150814fecb6:2216	30.1	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/language/Futunian/
7b93e6a1:150814fecb6:21c2	0.6	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/language/Hebrew/
7b93e6a1:150814fecb6:21ec	81.2	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/Papiamento/
7b93e6a1:150814fecb6:21af	2.2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Lezgi/
7b93e6a1:150814fecb6:2193	9	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Kurdish/
7b93e6a1:150814fecb6:2156	67	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/language/Ukrainian/
7b93e6a1:150814fecb6:2119	0.5	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/language/Greek/
7b93e6a1:150814fecb6:21f0	2.2	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Papiamento/
7b93e6a1:150814fecb6:2207	22.2	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/
7b93e6a1:150814fecb6:21b3	30	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/language/Hindi/
7b93e6a1:150814fecb6:21dd	95	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2184	94.5	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2147	1	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Ukrainian/
7b93e6a1:150814fecb6:21e1	1.7	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/language/Miskito/
7b93e6a1:150814fecb6:21a4	74.3	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/language/Uzbek/
7b93e6a1:150814fecb6:21ce	100	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:212a	44	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Catalan/
7b93e6a1:150814fecb6:2175	0.3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2138	0.3	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Slovene/
7b93e6a1:150814fecb6:219f	1	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Brahui/
7b93e6a1:150814fecb6:2226	99	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21d2	3.9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21fc	2.4	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/language/Tongan/
7b93e6a1:150814fecb6:21bf	78	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/language/Greek/
7b93e6a1:150814fecb6:211b	66.5	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Macedonian/
7b93e6a1:150814fecb6:2166	8.2	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:2129	5	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:2217	10.8	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:21c3	76	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/language/Hebrew/
7b93e6a1:150814fecb6:21ed	2.9	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2194	1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Balochi/
7b93e6a1:150814fecb6:2157	24	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21f1	67.5	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2208	91.2	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21b4	64.4	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/language/Kazakh/
7b93e6a1:150814fecb6:21de	3.2	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:213a	94.9	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/language/Czech/
7b93e6a1:150814fecb6:2185	4.6	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:2148	91	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/language/Slovenian/
7b93e6a1:150814fecb6:21e2	84	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21a5	14.2	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21cf	46	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:212b	33	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2176	0.3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2139	0.1	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Hungarian/
7b93e6a1:150814fecb6:2227	100	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21d3	3.4	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/Garifuna/
7b93e6a1:150814fecb6:21fd	78.5	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:211c	25.1	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Albanian/
7b93e6a1:150814fecb6:2167	3.8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/language/Roma/
7b93e6a1:150814fecb6:220a	2.1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Samoan/
7b93e6a1:150814fecb6:2218	100	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21c4	23	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2120	88.3	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:21ee	8	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/Dutch/
7b93e6a1:150814fecb6:214a	20	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2195	1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2158	100	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21f2	4.2	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Dutch/
7b93e6a1:150814fecb6:2209	3.9	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Maori/
7b93e6a1:150814fecb6:21b5	100	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/language/Korean/
7b93e6a1:150814fecb6:21df	99	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:213b	2	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/language/Slovak/
7b93e6a1:150814fecb6:2186	90.2	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/language/Maltese/
7b93e6a1:150814fecb6:2149	7	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/language/Croatian/
7b93e6a1:150814fecb6:21e3	14	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21a6	4.4	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/language/Tajik/
7b93e6a1:150814fecb6:212c	2	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Galician/
7b93e6a1:150814fecb6:2177	0.3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Somali/
7b93e6a1:150814fecb6:221a	21.2	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/language/Quechua/
7b93e6a1:150814fecb6:2228	80	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/language/Bambara/
7b93e6a1:150814fecb6:21d4	3.3	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2130	74	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21fe	2.5	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Chinese/
7b93e6a1:150814fecb6:215a	1	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:211d	3.5	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:2168	91	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/language/Romanian/
7b93e6a1:150814fecb6:220b	1.3	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2219	60.7	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21c5	1	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2121	3.8	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Hungarian/
7b93e6a1:150814fecb6:21ef	4	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:214b	64	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2196	2	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Luri/
7b93e6a1:150814fecb6:2159	32	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:21f3	12.9	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21b6	64.7	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Kyrgyz/
7b93e6a1:150814fecb6:213c	100	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2200	1.3	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Greek/
7b93e6a1:150814fecb6:2187	6	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:222a	7	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21e4	100	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2140	0.2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:21a7	97.7	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/language/Armenian/
7b93e6a1:150814fecb6:216a	1.1	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/language/Roma/
7b93e6a1:150814fecb6:212d	11	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:2178	99	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/language/Norwegian/
7b93e6a1:150814fecb6:221b	14.6	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/language/Aymara/
7b93e6a1:150814fecb6:2229	32	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:21d5	60	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2131	17	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Catalan/
7b93e6a1:150814fecb6:21ff	1.6	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Italian/
7b93e6a1:150814fecb6:215b	56	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/language/Dutch/
7b93e6a1:150814fecb6:211e	1.9	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Roma/
7b93e6a1:150814fecb6:2169	6.7	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/language/Hungarian/
7b93e6a1:150814fecb6:220c	1.1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Hindi/
7b93e6a1:150814fecb6:21c6	100	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2122	1.8	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Bosnian/
7b93e6a1:150814fecb6:214c	7	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/Italian/
7b93e6a1:150814fecb6:2210	22.4	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/Chamorro/
7b93e6a1:150814fecb6:2197	58	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Persian/
7b93e6a1:150814fecb6:21f4	1.5	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2150	58.2	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/language/Latvian/
7b93e6a1:150814fecb6:21b7	13.6	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Uzbek/
7b93e6a1:150814fecb6:217a	2.6	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/language/Finnish/
7b93e6a1:150814fecb6:213d	93.6	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/language/Hungarian/
7b93e6a1:150814fecb6:2201	1.2	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2188	100	http://www.semwebtech.org/mondial/10/country/GBM/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:222b	60	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/language/Afrikaans/
\.


--
-- TOC entry 6027 (class 0 OID 92578)
-- Dependencies: 900
-- Data for Name: TOP_area; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_area" ("URI", area) FROM stdin;
\.


--
-- TOC entry 6028 (class 0 OID 92584)
-- Dependencies: 901
-- Data for Name: TOP_bordering; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_bordering" ("URI", bordering) FROM stdin;
\.


--
-- TOC entry 6029 (class 0 OID 92587)
-- Dependencies: 902
-- Data for Name: TOP_capital; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_capital" ("URI", capital) FROM stdin;
\.


--
-- TOC entry 6030 (class 0 OID 92590)
-- Dependencies: 903
-- Data for Name: TOP_elevation; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_elevation" ("URI", elevation) FROM stdin;
\.


--
-- TOC entry 6031 (class 0 OID 92596)
-- Dependencies: 904
-- Data for Name: TOP_hasFather; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_hasFather" ("URI", "hasFather") FROM stdin;
\.


--
-- TOC entry 6032 (class 0 OID 92599)
-- Dependencies: 905
-- Data for Name: TOP_hasMother; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_hasMother" ("URI", "hasMother") FROM stdin;
\.


--
-- TOC entry 6033 (class 0 OID 92602)
-- Dependencies: 906
-- Data for Name: TOP_inMountains; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_inMountains" ("URI", "inMountains") FROM stdin;
\.


--
-- TOC entry 6034 (class 0 OID 92605)
-- Dependencies: 907
-- Data for Name: TOP_invfktprop_Inv; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_invfktprop_Inv" ("URI", "invfktprop_Inv") FROM stdin;
\.


--
-- TOC entry 6035 (class 0 OID 92608)
-- Dependencies: 908
-- Data for Name: TOP_latitude; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_latitude" ("URI", latitude) FROM stdin;
\.


--
-- TOC entry 6036 (class 0 OID 92614)
-- Dependencies: 909
-- Data for Name: TOP_length; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_length" ("URI", length) FROM stdin;
\.


--
-- TOC entry 6037 (class 0 OID 92620)
-- Dependencies: 910
-- Data for Name: TOP_locatedOnIsland; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_locatedOnIsland" ("URI", "locatedOnIsland") FROM stdin;
\.


--
-- TOC entry 6038 (class 0 OID 92623)
-- Dependencies: 911
-- Data for Name: TOP_longitude; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_longitude" ("URI", longitude) FROM stdin;
\.


--
-- TOC entry 6039 (class 0 OID 92629)
-- Dependencies: 912
-- Data for Name: TOP_name; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_name" ("URI", name) FROM stdin;
\.


--
-- TOC entry 6040 (class 0 OID 92632)
-- Dependencies: 913
-- Data for Name: TOP_nmprop; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_nmprop" ("URI", nmprop) FROM stdin;
\.


--
-- TOC entry 6041 (class 0 OID 92635)
-- Dependencies: 914
-- Data for Name: TOP_nmprop_Inv; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_nmprop_Inv" ("URI", "nmprop_Inv") FROM stdin;
\.


--
-- TOC entry 6042 (class 0 OID 92638)
-- Dependencies: 915
-- Data for Name: TOP_onlyfemaleprop; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_onlyfemaleprop" ("URI", onlyfemaleprop) FROM stdin;
\.


--
-- TOC entry 6043 (class 0 OID 92644)
-- Dependencies: 916
-- Data for Name: TOP_percent; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_percent" ("URI", percent) FROM stdin;
\.


--
-- TOC entry 6044 (class 0 OID 92650)
-- Dependencies: 917
-- Data for Name: TOP_population; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_population" ("URI", population) FROM stdin;
\.


--
-- TOC entry 6045 (class 0 OID 92657)
-- Dependencies: 918
-- Data for Name: TOP_type; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_type" ("URI", type) FROM stdin;
\.


--
-- TOC entry 6046 (class 0 OID 92660)
-- Dependencies: 919
-- Data for Name: U; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "U" ("URI", "totUpartV11prop") FROM stdin;
\.


--
-- TOC entry 6047 (class 0 OID 92663)
-- Dependencies: 920
-- Data for Name: V; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "V" ("URI") FROM stdin;
\.


--
-- TOC entry 6048 (class 0 OID 92666)
-- Dependencies: 921
-- Data for Name: Water; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Water" ("URI", "flowsInto", latitude, "flowsThrough_Inv", type, elevation, length, depth, longitude, area, name, rdftype) FROM stdin;
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/river/Colorado/	36.9	http://www.semwebtech.org/mondial/10/river/Colorado/	dam	1127	\N	171	-111.5	645	Lake Powell	Lake
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/river/Mississippi/	\N	\N	\N	\N	2334	\N	\N	435122	Arkansas	River
http://www.semwebtech.org/mondial/10/lake/LakeVan/	\N	38.6	\N	salt	1719	\N	457	42.9	3740	Lake Van	Lake
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/	\N	\N	\N	\N	145	\N	\N	18404	Paatsjoki	River
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	59.4	\N	\N	0.7	\N	66	17.1	1140	Maelaren	Lake
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	1.7	\N	\N	619	\N	48	30.9	5347	Lake Sese Seko/Albertsee	Lake
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	44.56	\N	\N	30	\N	121	-73.35	1130	Lake Champlain	Lake
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	\N	51.4	\N	impact	350	\N	\N	-68.7	1942	Lake Manicouagan	Lake
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/river/Euphrat/	38.8	\N	\N	\N	\N	\N	38.75	675	Lake Keban	Lake
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	405	\N	\N	\N	Tiber	River
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	\N	\N	\N	2845	\N	\N	795686	Donau	River
http://www.semwebtech.org/mondial/10/sea/YellowSea/	\N	\N	\N	\N	\N	\N	200	\N	\N	Yellow Sea	Sea
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/river/Dnepr/	50.6	http://www.semwebtech.org/mondial/10/river/Dnepr/	dam	\N	\N	8	30.5	922	Kiev Reservoir	Lake
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/sea/KaraSea/	\N	\N	\N	\N	3650	\N	\N	2972497	Ob	River
http://www.semwebtech.org/mondial/10/lake/CraterLake/	\N	42.9	\N	caldera	1883	\N	594	-122.1	53.2	Crater Lake	Lake
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	1091	\N	\N	148268	Elbe	River
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/river/Ob/	\N	\N	\N	\N	1591	\N	\N	426000	Tobol	River
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	\N	\N	\N	\N	\N	\N	4036	\N	\N	Sea of Japan	Sea
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	530	\N	\N	\N	Sanga	River
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	\N	42.6	\N	caldera	335	\N	151	11.9	114	Lago di Bolsena	Lake
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	\N	42.1	\N	caldera	164	\N	160	12.2	57	Lago di Bracciano	Lake
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	http://www.semwebtech.org/mondial/10/river/Fimi/	-2.05	\N	\N	300	\N	10	18.3	8200	Lake Mai Ndombe	Lake
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	42.16	\N	\N	174	\N	64	-81.27	25745	Lake Erie	Lake
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	\N	44.81	\N	salt	31	\N	35	59.62	17160	Ozero Aral	Lake
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/	\N	\N	\N	\N	58	\N	\N	684000	Niagara River	River
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/river/Tennessee/	37	http://www.semwebtech.org/mondial/10/river/Tennessee/	\N	\N	\N	\N	-88.3	648	Kentucky Lake	Lake
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/river/Saone/	\N	\N	\N	\N	453	\N	\N	4400	Doubs	River
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	\N	-25.5	\N	salt	\N	\N	0	21	12000	Makarikari Salt Pan	Lake
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	\N	37.7	\N	salt	1280	\N	7	45.3	5470	Lake Urmia	Lake
http://www.semwebtech.org/mondial/10/river/Aruwimi/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	1287	\N	\N	\N	Aruwimi	River
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	\N	\N	\N	\N	1001	\N	\N	\N	Ili	River
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/river/SchattalArab/	\N	\N	\N	\N	1900	\N	\N	375000	Tigris	River
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	\N	45.76	\N	\N	\N	\N	\N	-82	104	Lake Manitou	Lake
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	\N	-20.5	\N	salt	\N	\N	2	23	770	Lake Ngami	Lake
http://www.semwebtech.org/mondial/10/river/Oulujoki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	107	\N	\N	22.841	Oulujoki	River
http://www.semwebtech.org/mondial/10/river/BlackDrin/	http://www.semwebtech.org/mondial/10/river/Drin/	\N	\N	\N	\N	133	\N	\N	\N	Black Drin	River
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	\N	\N	\N	2574	\N	\N	1332574	Zambezi	River
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	517	\N	\N	25700	Inn	River
http://www.semwebtech.org/mondial/10/sea/BandaSea/	\N	\N	\N	\N	\N	\N	7440	\N	\N	Banda Sea	Sea
http://www.semwebtech.org/mondial/10/river/Kemijoki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	550	\N	\N	51.127	Kemijoki	River
http://www.semwebtech.org/mondial/10/sea/BeringSea/	\N	\N	\N	\N	\N	\N	4096	\N	\N	Bering Sea	Sea
http://www.semwebtech.org/mondial/10/sea/RedSea/	\N	\N	\N	\N	\N	\N	2635	\N	\N	Red Sea	Sea
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	http://www.semwebtech.org/mondial/10/river/Buna/	42.2	\N	\N	7	\N	44	19.3	368	Lake Skutari	Lake
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	\N	40.03	\N	salt	1155	\N	108	-119.57	487	Pyramid Lake	Lake
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	3778	\N	\N	7050000	Amazonas	River
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/river/Volta/	6.3	http://www.semwebtech.org/mondial/10/river/Volta/	dam	\N	\N	130	0.5	8502	Lake Volta	Lake
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	\N	\N	\N	\N	3778	\N	\N	2981076	Mississippi	River
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	4184	\N	\N	2261763	Niger	River
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	\N	\N	\N	\N	\N	\N	450	\N	\N	Barents Sea	Sea
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	http://www.semwebtech.org/mondial/10/river/Nile/	22.4	http://www.semwebtech.org/mondial/10/river/Nile/	dam	183	\N	180	31.75	5250	Lake Nasser	Lake
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/river/Reuss/	47	http://www.semwebtech.org/mondial/10/river/Reuss/	\N	434	\N	214	8.4	113.7	Vierwaldstattersee	Lake
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	\N	40.9	\N	\N	849	\N	54	21	273	Lake Prespa	Lake
http://www.semwebtech.org/mondial/10/lake/LakeToba/	http://www.semwebtech.org/mondial/10/river/Asahan/	2.6	\N	caldera	905	\N	505	98.8	1103	Lake Toba	Lake
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	http://www.semwebtech.org/mondial/10/river/Murgab/	38.2	http://www.semwebtech.org/mondial/10/river/Murgab/	naturaldam	3250	\N	500	72.75	80	Koli Sarez	Lake
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/river/Zambezi/	-16.5	http://www.semwebtech.org/mondial/10/river/Zambezi/	dam	\N	\N	32	28.75	5580	Lake Kariba	Lake
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	\N	\N	\N	\N	230	\N	\N	\N	Semliki	River
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/lake/KievReservoir/	\N	\N	\N	\N	775	\N	\N	114300	Prypjat	River
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	\N	-18.8	\N	salt	1000	\N	0	16	6133	Etoscha Salt Pan	Lake
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	-36.1	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	\N	\N	\N	\N	147	202	Lake Hume	Lake
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	\N	\N	5121	\N	\N	Mediterranean Sea	Sea
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/river/OhioRiver/	\N	\N	\N	\N	1049	\N	\N	\N	Tennessee	River
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	\N	\N	\N	\N	\N	\N	4375	\N	\N	Gulf of Mexico	Sea
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/river/Dnepr/	47.45	http://www.semwebtech.org/mondial/10/river/Dnepr/	dam	44	\N	26	34.2	2155	Kakhovka Reservoir	Lake
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	\N	65.9	\N	\N	156	\N	446	-120.6	31792	Great Bear Lake	Lake
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	\N	6.44	\N	caldera	\N	\N	208	10.3	\N	Lake Nyos	Lake
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/river/Dnepr/	49.2	http://www.semwebtech.org/mondial/10/river/Dnepr/	dam	44	\N	28	32.65	2252	Kremenchuk Reservoir	Lake
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/river/Niger/	10.4	http://www.semwebtech.org/mondial/10/river/Niger/	dam	\N	\N	\N	4.5	1243	Lake Kainji	Lake
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	61.7	\N	\N	156	\N	614	-113.9	28568	Great Slave Lake	Lake
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	749	\N	\N	11828	Drau	River
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	\N	\N	\N	\N	\N	11034	\N	\N	Pacific Ocean	Sea
http://www.semwebtech.org/mondial/10/lake/Vaettern/	\N	58.3	\N	\N	88	\N	119	14.5	1900	Vaettern	Lake
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	\N	14.4	\N	\N	\N	\N	20	121.35	911	Laguna de Bay	Lake
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	\N	\N	\N	\N	162	\N	\N	52.4	Vuoksi	River
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/river/Colorado/	36.05	http://www.semwebtech.org/mondial/10/river/Colorado/	dam	372	\N	180	-114.75	640	Lake Mead	Lake
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	http://www.semwebtech.org/mondial/10/river/Tennessee/	35.4	http://www.semwebtech.org/mondial/10/river/Tennessee/	\N	\N	\N	\N	-85	147	Chickamauga Lake	Lake
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	\N	\N	\N	\N	\N	\N	1355	\N	\N	Marmara Sea	Sea
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	\N	\N	\N	\N	\N	\N	3372	\N	\N	Sea of Okhotsk	Sea
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	http://www.semwebtech.org/mondial/10/river/RioLerma/	20.22	http://www.semwebtech.org/mondial/10/river/RioLerma/	\N	1520	\N	12	-103.05	1685	Lago de Chapala	Lake
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	http://www.semwebtech.org/mondial/10/river/Vuoksi/	62.9	http://www.semwebtech.org/mondial/10/river/Vuoksi/	\N	\N	\N	\N	27.7	472	Kallavesi	Lake
http://www.semwebtech.org/mondial/10/river/Sobat/	http://www.semwebtech.org/mondial/10/river/WhiteNile/	\N	\N	\N	\N	740	\N	\N	225000	Sobat	River
http://www.semwebtech.org/mondial/10/sea/SuluSea/	\N	\N	\N	\N	\N	\N	6218	\N	\N	Sulu Sea	Sea
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/lake/ChadLake/	\N	\N	\N	\N	1400	\N	\N	548747	Schari	River
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	43.69	\N	\N	176	\N	281	-87.08	57800	Lake Michigan	Lake
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	\N	41.15	\N	salt	1279	\N	10	-112.6	4400	Great Salt Lake	Lake
http://www.semwebtech.org/mondial/10/river/Kwa/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	100	\N	\N	\N	Kwa	River
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	http://www.semwebtech.org/mondial/10/river/NelsonRiver/	52.77	\N	\N	218	\N	18	-97.97	24420	Lake Winnipeg	Lake
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/river/Glomma/	\N	\N	\N	\N	322	\N	\N	\N	Lagen	River
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	\N	\N	\N	\N	\N	\N	5420	\N	\N	South China Sea	Sea
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	http://www.semwebtech.org/mondial/10/river/Drin/	\N	\N	\N	\N	175	\N	\N	4964	White Drin	River
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/river/Narva/	58.68	\N	\N	30	\N	14.6	27.49	3555	Ozero Pskovskoje	Lake
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	\N	-30.5	\N	salt	71	\N	19	-62.67	5770	Laguna Mar Chiquita	Lake
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	\N	47.8	\N	\N	115.5	\N	1.8	16.7	320	Neusiedlersee	Lake
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/river/Mincio/	45.6	\N	\N	65	\N	346	10.65	370	Lago di Garda	Lake
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	\N	11.2	\N	salt	243	\N	37	41.8	320	Lake Abbe	Lake
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/river/Vuoksi/	61.3	http://www.semwebtech.org/mondial/10/river/Vuoksi/	\N	76	\N	85	28	4370	Saimaa	Lake
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	\N	\N	\N	\N	\N	\N	3970	\N	\N	Norwegian Sea	Sea
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/river/Volga/	\N	\N	\N	\N	1480	\N	\N	\N	Oka	River
http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	\N	\N	200	\N	\N	North Sea	Sea
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	\N	-3.6	\N	salt	1030	\N	\N	35	1050	Lake Eyasi	Lake
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	\N	10	\N	acid	3200	\N	\N	-83.9	1	Lake Irazu	Lake
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	http://www.semwebtech.org/mondial/10/river/RioSanJuan/	12.35	http://www.semwebtech.org/mondial/10/river/RioSanJuan/	\N	39	\N	20	-86.4	1035	Lake Managua	Lake
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/river/Nile/	\N	\N	\N	\N	1120	\N	\N	112000	Atbara	River
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/river/Drau/	\N	\N	\N	\N	453	\N	\N	13824	Mur	River
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/	\N	\N	\N	\N	2170	\N	\N	413674	Irawaddy	River
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/sea/TheChannel/	\N	\N	\N	\N	776	\N	\N	75000	Seine	River
http://www.semwebtech.org/mondial/10/lake/Siljan/	http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	60.85	http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	impact	161	\N	134	14.8	290	Siljan	Lake
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	\N	43.1	\N	caldera	259	\N	7	12.1	128	Lago Trasimeno	Lake
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	\N	\N	\N	\N	1870	\N	\N	425600	Don	River
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	\N	\N	\N	\N	1392	\N	\N	146100	Saskatchewan River	River
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/river/Missouri/	47.48	http://www.semwebtech.org/mondial/10/river/Missouri/	dam	\N	\N	55	-101.42	1578	Lake Sakakawea	Lake
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/river/YukonRiver/	59.5	\N	\N	668	\N	283	-133.75	798	Atlin Lake	Lake
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	http://www.semwebtech.org/mondial/10/river/Asahan/	-8.4	\N	caldera	2008	\N	190	116.45	11.3	Segara Anak	Lake
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	http://www.semwebtech.org/mondial/10/river/VictoriaNile/	1.5	http://www.semwebtech.org/mondial/10/river/VictoriaNile/	\N	914	\N	5.7	33	1720	Lake Kioga	Lake
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	897	\N	\N	98400	Douro	River
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	\N	\N	\N	\N	\N	\N	3113	\N	\N	Andaman Sea	Sea
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	\N	\N	\N	\N	\N	\N	5143	\N	\N	Gulf of Aden	Sea
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/lake/LakeKeban/	\N	\N	\N	\N	720	\N	\N	\N	Karasu	River
http://www.semwebtech.org/mondial/10/sea/TheChannel/	\N	\N	\N	\N	\N	\N	175	\N	\N	The Channel	Sea
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/river/Dalaelv/	\N	\N	\N	\N	241	\N	\N	\N	Oesterdalaelv	River
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	1047	\N	\N	194424	Weichsel	River
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	\N	34.5	\N	salt	790	\N	1	51.88	1800	Daryacheh ye Namak	Lake
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	\N	\N	\N	\N	\N	\N	\N	\N	Victoria Nile	River
http://www.semwebtech.org/mondial/10/lake/Ammersee/	http://www.semwebtech.org/mondial/10/river/Ammer/	48	http://www.semwebtech.org/mondial/10/river/Ammer/	\N	533	\N	81.1	11.6	46.6	Ammersee	Lake
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	\N	\N	\N	1750	\N	\N	413000	Limpopo	River
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	657	\N	\N	56978	Guadalquivir	River
http://www.semwebtech.org/mondial/10/lake/Storuman/	http://www.semwebtech.org/mondial/10/river/Umeaelv/	65.22	http://www.semwebtech.org/mondial/10/river/Umeaelv/	\N	419	\N	139	16.88	173	Storuman	Lake
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	-35.3	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	dam	556	\N	\N	149.1	6.64	Lake Burley Griffin	Lake
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/	\N	\N	\N	\N	2428	\N	\N	244280	Ural	River
http://www.semwebtech.org/mondial/10/river/Umeaelv/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	470	\N	\N	\N	Umeaelv	River
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	\N	\N	\N	\N	83	\N	\N	\N	Eucumbene River	River
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	\N	-22.8	\N	crater	5600	\N	\N	-67.9	0.005	Licancabur Crater Lake	Lake
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/river/Ticino/	45.95	http://www.semwebtech.org/mondial/10/river/Ticino/	\N	193	\N	372	8.6	216	Lago Maggiore	Lake
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/river/Jordan/	32.81	http://www.semwebtech.org/mondial/10/river/Jordan/	\N	-212	\N	46	35.6	165	Lake Genezareth	Lake
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/river/Luapula/	-11.2	\N	\N	1140	\N	4	29.7	10000	Lake Bangweulu	Lake
http://www.semwebtech.org/mondial/10/lake/Thunersee/	http://www.semwebtech.org/mondial/10/river/Aare/	46.69	http://www.semwebtech.org/mondial/10/river/Aare/	\N	558	\N	217	7.716	48.3	Thunersee	Lake
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	http://www.semwebtech.org/mondial/10/river/Würm/	47.92	http://www.semwebtech.org/mondial/10/river/Würm/	\N	584	\N	127.7	11.32	56.36	Starnberger See	Lake
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	\N	-28.6	\N	salt	-17	\N	4	137.3	9500	Lake Eyre	Lake
http://www.semwebtech.org/mondial/10/river/Lukuga/	http://www.semwebtech.org/mondial/10/river/Lualaba/	\N	\N	\N	\N	350	\N	\N	\N	Lukuga	River
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/river/Niger/	\N	\N	\N	\N	430	\N	\N	\N	Bani	River
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	\N	\N	\N	\N	\N	\N	6218	\N	\N	Sulawesi Sea	Sea
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	\N	\N	\N	\N	\N	\N	3350	\N	\N	Gulf of Oman	Sea
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	\N	\N	\N	\N	1538	\N	\N	263858	Rio Magdalena	River
http://www.semwebtech.org/mondial/10/lake/LakeTana/	http://www.semwebtech.org/mondial/10/river/BlueNile/	12	\N	\N	1830	\N	14	37.3	3000	Lake Tana	Lake
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/river/Lagen/	60.65	http://www.semwebtech.org/mondial/10/river/Lagen/	\N	123	\N	449	11	368	Mjoesa-See	Lake
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	http://www.semwebtech.org/mondial/10/river/Zambezi/	-15.6	http://www.semwebtech.org/mondial/10/river/Zambezi/	dam	326	\N	\N	32.7	2800	Lake Cabora-Bassa	Lake
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/lake/PyramidLake/	\N	\N	\N	\N	225	\N	\N	\N	Truckee River	River
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/river/Angara/	53	http://www.semwebtech.org/mondial/10/river/Angara/	\N	455	\N	1637	108	31492	Ozero Baikal	Lake
http://www.semwebtech.org/mondial/10/lake/DeadSea/	\N	31.3	\N	salt	-422	\N	378	35.5	41650	Dead Sea	Lake
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/river/Rhein/	47.6	http://www.semwebtech.org/mondial/10/river/Rhein/	\N	395	\N	254	9.4	538.5	Bodensee	Lake
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	http://www.semwebtech.org/mondial/10/river/BlackDrin/	41	\N	\N	695	\N	289	20.7	367	Lake Ohrid	Lake
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	\N	-20.1	\N	salt	3650	\N	0	-67.5	10582	Salar de Uyuni	Lake
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	\N	\N	\N	965	\N	\N	\N	Rio Lerma	River
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/river/Chire/	-12	\N	\N	474	\N	704	34	29600	Lake Malawi	Lake
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	\N	\N	\N	\N	2511	\N	\N	1016104	Ganges	River
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	\N	3.6	\N	salt	375	\N	73	36.1	6405	Lake Turkana	Lake
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	-9.46	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	dam	\N	\N	\N	-40.7	4214	Lago de Sobradinho	Lake
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	\N	36.9	\N	salt	3195	\N	\N	100.2	4583	Qinghai Lake	Lake
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	\N	\N	\N	\N	\N	\N	102	\N	\N	Persian Gulf	Sea
http://www.semwebtech.org/mondial/10/lake/LochLomond/	\N	56.08	\N	\N	7.9	\N	190	-4.59	71	Loch Lomond	Lake
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	2830	\N	\N	617812	Rio Sao Francisco	River
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	\N	\N	\N	\N	\N	\N	4846	\N	\N	Greenland Sea	Sea
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/river/Syrdarja/	\N	\N	\N	\N	807	\N	\N	\N	Naryn	River
http://www.semwebtech.org/mondial/10/river/Breg/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	45.9	\N	\N	291.2	Breg	River
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	1308	\N	\N	146500	Theiss	River
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	925	\N	\N	34548	Maas	River
http://www.semwebtech.org/mondial/10/river/Mincio/	http://www.semwebtech.org/mondial/10/river/Po/	\N	\N	\N	\N	75	\N	\N	2859	Mincio	River
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	\N	-15.3	\N	salt	474	\N	2	35.7	687	Lake Chilwa	Lake
http://www.semwebtech.org/mondial/10/lake/Inari/	http://www.semwebtech.org/mondial/10/river/Paatsjoki/	68.95	\N	\N	119	\N	92	27.7	1040	Inari	Lake
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	\N	\N	\N	\N	2739	\N	\N	\N	Darling River	River
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	742	\N	\N	67733	Guadiana	River
http://www.semwebtech.org/mondial/10/lake/Poopo/	\N	-18.55	\N	salt	3686	\N	4	-67.1	1340	Poopo	Lake
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1790	\N	\N	297199	Uruguay	River
http://www.semwebtech.org/mondial/10/lake/LopNor/	\N	40.2	\N	salt	780	\N	0	90.6	5000	Lop Nor	Lake
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	http://www.semwebtech.org/mondial/10/river/Kemijoki/	\N	\N	\N	\N	300	\N	\N	13968	Ounasjoki	River
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	\N	\N	9219	\N	\N	Atlantic Ocean	Sea
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	\N	\N	\N	\N	1579	\N	\N	\N	Murrumbidgee River	River
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	43.695	\N	\N	75	\N	244	-77.96	18960	Lake Ontario	Lake
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	http://www.semwebtech.org/mondial/10/sea/Kattegat/	\N	\N	\N	\N	93	\N	\N	50180	Goetaaelv	River
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	\N	\N	\N	\N	\N	\N	5203	\N	\N	Arabian Sea	Sea
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/river/Aare/	\N	\N	\N	\N	36.3	\N	\N	2416	Limmat	River
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	http://www.semwebtech.org/mondial/10/river/Missouri/	48	http://www.semwebtech.org/mondial/10/river/Missouri/	dam	\N	\N	67	-106.4	981	Fort Peck Lake	Lake
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	http://www.semwebtech.org/mondial/10/river/SnowyRiver/	-36.45	http://www.semwebtech.org/mondial/10/river/SnowyRiver/	dam	915	\N	\N	148.6	30	Lake Jindabyne	Lake
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	\N	6.3	\N	salt	619	\N	13	37.8	1285	Lake Abaya	Lake
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	264	\N	\N	3926	Lech	River
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/river/Ruzizi/	-1.8	\N	\N	1462	\N	450	29.2	2650	Lake Kivu	Lake
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/river/Narew/	\N	\N	\N	\N	772	\N	\N	39400	Western Bug	River
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/	\N	\N	\N	\N	1809	\N	\N	\N	Petschora	River
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	\N	\N	\N	\N	\N	\N	540	\N	\N	East Sibirian Sea	Sea
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	\N	74.5	\N	\N	5	\N	26	101.6	4560	Ozero Taimyr	Lake
http://www.semwebtech.org/mondial/10/river/Fimi/	http://www.semwebtech.org/mondial/10/river/Kwa/	\N	\N	\N	\N	200	\N	\N	\N	Fimi	River
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	\N	\N	\N	\N	\N	\N	104	\N	\N	Malakka Strait	Sea
http://www.semwebtech.org/mondial/10/river/Moraca/	http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	\N	\N	\N	\N	99.5	\N	\N	1600	Moraca	River
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	\N	54.9	\N	\N	10	\N	106	77.5	2500	Ozero Tschany	Lake
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	953	\N	\N	27500	Pruth	River
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	47.95	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	dam	\N	\N	\N	-119	337	Franklin. D. Roosevelt Lake	Lake
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/river/Seine/	\N	\N	\N	\N	514	\N	\N	12800	Marne	River
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	\N	\N	\N	\N	199	\N	\N	\N	Rio San Juan	River
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	\N	42.4	\N	salt	1609	\N	668	77.2	6236	Issyk-Kul	Lake
http://www.semwebtech.org/mondial/10/river/Enns/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	254	\N	\N	5940	Enns	River
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	\N	\N	\N	\N	1903	\N	\N	886300	Mackenzie River	River
http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	\N	\N	459	\N	\N	Baltic Sea	Sea
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/river/Bartang/	\N	\N	\N	\N	395	\N	\N	\N	Murgab	River
http://www.semwebtech.org/mondial/10/river/Buna/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	44	\N	\N	5187	Buna	River
http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	\N	\N	\N	\N	\N	2211	\N	\N	Black Sea	Sea
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/river/Zaire/	-4.3	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	272	\N	10	15.5	500	Malebo Pool	Lake
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	\N	-8	\N	salt	800	\N	5	32.35	5760	Lake Rukwa	Lake
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	-15.84	\N	\N	3812	\N	281	-69.33	8372	Lake Titicaca	Lake
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	47.7675	\N	\N	184	\N	405	-87.37	82103	Lake Superior	Lake
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	http://www.semwebtech.org/mondial/10/river/Adda/	46	http://www.semwebtech.org/mondial/10/river/Adda/	\N	197	\N	425	9.3	146	Lago di Como	Lake
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/river/DetroitRiver/	44.795	\N	\N	176	\N	229	-82.44	59600	Lake Huron	Lake
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	43.6	\N	\N	153	\N	55	-71.3	186	Lake Winnipesaukee	Lake
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	2450	\N	\N	749200	Tocantins	River
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	http://www.semwebtech.org/mondial/10/river/Alz/	47.9	http://www.semwebtech.org/mondial/10/river/Alz/	\N	518	\N	73	12.4	80	Chiemsee	Lake
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/river/Tambo/	\N	\N	\N	\N	724	\N	\N	15410	Mantaro	River
http://www.semwebtech.org/mondial/10/river/Perene/	http://www.semwebtech.org/mondial/10/river/Tambo/	\N	\N	\N	\N	165	\N	\N	\N	Perene	River
http://www.semwebtech.org/mondial/10/river/Fulda/	http://www.semwebtech.org/mondial/10/river/Weser/	\N	\N	\N	\N	221	\N	\N	6947	Fulda	River
http://www.semwebtech.org/mondial/10/river/Aller/	http://www.semwebtech.org/mondial/10/river/Weser/	\N	\N	\N	\N	211	\N	\N	15744	Aller	River
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	\N	26.94	\N	\N	\N	\N	4	-80.8	1890	Lake Okeechobee	Lake
http://www.semwebtech.org/mondial/10/lake/ChadLake/	\N	13.2	\N	salt	250	\N	7	14	23000	Chad Lake	Lake
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/river/Weser/	\N	\N	\N	\N	292	\N	\N	5496	Werra	River
http://www.semwebtech.org/mondial/10/river/Bartang/	http://www.semwebtech.org/mondial/10/river/Pjandsh/	\N	\N	\N	\N	133	\N	\N	\N	Bartang	River
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/river/OhioRiver/	\N	\N	\N	\N	523	\N	\N	29992	Allegheny River	River
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/river/Dalaelv/	\N	\N	\N	\N	320	\N	\N	\N	Vaesterdalaelv	River
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	\N	\N	\N	\N	\N	\N	7240	\N	\N	Caribbean Sea	Sea
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	\N	\N	\N	\N	\N	6400	\N	\N	Indian Ocean	Sea
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	http://www.semwebtech.org/mondial/10/river/Sanaga/	6.4	http://www.semwebtech.org/mondial/10/river/Sanaga/	dam	\N	\N	\N	12.75	\N	Barrage de Mbakaou	Lake
http://www.semwebtech.org/mondial/10/sea/IrishSea/	\N	\N	\N	\N	\N	\N	272	\N	\N	Irish Sea	Sea
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/river/Mosel/	\N	\N	\N	\N	227	\N	\N	7431	Saar	River
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/river/Elbe/	\N	\N	\N	\N	440	\N	\N	28000	Moldau	River
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/river/Morava/	\N	\N	\N	\N	295	\N	\N	15469	Southern Morava	River
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	78	\N	\N	\N	Narva	River
http://www.semwebtech.org/mondial/10/river/Suchona/	http://www.semwebtech.org/mondial/10/river/NorthernDwina/	\N	\N	\N	\N	558	\N	\N	50300	Suchona	River
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/river/Missouri/	44.45	http://www.semwebtech.org/mondial/10/river/Missouri/	dam	\N	\N	\N	-100.4	1453	Lake Oahe	Lake
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/river/Volga/	53.5	http://www.semwebtech.org/mondial/10/river/Volga/	dam	53	\N	41	49.45	6450	Kuybyshev Reservoir	Lake
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/river/Drina/	\N	\N	\N	\N	140	\N	\N	\N	Tara	River
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	\N	-2.4	\N	salt	600	\N	2	36	1040	Lake Natron	Lake
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	9.72	\N	\N	0	\N	50	-71.55	13000	Lake Maracaibo	Lake
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/river/Kasai/	\N	\N	\N	\N	970	\N	\N	\N	Lulua	River
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	\N	46.55	\N	salt	342	\N	26	74.88	18428	Ozero Balchash	Lake
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/river/Swir/	61.67	\N	\N	33	\N	127	35.485	9616	Ozero Onega	Lake
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	647	\N	\N	55000	Garonne	River
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	\N	4.7	\N	salt	520	\N	7.5	36.85	800	Chew Bahir	Lake
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/river/SchattalArab/	\N	\N	\N	\N	950	\N	\N	\N	Karun	River
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/river/Ucayali/	\N	\N	\N	\N	750	\N	\N	\N	Urubamba	River
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/river/Goetaaelv/	58.8	\N	\N	44	\N	106	13.3	5648	Vaenern	Lake
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/river/Maranon/	\N	\N	\N	\N	1138	\N	\N	\N	Huallaga	River
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/river/Ubangi/	\N	\N	\N	\N	1130	\N	\N	\N	Uelle	River
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/lake/Poopo/	\N	\N	\N	\N	383	\N	\N	\N	Rio Desaguadero	River
http://www.semwebtech.org/mondial/10/river/Neckar/	http://www.semwebtech.org/mondial/10/river/Rhein/	\N	\N	\N	\N	367	\N	\N	14000	Neckar	River
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/river/RioSanJuan/	11.6	\N	\N	31	\N	45	-85.35	8157	Lake Nicaragua	Lake
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	39	\N	\N	1900	\N	501	-120	497	Lake Tahoe	Lake
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	\N	50.4	\N	caldera	275	\N	53	7.3	3.3	Laacher Maar	Lake
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	\N	41	\N	salt	-28	\N	995	51	386400	Caspian Sea	Lake
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/lake/LakeKeban/	\N	\N	\N	\N	720	\N	\N	\N	Murat	River
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	http://www.semwebtech.org/mondial/10/river/Mantaro/	-11.02	\N	\N	4082	\N	12	-76.12	175	Lago Junin	Lake
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/river/Limmat/	47.501794	\N	\N	406	\N	136	8.236313	88	Zurichsee	Lake
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	\N	30.8	\N	salt	500	\N	\N	61.2	1600	Hamun e Jaz Murian	Lake
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/river/Rhone/	46.5	http://www.semwebtech.org/mondial/10/river/Rhone/	\N	372	\N	310	6.5	581	Lac Leman	Lake
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/sea/BeringSea/	\N	\N	\N	\N	3185	\N	\N	\N	Yukon River	River
http://www.semwebtech.org/mondial/10/sea/JavaSea/	\N	\N	\N	\N	\N	\N	2333	\N	\N	Java Sea	Sea
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/river/Kymijoki/	61.5	\N	\N	78	\N	95	25.4	1118	Paeijaenne	Lake
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/lake/OzeroAral/	\N	\N	\N	\N	2129	\N	\N	782669	Syrdarja	River
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	\N	\N	\N	\N	\N	\N	5608	\N	\N	Arctic Ocean	Sea
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	\N	6.5	\N	impact	107	\N	81	-1.4	49	Lake Bosumtwi	Lake
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	\N	49.83	\N	\N	260	\N	165	-88.5	4848	Lake Nipigon	Lake
http://www.semwebtech.org/mondial/10/river/Newa/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	74	\N	\N	281000	Newa	River
http://www.semwebtech.org/mondial/10/river/Swir/	http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	\N	\N	\N	\N	224	\N	\N	\N	Swir	River
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/river/Inn/	\N	\N	\N	\N	225	\N	\N	6700	Salzach	River
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	\N	40.96	\N	\N	995	\N	1.5	-1.5	14.4	Laguna de Gallocanta	Lake
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	\N	\N	\N	1953	\N	\N	668217	Columbia River	River
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/river/Rhone/	\N	\N	\N	\N	480	\N	\N	\N	Saone	River
http://www.semwebtech.org/mondial/10/lake/Arresoe/	\N	56	\N	\N	\N	\N	5.6	12.1	40.2	Arresoe	Lake
http://www.semwebtech.org/mondial/10/river/Drin/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	152	\N	\N	11756	Drin	River
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	-36.1	http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	dam	1200	\N	\N	148.6	145	Lake Eucumbene	Lake
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	493	\N	\N	5405	Hudson River	River
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	\N	10.24	\N	asphalt	\N	\N	75	-61.64	0.4	La Brea Pitch Lake	Lake
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	655	\N	\N	\N	Connecticut River	River
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	\N	\N	\N	403	\N	\N	\N	Snowy River	River
http://www.semwebtech.org/mondial/10/river/Chatanga/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	\N	\N	\N	\N	1636	\N	\N	275000	Chatanga	River
http://www.semwebtech.org/mondial/10/river/Busira/	http://www.semwebtech.org/mondial/10/river/Ruki/	\N	\N	\N	\N	830	\N	\N	\N	Busira	River
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	\N	\N	\N	\N	206	\N	\N	\N	Joekulsa a Fjoellum	River
http://www.semwebtech.org/mondial/10/river/Nile/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	\N	\N	\N	3254853	Nile	River
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/river/Luvua/	-9	\N	\N	931	\N	27	28.7	5120	Lake Mweru	Lake
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/river/Save/	\N	\N	\N	\N	346	\N	\N	19926	Drina	River
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/sea/KaraSea/	\N	\N	\N	\N	4092	\N	\N	2554482	Jenissej	River
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	2160	\N	\N	973000	Oranje	River
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/river/Newa/	60.82	\N	\N	4	\N	225	31.53	18400	Ozero Ladoga	Lake
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/river/VictoriaNile/	-1	\N	\N	1134	\N	85	33	68870	Lake Victoria	Lake
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	http://www.semwebtech.org/mondial/10/river/Aare/	46.73	http://www.semwebtech.org/mondial/10/river/Aare/	\N	564	\N	260	7.97	29.8	Brienzersee	Lake
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/river/Lukuga/	-6	\N	\N	782	\N	1470	30	32893	Lake Tanganjika	Lake
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/river/WhiteNile/	\N	\N	\N	\N	716	\N	\N	\N	Bahr el-Ghasal	River
http://www.semwebtech.org/mondial/10/river/WesternMorava/	http://www.semwebtech.org/mondial/10/river/Morava/	\N	\N	\N	\N	308	\N	\N	15849	Western Morava	River
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	\N	\N	\N	\N	Lualaba	River
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	346	\N	\N	12935	Thames	River
http://www.semwebtech.org/mondial/10/lake/LacAssal/	\N	11.65	\N	salt	-155	\N	\N	42.4	54	Lac Assal	Lake
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/river/Parana/	\N	\N	\N	\N	2549	\N	\N	1168540	Paraguay	River
http://www.semwebtech.org/mondial/10/river/WhiteNile/	http://www.semwebtech.org/mondial/10/river/Nile/	\N	\N	\N	\N	\N	\N	\N	\N	White Nile	River
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	866	\N	\N	118861	Oder	River
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/river/WhiteNile/	\N	\N	\N	\N	\N	\N	\N	\N	Bahr el-Djebel/Albert-Nil	River
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/river/Ubangi/	\N	\N	\N	\N	280	\N	\N	\N	Bomu	River
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1120	\N	\N	69931	Gambia	River
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	\N	\N	\N	\N	\N	\N	4316	\N	\N	Labrador Sea	Sea
http://www.semwebtech.org/mondial/10/river/Isere/	http://www.semwebtech.org/mondial/10/river/Rhone/	\N	\N	\N	\N	290	\N	\N	11800	Isere	River
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/river/Amur/	\N	\N	\N	\N	1620	\N	\N	164000	Argun	River
http://www.semwebtech.org/mondial/10/river/Okavango/	\N	\N	\N	\N	\N	1700	\N	\N	721.258	Okavango	River
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/	\N	\N	\N	\N	3531	\N	\N	1410000	Volga	River
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/river/Rhein/	\N	\N	\N	\N	544	\N	\N	28286	Mosel	River
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	615	\N	\N	24010	Olt	River
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/river/Drina/	\N	\N	\N	\N	120	\N	\N	1270	Piva	River
http://www.semwebtech.org/mondial/10/river/Asahan/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	\N	\N	\N	\N	150	\N	\N	\N	Asahan	River
http://www.semwebtech.org/mondial/10/sea/KaraSea/	\N	\N	\N	\N	\N	\N	\N	\N	\N	Kara Sea	Sea
http://www.semwebtech.org/mondial/10/river/Alz/	http://www.semwebtech.org/mondial/10/river/Inn/	\N	\N	\N	\N	150	\N	\N	2197	Alz	River
http://www.semwebtech.org/mondial/10/river/Ammer/	http://www.semwebtech.org/mondial/10/river/Isar/	\N	\N	\N	\N	168	\N	\N	3100	Ammer	River
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/lake/Vaenern/	\N	\N	\N	\N	460	\N	\N	\N	Klaraelv	River
http://www.semwebtech.org/mondial/10/river/Tambo/	http://www.semwebtech.org/mondial/10/river/Ucayali/	\N	\N	\N	\N	160	\N	\N	\N	Tambo	River
http://www.semwebtech.org/mondial/10/river/Adda/	http://www.semwebtech.org/mondial/10/river/Po/	\N	\N	\N	\N	313	\N	\N	7979	Adda	River
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/river/Sobat/	\N	\N	\N	\N	320	\N	\N	10000	Pibor	River
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	\N	\N	\N	\N	4400	\N	\N	2306772	Lena	River
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	\N	\N	\N	\N	4350	\N	\N	795000	Mekong	River
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/river/Fimi/	\N	\N	\N	\N	900	\N	\N	\N	Lukenie	River
http://www.semwebtech.org/mondial/10/river/Würm/	http://www.semwebtech.org/mondial/10/river/Ammer/	\N	\N	\N	\N	35	\N	\N	3100	Würm	River
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/river/Ob/	\N	\N	\N	\N	4248	\N	\N	1673470	Irtysch	River
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	\N	\N	\N	\N	\N	\N	725	\N	\N	Skagerrak	Sea
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	\N	\N	\N	2330	\N	\N	629100	Colorado	River
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/river/Kasai/	\N	\N	\N	\N	970	\N	\N	\N	Cuilo	River
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	147	\N	\N	2152	Iller	River
http://www.semwebtech.org/mondial/10/lake/NamCo/	\N	30.7	\N	salt	4718	\N	125	90.55	1855	Nam Co	Lake
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	\N	\N	\N	\N	2824	\N	\N	1855000	Amur	River
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	\N	\N	\N	\N	124	\N	\N	23400	Riviere Richelieu	River
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	3998	\N	\N	2582672	Parana	River
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	\N	\N	\N	\N	\N	\N	100	\N	\N	Sea of Azov	Sea
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/river/Jubba/	\N	\N	\N	\N	1820	\N	\N	336627	Shabelle	River
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	\N	45	\N	\N	\N	\N	\N	132.4	4400	Ozero Chanka	Lake
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/river/Busira/	\N	\N	\N	\N	1300	\N	\N	\N	Tshuapa	River
http://www.semwebtech.org/mondial/10/river/Morava/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	185	\N	\N	37444	Morava	River
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	\N	\N	\N	\N	\N	\N	\N	\N	\N	Hudson Bay	Sea
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/	\N	\N	\N	\N	604	\N	\N	\N	Glomma	River
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/lake/LakeMweru/	\N	\N	\N	\N	300	\N	\N	\N	Luapula	River
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	295	\N	\N	8370	Isar	River
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	4374	\N	\N	3700000	Zaire	River
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	652	\N	\N	75000	Po	River
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/river/Amazonas/	\N	\N	\N	\N	1905	\N	\N	382877	Maranon	River
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/lake/LakeHuron/	\N	\N	\N	\N	0.1	\N	\N	\N	Straits of Mackinac	River
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	403	\N	\N	10640	Waag	River
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	812	\N	\N	100000	Rhone	River
http://www.semwebtech.org/mondial/10/river/Luvua/	http://www.semwebtech.org/mondial/10/river/Lualaba/	\N	\N	\N	\N	350	\N	\N	265300	Luvua	River
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/river/Sobat/	\N	\N	\N	\N	306	\N	\N	41400	Baro	River
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/river/Ganges/	\N	\N	\N	\N	2896	\N	\N	651334	Brahmaputra	River
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	\N	\N	\N	\N	3034	\N	\N	607965	Rio Grande	River
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/lake/LakeErie/	\N	\N	\N	\N	200	\N	\N	\N	Detroit River	River
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/lake/DeadSea/	\N	\N	\N	\N	251	\N	\N	\N	Jordan	River
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	\N	\N	\N	\N	104	\N	\N	\N	Ruzizi	River
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/river/Tambo/	\N	\N	\N	\N	730	\N	\N	\N	Apurimac	River
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/river/Rhein/	\N	\N	\N	\N	288	\N	\N	17620	Aare	River
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/river/Weichsel/	\N	\N	\N	\N	448	\N	\N	\N	Narew	River
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1013	\N	\N	117000	Loire	River
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	\N	\N	\N	\N	\N	\N	4045	\N	\N	Gulf of Bengal	Sea
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/lake/LopNor/	\N	\N	\N	\N	3260	\N	\N	\N	Tarim-Yarkend	River
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	\N	\N	\N	2589	\N	\N	1050111	Murray River	River
http://www.semwebtech.org/mondial/10/river/Arno/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	240	\N	\N	8200	Arno	River
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	http://www.semwebtech.org/mondial/10/river/Oulujoki/	64.3	\N	\N	123	\N	35	27.25	928	Oulujaervi	Lake
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	\N	\N	\N	\N	\N	\N	2370	\N	\N	East China Sea	Sea
http://www.semwebtech.org/mondial/10/lake/Balaton/	\N	46.8	\N	\N	104	\N	12.5	17.6	594	Balaton	Lake
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/river/Nile/	\N	\N	\N	\N	1783	\N	\N	\N	Blue Nile	River
http://www.semwebtech.org/mondial/10/river/Ruki/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	130	\N	\N	\N	Ruki	River
http://www.semwebtech.org/mondial/10/river/Ene/	http://www.semwebtech.org/mondial/10/river/Tambo/	\N	\N	\N	\N	180	\N	\N	\N	Ene	River
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	\N	\N	\N	\N	992	\N	\N	447000	Selenge	River
http://www.semwebtech.org/mondial/10/sea/Kattegat/	\N	\N	\N	\N	\N	\N	94	\N	\N	Kattegat	Sea
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/river/Kwa/	\N	\N	\N	\N	1983	\N	\N	\N	Kasai	River
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/	\N	\N	\N	\N	664	\N	\N	1093442	Nelson River	River
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	918	\N	\N	\N	Sanaga	River
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	203	\N	\N	\N	Kymijoki	River
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/river/Aller/	\N	\N	\N	\N	281	\N	\N	6512	Leine	River
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	177	\N	\N	12900	Merrimack River	River
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1430	\N	\N	337000	Senegal	River
http://www.semwebtech.org/mondial/10/river/Manicouagan/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	\N	\N	\N	\N	560	\N	\N	\N	Manicouagan	River
http://www.semwebtech.org/mondial/10/lake/LochNess/	\N	57.31	\N	\N	16	\N	226	-4.44	56	Loch Ness	Lake
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/lake/LakeHuron/	\N	\N	\N	\N	120	\N	\N	\N	Saint Marys River	River
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/river/Tocantins/	\N	\N	\N	\N	2198	\N	\N	384800	Araguaia	River
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	\N	\N	\N	2201	\N	\N	531817	Dnepr	River
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1197	\N	\N	1030000	Saint Lawrence River	River
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/river/Po/	\N	\N	\N	\N	248	\N	\N	7228	Ticino	River
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	\N	\N	\N	\N	6380	\N	\N	1722155	Jangtse	River
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	945	\N	\N	95419	Save	River
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	415	\N	\N	12200	Etsch	River
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1007	\N	\N	80600	Tajo	River
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/river/Oranje/	\N	\N	\N	\N	1251	\N	\N	973000	Vaal	River
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	\N	\N	\N	1352	\N	\N	72100	Dnjestr	River
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	\N	\N	\N	\N	2129	\N	\N	526000	Kolyma	River
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	2140	\N	\N	\N	Orinoco	River
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/river/Amazonas/	\N	\N	\N	\N	1450	\N	\N	\N	Rio Madeira	River
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/river/SchattalArab/	\N	\N	\N	\N	2736	\N	\N	\N	Euphrat	River
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/	\N	\N	\N	\N	740	\N	\N	357052	Northern Dwina	River
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	358	\N	\N	27633	March	River
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/river/Niger/	\N	\N	\N	\N	1400	\N	\N	\N	Benue	River
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/river/Amudarja/	\N	\N	\N	\N	1141	\N	\N	\N	Pjandsh	River
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/river/Mississippi/	\N	\N	\N	\N	4130	\N	\N	1371010	Missouri	River
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	1450	\N	\N	\N	Lomami	River
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/lake/OzeroAral/	\N	\N	\N	\N	1415	\N	\N	465000	Amudarja	River
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/sea/YellowSea/	\N	\N	\N	\N	4845	\N	\N	752000	Hwangho	River
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	\N	\N	\N	1352	\N	\N	72100	Dnister	River
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/river/Rhein/	\N	\N	\N	\N	524	\N	\N	27292	Main	River
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/	\N	\N	\N	\N	3180	\N	\N	980000	Indus	River
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/river/Irtysch/	\N	\N	\N	\N	2450	\N	\N	\N	Ischim	River
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	520	\N	\N	\N	Dalaelv	River
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	1020	\N	\N	\N	Western Dwina	River
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	250	\N	\N	1020	Raab	River
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/river/Ob/	\N	\N	\N	\N	688	\N	\N	60900	Katun	River
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	\N	\N	\N	\N	1805	\N	\N	507000	Kama	River
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/river/Kasai/	\N	\N	\N	\N	1100	\N	\N	263500	Cuango	River
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/river/Amazonas/	\N	\N	\N	\N	2253	\N	\N	720114	Rio Negro	River
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/river/RioMadeira/	\N	\N	\N	\N	1931	\N	\N	24300	Rio Mamore	River
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/	\N	\N	\N	\N	2980	\N	\N	320000	Saluen	River
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/	\N	\N	\N	\N	193	\N	\N	\N	Schatt al Arab	River
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1500	\N	\N	\N	Volta	River
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/	\N	\N	\N	\N	1364	\N	\N	218906	Kura	River
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	\N	\N	\N	1658	\N	\N	497626	Jubba	River
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	1120	\N	\N	\N	Ubangi	River
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	1324	\N	\N	198735	Rhein	River
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/river/Zambezi/	\N	\N	\N	\N	402	\N	\N	\N	Chire	River
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/river/Aare/	\N	\N	\N	\N	164	\N	\N	3425	Reuss	River
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	440	\N	\N	41.094	Weser	River
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/river/Jenissej/	\N	\N	\N	\N	1779	\N	\N	1039000	Angara	River
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	121	\N	\N	27046	Kokemaeenjoki	River
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/river/Amazonas/	\N	\N	\N	\N	1600	\N	\N	337519	Ucayali	River
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	925	\N	\N	83093	Ebro	River
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/river/Semliki/	-0.35	\N	\N	920	\N	112	29.6	2325	Rutanzige/Eduardsee	Lake
http://www.semwebtech.org/mondial/10/river/Schilka/	http://www.semwebtech.org/mondial/10/river/Amur/	\N	\N	\N	\N	560	\N	\N	\N	Schilka	River
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/river/Mississippi/	\N	\N	\N	\N	1579	\N	\N	490574	Ohio River	River
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	\N	\N	\N	\N	275	\N	\N	\N	Akagera	River
http://www.semwebtech.org/mondial/10/river/Brigach/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	43	\N	\N	195	Brigach	River
http://www.semwebtech.org/mondial/10/river/Thjorsa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	230	\N	\N	7530	Thjorsa	River
\.


--
-- TOC entry 6049 (class 0 OID 92672)
-- Dependencies: 922
-- Data for Name: X1; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "X1" ("URI", nmprop) FROM stdin;
\.


--
-- TOC entry 6050 (class 0 OID 92675)
-- Dependencies: 923
-- Data for Name: X2; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "X2" ("URI") FROM stdin;
\.


--
-- TOC entry 6051 (class 0 OID 92678)
-- Dependencies: 924
-- Data for Name: Y1; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Y1" ("URI", "invfktprop_Inv") FROM stdin;
\.


--
-- TOC entry 6052 (class 0 OID 92681)
-- Dependencies: 925
-- Data for Name: Y2; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Y2" ("URI", "invfktprop_Inv") FROM stdin;
\.


--
-- TOC entry 6053 (class 0 OID 92684)
-- Dependencies: 926
-- Data for Name: allcl; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY allcl (subclass, superclass) FROM stdin;
X2	X
Desert	Entity
Source	Entity
Volcano	Mountain
Religion	Entity
SpokenBy	Entity
Continent	Entity
Lake	Water
Organization	Entity
Y1	Y
Encompassed	Entity
Islands	Entity
Sea	Water
Water	Entity
Language	Entity
Person	rdf2sqlTOP
X	rdf2sqlTOP
Estuary	Entity
EthnicGroup	Entity
Female	Person
U	rdf2sqlTOP
Male	Person
Entity	rdf2sqlTOP
BelievedBy	Entity
River	Water
Island	Entity
Y2	Y
Y	rdf2sqlTOP
Border	Entity
City	Entity
Mountains	Entity
Country	Entity
EthnicProportion	Entity
V	rdf2sqlTOP
Mountain	Entity
X1	X
Membership	Entity
Province	Entity
\.


--
-- TOC entry 6054 (class 0 OID 92687)
-- Dependencies: 927
-- Data for Name: borders; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY borders ("Entity", "LargeArea") FROM stdin;
\.


--
-- TOC entry 6055 (class 0 OID 92690)
-- Dependencies: 928
-- Data for Name: cityIn; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "cityIn" ("City", "AdministrativeArea") FROM stdin;
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	http://www.semwebtech.org/mondial/10/country/Z/province/Western/
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	http://www.semwebtech.org/mondial/10/country/BHT/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	http://www.semwebtech.org/mondial/10/country/B/province/Namur/
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	http://www.semwebtech.org/mondial/10/country/TR/province/Adana/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/country/SY/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	http://www.semwebtech.org/mondial/10/country/MACX/
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	http://www.semwebtech.org/mondial/10/country/F/province/Picardie/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	http://www.semwebtech.org/mondial/10/country/J/province/Nara/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	http://www.semwebtech.org/mondial/10/country/R/province/Kirov/
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	http://www.semwebtech.org/mondial/10/country/S/province/Halland/
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	http://www.semwebtech.org/mondial/10/country/H/province/Tolna/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/BERM/
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/country/MH/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	http://www.semwebtech.org/mondial/10/country/GBZ/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	http://www.semwebtech.org/mondial/10/country/SME/
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	http://www.semwebtech.org/mondial/10/country/PA/province/Colón/
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/country/NAU/
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	http://www.semwebtech.org/mondial/10/country/N/province/Troms/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/country/MV/
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	http://www.semwebtech.org/mondial/10/country/TR/province/Rize/
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	http://www.semwebtech.org/mondial/10/country/GBM/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	http://www.semwebtech.org/mondial/10/country/TR/province/Kars/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	http://www.semwebtech.org/mondial/10/country/CUR/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	http://www.semwebtech.org/mondial/10/country/V/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	http://www.semwebtech.org/mondial/10/country/WSA/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	http://www.semwebtech.org/mondial/10/country/Z/province/Central/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	http://www.semwebtech.org/mondial/10/country/CH/province/Jura/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	http://www.semwebtech.org/mondial/10/country/H/province/Heves/
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	http://www.semwebtech.org/mondial/10/country/KWT/
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	http://www.semwebtech.org/mondial/10/country/AMSA/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	http://www.semwebtech.org/mondial/10/country/ARU/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	http://www.semwebtech.org/mondial/10/country/PA/province/Darién/
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	http://www.semwebtech.org/mondial/10/country/NCA/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/YV/province/Apure/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	http://www.semwebtech.org/mondial/10/country/B/province/Liège/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	http://www.semwebtech.org/mondial/10/country/PE/province/Callao/
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/country/TUV/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	http://www.semwebtech.org/mondial/10/country/HONX/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	http://www.semwebtech.org/mondial/10/country/P/province/Santarem/
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	http://www.semwebtech.org/mondial/10/country/N/province/Telemark/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	http://www.semwebtech.org/mondial/10/country/R/province/Amur/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	http://www.semwebtech.org/mondial/10/country/TR/province/Muş/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	http://www.semwebtech.org/mondial/10/country/I/province/Marche/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/GUY/
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	http://www.semwebtech.org/mondial/10/country/COCO/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	http://www.semwebtech.org/mondial/10/country/BZ/
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	http://www.semwebtech.org/mondial/10/country/BZ/
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	http://www.semwebtech.org/mondial/10/country/LAO/
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	http://www.semwebtech.org/mondial/10/country/K/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/country/BRN/
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	http://www.semwebtech.org/mondial/10/country/SA/province/Najran/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	http://www.semwebtech.org/mondial/10/country/P/province/Braganca/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	http://www.semwebtech.org/mondial/10/country/LB/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	http://www.semwebtech.org/mondial/10/country/RT/
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	http://www.semwebtech.org/mondial/10/country/TR/province/Konya/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	http://www.semwebtech.org/mondial/10/country/GH/province/Western/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	http://www.semwebtech.org/mondial/10/country/GH/province/Western/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	http://www.semwebtech.org/mondial/10/country/IND/province/Goa/
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	http://www.semwebtech.org/mondial/10/country/SK/province/Košický/
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	http://www.semwebtech.org/mondial/10/country/COOK/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	http://www.semwebtech.org/mondial/10/country/YV/province/Lara/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	http://www.semwebtech.org/mondial/10/country/P/province/Setubal/
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	http://www.semwebtech.org/mondial/10/country/L/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	http://www.semwebtech.org/mondial/10/country/FL/
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	http://www.semwebtech.org/mondial/10/country/I/province/Molise/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/country/J/province/Mie/
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	http://www.semwebtech.org/mondial/10/country/PITC/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	http://www.semwebtech.org/mondial/10/country/FGU/
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	http://www.semwebtech.org/mondial/10/country/F/province/Limousin/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	http://www.semwebtech.org/mondial/10/country/P/province/Braga/
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	http://www.semwebtech.org/mondial/10/country/SD/
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	http://www.semwebtech.org/mondial/10/country/TR/province/Van/
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	http://www.semwebtech.org/mondial/10/country/P/province/Viseu/
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	http://www.semwebtech.org/mondial/10/country/H/province/Békés/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	http://www.semwebtech.org/mondial/10/country/MAYO/
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	http://www.semwebtech.org/mondial/10/country/S/province/Örebro/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	http://www.semwebtech.org/mondial/10/country/GH/province/Central/
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	http://www.semwebtech.org/mondial/10/country/P/province/Leiria/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/country/TO/
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/country/VU/
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	http://www.semwebtech.org/mondial/10/country/P/province/Beja/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/country/J/province/Oita/
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	http://www.semwebtech.org/mondial/10/country/XMAS/
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	http://www.semwebtech.org/mondial/10/country/ER/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	http://www.semwebtech.org/mondial/10/country/TR/province/Batman/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	http://www.semwebtech.org/mondial/10/country/ARM/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/country/NIUE/
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	http://www.semwebtech.org/mondial/10/country/GUAM/
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	http://www.semwebtech.org/mondial/10/country/GNB/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	http://www.semwebtech.org/mondial/10/country/GBG/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	http://www.semwebtech.org/mondial/10/country/RSM/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/province/Maine/
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	http://www.semwebtech.org/mondial/10/country/R/province/Penza/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	http://www.semwebtech.org/mondial/10/country/RO/province/Arad/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	http://www.semwebtech.org/mondial/10/country/H/province/Vas/
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	http://www.semwebtech.org/mondial/10/country/CH/province/Zug/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	http://www.semwebtech.org/mondial/10/country/MC/
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	http://www.semwebtech.org/mondial/10/country/J/province/Shiga/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	http://www.semwebtech.org/mondial/10/country/F/province/Centre/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	http://www.semwebtech.org/mondial/10/country/F/province/Centre/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/country/J/province/Akita/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	http://www.semwebtech.org/mondial/10/country/E/province/Navarra/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	http://www.semwebtech.org/mondial/10/country/RO/province/Alba/
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	http://www.semwebtech.org/mondial/10/country/TOK/
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	http://www.semwebtech.org/mondial/10/country/TM/province/Mary/
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	http://www.semwebtech.org/mondial/10/country/Q/
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	http://www.semwebtech.org/mondial/10/country/Q/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	http://www.semwebtech.org/mondial/10/country/R/province/Perm/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	http://www.semwebtech.org/mondial/10/country/R/province/Perm/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	http://www.semwebtech.org/mondial/10/country/J/province/Gumma/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/country/BDS/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	http://www.semwebtech.org/mondial/10/country/CO/province/Meta/
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/country/BS/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	http://www.semwebtech.org/mondial/10/country/AND/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	http://www.semwebtech.org/mondial/10/country/BR/province/Acre/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	http://www.semwebtech.org/mondial/10/country/NORF/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/country/BRU/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/country/GB/province/London/
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	http://www.semwebtech.org/mondial/10/country/CEU/
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/country/MS/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	http://www.semwebtech.org/mondial/10/country/P/province/Evora/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	http://www.semwebtech.org/mondial/10/country/MEL/
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	http://www.semwebtech.org/mondial/10/country/GBJ/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	http://www.semwebtech.org/mondial/10/country/D/province/Berlin/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	http://www.semwebtech.org/mondial/10/country/WAL/
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	http://www.semwebtech.org/mondial/10/country/WAL/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	http://www.semwebtech.org/mondial/10/country/GAZA/
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	http://www.semwebtech.org/mondial/10/country/B/province/Limburg/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	http://www.semwebtech.org/mondial/10/country/RA/province/Salta/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
\.


--
-- TOC entry 6056 (class 0 OID 92693)
-- Dependencies: 929
-- Data for Name: hasAccountNo; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "hasAccountNo" ("Person", "VALUE") FROM stdin;
\.


--
-- TOC entry 6057 (class 0 OID 92699)
-- Dependencies: 930
-- Data for Name: hasChild; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "hasChild" ("Person1", "Person2") FROM stdin;
\.


--
-- TOC entry 6058 (class 0 OID 92702)
-- Dependencies: 931
-- Data for Name: hasNickname; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "hasNickname" ("Person", "VALUE") FROM stdin;
\.


--
-- TOC entry 6059 (class 0 OID 92705)
-- Dependencies: 932
-- Data for Name: inv; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY inv (property, inverse) FROM stdin;
spokenInCountry	speakLanguage
speakLanguage	spokenInCountry
invfktprop	invfktprop_Inv
invfktprop_Inv	invfktprop
liveInInfo	onEthnicGroup
onEthnicGroup	liveInInfo
languageInfo	languageInfo-
languageInfo-	languageInfo
locatedOnIsland	locatedOnIsland_Inv
locatedOnIsland_Inv	locatedOnIsland
hasSource-	hasSource
hasSource	hasSource-
cityIn	hasCity
hasCity	cityIn
marriedWith	marriedWith
belongsToIslands_Inv	belongsToIslands
belongsToIslands	belongsToIslands_Inv
locatedInWater_Inv	locatedInWater
locatedInWater	locatedInWater_Inv
hasEstuary	hasEstuary-
hasEstuary-	hasEstuary
locatedIn_Inv	locatedIn
locatedIn	locatedIn_Inv
hasProvince	isProvinceOf
isProvinceOf	hasProvince
hasFather	hasFather_Inv
hasFather_Inv	hasFather
neighbor	neighbor
borders	borders_Inv
borders_Inv	borders
inMountains	inMountains_Inv
inMountains_Inv	inMountains
wasDependentOf_Inv	wasDependentOf
wasDependentOf	wasDependentOf_Inv
isInMembership	ofMember
ofMember	isInMembership
mergesWith	mergesWith
encompasses	encompassed
encompassed	encompasses
locatedAt_Inv	locatedAt
locatedAt	locatedAt_Inv
populationcount	populationcount_Inv
populationcount_Inv	populationcount
onLanguage	spokenInInfo
spokenInInfo	onLanguage
isMember	hasMember
hasMember	isMember
liveInCountry	belongToEthnicGroup
belongToEthnicGroup	liveInCountry
believeInReligion	believedInCountry
believedInCountry	believeInReligion
hasParent	hasChild
hasChild	hasParent
isCapitalOf	capital
capital	isCapitalOf
flowsThrough_Inv	flowsThrough
flowsThrough	flowsThrough_Inv
dependentOf_Inv	dependentOf
dependentOf	dependentOf_Inv
encompassedArea	encompassedByInfo
encompassedByInfo	encompassedArea
totUpartV11prop_Inv	totUpartV11prop
totUpartV11prop	totUpartV11prop_Inv
nmprop	nmprop_Inv
nmprop_Inv	nmprop
hasMother_Inv	hasMother
hasMother	hasMother_Inv
hasBorder	bordering
bordering	hasBorder
religionInfo-	religionInfo
religionInfo	religionInfo-
encompassesInfo	encompassedBy
encompassedBy	encompassesInfo
flowsInto_Inv	flowsInto
flowsInto	flowsInto_Inv
hasHeadq	hasHeadq_Inv
hasHeadq_Inv	hasHeadq
inOrganization	hasMembership
hasMembership	inOrganization
onReligion	followedInInfo
followedInInfo	onReligion
ethnicInfo-	ethnicInfo
ethnicInfo	ethnicInfo-
\.


--
-- TOC entry 6060 (class 0 OID 92708)
-- Dependencies: 933
-- Data for Name: locatedAt; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "locatedAt" ("City", "Water") FROM stdin;
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	http://www.semwebtech.org/mondial/10/river/MerrimackRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	http://www.semwebtech.org/mondial/10/lake/LacLeman/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	http://www.semwebtech.org/mondial/10/lake/Paeijaenne/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/river/Karun/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	http://www.semwebtech.org/mondial/10/river/Theiss/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	http://www.semwebtech.org/mondial/10/river/Schilka/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/river/Asahan/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	http://www.semwebtech.org/mondial/10/river/DetroitRiver/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/river/NorthernDwina/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/river/Oulujoki/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	http://www.semwebtech.org/mondial/10/river/Raab/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	http://www.semwebtech.org/mondial/10/river/Pruth/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	http://www.semwebtech.org/mondial/10/lake/LakeKivu/
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	http://www.semwebtech.org/mondial/10/river/Dnister/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	http://www.semwebtech.org/mondial/10/river/YukonRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/lake/LakeOahe/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/lake/LacLeman/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/river/Marne/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/river/Kymijoki/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	http://www.semwebtech.org/mondial/10/river/Brahmaputra/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	http://www.semwebtech.org/mondial/10/river/Lech/
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	http://www.semwebtech.org/mondial/10/river/Paraguay/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	http://www.semwebtech.org/mondial/10/river/Karasu/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	http://www.semwebtech.org/mondial/10/river/Mantaro/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	http://www.semwebtech.org/mondial/10/river/Mur/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	http://www.semwebtech.org/mondial/10/river/Guadalquivir/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	http://www.semwebtech.org/mondial/10/river/Ischim/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	http://www.semwebtech.org/mondial/10/river/RioLerma/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/river/RioNegro/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	http://www.semwebtech.org/mondial/10/river/Inn/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	http://www.semwebtech.org/mondial/10/river/Kura/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/river/NorthernDwina/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	http://www.semwebtech.org/mondial/10/river/Karun/
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Cuango/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Cuilo/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Kwa/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	http://www.semwebtech.org/mondial/10/river/Saar/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	http://www.semwebtech.org/mondial/10/river/Theiss/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/river/Gambia/
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/river/WesternDwina/
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	http://www.semwebtech.org/mondial/10/lake/Saimaa/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	http://www.semwebtech.org/mondial/10/river/Moldau/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	http://www.semwebtech.org/mondial/10/river/DetroitRiver/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	http://www.semwebtech.org/mondial/10/river/WesternBug/
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	http://www.semwebtech.org/mondial/10/river/Ili/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/lake/LakeOahe/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	http://www.semwebtech.org/mondial/10/river/Moraca/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	http://www.semwebtech.org/mondial/10/river/Ebro/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	http://www.semwebtech.org/mondial/10/river/Paraguay/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	http://www.semwebtech.org/mondial/10/river/Amudarja/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	http://www.semwebtech.org/mondial/10/river/WesternDwina/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	http://www.semwebtech.org/mondial/10/river/SouthernMorava/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	http://www.semwebtech.org/mondial/10/river/Ucayali/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	http://www.semwebtech.org/mondial/10/river/Garonne/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	http://www.semwebtech.org/mondial/10/river/Karasu/
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	http://www.semwebtech.org/mondial/10/river/March/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	http://www.semwebtech.org/mondial/10/river/RioMadeira/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/river/Saluen/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	http://www.semwebtech.org/mondial/10/river/Pjandsh/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	http://www.semwebtech.org/mondial/10/lake/LakeSuperior/
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	http://www.semwebtech.org/mondial/10/lake/LakeManagua/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	http://www.semwebtech.org/mondial/10/river/Arno/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/river/Klaraelv/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/river/Bani/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/river/Iller/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	http://www.semwebtech.org/mondial/10/lake/Saimaa/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	http://www.semwebtech.org/mondial/10/river/Garonne/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	http://www.semwebtech.org/mondial/10/river/Katun/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	http://www.semwebtech.org/mondial/10/river/Baro/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/lake/MaleboPool/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	http://www.semwebtech.org/mondial/10/lake/Kallavesi/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	http://www.semwebtech.org/mondial/10/river/Murat/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	http://www.semwebtech.org/mondial/10/lake/Bodensee/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	http://www.semwebtech.org/mondial/10/river/Schari/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	http://www.semwebtech.org/mondial/10/river/Doubs/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	http://www.semwebtech.org/mondial/10/lake/LakeSkutari/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	http://www.semwebtech.org/mondial/10/river/Ebro/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/river/WhiteNile/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	http://www.semwebtech.org/mondial/10/lake/LakeManagua/
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	http://www.semwebtech.org/mondial/10/river/Amudarja/
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	http://www.semwebtech.org/mondial/10/river/Arno/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	http://www.semwebtech.org/mondial/10/river/Guadiana/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	http://www.semwebtech.org/mondial/10/river/Brahmaputra/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	http://www.semwebtech.org/mondial/10/river/Tiber/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/river/Kemijoki/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/river/Ounasjoki/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/lake/Zurichsee/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/river/Limmat/
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	http://www.semwebtech.org/mondial/10/river/Leine/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	http://www.semwebtech.org/mondial/10/river/Marne/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	http://www.semwebtech.org/mondial/10/lake/LakeMichigan/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	http://www.semwebtech.org/mondial/10/river/Aller/
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	http://www.semwebtech.org/mondial/10/river/Umeaelv/
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/river/Goetaaelv/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	http://www.semwebtech.org/mondial/10/river/Ticino/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/lake/MaleboPool/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	http://www.semwebtech.org/mondial/10/river/Leine/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	http://www.semwebtech.org/mondial/10/river/Lulua/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	http://www.semwebtech.org/mondial/10/river/Sanga/
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/river/Lukuga/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/river/Saone/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	http://www.semwebtech.org/mondial/10/river/Reuss/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	http://www.semwebtech.org/mondial/10/river/Salzach/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	http://www.semwebtech.org/mondial/10/river/TruckeeRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/river/Limpopo/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	http://www.semwebtech.org/mondial/10/lake/LakeKivu/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	http://www.semwebtech.org/mondial/10/river/Lena/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	http://www.semwebtech.org/mondial/10/river/Huallaga/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/river/Goetaaelv/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	http://www.semwebtech.org/mondial/10/river/Isar/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	http://www.semwebtech.org/mondial/10/river/Guadalquivir/
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	http://www.semwebtech.org/mondial/10/river/Isere/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/river/Reuss/
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/river/Moldau/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	http://www.semwebtech.org/mondial/10/river/Pruth/
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	http://www.semwebtech.org/mondial/10/river/Cuilo/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	http://www.semwebtech.org/mondial/10/river/Selenge/
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	http://www.semwebtech.org/mondial/10/lake/LakeMichigan/
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	http://www.semwebtech.org/mondial/10/river/Fulda/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	http://www.semwebtech.org/mondial/10/river/RioLerma/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/river/March/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	http://www.semwebtech.org/mondial/10/lake/Paeijaenne/
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	http://www.semwebtech.org/mondial/10/lake/Vaettern/
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	http://www.semwebtech.org/mondial/10/lake/OzeroOnega/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
\.


--
-- TOC entry 6061 (class 0 OID 92711)
-- Dependencies: 934
-- Data for Name: locatedIn; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "locatedIn" ("Entity", "Area") FROM stdin;
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Evora/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Beja/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/
http://www.semwebtech.org/mondial/10/island/Futuna/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Lima/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/source/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/source/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/
http://www.semwebtech.org/mondial/10/source/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/lake/Inari/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/lake/Inari/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/source/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WSA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GNB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Beja/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAL/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BERM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Leiria/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GBZ/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/LB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RT/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SME/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Braga/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/FGU/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GUY/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/Central/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Setubal/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/Western/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Maine/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BDS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/lake/LochNess/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LochNess/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/source/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/source/Po/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Olkhon/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/island/Olkhon/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/mountain/Korab/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/mountain/Korab/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/Chire/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/island/IsleofMan/	http://www.semwebtech.org/mondial/10/country/GBM/
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/island/Phuket/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Theiss/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/Principe/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/estuary/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/estuary/Don/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/estuary/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/estuary/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/GUAM/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PITC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Lima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NORF/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MH/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Mie/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/TOK/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/COOK/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NAU/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NCA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Oita/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/TO/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AMSA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/TUV/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Darién/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NIUE/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/VU/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Molokai/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Molokai/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/
http://www.semwebtech.org/mondial/10/island/Lolland/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/island/Lolland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/
http://www.semwebtech.org/mondial/10/mountain/Brocken/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/mountain/Brocken/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/IsleofWight/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/IsleofWight/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/source/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/
http://www.semwebtech.org/mondial/10/source/Waag/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/Ceram/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/island/Ceram/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Langeland/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/island/Langeland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/estuary/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/estuary/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/source/Fulda/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/source/Fulda/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Heves/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/London/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/LittleCayman/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/river/Newa/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/river/Newa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Swir/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/river/Swir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Mincio/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/estuary/Mincio/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Singapore/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/island/NorthUist/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/NorthUist/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Montserrat/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/source/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/source/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/estuary/Breg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Breg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Damavand/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/mountain/Damavand/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Trinidad/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/island/Skye/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Skye/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Rugen/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/island/Rugen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/source/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/source/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/source/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/island/Ponape/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/estuary/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/estuary/Schari/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/estuary/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/island/Lefkas/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Lefkas/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/source/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/island/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/island/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/
http://www.semwebtech.org/mondial/10/lake/LakeVan/	http://www.semwebtech.org/mondial/10/country/TR/province/Van/
http://www.semwebtech.org/mondial/10/lake/LakeVan/	http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/
http://www.semwebtech.org/mondial/10/lake/LakeVan/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/province/Halland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Alz/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Alz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/source/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/mountain/Schchara/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/mountain/Schchara/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/mountain/Schchara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Reunion/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/mountain/Illampu/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/mountain/Illampu/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/estuary/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Fongafale/	http://www.semwebtech.org/mondial/10/country/TUV/
http://www.semwebtech.org/mondial/10/island/SaintThomas/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/Etna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Etna/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/source/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/source/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/estuary/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/estuary/Volga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/source/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/source/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/river/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/lake/Arresoe/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/lake/Arresoe/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/island/Bintan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Bintan/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/source/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/
http://www.semwebtech.org/mondial/10/source/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/source/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/source/Marne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/Tambora/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Tambora/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/CH/province/Jura/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/island/Samosir/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/island/Samosir/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Kiritimati/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/island/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/L/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/
http://www.semwebtech.org/mondial/10/estuary/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/estuary/Lagen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/island/Gozo/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	http://www.semwebtech.org/mondial/10/country/BERM/
http://www.semwebtech.org/mondial/10/source/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/source/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Western/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Central/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/estuary/Save/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/source/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/island/Mayotte/	http://www.semwebtech.org/mondial/10/country/MAYO/
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Buna/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/Breg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Breg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/island/Anglesey/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/island/Anglesey/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/estuary/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/estuary/Tajo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/PortoSanto/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/island/PortoSanto/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/source/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/source/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Flores/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/Flores/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Ameland/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Ameland/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/island/Madagaskar/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/island/Mindoro/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Mindoro/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Gambia/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/island/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/
http://www.semwebtech.org/mondial/10/island/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/island/Streymoy/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/Örebro/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/source/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/
http://www.semwebtech.org/mondial/10/source/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/ER/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/estuary/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/estuary/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/source/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/source/Petschora/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/Storuman/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/lake/Storuman/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/estuary/Sobat/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/BlackDrin/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/river/BlackDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Fohr/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Fohr/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Irazu/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/mountain/Irazu/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/river/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/river/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/source/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/estuary/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/estuary/Tobol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/source/Seine/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/estuary/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/lake/Siljan/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Siljan/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/source/Doubs/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/estuary/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/estuary/Douro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/Babelthuap/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/estuary/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Marche/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Molise/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GBZ/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MEL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/CEU/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GAZA/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Adana/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MC/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Linosa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Linosa/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/island/Antigua/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/island/EastFalkland/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/source/Aare/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Ammer/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Ammer/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Annapurna/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Batman/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Savaii/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Argun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/source/Argun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/river/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/source/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/
http://www.semwebtech.org/mondial/10/source/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/
http://www.semwebtech.org/mondial/10/source/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Negev/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/desert/Negev/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/estuary/Atbara/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/island/Barra/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Barra/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/
http://www.semwebtech.org/mondial/10/mountain/Olympos/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/island/Upolu/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/source/Newa/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/source/Newa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Korfu/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Korfu/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Save/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/estuary/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/estuary/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Penza/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/Buna/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/source/Parana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Telemark/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/estuary/Saar/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/estuary/Saar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	http://www.semwebtech.org/mondial/10/country/WSA/
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/island/Jersey/	http://www.semwebtech.org/mondial/10/country/GBJ/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/island/BishopRock/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/island/BishopRock/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/estuary/Drau/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Fehmarn/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Fehmarn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/source/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/source/Katun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/estuary/Ticino/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/estuary/Ticino/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/source/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/source/Ene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Ene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Ibiza/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/island/Ibiza/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	http://www.semwebtech.org/mondial/10/country/NCA/
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/island/SaintPierre/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/estuary/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/estuary/Rhone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/estuary/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/estuary/Karun/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/source/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/source/March/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/source/Jordan/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/island/Jamaica/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/source/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/
http://www.semwebtech.org/mondial/10/source/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/estuary/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/estuary/Kama/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/estuary/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/Curacao/	http://www.semwebtech.org/mondial/10/country/CUR/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/source/Murat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Newfoundland/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/island/Newfoundland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Würm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Würm/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/mountain/Meru/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/mountain/Meru/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/estuary/Mekong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Lech/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Lech/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/river/Sobat/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/Selenge/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/island/Mull/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Mull/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/source/Senegal/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/estuary/Gambia/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/estuary/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/
http://www.semwebtech.org/mondial/10/estuary/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/source/Akagera/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/island/Santiago/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Braganca/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Viseu/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/estuary/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/estuary/Oka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Namib/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/K/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/LAO/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Saar/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/source/Saar/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/Tongatapu/	http://www.semwebtech.org/mondial/10/country/TO/
http://www.semwebtech.org/mondial/10/source/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/
http://www.semwebtech.org/mondial/10/source/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/estuary/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/estuary/Loire/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/island/Islay/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Islay/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/
http://www.semwebtech.org/mondial/10/island/Hawaii/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Hawaii/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/PuertoRico/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/river/Ammer/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Ammer/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Alz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Alz/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/source/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Oeland/	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/
http://www.semwebtech.org/mondial/10/island/Oeland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Ascension/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/estuary/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/source/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/source/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/desert/KumTagh/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/desert/KumTagh/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/estuary/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/estuary/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/estuary/Glomma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/source/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/source/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/island/SaoTome/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/source/Ganges/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Ganges/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/desert/Rigestan/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/desert/Rigestan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/desert/Rigestan/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/source/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/source/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Isere/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/source/Isere/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/source/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/source/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/island/Alicudi/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Alicudi/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/island/SaoJorge/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/SaoJorge/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/source/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/source/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/island/Corse/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/island/Corse/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/estuary/Shabelle/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/mountain/Olymp/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/mountain/Olymp/	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/
http://www.semwebtech.org/mondial/10/mountain/Olymp/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Impalila/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/source/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/source/Kama/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/estuary/Leine/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/river/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/river/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Sansibar/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/island/Sansibar/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/estuary/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/estuary/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/estuary/Parana/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/SouthUist/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/SouthUist/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/estuary/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/estuary/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/estuary/Tara/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Sylt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Sylt/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/estuary/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/estuary/Main/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Lech/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/source/Lech/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Douro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/source/Douro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/estuary/Naryn/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/estuary/Naryn/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/source/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/source/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/BRU/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/island/Zakynthos/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/island/Zakynthos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Tortola/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/mountain/Kailash/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Kailash/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/source/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/source/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Aller/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Aller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Cyprus/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/island/Koror/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	http://www.semwebtech.org/mondial/10/country/XMAS/
http://www.semwebtech.org/mondial/10/estuary/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/estuary/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/source/Donau/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Donau/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/mountain/Tahan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/
http://www.semwebtech.org/mondial/10/mountain/Tahan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/
http://www.semwebtech.org/mondial/10/mountain/Tahan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/estuary/Adda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/estuary/Adda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Zhima/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/mountain/Zhima/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Volta/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/river/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/island/Rhum/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Rhum/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/estuary/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/estuary/Amur/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Panay/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/island/Panay/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/source/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/source/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeToba/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/lake/LakeToba/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/island/Providenciales/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/estuary/Jordan/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/estuary/Jordan/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/source/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/source/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Helgoland/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Helgoland/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/VitiLevu/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/island/BanksIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/island/BanksIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Tahiti/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/source/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/source/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/mountain/Soufriere/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/source/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/source/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Neckar/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Neckar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Merapi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Merapi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/Fulda/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/estuary/Fulda/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/source/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Bomu/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/source/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/island/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/island/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Lampedusa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Lampedusa/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/
http://www.semwebtech.org/mondial/10/source/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/source/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/source/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/source/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Centre/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/island/Tobago/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/island/Efate/	http://www.semwebtech.org/mondial/10/country/VU/
http://www.semwebtech.org/mondial/10/estuary/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/estuary/Raab/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/estuary/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/estuary/Ob/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Moraca/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/source/Oranje/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Juist/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Juist/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Narew/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/estuary/Narew/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/source/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/source/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/source/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Main/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Niue/	http://www.semwebtech.org/mondial/10/country/NIUE/
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/Fakaofo/	http://www.semwebtech.org/mondial/10/country/TOK/
http://www.semwebtech.org/mondial/10/source/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/source/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/estuary/Petschora/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/estuary/BlueNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/estuary/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/estuary/Waag/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/Guernsey/	http://www.semwebtech.org/mondial/10/country/GBG/
http://www.semwebtech.org/mondial/10/source/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/source/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/source/Ural/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Perene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Perene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/island/Faial/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Faial/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/source/Suchona/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/source/Suchona/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/estuary/Selenge/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/estuary/Selenge/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/source/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/
http://www.semwebtech.org/mondial/10/source/Olt/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Akagera/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/island/Lipari/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Lipari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/source/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/source/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/source/Amur/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/
http://www.semwebtech.org/mondial/10/mountain/Fogo/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Schilka/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/estuary/Schilka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/estuary/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Brigach/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Brigach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/estuary/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/estuary/Marne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/source/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/source/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Guam/	http://www.semwebtech.org/mondial/10/country/GUAM/
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Perene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Perene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/estuary/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/estuary/Baro/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/source/Schari/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/estuary/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/estuary/Etsch/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/
http://www.semwebtech.org/mondial/10/source/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/source/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/source/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/source/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/source/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/source/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Elbe/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/estuary/Garonne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/estuary/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/estuary/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/estuary/Maas/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Aller/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Aller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Niger/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/island/Westray/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Westray/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/estuary/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Werra/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Wangerooge/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Wangerooge/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Mur/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/source/Mur/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/estuary/Nile/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/source/Raab/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/source/Raab/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Filicudi/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Filicudi/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Langeoog/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Langeoog/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Troms/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/island/Salina/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Salina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/Hierro/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Hierro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/mountain/Andringitra/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/island/Terschelling/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Terschelling/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/mountain/Snaefell/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/source/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/source/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/
http://www.semwebtech.org/mondial/10/river/Breg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Breg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/Najran/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/
http://www.semwebtech.org/mondial/10/source/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/source/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/source/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/source/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/source/Don/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/river/Fulda/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Fulda/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/Poopo/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/lake/Poopo/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/Poopo/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/estuary/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/estuary/Seine/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/
http://www.semwebtech.org/mondial/10/source/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/mountain/Hekla/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/mountain/Joekul/	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/
http://www.semwebtech.org/mondial/10/mountain/Joekul/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/source/VictoriaNile/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/source/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/island/Kauai/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Kauai/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Athos/	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/
http://www.semwebtech.org/mondial/10/mountain/Athos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/source/Naryn/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Goa/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/mountain/Makalu/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Makalu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/Makalu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/source/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/source/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Mie/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Gumma/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Nara/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Akita/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Shiga/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/island/Arran/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Arran/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/mountain/Karthala/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/island/WestFalkland/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Apure/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/
http://www.semwebtech.org/mondial/10/island/Lanai/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Lanai/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/estuary/Arno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/estuary/Arno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Aller/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Aller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/estuary/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/estuary/Ebro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/estuary/Moraca/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/source/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/source/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Kura/	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/
http://www.semwebtech.org/mondial/10/source/Kura/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/source/Drin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/river/Mincio/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/river/Mincio/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/source/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/source/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/
http://www.semwebtech.org/mondial/10/source/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/island/Saipan/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/source/Maas/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/source/Maas/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/Narva/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/estuary/Narva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/Z/province/Western/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/
http://www.semwebtech.org/mondial/10/estuary/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/estuary/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/
http://www.semwebtech.org/mondial/10/source/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/source/Nile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Teneriffa/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Teneriffa/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Nantucket/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/island/Nantucket/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Inn/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/source/Inn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Moraca/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/mountain/Elgon/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/mountain/Elgon/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/source/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/source/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/desert/Darfur/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/island/Khark/	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/
http://www.semwebtech.org/mondial/10/island/Khark/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/island/Mallorca/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/island/Mallorca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Aare/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/estuary/Katun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/
http://www.semwebtech.org/mondial/10/river/Buna/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/river/Buna/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Rize/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Santarem/
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/KWT/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/BRN/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/Q/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/mountain/Illimani/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/mountain/Illimani/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/island/Tinian/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/source/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/source/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/
http://www.semwebtech.org/mondial/10/source/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/estuary/Alz/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Alz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Narew/	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/
http://www.semwebtech.org/mondial/10/source/Narew/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/source/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/source/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/island/Bougainville/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/estuary/Newa/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/estuary/Newa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/source/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Swir/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/estuary/Swir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/source/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/island/Grenada/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/island/LaPalma/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/LaPalma/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/MountKenia/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/source/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Bornholm/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/island/Bornholm/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/island/Malta/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/source/Saone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/source/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Martinique/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/island/Madeira/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Madeira/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/island/EasterIsland/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/island/EasterIsland/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	http://www.semwebtech.org/mondial/10/country/COCO/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/
http://www.semwebtech.org/mondial/10/island/SaintKitts/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/
http://www.semwebtech.org/mondial/10/estuary/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/estuary/Murat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/source/Arno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/source/Arno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/source/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GBG/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/Picardie/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GBJ/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/source/Ebro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/source/Thames/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/island/Mauritius/	http://www.semwebtech.org/mondial/10/country/MS/
http://www.semwebtech.org/mondial/10/mountain/Manaslu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/estuary/Suchona/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/estuary/Suchona/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CUR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/ARU/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/BZ/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/Colón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/island/Barbados/	http://www.semwebtech.org/mondial/10/country/BDS/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/estuary/Okavango/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/SY/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MS/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MAYO/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/COCO/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/XMAS/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MV/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/river/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/river/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/source/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/source/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/desert/Fesan/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Rhodos/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Rhodos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/source/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/source/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Ili/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/source/Ili/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/source/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/BlackDrin/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GBM/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/source/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/source/Etsch/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/river/Enns/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/source/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/source/Tiber/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/
http://www.semwebtech.org/mondial/10/estuary/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/source/Mosel/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/source/Mosel/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/NewProvidence/	http://www.semwebtech.org/mondial/10/country/BS/
http://www.semwebtech.org/mondial/10/island/Menorca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Menorca/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/estuary/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/estuary/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/estuary/Po/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/estuary/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/estuary/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/source/Werra/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Mary/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/
http://www.semwebtech.org/mondial/10/island/Fogo/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Niihau/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Niihau/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/island/Batam/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/island/Batam/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/estuary/Ischim/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/estuary/Ischim/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Tarawa/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/estuary/Isere/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/estuary/Isere/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/island/Nauru/	http://www.semwebtech.org/mondial/10/country/NAU/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Swir/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/source/Swir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LochLomond/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LochLomond/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/desert/ErgChech/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/desert/ErgChech/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/desert/ErgChech/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/island/Dagoe/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/island/Borkum/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Borkum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Leuser/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Leuser/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/
http://www.semwebtech.org/mondial/10/estuary/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/BRU/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/HONX/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MACX/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/K/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/estuary/Indus/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/river/Suchona/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/river/Suchona/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/Sanga/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	http://www.semwebtech.org/mondial/10/country/NORF/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Oita/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/source/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/mountain/Kongur/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/Kongur/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Iller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Hainan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/island/Hainan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Sicilia/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/island/Sicilia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Samos/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Samos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Gomera/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Gomera/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/SaintLucia/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/river/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Anguilla/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/mountain/Pico/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/mountain/Pico/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/source/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/source/Glomma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Kirov/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Perm/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/river/WesternMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/Nevis/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/source/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/source/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/island/Mohilla/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/source/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/
http://www.semwebtech.org/mondial/10/source/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/
http://www.semwebtech.org/mondial/10/source/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/source/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/estuary/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Morava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Muş/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/estuary/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/estuary/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/estuary/Volta/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/source/Narva/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/source/Narva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Sardegna/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/island/Sardegna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/river/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/source/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/source/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Concepcion/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/island/Panarea/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Panarea/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/lake/Thunersee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Thunersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/island/Jura/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Jura/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Tajo/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/source/Tajo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/estuary/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/
http://www.semwebtech.org/mondial/10/source/Volga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/
http://www.semwebtech.org/mondial/10/island/Kefallinia/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/island/Kefallinia/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/estuary/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/estuary/Thames/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Syros/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Syros/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/estuary/Ene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Ene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/island/Majuro/	http://www.semwebtech.org/mondial/10/country/MH/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/source/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/source/Angara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/Tanami/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/Tanami/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Pitcairn/	http://www.semwebtech.org/mondial/10/country/PITC/
http://www.semwebtech.org/mondial/10/island/Oesel/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/island/Lesbos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Lesbos/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Lanzarote/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Lanzarote/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Maui/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Maui/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Schilka/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/source/Schilka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/source/Brigach/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Brigach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Thjorsa/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/source/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/source/Lagen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/island/Manitoulin/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/island/Manitoulin/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LacAssal/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/
http://www.semwebtech.org/mondial/10/mountain/Fako/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/
http://www.semwebtech.org/mondial/10/mountain/Fako/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/estuary/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Falster/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/island/Falster/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/source/Neckar/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Neckar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/estuary/Weser/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/estuary/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/estuary/Piva/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/island/Uvea/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/desert/Djourab/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/lake/Ammersee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/lake/Ammersee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/London/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/source/Pibor/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/
http://www.semwebtech.org/mondial/10/source/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/
http://www.semwebtech.org/mondial/10/source/Oka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/source/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/source/Ob/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Garonne/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/source/Garonne/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Norderney/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Norderney/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/source/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Oahu/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Oahu/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/Pemba/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/island/Pemba/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/river/Isere/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Isere/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/river/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/island/Barbuda/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/source/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/source/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/source/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Amudarja/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/estuary/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/estuary/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Gotland/	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/
http://www.semwebtech.org/mondial/10/island/Gotland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/MargitSziget/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/
http://www.semwebtech.org/mondial/10/island/MargitSziget/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/island/Chios/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Chios/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/source/Salzach/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/source/Salzach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/island/GrandTurk/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/source/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/source/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/source/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/source/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/
http://www.semwebtech.org/mondial/10/mountain/Ampato/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/mountain/Ampato/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Aland/	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/
http://www.semwebtech.org/mondial/10/island/Aland/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Sobat/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/Tahat/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/Silisili/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/island/GrandComoro/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/source/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/source/Tobol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Pellworm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Pellworm/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Bahrain/	http://www.semwebtech.org/mondial/10/country/BRN/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/estuary/Würm/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Würm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/estuary/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/estuary/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/island/Rarotonga/	http://www.semwebtech.org/mondial/10/country/COOK/
http://www.semwebtech.org/mondial/10/island/SantaMaria/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/SantaMaria/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Hoy/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Hoy/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Adda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Adda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/mountain/Sajama/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Sajama/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/source/Drau/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/source/Drau/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/island/Jeju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/
http://www.semwebtech.org/mondial/10/island/Mahe/	http://www.semwebtech.org/mondial/10/country/SY/
http://www.semwebtech.org/mondial/10/lake/CraterLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/lake/CraterLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Amur/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Baltrum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Baltrum/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/estuary/Lena/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Ammer/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Ammer/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Pest/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Tolna/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/
http://www.semwebtech.org/mondial/10/island/Isabela/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Jubba/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/estuary/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/estuary/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/source/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/source/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Perene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Perene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/estuary/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/estuary/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/source/Piva/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/island/Vulcano/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Vulcano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Formentera/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Formentera/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Isar/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Isar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Aruba/	http://www.semwebtech.org/mondial/10/country/ARU/
http://www.semwebtech.org/mondial/10/island/Kos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Kos/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Graciosa/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/Graciosa/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Morava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/mountain/Pelee/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/island/Bioko/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/island/Bioko/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/source/Indus/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Indus/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Vas/
http://www.semwebtech.org/mondial/10/island/Amrum/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Amrum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/source/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Mykonos/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Mykonos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/Cayambe/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/source/Iller/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/source/Iller/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/Morava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/estuary/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/estuary/Angara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/island/LongIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/island/LongIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Rota/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/source/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/source/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/source/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/NamCo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/NamCo/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/source/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/Jezerce/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/island/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/
http://www.semwebtech.org/mondial/10/island/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/source/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/source/Karun/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/source/Würm/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Würm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/estuary/Neckar/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Neckar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/source/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/island/Bohol/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/island/Bohol/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Corvo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Corvo/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/source/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/source/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/source/Lena/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Akita/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/island/GrandCayman/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/estuary/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/estuary/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/island/Pico/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/Pico/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Kreta/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/island/Kreta/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/Semeru/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Semeru/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/river/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Texel/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/island/Texel/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/island/Dominica/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/source/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/source/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/source/WesternMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/TR/province/Kars/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/river/Drin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/source/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/source/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/source/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/source/Mincio/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/source/Mincio/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LakeTana/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeTana/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/mountain/MtHood/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/mountain/MtHood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/province/Namur/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/province/Liège/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/province/Limburg/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/island/Tutuila/	http://www.semwebtech.org/mondial/10/country/AMSA/
http://www.semwebtech.org/mondial/10/source/Isar/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/source/Isar/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Uluru/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/mountain/Uluru/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/island/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/source/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/source/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/mountain/YuShan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/river/Nile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Nile/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Ikaria/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Ikaria/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Weser/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Kura/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/source/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/source/Loire/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/estuary/Drin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/island/Benbecula/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Benbecula/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Banaba/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Male/	http://www.semwebtech.org/mondial/10/country/MV/
http://www.semwebtech.org/mondial/10/source/Tara/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/Katla/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/FL/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/
http://www.semwebtech.org/mondial/10/desert/Qaidam/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/desert/Qaidam/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Terceira/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Terceira/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/estuary/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Tiree/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Tiree/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/estuary/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/estuary/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/estuary/Drina/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/SriLanka/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/source/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/estuary/Saone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/source/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/source/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/island/SaintHelena/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/estuary/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/estuary/Olt/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/source/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/source/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/island/Vlieland/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Vlieland/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/source/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/KoSamui/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/
http://www.semwebtech.org/mondial/10/source/Adda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/source/Adda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/source/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/source/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/lake/LopNor/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/LopNor/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Ene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Ene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/source/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Leine/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Musala/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/island/SaintVincent/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/source/Bani/	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/
http://www.semwebtech.org/mondial/10/source/Bani/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/river/Arno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/river/Arno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Stromboli/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Stromboli/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Navarra/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/Ararat/	http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/
http://www.semwebtech.org/mondial/10/mountain/Ararat/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/mountain/Ararat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/estuary/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/estuary/Doubs/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/estuary/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/estuary/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/estuary/Tiber/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Schilka/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/river/Schilka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Anjouan/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/estuary/Mosel/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/estuary/Mosel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/island/GranCanaria/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/GranCanaria/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/river/Brigach/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Brigach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/source/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/estuary/Mur/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/estuary/Mur/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/estuary/Mur/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/river/Thjorsa/	http://www.semwebtech.org/mondial/10/country/IS/
\.


--
-- TOC entry 6062 (class 0 OID 92714)
-- Dependencies: 935
-- Data for Name: locatedInWater; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "locatedInWater" ("Island", "Water") FROM stdin;
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/Futuna/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Olkhon/	http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/
http://www.semwebtech.org/mondial/10/island/IsleofMan/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/
http://www.semwebtech.org/mondial/10/island/Phuket/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Principe/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Molokai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Lolland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/IsleofWight/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/Ceram/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Langeland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/LittleCayman/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Singapore/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/island/Singapore/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/NorthUist/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Montserrat/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Montserrat/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Trinidad/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Trinidad/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Skye/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rugen/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Ponape/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Lefkas/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Kavaratti/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Reunion/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Fongafale/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SaintThomas/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SaintThomas/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bintan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Samosir/	http://www.semwebtech.org/mondial/10/lake/LakeToba/
http://www.semwebtech.org/mondial/10/island/Kiritimati/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Ambon/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Gozo/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/Mayotte/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Anglesey/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/PortoSanto/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Flores/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	http://www.semwebtech.org/mondial/10/river/Araguaia/
http://www.semwebtech.org/mondial/10/island/Ameland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Madagaskar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Mindoro/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Labuan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Streymoy/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Streymoy/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/Cebu/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Fohr/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Babelthuap/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Linosa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Antigua/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Antigua/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/EastFalkland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Savaii/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Barra/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Upolu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Korfu/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/Jersey/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/BishopRock/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Fehmarn/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/island/Ibiza/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SaintPierre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/island/Jamaica/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Curacao/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/island/Newfoundland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Mull/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Santiago/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tongatapu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Islay/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Hawaii/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/PuertoRico/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/PuertoRico/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Oeland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Ascension/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SaoTome/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Alicudi/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/SaoJorge/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Corse/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Impalila/	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/island/Sansibar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SouthUist/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Sylt/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Zakynthos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Tortola/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Tortola/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/island/Cyprus/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rhum/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Panay/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Providenciales/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Helgoland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/VitiLevu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/BanksIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Tahiti/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Ternate/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Lampedusa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Tobago/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tobago/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Efate/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Juist/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Niue/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Fakaofo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Guernsey/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Faial/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Lipari/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Guam/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Westray/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Wangerooge/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Filicudi/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Langeoog/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Salina/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/island/Hierro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Koror/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Terschelling/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Kauai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Arran/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/WestFalkland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Lanai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Saipan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Teneriffa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Nantucket/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Khark/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Mallorca/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tinian/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bougainville/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Grenada/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Grenada/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/LaPalma/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Bornholm/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Malta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Martinique/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Martinique/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Madeira/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/EasterIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SaintKitts/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SaintKitts/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Mauritius/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Barbados/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rhodos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/NewProvidence/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Menorca/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Fogo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Niihau/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Batam/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Tarawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Nauru/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Dagoe/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Borkum/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Hainan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Sicilia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Samos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Gomera/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SaintLucia/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SaintLucia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Anguilla/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Anguilla/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Nevis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Nevis/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Mohilla/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Sardegna/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Panarea/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/island/Jura/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Kefallinia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Syros/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Majuro/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Pitcairn/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Oesel/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Lesbos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Lanzarote/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Maui/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Manitoulin/	http://www.semwebtech.org/mondial/10/lake/LakeHuron/
http://www.semwebtech.org/mondial/10/island/Falster/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Uvea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Norderney/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Oahu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Pemba/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Barbuda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Barbuda/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Gotland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/MargitSziget/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/Chios/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/GrandTurk/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Aland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/GrandComoro/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Pellworm/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Bahrain/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Rarotonga/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SantaMaria/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Hoy/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Jeju/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Mahe/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Baltrum/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Isabela/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Vulcano/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Formentera/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Aruba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Kos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Graciosa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Bioko/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Amrum/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Mykonos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/LongIsland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rota/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SanAndres/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Bohol/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Corvo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/GrandCayman/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Pico/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Kreta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Texel/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Dominica/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Dominica/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tutuila/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Zhoushan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Ikaria/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/
http://www.semwebtech.org/mondial/10/island/Benbecula/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Banaba/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Male/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/Terceira/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tiree/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SriLanka/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/island/SriLanka/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SaintHelena/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Vlieland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/KoSamui/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/island/SaintVincent/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SaintVincent/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Stromboli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/island/Anjouan/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/GranCanaria/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
\.


--
-- TOC entry 6063 (class 0 OID 92717)
-- Dependencies: 936
-- Data for Name: locatedOnIsland; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "locatedOnIsland" ("Entity", "Island") FROM stdin;
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/island/Babelthuap/
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/island/Antigua/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/island/Mahe/
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	http://www.semwebtech.org/mondial/10/island/NorfolkIsland/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/island/GranCanaria/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	http://www.semwebtech.org/mondial/10/island/GrandBermuda/
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/island/VitiLevu/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/island/Dominica/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/island/Bangka/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	http://www.semwebtech.org/mondial/10/island/SanAndres/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	http://www.semwebtech.org/mondial/10/island/Martinique/
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/island/Majuro/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	http://www.semwebtech.org/mondial/10/island/Tahiti/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	http://www.semwebtech.org/mondial/10/island/Jeju/
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	http://www.semwebtech.org/mondial/10/island/SaintThomas/
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/island/Barbados/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/island/Batam/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/island/SaintVincent/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/island/BaffinIsland/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	http://www.semwebtech.org/mondial/10/island/Tortola/
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/island/Grenada/
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	http://www.semwebtech.org/mondial/10/island/Fuenen/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	http://www.semwebtech.org/mondial/10/island/Hokkaido/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	http://www.semwebtech.org/mondial/10/island/PulauPanjang/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/island/Bahrain/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/island/Negros/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/island/Teneriffa/
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	http://www.semwebtech.org/mondial/10/island/Phuket/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/island/OrkneyMainland/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/island/Sardegna/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	http://www.semwebtech.org/mondial/10/island/Sardegna/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	http://www.semwebtech.org/mondial/10/island/Labuan/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/island/Kreta/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	http://www.semwebtech.org/mondial/10/island/St.Martin/
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/island/SriLanka/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	http://www.semwebtech.org/mondial/10/island/SaintPierre/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	http://www.semwebtech.org/mondial/10/island/Mindoro/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/island/Panay/
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/island/Hokkaido/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	http://www.semwebtech.org/mondial/10/island/Mayotte/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/island/Hawaii/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/island/Ponape/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/island/Pemba/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	http://www.semwebtech.org/mondial/10/island/Sachalin/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	http://www.semwebtech.org/mondial/10/island/ChristmasIsland/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/island/Fongafale/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	http://www.semwebtech.org/mondial/10/island/Anguilla/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/island/Bioko/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/island/Newfoundland/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/island/Oahu/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/island/Mauritius/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/island/GrandComoro/
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	http://www.semwebtech.org/mondial/10/island/Gozo/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	http://www.semwebtech.org/mondial/10/island/Curacao/
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/island/Timor/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	http://www.semwebtech.org/mondial/10/island/Fakaofo/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/island/Santiago/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/island/Cebu/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	http://www.semwebtech.org/mondial/10/island/EastFalkland/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/island/NewProvidence/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/island/Bali/
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	http://www.semwebtech.org/mondial/10/island/Saipan/
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	http://www.semwebtech.org/mondial/10/island/SaintHelena/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	http://www.semwebtech.org/mondial/10/island/Svalbard/
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/island/SaoTome/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	http://www.semwebtech.org/mondial/10/island/Aruba/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	http://www.semwebtech.org/mondial/10/island/Guam/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/island/Kreta/
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/island/Male/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	http://www.semwebtech.org/mondial/10/island/GrandCayman/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/island/Rhodos/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/island/Singapore/
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/island/Guadalcanal/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	http://www.semwebtech.org/mondial/10/island/Leyte/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/island/Tasmania/
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/island/Upolu/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/island/Nauru/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/island/Zhoushan/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/island/Hainan/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/island/SaoMiguel/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	http://www.semwebtech.org/mondial/10/island/Timor/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/island/Malta/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/island/GranCanaria/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	http://www.semwebtech.org/mondial/10/island/GrandeTerre/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	http://www.semwebtech.org/mondial/10/island/Rarotonga/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/island/Korfu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	http://www.semwebtech.org/mondial/10/island/St.Barthelemy/
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	http://www.semwebtech.org/mondial/10/island/Uvea/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	http://www.semwebtech.org/mondial/10/island/GrandTurk/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	http://www.semwebtech.org/mondial/10/island/Tutuila/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/island/Okinawa/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	http://www.semwebtech.org/mondial/10/island/Lombok/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/island/Teneriffa/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	http://www.semwebtech.org/mondial/10/island/IsleofMan/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/island/Syros/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/island/ShetlandMainland/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/island/Corse/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/island/Mallorca/
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/island/SaintLucia/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/island/SaintKitts/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	http://www.semwebtech.org/mondial/10/island/Pitcairn/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	http://www.semwebtech.org/mondial/10/island/Reunion/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	http://www.semwebtech.org/mondial/10/island/Greenland/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/island/VancouverIsland/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/island/Tongatapu/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	http://www.semwebtech.org/mondial/10/island/Newfoundland/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/island/Ternate/
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/island/Trinidad/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/island/Ambon/
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	http://www.semwebtech.org/mondial/10/island/Basse-Terre/
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	http://www.semwebtech.org/mondial/10/island/Jersey/
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/island/Jamaica/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/island/Kavaratti/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/island/Tarawa/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/island/Niue/
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/island/Hainan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	http://www.semwebtech.org/mondial/10/island/SriLanka/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/island/Efate/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	http://www.semwebtech.org/mondial/10/island/Pemba/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	http://www.semwebtech.org/mondial/10/island/Montserrat/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	http://www.semwebtech.org/mondial/10/island/St.Martin/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	http://www.semwebtech.org/mondial/10/island/Ponape/
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	http://www.semwebtech.org/mondial/10/island/Guernsey/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	http://www.semwebtech.org/mondial/10/island/Bintan/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/island/Lesbos/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	http://www.semwebtech.org/mondial/10/island/Streymoy/
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	http://www.semwebtech.org/mondial/10/island/Koror/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/island/Madeira/
\.


--
-- TOC entry 6064 (class 0 OID 92720)
-- Dependencies: 937
-- Data for Name: marriedWith; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "marriedWith" ("Person1", "Person2") FROM stdin;
\.


--
-- TOC entry 6065 (class 0 OID 92723)
-- Dependencies: 938
-- Data for Name: md; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY md (class, property, range, tablename, lookupattr, inv, isview) FROM stdin;
Islands	latitude	DECIMAL	Islands	latitude	false	false
Islands	population	DECIMAL	Islands	population	false	false
Islands	area	DECIMAL	Islands	area	false	false
Islands	type	VARCHAR(199)	Islands	type	false	false
Islands	longitude	DECIMAL	Islands	longitude	false	false
Islands	elevation	DECIMAL	Islands	elevation	false	false
Islands	name	VARCHAR(199)	Islands	name	false	false
Organization	hasHeadq	VARCHAR(199)	Organization	hasHeadq	false	false
City	hasHeadq_Inv	VARCHAR(199)	Organization	hasHeadq	true	false
Organization	abbrev	VARCHAR(199)	Organization	abbrev	false	false
Organization	name	VARCHAR(199)	Organization	name	false	false
Organization	established	DATE	Organization	established	false	false
Water	flowsInto	VARCHAR(199)	Water	flowsInto	false	false
Water	flowsInto_Inv	VARCHAR(199)	Water	flowsInto	true	false
Water	latitude	DECIMAL	Water	latitude	false	false
Water	flowsThrough_Inv	VARCHAR(199)	Water	flowsThrough_Inv	false	false
Water	flowsThrough	VARCHAR(199)	Water	flowsThrough_Inv	true	false
Water	type	VARCHAR(199)	Water	type	false	false
Water	elevation	DECIMAL	Water	elevation	false	false
Water	length	DECIMAL	Water	length	false	false
Water	depth	DECIMAL	Water	depth	false	false
Water	longitude	DECIMAL	Water	longitude	false	false
Water	area	DECIMAL	Water	area	false	false
Water	name	VARCHAR(199)	Water	name	false	false
Language	name	VARCHAR(199)	Language	name	false	false
Island	population	DECIMAL	Island	population	false	false
Island	latitude	DECIMAL	Island	latitude	false	false
Island	belongsToIslands	VARCHAR(199)	Island	belongsToIslands	false	false
Islands	belongsToIslands_Inv	VARCHAR(199)	Island	belongsToIslands	true	false
Island	area	DECIMAL	Island	area	false	false
Island	name	VARCHAR(199)	Island	name	false	false
Island	longitude	DECIMAL	Island	longitude	false	false
Island	type	VARCHAR(199)	Island	type	false	false
Island	elevation	DECIMAL	Island	elevation	false	false
Country	gdpAgri	DECIMAL	Country	gdpAgri	false	false
Country	inflation	DECIMAL	Country	inflation	false	false
Country	populationGrowth	DECIMAL	Country	populationGrowth	false	false
Country	government	VARCHAR(199)	Country	government	false	false
Country	gdpServ	DECIMAL	Country	gdpServ	false	false
Country	population	DECIMAL	Country	population	false	false
Country	gdpTotal	DECIMAL	Country	gdpTotal	false	false
Country	unemployment	DECIMAL	Country	unemployment	false	false
Country	independenceDate	DATE	Country	independenceDate	false	false
Country	dependentOf	VARCHAR(199)	Country	dependentOf	false	false
Country	dependentOf_Inv	VARCHAR(199)	Country	dependentOf	true	false
Country	infantMortality	DECIMAL	Country	infantMortality	false	false
Country	area	DECIMAL	Country	area	false	false
Country	gdpInd	DECIMAL	Country	gdpInd	false	false
Country	carCode	VARCHAR(199)	Country	carCode	false	false
Country	capital	VARCHAR(199)	Country	capital	false	false
City	isCapitalOf	VARCHAR(199)	Country	capital	true	false
Country	wasDependentOf	VARCHAR(199)	Country	wasDependentOf	false	false
Organization	wasDependentOf_Inv	VARCHAR(199)	Country	wasDependentOf	true	false
Country	wasDependentOf_Inv	VARCHAR(199)	Country	wasDependentOf	true	false
Country	name	VARCHAR(199)	Country	name	false	false
Desert	area	DECIMAL	Desert	area	false	false
Desert	type	VARCHAR(199)	Desert	type	false	false
Desert	latitude	DECIMAL	Desert	latitude	false	false
Desert	longitude	DECIMAL	Desert	longitude	false	false
Desert	name	VARCHAR(199)	Desert	name	false	false
Mountain	locatedOnIsland	VARCHAR(199)	Mountain	locatedOnIsland	false	false
Island	locatedOnIsland_Inv	VARCHAR(199)	Mountain	locatedOnIsland	true	false
Mountain	type	VARCHAR(199)	Mountain	type	false	false
Mountain	lastEruption	DATE	Mountain	lastEruption	false	false
Mountain	inMountains	VARCHAR(199)	Mountain	inMountains	false	false
Mountains	inMountains_Inv	VARCHAR(199)	Mountain	inMountains	true	false
Mountain	name	VARCHAR(199)	Mountain	name	false	false
Mountain	elevation	DECIMAL	Mountain	elevation	false	false
Mountain	longitude	DECIMAL	Mountain	longitude	false	false
Mountain	latitude	DECIMAL	Mountain	latitude	false	false
Female	onlyfemaleprop	DECIMAL	Female	onlyfemaleprop	false	false
Female	hasMother	VARCHAR(199)	Female	hasMother	false	false
Female	hasMother_Inv	VARCHAR(199)	Female	hasMother	true	false
Female	hasFather	VARCHAR(199)	Female	hasFather	false	false
Male	hasFather_Inv	VARCHAR(199)	Female	hasFather	true	false
Border	length	DECIMAL	Border	length	false	false
Continent	name	VARCHAR(199)	Continent	name	false	false
Continent	area	DECIMAL	Continent	area	false	false
Mountains	name	VARCHAR(199)	Mountains	name	false	false
Mountains	latitude	DECIMAL	Mountains	latitude	false	false
Mountains	elevation	DECIMAL	Mountains	elevation	false	false
Mountains	type	VARCHAR(199)	Mountains	type	false	false
Mountains	longitude	DECIMAL	Mountains	longitude	false	false
Mountains	area	DECIMAL	Mountains	area	false	false
Province	name	VARCHAR(199)	Province	name	false	false
Province	capital	VARCHAR(199)	Province	capital	false	false
City	isCapitalOf	VARCHAR(199)	Province	capital	true	false
Province	area	DECIMAL	Province	area	false	false
Province	isProvinceOf	VARCHAR(199)	Province	isProvinceOf	false	false
Country	hasProvince	VARCHAR(199)	Province	isProvinceOf	true	false
Province	population	DECIMAL	Province	population	false	false
Source	inMountains	VARCHAR(199)	Source	inMountains	false	false
Mountains	inMountains_Inv	VARCHAR(199)	Source	inMountains	true	false
Source	longitude	DECIMAL	Source	longitude	false	false
Source	elevation	DECIMAL	Source	elevation	false	false
Source	hasSource-	VARCHAR(199)	Source	hasSource-	false	false
Water	hasSource	VARCHAR(199)	Source	hasSource-	true	false
Source	latitude	DECIMAL	Source	latitude	false	false
EthnicProportion	ethnicInfo-	VARCHAR(199)	EthnicProportion	ethnicInfo-	false	false
Country	ethnicInfo	VARCHAR(199)	EthnicProportion	ethnicInfo-	true	false
EthnicProportion	onEthnicGroup	VARCHAR(199)	EthnicProportion	onEthnicGroup	false	false
EthnicGroup	liveInInfo	VARCHAR(199)	EthnicProportion	onEthnicGroup	true	false
EthnicProportion	percent	DECIMAL	EthnicProportion	percent	false	false
Encompassed	percent	DECIMAL	Encompassed	percent	false	false
Encompassed	encompassedArea	VARCHAR(199)	Encompassed	encompassedArea	false	false
Country	encompassedByInfo	VARCHAR(199)	Encompassed	encompassedArea	true	false
Province	encompassedByInfo	VARCHAR(199)	Encompassed	encompassedArea	true	false
Encompassed	encompassedBy	VARCHAR(199)	Encompassed	encompassedBy	false	false
Continent	encompassesInfo	VARCHAR(199)	Encompassed	encompassedBy	true	false
BelievedBy	percent	DECIMAL	BelievedBy	percent	false	false
BelievedBy	religionInfo-	VARCHAR(199)	BelievedBy	religionInfo-	false	false
Country	religionInfo	VARCHAR(199)	BelievedBy	religionInfo-	true	false
BelievedBy	onReligion	VARCHAR(199)	BelievedBy	onReligion	false	false
Religion	followedInInfo	VARCHAR(199)	BelievedBy	onReligion	true	false
Y2	invfktprop_Inv	VARCHAR(199)	Y2	invfktprop_Inv	false	false
X1	invfktprop	VARCHAR(199)	Y2	invfktprop_Inv	true	false
X2	invfktprop	VARCHAR(199)	Y2	invfktprop_Inv	true	false
Membership	ofMember	VARCHAR(199)	Membership	ofMember	false	false
Country	isInMembership	VARCHAR(199)	Membership	ofMember	true	false
Membership	inOrganization	VARCHAR(199)	Membership	inOrganization	false	false
Organization	hasMembership	VARCHAR(199)	Membership	inOrganization	true	false
Membership	type	VARCHAR(199)	Membership	type	false	false
Male	hasMother	VARCHAR(199)	Male	hasMother	false	false
Female	hasMother_Inv	VARCHAR(199)	Male	hasMother	true	false
Male	hasFather	VARCHAR(199)	Male	hasFather	false	false
Male	hasFather_Inv	VARCHAR(199)	Male	hasFather	true	false
SpokenBy	percent	DECIMAL	SpokenBy	percent	false	false
SpokenBy	languageInfo-	VARCHAR(199)	SpokenBy	languageInfo-	false	false
Country	languageInfo	VARCHAR(199)	SpokenBy	languageInfo-	true	false
SpokenBy	onLanguage	VARCHAR(199)	SpokenBy	onLanguage	false	false
Language	spokenInInfo	VARCHAR(199)	SpokenBy	onLanguage	true	false
EthnicGroup	name	VARCHAR(199)	EthnicGroup	name	false	false
X1	nmprop	VARCHAR(199)	X1	nmprop	false	false
Y1	nmprop_Inv	VARCHAR(199)	X1	nmprop	true	false
Y2	nmprop_Inv	VARCHAR(199)	X1	nmprop	true	false
City	name	VARCHAR(199)	City	name	false	false
City	population	DECIMAL	City	population	false	false
City	elevation	DECIMAL	City	elevation	false	false
City	longitude	DECIMAL	City	longitude	false	false
City	latitude	DECIMAL	City	latitude	false	false
U	totUpartV11prop	VARCHAR(199)	U	totUpartV11prop	false	false
V	totUpartV11prop_Inv	VARCHAR(199)	U	totUpartV11prop	true	false
Estuary	longitude	DECIMAL	Estuary	longitude	false	false
Estuary	elevation	DECIMAL	Estuary	elevation	false	false
Estuary	latitude	DECIMAL	Estuary	latitude	false	false
Estuary	hasEstuary-	VARCHAR(199)	Estuary	hasEstuary-	false	false
Water	hasEstuary	VARCHAR(199)	Estuary	hasEstuary-	true	false
Religion	name	VARCHAR(199)	Religion	name	false	false
Y1	invfktprop_Inv	VARCHAR(199)	Y1	invfktprop_Inv	false	false
X1	invfktprop	VARCHAR(199)	Y1	invfktprop_Inv	true	false
X2	invfktprop	VARCHAR(199)	Y1	invfktprop_Inv	true	false
Male	hasNickname	VARCHAR(199)	hasNickname	VALUE	false	false
ANY	hasNickname	VARCHAR(199)	hasNickname	VALUE	false	false
Female	hasNickname	VARCHAR(199)	hasNickname	VALUE	false	false
City	locatedAt	VARCHAR(199)	locatedAt	Water	false	false
ANY	locatedAt	VARCHAR(199)	locatedAt	Water	false	false
X2	nmprop	VARCHAR(199)	nmprop	Y	false	false
Water	mergesWith	VARCHAR(199)	mergesWith	Sea2	false	false
ANY	mergesWith	VARCHAR(199)	mergesWith	Sea2	false	false
City	locatedOnIsland	VARCHAR(199)	locatedOnIsland	Island	false	false
Female	marriedWith	VARCHAR(199)	marriedWith	Person2	false	false
ANY	marriedWith	VARCHAR(199)	marriedWith	Person2	false	false
Male	marriedWith	VARCHAR(199)	marriedWith	Person2	false	false
Continent	borders	VARCHAR(199)	borders	LargeArea	false	false
ANY	borders	VARCHAR(199)	borders	LargeArea	false	false
Country	borders	VARCHAR(199)	borders	LargeArea	false	false
Water	borders	VARCHAR(199)	borders	LargeArea	false	false
Province	borders	VARCHAR(199)	borders	LargeArea	false	false
City	cityIn	VARCHAR(199)	cityIn	AdministrativeArea	false	false
ANY	cityIn	VARCHAR(199)	cityIn	AdministrativeArea	false	false
City	othername	VARCHAR(199)	othername	VALUE	false	false
ANY	othername	VARCHAR(199)	othername	VALUE	false	false
Organization	othername	VARCHAR(199)	othername	VALUE	false	false
Island	othername	VARCHAR(199)	othername	VALUE	false	false
Desert	othername	VARCHAR(199)	othername	VALUE	false	false
Mountains	othername	VARCHAR(199)	othername	VALUE	false	false
Continent	othername	VARCHAR(199)	othername	VALUE	false	false
Mountain	othername	VARCHAR(199)	othername	VALUE	false	false
Islands	othername	VARCHAR(199)	othername	VALUE	false	false
EthnicGroup	othername	VARCHAR(199)	othername	VALUE	false	false
Language	othername	VARCHAR(199)	othername	VALUE	false	false
Water	othername	VARCHAR(199)	othername	VALUE	false	false
Country	othername	VARCHAR(199)	othername	VALUE	false	false
Religion	othername	VARCHAR(199)	othername	VALUE	false	false
Province	othername	VARCHAR(199)	othername	VALUE	false	false
Estuary	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
ANY	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Desert	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Island	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Mountains	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Source	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Mountain	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
City	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Water	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Islands	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Island	locatedInWater	VARCHAR(199)	locatedInWater	Water	false	false
ANY	locatedInWater	VARCHAR(199)	locatedInWater	Water	false	false
Female	hasAccountNo	DECIMAL	hasAccountNo	VALUE	false	false
ANY	hasAccountNo	DECIMAL	hasAccountNo	VALUE	false	false
Male	hasAccountNo	DECIMAL	hasAccountNo	VALUE	false	false
Male	hasChild	VARCHAR(199)	hasChild	Person2	false	false
ANY	hasChild	VARCHAR(199)	hasChild	Person2	false	false
Female	hasChild	VARCHAR(199)	hasChild	Person2	false	false
Water	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
ANY	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
Y1	nmprop_Inv	VARCHAR(199)	nmprop	X	false	false
Y2	nmprop_Inv	VARCHAR(199)	nmprop	X	false	false
Water	mergesWith	VARCHAR(199)	mergesWith	Sea1	false	false
ANY	mergesWith	VARCHAR(199)	mergesWith	Sea1	false	false
Island	locatedOnIsland_Inv	VARCHAR(199)	locatedOnIsland	Entity	false	false
Male	marriedWith	VARCHAR(199)	marriedWith	Person1	false	false
ANY	marriedWith	VARCHAR(199)	marriedWith	Person1	false	false
Female	marriedWith	VARCHAR(199)	marriedWith	Person1	false	false
Water	borders_Inv	VARCHAR(199)	borders	Entity	false	false
ANY	borders_Inv	VARCHAR(199)	borders	Entity	false	false
Province	borders_Inv	VARCHAR(199)	borders	Entity	false	false
Country	borders_Inv	VARCHAR(199)	borders	Entity	false	false
Continent	borders_Inv	VARCHAR(199)	borders	Entity	false	false
Province	hasCity	VARCHAR(199)	cityIn	City	false	false
ANY	hasCity	VARCHAR(199)	cityIn	City	false	false
Country	hasCity	VARCHAR(199)	cityIn	City	false	false
Country	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
ANY	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Province	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Island	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Continent	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Mountains	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Water	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
City	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Desert	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Islands	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Water	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
ANY	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
Female	hasParent	VARCHAR(199)	hasChild	Person1	false	false
ANY	hasParent	VARCHAR(199)	hasChild	Person1	false	false
Male	hasParent	VARCHAR(199)	hasChild	Person1	false	false
EthnicGroup	liveInCountry	VARCHAR(199)	EthnicProportion	ethnicInfo-	false	true
Country	belongToEthnicGroup	VARCHAR(199)	EthnicProportion	onEthnicGroup	false	true
Country	speakLanguage	VARCHAR(199)	SpokenBy	onLanguage	false	true
Language	spokenInCountry	VARCHAR(199)	SpokenBy	languageInfo-	false	true
Continent	encompasses	VARCHAR(199)	Encompassed	encompassedArea	false	true
Country	encompassed	VARCHAR(199)	Encompassed	encompassedBy	false	true
Country	believeInReligion	VARCHAR(199)	BelievedBy	onReligion	false	true
Religion	believedInCountry	VARCHAR(199)	BelievedBy	religionInfo-	false	true
Province	encompassed	VARCHAR(199)	Encompassed	encompassedBy	false	true
Organization	hasMember	VARCHAR(199)	Membership	ofMember	false	true
Country	isMember	VARCHAR(199)	Membership	inOrganization	false	true
Border	bordering	VARCHAR(199)	Border	Country1	false	false
Country	hasBorder	VARCHAR(199)	Border	Country1	true	false
Border	bordering	VARCHAR(199)	Border	Country2	false	false
Country	hasBorder	VARCHAR(199)	Border	Country2	true	false
Country	neighbor	VARCHAR(199)	Border	Country1	false	true
Country	neighbor	VARCHAR(199)	Border	Country2	false	true
Lake	rdftype	VARCHAR(199)	Water	rdftype	false	false
Water	rdftype	VARCHAR(199)	Water	rdftype	false	false
Volcano	rdftype	VARCHAR(199)	Mountain	rdftype	false	false
Mountain	rdftype	VARCHAR(199)	Mountain	rdftype	false	false
\.


--
-- TOC entry 6066 (class 0 OID 92726)
-- Dependencies: 939
-- Data for Name: mdlastchanged; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY mdlastchanged (at) FROM stdin;
\.


--
-- TOC entry 6067 (class 0 OID 92729)
-- Dependencies: 940
-- Data for Name: mergesWith; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "mergesWith" ("Sea1", "Sea2") FROM stdin;
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
\.


--
-- TOC entry 6068 (class 0 OID 92732)
-- Dependencies: 941
-- Data for Name: nmj; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY nmj (class, tablename, lookupattr, fkjoinattr) FROM stdin;
Male	hasNickname	VALUE	Person
Female	hasNickname	VALUE	Person
City	locatedAt	Water	City
X2	nmprop	Y	X
Water	mergesWith	Sea2	Sea1
City	locatedOnIsland	Island	Entity
Female	marriedWith	Person2	Person1
Male	marriedWith	Person2	Person1
Continent	borders	LargeArea	Entity
Country	borders	LargeArea	Entity
Water	borders	LargeArea	Entity
Province	borders	LargeArea	Entity
City	cityIn	AdministrativeArea	City
City	othername	VALUE	Entity
Organization	othername	VALUE	Entity
Island	othername	VALUE	Entity
Desert	othername	VALUE	Entity
Mountains	othername	VALUE	Entity
Continent	othername	VALUE	Entity
Mountain	othername	VALUE	Entity
Islands	othername	VALUE	Entity
EthnicGroup	othername	VALUE	Entity
Language	othername	VALUE	Entity
Water	othername	VALUE	Entity
Country	othername	VALUE	Entity
Religion	othername	VALUE	Entity
Province	othername	VALUE	Entity
Estuary	locatedIn	Area	Entity
Desert	locatedIn	Area	Entity
Island	locatedIn	Area	Entity
Mountains	locatedIn	Area	Entity
Source	locatedIn	Area	Entity
Mountain	locatedIn	Area	Entity
City	locatedIn	Area	Entity
Water	locatedIn	Area	Entity
Islands	locatedIn	Area	Entity
Island	locatedInWater	Water	Island
Female	hasAccountNo	VALUE	Person
Male	hasAccountNo	VALUE	Person
Male	hasChild	Person2	Person1
Female	hasChild	Person2	Person1
Water	locatedAt	City	Water
Y1	nmprop	X	Y
Y2	nmprop	X	Y
Water	mergesWith	Sea1	Sea2
Water	mergesWith	Sea1	Sea2
Island	locatedOnIsland	Entity	Island
Male	marriedWith	Person1	Person2
Male	marriedWith	Person1	Person2
Female	marriedWith	Person1	Person2
Female	marriedWith	Person1	Person2
Water	borders	Entity	LargeArea
Province	borders	Entity	LargeArea
Country	borders	Entity	LargeArea
Continent	borders	Entity	LargeArea
Province	cityIn	City	AdministrativeArea
Country	cityIn	City	AdministrativeArea
Country	locatedIn	Entity	Area
Province	locatedIn	Entity	Area
Island	locatedIn	Entity	Area
Continent	locatedIn	Entity	Area
Mountains	locatedIn	Entity	Area
Water	locatedIn	Entity	Area
City	locatedIn	Entity	Area
Desert	locatedIn	Entity	Area
Islands	locatedIn	Entity	Area
Water	locatedInWater	Island	Water
Female	hasChild	Person1	Person2
Male	hasChild	Person1	Person2
EthnicGroup	EthnicProportion	ethnicInfo-	onEthnicGroup
Country	EthnicProportion	onEthnicGroup	ethnicInfo-
Country	SpokenBy	onLanguage	languageInfo-
Language	SpokenBy	languageInfo-	onLanguage
Continent	Encompassed	encompassedArea	encompassedBy
Country	Encompassed	encompassedBy	encompassedArea
Country	Encompassed	encompassedBy	encompassedArea
Continent	Encompassed	encompassedArea	encompassedBy
Country	BelievedBy	onReligion	religionInfo-
Religion	BelievedBy	religionInfo-	onReligion
Province	Encompassed	encompassedBy	encompassedArea
Continent	Encompassed	encompassedArea	encompassedBy
Religion	BelievedBy	religionInfo-	onReligion
Country	BelievedBy	onReligion	religionInfo-
Organization	Membership	ofMember	inOrganization
Country	Membership	inOrganization	ofMember
Continent	Encompassed	encompassedArea	encompassedBy
Province	Encompassed	encompassedBy	encompassedArea
Language	SpokenBy	languageInfo-	onLanguage
Country	SpokenBy	onLanguage	languageInfo-
Country	EthnicProportion	onEthnicGroup	ethnicInfo-
EthnicGroup	EthnicProportion	ethnicInfo-	onEthnicGroup
Country	Membership	inOrganization	ofMember
Organization	Membership	ofMember	inOrganization
Country	Border	Country1	Country2
Country	Border	Country2	Country1
\.


--
-- TOC entry 6069 (class 0 OID 92735)
-- Dependencies: 942
-- Data for Name: nmprop; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY nmprop ("X", "Y") FROM stdin;
\.


--
-- TOC entry 6070 (class 0 OID 92738)
-- Dependencies: 943
-- Data for Name: nmtables; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY nmtables (tablename) FROM stdin;
hasNickname
mergesWith
locatedOnIsland
locatedIn
locatedAt
marriedWith
borders
locatedInWater
nmprop
hasAccountNo
hasChild
cityIn
othername
EthnicProportion
EthnicProportion
SpokenBy
SpokenBy
Encompassed
Encompassed
Encompassed
Encompassed
BelievedBy
BelievedBy
Encompassed
Encompassed
BelievedBy
BelievedBy
Membership
Membership
Encompassed
Encompassed
SpokenBy
SpokenBy
EthnicProportion
EthnicProportion
Membership
Membership
Border
\.


--
-- TOC entry 6071 (class 0 OID 92741)
-- Dependencies: 944
-- Data for Name: ocdict; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY ocdict (uri, class) FROM stdin;
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/	Province
7b93e6a1:150814fecb6:-260	Membership
7b93e6a1:150814fecb6:20f7	Membership
7b93e6a1:150814fecb6:b37	Membership
7b93e6a1:150814fecb6:1cb4	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	City
7b93e6a1:150814fecb6:2053	Membership
7b93e6a1:150814fecb6:765	Membership
7b93e6a1:150814fecb6:1c10	Membership
7b93e6a1:150814fecb6:18e2	Membership
http://www.semwebtech.org/mondial/10/island/Iceland/	Island
7b93e6a1:150814fecb6:d97	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	City
7b93e6a1:150814fecb6:4b1	Membership
7b93e6a1:150814fecb6:11ed	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Gagauz/	EthnicGroup
7b93e6a1:150814fecb6:1e70	Membership
7b93e6a1:150814fecb6:ae3	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	City
7b93e6a1:150814fecb6:-bc	Membership
7b93e6a1:150814fecb6:-5a0	Membership
7b93e6a1:150814fecb6:-15f	Membership
7b93e6a1:150814fecb6:2647	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	City
7b93e6a1:150814fecb6:1b0f	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	City
7b93e6a1:150814fecb6:25f3	EthnicProportion
7b93e6a1:150814fecb6:173d	Membership
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	Desert
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	Mountain
7b93e6a1:150814fecb6:30c	Membership
7b93e6a1:150814fecb6:1d6f	Membership
7b93e6a1:150814fecb6:1069	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandingo/	EthnicGroup
7b93e6a1:150814fecb6:1abb	Membership
7b93e6a1:150814fecb6:199d	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	City
7b93e6a1:150814fecb6:56c	Membership
7b93e6a1:150814fecb6:-6ff	Border
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/	Province
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	City
7b93e6a1:150814fecb6:b9e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	City
7b93e6a1:150814fecb6:-65b	Border
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	City
7b93e6a1:150814fecb6:13a9	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	City
7b93e6a1:150814fecb6:244e	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Bengali/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	City
7b93e6a1:150814fecb6:1305	Membership
http://www.semwebtech.org/mondial/10/river/Guadiana/	Water
7b93e6a1:150814fecb6:8ac	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	City
7b93e6a1:150814fecb6:ede	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	City
7b93e6a1:150814fecb6:1d8	Membership
7b93e6a1:150814fecb6:1565	Membership
7b93e6a1:150814fecb6:23fa	BelievedBy
7b93e6a1:150814fecb6:1b97	Membership
7b93e6a1:150814fecb6:e3a	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	City
7b93e6a1:150814fecb6:134	Membership
7b93e6a1:150814fecb6:12b1	Membership
7b93e6a1:150814fecb6:-2c7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/	Province
7b93e6a1:150814fecb6:-223	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	City
7b93e6a1:150814fecb6:394	Membership
7b93e6a1:150814fecb6:2016	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	City
7b93e6a1:150814fecb6:ed	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	City
7b93e6a1:150814fecb6:728	Membership
7b93e6a1:150814fecb6:18a5	Membership
7b93e6a1:150814fecb6:-483	Membership
http://www.semwebtech.org/mondial/10/island/Futuna/	Island
7b93e6a1:150814fecb6:1ed7	Membership
7b93e6a1:150814fecb6:1801	Membership
7b93e6a1:150814fecb6:2276	BelievedBy
7b93e6a1:150814fecb6:aa6	Membership
7b93e6a1:150814fecb6:988	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	City
7b93e6a1:150814fecb6:1e33	Membership
7b93e6a1:150814fecb6:110c	Membership
7b93e6a1:150814fecb6:6d4	Membership
7b93e6a1:150814fecb6:a02	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/	Province
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	Source
http://www.semwebtech.org/mondial/10/river/Mantaro/	Water
http://www.semwebtech.org/mondial/10/organization/OECD/	Organization
7b93e6a1:150814fecb6:630	Membership
7b93e6a1:150814fecb6:-7c3	Encompassed
7b93e6a1:150814fecb6:136c	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	City
7b93e6a1:150814fecb6:c62	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	City
7b93e6a1:150814fecb6:25b6	EthnicProportion
7b93e6a1:150814fecb6:890	Membership
7b93e6a1:150814fecb6:2512	EthnicProportion
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/	Province
7b93e6a1:150814fecb6:19b	Membership
7b93e6a1:150814fecb6:52f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	City
7b93e6a1:150814fecb6:16ac	Membership
7b93e6a1:150814fecb6:-28a	Membership
7b93e6a1:150814fecb6:fa2	Membership
7b93e6a1:150814fecb6:1cde	Membership
7b93e6a1:150814fecb6:-61e	Border
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	Estuary
7b93e6a1:150814fecb6:207d	Membership
7b93e6a1:150814fecb6:78f	Membership
http://www.semwebtech.org/mondial/10/source/Jubba/	Source
7b93e6a1:150814fecb6:1c3a	Membership
7b93e6a1:150814fecb6:4db	Membership
http://www.semwebtech.org/mondial/10/source/Huallaga/	Source
7b93e6a1:150814fecb6:1e9a	Membership
7b93e6a1:150814fecb6:-5ca	Membership
7b93e6a1:150814fecb6:1194	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	City
7b93e6a1:150814fecb6:1528	Membership
7b93e6a1:150814fecb6:-63	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	City
7b93e6a1:150814fecb6:23bd	BelievedBy
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	City
http://www.semwebtech.org/mondial/10/mountains/Grampians/	Mountains
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	Desert
7b93e6a1:150814fecb6:1788	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	City
http://www.semwebtech.org/mondial/10/lake/Inari/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	City
7b93e6a1:150814fecb6:357	Membership
7b93e6a1:150814fecb6:14d4	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	City
http://www.semwebtech.org/mondial/10/source/Rhein/	Source
7b93e6a1:150814fecb6:1430	Membership
7b93e6a1:150814fecb6:-446	Membership
7b93e6a1:150814fecb6:1a62	Membership
7b93e6a1:150814fecb6:2239	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	City
7b93e6a1:150814fecb6:1690	Membership
7b93e6a1:150814fecb6:-3f2	Membership
7b93e6a1:150814fecb6:2499	EthnicProportion
7b93e6a1:150814fecb6:cc9	Membership
7b93e6a1:150814fecb6:132f	Membership
7b93e6a1:150814fecb6:21e5	SpokenBy
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	Water
7b93e6a1:150814fecb6:c25	Membership
7b93e6a1:150814fecb6:8f7	Membership
7b93e6a1:150814fecb6:1da2	Membership
7b93e6a1:150814fecb6:2141	SpokenBy
7b93e6a1:150814fecb6:853	Membership
7b93e6a1:150814fecb6:19d0	Membership
7b93e6a1:150814fecb6:158f	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	City
7b93e6a1:150814fecb6:e85	Membership
7b93e6a1:150814fecb6:15e	Membership
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	City
http://www.semwebtech.org/mondial/10/lake/LochNess/	Water
7b93e6a1:150814fecb6:12db	Membership
7b93e6a1:150814fecb6:bd1	Membership
7b93e6a1:150814fecb6:-24d	Membership
http://www.semwebtech.org/mondial/10/islands/Seychelles/	Islands
http://www.semwebtech.org/mondial/10/source/Po/	Source
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	City
7b93e6a1:150814fecb6:18cf	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	City
7b93e6a1:150814fecb6:94	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/	Province
7b93e6a1:150814fecb6:182b	Membership
7b93e6a1:150814fecb6:1e5d	Membership
7b93e6a1:150814fecb6:1157	Membership
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	City
7b93e6a1:150814fecb6:6fe	Membership
7b93e6a1:150814fecb6:a2c	Membership
7b93e6a1:150814fecb6:-26	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	City
7b93e6a1:150814fecb6:65a	Membership
http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	Islands
7b93e6a1:150814fecb6:-7ed	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Monegasque/	EthnicGroup
7b93e6a1:150814fecb6:c8c	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	City
7b93e6a1:150814fecb6:3f1	Membership
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	City
7b93e6a1:150814fecb6:253c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/	Province
7b93e6a1:150814fecb6:1ac9	Membership
7b93e6a1:150814fecb6:-409	Membership
7b93e6a1:150814fecb6:1a25	Membership
7b93e6a1:150814fecb6:16f7	Membership
http://www.semwebtech.org/mondial/10/island/Olkhon/	Island
7b93e6a1:150814fecb6:fcc	Membership
7b93e6a1:150814fecb6:2c6	Membership
7b93e6a1:150814fecb6:1653	Membership
7b93e6a1:150814fecb6:-669	Border
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/	Province
7b93e6a1:150814fecb6:222	Membership
7b93e6a1:150814fecb6:1c85	Membership
7b93e6a1:150814fecb6:-3b5	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	City
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	City
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/	Mountain
http://www.semwebtech.org/mondial/10/country/SK/	Country
7b93e6a1:150814fecb6:-311	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	City
7b93e6a1:150814fecb6:21a8	SpokenBy
7b93e6a1:150814fecb6:482	Membership
7b93e6a1:150814fecb6:2104	Membership
7b93e6a1:150814fecb6:816	Membership
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	Estuary
7b93e6a1:150814fecb6:-8d	Membership
7b93e6a1:150814fecb6:-571	Membership
http://www.semwebtech.org/mondial/10/mountain/Korab/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	City
7b93e6a1:150814fecb6:e48	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	City
7b93e6a1:150814fecb6:1fc5	Membership
7b93e6a1:150814fecb6:2364	BelievedBy
7b93e6a1:150814fecb6:1f21	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/	Province
7b93e6a1:150814fecb6:20b0	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	City
7b93e6a1:150814fecb6:7c2	Membership
7b93e6a1:150814fecb6:14fe	Membership
7b93e6a1:150814fecb6:df4	Membership
7b93e6a1:150814fecb6:145a	Membership
7b93e6a1:150814fecb6:57	Membership
7b93e6a1:150814fecb6:d50	Membership
7b93e6a1:150814fecb6:1a8c	Membership
7b93e6a1:150814fecb6:-1bc	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	City
7b93e6a1:150814fecb6:26a4	EthnicProportion
7b93e6a1:150814fecb6:2600	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	City
7b93e6a1:150814fecb6:61d	Membership
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	City
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	City
7b93e6a1:150814fecb6:c4f	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/	Province
7b93e6a1:150814fecb6:1dcc	Membership
7b93e6a1:150814fecb6:-70c	Border
7b93e6a1:150814fecb6:10c6	Membership
7b93e6a1:150814fecb6:216b	SpokenBy
7b93e6a1:150814fecb6:87d	Membership
7b93e6a1:150814fecb6:19fa	Membership
7b93e6a1:150814fecb6:1022	Membership
http://www.semwebtech.org/mondial/10/source/Chire/	Source
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	City
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/	Province
7b93e6a1:150814fecb6:bfb	Membership
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	Mountain
7b93e6a1:150814fecb6:1282	Membership
7b93e6a1:150814fecb6:-298	Membership
http://www.semwebtech.org/mondial/10/estuary/Argun/	Estuary
7b93e6a1:150814fecb6:1616	Membership
7b93e6a1:150814fecb6:24ab	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	City
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	Water
7b93e6a1:150814fecb6:1c48	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	City
7b93e6a1:150814fecb6:4e9	Membership
7b93e6a1:150814fecb6:1876	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	City
7b93e6a1:150814fecb6:445	Membership
7b93e6a1:150814fecb6:15c2	Membership
7b93e6a1:150814fecb6:-5d8	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	City
7b93e6a1:150814fecb6:a77	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	City
7b93e6a1:150814fecb6:1bf4	Membership
7b93e6a1:150814fecb6:-534	Membership
http://www.semwebtech.org/mondial/10/river/Garonne/	Water
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	City
http://www.semwebtech.org/mondial/10/island/IsleofMan/	Island
7b93e6a1:150814fecb6:1b50	Membership
7b93e6a1:150814fecb6:2327	BelievedBy
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	City
7b93e6a1:150814fecb6:-794	Encompassed
7b93e6a1:150814fecb6:-4e0	Membership
7b93e6a1:150814fecb6:2587	EthnicProportion
7b93e6a1:150814fecb6:db7	Membership
7b93e6a1:150814fecb6:141d	Membership
7b93e6a1:150814fecb6:22d3	BelievedBy
7b93e6a1:150814fecb6:d13	Membership
7b93e6a1:150814fecb6:9e5	Membership
7b93e6a1:150814fecb6:1a4f	Membership
7b93e6a1:150814fecb6:941	Membership
7b93e6a1:150814fecb6:167d	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	City
7b93e6a1:150814fecb6:f73	Membership
7b93e6a1:150814fecb6:24c	Membership
7b93e6a1:150814fecb6:-3df	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	City
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/	Mountain
7b93e6a1:150814fecb6:-33b	Membership
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	Estuary
http://www.semwebtech.org/mondial/10/estuary/Oranje/	Estuary
7b93e6a1:150814fecb6:212e	SpokenBy
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	City
7b93e6a1:150814fecb6:19bd	Membership
7b93e6a1:150814fecb6:-59b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	City
7b93e6a1:150814fecb6:1fef	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	City
7b93e6a1:150814fecb6:12e9	Membership
7b93e6a1:150814fecb6:238e	BelievedBy
7b93e6a1:150814fecb6:bbe	Membership
7b93e6a1:150814fecb6:1f4b	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/	Province
7b93e6a1:150814fecb6:1245	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	City
7b93e6a1:150814fecb6:20da	Membership
7b93e6a1:150814fecb6:b1a	Membership
7b93e6a1:150814fecb6:7ec	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/	Province
http://www.semwebtech.org/mondial/10/country/Z/province/Western/	Province
7b93e6a1:150814fecb6:d7a	Membership
http://www.semwebtech.org/mondial/10/country/BHT/	Country
7b93e6a1:150814fecb6:1839	Membership
7b93e6a1:150814fecb6:11f1	Membership
7b93e6a1:150814fecb6:408	Membership
7b93e6a1:150814fecb6:-c0	Membership
7b93e6a1:150814fecb6:-163	Membership
7b93e6a1:150814fecb6:262a	EthnicProportion
7b93e6a1:150814fecb6:1bb7	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Namur/	Province
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	Island
http://www.semwebtech.org/mondial/10/island/Phuket/	Island
7b93e6a1:150814fecb6:668	Membership
7b93e6a1:150814fecb6:1b13	Membership
7b93e6a1:150814fecb6:17e5	Membership
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/	Province
7b93e6a1:150814fecb6:3b4	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	City
7b93e6a1:150814fecb6:1741	Membership
7b93e6a1:150814fecb6:-757	Encompassed
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	City
7b93e6a1:150814fecb6:310	Membership
7b93e6a1:150814fecb6:1d73	Membership
7b93e6a1:150814fecb6:-4a3	Membership
7b93e6a1:150814fecb6:104c	Membership
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	Estuary
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/	Province
7b93e6a1:150814fecb6:9a8	Membership
7b93e6a1:150814fecb6:570	Membership
http://www.semwebtech.org/mondial/10/mountains/SierraParima/	Mountains
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/	Province
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	City
7b93e6a1:150814fecb6:904	Membership
7b93e6a1:150814fecb6:24f6	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	City
7b93e6a1:150814fecb6:f36	Membership
7b93e6a1:150814fecb6:20f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	City
7b93e6a1:150814fecb6:2452	BelievedBy
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	City
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/	Province
http://www.semwebtech.org/mondial/10/organization/FATF/	Organization
7b93e6a1:150814fecb6:8b0	Membership
7b93e6a1:150814fecb6:46f	Membership
7b93e6a1:150814fecb6:15ec	Membership
7b93e6a1:150814fecb6:ee2	Membership
7b93e6a1:150814fecb6:1bb	Membership
7b93e6a1:150814fecb6:-55e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tay/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	City
7b93e6a1:150814fecb6:1b7a	Membership
7b93e6a1:150814fecb6:-2aa	Membership
http://www.semwebtech.org/mondial/10/estuary/Theiss/	Estuary
http://www.semwebtech.org/mondial/10/island/Principe/	Island
7b93e6a1:150814fecb6:1f0e	Membership
7b93e6a1:150814fecb6:1208	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	City
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	City
7b93e6a1:150814fecb6:7af	Membership
http://www.semwebtech.org/mondial/10/country/VIRG/	Country
7b93e6a1:150814fecb6:f1	Membership
7b93e6a1:150814fecb6:70b	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	City
7b93e6a1:150814fecb6:1468	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	City
7b93e6a1:150814fecb6:22fd	BelievedBy
7b93e6a1:150814fecb6:d3d	Membership
7b93e6a1:150814fecb6:1eba	Membership
7b93e6a1:150814fecb6:11b4	Membership
7b93e6a1:150814fecb6:96b	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/	Province
7b93e6a1:150814fecb6:1110	Membership
7b93e6a1:150814fecb6:-126	Membership
7b93e6a1:150814fecb6:f9d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/	Province
http://www.semwebtech.org/mondial/10/organization/BDEAC/	Organization
7b93e6a1:150814fecb6:297	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/	Province
7b93e6a1:150814fecb6:17a8	Membership
7b93e6a1:150814fecb6:1370	Membership
7b93e6a1:150814fecb6:-386	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/	Province
7b93e6a1:150814fecb6:1704	Membership
7b93e6a1:150814fecb6:2179	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Don/	Estuary
7b93e6a1:150814fecb6:1d36	Membership
7b93e6a1:150814fecb6:100f	Membership
http://www.semwebtech.org/mondial/10/desert/Sonora/	Desert
7b93e6a1:150814fecb6:5d7	Membership
7b93e6a1:150814fecb6:1964	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	City
7b93e6a1:150814fecb6:1f96	Membership
7b93e6a1:150814fecb6:533	Membership
7b93e6a1:150814fecb6:16b0	Membership
7b93e6a1:150814fecb6:-6c6	Border
7b93e6a1:150814fecb6:126f	Membership
7b93e6a1:150814fecb6:b65	Membership
7b93e6a1:150814fecb6:1ce2	Membership
7b93e6a1:150814fecb6:-622	Border
7b93e6a1:150814fecb6:24b9	EthnicProportion
7b93e6a1:150814fecb6:2081	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	City
7b93e6a1:150814fecb6:793	Membership
7b93e6a1:150814fecb6:2415	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/	Province
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	Water
7b93e6a1:150814fecb6:15af	Membership
7b93e6a1:150814fecb6:-ea	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	City
7b93e6a1:150814fecb6:-18d	Membership
7b93e6a1:150814fecb6:2675	EthnicProportion
7b93e6a1:150814fecb6:ea5	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	City
7b93e6a1:150814fecb6:150b	Membership
7b93e6a1:150814fecb6:23c1	BelievedBy
7b93e6a1:150814fecb6:e01	Membership
7b93e6a1:150814fecb6:1b3d	Membership
7b93e6a1:150814fecb6:3de	Membership
7b93e6a1:150814fecb6:176b	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	City
7b93e6a1:150814fecb6:33a	Membership
7b93e6a1:150814fecb6:1d9d	Membership
7b93e6a1:150814fecb6:-4cd	Membership
7b93e6a1:150814fecb6:1097	Membership
7b93e6a1:150814fecb6:b4	Membership
7b93e6a1:150814fecb6:10	Membership
7b93e6a1:150814fecb6:59a	Membership
7b93e6a1:150814fecb6:221c	SpokenBy
7b93e6a1:150814fecb6:92e	Membership
7b93e6a1:150814fecb6:13d7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	City
7b93e6a1:150814fecb6:247c	EthnicProportion
7b93e6a1:150814fecb6:cac	Membership
7b93e6a1:150814fecb6:1333	Membership
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	City
7b93e6a1:150814fecb6:-349	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/	Province
7b93e6a1:150814fecb6:8da	Membership
http://www.semwebtech.org/mondial/10/organization/IFC/	Organization
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	City
http://www.semwebtech.org/mondial/10/country/GUAD/	Country
http://www.semwebtech.org/mondial/10/ethnicgroup/Austrian/	EthnicGroup
7b93e6a1:150814fecb6:1593	Membership
7b93e6a1:150814fecb6:1927	Membership
7b93e6a1:150814fecb6:162	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	City
7b93e6a1:150814fecb6:-2f5	Membership
7b93e6a1:150814fecb6:1f59	Membership
7b93e6a1:150814fecb6:3e2	Membership
http://www.semwebtech.org/mondial/10/country/RO/	Country
7b93e6a1:150814fecb6:-251	Membership
7b93e6a1:150814fecb6:20e8	Membership
7b93e6a1:150814fecb6:b28	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/	Province
7b93e6a1:150814fecb6:1ca5	Membership
http://www.semwebtech.org/mondial/10/estuary/Missouri/	Estuary
7b93e6a1:150814fecb6:2044	Membership
7b93e6a1:150814fecb6:1c01	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	City
7b93e6a1:150814fecb6:756	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	City
7b93e6a1:150814fecb6:18d3	Membership
7b93e6a1:150814fecb6:d88	Membership
7b93e6a1:150814fecb6:4a2	Membership
7b93e6a1:150814fecb6:11de	Membership
http://www.semwebtech.org/mondial/10/continent/Africa/	Continent
7b93e6a1:150814fecb6:ad4	Membership
7b93e6a1:150814fecb6:1e61	Membership
7b93e6a1:150814fecb6:-ad	Membership
7b93e6a1:150814fecb6:113a	Membership
7b93e6a1:150814fecb6:2638	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	City
7b93e6a1:150814fecb6:a30	Membership
7b93e6a1:150814fecb6:-7f1	Encompassed
7b93e6a1:150814fecb6:139a	Membership
7b93e6a1:150814fecb6:c90	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/	Province
7b93e6a1:150814fecb6:172e	Membership
7b93e6a1:150814fecb6:25e4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	City
7b93e6a1:150814fecb6:2540	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	City
7b93e6a1:150814fecb6:1aac	Membership
7b93e6a1:150814fecb6:198e	Membership
7b93e6a1:150814fecb6:-3	Membership
7b93e6a1:150814fecb6:55d	Membership
7b93e6a1:150814fecb6:16da	Membership
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	City
7b93e6a1:150814fecb6:fd0	Membership
7b93e6a1:150814fecb6:b8f	Membership
7b93e6a1:150814fecb6:-64c	Border
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	Mountain
7b93e6a1:150814fecb6:243f	BelievedBy
http://www.semwebtech.org/mondial/10/organization/G-11/	Organization
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/	Province
7b93e6a1:150814fecb6:269f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	City
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	Estuary
7b93e6a1:150814fecb6:ecf	Membership
7b93e6a1:150814fecb6:1c9	Membership
7b93e6a1:150814fecb6:-91	Membership
7b93e6a1:150814fecb6:1556	Membership
7b93e6a1:150814fecb6:23eb	BelievedBy
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	Water
7b93e6a1:150814fecb6:e2b	Membership
7b93e6a1:150814fecb6:1b88	Membership
7b93e6a1:150814fecb6:125	Membership
7b93e6a1:150814fecb6:12a2	Membership
7b93e6a1:150814fecb6:-2b8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	City
http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Mountains
7b93e6a1:150814fecb6:-214	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	City
7b93e6a1:150814fecb6:385	Membership
7b93e6a1:150814fecb6:de	Membership
7b93e6a1:150814fecb6:2007	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	City
7b93e6a1:150814fecb6:719	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	City
7b93e6a1:150814fecb6:-474	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldavian-Romanian/	EthnicGroup
7b93e6a1:150814fecb6:3a	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	City
7b93e6a1:150814fecb6:1ec8	Membership
7b93e6a1:150814fecb6:1a90	Membership
7b93e6a1:150814fecb6:-808	Encompassed
7b93e6a1:150814fecb6:-1c0	Membership
7b93e6a1:150814fecb6:2267	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	Mountain
7b93e6a1:150814fecb6:979	Membership
7b93e6a1:150814fecb6:1e24	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	City
7b93e6a1:150814fecb6:6c5	Membership
http://www.semwebtech.org/mondial/10/religion/Presbyterian/	Religion
7b93e6a1:150814fecb6:cf7	Membership
7b93e6a1:150814fecb6:621	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/	Province
7b93e6a1:150814fecb6:-7b4	Encompassed
7b93e6a1:150814fecb6:135d	Membership
7b93e6a1:150814fecb6:c53	Membership
7b93e6a1:150814fecb6:1dd0	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/	Province
7b93e6a1:150814fecb6:-710	Border
7b93e6a1:150814fecb6:25a7	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	City
7b93e6a1:150814fecb6:881	Membership
7b93e6a1:150814fecb6:2503	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	City
7b93e6a1:150814fecb6:18c	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/	Province
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	City
http://www.semwebtech.org/mondial/10/mountains/Azbine/	Mountains
7b93e6a1:150814fecb6:-27b	Membership
7b93e6a1:150814fecb6:1ccf	Membership
7b93e6a1:150814fecb6:-60f	Border
7b93e6a1:150814fecb6:206e	Membership
7b93e6a1:150814fecb6:1c2b	Membership
7b93e6a1:150814fecb6:18fd	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/	Province
http://www.semwebtech.org/mondial/10/island/Molokai/	Island
7b93e6a1:150814fecb6:4cc	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/	Province
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	Water
7b93e6a1:150814fecb6:1e8b	Membership
7b93e6a1:150814fecb6:afe	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/	Province
7b93e6a1:150814fecb6:-f8	Membership
7b93e6a1:150814fecb6:-5bb	Membership
7b93e6a1:150814fecb6:1185	Membership
7b93e6a1:150814fecb6:a5a	Membership
7b93e6a1:150814fecb6:-54	Membership
7b93e6a1:150814fecb6:1519	Membership
7b93e6a1:150814fecb6:23ae	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	City
7b93e6a1:150814fecb6:230a	BelievedBy
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	City
7b93e6a1:150814fecb6:1779	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/	Province
7b93e6a1:150814fecb6:348	Membership
7b93e6a1:150814fecb6:14c5	Membership
7b93e6a1:150814fecb6:256a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	City
7b93e6a1:150814fecb6:1af7	Membership
7b93e6a1:150814fecb6:1421	Membership
7b93e6a1:150814fecb6:-437	Membership
7b93e6a1:150814fecb6:1a53	Membership
7b93e6a1:150814fecb6:ffa	Membership
7b93e6a1:150814fecb6:2f4	Membership
7b93e6a1:150814fecb6:1681	Membership
7b93e6a1:150814fecb6:-697	Border
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	City
7b93e6a1:150814fecb6:250	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	City
7b93e6a1:150814fecb6:-3e3	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	City
7b93e6a1:150814fecb6:21d6	SpokenBy
7b93e6a1:150814fecb6:c16	Membership
7b93e6a1:150814fecb6:8e8	Membership
7b93e6a1:150814fecb6:2132	SpokenBy
http://www.semwebtech.org/mondial/10/mountains/Sinai/	Mountains
http://www.semwebtech.org/mondial/10/island/Lolland/	Island
http://www.semwebtech.org/mondial/10/river/Syrdarja/	Water
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	City
7b93e6a1:150814fecb6:844	Membership
7b93e6a1:150814fecb6:19c1	Membership
7b93e6a1:150814fecb6:e76	Membership
7b93e6a1:150814fecb6:1ff3	Membership
7b93e6a1:150814fecb6:14f	Membership
7b93e6a1:150814fecb6:12cc	Membership
7b93e6a1:150814fecb6:2392	BelievedBy
http://www.semwebtech.org/mondial/10/country/SPMI/	Country
7b93e6a1:150814fecb6:bc2	Membership
7b93e6a1:150814fecb6:-23e	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Songhai/	EthnicGroup
7b93e6a1:150814fecb6:7f0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/	Province
7b93e6a1:150814fecb6:-49e	Membership
7b93e6a1:150814fecb6:85	Membership
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	Water
7b93e6a1:150814fecb6:181c	Membership
7b93e6a1:150814fecb6:-1ea	Membership
7b93e6a1:150814fecb6:1e4e	Membership
7b93e6a1:150814fecb6:1148	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	City
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	Desert
http://www.semwebtech.org/mondial/10/river/Jenissej/	Water
7b93e6a1:150814fecb6:6ef	Membership
7b93e6a1:150814fecb6:a1d	Membership
7b93e6a1:150814fecb6:-17	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	City
7b93e6a1:150814fecb6:64b	Membership
7b93e6a1:150814fecb6:-7de	Encompassed
http://www.semwebtech.org/mondial/10/language/Pitkern/	Language
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	City
7b93e6a1:150814fecb6:c7d	Membership
http://www.semwebtech.org/mondial/10/mountain/Brocken/	Mountain
7b93e6a1:150814fecb6:1dfa	Membership
7b93e6a1:150814fecb6:-73a	Encompassed
7b93e6a1:150814fecb6:10f4	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	City
7b93e6a1:150814fecb6:1050	Membership
7b93e6a1:150814fecb6:252d	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Romansch/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	City
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	City
7b93e6a1:150814fecb6:1a16	Membership
7b93e6a1:150814fecb6:16e8	Membership
7b93e6a1:150814fecb6:fbd	Membership
http://www.semwebtech.org/mondial/10/island/IsleofWight/	Island
7b93e6a1:150814fecb6:2b7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	City
7b93e6a1:150814fecb6:1644	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/	Province
7b93e6a1:150814fecb6:213	Membership
7b93e6a1:150814fecb6:1c76	Membership
7b93e6a1:150814fecb6:-3a6	Membership
7b93e6a1:150814fecb6:-302	Membership
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	Estuary
7b93e6a1:150814fecb6:473	Membership
http://www.semwebtech.org/mondial/10/river/Salzach/	Water
7b93e6a1:150814fecb6:15f0	Membership
7b93e6a1:150814fecb6:807	Membership
7b93e6a1:150814fecb6:-7e	Membership
7b93e6a1:150814fecb6:-562	Membership
7b93e6a1:150814fecb6:23f9	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	Mountain
7b93e6a1:150814fecb6:e39	Membership
http://www.semwebtech.org/mondial/10/source/Waag/	Source
7b93e6a1:150814fecb6:1fb6	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/	Province
7b93e6a1:150814fecb6:2355	BelievedBy
http://www.semwebtech.org/mondial/10/island/Ceram/	Island
http://www.semwebtech.org/mondial/10/island/Langeland/	Island
7b93e6a1:150814fecb6:1f12	Membership
http://www.semwebtech.org/mondial/10/language/Gagauz/	Language
7b93e6a1:150814fecb6:20a1	Membership
7b93e6a1:150814fecb6:7b3	Membership
http://www.semwebtech.org/mondial/10/estuary/Sanga/	Estuary
7b93e6a1:150814fecb6:14ef	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	City
7b93e6a1:150814fecb6:de5	Membership
http://www.semwebtech.org/mondial/10/organization/CIS/	Organization
7b93e6a1:150814fecb6:144b	Membership
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	City
http://www.semwebtech.org/mondial/10/organization/FZ/	Organization
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	City
7b93e6a1:150814fecb6:48	Membership
7b93e6a1:150814fecb6:d41	Membership
7b93e6a1:150814fecb6:1a7d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	City
7b93e6a1:150814fecb6:-1ad	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	City
7b93e6a1:150814fecb6:27a	Membership
7b93e6a1:150814fecb6:60e	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/	Province
7b93e6a1:150814fecb6:1dbd	Membership
7b93e6a1:150814fecb6:10b7	Membership
7b93e6a1:150814fecb6:215c	SpokenBy
7b93e6a1:150814fecb6:86e	Membership
7b93e6a1:150814fecb6:19eb	Membership
7b93e6a1:150814fecb6:1013	Membership
7b93e6a1:150814fecb6:5ba	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/	Province
http://www.semwebtech.org/mondial/10/island/Java/	Island
http://www.semwebtech.org/mondial/10/river/Oranje/	Water
7b93e6a1:150814fecb6:bec	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	City
http://www.semwebtech.org/mondial/10/river/Uruguay/	Water
7b93e6a1:150814fecb6:1273	Membership
7b93e6a1:150814fecb6:-289	Membership
7b93e6a1:150814fecb6:1607	Membership
7b93e6a1:150814fecb6:1c39	Membership
http://www.semwebtech.org/mondial/10/country/OM/	Country
http://www.semwebtech.org/mondial/10/ethnicgroup/Latvian/	EthnicGroup
7b93e6a1:150814fecb6:1867	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	City
7b93e6a1:150814fecb6:1e99	Membership
7b93e6a1:150814fecb6:436	Membership
7b93e6a1:150814fecb6:15b3	Membership
7b93e6a1:150814fecb6:-5c9	Membership
7b93e6a1:150814fecb6:-191	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/	Province
7b93e6a1:150814fecb6:a68	Membership
7b93e6a1:150814fecb6:1be5	Membership
7b93e6a1:150814fecb6:-525	Membership
7b93e6a1:150814fecb6:1b41	Membership
7b93e6a1:150814fecb6:696	Membership
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	City
http://www.semwebtech.org/mondial/10/country/SY/	Country
7b93e6a1:150814fecb6:2318	BelievedBy
7b93e6a1:150814fecb6:-785	Encompassed
7b93e6a1:150814fecb6:-4d1	Membership
7b93e6a1:150814fecb6:107a	Membership
7b93e6a1:150814fecb6:2578	EthnicProportion
7b93e6a1:150814fecb6:da8	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	City
7b93e6a1:150814fecb6:140e	Membership
7b93e6a1:150814fecb6:22c4	BelievedBy
7b93e6a1:150814fecb6:d04	Membership
7b93e6a1:150814fecb6:9d6	Membership
http://www.semwebtech.org/mondial/10/source/Fulda/	Source
7b93e6a1:150814fecb6:2220	SpokenBy
7b93e6a1:150814fecb6:932	Membership
7b93e6a1:150814fecb6:166e	Membership
7b93e6a1:150814fecb6:f64	Membership
7b93e6a1:150814fecb6:23d	Membership
7b93e6a1:150814fecb6:13ba	Membership
7b93e6a1:150814fecb6:2480	EthnicProportion
7b93e6a1:150814fecb6:cb0	Membership
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	City
7b93e6a1:150814fecb6:-32c	Membership
7b93e6a1:150814fecb6:49d	Membership
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/	Province
7b93e6a1:150814fecb6:211f	SpokenBy
7b93e6a1:150814fecb6:19ae	Membership
7b93e6a1:150814fecb6:-58c	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	City
7b93e6a1:150814fecb6:5	Membership
7b93e6a1:150814fecb6:190a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Celt/	EthnicGroup
7b93e6a1:150814fecb6:237f	BelievedBy
7b93e6a1:150814fecb6:1f3c	Membership
7b93e6a1:150814fecb6:baf	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	City
7b93e6a1:150814fecb6:1236	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/	Province
7b93e6a1:150814fecb6:20cb	Membership
7b93e6a1:150814fecb6:b0b	Membership
7b93e6a1:150814fecb6:7dd	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	City
http://www.semwebtech.org/mondial/10/river/Theiss/	Water
7b93e6a1:150814fecb6:1496	Membership
7b93e6a1:150814fecb6:d6b	Membership
7b93e6a1:150814fecb6:26bf	EthnicProportion
7b93e6a1:150814fecb6:11e2	Membership
7b93e6a1:150814fecb6:-1f8	Membership
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	Desert
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	City
7b93e6a1:150814fecb6:-b1	Membership
7b93e6a1:150814fecb6:-154	Membership
7b93e6a1:150814fecb6:261b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	City
7b93e6a1:150814fecb6:1ba8	Membership
http://www.semwebtech.org/mondial/10/island/GreatBritain/	Island
7b93e6a1:150814fecb6:659	Membership
7b93e6a1:150814fecb6:1b04	Membership
7b93e6a1:150814fecb6:17d6	Membership
7b93e6a1:150814fecb6:1732	Membership
7b93e6a1:150814fecb6:3a5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	City
7b93e6a1:150814fecb6:-748	Encompassed
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Arabic/	EthnicGroup
7b93e6a1:150814fecb6:301	Membership
7b93e6a1:150814fecb6:1d64	Membership
7b93e6a1:150814fecb6:103d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	City
7b93e6a1:150814fecb6:1ab0	Membership
7b93e6a1:150814fecb6:1992	Membership
7b93e6a1:150814fecb6:561	Membership
7b93e6a1:150814fecb6:-6f4	Border
7b93e6a1:150814fecb6:129d	Membership
7b93e6a1:150814fecb6:b93	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/	Province
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	Island
7b93e6a1:150814fecb6:-650	Border
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	City
7b93e6a1:150814fecb6:24e7	EthnicProportion
7b93e6a1:150814fecb6:f27	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	City
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/	Province
7b93e6a1:150814fecb6:2443	BelievedBy
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	City
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	City
http://www.semwebtech.org/mondial/10/island/LittleCayman/	Island
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/	Province
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	Water
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	Water
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	City
7b93e6a1:150814fecb6:8a1	Membership
http://www.semwebtech.org/mondial/10/river/Newa/	Water
7b93e6a1:150814fecb6:15dd	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	City
7b93e6a1:150814fecb6:ed3	Membership
7b93e6a1:150814fecb6:1ac	Membership
7b93e6a1:150814fecb6:-54f	Membership
7b93e6a1:150814fecb6:1b6b	Membership
http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Mountains
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/	Province
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	City
7b93e6a1:150814fecb6:-4fb	Membership
7b93e6a1:150814fecb6:e2	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	City
7b93e6a1:150814fecb6:1459	Membership
7b93e6a1:150814fecb6:22ee	BelievedBy
7b93e6a1:150814fecb6:1eab	Membership
7b93e6a1:150814fecb6:d2e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	City
7b93e6a1:150814fecb6:11a5	Membership
7b93e6a1:150814fecb6:224a	BelievedBy
7b93e6a1:150814fecb6:95c	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	City
7b93e6a1:150814fecb6:1101	Membership
7b93e6a1:150814fecb6:-117	Membership
http://www.semwebtech.org/mondial/10/river/Swir/	Water
7b93e6a1:150814fecb6:f8e	Membership
7b93e6a1:150814fecb6:288	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	City
7b93e6a1:150814fecb6:cda	Membership
7b93e6a1:150814fecb6:1361	Membership
7b93e6a1:150814fecb6:-377	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	City
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	City
http://www.semwebtech.org/mondial/10/country/RMM/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	City
7b93e6a1:150814fecb6:1d27	Membership
7b93e6a1:150814fecb6:19f9	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	City
7b93e6a1:150814fecb6:5c8	Membership
7b93e6a1:150814fecb6:190	Membership
7b93e6a1:150814fecb6:1955	Membership
7b93e6a1:150814fecb6:1f87	Membership
7b93e6a1:150814fecb6:524	Membership
7b93e6a1:150814fecb6:16a1	Membership
7b93e6a1:150814fecb6:-6b7	Border
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/	Province
7b93e6a1:150814fecb6:b56	Membership
7b93e6a1:150814fecb6:1cd3	Membership
7b93e6a1:150814fecb6:-613	Border
7b93e6a1:150814fecb6:2072	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/	Province
7b93e6a1:150814fecb6:784	Membership
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	City
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	City
7b93e6a1:150814fecb6:2406	BelievedBy
7b93e6a1:150814fecb6:4d0	Membership
http://www.semwebtech.org/mondial/10/estuary/Mincio/	Estuary
7b93e6a1:150814fecb6:-db	Membership
7b93e6a1:150814fecb6:-17e	Membership
7b93e6a1:150814fecb6:2666	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/	Province
7b93e6a1:150814fecb6:23b2	BelievedBy
7b93e6a1:150814fecb6:1b2e	Membership
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/	Province
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	City
7b93e6a1:150814fecb6:3cf	Membership
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/	Province
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	City
7b93e6a1:150814fecb6:175c	Membership
7b93e6a1:150814fecb6:1d8e	Membership
7b93e6a1:150814fecb6:32b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	City
7b93e6a1:150814fecb6:-4be	Membership
7b93e6a1:150814fecb6:1088	Membership
7b93e6a1:150814fecb6:a5	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Bakongo/	EthnicGroup
7b93e6a1:150814fecb6:1ada	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	City
7b93e6a1:150814fecb6:-41a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	EthnicGroup
7b93e6a1:150814fecb6:58b	Membership
7b93e6a1:150814fecb6:220d	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	City
7b93e6a1:150814fecb6:91f	Membership
7b93e6a1:150814fecb6:-67a	Border
http://www.semwebtech.org/mondial/10/island/Singapore/	Island
7b93e6a1:150814fecb6:13c8	Membership
7b93e6a1:150814fecb6:246d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	City
7b93e6a1:150814fecb6:1324	Membership
http://www.semwebtech.org/mondial/10/organization/SAARC/	Organization
http://www.semwebtech.org/mondial/10/island/NorthUist/	Island
7b93e6a1:150814fecb6:8cb	Membership
http://www.semwebtech.org/mondial/10/organization/CAEU/	Organization
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	City
7b93e6a1:150814fecb6:efd	Membership
7b93e6a1:150814fecb6:1f7	Membership
http://www.semwebtech.org/mondial/10/country/HELX/	Country
7b93e6a1:150814fecb6:1584	Membership
http://www.semwebtech.org/mondial/10/country/MACX/	Country
7b93e6a1:150814fecb6:1918	Membership
7b93e6a1:150814fecb6:153	Membership
7b93e6a1:150814fecb6:12d0	Membership
7b93e6a1:150814fecb6:-2e6	Membership
http://www.semwebtech.org/mondial/10/island/Montserrat/	Island
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/	Province
7b93e6a1:150814fecb6:-242	Membership
7b93e6a1:150814fecb6:20d9	Membership
7b93e6a1:150814fecb6:b19	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	City
7b93e6a1:150814fecb6:2035	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	Province
7b93e6a1:150814fecb6:747	Membership
7b93e6a1:150814fecb6:18c4	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	City
7b93e6a1:150814fecb6:d79	Membership
7b93e6a1:150814fecb6:2295	BelievedBy
7b93e6a1:150814fecb6:1ef6	Membership
7b93e6a1:150814fecb6:1820	Membership
7b93e6a1:150814fecb6:11cf	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/	Province
7b93e6a1:150814fecb6:ac5	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	City
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/	Province
7b93e6a1:150814fecb6:1e52	Membership
7b93e6a1:150814fecb6:112b	Membership
7b93e6a1:150814fecb6:2629	EthnicProportion
http://www.semwebtech.org/mondial/10/country/AL/	Country
7b93e6a1:150814fecb6:6f3	Membership
7b93e6a1:150814fecb6:a21	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	City
http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/	Mountains
http://www.semwebtech.org/mondial/10/country/NIC/	Country
7b93e6a1:150814fecb6:138b	Membership
7b93e6a1:150814fecb6:-7e2	Encompassed
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	City
http://www.semwebtech.org/mondial/10/country/CR/	Country
7b93e6a1:150814fecb6:c81	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/	Province
7b93e6a1:150814fecb6:171f	Membership
7b93e6a1:150814fecb6:25d5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	City
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	City
7b93e6a1:150814fecb6:2531	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	City
7b93e6a1:150814fecb6:197f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	City
http://www.semwebtech.org/mondial/10/source/Mississippi/	Source
7b93e6a1:150814fecb6:54e	Membership
7b93e6a1:150814fecb6:16cb	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	City
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	City
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	Mountain
7b93e6a1:150814fecb6:fc1	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	City
7b93e6a1:150814fecb6:1cfd	Membership
7b93e6a1:150814fecb6:-63d	Border
7b93e6a1:150814fecb6:209c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/	Province
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	City
7b93e6a1:150814fecb6:4fa	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	City
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	City
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	Estuary
7b93e6a1:150814fecb6:-82	Membership
7b93e6a1:150814fecb6:1547	Membership
7b93e6a1:150814fecb6:23dc	BelievedBy
http://www.semwebtech.org/mondial/10/islands/ElliceIslands/	Islands
7b93e6a1:150814fecb6:e1c	Membership
7b93e6a1:150814fecb6:1b79	Membership
7b93e6a1:150814fecb6:116	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/	Province
7b93e6a1:150814fecb6:-2a9	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/	Province
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	City
http://www.semwebtech.org/mondial/10/mountains/Corse/	Mountains
7b93e6a1:150814fecb6:-205	Membership
http://www.semwebtech.org/mondial/10/estuary/Breg/	Estuary
http://www.semwebtech.org/mondial/10/organization/BSEC/	Organization
http://www.semwebtech.org/mondial/10/organization/EAPC/	Organization
7b93e6a1:150814fecb6:376	Membership
7b93e6a1:150814fecb6:14f3	Membership
7b93e6a1:150814fecb6:cf	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	City
7b93e6a1:150814fecb6:-465	Membership
7b93e6a1:150814fecb6:2b	Membership
7b93e6a1:150814fecb6:2258	BelievedBy
7b93e6a1:150814fecb6:1eb9	Membership
7b93e6a1:150814fecb6:1a81	Membership
7b93e6a1:150814fecb6:-1b1	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	City
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	City
7b93e6a1:150814fecb6:1e15	Membership
7b93e6a1:150814fecb6:6b6	Membership
http://www.semwebtech.org/mondial/10/mountain/Damavand/	Mountain
http://www.semwebtech.org/mondial/10/organization/ADB/	Organization
7b93e6a1:150814fecb6:ce8	Membership
7b93e6a1:150814fecb6:612	Membership
7b93e6a1:150814fecb6:-7a5	Encompassed
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/	Province
7b93e6a1:150814fecb6:134e	Membership
7b93e6a1:150814fecb6:c44	Membership
http://www.semwebtech.org/mondial/10/island/Trinidad/	Island
7b93e6a1:150814fecb6:1dc1	Membership
7b93e6a1:150814fecb6:-701	Border
7b93e6a1:150814fecb6:2160	SpokenBy
7b93e6a1:150814fecb6:872	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	City
7b93e6a1:150814fecb6:17d	Membership
7b93e6a1:150814fecb6:12fa	Membership
7b93e6a1:150814fecb6:bf0	Membership
7b93e6a1:150814fecb6:-26c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	City
7b93e6a1:150814fecb6:24a0	EthnicProportion
7b93e6a1:150814fecb6:205f	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	City
7b93e6a1:150814fecb6:1c1c	Membership
7b93e6a1:150814fecb6:18ee	Membership
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	City
7b93e6a1:150814fecb6:184a	Membership
7b93e6a1:150814fecb6:4bd	Membership
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	City
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	City
7b93e6a1:150814fecb6:aef	Membership
7b93e6a1:150814fecb6:1e7c	Membership
7b93e6a1:150814fecb6:-e9	Membership
7b93e6a1:150814fecb6:-5ac	Membership
7b93e6a1:150814fecb6:1176	Membership
7b93e6a1:150814fecb6:a4b	Membership
7b93e6a1:150814fecb6:-45	Membership
7b93e6a1:150814fecb6:25ff	EthnicProportion
7b93e6a1:150814fecb6:339	Membership
7b93e6a1:150814fecb6:14b6	Membership
7b93e6a1:150814fecb6:255b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	City
7b93e6a1:150814fecb6:1ae8	Membership
7b93e6a1:150814fecb6:1412	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	City
7b93e6a1:150814fecb6:-428	Membership
7b93e6a1:150814fecb6:599	Membership
7b93e6a1:150814fecb6:1a44	Membership
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	Estuary
7b93e6a1:150814fecb6:feb	Membership
7b93e6a1:150814fecb6:2e5	Membership
7b93e6a1:150814fecb6:1672	Membership
7b93e6a1:150814fecb6:-688	Border
7b93e6a1:150814fecb6:241	Membership
7b93e6a1:150814fecb6:-3d4	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	City
7b93e6a1:150814fecb6:-330	Membership
7b93e6a1:150814fecb6:21c7	SpokenBy
7b93e6a1:150814fecb6:c07	Membership
7b93e6a1:150814fecb6:8d9	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	City
7b93e6a1:150814fecb6:2123	SpokenBy
7b93e6a1:150814fecb6:835	Membership
7b93e6a1:150814fecb6:19b2	Membership
7b93e6a1:150814fecb6:-590	Membership
http://www.semwebtech.org/mondial/10/island/Skye/	Island
7b93e6a1:150814fecb6:e67	Membership
7b93e6a1:150814fecb6:1fe4	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	City
7b93e6a1:150814fecb6:12bd	Membership
7b93e6a1:150814fecb6:2383	BelievedBy
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	City
7b93e6a1:150814fecb6:bb3	Membership
7b93e6a1:150814fecb6:1f40	Membership
7b93e6a1:150814fecb6:-22f	Membership
7b93e6a1:150814fecb6:7e1	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	City
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	City
7b93e6a1:150814fecb6:-48f	Membership
7b93e6a1:150814fecb6:76	Membership
7b93e6a1:150814fecb6:180d	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	City
7b93e6a1:150814fecb6:-1db	Membership
7b93e6a1:150814fecb6:26c3	EthnicProportion
7b93e6a1:150814fecb6:1e3f	Membership
7b93e6a1:150814fecb6:1139	Membership
7b93e6a1:150814fecb6:a0e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	City
http://www.semwebtech.org/mondial/10/island/Rugen/	Island
7b93e6a1:150814fecb6:63c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	City
7b93e6a1:150814fecb6:-7cf	Encompassed
7b93e6a1:150814fecb6:1399	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	City
7b93e6a1:150814fecb6:c6e	Membership
7b93e6a1:150814fecb6:1deb	Membership
7b93e6a1:150814fecb6:-72b	Encompassed
7b93e6a1:150814fecb6:10e5	Membership
7b93e6a1:150814fecb6:218a	SpokenBy
7b93e6a1:150814fecb6:89c	Membership
7b93e6a1:150814fecb6:1041	Membership
7b93e6a1:150814fecb6:251e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	City
http://www.semwebtech.org/mondial/10/religion/Baptist/	Religion
7b93e6a1:150814fecb6:1a07	Membership
7b93e6a1:150814fecb6:16d9	Membership
http://www.semwebtech.org/mondial/10/organization/ECOWAS/	Organization
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	City
7b93e6a1:150814fecb6:fae	Membership
http://www.semwebtech.org/mondial/10/country/EAT/	Country
7b93e6a1:150814fecb6:2a8	Membership
7b93e6a1:150814fecb6:1635	Membership
7b93e6a1:150814fecb6:24ca	EthnicProportion
7b93e6a1:150814fecb6:f0a	Membership
http://www.semwebtech.org/mondial/10/source/Jangtse/	Source
7b93e6a1:150814fecb6:204	Membership
7b93e6a1:150814fecb6:1c67	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	City
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	City
7b93e6a1:150814fecb6:1895	Membership
7b93e6a1:150814fecb6:464	Membership
7b93e6a1:150814fecb6:15e1	Membership
7b93e6a1:150814fecb6:-5f7	Border
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	Province
7b93e6a1:150814fecb6:a96	Membership
7b93e6a1:150814fecb6:1b0	Membership
7b93e6a1:150814fecb6:-6f	Membership
7b93e6a1:150814fecb6:-553	Membership
http://www.semwebtech.org/mondial/10/country/MOC/	Country
7b93e6a1:150814fecb6:1fa7	Membership
http://www.semwebtech.org/mondial/10/source/Ischim/	Source
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/	Province
7b93e6a1:150814fecb6:2346	BelievedBy
7b93e6a1:150814fecb6:1f03	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/	Province
7b93e6a1:150814fecb6:7a4	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	City
7b93e6a1:150814fecb6:dd6	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	City
7b93e6a1:150814fecb6:700	Membership
7b93e6a1:150814fecb6:143c	Membership
7b93e6a1:150814fecb6:22f2	BelievedBy
7b93e6a1:150814fecb6:39	Membership
http://www.semwebtech.org/mondial/10/river/Kasai/	Water
7b93e6a1:150814fecb6:d32	Membership
http://www.semwebtech.org/mondial/10/islands/NewCaledonia/	Islands
7b93e6a1:150814fecb6:1a6e	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/	Province
http://www.semwebtech.org/mondial/10/river/Drina/	Water
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	City
7b93e6a1:150814fecb6:960	Membership
7b93e6a1:150814fecb6:169c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoLoum/	EthnicGroup
7b93e6a1:150814fecb6:f92	Membership
7b93e6a1:150814fecb6:26b	Membership
7b93e6a1:150814fecb6:-3fe	Membership
http://www.semwebtech.org/mondial/10/island/Ponape/	Island
7b93e6a1:150814fecb6:-35a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	City
7b93e6a1:150814fecb6:1dae	Membership
7b93e6a1:150814fecb6:10a8	Membership
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	Mountain
7b93e6a1:150814fecb6:214d	SpokenBy
7b93e6a1:150814fecb6:85f	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	City
7b93e6a1:150814fecb6:1d0a	Membership
7b93e6a1:150814fecb6:19dc	Membership
7b93e6a1:150814fecb6:1004	Membership
7b93e6a1:150814fecb6:5ab	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	City
7b93e6a1:150814fecb6:bdd	Membership
7b93e6a1:150814fecb6:1f6a	Membership
7b93e6a1:150814fecb6:1264	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	City
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	City
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	City
7b93e6a1:150814fecb6:1858	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/	Province
7b93e6a1:150814fecb6:427	Membership
http://www.semwebtech.org/mondial/10/religion/ChurchofGod/	Religion
7b93e6a1:150814fecb6:15a4	Membership
7b93e6a1:150814fecb6:-182	Membership
http://www.semwebtech.org/mondial/10/language/Brahui/	Language
7b93e6a1:150814fecb6:a59	Membership
7b93e6a1:150814fecb6:1bd6	Membership
7b93e6a1:150814fecb6:1500	Membership
7b93e6a1:150814fecb6:-516	Membership
7b93e6a1:150814fecb6:687	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/	Province
7b93e6a1:150814fecb6:1b32	Membership
7b93e6a1:150814fecb6:2309	BelievedBy
7b93e6a1:150814fecb6:1760	Membership
7b93e6a1:150814fecb6:3d3	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	City
7b93e6a1:150814fecb6:-776	Encompassed
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/	Province
7b93e6a1:150814fecb6:1d92	Membership
7b93e6a1:150814fecb6:-4c2	Membership
7b93e6a1:150814fecb6:106b	Membership
7b93e6a1:150814fecb6:2569	EthnicProportion
7b93e6a1:150814fecb6:22b5	BelievedBy
7b93e6a1:150814fecb6:9c7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	City
7b93e6a1:150814fecb6:2211	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	City
http://www.semwebtech.org/mondial/10/estuary/Schari/	Estuary
7b93e6a1:150814fecb6:ff9	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/	Province
7b93e6a1:150814fecb6:923	Membership
7b93e6a1:150814fecb6:165f	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	City
7b93e6a1:150814fecb6:f55	Membership
7b93e6a1:150814fecb6:22e	Membership
7b93e6a1:150814fecb6:13ab	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	City
7b93e6a1:150814fecb6:2471	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/	Province
7b93e6a1:150814fecb6:ca1	Membership
http://www.semwebtech.org/mondial/10/islands/ScillyIslands/	Islands
7b93e6a1:150814fecb6:-31d	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	City
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	City
7b93e6a1:150814fecb6:48e	Membership
http://www.semwebtech.org/mondial/10/island/Lefkas/	Island
7b93e6a1:150814fecb6:1da	Membership
7b93e6a1:150814fecb6:-57d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	City
7b93e6a1:150814fecb6:1f2d	Membership
7b93e6a1:150814fecb6:1227	Membership
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	City
7b93e6a1:150814fecb6:20bc	Membership
7b93e6a1:150814fecb6:7ce	Membership
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	Water
7b93e6a1:150814fecb6:72a	Membership
http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/	Mountains
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/	Province
7b93e6a1:150814fecb6:1487	Membership
7b93e6a1:150814fecb6:d5c	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/	Province
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	City
7b93e6a1:150814fecb6:11d3	Membership
7b93e6a1:150814fecb6:-1e9	Membership
7b93e6a1:150814fecb6:98a	Membership
7b93e6a1:150814fecb6:-a2	Membership
7b93e6a1:150814fecb6:-145	Membership
7b93e6a1:150814fecb6:260c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	City
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/	Province
7b93e6a1:150814fecb6:17c7	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/	Province
7b93e6a1:150814fecb6:1df9	Membership
7b93e6a1:150814fecb6:1723	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/	Province
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	City
http://www.semwebtech.org/mondial/10/country/RB/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	City
7b93e6a1:150814fecb6:-739	Encompassed
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	City
http://www.semwebtech.org/mondial/10/source/Fimi/	Source
7b93e6a1:150814fecb6:2198	SpokenBy
http://www.semwebtech.org/mondial/10/organization/Entente/	Organization
7b93e6a1:150814fecb6:1d55	Membership
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	City
http://www.semwebtech.org/mondial/10/religion/Hindu/	Religion
7b93e6a1:150814fecb6:102e	Membership
7b93e6a1:150814fecb6:5f6	Membership
7b93e6a1:150814fecb6:1aa1	Membership
7b93e6a1:150814fecb6:1983	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Nauruan/	EthnicGroup
7b93e6a1:150814fecb6:552	Membership
7b93e6a1:150814fecb6:-6e5	Border
7b93e6a1:150814fecb6:128e	Membership
http://www.semwebtech.org/mondial/10/island/Palawan/	Island
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	City
7b93e6a1:150814fecb6:b84	Membership
http://www.semwebtech.org/mondial/10/river/Saone/	Water
http://www.semwebtech.org/mondial/10/country/VN/	Country
7b93e6a1:150814fecb6:-641	Border
7b93e6a1:150814fecb6:24d8	EthnicProportion
7b93e6a1:150814fecb6:57c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	City
7b93e6a1:150814fecb6:f18	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	City
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	Mountain
7b93e6a1:150814fecb6:2434	BelievedBy
7b93e6a1:150814fecb6:15ce	Membership
7b93e6a1:150814fecb6:2694	EthnicProportion
7b93e6a1:150814fecb6:ec4	Membership
7b93e6a1:150814fecb6:152a	Membership
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	Mountain
7b93e6a1:150814fecb6:23e0	BelievedBy
7b93e6a1:150814fecb6:e20	Membership
7b93e6a1:150814fecb6:1b5c	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/	Province
7b93e6a1:150814fecb6:3fd	Membership
7b93e6a1:150814fecb6:178a	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	City
7b93e6a1:150814fecb6:-4ec	Membership
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	City
7b93e6a1:150814fecb6:d3	Membership
http://www.semwebtech.org/mondial/10/island/Kavaratti/	Island
7b93e6a1:150814fecb6:22df	BelievedBy
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	City
http://www.semwebtech.org/mondial/10/country/ANG/	Country
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/	Province
7b93e6a1:150814fecb6:d1f	Membership
7b93e6a1:150814fecb6:223b	BelievedBy
7b93e6a1:150814fecb6:94d	Membership
http://www.semwebtech.org/mondial/10/desert/Talak/	Desert
7b93e6a1:150814fecb6:-108	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	City
7b93e6a1:150814fecb6:f7f	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	City
7b93e6a1:150814fecb6:279	Membership
7b93e6a1:150814fecb6:13f6	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	City
7b93e6a1:150814fecb6:249b	EthnicProportion
7b93e6a1:150814fecb6:ccb	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	City
7b93e6a1:150814fecb6:1352	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	City
7b93e6a1:150814fecb6:-368	Membership
http://www.semwebtech.org/mondial/10/country/G/	Country
http://www.semwebtech.org/mondial/10/lake/LakeVan/	Water
7b93e6a1:150814fecb6:1d18	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/	Province
7b93e6a1:150814fecb6:5b9	Membership
7b93e6a1:150814fecb6:181	Membership
7b93e6a1:150814fecb6:1946	Membership
7b93e6a1:150814fecb6:1f78	Membership
7b93e6a1:150814fecb6:515	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/	Province
7b93e6a1:150814fecb6:-6a8	Border
7b93e6a1:150814fecb6:-270	Membership
http://www.semwebtech.org/mondial/10/lake/Maelaren/	Water
7b93e6a1:150814fecb6:b47	Membership
7b93e6a1:150814fecb6:1cc4	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/	Province
7b93e6a1:150814fecb6:-604	Border
7b93e6a1:150814fecb6:2063	Membership
7b93e6a1:150814fecb6:1c20	Membership
7b93e6a1:150814fecb6:775	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/	Province
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	City
7b93e6a1:150814fecb6:18f2	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Alemannic/	EthnicGroup
7b93e6a1:150814fecb6:4c1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	City
http://www.semwebtech.org/mondial/10/sea/Kattegat/	Water
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	Source
7b93e6a1:150814fecb6:11fd	Membership
7b93e6a1:150814fecb6:1e80	Membership
7b93e6a1:150814fecb6:af3	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	City
7b93e6a1:150814fecb6:-cc	Membership
7b93e6a1:150814fecb6:-5b0	Membership
7b93e6a1:150814fecb6:-16f	Membership
7b93e6a1:150814fecb6:2657	EthnicProportion
7b93e6a1:150814fecb6:23a3	BelievedBy
7b93e6a1:150814fecb6:1b1f	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	City
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	Water
7b93e6a1:150814fecb6:174d	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	City
7b93e6a1:150814fecb6:1d7f	Membership
7b93e6a1:150814fecb6:31c	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	City
7b93e6a1:150814fecb6:-4af	Membership
7b93e6a1:150814fecb6:1079	Membership
7b93e6a1:150814fecb6:1acb	Membership
7b93e6a1:150814fecb6:-40b	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nara/	Province
7b93e6a1:150814fecb6:-66b	Border
http://www.semwebtech.org/mondial/10/source/Alz/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	City
7b93e6a1:150814fecb6:13b9	Membership
7b93e6a1:150814fecb6:245e	EthnicProportion
7b93e6a1:150814fecb6:1315	Membership
7b93e6a1:150814fecb6:21aa	SpokenBy
7b93e6a1:150814fecb6:8bc	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	City
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	Mountain
7b93e6a1:150814fecb6:eee	Membership
7b93e6a1:150814fecb6:1e8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	City
7b93e6a1:150814fecb6:1575	Membership
http://www.semwebtech.org/mondial/10/language/English/	Language
7b93e6a1:150814fecb6:e4a	Membership
7b93e6a1:150814fecb6:1909	Membership
7b93e6a1:150814fecb6:144	Membership
7b93e6a1:150814fecb6:12c1	Membership
7b93e6a1:150814fecb6:-2d7	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	City
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	Estuary
7b93e6a1:150814fecb6:-233	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	City
7b93e6a1:150814fecb6:2026	Membership
7b93e6a1:150814fecb6:fd	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	City
7b93e6a1:150814fecb6:738	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/	Province
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	Island
7b93e6a1:150814fecb6:18b5	Membership
7b93e6a1:150814fecb6:-493	Membership
http://www.semwebtech.org/mondial/10/country/MNG/	Country
7b93e6a1:150814fecb6:1ee7	Membership
7b93e6a1:150814fecb6:1811	Membership
http://www.semwebtech.org/mondial/10/lake/Bodensee/	Water
7b93e6a1:150814fecb6:2286	BelievedBy
7b93e6a1:150814fecb6:ab6	Membership
7b93e6a1:150814fecb6:998	Membership
7b93e6a1:150814fecb6:1e43	Membership
7b93e6a1:150814fecb6:111c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	City
7b93e6a1:150814fecb6:6e4	Membership
7b93e6a1:150814fecb6:a12	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	City
http://www.semwebtech.org/mondial/10/estuary/Inn/	Estuary
7b93e6a1:150814fecb6:640	Membership
7b93e6a1:150814fecb6:-7d3	Encompassed
7b93e6a1:150814fecb6:137c	Membership
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	Water
7b93e6a1:150814fecb6:c72	Membership
http://www.semwebtech.org/mondial/10/source/Limpopo/	Source
7b93e6a1:150814fecb6:25c6	EthnicProportion
7b93e6a1:150814fecb6:2522	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	City
7b93e6a1:150814fecb6:53f	Membership
7b93e6a1:150814fecb6:16bc	Membership
7b93e6a1:150814fecb6:-29a	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	City
7b93e6a1:150814fecb6:fb2	Membership
7b93e6a1:150814fecb6:1cee	Membership
7b93e6a1:150814fecb6:-62e	Border
7b93e6a1:150814fecb6:208d	Membership
7b93e6a1:150814fecb6:79f	Membership
7b93e6a1:150814fecb6:1c4a	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Dutch/	EthnicGroup
7b93e6a1:150814fecb6:4eb	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	City
7b93e6a1:150814fecb6:-5da	Border
http://www.semwebtech.org/mondial/10/language/Slovene/	Language
7b93e6a1:150814fecb6:1538	Membership
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	City
7b93e6a1:150814fecb6:-73	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	City
7b93e6a1:150814fecb6:23cd	BelievedBy
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	City
7b93e6a1:150814fecb6:e0d	Membership
7b93e6a1:150814fecb6:107	Membership
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	City
http://www.semwebtech.org/mondial/10/mountain/Schchara/	Mountain
7b93e6a1:150814fecb6:1798	Membership
http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	Islands
7b93e6a1:150814fecb6:367	Membership
7b93e6a1:150814fecb6:14e4	Membership
http://www.semwebtech.org/mondial/10/estuary/Lomami/	Estuary
7b93e6a1:150814fecb6:1440	Membership
7b93e6a1:150814fecb6:-456	Membership
7b93e6a1:150814fecb6:1c	Membership
7b93e6a1:150814fecb6:1a72	Membership
7b93e6a1:150814fecb6:-1a2	Membership
7b93e6a1:150814fecb6:2249	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	City
http://www.semwebtech.org/mondial/10/language/Arabic/	Language
7b93e6a1:150814fecb6:1e06	Membership
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	Mountain
http://www.semwebtech.org/mondial/10/river/Arkansas/	Water
7b93e6a1:150814fecb6:6a7	Membership
http://www.semwebtech.org/mondial/10/mountains/AleutianRange/	Mountains
http://www.semwebtech.org/mondial/10/religion/ArmenianApostolic/	Religion
7b93e6a1:150814fecb6:21f5	SpokenBy
http://www.semwebtech.org/mondial/10/organization/BA/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	City
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	City
7b93e6a1:150814fecb6:cd9	Membership
7b93e6a1:150814fecb6:603	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	City
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	Water
7b93e6a1:150814fecb6:133f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/	Province
7b93e6a1:150814fecb6:c35	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	City
7b93e6a1:150814fecb6:1db2	Membership
7b93e6a1:150814fecb6:2151	SpokenBy
http://www.semwebtech.org/mondial/10/country/AZ/	Country
7b93e6a1:150814fecb6:863	Membership
7b93e6a1:150814fecb6:19e0	Membership
7b93e6a1:150814fecb6:159f	Membership
7b93e6a1:150814fecb6:e95	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	City
7b93e6a1:150814fecb6:16e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/	Province
7b93e6a1:150814fecb6:12eb	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/	Province
7b93e6a1:150814fecb6:be1	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	City
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	City
7b93e6a1:150814fecb6:-25d	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	City
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	City
7b93e6a1:150814fecb6:1c0d	Membership
7b93e6a1:150814fecb6:18df	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	City
7b93e6a1:150814fecb6:4ae	Membership
7b93e6a1:150814fecb6:183b	Membership
http://www.semwebtech.org/mondial/10/island/Reunion/	Island
7b93e6a1:150814fecb6:40a	Membership
7b93e6a1:150814fecb6:1e6d	Membership
7b93e6a1:150814fecb6:1167	Membership
http://www.semwebtech.org/mondial/10/mountain/Illampu/	Mountain
7b93e6a1:150814fecb6:a3c	Membership
7b93e6a1:150814fecb6:-36	Membership
7b93e6a1:150814fecb6:66a	Membership
7b93e6a1:150814fecb6:-7fd	Encompassed
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	City
7b93e6a1:150814fecb6:c9c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	City
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	Water
http://www.semwebtech.org/mondial/10/estuary/Bartang/	Estuary
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	City
7b93e6a1:150814fecb6:14a7	Membership
7b93e6a1:150814fecb6:254c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/	Province
7b93e6a1:150814fecb6:1ad9	Membership
7b93e6a1:150814fecb6:1403	Membership
7b93e6a1:150814fecb6:-419	Membership
7b93e6a1:150814fecb6:-f	Membership
7b93e6a1:150814fecb6:9aa	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	City
7b93e6a1:150814fecb6:1a35	Membership
7b93e6a1:150814fecb6:fdc	Membership
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	Water
7b93e6a1:150814fecb6:2d6	Membership
7b93e6a1:150814fecb6:1663	Membership
7b93e6a1:150814fecb6:-679	Border
7b93e6a1:150814fecb6:1c95	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	Province
7b93e6a1:150814fecb6:232	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	City
7b93e6a1:150814fecb6:-3c5	Membership
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	City
7b93e6a1:150814fecb6:-321	Membership
7b93e6a1:150814fecb6:21b8	SpokenBy
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	City
7b93e6a1:150814fecb6:492	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	City
7b93e6a1:150814fecb6:2114	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/	Province
7b93e6a1:150814fecb6:19a3	Membership
7b93e6a1:150814fecb6:826	Membership
7b93e6a1:150814fecb6:-9d	Membership
7b93e6a1:150814fecb6:-581	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	City
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	City
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	Water
7b93e6a1:150814fecb6:e58	Membership
7b93e6a1:150814fecb6:1fd5	Membership
7b93e6a1:150814fecb6:2374	BelievedBy
7b93e6a1:150814fecb6:12ae	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	City
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	Desert
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	City
7b93e6a1:150814fecb6:ba4	Membership
7b93e6a1:150814fecb6:1f31	Membership
7b93e6a1:150814fecb6:120a	Membership
7b93e6a1:150814fecb6:20c0	Membership
7b93e6a1:150814fecb6:b00	Membership
7b93e6a1:150814fecb6:7d2	Membership
http://www.semwebtech.org/mondial/10/religion/Catholic/	Religion
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	City
7b93e6a1:150814fecb6:146a	Membership
http://www.semwebtech.org/mondial/10/island/Fongafale/	Island
7b93e6a1:150814fecb6:67	Membership
7b93e6a1:150814fecb6:d60	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/	Province
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	City
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	City
7b93e6a1:150814fecb6:1a9c	Membership
7b93e6a1:150814fecb6:-1cc	Membership
7b93e6a1:150814fecb6:26b4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	City
7b93e6a1:150814fecb6:2610	EthnicProportion
http://www.semwebtech.org/mondial/10/island/SaintThomas/	Island
7b93e6a1:150814fecb6:62d	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/	Province
7b93e6a1:150814fecb6:17aa	Membership
7b93e6a1:150814fecb6:c5f	Membership
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	Estuary
7b93e6a1:150814fecb6:1ddc	Membership
7b93e6a1:150814fecb6:-71c	Border
7b93e6a1:150814fecb6:10d6	Membership
7b93e6a1:150814fecb6:217b	SpokenBy
7b93e6a1:150814fecb6:88d	Membership
7b93e6a1:150814fecb6:1032	Membership
7b93e6a1:150814fecb6:250f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	City
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	Desert
7b93e6a1:150814fecb6:1292	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/	Province
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/	Province
7b93e6a1:150814fecb6:1626	Membership
7b93e6a1:150814fecb6:24bb	EthnicProportion
7b93e6a1:150814fecb6:1c58	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	City
7b93e6a1:150814fecb6:4f9	Membership
7b93e6a1:150814fecb6:1886	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/	Province
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	Island
7b93e6a1:150814fecb6:455	Membership
7b93e6a1:150814fecb6:15d2	Membership
7b93e6a1:150814fecb6:-5e8	Border
7b93e6a1:150814fecb6:a87	Membership
7b93e6a1:150814fecb6:1a1	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	City
7b93e6a1:150814fecb6:-544	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	City
7b93e6a1:150814fecb6:1b60	Membership
7b93e6a1:150814fecb6:2337	BelievedBy
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	City
7b93e6a1:150814fecb6:-4f0	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Halland/	Province
7b93e6a1:150814fecb6:2597	EthnicProportion
7b93e6a1:150814fecb6:dc7	Membership
7b93e6a1:150814fecb6:142d	Membership
7b93e6a1:150814fecb6:22e3	BelievedBy
7b93e6a1:150814fecb6:d23	Membership
7b93e6a1:150814fecb6:9f5	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	City
7b93e6a1:150814fecb6:1ea0	Membership
7b93e6a1:150814fecb6:1a5f	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/	Province
7b93e6a1:150814fecb6:951	Membership
7b93e6a1:150814fecb6:168d	Membership
7b93e6a1:150814fecb6:f83	Membership
7b93e6a1:150814fecb6:25c	Membership
7b93e6a1:150814fecb6:-3ef	Membership
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	City
http://www.semwebtech.org/mondial/10/river/Schari/	Water
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	Province
7b93e6a1:150814fecb6:-34b	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	Province
http://www.semwebtech.org/mondial/10/mountain/Etna/	Mountain
7b93e6a1:150814fecb6:213e	SpokenBy
7b93e6a1:150814fecb6:19cd	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	City
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	City
7b93e6a1:150814fecb6:1fff	Membership
7b93e6a1:150814fecb6:12f9	Membership
7b93e6a1:150814fecb6:239e	BelievedBy
http://www.semwebtech.org/mondial/10/source/SchattalArab/	Source
7b93e6a1:150814fecb6:bce	Membership
7b93e6a1:150814fecb6:20ea	Membership
7b93e6a1:150814fecb6:1f5b	Membership
7b93e6a1:150814fecb6:1255	Membership
7b93e6a1:150814fecb6:b2a	Membership
7b93e6a1:150814fecb6:7fc	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	City
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/	Province
7b93e6a1:150814fecb6:d8a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	City
7b93e6a1:150814fecb6:1849	Membership
7b93e6a1:150814fecb6:263a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	City
http://www.semwebtech.org/mondial/10/estuary/Volga/	Estuary
7b93e6a1:150814fecb6:418	Membership
7b93e6a1:150814fecb6:-d0	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	City
7b93e6a1:150814fecb6:-173	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/	Province
7b93e6a1:150814fecb6:1bc7	Membership
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	City
7b93e6a1:150814fecb6:-507	Membership
7b93e6a1:150814fecb6:678	Membership
7b93e6a1:150814fecb6:1b23	Membership
7b93e6a1:150814fecb6:17f5	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/	Province
7b93e6a1:150814fecb6:3c4	Membership
7b93e6a1:150814fecb6:1751	Membership
7b93e6a1:150814fecb6:-767	Encompassed
7b93e6a1:150814fecb6:320	Membership
7b93e6a1:150814fecb6:1d83	Membership
7b93e6a1:150814fecb6:-4b3	Membership
7b93e6a1:150814fecb6:105c	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	City
http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/	Mountains
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	City
7b93e6a1:150814fecb6:22a6	BelievedBy
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/	Province
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	Source
7b93e6a1:150814fecb6:9b8	Membership
7b93e6a1:150814fecb6:580	Membership
7b93e6a1:150814fecb6:2202	SpokenBy
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	City
7b93e6a1:150814fecb6:914	Membership
7b93e6a1:150814fecb6:f46	Membership
7b93e6a1:150814fecb6:21f	Membership
7b93e6a1:150814fecb6:2462	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	City
7b93e6a1:150814fecb6:-30e	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/	Province
7b93e6a1:150814fecb6:8c0	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	City
7b93e6a1:150814fecb6:47f	Membership
7b93e6a1:150814fecb6:15fc	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	City
7b93e6a1:150814fecb6:ef2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/	Province
7b93e6a1:150814fecb6:1cb	Membership
7b93e6a1:150814fecb6:-56e	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/	Province
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	City
7b93e6a1:150814fecb6:1b8a	Membership
7b93e6a1:150814fecb6:-2ba	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Scandinavian/	EthnicGroup
7b93e6a1:150814fecb6:1f1e	Membership
7b93e6a1:150814fecb6:1218	Membership
7b93e6a1:150814fecb6:20ad	Membership
7b93e6a1:150814fecb6:7bf	Membership
http://www.semwebtech.org/mondial/10/religion/CaoDai/	Religion
7b93e6a1:150814fecb6:71b	Membership
7b93e6a1:150814fecb6:1478	Membership
7b93e6a1:150814fecb6:d4d	Membership
7b93e6a1:150814fecb6:1eca	Membership
7b93e6a1:150814fecb6:-80a	Encompassed
7b93e6a1:150814fecb6:11c4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	City
7b93e6a1:150814fecb6:97b	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	City
7b93e6a1:150814fecb6:1120	Membership
7b93e6a1:150814fecb6:-136	Membership
7b93e6a1:150814fecb6:17b8	Membership
7b93e6a1:150814fecb6:1380	Membership
7b93e6a1:150814fecb6:-396	Membership
http://www.semwebtech.org/mondial/10/lake/LakePowell/	Water
7b93e6a1:150814fecb6:1714	Membership
http://www.semwebtech.org/mondial/10/source/Umeaelv/	Source
7b93e6a1:150814fecb6:2189	SpokenBy
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/	Province
7b93e6a1:150814fecb6:1d46	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	City
7b93e6a1:150814fecb6:101f	Membership
7b93e6a1:150814fecb6:5e7	Membership
7b93e6a1:150814fecb6:1974	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/	Province
http://www.semwebtech.org/mondial/10/river/Manicouagan/	Water
7b93e6a1:150814fecb6:543	Membership
7b93e6a1:150814fecb6:16c0	Membership
7b93e6a1:150814fecb6:-6d6	Border
7b93e6a1:150814fecb6:127f	Membership
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	Source
7b93e6a1:150814fecb6:b75	Membership
http://www.semwebtech.org/mondial/10/lake/Arresoe/	Water
7b93e6a1:150814fecb6:1cf2	Membership
7b93e6a1:150814fecb6:-632	Border
7b93e6a1:150814fecb6:24c9	EthnicProportion
7b93e6a1:150814fecb6:2091	Membership
7b93e6a1:150814fecb6:f09	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	EthnicGroup
7b93e6a1:150814fecb6:2425	BelievedBy
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/	Province
7b93e6a1:150814fecb6:15bf	Membership
7b93e6a1:150814fecb6:-fa	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	City
7b93e6a1:150814fecb6:-19d	Membership
7b93e6a1:150814fecb6:2685	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	City
7b93e6a1:150814fecb6:eb5	Membership
7b93e6a1:150814fecb6:151b	Membership
7b93e6a1:150814fecb6:23d1	BelievedBy
7b93e6a1:150814fecb6:e11	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	City
7b93e6a1:150814fecb6:1b4d	Membership
7b93e6a1:150814fecb6:3ee	Membership
7b93e6a1:150814fecb6:177b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/	Province
http://www.semwebtech.org/mondial/10/country/GQ/	Country
http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	Islands
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	City
7b93e6a1:150814fecb6:34a	Membership
http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Mountains
7b93e6a1:150814fecb6:-4dd	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	City
7b93e6a1:150814fecb6:c4	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	City
7b93e6a1:150814fecb6:20	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	City
7b93e6a1:150814fecb6:222c	SpokenBy
7b93e6a1:150814fecb6:93e	Membership
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	City
7b93e6a1:150814fecb6:13e7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	City
http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/	Province
7b93e6a1:150814fecb6:248c	EthnicProportion
7b93e6a1:150814fecb6:cbc	Membership
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	Mountain
7b93e6a1:150814fecb6:1343	Membership
7b93e6a1:150814fecb6:-359	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	City
7b93e6a1:150814fecb6:8ea	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	City
http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Mountains
7b93e6a1:150814fecb6:1d09	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	City
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	Water
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	Mountain
7b93e6a1:150814fecb6:1937	Membership
7b93e6a1:150814fecb6:172	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	City
7b93e6a1:150814fecb6:1b51	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	City
7b93e6a1:150814fecb6:1f69	Membership
7b93e6a1:150814fecb6:506	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	City
http://www.semwebtech.org/mondial/10/country/RP/	Country
7b93e6a1:150814fecb6:-261	Membership
7b93e6a1:150814fecb6:20f8	Membership
7b93e6a1:150814fecb6:b38	Membership
7b93e6a1:150814fecb6:1cb5	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bounty/	EthnicGroup
7b93e6a1:150814fecb6:2054	Membership
7b93e6a1:150814fecb6:766	Membership
7b93e6a1:150814fecb6:1c11	Membership
7b93e6a1:150814fecb6:18e3	Membership
7b93e6a1:150814fecb6:d98	Membership
7b93e6a1:150814fecb6:4b2	Membership
7b93e6a1:150814fecb6:11ee	Membership
7b93e6a1:150814fecb6:1e71	Membership
7b93e6a1:150814fecb6:ae4	Membership
7b93e6a1:150814fecb6:-bd	Membership
7b93e6a1:150814fecb6:-5a1	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	City
7b93e6a1:150814fecb6:114a	Membership
7b93e6a1:150814fecb6:2648	EthnicProportion
7b93e6a1:150814fecb6:a40	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	City
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mboum/	EthnicGroup
7b93e6a1:150814fecb6:173e	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/	Province
7b93e6a1:150814fecb6:25f4	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Bintan/	Island
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	Water
7b93e6a1:150814fecb6:30d	Membership
http://www.semwebtech.org/mondial/10/religion/RomanCatholic/	Religion
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	City
7b93e6a1:150814fecb6:2550	EthnicProportion
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	City
7b93e6a1:150814fecb6:1abc	Membership
7b93e6a1:150814fecb6:199e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	City
7b93e6a1:150814fecb6:56d	Membership
7b93e6a1:150814fecb6:16ea	Membership
7b93e6a1:150814fecb6:fe0	Membership
7b93e6a1:150814fecb6:b9f	Membership
http://www.semwebtech.org/mondial/10/country/THA/	Country
7b93e6a1:150814fecb6:-65c	Border
http://www.semwebtech.org/mondial/10/country/WAN/	Country
7b93e6a1:150814fecb6:244f	BelievedBy
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	City
7b93e6a1:150814fecb6:1306	Membership
7b93e6a1:150814fecb6:8ad	Membership
http://www.semwebtech.org/mondial/10/source/Benue/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	EthnicGroup
7b93e6a1:150814fecb6:edf	Membership
7b93e6a1:150814fecb6:1566	Membership
7b93e6a1:150814fecb6:1d9	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/	Province
http://www.semwebtech.org/mondial/10/country/DJI/	Country
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	City
7b93e6a1:150814fecb6:23fb	BelievedBy
7b93e6a1:150814fecb6:e3b	Membership
7b93e6a1:150814fecb6:1b98	Membership
7b93e6a1:150814fecb6:135	Membership
7b93e6a1:150814fecb6:12b2	Membership
7b93e6a1:150814fecb6:-2c8	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	City
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/	Province
7b93e6a1:150814fecb6:-224	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/	Province
7b93e6a1:150814fecb6:395	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	City
7b93e6a1:150814fecb6:ee	Membership
7b93e6a1:150814fecb6:2017	Membership
7b93e6a1:150814fecb6:729	Membership
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/	Mountain
7b93e6a1:150814fecb6:18a6	Membership
7b93e6a1:150814fecb6:-484	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	EthnicGroup
7b93e6a1:150814fecb6:4a	Membership
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	City
7b93e6a1:150814fecb6:1ed8	Membership
7b93e6a1:150814fecb6:1802	Membership
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	City
7b93e6a1:150814fecb6:-1d0	Membership
7b93e6a1:150814fecb6:2277	BelievedBy
7b93e6a1:150814fecb6:aa7	Membership
7b93e6a1:150814fecb6:989	Membership
7b93e6a1:150814fecb6:1e34	Membership
7b93e6a1:150814fecb6:110d	Membership
7b93e6a1:150814fecb6:6d5	Membership
7b93e6a1:150814fecb6:a03	Membership
7b93e6a1:150814fecb6:631	Membership
http://www.semwebtech.org/mondial/10/source/Marne/	Source
7b93e6a1:150814fecb6:-7c4	Encompassed
7b93e6a1:150814fecb6:136d	Membership
7b93e6a1:150814fecb6:c63	Membership
7b93e6a1:150814fecb6:1de0	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	City
7b93e6a1:150814fecb6:-720	Encompassed
7b93e6a1:150814fecb6:25b7	EthnicProportion
7b93e6a1:150814fecb6:891	Membership
7b93e6a1:150814fecb6:2513	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	EthnicGroup
7b93e6a1:150814fecb6:19c	Membership
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/	Province
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/	Province
7b93e6a1:150814fecb6:16ad	Membership
7b93e6a1:150814fecb6:-28b	Membership
7b93e6a1:150814fecb6:fa3	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/	Province
7b93e6a1:150814fecb6:1cdf	Membership
7b93e6a1:150814fecb6:-61f	Border
http://www.semwebtech.org/mondial/10/mountain/Tambora/	Mountain
7b93e6a1:150814fecb6:207e	Membership
7b93e6a1:150814fecb6:1c3b	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/	Province
http://www.semwebtech.org/mondial/10/language/Punjabi/	Language
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/	Province
7b93e6a1:150814fecb6:4dc	Membership
http://www.semwebtech.org/mondial/10/river/Doubs/	Water
7b93e6a1:150814fecb6:1e9b	Membership
7b93e6a1:150814fecb6:-5cb	Membership
7b93e6a1:150814fecb6:1195	Membership
7b93e6a1:150814fecb6:a6a	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/	Province
7b93e6a1:150814fecb6:-64	Membership
7b93e6a1:150814fecb6:1529	Membership
7b93e6a1:150814fecb6:23be	BelievedBy
http://www.semwebtech.org/mondial/10/country/UAE/	Country
http://www.semwebtech.org/mondial/10/island/Samosir/	Island
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	City
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/	Province
http://www.semwebtech.org/mondial/10/mountains/Karpaten/	Mountains
7b93e6a1:150814fecb6:231a	BelievedBy
7b93e6a1:150814fecb6:1789	Membership
7b93e6a1:150814fecb6:358	Membership
7b93e6a1:150814fecb6:14d5	Membership
7b93e6a1:150814fecb6:257a	EthnicProportion
7b93e6a1:150814fecb6:daa	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	EthnicGroup
7b93e6a1:150814fecb6:1431	Membership
7b93e6a1:150814fecb6:-447	Membership
7b93e6a1:150814fecb6:1a63	Membership
7b93e6a1:150814fecb6:1691	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	City
http://www.semwebtech.org/mondial/10/island/Kiritimati/	Island
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	City
7b93e6a1:150814fecb6:260	Membership
7b93e6a1:150814fecb6:-3f3	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	City
7b93e6a1:150814fecb6:21e6	SpokenBy
7b93e6a1:150814fecb6:c26	Membership
7b93e6a1:150814fecb6:8f8	Membership
7b93e6a1:150814fecb6:1da3	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	City
7b93e6a1:150814fecb6:2142	SpokenBy
7b93e6a1:150814fecb6:854	Membership
7b93e6a1:150814fecb6:19d1	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	Water
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	City
7b93e6a1:150814fecb6:e86	Membership
7b93e6a1:150814fecb6:5a0	Membership
http://www.semwebtech.org/mondial/10/organization/OECS/	Organization
7b93e6a1:150814fecb6:15f	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/	Province
7b93e6a1:150814fecb6:12dc	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	City
7b93e6a1:150814fecb6:bd2	Membership
7b93e6a1:150814fecb6:-24e	Membership
http://www.semwebtech.org/mondial/10/island/Ambon/	Island
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	City
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	Water
7b93e6a1:150814fecb6:95	Membership
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	City
7b93e6a1:150814fecb6:182c	Membership
7b93e6a1:150814fecb6:-1fa	Membership
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	City
http://www.semwebtech.org/mondial/10/river/Tiber/	Water
7b93e6a1:150814fecb6:1e5e	Membership
7b93e6a1:150814fecb6:1158	Membership
7b93e6a1:150814fecb6:6ff	Membership
http://www.semwebtech.org/mondial/10/country/BERM/	Country
7b93e6a1:150814fecb6:a2d	Membership
7b93e6a1:150814fecb6:1baa	Membership
7b93e6a1:150814fecb6:-27	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	City
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	Water
7b93e6a1:150814fecb6:65b	Membership
7b93e6a1:150814fecb6:2328	BelievedBy
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	City
7b93e6a1:150814fecb6:-7ee	Encompassed
7b93e6a1:150814fecb6:c8d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/	Province
7b93e6a1:150814fecb6:-74a	Encompassed
http://www.semwebtech.org/mondial/10/organization/ICAO/	Organization
7b93e6a1:150814fecb6:1060	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	City
7b93e6a1:150814fecb6:253d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	City
7b93e6a1:150814fecb6:1a26	Membership
7b93e6a1:150814fecb6:16f8	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/	Province
7b93e6a1:150814fecb6:fcd	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	City
7b93e6a1:150814fecb6:2c7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	City
7b93e6a1:150814fecb6:1654	Membership
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	Island
7b93e6a1:150814fecb6:1c86	Membership
7b93e6a1:150814fecb6:223	Membership
7b93e6a1:150814fecb6:13a0	Membership
7b93e6a1:150814fecb6:-3b6	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	City
http://www.semwebtech.org/mondial/10/river/Mosel/	Water
http://www.semwebtech.org/mondial/10/estuary/Lagen/	Estuary
7b93e6a1:150814fecb6:-312	Membership
7b93e6a1:150814fecb6:21a9	SpokenBy
7b93e6a1:150814fecb6:483	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	City
7b93e6a1:150814fecb6:2105	Membership
7b93e6a1:150814fecb6:817	Membership
7b93e6a1:150814fecb6:-8e	Membership
7b93e6a1:150814fecb6:-572	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	City
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	City
7b93e6a1:150814fecb6:e49	Membership
7b93e6a1:150814fecb6:1fc6	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	City
7b93e6a1:150814fecb6:2365	BelievedBy
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	City
7b93e6a1:150814fecb6:1f22	Membership
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	Estuary
7b93e6a1:150814fecb6:20b1	Membership
http://www.semwebtech.org/mondial/10/country/BI/	Country
7b93e6a1:150814fecb6:7c3	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	City
7b93e6a1:150814fecb6:14ff	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	City
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	City
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	Mountain
7b93e6a1:150814fecb6:df5	Membership
7b93e6a1:150814fecb6:145b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	City
7b93e6a1:150814fecb6:58	Membership
7b93e6a1:150814fecb6:d51	Membership
7b93e6a1:150814fecb6:1a8d	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/	Province
7b93e6a1:150814fecb6:-1bd	Membership
7b93e6a1:150814fecb6:26a5	EthnicProportion
7b93e6a1:150814fecb6:2601	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Kamba/	EthnicGroup
7b93e6a1:150814fecb6:28a	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/	Province
7b93e6a1:150814fecb6:61e	Membership
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	Mountain
7b93e6a1:150814fecb6:1dcd	Membership
7b93e6a1:150814fecb6:-70d	Border
7b93e6a1:150814fecb6:10c7	Membership
7b93e6a1:150814fecb6:216c	SpokenBy
7b93e6a1:150814fecb6:87e	Membership
7b93e6a1:150814fecb6:19fb	Membership
7b93e6a1:150814fecb6:1023	Membership
7b93e6a1:150814fecb6:5ca	Membership
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	City
7b93e6a1:150814fecb6:bfc	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/	Province
7b93e6a1:150814fecb6:1283	Membership
http://www.semwebtech.org/mondial/10/country/MH/	Country
7b93e6a1:150814fecb6:-299	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Baganda/	EthnicGroup
http://www.semwebtech.org/mondial/10/desert/Ferlo/	Desert
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	City
7b93e6a1:150814fecb6:1617	Membership
7b93e6a1:150814fecb6:24ac	EthnicProportion
7b93e6a1:150814fecb6:1c49	Membership
http://www.semwebtech.org/mondial/10/river/Ob/	Water
7b93e6a1:150814fecb6:1877	Membership
7b93e6a1:150814fecb6:446	Membership
7b93e6a1:150814fecb6:15c3	Membership
7b93e6a1:150814fecb6:-5d9	Border
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	City
7b93e6a1:150814fecb6:a78	Membership
7b93e6a1:150814fecb6:1bf5	Membership
7b93e6a1:150814fecb6:-535	Membership
7b93e6a1:150814fecb6:3f2	Membership
7b93e6a1:150814fecb6:-795	Encompassed
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	EthnicGroup
7b93e6a1:150814fecb6:-4e1	Membership
7b93e6a1:150814fecb6:108a	Membership
7b93e6a1:150814fecb6:2588	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/GilakiMazandarani/	EthnicGroup
7b93e6a1:150814fecb6:db8	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/	Province
7b93e6a1:150814fecb6:22d4	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	Estuary
7b93e6a1:150814fecb6:141e	Membership
7b93e6a1:150814fecb6:d14	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	City
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	City
7b93e6a1:150814fecb6:9e6	Membership
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	Estuary
7b93e6a1:150814fecb6:2230	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	Estuary
7b93e6a1:150814fecb6:942	Membership
7b93e6a1:150814fecb6:167e	Membership
7b93e6a1:150814fecb6:f74	Membership
7b93e6a1:150814fecb6:24d	Membership
7b93e6a1:150814fecb6:13ca	Membership
7b93e6a1:150814fecb6:2490	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	Mountain
7b93e6a1:150814fecb6:cc0	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/	Province
7b93e6a1:150814fecb6:-33c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	City
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	Mountain
7b93e6a1:150814fecb6:212f	SpokenBy
7b93e6a1:150814fecb6:19be	Membership
7b93e6a1:150814fecb6:-59c	Membership
7b93e6a1:150814fecb6:191a	Membership
7b93e6a1:150814fecb6:238f	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	Mountain
7b93e6a1:150814fecb6:bbf	Membership
7b93e6a1:150814fecb6:1f4c	Membership
7b93e6a1:150814fecb6:1246	Membership
7b93e6a1:150814fecb6:20db	Membership
7b93e6a1:150814fecb6:b1b	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	City
7b93e6a1:150814fecb6:7ed	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	City
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/	Province
7b93e6a1:150814fecb6:d7b	Membership
7b93e6a1:150814fecb6:11f2	Membership
http://www.semwebtech.org/mondial/10/country/GBZ/	Country
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/	Province
7b93e6a1:150814fecb6:409	Membership
7b93e6a1:150814fecb6:-c1	Membership
7b93e6a1:150814fecb6:-164	Membership
7b93e6a1:150814fecb6:262b	EthnicProportion
7b93e6a1:150814fecb6:1bb8	Membership
http://www.semwebtech.org/mondial/10/river/Araguaia/	Water
7b93e6a1:150814fecb6:669	Membership
7b93e6a1:150814fecb6:1b14	Membership
7b93e6a1:150814fecb6:17e6	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	City
7b93e6a1:150814fecb6:3b5	Membership
7b93e6a1:150814fecb6:1742	Membership
7b93e6a1:150814fecb6:-758	Encompassed
http://www.semwebtech.org/mondial/10/mountains/Troodos/	Mountains
7b93e6a1:150814fecb6:311	Membership
7b93e6a1:150814fecb6:1d74	Membership
7b93e6a1:150814fecb6:-4a4	Membership
7b93e6a1:150814fecb6:104d	Membership
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	Water
7b93e6a1:150814fecb6:1ac0	Membership
7b93e6a1:150814fecb6:-400	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/	Province
7b93e6a1:150814fecb6:9a9	Membership
7b93e6a1:150814fecb6:571	Membership
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	Mountain
7b93e6a1:150814fecb6:905	Membership
7b93e6a1:150814fecb6:-660	Border
7b93e6a1:150814fecb6:24f7	EthnicProportion
7b93e6a1:150814fecb6:f37	Membership
7b93e6a1:150814fecb6:2453	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	City
7b93e6a1:150814fecb6:8b1	Membership
7b93e6a1:150814fecb6:15ed	Membership
7b93e6a1:150814fecb6:ee3	Membership
7b93e6a1:150814fecb6:1bc	Membership
7b93e6a1:150814fecb6:-55f	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	City
7b93e6a1:150814fecb6:1b7b	Membership
7b93e6a1:150814fecb6:-2ab	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	City
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	City
7b93e6a1:150814fecb6:1f0f	Membership
http://www.semwebtech.org/mondial/10/organization/CPLP/	Organization
7b93e6a1:150814fecb6:1209	Membership
7b93e6a1:150814fecb6:f2	Membership
7b93e6a1:150814fecb6:70c	Membership
7b93e6a1:150814fecb6:1469	Membership
7b93e6a1:150814fecb6:22fe	BelievedBy
7b93e6a1:150814fecb6:d3e	Membership
7b93e6a1:150814fecb6:1ebb	Membership
7b93e6a1:150814fecb6:11b5	Membership
7b93e6a1:150814fecb6:225a	BelievedBy
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	City
7b93e6a1:150814fecb6:96c	Membership
7b93e6a1:150814fecb6:1111	Membership
7b93e6a1:150814fecb6:-127	Membership
7b93e6a1:150814fecb6:f9e	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	City
7b93e6a1:150814fecb6:298	Membership
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	City
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	Water
7b93e6a1:150814fecb6:cea	Membership
7b93e6a1:150814fecb6:17a9	Membership
7b93e6a1:150814fecb6:1371	Membership
7b93e6a1:150814fecb6:-387	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	City
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/	Province
7b93e6a1:150814fecb6:1705	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	City
7b93e6a1:150814fecb6:1d37	Membership
http://www.semwebtech.org/mondial/10/island/Gozo/	Island
7b93e6a1:150814fecb6:5d8	Membership
7b93e6a1:150814fecb6:1965	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	City
7b93e6a1:150814fecb6:1f97	Membership
7b93e6a1:150814fecb6:534	Membership
7b93e6a1:150814fecb6:16b1	Membership
7b93e6a1:150814fecb6:-6c7	Border
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/	Province
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/	Province
7b93e6a1:150814fecb6:b66	Membership
7b93e6a1:150814fecb6:1ce3	Membership
7b93e6a1:150814fecb6:-623	Border
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	City
7b93e6a1:150814fecb6:2082	Membership
7b93e6a1:150814fecb6:794	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	Province
http://www.semwebtech.org/mondial/10/organization/EIB/	Organization
7b93e6a1:150814fecb6:2416	BelievedBy
7b93e6a1:150814fecb6:4e0	Membership
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	Estuary
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	City
http://www.semwebtech.org/mondial/10/estuary/Pibor/	Estuary
7b93e6a1:150814fecb6:-eb	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	City
7b93e6a1:150814fecb6:-18e	Membership
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	City
7b93e6a1:150814fecb6:2676	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	City
7b93e6a1:150814fecb6:ea6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/CrimeanTatar/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	City
7b93e6a1:150814fecb6:150c	Membership
7b93e6a1:150814fecb6:23c2	BelievedBy
7b93e6a1:150814fecb6:e02	Membership
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	Island
http://www.semwebtech.org/mondial/10/source/Lukenie/	Source
7b93e6a1:150814fecb6:1b3e	Membership
7b93e6a1:150814fecb6:3df	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/	Province
7b93e6a1:150814fecb6:176c	Membership
7b93e6a1:150814fecb6:1d9e	Membership
7b93e6a1:150814fecb6:33b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	City
7b93e6a1:150814fecb6:-4ce	Membership
7b93e6a1:150814fecb6:1098	Membership
7b93e6a1:150814fecb6:b5	Membership
7b93e6a1:150814fecb6:1aea	Membership
7b93e6a1:150814fecb6:-42a	Membership
7b93e6a1:150814fecb6:11	Membership
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	Water
7b93e6a1:150814fecb6:59b	Membership
7b93e6a1:150814fecb6:221d	SpokenBy
7b93e6a1:150814fecb6:92f	Membership
7b93e6a1:150814fecb6:-68a	Border
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	City
http://www.semwebtech.org/mondial/10/organization/PFP/	Organization
7b93e6a1:150814fecb6:13d8	Membership
7b93e6a1:150814fecb6:247d	EthnicProportion
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	Island
7b93e6a1:150814fecb6:cad	Membership
7b93e6a1:150814fecb6:1334	Membership
7b93e6a1:150814fecb6:8db	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	City
7b93e6a1:150814fecb6:1594	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	City
7b93e6a1:150814fecb6:1928	Membership
7b93e6a1:150814fecb6:163	Membership
7b93e6a1:150814fecb6:12e0	Membership
7b93e6a1:150814fecb6:-2f6	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	City
7b93e6a1:150814fecb6:10aa	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	City
7b93e6a1:150814fecb6:-252	Membership
7b93e6a1:150814fecb6:20e9	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	City
7b93e6a1:150814fecb6:b29	Membership
7b93e6a1:150814fecb6:1ca6	Membership
7b93e6a1:150814fecb6:2045	Membership
7b93e6a1:150814fecb6:757	Membership
7b93e6a1:150814fecb6:1c02	Membership
7b93e6a1:150814fecb6:18d4	Membership
http://www.semwebtech.org/mondial/10/country/CDN/	Country
http://www.semwebtech.org/mondial/10/river/Zambezi/	Water
7b93e6a1:150814fecb6:d89	Membership
7b93e6a1:150814fecb6:4a3	Membership
7b93e6a1:150814fecb6:1830	Membership
7b93e6a1:150814fecb6:11df	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/	Province
7b93e6a1:150814fecb6:1e62	Membership
7b93e6a1:150814fecb6:ad5	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	City
7b93e6a1:150814fecb6:-ae	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/	Province
7b93e6a1:150814fecb6:113b	Membership
7b93e6a1:150814fecb6:2639	EthnicProportion
7b93e6a1:150814fecb6:a31	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	City
7b93e6a1:150814fecb6:-7f2	Encompassed
7b93e6a1:150814fecb6:139b	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/	Province
7b93e6a1:150814fecb6:c91	Membership
7b93e6a1:150814fecb6:172f	Membership
http://www.semwebtech.org/mondial/10/estuary/Save/	Estuary
7b93e6a1:150814fecb6:25e5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SME/	Country
7b93e6a1:150814fecb6:2541	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	City
7b93e6a1:150814fecb6:1aad	Membership
7b93e6a1:150814fecb6:198f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	City
7b93e6a1:150814fecb6:-4	Membership
7b93e6a1:150814fecb6:55e	Membership
7b93e6a1:150814fecb6:16db	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	City
http://www.semwebtech.org/mondial/10/lake/LakeHume/	Water
7b93e6a1:150814fecb6:fd1	Membership
7b93e6a1:150814fecb6:2aa	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/	Province
7b93e6a1:150814fecb6:-64d	Border
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	City
http://www.semwebtech.org/mondial/10/country/COM/	Country
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Spanish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/	Province
7b93e6a1:150814fecb6:-92	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	City
7b93e6a1:150814fecb6:1557	Membership
7b93e6a1:150814fecb6:23ec	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	City
7b93e6a1:150814fecb6:1b89	Membership
7b93e6a1:150814fecb6:e2c	Membership
7b93e6a1:150814fecb6:126	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	City
7b93e6a1:150814fecb6:12a3	Membership
7b93e6a1:150814fecb6:-2b9	Membership
7b93e6a1:150814fecb6:-215	Membership
7b93e6a1:150814fecb6:386	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	City
7b93e6a1:150814fecb6:df	Membership
7b93e6a1:150814fecb6:2008	Membership
http://www.semwebtech.org/mondial/10/language/Futunian/	Language
http://www.semwebtech.org/mondial/10/mountains/Vogesen/	Mountains
http://www.semwebtech.org/mondial/10/river/Argun/	Water
7b93e6a1:150814fecb6:-475	Membership
7b93e6a1:150814fecb6:3b	Membership
7b93e6a1:150814fecb6:1ec9	Membership
7b93e6a1:150814fecb6:1a91	Membership
7b93e6a1:150814fecb6:-809	Encompassed
7b93e6a1:150814fecb6:-1c1	Membership
7b93e6a1:150814fecb6:2268	BelievedBy
http://www.semwebtech.org/mondial/10/lake/LakeErie/	Water
7b93e6a1:150814fecb6:1e25	Membership
7b93e6a1:150814fecb6:6c6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	EthnicGroup
7b93e6a1:150814fecb6:25a8	EthnicProportion
7b93e6a1:150814fecb6:cf8	Membership
7b93e6a1:150814fecb6:622	Membership
7b93e6a1:150814fecb6:2170	SpokenBy
7b93e6a1:150814fecb6:-7b5	Encompassed
7b93e6a1:150814fecb6:135e	Membership
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	Source
http://www.semwebtech.org/mondial/10/source/Apurimac/	Source
7b93e6a1:150814fecb6:1dd1	Membership
7b93e6a1:150814fecb6:c54	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	City
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/	Province
7b93e6a1:150814fecb6:-711	Border
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	Estuary
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	City
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	City
7b93e6a1:150814fecb6:882	Membership
7b93e6a1:150814fecb6:2504	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	City
7b93e6a1:150814fecb6:18d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	City
7b93e6a1:150814fecb6:-27c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	City
7b93e6a1:150814fecb6:24b0	EthnicProportion
7b93e6a1:150814fecb6:206f	Membership
7b93e6a1:150814fecb6:1c2c	Membership
7b93e6a1:150814fecb6:18fe	Membership
http://www.semwebtech.org/mondial/10/island/Mayotte/	Island
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/	Province
7b93e6a1:150814fecb6:4cd	Membership
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	Estuary
7b93e6a1:150814fecb6:185a	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/CaribIndians/	EthnicGroup
7b93e6a1:150814fecb6:aff	Membership
7b93e6a1:150814fecb6:1e8c	Membership
7b93e6a1:150814fecb6:-f9	Membership
7b93e6a1:150814fecb6:-5bc	Membership
7b93e6a1:150814fecb6:1186	Membership
7b93e6a1:150814fecb6:a5b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	City
7b93e6a1:150814fecb6:-55	Membership
http://www.semwebtech.org/mondial/10/estuary/Buna/	Estuary
7b93e6a1:150814fecb6:23af	BelievedBy
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	City
7b93e6a1:150814fecb6:230b	BelievedBy
http://www.semwebtech.org/mondial/10/source/Breg/	Source
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	Mountain
7b93e6a1:150814fecb6:349	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	City
7b93e6a1:150814fecb6:14c6	Membership
7b93e6a1:150814fecb6:256b	EthnicProportion
7b93e6a1:150814fecb6:1af8	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	City
7b93e6a1:150814fecb6:1422	Membership
7b93e6a1:150814fecb6:-438	Membership
7b93e6a1:150814fecb6:1a54	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	City
7b93e6a1:150814fecb6:ffb	Membership
http://www.semwebtech.org/mondial/10/island/Anglesey/	Island
7b93e6a1:150814fecb6:2f5	Membership
7b93e6a1:150814fecb6:1682	Membership
7b93e6a1:150814fecb6:-698	Border
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/	Province
http://www.semwebtech.org/mondial/10/islands/Malta/	Islands
7b93e6a1:150814fecb6:251	Membership
7b93e6a1:150814fecb6:-3e4	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/	Province
7b93e6a1:150814fecb6:-340	Membership
7b93e6a1:150814fecb6:21d7	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Tajo/	Estuary
7b93e6a1:150814fecb6:c17	Membership
7b93e6a1:150814fecb6:8e9	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/	Province
7b93e6a1:150814fecb6:2133	SpokenBy
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	City
7b93e6a1:150814fecb6:845	Membership
7b93e6a1:150814fecb6:19c2	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	City
http://www.semwebtech.org/mondial/10/island/PortoSanto/	Island
7b93e6a1:150814fecb6:e77	Membership
7b93e6a1:150814fecb6:1ff4	Membership
7b93e6a1:150814fecb6:12cd	Membership
7b93e6a1:150814fecb6:2393	BelievedBy
7b93e6a1:150814fecb6:bc3	Membership
7b93e6a1:150814fecb6:1f50	Membership
7b93e6a1:150814fecb6:-23f	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	Province
7b93e6a1:150814fecb6:7f1	Membership
7b93e6a1:150814fecb6:-49f	Membership
7b93e6a1:150814fecb6:86	Membership
http://www.semwebtech.org/mondial/10/source/Mekong/	Source
7b93e6a1:150814fecb6:181d	Membership
7b93e6a1:150814fecb6:-1eb	Membership
7b93e6a1:150814fecb6:1e4f	Membership
7b93e6a1:150814fecb6:1149	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	City
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	Estuary
http://www.semwebtech.org/mondial/10/source/BlueNile/	Source
7b93e6a1:150814fecb6:a1e	Membership
7b93e6a1:150814fecb6:-18	Membership
7b93e6a1:150814fecb6:64c	Membership
7b93e6a1:150814fecb6:-7df	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Kalenjin/	EthnicGroup
7b93e6a1:150814fecb6:c7e	Membership
7b93e6a1:150814fecb6:1dfb	Membership
7b93e6a1:150814fecb6:-73b	Encompassed
7b93e6a1:150814fecb6:10f5	Membership
7b93e6a1:150814fecb6:219a	SpokenBy
7b93e6a1:150814fecb6:1051	Membership
7b93e6a1:150814fecb6:252e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/	Province
7b93e6a1:150814fecb6:1a17	Membership
7b93e6a1:150814fecb6:16e9	Membership
http://www.semwebtech.org/mondial/10/language/Estonian/	Language
http://www.semwebtech.org/mondial/10/organization/EAS/	Organization
7b93e6a1:150814fecb6:fbe	Membership
http://www.semwebtech.org/mondial/10/country/EAU/	Country
7b93e6a1:150814fecb6:2b8	Membership
7b93e6a1:150814fecb6:1645	Membership
7b93e6a1:150814fecb6:24da	EthnicProportion
7b93e6a1:150814fecb6:f1a	Membership
7b93e6a1:150814fecb6:1c77	Membership
7b93e6a1:150814fecb6:214	Membership
7b93e6a1:150814fecb6:-3a7	Membership
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	City
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	City
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	Water
7b93e6a1:150814fecb6:-303	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	City
7b93e6a1:150814fecb6:474	Membership
7b93e6a1:150814fecb6:15f1	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/	Province
7b93e6a1:150814fecb6:808	Membership
7b93e6a1:150814fecb6:1c0	Membership
7b93e6a1:150814fecb6:-7f	Membership
7b93e6a1:150814fecb6:-563	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	City
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	City
7b93e6a1:150814fecb6:1fb7	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	City
7b93e6a1:150814fecb6:2356	BelievedBy
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/	Province
7b93e6a1:150814fecb6:1f13	Membership
http://www.semwebtech.org/mondial/10/islands/LipariIslands/	Islands
7b93e6a1:150814fecb6:20a2	Membership
7b93e6a1:150814fecb6:7b4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	City
7b93e6a1:150814fecb6:de6	Membership
7b93e6a1:150814fecb6:710	Membership
7b93e6a1:150814fecb6:144c	Membership
http://www.semwebtech.org/mondial/10/island/Flores/	Island
7b93e6a1:150814fecb6:49	Membership
7b93e6a1:150814fecb6:d42	Membership
7b93e6a1:150814fecb6:1a7e	Membership
7b93e6a1:150814fecb6:-1ae	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	City
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/	Province
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/	Province
7b93e6a1:150814fecb6:970	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbs/	EthnicGroup
7b93e6a1:150814fecb6:-10a	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/	Province
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	City
7b93e6a1:150814fecb6:27b	Membership
http://www.semwebtech.org/mondial/10/islands/BermudaIslands/	Islands
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/	Province
7b93e6a1:150814fecb6:60f	Membership
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	Island
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	City
7b93e6a1:150814fecb6:-36a	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/	Province
7b93e6a1:150814fecb6:1dbe	Membership
7b93e6a1:150814fecb6:10b8	Membership
7b93e6a1:150814fecb6:215d	SpokenBy
7b93e6a1:150814fecb6:86f	Membership
7b93e6a1:150814fecb6:1d1a	Membership
7b93e6a1:150814fecb6:19ec	Membership
7b93e6a1:150814fecb6:1014	Membership
7b93e6a1:150814fecb6:5bb	Membership
7b93e6a1:150814fecb6:bed	Membership
7b93e6a1:150814fecb6:1f7a	Membership
7b93e6a1:150814fecb6:-6aa	Border
7b93e6a1:150814fecb6:1274	Membership
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/	Mountain
7b93e6a1:150814fecb6:1608	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	City
7b93e6a1:150814fecb6:1868	Membership
7b93e6a1:150814fecb6:437	Membership
http://www.semwebtech.org/mondial/10/country/NAU/	Country
7b93e6a1:150814fecb6:15b4	Membership
7b93e6a1:150814fecb6:-192	Membership
7b93e6a1:150814fecb6:a69	Membership
7b93e6a1:150814fecb6:1be6	Membership
7b93e6a1:150814fecb6:1510	Membership
7b93e6a1:150814fecb6:-526	Membership
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	Estuary
7b93e6a1:150814fecb6:697	Membership
7b93e6a1:150814fecb6:1b42	Membership
7b93e6a1:150814fecb6:2319	BelievedBy
7b93e6a1:150814fecb6:3e3	Membership
7b93e6a1:150814fecb6:1770	Membership
7b93e6a1:150814fecb6:-786	Encompassed
7b93e6a1:150814fecb6:-4d2	Membership
7b93e6a1:150814fecb6:107b	Membership
7b93e6a1:150814fecb6:2579	EthnicProportion
7b93e6a1:150814fecb6:da9	Membership
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	Estuary
7b93e6a1:150814fecb6:140f	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	City
http://www.semwebtech.org/mondial/10/island/Ameland/	Island
7b93e6a1:150814fecb6:22c5	BelievedBy
7b93e6a1:150814fecb6:d05	Membership
7b93e6a1:150814fecb6:9d7	Membership
7b93e6a1:150814fecb6:2221	SpokenBy
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/	Province
http://www.semwebtech.org/mondial/10/organization/COMESA/	Organization
7b93e6a1:150814fecb6:933	Membership
7b93e6a1:150814fecb6:166f	Membership
7b93e6a1:150814fecb6:f65	Membership
7b93e6a1:150814fecb6:23e	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/	Province
7b93e6a1:150814fecb6:13bb	Membership
7b93e6a1:150814fecb6:2481	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	City
7b93e6a1:150814fecb6:cb1	Membership
7b93e6a1:150814fecb6:-32d	Membership
7b93e6a1:150814fecb6:49e	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	City
7b93e6a1:150814fecb6:1ea	Membership
7b93e6a1:150814fecb6:19af	Membership
7b93e6a1:150814fecb6:-58d	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/	Province
7b93e6a1:150814fecb6:6	Membership
7b93e6a1:150814fecb6:190b	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Troms/	Province
7b93e6a1:150814fecb6:1f3d	Membership
7b93e6a1:150814fecb6:1237	Membership
7b93e6a1:150814fecb6:20cc	Membership
7b93e6a1:150814fecb6:b0c	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/	Province
7b93e6a1:150814fecb6:7de	Membership
http://www.semwebtech.org/mondial/10/island/Madagaskar/	Island
7b93e6a1:150814fecb6:73a	Membership
7b93e6a1:150814fecb6:1497	Membership
7b93e6a1:150814fecb6:d6c	Membership
7b93e6a1:150814fecb6:11e3	Membership
http://www.semwebtech.org/mondial/10/country/MV/	Country
7b93e6a1:150814fecb6:-1f9	Membership
http://www.semwebtech.org/mondial/10/island/Mindoro/	Island
http://www.semwebtech.org/mondial/10/islands/Kyklades/	Islands
7b93e6a1:150814fecb6:99a	Membership
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	Island
7b93e6a1:150814fecb6:-b2	Membership
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	City
7b93e6a1:150814fecb6:-155	Membership
7b93e6a1:150814fecb6:261c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/	Province
7b93e6a1:150814fecb6:1ba9	Membership
http://www.semwebtech.org/mondial/10/language/Creole/	Language
7b93e6a1:150814fecb6:1b05	Membership
7b93e6a1:150814fecb6:17d7	Membership
7b93e6a1:150814fecb6:1733	Membership
7b93e6a1:150814fecb6:3a6	Membership
http://www.semwebtech.org/mondial/10/country/RC/	Country
7b93e6a1:150814fecb6:-749	Encompassed
7b93e6a1:150814fecb6:302	Membership
7b93e6a1:150814fecb6:1d65	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	City
7b93e6a1:150814fecb6:103e	Membership
7b93e6a1:150814fecb6:1ab1	Membership
7b93e6a1:150814fecb6:1993	Membership
http://www.semwebtech.org/mondial/10/religion/Sikh/	Religion
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/	Province
7b93e6a1:150814fecb6:562	Membership
7b93e6a1:150814fecb6:129e	Membership
7b93e6a1:150814fecb6:-6f5	Border
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	City
http://www.semwebtech.org/mondial/10/river/Aruwimi/	Water
7b93e6a1:150814fecb6:b94	Membership
7b93e6a1:150814fecb6:-651	Border
7b93e6a1:150814fecb6:24e8	EthnicProportion
7b93e6a1:150814fecb6:f28	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	City
7b93e6a1:150814fecb6:2444	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	Estuary
7b93e6a1:150814fecb6:8a2	Membership
7b93e6a1:150814fecb6:15de	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	City
http://www.semwebtech.org/mondial/10/organization/IPU/	Organization
http://www.semwebtech.org/mondial/10/source/Gambia/	Source
7b93e6a1:150814fecb6:ed4	Membership
7b93e6a1:150814fecb6:1ad	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	City
7b93e6a1:150814fecb6:153a	Membership
7b93e6a1:150814fecb6:23f0	BelievedBy
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/	Province
http://www.semwebtech.org/mondial/10/language/Serbo-Croatian/	Language
7b93e6a1:150814fecb6:e30	Membership
7b93e6a1:150814fecb6:1b6c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/	Province
http://www.semwebtech.org/mondial/10/island/Labuan/	Island
7b93e6a1:150814fecb6:179a	Membership
7b93e6a1:150814fecb6:-4fc	Membership
7b93e6a1:150814fecb6:e3	Membership
7b93e6a1:150814fecb6:22ef	BelievedBy
7b93e6a1:150814fecb6:d2f	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	City
7b93e6a1:150814fecb6:1eac	Membership
7b93e6a1:150814fecb6:11a6	Membership
7b93e6a1:150814fecb6:224b	BelievedBy
http://www.semwebtech.org/mondial/10/island/Streymoy/	Island
7b93e6a1:150814fecb6:95d	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	City
7b93e6a1:150814fecb6:1102	Membership
7b93e6a1:150814fecb6:-118	Membership
7b93e6a1:150814fecb6:f8f	Membership
http://www.semwebtech.org/mondial/10/lake/Vaettern/	Water
7b93e6a1:150814fecb6:289	Membership
http://www.semwebtech.org/mondial/10/source/Karasu/	Source
7b93e6a1:150814fecb6:cdb	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/	Province
7b93e6a1:150814fecb6:1362	Membership
7b93e6a1:150814fecb6:-378	Membership
http://www.semwebtech.org/mondial/10/country/H/	Country
http://www.semwebtech.org/mondial/10/sea/RedSea/	Water
7b93e6a1:150814fecb6:1d28	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	City
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/	Province
http://www.semwebtech.org/mondial/10/river/Amazonas/	Water
7b93e6a1:150814fecb6:1956	Membership
7b93e6a1:150814fecb6:5c9	Membership
7b93e6a1:150814fecb6:191	Membership
http://www.semwebtech.org/mondial/10/organization/G-77/	Organization
7b93e6a1:150814fecb6:1f88	Membership
7b93e6a1:150814fecb6:525	Membership
7b93e6a1:150814fecb6:16a2	Membership
7b93e6a1:150814fecb6:-6b8	Border
7b93e6a1:150814fecb6:-280	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/	Province
7b93e6a1:150814fecb6:b57	Membership
7b93e6a1:150814fecb6:1cd4	Membership
7b93e6a1:150814fecb6:-614	Border
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	City
7b93e6a1:150814fecb6:2073	Membership
7b93e6a1:150814fecb6:785	Membership
7b93e6a1:150814fecb6:1c30	Membership
7b93e6a1:150814fecb6:2407	BelievedBy
7b93e6a1:150814fecb6:4d1	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/	Province
7b93e6a1:150814fecb6:2667	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/	Province
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/	Mountain
7b93e6a1:150814fecb6:1e90	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	City
7b93e6a1:150814fecb6:-dc	Membership
7b93e6a1:150814fecb6:-5c0	Membership
7b93e6a1:150814fecb6:-17f	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	City
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	Island
7b93e6a1:150814fecb6:23b3	BelievedBy
7b93e6a1:150814fecb6:1b2f	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/	Province
7b93e6a1:150814fecb6:175d	Membership
7b93e6a1:150814fecb6:1d8f	Membership
7b93e6a1:150814fecb6:32c	Membership
7b93e6a1:150814fecb6:-4bf	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/	Province
7b93e6a1:150814fecb6:1089	Membership
7b93e6a1:150814fecb6:a6	Membership
7b93e6a1:150814fecb6:1adb	Membership
7b93e6a1:150814fecb6:-41b	Membership
7b93e6a1:150814fecb6:58c	Membership
7b93e6a1:150814fecb6:220e	SpokenBy
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	City
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	City
7b93e6a1:150814fecb6:-67b	Border
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	City
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Asian/	EthnicGroup
7b93e6a1:150814fecb6:13c9	Membership
7b93e6a1:150814fecb6:246e	EthnicProportion
7b93e6a1:150814fecb6:21ba	SpokenBy
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	Water
7b93e6a1:150814fecb6:1325	Membership
http://www.semwebtech.org/mondial/10/island/Cebu/	Island
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/	Province
7b93e6a1:150814fecb6:8cc	Membership
7b93e6a1:150814fecb6:efe	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	City
7b93e6a1:150814fecb6:1f8	Membership
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/	Mountain
7b93e6a1:150814fecb6:1585	Membership
7b93e6a1:150814fecb6:1919	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	City
7b93e6a1:150814fecb6:e5a	Membership
7b93e6a1:150814fecb6:154	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	City
7b93e6a1:150814fecb6:12d1	Membership
7b93e6a1:150814fecb6:-2e7	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/	Province
7b93e6a1:150814fecb6:-243	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/	Province
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/	Province
7b93e6a1:150814fecb6:2036	Membership
7b93e6a1:150814fecb6:748	Membership
7b93e6a1:150814fecb6:18c5	Membership
http://www.semwebtech.org/mondial/10/estuary/Ili/	Estuary
7b93e6a1:150814fecb6:1ef7	Membership
7b93e6a1:150814fecb6:1821	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	City
http://www.semwebtech.org/mondial/10/source/Petschora/	Source
7b93e6a1:150814fecb6:2296	BelievedBy
7b93e6a1:150814fecb6:ac6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/	Province
7b93e6a1:150814fecb6:1e53	Membership
7b93e6a1:150814fecb6:112c	Membership
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	Desert
7b93e6a1:150814fecb6:a22	Membership
7b93e6a1:150814fecb6:6f4	Membership
http://www.semwebtech.org/mondial/10/lake/Storuman/	Water
7b93e6a1:150814fecb6:650	Membership
7b93e6a1:150814fecb6:-7e3	Encompassed
7b93e6a1:150814fecb6:138c	Membership
7b93e6a1:150814fecb6:c82	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	City
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	Water
7b93e6a1:150814fecb6:25d6	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	Mountain
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	Water
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/	Province
7b93e6a1:150814fecb6:2532	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Sanga/	Water
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	City
7b93e6a1:150814fecb6:54f	Membership
7b93e6a1:150814fecb6:16cc	Membership
7b93e6a1:150814fecb6:fc2	Membership
7b93e6a1:150814fecb6:1cfe	Membership
7b93e6a1:150814fecb6:-63e	Border
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	City
7b93e6a1:150814fecb6:209d	Membership
7b93e6a1:150814fecb6:1c5a	Membership
7b93e6a1:150814fecb6:4fb	Membership
http://www.semwebtech.org/mondial/10/estuary/Sobat/	Estuary
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/	Province
7b93e6a1:150814fecb6:-5ea	Border
7b93e6a1:150814fecb6:-83	Membership
7b93e6a1:150814fecb6:1548	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/	Province
7b93e6a1:150814fecb6:23dd	BelievedBy
7b93e6a1:150814fecb6:e1d	Membership
7b93e6a1:150814fecb6:117	Membership
http://www.semwebtech.org/mondial/10/river/BlackDrin/	Water
7b93e6a1:150814fecb6:-206	Membership
http://www.semwebtech.org/mondial/10/religion/Jains/	Religion
7b93e6a1:150814fecb6:377	Membership
7b93e6a1:150814fecb6:14f4	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	City
7b93e6a1:150814fecb6:1450	Membership
http://www.semwebtech.org/mondial/10/country/KIR/	Country
7b93e6a1:150814fecb6:-466	Membership
7b93e6a1:150814fecb6:2c	Membership
7b93e6a1:150814fecb6:1a82	Membership
7b93e6a1:150814fecb6:-1b2	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/	Province
7b93e6a1:150814fecb6:2259	BelievedBy
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	City
7b93e6a1:150814fecb6:1e16	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	City
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	City
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	City
7b93e6a1:150814fecb6:6b7	Membership
7b93e6a1:150814fecb6:ce9	Membership
7b93e6a1:150814fecb6:613	Membership
7b93e6a1:150814fecb6:-7a6	Encompassed
7b93e6a1:150814fecb6:134f	Membership
7b93e6a1:150814fecb6:c45	Membership
7b93e6a1:150814fecb6:1dc2	Membership
7b93e6a1:150814fecb6:-702	Border
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	City
7b93e6a1:150814fecb6:2161	SpokenBy
7b93e6a1:150814fecb6:873	Membership
7b93e6a1:150814fecb6:19f0	Membership
http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	Islands
7b93e6a1:150814fecb6:17e	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	City
7b93e6a1:150814fecb6:12fb	Membership
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	Mountain
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	City
7b93e6a1:150814fecb6:bf1	Membership
7b93e6a1:150814fecb6:-26d	Membership
7b93e6a1:150814fecb6:24a1	EthnicProportion
7b93e6a1:150814fecb6:1c1d	Membership
7b93e6a1:150814fecb6:18ef	Membership
http://www.semwebtech.org/mondial/10/island/Fohr/	Island
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	City
7b93e6a1:150814fecb6:4be	Membership
7b93e6a1:150814fecb6:184b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	City
http://www.semwebtech.org/mondial/10/mountain/Irazu/	Mountain
7b93e6a1:150814fecb6:41a	Membership
7b93e6a1:150814fecb6:1e7d	Membership
7b93e6a1:150814fecb6:-5ad	Membership
7b93e6a1:150814fecb6:1177	Membership
7b93e6a1:150814fecb6:a4c	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/	Province
7b93e6a1:150814fecb6:-46	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	City
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	City
7b93e6a1:150814fecb6:67a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	City
http://www.semwebtech.org/mondial/10/river/Kemijoki/	Water
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Irish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	City
7b93e6a1:150814fecb6:14b7	Membership
7b93e6a1:150814fecb6:255c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/	Province
7b93e6a1:150814fecb6:1ae9	Membership
7b93e6a1:150814fecb6:1413	Membership
7b93e6a1:150814fecb6:-429	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/	Province
7b93e6a1:150814fecb6:9ba	Membership
7b93e6a1:150814fecb6:1a45	Membership
7b93e6a1:150814fecb6:fec	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	City
7b93e6a1:150814fecb6:2e6	Membership
7b93e6a1:150814fecb6:1673	Membership
7b93e6a1:150814fecb6:-689	Border
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/	Province
7b93e6a1:150814fecb6:242	Membership
7b93e6a1:150814fecb6:-3d5	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	City
7b93e6a1:150814fecb6:-331	Membership
7b93e6a1:150814fecb6:21c8	SpokenBy
7b93e6a1:150814fecb6:c08	Membership
7b93e6a1:150814fecb6:2124	SpokenBy
7b93e6a1:150814fecb6:836	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/	Province
7b93e6a1:150814fecb6:19b3	Membership
7b93e6a1:150814fecb6:-591	Membership
http://www.semwebtech.org/mondial/10/source/Asahan/	Source
7b93e6a1:150814fecb6:e68	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/	Province
7b93e6a1:150814fecb6:1fe5	Membership
7b93e6a1:150814fecb6:12be	Membership
7b93e6a1:150814fecb6:2384	BelievedBy
7b93e6a1:150814fecb6:bb4	Membership
7b93e6a1:150814fecb6:1f41	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	City
7b93e6a1:150814fecb6:121a	Membership
7b93e6a1:150814fecb6:20d0	Membership
7b93e6a1:150814fecb6:b10	Membership
7b93e6a1:150814fecb6:7e2	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/	Province
http://www.semwebtech.org/mondial/10/estuary/Tobol/	Estuary
7b93e6a1:150814fecb6:147a	Membership
7b93e6a1:150814fecb6:77	Membership
http://www.semwebtech.org/mondial/10/source/Seine/	Source
7b93e6a1:150814fecb6:d70	Membership
7b93e6a1:150814fecb6:180e	Membership
7b93e6a1:150814fecb6:-1dc	Membership
7b93e6a1:150814fecb6:26c4	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/WestGhats/	Mountains
7b93e6a1:150814fecb6:2620	EthnicProportion
7b93e6a1:150814fecb6:a0f	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/	Province
7b93e6a1:150814fecb6:63d	Membership
7b93e6a1:150814fecb6:17ba	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	City
7b93e6a1:150814fecb6:c6f	Membership
7b93e6a1:150814fecb6:1dec	Membership
7b93e6a1:150814fecb6:-72c	Encompassed
7b93e6a1:150814fecb6:10e6	Membership
7b93e6a1:150814fecb6:218b	SpokenBy
7b93e6a1:150814fecb6:89d	Membership
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	Source
7b93e6a1:150814fecb6:1042	Membership
7b93e6a1:150814fecb6:251f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	City
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	City
7b93e6a1:150814fecb6:1a08	Membership
http://www.semwebtech.org/mondial/10/country/GBM/	Country
http://www.semwebtech.org/mondial/10/estuary/Tigris/	Estuary
7b93e6a1:150814fecb6:faf	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	City
7b93e6a1:150814fecb6:2a9	Membership
7b93e6a1:150814fecb6:1636	Membership
7b93e6a1:150814fecb6:24cb	EthnicProportion
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	City
7b93e6a1:150814fecb6:f0b	Membership
http://www.semwebtech.org/mondial/10/mountains/Madeira/	Mountains
7b93e6a1:150814fecb6:205	Membership
7b93e6a1:150814fecb6:1c68	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/	Province
http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/	Mountains
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	Water
7b93e6a1:150814fecb6:1896	Membership
7b93e6a1:150814fecb6:15e2	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/	Province
7b93e6a1:150814fecb6:465	Membership
7b93e6a1:150814fecb6:-5f8	Border
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	City
7b93e6a1:150814fecb6:a97	Membership
7b93e6a1:150814fecb6:1b1	Membership
7b93e6a1:150814fecb6:-554	Membership
7b93e6a1:150814fecb6:1fa8	Membership
7b93e6a1:150814fecb6:1b70	Membership
7b93e6a1:150814fecb6:-2a0	Membership
7b93e6a1:150814fecb6:2347	BelievedBy
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	City
7b93e6a1:150814fecb6:1f04	Membership
7b93e6a1:150814fecb6:7a5	Membership
7b93e6a1:150814fecb6:dd7	Membership
7b93e6a1:150814fecb6:701	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	EthnicGroup
7b93e6a1:150814fecb6:143d	Membership
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	City
7b93e6a1:150814fecb6:22f3	BelievedBy
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	City
7b93e6a1:150814fecb6:d33	Membership
7b93e6a1:150814fecb6:1eb0	Membership
7b93e6a1:150814fecb6:1a6f	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	City
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	Desert
7b93e6a1:150814fecb6:961	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	City
http://www.semwebtech.org/mondial/10/mountains/Kamchatka/	Mountains
7b93e6a1:150814fecb6:169d	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	City
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	Estuary
7b93e6a1:150814fecb6:f93	Membership
7b93e6a1:150814fecb6:26c	Membership
http://www.semwebtech.org/mondial/10/islands/WallisIslands/	Islands
7b93e6a1:150814fecb6:-3ff	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	City
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	City
7b93e6a1:150814fecb6:-35b	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mossi/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	Source
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	Estuary
7b93e6a1:150814fecb6:1daf	Membership
7b93e6a1:150814fecb6:214e	SpokenBy
7b93e6a1:150814fecb6:10a9	Membership
http://www.semwebtech.org/mondial/10/lake/Siljan/	Water
7b93e6a1:150814fecb6:1d0b	Membership
7b93e6a1:150814fecb6:19dd	Membership
7b93e6a1:150814fecb6:1005	Membership
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	City
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	City
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/	Province
7b93e6a1:150814fecb6:5ac	Membership
7b93e6a1:150814fecb6:bde	Membership
7b93e6a1:150814fecb6:1f6b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	City
http://www.semwebtech.org/mondial/10/river/Okavango/	Water
7b93e6a1:150814fecb6:1265	Membership
7b93e6a1:150814fecb6:20fa	Membership
7b93e6a1:150814fecb6:b3a	Membership
http://www.semwebtech.org/mondial/10/country/JOR/	Country
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/	Province
7b93e6a1:150814fecb6:d9a	Membership
7b93e6a1:150814fecb6:1859	Membership
7b93e6a1:150814fecb6:428	Membership
7b93e6a1:150814fecb6:-e0	Membership
7b93e6a1:150814fecb6:15a5	Membership
7b93e6a1:150814fecb6:-183	Membership
7b93e6a1:150814fecb6:264a	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	Estuary
7b93e6a1:150814fecb6:1bd7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/	Province
7b93e6a1:150814fecb6:1501	Membership
7b93e6a1:150814fecb6:-517	Membership
http://www.semwebtech.org/mondial/10/source/Doubs/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/ArabIranian/	EthnicGroup
7b93e6a1:150814fecb6:688	Membership
7b93e6a1:150814fecb6:1b33	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	City
7b93e6a1:150814fecb6:3d4	Membership
7b93e6a1:150814fecb6:1761	Membership
7b93e6a1:150814fecb6:-777	Encompassed
7b93e6a1:150814fecb6:330	Membership
7b93e6a1:150814fecb6:1d93	Membership
7b93e6a1:150814fecb6:-4c3	Membership
7b93e6a1:150814fecb6:106c	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	City
7b93e6a1:150814fecb6:22b6	BelievedBy
7b93e6a1:150814fecb6:9c8	Membership
7b93e6a1:150814fecb6:590	Membership
7b93e6a1:150814fecb6:2212	SpokenBy
7b93e6a1:150814fecb6:924	Membership
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	Water
7b93e6a1:150814fecb6:f56	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/	Province
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	City
7b93e6a1:150814fecb6:22f	Membership
7b93e6a1:150814fecb6:13ac	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	Water
7b93e6a1:150814fecb6:2472	EthnicProportion
7b93e6a1:150814fecb6:ca2	Membership
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	Estuary
7b93e6a1:150814fecb6:-31e	Membership
7b93e6a1:150814fecb6:8d0	Membership
7b93e6a1:150814fecb6:48f	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	City
7b93e6a1:150814fecb6:1db	Membership
7b93e6a1:150814fecb6:-57e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/	Province
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	Estuary
7b93e6a1:150814fecb6:1b9a	Membership
7b93e6a1:150814fecb6:-2ca	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	City
7b93e6a1:150814fecb6:1f2e	Membership
7b93e6a1:150814fecb6:1228	Membership
7b93e6a1:150814fecb6:20bd	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/	Province
7b93e6a1:150814fecb6:7cf	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/	Province
7b93e6a1:150814fecb6:72b	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/	Province
7b93e6a1:150814fecb6:1488	Membership
7b93e6a1:150814fecb6:d5d	Membership
7b93e6a1:150814fecb6:1eda	Membership
7b93e6a1:150814fecb6:11d4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	City
7b93e6a1:150814fecb6:98b	Membership
7b93e6a1:150814fecb6:-a3	Membership
7b93e6a1:150814fecb6:1130	Membership
7b93e6a1:150814fecb6:-146	Membership
7b93e6a1:150814fecb6:260d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	City
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	Estuary
http://www.semwebtech.org/mondial/10/river/Prypjat/	Water
7b93e6a1:150814fecb6:17c8	Membership
7b93e6a1:150814fecb6:1390	Membership
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	Water
7b93e6a1:150814fecb6:1724	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/	Province
7b93e6a1:150814fecb6:2199	SpokenBy
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	Water
7b93e6a1:150814fecb6:1d56	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	City
7b93e6a1:150814fecb6:102f	Membership
7b93e6a1:150814fecb6:5f7	Membership
7b93e6a1:150814fecb6:1aa2	Membership
7b93e6a1:150814fecb6:1984	Membership
7b93e6a1:150814fecb6:553	Membership
7b93e6a1:150814fecb6:16d0	Membership
7b93e6a1:150814fecb6:-6e6	Border
7b93e6a1:150814fecb6:128f	Membership
7b93e6a1:150814fecb6:b85	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	City
7b93e6a1:150814fecb6:-642	Border
7b93e6a1:150814fecb6:24d9	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	Estuary
7b93e6a1:150814fecb6:f19	Membership
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	City
http://www.semwebtech.org/mondial/10/estuary/Douro/	Estuary
7b93e6a1:150814fecb6:2435	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	City
http://www.semwebtech.org/mondial/10/language/Albanian/	Language
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	City
7b93e6a1:150814fecb6:15cf	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	City
7b93e6a1:150814fecb6:2695	EthnicProportion
7b93e6a1:150814fecb6:ec5	Membership
7b93e6a1:150814fecb6:152b	Membership
7b93e6a1:150814fecb6:23e1	BelievedBy
7b93e6a1:150814fecb6:e21	Membership
7b93e6a1:150814fecb6:1b5d	Membership
7b93e6a1:150814fecb6:3fe	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	City
7b93e6a1:150814fecb6:178b	Membership
http://www.semwebtech.org/mondial/10/country/GR/	Country
7b93e6a1:150814fecb6:-4ed	Membership
7b93e6a1:150814fecb6:35a	Membership
http://www.semwebtech.org/mondial/10/organization/NAM/	Organization
7b93e6a1:150814fecb6:d4	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/	Province
7b93e6a1:150814fecb6:30	Membership
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	Mountain
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	City
7b93e6a1:150814fecb6:223c	BelievedBy
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	City
7b93e6a1:150814fecb6:94e	Membership
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	Estuary
7b93e6a1:150814fecb6:-109	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	City
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	City
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	City
7b93e6a1:150814fecb6:13f7	Membership
7b93e6a1:150814fecb6:249c	EthnicProportion
7b93e6a1:150814fecb6:ccc	Membership
7b93e6a1:150814fecb6:1353	Membership
7b93e6a1:150814fecb6:-369	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	City
7b93e6a1:150814fecb6:8fa	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/	Province
http://www.semwebtech.org/mondial/10/country/CUR/	Country
7b93e6a1:150814fecb6:1d19	Membership
http://www.semwebtech.org/mondial/10/country/PK/	Country
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	City
7b93e6a1:150814fecb6:182	Membership
7b93e6a1:150814fecb6:1947	Membership
7b93e6a1:150814fecb6:1f79	Membership
7b93e6a1:150814fecb6:516	Membership
7b93e6a1:150814fecb6:-6a9	Border
7b93e6a1:150814fecb6:-271	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	City
http://www.semwebtech.org/mondial/10/island/Babelthuap/	Island
7b93e6a1:150814fecb6:b48	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	City
7b93e6a1:150814fecb6:1cc5	Membership
7b93e6a1:150814fecb6:-605	Border
http://www.semwebtech.org/mondial/10/river/Dnepr/	Water
7b93e6a1:150814fecb6:2064	Membership
7b93e6a1:150814fecb6:1c21	Membership
7b93e6a1:150814fecb6:776	Membership
7b93e6a1:150814fecb6:18f3	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	City
7b93e6a1:150814fecb6:4c2	Membership
7b93e6a1:150814fecb6:2658	EthnicProportion
7b93e6a1:150814fecb6:11fe	Membership
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	Estuary
http://www.semwebtech.org/mondial/10/mountains/Amhara/	Mountains
7b93e6a1:150814fecb6:af4	Membership
http://www.semwebtech.org/mondial/10/organization/BCIE/	Organization
7b93e6a1:150814fecb6:1e81	Membership
7b93e6a1:150814fecb6:-cd	Membership
7b93e6a1:150814fecb6:-5b1	Membership
7b93e6a1:150814fecb6:115a	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/	Province
7b93e6a1:150814fecb6:a50	Membership
7b93e6a1:150814fecb6:23a4	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/	Province
7b93e6a1:150814fecb6:2300	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	City
7b93e6a1:150814fecb6:174e	Membership
http://www.semwebtech.org/mondial/10/country/FALK/	Country
7b93e6a1:150814fecb6:31d	Membership
7b93e6a1:150814fecb6:2560	EthnicProportion
7b93e6a1:150814fecb6:1acc	Membership
7b93e6a1:150814fecb6:-40c	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	City
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	City
7b93e6a1:150814fecb6:57d	Membership
7b93e6a1:150814fecb6:16fa	Membership
7b93e6a1:150814fecb6:ff0	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/	Province
7b93e6a1:150814fecb6:-66c	Border
http://www.semwebtech.org/mondial/10/estuary/Vaal/	Estuary
7b93e6a1:150814fecb6:245f	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	Water
7b93e6a1:150814fecb6:1316	Membership
7b93e6a1:150814fecb6:21ab	SpokenBy
7b93e6a1:150814fecb6:8bd	Membership
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	Water
7b93e6a1:150814fecb6:eef	Membership
7b93e6a1:150814fecb6:1e9	Membership
7b93e6a1:150814fecb6:1576	Membership
http://www.semwebtech.org/mondial/10/island/Linosa/	Island
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	City
7b93e6a1:150814fecb6:e4b	Membership
7b93e6a1:150814fecb6:145	Membership
7b93e6a1:150814fecb6:12c2	Membership
7b93e6a1:150814fecb6:-2d8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	City
http://www.semwebtech.org/mondial/10/country/V/	Country
7b93e6a1:150814fecb6:-234	Membership
7b93e6a1:150814fecb6:2027	Membership
7b93e6a1:150814fecb6:fe	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	City
7b93e6a1:150814fecb6:739	Membership
http://www.semwebtech.org/mondial/10/island/Antigua/	Island
7b93e6a1:150814fecb6:18b6	Membership
7b93e6a1:150814fecb6:-494	Membership
7b93e6a1:150814fecb6:5a	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	City
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	City
7b93e6a1:150814fecb6:1ee8	Membership
7b93e6a1:150814fecb6:1812	Membership
7b93e6a1:150814fecb6:-1e0	Membership
7b93e6a1:150814fecb6:2287	BelievedBy
7b93e6a1:150814fecb6:ab7	Membership
7b93e6a1:150814fecb6:999	Membership
7b93e6a1:150814fecb6:1e44	Membership
7b93e6a1:150814fecb6:111d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	City
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/	Province
7b93e6a1:150814fecb6:a13	Membership
7b93e6a1:150814fecb6:6e5	Membership
http://www.semwebtech.org/mondial/10/organization/ASEAN/	Organization
7b93e6a1:150814fecb6:641	Membership
7b93e6a1:150814fecb6:-7d4	Encompassed
7b93e6a1:150814fecb6:137d	Membership
7b93e6a1:150814fecb6:c73	Membership
7b93e6a1:150814fecb6:1df0	Membership
7b93e6a1:150814fecb6:-730	Encompassed
7b93e6a1:150814fecb6:25c7	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	City
7b93e6a1:150814fecb6:2523	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	City
http://www.semwebtech.org/mondial/10/island/EastFalkland/	Island
7b93e6a1:150814fecb6:16bd	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	City
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	City
7b93e6a1:150814fecb6:-29b	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	City
http://www.semwebtech.org/mondial/10/country/WSA/	Country
7b93e6a1:150814fecb6:fb3	Membership
7b93e6a1:150814fecb6:1cef	Membership
7b93e6a1:150814fecb6:-62f	Border
7b93e6a1:150814fecb6:208e	Membership
7b93e6a1:150814fecb6:1c4b	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/	Province
7b93e6a1:150814fecb6:4ec	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	City
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	Water
7b93e6a1:150814fecb6:-5db	Border
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	City
7b93e6a1:150814fecb6:a7a	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	City
7b93e6a1:150814fecb6:-74	Membership
7b93e6a1:150814fecb6:1539	Membership
7b93e6a1:150814fecb6:23ce	BelievedBy
http://www.semwebtech.org/mondial/10/source/Aare/	Source
7b93e6a1:150814fecb6:e0e	Membership
7b93e6a1:150814fecb6:108	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	City
7b93e6a1:150814fecb6:232a	BelievedBy
7b93e6a1:150814fecb6:1799	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/	Province
http://www.semwebtech.org/mondial/10/organization/WIPO/	Organization
7b93e6a1:150814fecb6:368	Membership
7b93e6a1:150814fecb6:14e5	Membership
7b93e6a1:150814fecb6:258a	EthnicProportion
7b93e6a1:150814fecb6:dba	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	City
http://www.semwebtech.org/mondial/10/estuary/Ammer/	Estuary
7b93e6a1:150814fecb6:1441	Membership
7b93e6a1:150814fecb6:-457	Membership
7b93e6a1:150814fecb6:1d	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	City
7b93e6a1:150814fecb6:1a73	Membership
7b93e6a1:150814fecb6:-1a3	Membership
7b93e6a1:150814fecb6:1e07	Membership
7b93e6a1:150814fecb6:6a8	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	City
7b93e6a1:150814fecb6:270	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	City
7b93e6a1:150814fecb6:604	Membership
7b93e6a1:150814fecb6:21f6	SpokenBy
7b93e6a1:150814fecb6:c36	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Shan/	EthnicGroup
7b93e6a1:150814fecb6:1db3	Membership
http://www.semwebtech.org/mondial/10/river/Semliki/	Water
7b93e6a1:150814fecb6:2152	SpokenBy
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	City
7b93e6a1:150814fecb6:864	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	City
7b93e6a1:150814fecb6:19e1	Membership
7b93e6a1:150814fecb6:e96	Membership
7b93e6a1:150814fecb6:5b0	Membership
7b93e6a1:150814fecb6:16f	Membership
7b93e6a1:150814fecb6:12ec	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	City
7b93e6a1:150814fecb6:be2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	City
7b93e6a1:150814fecb6:-25e	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	City
7b93e6a1:150814fecb6:1c0e	Membership
7b93e6a1:150814fecb6:4af	Membership
7b93e6a1:150814fecb6:183c	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	City
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	City
http://www.semwebtech.org/mondial/10/organization/PCA/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	City
7b93e6a1:150814fecb6:40b	Membership
7b93e6a1:150814fecb6:1e6e	Membership
7b93e6a1:150814fecb6:1168	Membership
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	City
7b93e6a1:150814fecb6:a3d	Membership
7b93e6a1:150814fecb6:1bba	Membership
7b93e6a1:150814fecb6:-37	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	City
7b93e6a1:150814fecb6:66b	Membership
7b93e6a1:150814fecb6:-7fe	Encompassed
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	Water
7b93e6a1:150814fecb6:c9d	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	City
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/	Province
7b93e6a1:150814fecb6:-75a	Encompassed
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	City
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	Estuary
7b93e6a1:150814fecb6:14a8	Membership
7b93e6a1:150814fecb6:1070	Membership
7b93e6a1:150814fecb6:254d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	City
7b93e6a1:150814fecb6:1404	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	City
7b93e6a1:150814fecb6:9ab	Membership
7b93e6a1:150814fecb6:1a36	Membership
http://www.semwebtech.org/mondial/10/country/KGZ/	Country
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Fleming/	EthnicGroup
7b93e6a1:150814fecb6:fdd	Membership
7b93e6a1:150814fecb6:2d7	Membership
http://www.semwebtech.org/mondial/10/mountain/Annapurna/	Mountain
7b93e6a1:150814fecb6:1664	Membership
7b93e6a1:150814fecb6:1c96	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	City
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	City
7b93e6a1:150814fecb6:13b0	Membership
7b93e6a1:150814fecb6:233	Membership
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	City
7b93e6a1:150814fecb6:-3c6	Membership
http://www.semwebtech.org/mondial/10/river/Tigris/	Water
7b93e6a1:150814fecb6:-322	Membership
7b93e6a1:150814fecb6:21b9	SpokenBy
7b93e6a1:150814fecb6:493	Membership
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	Water
7b93e6a1:150814fecb6:2115	Membership
7b93e6a1:150814fecb6:19a4	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	City
7b93e6a1:150814fecb6:827	Membership
http://www.semwebtech.org/mondial/10/organization/CEI/	Organization
7b93e6a1:150814fecb6:-9e	Membership
7b93e6a1:150814fecb6:-582	Membership
7b93e6a1:150814fecb6:e59	Membership
7b93e6a1:150814fecb6:1fd6	Membership
7b93e6a1:150814fecb6:1900	Membership
7b93e6a1:150814fecb6:12af	Membership
7b93e6a1:150814fecb6:2375	BelievedBy
7b93e6a1:150814fecb6:ba5	Membership
7b93e6a1:150814fecb6:1f32	Membership
7b93e6a1:150814fecb6:20c1	Membership
7b93e6a1:150814fecb6:120b	Membership
7b93e6a1:150814fecb6:b01	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saga/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/	Province
7b93e6a1:150814fecb6:7d3	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/	Province
7b93e6a1:150814fecb6:146b	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/	Province
7b93e6a1:150814fecb6:68	Membership
7b93e6a1:150814fecb6:d61	Membership
7b93e6a1:150814fecb6:26b5	EthnicProportion
7b93e6a1:150814fecb6:1a9d	Membership
7b93e6a1:150814fecb6:-1cd	Membership
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	City
7b93e6a1:150814fecb6:2611	EthnicProportion
7b93e6a1:150814fecb6:29a	Membership
7b93e6a1:150814fecb6:62e	Membership
7b93e6a1:150814fecb6:17ab	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/	Province
7b93e6a1:150814fecb6:1ddd	Membership
7b93e6a1:150814fecb6:-71d	Border
7b93e6a1:150814fecb6:10d7	Membership
7b93e6a1:150814fecb6:217c	SpokenBy
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	City
http://www.semwebtech.org/mondial/10/islands/FaroeIslands/	Islands
7b93e6a1:150814fecb6:88e	Membership
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	City
7b93e6a1:150814fecb6:1033	Membership
7b93e6a1:150814fecb6:5da	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	City
http://www.semwebtech.org/mondial/10/organization/ICC/	Organization
7b93e6a1:150814fecb6:1293	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/	Province
http://www.semwebtech.org/mondial/10/island/Savaii/	Island
7b93e6a1:150814fecb6:1627	Membership
7b93e6a1:150814fecb6:24bc	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	City
7b93e6a1:150814fecb6:1c59	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	City
7b93e6a1:150814fecb6:1887	Membership
http://www.semwebtech.org/mondial/10/language/Garifuna/	Language
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	Water
7b93e6a1:150814fecb6:15d3	Membership
7b93e6a1:150814fecb6:456	Membership
7b93e6a1:150814fecb6:-5e9	Border
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	City
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	City
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	Mountain
7b93e6a1:150814fecb6:a88	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	City
7b93e6a1:150814fecb6:1a2	Membership
7b93e6a1:150814fecb6:-545	Membership
7b93e6a1:150814fecb6:1b61	Membership
7b93e6a1:150814fecb6:2338	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	City
7b93e6a1:150814fecb6:-4f1	Membership
7b93e6a1:150814fecb6:109a	Membership
7b93e6a1:150814fecb6:2598	EthnicProportion
7b93e6a1:150814fecb6:dc8	Membership
7b93e6a1:150814fecb6:22e4	BelievedBy
7b93e6a1:150814fecb6:142e	Membership
7b93e6a1:150814fecb6:d24	Membership
http://www.semwebtech.org/mondial/10/country/IND/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	City
7b93e6a1:150814fecb6:9f6	Membership
7b93e6a1:150814fecb6:1ea1	Membership
7b93e6a1:150814fecb6:2240	BelievedBy
http://www.semwebtech.org/mondial/10/source/Argun/	Source
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	City
7b93e6a1:150814fecb6:952	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/	Province
7b93e6a1:150814fecb6:168e	Membership
7b93e6a1:150814fecb6:f84	Membership
7b93e6a1:150814fecb6:25d	Membership
7b93e6a1:150814fecb6:13da	Membership
http://www.semwebtech.org/mondial/10/river/Oulujoki/	Water
7b93e6a1:150814fecb6:cd0	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	City
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	City
7b93e6a1:150814fecb6:-34c	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	City
7b93e6a1:150814fecb6:213f	SpokenBy
7b93e6a1:150814fecb6:19ce	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	City
7b93e6a1:150814fecb6:192a	Membership
7b93e6a1:150814fecb6:239f	BelievedBy
http://www.semwebtech.org/mondial/10/desert/Tenere/	Desert
7b93e6a1:150814fecb6:bcf	Membership
7b93e6a1:150814fecb6:1f5c	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	City
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	Source
7b93e6a1:150814fecb6:1256	Membership
7b93e6a1:150814fecb6:20eb	Membership
7b93e6a1:150814fecb6:b2b	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	City
7b93e6a1:150814fecb6:7fd	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	City
7b93e6a1:150814fecb6:d8b	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	City
http://www.semwebtech.org/mondial/10/estuary/Enns/	Estuary
http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	EthnicGroup
7b93e6a1:150814fecb6:263b	EthnicProportion
7b93e6a1:150814fecb6:419	Membership
7b93e6a1:150814fecb6:-d1	Membership
http://www.semwebtech.org/mondial/10/organization/GUAM/	Organization
7b93e6a1:150814fecb6:-174	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	City
7b93e6a1:150814fecb6:1bc8	Membership
7b93e6a1:150814fecb6:-508	Membership
7b93e6a1:150814fecb6:679	Membership
7b93e6a1:150814fecb6:1b24	Membership
7b93e6a1:150814fecb6:17f6	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	City
7b93e6a1:150814fecb6:3c5	Membership
7b93e6a1:150814fecb6:1752	Membership
7b93e6a1:150814fecb6:-768	Encompassed
7b93e6a1:150814fecb6:321	Membership
7b93e6a1:150814fecb6:1d84	Membership
7b93e6a1:150814fecb6:-4b4	Membership
7b93e6a1:150814fecb6:105d	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	City
7b93e6a1:150814fecb6:1ad0	Membership
7b93e6a1:150814fecb6:-410	Membership
7b93e6a1:150814fecb6:22a7	BelievedBy
7b93e6a1:150814fecb6:9b9	Membership
7b93e6a1:150814fecb6:581	Membership
7b93e6a1:150814fecb6:2203	SpokenBy
7b93e6a1:150814fecb6:915	Membership
http://www.semwebtech.org/mondial/10/organization/UNOCI/	Organization
7b93e6a1:150814fecb6:-670	Border
7b93e6a1:150814fecb6:f47	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	City
7b93e6a1:150814fecb6:2463	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/	Province
http://www.semwebtech.org/mondial/10/source/Syrdarja/	Source
7b93e6a1:150814fecb6:-30f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	City
7b93e6a1:150814fecb6:8c1	Membership
7b93e6a1:150814fecb6:15fd	Membership
7b93e6a1:150814fecb6:ef3	Membership
7b93e6a1:150814fecb6:1cc	Membership
7b93e6a1:150814fecb6:-56f	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/	Province
http://www.semwebtech.org/mondial/10/river/Olt/	Water
7b93e6a1:150814fecb6:1b8b	Membership
7b93e6a1:150814fecb6:-2bb	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Central/	Province
7b93e6a1:150814fecb6:1f1f	Membership
7b93e6a1:150814fecb6:1219	Membership
7b93e6a1:150814fecb6:20ae	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/	Province
7b93e6a1:150814fecb6:200a	Membership
7b93e6a1:150814fecb6:71c	Membership
7b93e6a1:150814fecb6:1479	Membership
7b93e6a1:150814fecb6:d4e	Membership
http://www.semwebtech.org/mondial/10/source/Jenissej/	Source
7b93e6a1:150814fecb6:1ecb	Membership
7b93e6a1:150814fecb6:-80b	Encompassed
7b93e6a1:150814fecb6:11c5	Membership
7b93e6a1:150814fecb6:226a	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	City
7b93e6a1:150814fecb6:97c	Membership
http://www.semwebtech.org/mondial/10/river/Petschora/	Water
7b93e6a1:150814fecb6:1121	Membership
7b93e6a1:150814fecb6:-137	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/	Country
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	City
7b93e6a1:150814fecb6:cfa	Membership
7b93e6a1:150814fecb6:17b9	Membership
7b93e6a1:150814fecb6:1381	Membership
7b93e6a1:150814fecb6:-397	Membership
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	City
7b93e6a1:150814fecb6:25aa	EthnicProportion
7b93e6a1:150814fecb6:1715	Membership
http://www.semwebtech.org/mondial/10/desert/Negev/	Desert
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	Water
http://www.semwebtech.org/mondial/10/ethnicgroup/Bhote/	EthnicGroup
http://www.semwebtech.org/mondial/10/sea/YellowSea/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/	Province
7b93e6a1:150814fecb6:1d47	Membership
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	Water
7b93e6a1:150814fecb6:5e8	Membership
7b93e6a1:150814fecb6:1975	Membership
http://www.semwebtech.org/mondial/10/country/ROU/	Country
7b93e6a1:150814fecb6:544	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	City
7b93e6a1:150814fecb6:16c1	Membership
7b93e6a1:150814fecb6:-6d7	Border
http://www.semwebtech.org/mondial/10/estuary/Atbara/	Estuary
http://www.semwebtech.org/mondial/10/river/Drau/	Water
7b93e6a1:150814fecb6:1cf3	Membership
7b93e6a1:150814fecb6:b76	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	City
7b93e6a1:150814fecb6:-633	Border
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	City
7b93e6a1:150814fecb6:2092	Membership
7b93e6a1:150814fecb6:2426	BelievedBy
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/	Province
7b93e6a1:150814fecb6:4f0	Membership
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	Desert
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/	Province
7b93e6a1:150814fecb6:-fb	Membership
7b93e6a1:150814fecb6:-19e	Membership
7b93e6a1:150814fecb6:2686	EthnicProportion
7b93e6a1:150814fecb6:eb6	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	City
http://www.semwebtech.org/mondial/10/island/Barra/	Island
7b93e6a1:150814fecb6:151c	Membership
7b93e6a1:150814fecb6:23d2	BelievedBy
7b93e6a1:150814fecb6:e12	Membership
7b93e6a1:150814fecb6:1b4e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	City
7b93e6a1:150814fecb6:3ef	Membership
7b93e6a1:150814fecb6:177c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Christian/	EthnicGroup
7b93e6a1:150814fecb6:34b	Membership
7b93e6a1:150814fecb6:-4de	Membership
http://www.semwebtech.org/mondial/10/organization/UNRWA/	Organization
7b93e6a1:150814fecb6:c5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	City
7b93e6a1:150814fecb6:1afa	Membership
7b93e6a1:150814fecb6:-43a	Membership
7b93e6a1:150814fecb6:21	Membership
http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Mountains
http://www.semwebtech.org/mondial/10/island/Krakatau/	Island
7b93e6a1:150814fecb6:222d	SpokenBy
7b93e6a1:150814fecb6:93f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	City
7b93e6a1:150814fecb6:-69a	Border
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	City
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	Mountain
7b93e6a1:150814fecb6:13e8	Membership
7b93e6a1:150814fecb6:248d	EthnicProportion
7b93e6a1:150814fecb6:cbd	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	City
7b93e6a1:150814fecb6:1344	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Fula/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/	Province
7b93e6a1:150814fecb6:8eb	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/	Province
http://www.semwebtech.org/mondial/10/sea/BeringSea/	Water
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	City
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/	Province
7b93e6a1:150814fecb6:173	Membership
7b93e6a1:150814fecb6:1938	Membership
7b93e6a1:150814fecb6:12f0	Membership
7b93e6a1:150814fecb6:507	Membership
7b93e6a1:150814fecb6:-262	Membership
7b93e6a1:150814fecb6:20f9	Membership
7b93e6a1:150814fecb6:b39	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/	Province
7b93e6a1:150814fecb6:1cb6	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	City
7b93e6a1:150814fecb6:2055	Membership
7b93e6a1:150814fecb6:767	Membership
7b93e6a1:150814fecb6:1c12	Membership
7b93e6a1:150814fecb6:18e4	Membership
http://www.semwebtech.org/mondial/10/mountain/Olympos/	Mountain
http://www.semwebtech.org/mondial/10/island/Upolu/	Island
7b93e6a1:150814fecb6:d99	Membership
7b93e6a1:150814fecb6:4b3	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	City
7b93e6a1:150814fecb6:1840	Membership
7b93e6a1:150814fecb6:11ef	Membership
7b93e6a1:150814fecb6:207f	Membership
http://www.semwebtech.org/mondial/10/source/Newa/	Source
7b93e6a1:150814fecb6:ae5	Membership
7b93e6a1:150814fecb6:1e72	Membership
7b93e6a1:150814fecb6:-be	Membership
7b93e6a1:150814fecb6:-5a2	Membership
7b93e6a1:150814fecb6:114b	Membership
7b93e6a1:150814fecb6:2649	EthnicProportion
7b93e6a1:150814fecb6:a41	Membership
7b93e6a1:150814fecb6:-1a	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	City
7b93e6a1:150814fecb6:173f	Membership
7b93e6a1:150814fecb6:25f5	EthnicProportion
7b93e6a1:150814fecb6:30e	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	City
7b93e6a1:150814fecb6:2551	EthnicProportion
7b93e6a1:150814fecb6:1abd	Membership
7b93e6a1:150814fecb6:199f	Membership
7b93e6a1:150814fecb6:56e	Membership
7b93e6a1:150814fecb6:16eb	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/	Province
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	Water
7b93e6a1:150814fecb6:fe1	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	City
7b93e6a1:150814fecb6:2ba	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	City
7b93e6a1:150814fecb6:-65d	Border
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	City
7b93e6a1:150814fecb6:1307	Membership
http://www.semwebtech.org/mondial/10/island/Korfu/	Island
7b93e6a1:150814fecb6:8ae	Membership
http://www.semwebtech.org/mondial/10/religion/Taoist/	Religion
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	City
7b93e6a1:150814fecb6:80a	Membership
7b93e6a1:150814fecb6:1567	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	City
7b93e6a1:150814fecb6:23fc	BelievedBy
7b93e6a1:150814fecb6:1b99	Membership
7b93e6a1:150814fecb6:e3c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	City
7b93e6a1:150814fecb6:136	Membership
7b93e6a1:150814fecb6:12b3	Membership
7b93e6a1:150814fecb6:-2c9	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Viet-Kinh/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	City
7b93e6a1:150814fecb6:-225	Membership
7b93e6a1:150814fecb6:396	Membership
http://www.semwebtech.org/mondial/10/country/PY/	Country
7b93e6a1:150814fecb6:ef	Membership
7b93e6a1:150814fecb6:2018	Membership
7b93e6a1:150814fecb6:18a7	Membership
7b93e6a1:150814fecb6:-485	Membership
http://www.semwebtech.org/mondial/10/religion/Episcopalian/	Religion
7b93e6a1:150814fecb6:4b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	City
7b93e6a1:150814fecb6:1ed9	Membership
7b93e6a1:150814fecb6:1803	Membership
7b93e6a1:150814fecb6:-1d1	Membership
7b93e6a1:150814fecb6:2278	BelievedBy
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	City
7b93e6a1:150814fecb6:aa8	Membership
7b93e6a1:150814fecb6:1e35	Membership
7b93e6a1:150814fecb6:110e	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	City
7b93e6a1:150814fecb6:a04	Membership
7b93e6a1:150814fecb6:6d6	Membership
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	City
http://www.semwebtech.org/mondial/10/river/Kwa/	Water
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/	Province
7b93e6a1:150814fecb6:632	Membership
7b93e6a1:150814fecb6:136e	Membership
7b93e6a1:150814fecb6:-7c5	Encompassed
http://www.semwebtech.org/mondial/10/organization/IMF/	Organization
http://www.semwebtech.org/mondial/10/source/Save/	Source
http://www.semwebtech.org/mondial/10/islands/Tokelau/	Islands
7b93e6a1:150814fecb6:c64	Membership
7b93e6a1:150814fecb6:1de1	Membership
http://www.semwebtech.org/mondial/10/country/WL/	Country
7b93e6a1:150814fecb6:-721	Encompassed
7b93e6a1:150814fecb6:10ba	Membership
7b93e6a1:150814fecb6:25b8	EthnicProportion
7b93e6a1:150814fecb6:2180	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/	Mountain
7b93e6a1:150814fecb6:892	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	City
7b93e6a1:150814fecb6:2514	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	City
7b93e6a1:150814fecb6:19d	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/	Province
7b93e6a1:150814fecb6:16ae	Membership
7b93e6a1:150814fecb6:-28c	Membership
7b93e6a1:150814fecb6:fa4	Membership
7b93e6a1:150814fecb6:160a	Membership
7b93e6a1:150814fecb6:24c0	EthnicProportion
7b93e6a1:150814fecb6:f00	Membership
7b93e6a1:150814fecb6:1c3c	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	City
7b93e6a1:150814fecb6:4dd	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/BerberArab/	EthnicGroup
7b93e6a1:150814fecb6:186a	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	City
7b93e6a1:150814fecb6:1e9c	Membership
7b93e6a1:150814fecb6:-5cc	Membership
7b93e6a1:150814fecb6:1196	Membership
7b93e6a1:150814fecb6:a6b	Membership
7b93e6a1:150814fecb6:-65	Membership
7b93e6a1:150814fecb6:23bf	BelievedBy
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	City
7b93e6a1:150814fecb6:231b	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	Mountain
http://www.semwebtech.org/mondial/10/language/Maori/	Language
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/	Province
7b93e6a1:150814fecb6:359	Membership
7b93e6a1:150814fecb6:14d6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	City
7b93e6a1:150814fecb6:257b	EthnicProportion
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	Water
7b93e6a1:150814fecb6:dab	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	City
7b93e6a1:150814fecb6:1432	Membership
7b93e6a1:150814fecb6:-448	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	City
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	City
http://www.semwebtech.org/mondial/10/estuary/Dnister/	Estuary
7b93e6a1:150814fecb6:1a64	Membership
7b93e6a1:150814fecb6:1692	Membership
7b93e6a1:150814fecb6:261	Membership
7b93e6a1:150814fecb6:-3f4	Membership
http://www.semwebtech.org/mondial/10/river/Volga/	Water
7b93e6a1:150814fecb6:-350	Membership
7b93e6a1:150814fecb6:21e7	SpokenBy
7b93e6a1:150814fecb6:c27	Membership
7b93e6a1:150814fecb6:8f9	Membership
7b93e6a1:150814fecb6:1da4	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	City
7b93e6a1:150814fecb6:2143	SpokenBy
7b93e6a1:150814fecb6:855	Membership
7b93e6a1:150814fecb6:1d00	Membership
7b93e6a1:150814fecb6:19d2	Membership
7b93e6a1:150814fecb6:e87	Membership
7b93e6a1:150814fecb6:5a1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	City
7b93e6a1:150814fecb6:12dd	Membership
7b93e6a1:150814fecb6:bd3	Membership
7b93e6a1:150814fecb6:1f60	Membership
7b93e6a1:150814fecb6:-24f	Membership
7b93e6a1:150814fecb6:96	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	City
7b93e6a1:150814fecb6:182d	Membership
7b93e6a1:150814fecb6:-1fb	Membership
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	Water
7b93e6a1:150814fecb6:1e5f	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/	Province
7b93e6a1:150814fecb6:1159	Membership
http://www.semwebtech.org/mondial/10/source/Buna/	Source
7b93e6a1:150814fecb6:a2e	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	City
7b93e6a1:150814fecb6:1bab	Membership
7b93e6a1:150814fecb6:-28	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	City
7b93e6a1:150814fecb6:65c	Membership
7b93e6a1:150814fecb6:-7ef	Encompassed
http://www.semwebtech.org/mondial/10/source/Parana/	Source
7b93e6a1:150814fecb6:c8e	Membership
7b93e6a1:150814fecb6:-74b	Encompassed
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	City
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	City
7b93e6a1:150814fecb6:1061	Membership
7b93e6a1:150814fecb6:253e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	City
7b93e6a1:150814fecb6:1a27	Membership
7b93e6a1:150814fecb6:16f9	Membership
7b93e6a1:150814fecb6:fce	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	City
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	City
7b93e6a1:150814fecb6:2c8	Membership
7b93e6a1:150814fecb6:1655	Membership
7b93e6a1:150814fecb6:24ea	EthnicProportion
7b93e6a1:150814fecb6:f2a	Membership
7b93e6a1:150814fecb6:1c87	Membership
7b93e6a1:150814fecb6:224	Membership
7b93e6a1:150814fecb6:13a1	Membership
7b93e6a1:150814fecb6:-3b7	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/	Province
7b93e6a1:150814fecb6:-313	Membership
7b93e6a1:150814fecb6:cc1	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/White/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	City
7b93e6a1:150814fecb6:484	Membership
7b93e6a1:150814fecb6:2106	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	City
7b93e6a1:150814fecb6:818	Membership
7b93e6a1:150814fecb6:1d0	Membership
7b93e6a1:150814fecb6:-8f	Membership
7b93e6a1:150814fecb6:-573	Membership
7b93e6a1:150814fecb6:1fc7	Membership
7b93e6a1:150814fecb6:2366	BelievedBy
7b93e6a1:150814fecb6:1f23	Membership
http://www.semwebtech.org/mondial/10/source/Saluen/	Source
7b93e6a1:150814fecb6:20b2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	City
7b93e6a1:150814fecb6:7c4	Membership
http://www.semwebtech.org/mondial/10/sea/NorthSea/	Water
7b93e6a1:150814fecb6:df6	Membership
7b93e6a1:150814fecb6:720	Membership
7b93e6a1:150814fecb6:145c	Membership
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	City
7b93e6a1:150814fecb6:59	Membership
7b93e6a1:150814fecb6:d52	Membership
7b93e6a1:150814fecb6:26a6	EthnicProportion
7b93e6a1:150814fecb6:1a8e	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/	Province
7b93e6a1:150814fecb6:-1be	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/	Province
http://www.semwebtech.org/mondial/10/estuary/Saar/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	City
7b93e6a1:150814fecb6:980	Membership
7b93e6a1:150814fecb6:-11a	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	City
7b93e6a1:150814fecb6:2602	EthnicProportion
7b93e6a1:150814fecb6:28b	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	City
7b93e6a1:150814fecb6:61f	Membership
7b93e6a1:150814fecb6:-37a	Membership
http://www.semwebtech.org/mondial/10/language/French/	Language
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	Island
7b93e6a1:150814fecb6:1dce	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	City
7b93e6a1:150814fecb6:-70e	Border
7b93e6a1:150814fecb6:10c8	Membership
7b93e6a1:150814fecb6:216d	SpokenBy
http://www.semwebtech.org/mondial/10/country/H/province/Heves/	Province
7b93e6a1:150814fecb6:1d2a	Membership
7b93e6a1:150814fecb6:87f	Membership
7b93e6a1:150814fecb6:19fc	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	City
7b93e6a1:150814fecb6:1024	Membership
7b93e6a1:150814fecb6:5cb	Membership
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	Mountain
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	City
7b93e6a1:150814fecb6:bfd	Membership
7b93e6a1:150814fecb6:1f8a	Membership
7b93e6a1:150814fecb6:-6ba	Border
7b93e6a1:150814fecb6:1284	Membership
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	Desert
7b93e6a1:150814fecb6:1618	Membership
7b93e6a1:150814fecb6:24ad	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	City
7b93e6a1:150814fecb6:1878	Membership
http://www.semwebtech.org/mondial/10/organization/OPCW/	Organization
http://www.semwebtech.org/mondial/10/organization/SCO/	Organization
7b93e6a1:150814fecb6:447	Membership
7b93e6a1:150814fecb6:15c4	Membership
http://www.semwebtech.org/mondial/10/country/CAM/	Country
7b93e6a1:150814fecb6:1bf6	Membership
7b93e6a1:150814fecb6:a79	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	City
7b93e6a1:150814fecb6:1520	Membership
7b93e6a1:150814fecb6:-536	Membership
7b93e6a1:150814fecb6:1b52	Membership
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	City
7b93e6a1:150814fecb6:2329	BelievedBy
7b93e6a1:150814fecb6:3f3	Membership
7b93e6a1:150814fecb6:1780	Membership
7b93e6a1:150814fecb6:-796	Encompassed
http://www.semwebtech.org/mondial/10/river/Piva/	Water
http://www.semwebtech.org/mondial/10/island/Jersey/	Island
7b93e6a1:150814fecb6:-4e2	Membership
7b93e6a1:150814fecb6:108b	Membership
7b93e6a1:150814fecb6:2589	EthnicProportion
7b93e6a1:150814fecb6:db9	Membership
7b93e6a1:150814fecb6:141f	Membership
7b93e6a1:150814fecb6:22d5	BelievedBy
7b93e6a1:150814fecb6:d15	Membership
7b93e6a1:150814fecb6:9e7	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/	Province
7b93e6a1:150814fecb6:2231	SpokenBy
7b93e6a1:150814fecb6:943	Membership
7b93e6a1:150814fecb6:167f	Membership
7b93e6a1:150814fecb6:f75	Membership
7b93e6a1:150814fecb6:24e	Membership
7b93e6a1:150814fecb6:13cb	Membership
7b93e6a1:150814fecb6:2491	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	Estuary
7b93e6a1:150814fecb6:-33d	Membership
http://www.semwebtech.org/mondial/10/country/GE/	Country
7b93e6a1:150814fecb6:1fa	Membership
7b93e6a1:150814fecb6:19bf	Membership
7b93e6a1:150814fecb6:-59d	Membership
7b93e6a1:150814fecb6:191b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	City
http://www.semwebtech.org/mondial/10/country/KWT/	Country
7b93e6a1:150814fecb6:1f4d	Membership
7b93e6a1:150814fecb6:1247	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	City
7b93e6a1:150814fecb6:20dc	Membership
7b93e6a1:150814fecb6:b1c	Membership
7b93e6a1:150814fecb6:7ee	Membership
7b93e6a1:150814fecb6:74a	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/	Province
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	City
7b93e6a1:150814fecb6:d7c	Membership
7b93e6a1:150814fecb6:11f3	Membership
http://www.semwebtech.org/mondial/10/country/MW/	Country
7b93e6a1:150814fecb6:-c2	Membership
7b93e6a1:150814fecb6:-165	Membership
7b93e6a1:150814fecb6:262c	EthnicProportion
7b93e6a1:150814fecb6:1bb9	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	City
http://www.semwebtech.org/mondial/10/country/AMSA/	Country
7b93e6a1:150814fecb6:1b15	Membership
7b93e6a1:150814fecb6:17e7	Membership
7b93e6a1:150814fecb6:3b6	Membership
7b93e6a1:150814fecb6:1743	Membership
7b93e6a1:150814fecb6:-759	Encompassed
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/	Province
7b93e6a1:150814fecb6:312	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/	Province
7b93e6a1:150814fecb6:1d75	Membership
7b93e6a1:150814fecb6:-4a5	Membership
7b93e6a1:150814fecb6:104e	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/	Province
7b93e6a1:150814fecb6:1ac1	Membership
7b93e6a1:150814fecb6:-401	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	City
http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/	Islands
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	City
7b93e6a1:150814fecb6:572	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	City
7b93e6a1:150814fecb6:906	Membership
7b93e6a1:150814fecb6:-661	Border
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	City
7b93e6a1:150814fecb6:24f8	EthnicProportion
7b93e6a1:150814fecb6:f38	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	EthnicGroup
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbian/	EthnicGroup
7b93e6a1:150814fecb6:2454	BelievedBy
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	City
http://www.semwebtech.org/mondial/10/river/Atbara/	Water
7b93e6a1:150814fecb6:21a0	SpokenBy
http://www.semwebtech.org/mondial/10/island/BishopRock/	Island
7b93e6a1:150814fecb6:8b2	Membership
http://www.semwebtech.org/mondial/10/estuary/Drau/	Estuary
7b93e6a1:150814fecb6:15ee	Membership
http://www.semwebtech.org/mondial/10/country/TCH/	Country
7b93e6a1:150814fecb6:ee4	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	City
7b93e6a1:150814fecb6:1bd	Membership
7b93e6a1:150814fecb6:154a	Membership
7b93e6a1:150814fecb6:e40	Membership
7b93e6a1:150814fecb6:1b7c	Membership
7b93e6a1:150814fecb6:-2ac	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/	Province
7b93e6a1:150814fecb6:f3	Membership
7b93e6a1:150814fecb6:70d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	City
7b93e6a1:150814fecb6:22ff	BelievedBy
7b93e6a1:150814fecb6:d3f	Membership
7b93e6a1:150814fecb6:1ebc	Membership
7b93e6a1:150814fecb6:11b6	Membership
7b93e6a1:150814fecb6:225b	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	City
7b93e6a1:150814fecb6:96d	Membership
7b93e6a1:150814fecb6:1112	Membership
7b93e6a1:150814fecb6:-128	Membership
7b93e6a1:150814fecb6:f9f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	City
7b93e6a1:150814fecb6:299	Membership
7b93e6a1:150814fecb6:ceb	Membership
7b93e6a1:150814fecb6:1372	Membership
7b93e6a1:150814fecb6:-388	Membership
http://www.semwebtech.org/mondial/10/country/ARU/	Country
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	City
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	City
7b93e6a1:150814fecb6:f1b	Membership
http://www.semwebtech.org/mondial/10/country/I/	Country
7b93e6a1:150814fecb6:1706	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/	Province
7b93e6a1:150814fecb6:1d38	Membership
7b93e6a1:150814fecb6:5d9	Membership
7b93e6a1:150814fecb6:1966	Membership
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	Mountain
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	Water
7b93e6a1:150814fecb6:1f98	Membership
7b93e6a1:150814fecb6:16b2	Membership
7b93e6a1:150814fecb6:535	Membership
7b93e6a1:150814fecb6:-6c8	Border
7b93e6a1:150814fecb6:-290	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/	Province
7b93e6a1:150814fecb6:b67	Membership
7b93e6a1:150814fecb6:1ce4	Membership
7b93e6a1:150814fecb6:-624	Border
7b93e6a1:150814fecb6:2083	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	City
7b93e6a1:150814fecb6:795	Membership
7b93e6a1:150814fecb6:1c40	Membership
7b93e6a1:150814fecb6:2417	BelievedBy
http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	Islands
7b93e6a1:150814fecb6:4e1	Membership
http://www.semwebtech.org/mondial/10/island/Fehmarn/	Island
7b93e6a1:150814fecb6:-ec	Membership
7b93e6a1:150814fecb6:-5d0	Membership
7b93e6a1:150814fecb6:-18f	Membership
7b93e6a1:150814fecb6:2677	EthnicProportion
7b93e6a1:150814fecb6:ea7	Membership
7b93e6a1:150814fecb6:150d	Membership
7b93e6a1:150814fecb6:23c3	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	City
7b93e6a1:150814fecb6:e03	Membership
http://www.semwebtech.org/mondial/10/source/Lukuga/	Source
7b93e6a1:150814fecb6:1b3f	Membership
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	Mountain
7b93e6a1:150814fecb6:176d	Membership
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	Water
7b93e6a1:150814fecb6:1d9f	Membership
7b93e6a1:150814fecb6:33c	Membership
7b93e6a1:150814fecb6:-4cf	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	City
7b93e6a1:150814fecb6:1099	Membership
7b93e6a1:150814fecb6:b6	Membership
7b93e6a1:150814fecb6:1aeb	Membership
7b93e6a1:150814fecb6:-42b	Membership
7b93e6a1:150814fecb6:12	Membership
7b93e6a1:150814fecb6:59c	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/	Province
7b93e6a1:150814fecb6:221e	SpokenBy
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	Water
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	City
7b93e6a1:150814fecb6:-68b	Border
http://www.semwebtech.org/mondial/10/source/SouthernMorava/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Kimbundu/	EthnicGroup
7b93e6a1:150814fecb6:13d9	Membership
7b93e6a1:150814fecb6:247e	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Katun/	Source
7b93e6a1:150814fecb6:cae	Membership
7b93e6a1:150814fecb6:1335	Membership
7b93e6a1:150814fecb6:21ca	SpokenBy
7b93e6a1:150814fecb6:c0a	Membership
7b93e6a1:150814fecb6:8dc	Membership
http://www.semwebtech.org/mondial/10/organization/AfDB/	Organization
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	City
7b93e6a1:150814fecb6:1595	Membership
7b93e6a1:150814fecb6:e6a	Membership
7b93e6a1:150814fecb6:1929	Membership
7b93e6a1:150814fecb6:164	Membership
7b93e6a1:150814fecb6:12e1	Membership
7b93e6a1:150814fecb6:-2f7	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	City
7b93e6a1:150814fecb6:-253	Membership
http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/	Mountains
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/	Province
7b93e6a1:150814fecb6:1ca7	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	City
7b93e6a1:150814fecb6:2046	Membership
7b93e6a1:150814fecb6:758	Membership
7b93e6a1:150814fecb6:1c03	Membership
7b93e6a1:150814fecb6:18d5	Membership
7b93e6a1:150814fecb6:4a4	Membership
7b93e6a1:150814fecb6:1831	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	City
7b93e6a1:150814fecb6:1e63	Membership
7b93e6a1:150814fecb6:ad6	Membership
7b93e6a1:150814fecb6:400	Membership
7b93e6a1:150814fecb6:-af	Membership
http://www.semwebtech.org/mondial/10/river/Lagen/	Water
7b93e6a1:150814fecb6:113c	Membership
7b93e6a1:150814fecb6:a32	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	City
7b93e6a1:150814fecb6:660	Membership
7b93e6a1:150814fecb6:-7f3	Encompassed
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	City
7b93e6a1:150814fecb6:139c	Membership
http://www.semwebtech.org/mondial/10/country/HCA/	Country
7b93e6a1:150814fecb6:9d8	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	City
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	City
7b93e6a1:150814fecb6:c92	Membership
7b93e6a1:150814fecb6:25e6	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Mauritian/	EthnicGroup
7b93e6a1:150814fecb6:2542	EthnicProportion
7b93e6a1:150814fecb6:1aae	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	City
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	City
7b93e6a1:150814fecb6:-5	Membership
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	Water
7b93e6a1:150814fecb6:9a0	Membership
7b93e6a1:150814fecb6:55f	Membership
7b93e6a1:150814fecb6:1a0a	Membership
7b93e6a1:150814fecb6:16dc	Membership
7b93e6a1:150814fecb6:fd2	Membership
7b93e6a1:150814fecb6:2ab	Membership
7b93e6a1:150814fecb6:-64e	Border
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	City
7b93e6a1:150814fecb6:1c6a	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/	Province
http://www.semwebtech.org/mondial/10/organization/AFESD/	Organization
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	City
7b93e6a1:150814fecb6:-5fa	Border
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/MediterraneanNordic/	EthnicGroup
7b93e6a1:150814fecb6:-93	Membership
7b93e6a1:150814fecb6:1558	Membership
7b93e6a1:150814fecb6:23ed	BelievedBy
http://www.semwebtech.org/mondial/10/islands/MarshallIslands/	Islands
7b93e6a1:150814fecb6:e2d	Membership
7b93e6a1:150814fecb6:1faa	Membership
7b93e6a1:150814fecb6:127	Membership
7b93e6a1:150814fecb6:12a4	Membership
http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Mountains
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	City
http://www.semwebtech.org/mondial/10/organization/PIF/	Organization
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	City
7b93e6a1:150814fecb6:1200	Membership
7b93e6a1:150814fecb6:-216	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	City
7b93e6a1:150814fecb6:387	Membership
7b93e6a1:150814fecb6:2009	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	Province
7b93e6a1:150814fecb6:1460	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	City
7b93e6a1:150814fecb6:-476	Membership
7b93e6a1:150814fecb6:3c	Membership
http://www.semwebtech.org/mondial/10/river/Mur/	Water
7b93e6a1:150814fecb6:1a92	Membership
http://www.semwebtech.org/mondial/10/country/NCA/	Country
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	City
7b93e6a1:150814fecb6:-1c2	Membership
7b93e6a1:150814fecb6:2269	BelievedBy
7b93e6a1:150814fecb6:1e26	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	City
http://www.semwebtech.org/mondial/10/organization/OAPEC/	Organization
7b93e6a1:150814fecb6:6c7	Membership
http://www.semwebtech.org/mondial/10/islands/AndamanIslands/	Islands
7b93e6a1:150814fecb6:cf9	Membership
7b93e6a1:150814fecb6:623	Membership
7b93e6a1:150814fecb6:17a0	Membership
7b93e6a1:150814fecb6:-7b6	Encompassed
7b93e6a1:150814fecb6:135f	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	City
7b93e6a1:150814fecb6:c55	Membership
7b93e6a1:150814fecb6:25a9	EthnicProportion
7b93e6a1:150814fecb6:1dd2	Membership
7b93e6a1:150814fecb6:-712	Border
7b93e6a1:150814fecb6:10ab	Membership
7b93e6a1:150814fecb6:2171	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	City
7b93e6a1:150814fecb6:883	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Wallisian/	EthnicGroup
7b93e6a1:150814fecb6:2505	EthnicProportion
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	City
7b93e6a1:150814fecb6:18e	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/	Language
7b93e6a1:150814fecb6:-27d	Membership
http://www.semwebtech.org/mondial/10/estuary/Ticino/	Estuary
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	City
7b93e6a1:150814fecb6:24b1	EthnicProportion
7b93e6a1:150814fecb6:1c2d	Membership
7b93e6a1:150814fecb6:18ff	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	City
7b93e6a1:150814fecb6:4ce	Membership
7b93e6a1:150814fecb6:185b	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/	Province
http://www.semwebtech.org/mondial/10/island/Tasmania/	Island
7b93e6a1:150814fecb6:42a	Membership
7b93e6a1:150814fecb6:1e8d	Membership
7b93e6a1:150814fecb6:-5bd	Membership
7b93e6a1:150814fecb6:1187	Membership
http://www.semwebtech.org/mondial/10/source/Irawaddy/	Source
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	City
7b93e6a1:150814fecb6:a5c	Membership
7b93e6a1:150814fecb6:-56	Membership
http://www.semwebtech.org/mondial/10/river/Colorado/	Water
7b93e6a1:150814fecb6:68a	Membership
7b93e6a1:150814fecb6:230c	BelievedBy
7b93e6a1:150814fecb6:14c7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	City
7b93e6a1:150814fecb6:256c	EthnicProportion
7b93e6a1:150814fecb6:1af9	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/	Province
7b93e6a1:150814fecb6:1423	Membership
7b93e6a1:150814fecb6:-439	Membership
7b93e6a1:150814fecb6:9ca	Membership
7b93e6a1:150814fecb6:1a55	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	City
7b93e6a1:150814fecb6:ffc	Membership
7b93e6a1:150814fecb6:2f6	Membership
7b93e6a1:150814fecb6:1683	Membership
7b93e6a1:150814fecb6:-699	Border
7b93e6a1:150814fecb6:252	Membership
7b93e6a1:150814fecb6:-3e5	Membership
http://www.semwebtech.org/mondial/10/country/SN/	Country
7b93e6a1:150814fecb6:-341	Membership
7b93e6a1:150814fecb6:21d8	SpokenBy
7b93e6a1:150814fecb6:c18	Membership
http://www.semwebtech.org/mondial/10/source/WhiteNile/	Source
7b93e6a1:150814fecb6:2134	SpokenBy
7b93e6a1:150814fecb6:846	Membership
7b93e6a1:150814fecb6:19c3	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Byelorussian/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Ene/	Source
7b93e6a1:150814fecb6:e78	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	City
7b93e6a1:150814fecb6:1ff5	Membership
7b93e6a1:150814fecb6:12ce	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	City
7b93e6a1:150814fecb6:2394	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	City
7b93e6a1:150814fecb6:bc4	Membership
7b93e6a1:150814fecb6:1f51	Membership
7b93e6a1:150814fecb6:122a	Membership
7b93e6a1:150814fecb6:20e0	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	City
7b93e6a1:150814fecb6:b20	Membership
7b93e6a1:150814fecb6:7f2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/	Province
7b93e6a1:150814fecb6:148a	Membership
7b93e6a1:150814fecb6:87	Membership
7b93e6a1:150814fecb6:d80	Membership
7b93e6a1:150814fecb6:181e	Membership
7b93e6a1:150814fecb6:-1ec	Membership
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	Island
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	City
http://www.semwebtech.org/mondial/10/desert/Thar/	Desert
7b93e6a1:150814fecb6:2630	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/	Province
7b93e6a1:150814fecb6:a1f	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/	Province
7b93e6a1:150814fecb6:-19	Membership
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	City
7b93e6a1:150814fecb6:64d	Membership
7b93e6a1:150814fecb6:17ca	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthernIrish/	EthnicGroup
7b93e6a1:150814fecb6:c7f	Membership
7b93e6a1:150814fecb6:1dfc	Membership
7b93e6a1:150814fecb6:-73c	Encompassed
7b93e6a1:150814fecb6:10f6	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	Water
7b93e6a1:150814fecb6:219b	SpokenBy
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	City
7b93e6a1:150814fecb6:1052	Membership
7b93e6a1:150814fecb6:252f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	City
http://www.semwebtech.org/mondial/10/organization/G-20/	Organization
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	City
http://www.semwebtech.org/mondial/10/language/Quechua/	Language
7b93e6a1:150814fecb6:1a18	Membership
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	Mountain
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	EthnicGroup
7b93e6a1:150814fecb6:fbf	Membership
7b93e6a1:150814fecb6:2b9	Membership
7b93e6a1:150814fecb6:1646	Membership
7b93e6a1:150814fecb6:24db	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	Mountains
7b93e6a1:150814fecb6:215	Membership
7b93e6a1:150814fecb6:1c78	Membership
7b93e6a1:150814fecb6:-3a8	Membership
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	Estuary
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/	Province
7b93e6a1:150814fecb6:-304	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/	Province
7b93e6a1:150814fecb6:475	Membership
7b93e6a1:150814fecb6:15f2	Membership
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	Mountain
7b93e6a1:150814fecb6:809	Membership
7b93e6a1:150814fecb6:1c1	Membership
7b93e6a1:150814fecb6:-564	Membership
7b93e6a1:150814fecb6:1fb8	Membership
7b93e6a1:150814fecb6:1b80	Membership
7b93e6a1:150814fecb6:-2b0	Membership
7b93e6a1:150814fecb6:2357	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	City
7b93e6a1:150814fecb6:1f14	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	City
7b93e6a1:150814fecb6:20a3	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	City
7b93e6a1:150814fecb6:7b5	Membership
http://www.semwebtech.org/mondial/10/island/Sumbawa/	Island
http://www.semwebtech.org/mondial/10/island/Lavan/	Island
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	City
7b93e6a1:150814fecb6:de7	Membership
7b93e6a1:150814fecb6:711	Membership
7b93e6a1:150814fecb6:144d	Membership
7b93e6a1:150814fecb6:d43	Membership
7b93e6a1:150814fecb6:1ec0	Membership
7b93e6a1:150814fecb6:1a7f	Membership
7b93e6a1:150814fecb6:-800	Encompassed
7b93e6a1:150814fecb6:-1af	Membership
http://www.semwebtech.org/mondial/10/island/Ibiza/	Island
7b93e6a1:150814fecb6:971	Membership
7b93e6a1:150814fecb6:-10b	Membership
7b93e6a1:150814fecb6:27c	Membership
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	Island
http://www.semwebtech.org/mondial/10/river/Pibor/	Water
7b93e6a1:150814fecb6:-36b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/	Province
7b93e6a1:150814fecb6:1dbf	Membership
7b93e6a1:150814fecb6:10b9	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	City
7b93e6a1:150814fecb6:215e	SpokenBy
7b93e6a1:150814fecb6:1d1b	Membership
7b93e6a1:150814fecb6:19ed	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	City
7b93e6a1:150814fecb6:1015	Membership
7b93e6a1:150814fecb6:5bc	Membership
7b93e6a1:150814fecb6:bee	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	City
7b93e6a1:150814fecb6:1f7b	Membership
7b93e6a1:150814fecb6:-6ab	Border
7b93e6a1:150814fecb6:1275	Membership
7b93e6a1:150814fecb6:b4a	Membership
7b93e6a1:150814fecb6:1609	Membership
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	City
7b93e6a1:150814fecb6:1869	Membership
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	Estuary
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	City
http://www.semwebtech.org/mondial/10/religion/ChristianCongregationalist/	Religion
7b93e6a1:150814fecb6:438	Membership
7b93e6a1:150814fecb6:-f0	Membership
7b93e6a1:150814fecb6:15b5	Membership
7b93e6a1:150814fecb6:-193	Membership
7b93e6a1:150814fecb6:265a	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Irtysch/	Water
7b93e6a1:150814fecb6:1be7	Membership
7b93e6a1:150814fecb6:1511	Membership
7b93e6a1:150814fecb6:-527	Membership
7b93e6a1:150814fecb6:698	Membership
7b93e6a1:150814fecb6:1b43	Membership
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	Water
http://www.semwebtech.org/mondial/10/island/SaintPierre/	Island
7b93e6a1:150814fecb6:3e4	Membership
7b93e6a1:150814fecb6:1771	Membership
7b93e6a1:150814fecb6:-787	Encompassed
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	City
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	Water
7b93e6a1:150814fecb6:107c	Membership
7b93e6a1:150814fecb6:340	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	City
7b93e6a1:150814fecb6:-4d3	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/	Province
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	Estuary
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/	Province
7b93e6a1:150814fecb6:22c6	BelievedBy
7b93e6a1:150814fecb6:d06	Membership
http://www.semwebtech.org/mondial/10/estuary/Rhone/	Estuary
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	City
7b93e6a1:150814fecb6:2222	SpokenBy
7b93e6a1:150814fecb6:934	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	City
7b93e6a1:150814fecb6:f66	Membership
7b93e6a1:150814fecb6:23f	Membership
7b93e6a1:150814fecb6:2482	EthnicProportion
7b93e6a1:150814fecb6:13bc	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/	Province
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	Mountain
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	City
7b93e6a1:150814fecb6:cb2	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	City
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/	Province
7b93e6a1:150814fecb6:-32e	Membership
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	City
7b93e6a1:150814fecb6:8e0	Membership
7b93e6a1:150814fecb6:49f	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	City
7b93e6a1:150814fecb6:1eb	Membership
7b93e6a1:150814fecb6:-58e	Membership
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	City
7b93e6a1:150814fecb6:7	Membership
7b93e6a1:150814fecb6:190c	Membership
7b93e6a1:150814fecb6:-2da	Membership
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	City
7b93e6a1:150814fecb6:1f3e	Membership
7b93e6a1:150814fecb6:1238	Membership
7b93e6a1:150814fecb6:20cd	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	City
7b93e6a1:150814fecb6:b0d	Membership
7b93e6a1:150814fecb6:7df	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	City
http://www.semwebtech.org/mondial/10/estuary/Karun/	Estuary
7b93e6a1:150814fecb6:73b	Membership
7b93e6a1:150814fecb6:1498	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	EthnicGroup
7b93e6a1:150814fecb6:d6d	Membership
7b93e6a1:150814fecb6:1eea	Membership
7b93e6a1:150814fecb6:11e4	Membership
7b93e6a1:150814fecb6:99b	Membership
7b93e6a1:150814fecb6:-b3	Membership
7b93e6a1:150814fecb6:1140	Membership
7b93e6a1:150814fecb6:-156	Membership
7b93e6a1:150814fecb6:261d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	City
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Karen/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/	Province
7b93e6a1:150814fecb6:1b06	Membership
7b93e6a1:150814fecb6:17d8	Membership
http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	Islands
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/	Province
7b93e6a1:150814fecb6:3a7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	City
7b93e6a1:150814fecb6:1734	Membership
7b93e6a1:150814fecb6:303	Membership
7b93e6a1:150814fecb6:1d66	Membership
7b93e6a1:150814fecb6:103f	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	City
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	City
7b93e6a1:150814fecb6:1ab2	Membership
7b93e6a1:150814fecb6:1994	Membership
http://www.semwebtech.org/mondial/10/organization/AG/	Organization
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	City
7b93e6a1:150814fecb6:563	Membership
7b93e6a1:150814fecb6:16e0	Membership
7b93e6a1:150814fecb6:-6f6	Border
7b93e6a1:150814fecb6:129f	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/	Province
7b93e6a1:150814fecb6:b95	Membership
7b93e6a1:150814fecb6:-652	Border
7b93e6a1:150814fecb6:24e9	EthnicProportion
7b93e6a1:150814fecb6:f29	Membership
http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/	Mountains
7b93e6a1:150814fecb6:2445	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/	Mountains
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	City
7b93e6a1:150814fecb6:8a3	Membership
7b93e6a1:150814fecb6:15df	Membership
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	Desert
7b93e6a1:150814fecb6:ed5	Membership
7b93e6a1:150814fecb6:1ae	Membership
7b93e6a1:150814fecb6:153b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	City
7b93e6a1:150814fecb6:23f1	BelievedBy
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/	Province
7b93e6a1:150814fecb6:e31	Membership
7b93e6a1:150814fecb6:10a	Membership
7b93e6a1:150814fecb6:1b6d	Membership
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	Mountain
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	City
7b93e6a1:150814fecb6:179b	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	City
7b93e6a1:150814fecb6:36a	Membership
7b93e6a1:150814fecb6:-4fd	Membership
7b93e6a1:150814fecb6:e4	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	City
7b93e6a1:150814fecb6:40	Membership
7b93e6a1:150814fecb6:1ead	Membership
7b93e6a1:150814fecb6:11a7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/	Province
7b93e6a1:150814fecb6:224c	BelievedBy
7b93e6a1:150814fecb6:95e	Membership
7b93e6a1:150814fecb6:1103	Membership
7b93e6a1:150814fecb6:-119	Membership
7b93e6a1:150814fecb6:6aa	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	City
7b93e6a1:150814fecb6:cdc	Membership
7b93e6a1:150814fecb6:1363	Membership
7b93e6a1:150814fecb6:-379	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	City
7b93e6a1:150814fecb6:1d29	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/	Province
http://www.semwebtech.org/mondial/10/country/PL/	Country
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	City
7b93e6a1:150814fecb6:192	Membership
7b93e6a1:150814fecb6:1957	Membership
7b93e6a1:150814fecb6:1f89	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/	Province
7b93e6a1:150814fecb6:526	Membership
7b93e6a1:150814fecb6:16a3	Membership
7b93e6a1:150814fecb6:-6b9	Border
7b93e6a1:150814fecb6:-281	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/	Province
7b93e6a1:150814fecb6:b58	Membership
7b93e6a1:150814fecb6:1cd5	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	City
7b93e6a1:150814fecb6:-615	Border
7b93e6a1:150814fecb6:2074	Membership
7b93e6a1:150814fecb6:786	Membership
7b93e6a1:150814fecb6:1c31	Membership
7b93e6a1:150814fecb6:2408	BelievedBy
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	City
http://www.semwebtech.org/mondial/10/country/FSM/	Country
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	City
7b93e6a1:150814fecb6:4d2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	City
7b93e6a1:150814fecb6:1e91	Membership
7b93e6a1:150814fecb6:-dd	Membership
7b93e6a1:150814fecb6:-5c1	Membership
7b93e6a1:150814fecb6:116a	Membership
7b93e6a1:150814fecb6:2668	EthnicProportion
7b93e6a1:150814fecb6:a60	Membership
7b93e6a1:150814fecb6:23b4	BelievedBy
http://www.semwebtech.org/mondial/10/country/YE/	Country
7b93e6a1:150814fecb6:2310	BelievedBy
7b93e6a1:150814fecb6:175e	Membership
7b93e6a1:150814fecb6:32d	Membership
7b93e6a1:150814fecb6:14aa	Membership
7b93e6a1:150814fecb6:2570	EthnicProportion
7b93e6a1:150814fecb6:a7	Membership
7b93e6a1:150814fecb6:da0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/	Province
7b93e6a1:150814fecb6:1adc	Membership
7b93e6a1:150814fecb6:-41c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	City
7b93e6a1:150814fecb6:58d	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/	Province
7b93e6a1:150814fecb6:220f	SpokenBy
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	City
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	City
7b93e6a1:150814fecb6:-67c	Border
http://www.semwebtech.org/mondial/10/religion/Mormon/	Religion
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	Island
7b93e6a1:150814fecb6:246f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/	Province
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	City
7b93e6a1:150814fecb6:1326	Membership
http://www.semwebtech.org/mondial/10/source/March/	Source
7b93e6a1:150814fecb6:21bb	SpokenBy
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	City
7b93e6a1:150814fecb6:8cd	Membership
7b93e6a1:150814fecb6:eff	Membership
7b93e6a1:150814fecb6:1f9	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/	Province
7b93e6a1:150814fecb6:1586	Membership
7b93e6a1:150814fecb6:e5b	Membership
7b93e6a1:150814fecb6:155	Membership
7b93e6a1:150814fecb6:12d2	Membership
7b93e6a1:150814fecb6:-2e8	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	City
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	City
7b93e6a1:150814fecb6:-244	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	City
7b93e6a1:150814fecb6:2037	Membership
7b93e6a1:150814fecb6:749	Membership
7b93e6a1:150814fecb6:18c6	Membership
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	City
7b93e6a1:150814fecb6:6a	Membership
http://www.semwebtech.org/mondial/10/source/Jordan/	Source
7b93e6a1:150814fecb6:1ef8	Membership
7b93e6a1:150814fecb6:1822	Membership
7b93e6a1:150814fecb6:-1f0	Membership
7b93e6a1:150814fecb6:2297	BelievedBy
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	City
7b93e6a1:150814fecb6:ac7	Membership
7b93e6a1:150814fecb6:1e54	Membership
7b93e6a1:150814fecb6:112d	Membership
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	Estuary
7b93e6a1:150814fecb6:a23	Membership
7b93e6a1:150814fecb6:6f5	Membership
7b93e6a1:150814fecb6:1ba0	Membership
http://www.semwebtech.org/mondial/10/island/Jamaica/	Island
http://www.semwebtech.org/mondial/10/ethnicgroup/Sino-Mauritian/	EthnicGroup
7b93e6a1:150814fecb6:651	Membership
7b93e6a1:150814fecb6:-7e4	Encompassed
7b93e6a1:150814fecb6:138d	Membership
7b93e6a1:150814fecb6:c83	Membership
http://www.semwebtech.org/mondial/10/mountains/Lebanon/	Mountains
7b93e6a1:150814fecb6:-740	Encompassed
7b93e6a1:150814fecb6:25d7	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/	Province
7b93e6a1:150814fecb6:2533	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/	Province
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	Water
7b93e6a1:150814fecb6:16cd	Membership
7b93e6a1:150814fecb6:fc3	Membership
7b93e6a1:150814fecb6:1cff	Membership
7b93e6a1:150814fecb6:-63f	Border
http://www.semwebtech.org/mondial/10/source/Vaal/	Source
7b93e6a1:150814fecb6:209e	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/	Province
7b93e6a1:150814fecb6:1c5b	Membership
http://www.semwebtech.org/mondial/10/river/Ticino/	Water
7b93e6a1:150814fecb6:4fc	Membership
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	City
http://www.semwebtech.org/mondial/10/river/Don/	Water
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	City
7b93e6a1:150814fecb6:-5eb	Border
7b93e6a1:150814fecb6:a8a	Membership
7b93e6a1:150814fecb6:1549	Membership
7b93e6a1:150814fecb6:-84	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	City
7b93e6a1:150814fecb6:23de	BelievedBy
7b93e6a1:150814fecb6:e1e	Membership
7b93e6a1:150814fecb6:118	Membership
http://www.semwebtech.org/mondial/10/estuary/Kama/	Estuary
7b93e6a1:150814fecb6:233a	BelievedBy
7b93e6a1:150814fecb6:-207	Membership
http://www.semwebtech.org/mondial/10/organization/MONUSCO/	Organization
7b93e6a1:150814fecb6:378	Membership
7b93e6a1:150814fecb6:14f5	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	City
7b93e6a1:150814fecb6:259a	EthnicProportion
7b93e6a1:150814fecb6:dca	Membership
http://www.semwebtech.org/mondial/10/estuary/Zaire/	Estuary
7b93e6a1:150814fecb6:1451	Membership
7b93e6a1:150814fecb6:-467	Membership
7b93e6a1:150814fecb6:2d	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/	Province
7b93e6a1:150814fecb6:1a83	Membership
7b93e6a1:150814fecb6:-1b3	Membership
http://www.semwebtech.org/mondial/10/language/Chinese/	Language
7b93e6a1:150814fecb6:1e17	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	City
7b93e6a1:150814fecb6:6b8	Membership
7b93e6a1:150814fecb6:280	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	City
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	City
7b93e6a1:150814fecb6:614	Membership
7b93e6a1:150814fecb6:-7a7	Encompassed
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	City
7b93e6a1:150814fecb6:1dc3	Membership
7b93e6a1:150814fecb6:c46	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	City
7b93e6a1:150814fecb6:-703	Border
http://www.semwebtech.org/mondial/10/country/F/province/Corse/	Province
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	City
7b93e6a1:150814fecb6:2162	SpokenBy
7b93e6a1:150814fecb6:874	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	City
7b93e6a1:150814fecb6:19f1	Membership
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	Estuary
7b93e6a1:150814fecb6:5c0	Membership
7b93e6a1:150814fecb6:17f	Membership
7b93e6a1:150814fecb6:12fc	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/	Province
7b93e6a1:150814fecb6:bf2	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	City
7b93e6a1:150814fecb6:-26e	Membership
http://www.semwebtech.org/mondial/10/language/Belorussian/	Language
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	City
7b93e6a1:150814fecb6:24a2	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Curacao/	Island
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	Island
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/	Province
7b93e6a1:150814fecb6:1c1e	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	City
7b93e6a1:150814fecb6:4bf	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	City
7b93e6a1:150814fecb6:184c	Membership
7b93e6a1:150814fecb6:1e7e	Membership
7b93e6a1:150814fecb6:41b	Membership
7b93e6a1:150814fecb6:1178	Membership
7b93e6a1:150814fecb6:-5ae	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	City
7b93e6a1:150814fecb6:a4d	Membership
7b93e6a1:150814fecb6:1bca	Membership
7b93e6a1:150814fecb6:-47	Membership
7b93e6a1:150814fecb6:-50a	Membership
7b93e6a1:150814fecb6:67b	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	City
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	City
7b93e6a1:150814fecb6:-76a	Encompassed
http://www.semwebtech.org/mondial/10/island/Gheschm/	Island
7b93e6a1:150814fecb6:14b8	Membership
7b93e6a1:150814fecb6:1080	Membership
7b93e6a1:150814fecb6:255d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	City
7b93e6a1:150814fecb6:1414	Membership
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	City
7b93e6a1:150814fecb6:9bb	Membership
7b93e6a1:150814fecb6:1a46	Membership
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	Mountain
7b93e6a1:150814fecb6:fed	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	City
http://www.semwebtech.org/mondial/10/source/Murat/	Source
7b93e6a1:150814fecb6:2e7	Membership
7b93e6a1:150814fecb6:1674	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	City
7b93e6a1:150814fecb6:243	Membership
7b93e6a1:150814fecb6:13c0	Membership
7b93e6a1:150814fecb6:-3d6	Membership
7b93e6a1:150814fecb6:-332	Membership
7b93e6a1:150814fecb6:21c9	SpokenBy
7b93e6a1:150814fecb6:c09	Membership
7b93e6a1:150814fecb6:2125	SpokenBy
http://www.semwebtech.org/mondial/10/country/SGP/	Country
7b93e6a1:150814fecb6:837	Membership
7b93e6a1:150814fecb6:19b4	Membership
7b93e6a1:150814fecb6:-592	Membership
7b93e6a1:150814fecb6:e69	Membership
7b93e6a1:150814fecb6:1fe6	Membership
7b93e6a1:150814fecb6:1910	Membership
7b93e6a1:150814fecb6:12bf	Membership
7b93e6a1:150814fecb6:2385	BelievedBy
7b93e6a1:150814fecb6:bb5	Membership
7b93e6a1:150814fecb6:1f42	Membership
7b93e6a1:150814fecb6:121b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/	Province
7b93e6a1:150814fecb6:20d1	Membership
7b93e6a1:150814fecb6:b11	Membership
7b93e6a1:150814fecb6:7e3	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/	Province
7b93e6a1:150814fecb6:147b	Membership
7b93e6a1:150814fecb6:78	Membership
7b93e6a1:150814fecb6:d71	Membership
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	Water
7b93e6a1:150814fecb6:180f	Membership
7b93e6a1:150814fecb6:-1dd	Membership
7b93e6a1:150814fecb6:26c5	EthnicProportion
7b93e6a1:150814fecb6:2621	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Cuilo/	Water
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	City
7b93e6a1:150814fecb6:63e	Membership
7b93e6a1:150814fecb6:17bb	Membership
7b93e6a1:150814fecb6:1ded	Membership
7b93e6a1:150814fecb6:-72d	Encompassed
7b93e6a1:150814fecb6:10e7	Membership
7b93e6a1:150814fecb6:218c	SpokenBy
7b93e6a1:150814fecb6:89e	Membership
7b93e6a1:150814fecb6:1043	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	City
7b93e6a1:150814fecb6:5ea	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/	Province
7b93e6a1:150814fecb6:1a09	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	City
7b93e6a1:150814fecb6:1637	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	City
7b93e6a1:150814fecb6:24cc	EthnicProportion
7b93e6a1:150814fecb6:f0c	Membership
7b93e6a1:150814fecb6:206	Membership
7b93e6a1:150814fecb6:1c69	Membership
7b93e6a1:150814fecb6:1897	Membership
http://www.semwebtech.org/mondial/10/source/Ruzizi/	Source
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	City
http://www.semwebtech.org/mondial/10/estuary/Uelle/	Estuary
7b93e6a1:150814fecb6:466	Membership
7b93e6a1:150814fecb6:15e3	Membership
7b93e6a1:150814fecb6:-5f9	Border
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	City
7b93e6a1:150814fecb6:a98	Membership
7b93e6a1:150814fecb6:1b2	Membership
7b93e6a1:150814fecb6:-555	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Nung/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Newfoundland/	Island
7b93e6a1:150814fecb6:1fa9	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	City
7b93e6a1:150814fecb6:1b71	Membership
7b93e6a1:150814fecb6:-2a1	Membership
7b93e6a1:150814fecb6:2348	BelievedBy
7b93e6a1:150814fecb6:1f05	Membership
7b93e6a1:150814fecb6:7a6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Ovimbundu/	EthnicGroup
7b93e6a1:150814fecb6:dd8	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	City
7b93e6a1:150814fecb6:702	Membership
7b93e6a1:150814fecb6:143e	Membership
7b93e6a1:150814fecb6:22f4	BelievedBy
7b93e6a1:150814fecb6:d34	Membership
7b93e6a1:150814fecb6:1eb1	Membership
7b93e6a1:150814fecb6:2250	BelievedBy
7b93e6a1:150814fecb6:962	Membership
7b93e6a1:150814fecb6:169e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/	Province
7b93e6a1:150814fecb6:f94	Membership
7b93e6a1:150814fecb6:26d	Membership
7b93e6a1:150814fecb6:13ea	Membership
http://www.semwebtech.org/mondial/10/river/Würm/	Water
7b93e6a1:150814fecb6:ce0	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/	Province
7b93e6a1:150814fecb6:-35c	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/	Country
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/	Province
http://www.semwebtech.org/mondial/10/mountain/Meru/	Mountain
http://www.semwebtech.org/mondial/10/religion/Druze/	Religion
7b93e6a1:150814fecb6:214f	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	Mountain
7b93e6a1:150814fecb6:1d0c	Membership
7b93e6a1:150814fecb6:19de	Membership
http://www.semwebtech.org/mondial/10/organization/ITU/	Organization
7b93e6a1:150814fecb6:1006	Membership
7b93e6a1:150814fecb6:5ad	Membership
7b93e6a1:150814fecb6:193a	Membership
7b93e6a1:150814fecb6:bdf	Membership
7b93e6a1:150814fecb6:1f6c	Membership
7b93e6a1:150814fecb6:1266	Membership
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	Water
7b93e6a1:150814fecb6:20fb	Membership
7b93e6a1:150814fecb6:b3b	Membership
http://www.semwebtech.org/mondial/10/estuary/Mekong/	Estuary
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	EthnicGroup
7b93e6a1:150814fecb6:d9b	Membership
http://www.semwebtech.org/mondial/10/organization/ARF/	Organization
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	City
7b93e6a1:150814fecb6:15a6	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	City
7b93e6a1:150814fecb6:429	Membership
7b93e6a1:150814fecb6:-e1	Membership
7b93e6a1:150814fecb6:-184	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	City
7b93e6a1:150814fecb6:264b	EthnicProportion
7b93e6a1:150814fecb6:1bd8	Membership
7b93e6a1:150814fecb6:1502	Membership
7b93e6a1:150814fecb6:-518	Membership
7b93e6a1:150814fecb6:689	Membership
7b93e6a1:150814fecb6:1b34	Membership
7b93e6a1:150814fecb6:3d5	Membership
7b93e6a1:150814fecb6:1762	Membership
7b93e6a1:150814fecb6:-778	Encompassed
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	Desert
http://www.semwebtech.org/mondial/10/religion/Yezidi/	Religion
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	City
7b93e6a1:150814fecb6:331	Membership
7b93e6a1:150814fecb6:1d94	Membership
7b93e6a1:150814fecb6:-4c4	Membership
7b93e6a1:150814fecb6:106d	Membership
http://www.semwebtech.org/mondial/10/island/Ireland/	Island
7b93e6a1:150814fecb6:1ae0	Membership
7b93e6a1:150814fecb6:-420	Membership
7b93e6a1:150814fecb6:22b7	BelievedBy
7b93e6a1:150814fecb6:9c9	Membership
7b93e6a1:150814fecb6:591	Membership
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	Mountain
7b93e6a1:150814fecb6:2213	SpokenBy
7b93e6a1:150814fecb6:925	Membership
7b93e6a1:150814fecb6:-680	Border
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	City
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	City
7b93e6a1:150814fecb6:f57	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/	Province
7b93e6a1:150814fecb6:13ad	Membership
7b93e6a1:150814fecb6:2473	EthnicProportion
7b93e6a1:150814fecb6:ca3	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	City
7b93e6a1:150814fecb6:-31f	Membership
7b93e6a1:150814fecb6:8d1	Membership
http://www.semwebtech.org/mondial/10/estuary/Lech/	Estuary
7b93e6a1:150814fecb6:1dc	Membership
7b93e6a1:150814fecb6:-57f	Membership
7b93e6a1:150814fecb6:1b9b	Membership
7b93e6a1:150814fecb6:-2cb	Membership
7b93e6a1:150814fecb6:1f2f	Membership
7b93e6a1:150814fecb6:1229	Membership
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/	Province
7b93e6a1:150814fecb6:20be	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/	Province
7b93e6a1:150814fecb6:201a	Membership
7b93e6a1:150814fecb6:72c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bantu/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Enns/	Source
7b93e6a1:150814fecb6:1489	Membership
7b93e6a1:150814fecb6:d5e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigraway/	EthnicGroup
7b93e6a1:150814fecb6:1edb	Membership
7b93e6a1:150814fecb6:260e	EthnicProportion
7b93e6a1:150814fecb6:11d5	Membership
7b93e6a1:150814fecb6:227a	BelievedBy
7b93e6a1:150814fecb6:aaa	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	City
7b93e6a1:150814fecb6:98c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	City
7b93e6a1:150814fecb6:-a4	Membership
7b93e6a1:150814fecb6:1131	Membership
7b93e6a1:150814fecb6:-147	Membership
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	Water
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	City
http://www.semwebtech.org/mondial/10/river/Sobat/	Water
7b93e6a1:150814fecb6:17c9	Membership
7b93e6a1:150814fecb6:1391	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	City
7b93e6a1:150814fecb6:1725	Membership
7b93e6a1:150814fecb6:25ba	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	City
7b93e6a1:150814fecb6:1d57	Membership
7b93e6a1:150814fecb6:5f8	Membership
7b93e6a1:150814fecb6:1aa3	Membership
7b93e6a1:150814fecb6:1985	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/	Province
http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/	Religion
7b93e6a1:150814fecb6:16d1	Membership
7b93e6a1:150814fecb6:554	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/	Province
7b93e6a1:150814fecb6:-6e7	Border
7b93e6a1:150814fecb6:b86	Membership
7b93e6a1:150814fecb6:2a0	Membership
7b93e6a1:150814fecb6:-643	Border
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	City
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	Province
7b93e6a1:150814fecb6:2436	BelievedBy
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	City
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	Mountain
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	Mountain
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoTheung/	EthnicGroup
7b93e6a1:150814fecb6:2696	EthnicProportion
7b93e6a1:150814fecb6:ec6	Membership
7b93e6a1:150814fecb6:23e2	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	City
7b93e6a1:150814fecb6:152c	Membership
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	City
7b93e6a1:150814fecb6:e22	Membership
7b93e6a1:150814fecb6:1b5e	Membership
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	Estuary
http://www.semwebtech.org/mondial/10/language/Amerindian/	Language
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	City
7b93e6a1:150814fecb6:3ff	Membership
7b93e6a1:150814fecb6:178c	Membership
7b93e6a1:150814fecb6:35b	Membership
7b93e6a1:150814fecb6:-4ee	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	City
7b93e6a1:150814fecb6:d5	Membership
7b93e6a1:150814fecb6:-44a	Membership
7b93e6a1:150814fecb6:31	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	City
7b93e6a1:150814fecb6:223d	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	City
7b93e6a1:150814fecb6:94f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	City
7b93e6a1:150814fecb6:13f8	Membership
7b93e6a1:150814fecb6:249d	EthnicProportion
7b93e6a1:150814fecb6:ccd	Membership
7b93e6a1:150814fecb6:1354	Membership
7b93e6a1:150814fecb6:8fb	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	City
7b93e6a1:150814fecb6:10a0	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	City
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	City
7b93e6a1:150814fecb6:1948	Membership
7b93e6a1:150814fecb6:183	Membership
http://www.semwebtech.org/mondial/10/organization/NATO/	Organization
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	City
7b93e6a1:150814fecb6:517	Membership
7b93e6a1:150814fecb6:-272	Membership
7b93e6a1:150814fecb6:b49	Membership
7b93e6a1:150814fecb6:1cc6	Membership
7b93e6a1:150814fecb6:-606	Border
http://www.semwebtech.org/mondial/10/source/Selenge/	Source
7b93e6a1:150814fecb6:2065	Membership
7b93e6a1:150814fecb6:1c22	Membership
7b93e6a1:150814fecb6:777	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	City
7b93e6a1:150814fecb6:18f4	Membership
http://www.semwebtech.org/mondial/10/organization/AU/	Organization
7b93e6a1:150814fecb6:4c3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	City
7b93e6a1:150814fecb6:1850	Membership
7b93e6a1:150814fecb6:11ff	Membership
http://www.semwebtech.org/mondial/10/language/Bulgarian/	Language
7b93e6a1:150814fecb6:1e82	Membership
7b93e6a1:150814fecb6:af5	Membership
7b93e6a1:150814fecb6:115b	Membership
7b93e6a1:150814fecb6:-ce	Membership
7b93e6a1:150814fecb6:-5b2	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	City
7b93e6a1:150814fecb6:2659	EthnicProportion
7b93e6a1:150814fecb6:a51	Membership
http://www.semwebtech.org/mondial/10/island/Mull/	Island
7b93e6a1:150814fecb6:-2a	Membership
7b93e6a1:150814fecb6:23a5	BelievedBy
http://www.semwebtech.org/mondial/10/desert/Gobi/	Desert
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	City
7b93e6a1:150814fecb6:2301	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	City
7b93e6a1:150814fecb6:174f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	City
7b93e6a1:150814fecb6:31e	Membership
7b93e6a1:150814fecb6:2561	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Senegal/	Source
7b93e6a1:150814fecb6:1acd	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	City
7b93e6a1:150814fecb6:-40d	Membership
7b93e6a1:150814fecb6:57e	Membership
7b93e6a1:150814fecb6:16fb	Membership
http://www.semwebtech.org/mondial/10/river/Tobol/	Water
7b93e6a1:150814fecb6:ff1	Membership
7b93e6a1:150814fecb6:2ca	Membership
7b93e6a1:150814fecb6:-66d	Border
http://www.semwebtech.org/mondial/10/estuary/Gambia/	Estuary
7b93e6a1:150814fecb6:1317	Membership
7b93e6a1:150814fecb6:21ac	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	City
7b93e6a1:150814fecb6:8be	Membership
7b93e6a1:150814fecb6:81a	Membership
7b93e6a1:150814fecb6:1577	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	City
7b93e6a1:150814fecb6:e4c	Membership
7b93e6a1:150814fecb6:146	Membership
7b93e6a1:150814fecb6:12c3	Membership
7b93e6a1:150814fecb6:-2d9	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	City
http://www.semwebtech.org/mondial/10/organization/UNMISS/	Organization
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	City
7b93e6a1:150814fecb6:-235	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	City
7b93e6a1:150814fecb6:ff	Membership
7b93e6a1:150814fecb6:2028	Membership
7b93e6a1:150814fecb6:18b7	Membership
7b93e6a1:150814fecb6:-495	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	City
7b93e6a1:150814fecb6:5b	Membership
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	Mountain
7b93e6a1:150814fecb6:1ee9	Membership
7b93e6a1:150814fecb6:1813	Membership
7b93e6a1:150814fecb6:-1e1	Membership
http://www.semwebtech.org/mondial/10/country/SA/	Country
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/	Province
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	Mountain
7b93e6a1:150814fecb6:2288	BelievedBy
7b93e6a1:150814fecb6:5b1	Membership
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	Estuary
7b93e6a1:150814fecb6:ab8	Membership
7b93e6a1:150814fecb6:1e45	Membership
http://www.semwebtech.org/mondial/10/estuary/Karasu/	Estuary
7b93e6a1:150814fecb6:111e	Membership
7b93e6a1:150814fecb6:a14	Membership
7b93e6a1:150814fecb6:6e6	Membership
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	Mountain
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Americo-Liberians/	EthnicGroup
7b93e6a1:150814fecb6:642	Membership
7b93e6a1:150814fecb6:137e	Membership
7b93e6a1:150814fecb6:-7d5	Encompassed
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/	Province
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	City
7b93e6a1:150814fecb6:c74	Membership
7b93e6a1:150814fecb6:1df1	Membership
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	City
7b93e6a1:150814fecb6:-731	Encompassed
7b93e6a1:150814fecb6:10ca	Membership
7b93e6a1:150814fecb6:25c8	EthnicProportion
7b93e6a1:150814fecb6:2190	SpokenBy
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	City
http://www.semwebtech.org/mondial/10/organization/IOM/	Organization
7b93e6a1:150814fecb6:2524	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Lena/	Water
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	City
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	City
7b93e6a1:150814fecb6:16be	Membership
7b93e6a1:150814fecb6:-29c	Membership
7b93e6a1:150814fecb6:fb4	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	City
7b93e6a1:150814fecb6:161a	Membership
7b93e6a1:150814fecb6:24d0	EthnicProportion
7b93e6a1:150814fecb6:208f	Membership
7b93e6a1:150814fecb6:f10	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	City
7b93e6a1:150814fecb6:1c4c	Membership
7b93e6a1:150814fecb6:4ed	Membership
7b93e6a1:150814fecb6:187a	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/	Province
http://www.semwebtech.org/mondial/10/source/Akagera/	Source
7b93e6a1:150814fecb6:-5dc	Border
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/BasquesBretons/	EthnicGroup
7b93e6a1:150814fecb6:a7b	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/	Province
7b93e6a1:150814fecb6:-75	Membership
7b93e6a1:150814fecb6:23cf	BelievedBy
7b93e6a1:150814fecb6:e0f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	City
7b93e6a1:150814fecb6:109	Membership
7b93e6a1:150814fecb6:232b	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	City
7b93e6a1:150814fecb6:369	Membership
7b93e6a1:150814fecb6:14e6	Membership
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	City
7b93e6a1:150814fecb6:258b	EthnicProportion
7b93e6a1:150814fecb6:dbb	Membership
7b93e6a1:150814fecb6:1442	Membership
7b93e6a1:150814fecb6:-458	Membership
7b93e6a1:150814fecb6:1e	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	City
7b93e6a1:150814fecb6:1a74	Membership
7b93e6a1:150814fecb6:-1a4	Membership
http://www.semwebtech.org/mondial/10/organization/WHO/	Organization
http://www.semwebtech.org/mondial/10/ethnicgroup/Franco-Mauritian/	EthnicGroup
7b93e6a1:150814fecb6:1e08	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	City
7b93e6a1:150814fecb6:-100	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/	Province
http://www.semwebtech.org/mondial/10/organization/OAS/	Organization
7b93e6a1:150814fecb6:6a9	Membership
7b93e6a1:150814fecb6:271	Membership
7b93e6a1:150814fecb6:605	Membership
7b93e6a1:150814fecb6:-360	Membership
7b93e6a1:150814fecb6:21f7	SpokenBy
7b93e6a1:150814fecb6:c37	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	City
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	City
7b93e6a1:150814fecb6:1db4	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	City
7b93e6a1:150814fecb6:2153	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	City
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	City
7b93e6a1:150814fecb6:865	Membership
7b93e6a1:150814fecb6:1d10	Membership
7b93e6a1:150814fecb6:19e2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/	Province
7b93e6a1:150814fecb6:e97	Membership
http://www.semwebtech.org/mondial/10/country/TUV/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	City
7b93e6a1:150814fecb6:12ed	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	City
7b93e6a1:150814fecb6:be3	Membership
7b93e6a1:150814fecb6:1f70	Membership
7b93e6a1:150814fecb6:-6a0	Border
7b93e6a1:150814fecb6:-25f	Membership
http://www.semwebtech.org/mondial/10/island/Santiago/	Island
http://www.semwebtech.org/mondial/10/language/Korean/	Language
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	City
7b93e6a1:150814fecb6:1c0f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	City
7b93e6a1:150814fecb6:183d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Garifuna/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/HONX/	Country
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/	Province
7b93e6a1:150814fecb6:40c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	City
7b93e6a1:150814fecb6:1e6f	Membership
7b93e6a1:150814fecb6:1169	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	City
7b93e6a1:150814fecb6:a3e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	City
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	Province
7b93e6a1:150814fecb6:1bbb	Membership
7b93e6a1:150814fecb6:-38	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	City
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	Desert
7b93e6a1:150814fecb6:66c	Membership
7b93e6a1:150814fecb6:-7ff	Encompassed
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	Estuary
7b93e6a1:150814fecb6:c9e	Membership
7b93e6a1:150814fecb6:-75b	Encompassed
7b93e6a1:150814fecb6:254e	EthnicProportion
7b93e6a1:150814fecb6:14a9	Membership
7b93e6a1:150814fecb6:1071	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/	Province
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	Water
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	City
7b93e6a1:150814fecb6:1405	Membership
7b93e6a1:150814fecb6:9ac	Membership
7b93e6a1:150814fecb6:1a37	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	City
7b93e6a1:150814fecb6:fde	Membership
7b93e6a1:150814fecb6:2d8	Membership
7b93e6a1:150814fecb6:1665	Membership
7b93e6a1:150814fecb6:24fa	EthnicProportion
7b93e6a1:150814fecb6:1c97	Membership
7b93e6a1:150814fecb6:f3a	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	City
7b93e6a1:150814fecb6:234	Membership
7b93e6a1:150814fecb6:13b1	Membership
7b93e6a1:150814fecb6:-3c7	Membership
http://www.semwebtech.org/mondial/10/organization/UNMIL/	Organization
7b93e6a1:150814fecb6:-323	Membership
7b93e6a1:150814fecb6:494	Membership
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	Mountain
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/	Province
7b93e6a1:150814fecb6:2116	Membership
7b93e6a1:150814fecb6:19a5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	City
7b93e6a1:150814fecb6:828	Membership
7b93e6a1:150814fecb6:1e0	Membership
7b93e6a1:150814fecb6:-9f	Membership
7b93e6a1:150814fecb6:-583	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	City
http://www.semwebtech.org/mondial/10/island/Sokotra/	Island
7b93e6a1:150814fecb6:1fd7	Membership
7b93e6a1:150814fecb6:1901	Membership
7b93e6a1:150814fecb6:2376	BelievedBy
7b93e6a1:150814fecb6:ba6	Membership
7b93e6a1:150814fecb6:1f33	Membership
7b93e6a1:150814fecb6:120c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Surinamese/	EthnicGroup
7b93e6a1:150814fecb6:20c2	Membership
7b93e6a1:150814fecb6:b02	Membership
7b93e6a1:150814fecb6:7d4	Membership
7b93e6a1:150814fecb6:730	Membership
7b93e6a1:150814fecb6:146c	Membership
7b93e6a1:150814fecb6:69	Membership
7b93e6a1:150814fecb6:d62	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	EthnicGroup
7b93e6a1:150814fecb6:26b6	EthnicProportion
7b93e6a1:150814fecb6:1a9e	Membership
7b93e6a1:150814fecb6:-1ce	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	City
http://www.semwebtech.org/mondial/10/river/Douro/	Water
7b93e6a1:150814fecb6:990	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/	Province
7b93e6a1:150814fecb6:-12a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/	Province
7b93e6a1:150814fecb6:2612	EthnicProportion
7b93e6a1:150814fecb6:151d	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	City
7b93e6a1:150814fecb6:29b	Membership
http://www.semwebtech.org/mondial/10/country/PAL/	Country
7b93e6a1:150814fecb6:62f	Membership
7b93e6a1:150814fecb6:17ac	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	City
7b93e6a1:150814fecb6:-38a	Membership
7b93e6a1:150814fecb6:217d	SpokenBy
http://www.semwebtech.org/mondial/10/island/St.Martin/	Island
7b93e6a1:150814fecb6:1dde	Membership
7b93e6a1:150814fecb6:-71e	Encompassed
7b93e6a1:150814fecb6:10d8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	City
7b93e6a1:150814fecb6:88f	Membership
7b93e6a1:150814fecb6:1d3a	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	City
7b93e6a1:150814fecb6:1034	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	City
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	City
7b93e6a1:150814fecb6:5db	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/	Province
http://www.semwebtech.org/mondial/10/language/Swedish/	Language
7b93e6a1:150814fecb6:1f9a	Membership
7b93e6a1:150814fecb6:-6ca	Border
7b93e6a1:150814fecb6:1294	Membership
http://www.semwebtech.org/mondial/10/estuary/Oka/	Estuary
7b93e6a1:150814fecb6:1628	Membership
7b93e6a1:150814fecb6:24bd	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/Namib/	Desert
7b93e6a1:150814fecb6:1888	Membership
http://www.semwebtech.org/mondial/10/river/Mekong/	Water
7b93e6a1:150814fecb6:457	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	City
7b93e6a1:150814fecb6:15d4	Membership
7b93e6a1:150814fecb6:1530	Membership
7b93e6a1:150814fecb6:a89	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	City
7b93e6a1:150814fecb6:1a3	Membership
7b93e6a1:150814fecb6:-546	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	City
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	City
7b93e6a1:150814fecb6:1b62	Membership
7b93e6a1:150814fecb6:2339	BelievedBy
7b93e6a1:150814fecb6:1790	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	Province
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	Source
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	City
http://www.semwebtech.org/mondial/10/language/Portuguese/	Language
7b93e6a1:150814fecb6:-4f2	Membership
7b93e6a1:150814fecb6:109b	Membership
7b93e6a1:150814fecb6:2599	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/	Province
7b93e6a1:150814fecb6:dc9	Membership
http://www.semwebtech.org/mondial/10/religion/UkrainianGreekCatholic/	Religion
http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Mountains
7b93e6a1:150814fecb6:142f	Membership
7b93e6a1:150814fecb6:22e5	BelievedBy
7b93e6a1:150814fecb6:d25	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	City
7b93e6a1:150814fecb6:9f7	Membership
http://www.semwebtech.org/mondial/10/source/Saar/	Source
7b93e6a1:150814fecb6:1ea2	Membership
7b93e6a1:150814fecb6:2241	BelievedBy
http://www.semwebtech.org/mondial/10/island/Tongatapu/	Island
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/	Province
http://www.semwebtech.org/mondial/10/country/BY/	Country
7b93e6a1:150814fecb6:953	Membership
7b93e6a1:150814fecb6:168f	Membership
7b93e6a1:150814fecb6:f85	Membership
7b93e6a1:150814fecb6:25e	Membership
7b93e6a1:150814fecb6:13db	Membership
7b93e6a1:150814fecb6:cd1	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	City
7b93e6a1:150814fecb6:-34d	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	City
7b93e6a1:150814fecb6:19cf	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/	Province
7b93e6a1:150814fecb6:192b	Membership
http://www.semwebtech.org/mondial/10/country/IL/	Country
7b93e6a1:150814fecb6:1f5d	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	City
7b93e6a1:150814fecb6:1257	Membership
7b93e6a1:150814fecb6:20ec	Membership
7b93e6a1:150814fecb6:b2c	Membership
7b93e6a1:150814fecb6:7fe	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	City
7b93e6a1:150814fecb6:75a	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/	Province
http://www.semwebtech.org/mondial/10/country/SUD/	Country
7b93e6a1:150814fecb6:d8c	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	City
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/	Province
7b93e6a1:150814fecb6:-d2	Membership
7b93e6a1:150814fecb6:-175	Membership
7b93e6a1:150814fecb6:263c	EthnicProportion
7b93e6a1:150814fecb6:1bc9	Membership
7b93e6a1:150814fecb6:-509	Membership
7b93e6a1:150814fecb6:1b25	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	City
7b93e6a1:150814fecb6:17f7	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/	Province
http://www.semwebtech.org/mondial/10/source/Orinoco/	Source
7b93e6a1:150814fecb6:3c6	Membership
7b93e6a1:150814fecb6:1753	Membership
7b93e6a1:150814fecb6:-769	Encompassed
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/	Province
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	City
7b93e6a1:150814fecb6:322	Membership
7b93e6a1:150814fecb6:1d85	Membership
7b93e6a1:150814fecb6:-4b5	Membership
7b93e6a1:150814fecb6:105e	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/	Province
7b93e6a1:150814fecb6:1ad1	Membership
7b93e6a1:150814fecb6:-411	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	City
7b93e6a1:150814fecb6:22a8	BelievedBy
7b93e6a1:150814fecb6:582	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/	Province
7b93e6a1:150814fecb6:2204	SpokenBy
7b93e6a1:150814fecb6:916	Membership
7b93e6a1:150814fecb6:-671	Border
http://www.semwebtech.org/mondial/10/estuary/Loire/	Estuary
7b93e6a1:150814fecb6:f48	Membership
7b93e6a1:150814fecb6:2464	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	City
7b93e6a1:150814fecb6:21b0	SpokenBy
7b93e6a1:150814fecb6:8c2	Membership
7b93e6a1:150814fecb6:15fe	Membership
7b93e6a1:150814fecb6:ef4	Membership
7b93e6a1:150814fecb6:1cd	Membership
7b93e6a1:150814fecb6:155a	Membership
7b93e6a1:150814fecb6:e50	Membership
7b93e6a1:150814fecb6:1b8c	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/	Province
7b93e6a1:150814fecb6:-2bc	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/	Province
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	Water
7b93e6a1:150814fecb6:20af	Membership
http://www.semwebtech.org/mondial/10/island/Islay/	Island
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	City
7b93e6a1:150814fecb6:200b	Membership
7b93e6a1:150814fecb6:71d	Membership
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	Water
http://www.semwebtech.org/mondial/10/island/Hawaii/	Island
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	Province
7b93e6a1:150814fecb6:d4f	Membership
7b93e6a1:150814fecb6:1ecc	Membership
7b93e6a1:150814fecb6:-80c	Encompassed
7b93e6a1:150814fecb6:11c6	Membership
7b93e6a1:150814fecb6:226b	BelievedBy
http://www.semwebtech.org/mondial/10/island/PuertoRico/	Island
7b93e6a1:150814fecb6:97d	Membership
7b93e6a1:150814fecb6:1122	Membership
7b93e6a1:150814fecb6:-138	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/	Province
7b93e6a1:150814fecb6:cfb	Membership
7b93e6a1:150814fecb6:1382	Membership
7b93e6a1:150814fecb6:-398	Membership
http://www.semwebtech.org/mondial/10/country/J/	Country
7b93e6a1:150814fecb6:1716	Membership
7b93e6a1:150814fecb6:25ab	EthnicProportion
7b93e6a1:150814fecb6:1d48	Membership
7b93e6a1:150814fecb6:5e9	Membership
7b93e6a1:150814fecb6:1976	Membership
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	City
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	City
7b93e6a1:150814fecb6:545	Membership
7b93e6a1:150814fecb6:16c2	Membership
7b93e6a1:150814fecb6:-6d8	Border
http://www.semwebtech.org/mondial/10/river/Ammer/	Water
7b93e6a1:150814fecb6:b77	Membership
7b93e6a1:150814fecb6:1cf4	Membership
7b93e6a1:150814fecb6:-634	Border
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	Water
7b93e6a1:150814fecb6:2093	Membership
7b93e6a1:150814fecb6:1c50	Membership
http://www.semwebtech.org/mondial/10/river/Alz/	Water
7b93e6a1:150814fecb6:2427	BelievedBy
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/	Province
7b93e6a1:150814fecb6:4f1	Membership
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	Estuary
http://www.semwebtech.org/mondial/10/language/Finnish/	Language
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/	Mountain
7b93e6a1:150814fecb6:-fc	Membership
7b93e6a1:150814fecb6:-5e0	Border
7b93e6a1:150814fecb6:-19f	Membership
7b93e6a1:150814fecb6:2687	EthnicProportion
7b93e6a1:150814fecb6:eb7	Membership
7b93e6a1:150814fecb6:23d3	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	City
7b93e6a1:150814fecb6:e13	Membership
7b93e6a1:150814fecb6:1b4f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	City
http://www.semwebtech.org/mondial/10/source/Lulua/	Source
7b93e6a1:150814fecb6:177d	Membership
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	Water
7b93e6a1:150814fecb6:34c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	City
7b93e6a1:150814fecb6:-4df	Membership
7b93e6a1:150814fecb6:c6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tutsi/	EthnicGroup
7b93e6a1:150814fecb6:1afb	Membership
7b93e6a1:150814fecb6:-43b	Membership
7b93e6a1:150814fecb6:22	Membership
7b93e6a1:150814fecb6:222e	SpokenBy
7b93e6a1:150814fecb6:-69b	Border
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	City
7b93e6a1:150814fecb6:13e9	Membership
7b93e6a1:150814fecb6:248e	EthnicProportion
7b93e6a1:150814fecb6:cbe	Membership
7b93e6a1:150814fecb6:1345	Membership
7b93e6a1:150814fecb6:21da	SpokenBy
7b93e6a1:150814fecb6:c1a	Membership
7b93e6a1:150814fecb6:8ec	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Colored/	EthnicGroup
7b93e6a1:150814fecb6:e7a	Membership
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	Mountain
7b93e6a1:150814fecb6:174	Membership
7b93e6a1:150814fecb6:1939	Membership
7b93e6a1:150814fecb6:12f1	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/	Province
7b93e6a1:150814fecb6:508	Membership
7b93e6a1:150814fecb6:-263	Membership
http://www.semwebtech.org/mondial/10/island/Oeland/	Island
7b93e6a1:150814fecb6:1cb7	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/	Province
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	City
7b93e6a1:150814fecb6:2056	Membership
7b93e6a1:150814fecb6:768	Membership
7b93e6a1:150814fecb6:1c13	Membership
7b93e6a1:150814fecb6:18e5	Membership
7b93e6a1:150814fecb6:4b4	Membership
7b93e6a1:150814fecb6:1841	Membership
7b93e6a1:150814fecb6:1e73	Membership
7b93e6a1:150814fecb6:ae6	Membership
7b93e6a1:150814fecb6:410	Membership
7b93e6a1:150814fecb6:-bf	Membership
7b93e6a1:150814fecb6:-5a3	Membership
7b93e6a1:150814fecb6:114c	Membership
7b93e6a1:150814fecb6:a42	Membership
7b93e6a1:150814fecb6:-1b	Membership
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/	Mountain
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	Water
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	City
7b93e6a1:150814fecb6:670	Membership
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/	Mountain
http://www.semwebtech.org/mondial/10/river/Karasu/	Water
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	Estuary
7b93e6a1:150814fecb6:25f6	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Weichsel/	Water
http://www.semwebtech.org/mondial/10/estuary/Oder/	Estuary
7b93e6a1:150814fecb6:30f	Membership
7b93e6a1:150814fecb6:2552	EthnicProportion
7b93e6a1:150814fecb6:1abe	Membership
http://www.semwebtech.org/mondial/10/river/Isar/	Water
7b93e6a1:150814fecb6:1a1a	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	City
7b93e6a1:150814fecb6:9b0	Membership
7b93e6a1:150814fecb6:56f	Membership
7b93e6a1:150814fecb6:16ec	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	City
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	Desert
http://www.semwebtech.org/mondial/10/island/Ascension/	Island
7b93e6a1:150814fecb6:fe2	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	City
7b93e6a1:150814fecb6:2bb	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	City
7b93e6a1:150814fecb6:-65e	Border
7b93e6a1:150814fecb6:1c7a	Membership
7b93e6a1:150814fecb6:-3aa	Membership
7b93e6a1:150814fecb6:1308	Membership
7b93e6a1:150814fecb6:8af	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	City
7b93e6a1:150814fecb6:80b	Membership
7b93e6a1:150814fecb6:1568	Membership
7b93e6a1:150814fecb6:23fd	BelievedBy
7b93e6a1:150814fecb6:e3d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/	Province
7b93e6a1:150814fecb6:1fba	Membership
7b93e6a1:150814fecb6:137	Membership
7b93e6a1:150814fecb6:12b4	Membership
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	Estuary
7b93e6a1:150814fecb6:1210	Membership
7b93e6a1:150814fecb6:21e8	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	City
7b93e6a1:150814fecb6:-226	Membership
http://www.semwebtech.org/mondial/10/country/BVIR/	Country
7b93e6a1:150814fecb6:397	Membership
http://www.semwebtech.org/mondial/10/estuary/Niger/	Estuary
7b93e6a1:150814fecb6:2019	Membership
7b93e6a1:150814fecb6:18a8	Membership
7b93e6a1:150814fecb6:1470	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/	Province
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	City
http://www.semwebtech.org/mondial/10/organization/OPEC/	Organization
7b93e6a1:150814fecb6:-486	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	City
7b93e6a1:150814fecb6:4c	Membership
7b93e6a1:150814fecb6:1804	Membership
7b93e6a1:150814fecb6:-1d2	Membership
7b93e6a1:150814fecb6:2279	BelievedBy
http://www.semwebtech.org/mondial/10/source/Manicouagan/	Source
7b93e6a1:150814fecb6:aa9	Membership
http://www.semwebtech.org/mondial/10/organization/IFAD/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	City
7b93e6a1:150814fecb6:1e36	Membership
7b93e6a1:150814fecb6:110f	Membership
7b93e6a1:150814fecb6:a05	Membership
7b93e6a1:150814fecb6:6d7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Euro-African/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/Serbian/	Language
7b93e6a1:150814fecb6:633	Membership
7b93e6a1:150814fecb6:17b0	Membership
7b93e6a1:150814fecb6:-7c6	Encompassed
7b93e6a1:150814fecb6:136f	Membership
7b93e6a1:150814fecb6:c65	Membership
7b93e6a1:150814fecb6:1de2	Membership
7b93e6a1:150814fecb6:-722	Encompassed
7b93e6a1:150814fecb6:10bb	Membership
7b93e6a1:150814fecb6:25b9	EthnicProportion
7b93e6a1:150814fecb6:2181	SpokenBy
http://www.semwebtech.org/mondial/10/desert/KumTagh/	Desert
7b93e6a1:150814fecb6:893	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/	Province
7b93e6a1:150814fecb6:2515	EthnicProportion
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	City
7b93e6a1:150814fecb6:19e	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	City
7b93e6a1:150814fecb6:16af	Membership
7b93e6a1:150814fecb6:-28d	Membership
7b93e6a1:150814fecb6:fa5	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/	Province
7b93e6a1:150814fecb6:160b	Membership
7b93e6a1:150814fecb6:24c1	EthnicProportion
7b93e6a1:150814fecb6:f01	Membership
7b93e6a1:150814fecb6:1c3d	Membership
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	Water
http://www.semwebtech.org/mondial/10/river/Jangtse/	Water
7b93e6a1:150814fecb6:4de	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/	Province
7b93e6a1:150814fecb6:186b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/MBaka/	EthnicGroup
7b93e6a1:150814fecb6:1e9d	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	City
7b93e6a1:150814fecb6:1197	Membership
7b93e6a1:150814fecb6:43a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	City
7b93e6a1:150814fecb6:-5cd	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/	Province
http://www.semwebtech.org/mondial/10/country/SRB/	Country
7b93e6a1:150814fecb6:a6c	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	City
7b93e6a1:150814fecb6:-66	Membership
7b93e6a1:150814fecb6:69a	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	City
7b93e6a1:150814fecb6:231c	BelievedBy
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/	Province
http://www.semwebtech.org/mondial/10/estuary/Maranon/	Estuary
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	City
7b93e6a1:150814fecb6:14d7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/EquatorialBantu/	EthnicGroup
7b93e6a1:150814fecb6:257c	EthnicProportion
7b93e6a1:150814fecb6:dac	Membership
7b93e6a1:150814fecb6:1433	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	City
7b93e6a1:150814fecb6:-449	Membership
7b93e6a1:150814fecb6:9da	Membership
7b93e6a1:150814fecb6:1a65	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	City
7b93e6a1:150814fecb6:1693	Membership
7b93e6a1:150814fecb6:262	Membership
http://www.semwebtech.org/mondial/10/estuary/Glomma/	Estuary
7b93e6a1:150814fecb6:-3f5	Membership
7b93e6a1:150814fecb6:-351	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	City
7b93e6a1:150814fecb6:c28	Membership
7b93e6a1:150814fecb6:1da5	Membership
http://www.semwebtech.org/mondial/10/source/Amazonas/	Source
7b93e6a1:150814fecb6:2144	SpokenBy
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	City
7b93e6a1:150814fecb6:856	Membership
7b93e6a1:150814fecb6:1d01	Membership
7b93e6a1:150814fecb6:19d3	Membership
7b93e6a1:150814fecb6:e88	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	City
7b93e6a1:150814fecb6:5a2	Membership
7b93e6a1:150814fecb6:12de	Membership
7b93e6a1:150814fecb6:bd4	Membership
7b93e6a1:150814fecb6:1f61	Membership
7b93e6a1:150814fecb6:123a	Membership
7b93e6a1:150814fecb6:20f0	Membership
7b93e6a1:150814fecb6:b30	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	City
7b93e6a1:150814fecb6:149a	Membership
7b93e6a1:150814fecb6:97	Membership
7b93e6a1:150814fecb6:d90	Membership
7b93e6a1:150814fecb6:182e	Membership
7b93e6a1:150814fecb6:-1fc	Membership
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	City
7b93e6a1:150814fecb6:2640	EthnicProportion
7b93e6a1:150814fecb6:a2f	Membership
7b93e6a1:150814fecb6:1bac	Membership
7b93e6a1:150814fecb6:-29	Membership
7b93e6a1:150814fecb6:65d	Membership
7b93e6a1:150814fecb6:17da	Membership
http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/	Religion
http://www.semwebtech.org/mondial/10/ethnicgroup/Welaita/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/	Province
7b93e6a1:150814fecb6:c8f	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	City
7b93e6a1:150814fecb6:-74c	Encompassed
http://www.semwebtech.org/mondial/10/language/Bosnian/	Language
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	Mountain
7b93e6a1:150814fecb6:1062	Membership
7b93e6a1:150814fecb6:253f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Sara/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	City
7b93e6a1:150814fecb6:1a28	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	City
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	City
7b93e6a1:150814fecb6:fcf	Membership
7b93e6a1:150814fecb6:2c9	Membership
http://www.semwebtech.org/mondial/10/river/Inn/	Water
7b93e6a1:150814fecb6:1656	Membership
7b93e6a1:150814fecb6:24eb	EthnicProportion
7b93e6a1:150814fecb6:f2b	Membership
7b93e6a1:150814fecb6:1c88	Membership
7b93e6a1:150814fecb6:225	Membership
7b93e6a1:150814fecb6:13a2	Membership
7b93e6a1:150814fecb6:-3b8	Membership
7b93e6a1:150814fecb6:-314	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	City
7b93e6a1:150814fecb6:485	Membership
7b93e6a1:150814fecb6:2107	Membership
7b93e6a1:150814fecb6:819	Membership
7b93e6a1:150814fecb6:1d1	Membership
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	Mountain
7b93e6a1:150814fecb6:-574	Membership
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	Estuary
7b93e6a1:150814fecb6:1fc8	Membership
7b93e6a1:150814fecb6:1b90	Membership
7b93e6a1:150814fecb6:-2c0	Membership
7b93e6a1:150814fecb6:2367	BelievedBy
7b93e6a1:150814fecb6:1f24	Membership
7b93e6a1:150814fecb6:20b3	Membership
7b93e6a1:150814fecb6:7c5	Membership
7b93e6a1:150814fecb6:df7	Membership
7b93e6a1:150814fecb6:721	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	City
7b93e6a1:150814fecb6:145d	Membership
7b93e6a1:150814fecb6:d53	Membership
7b93e6a1:150814fecb6:1ed0	Membership
7b93e6a1:150814fecb6:1a8f	Membership
7b93e6a1:150814fecb6:-810	Encompassed
7b93e6a1:150814fecb6:-1bf	Membership
7b93e6a1:150814fecb6:26a7	EthnicProportion
7b93e6a1:150814fecb6:981	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	City
7b93e6a1:150814fecb6:-11b	Membership
7b93e6a1:150814fecb6:2603	EthnicProportion
7b93e6a1:150814fecb6:28c	Membership
7b93e6a1:150814fecb6:-37b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	City
7b93e6a1:150814fecb6:1dcf	Membership
7b93e6a1:150814fecb6:-70f	Border
7b93e6a1:150814fecb6:10c9	Membership
7b93e6a1:150814fecb6:216e	SpokenBy
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	City
7b93e6a1:150814fecb6:1d2b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	City
7b93e6a1:150814fecb6:19fd	Membership
7b93e6a1:150814fecb6:1025	Membership
7b93e6a1:150814fecb6:5cc	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	City
7b93e6a1:150814fecb6:bfe	Membership
7b93e6a1:150814fecb6:1f8b	Membership
7b93e6a1:150814fecb6:-6bb	Border
7b93e6a1:150814fecb6:1285	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	City
7b93e6a1:150814fecb6:b5a	Membership
http://www.semwebtech.org/mondial/10/island/SaoTome/	Island
7b93e6a1:150814fecb6:1619	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/	Province
7b93e6a1:150814fecb6:24ae	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Ganges/	Source
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	City
http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	Islands
7b93e6a1:150814fecb6:240a	BelievedBy
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	Water
http://www.semwebtech.org/mondial/10/desert/Rigestan/	Desert
7b93e6a1:150814fecb6:1879	Membership
http://www.semwebtech.org/mondial/10/organization/CERN/	Organization
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	City
7b93e6a1:150814fecb6:448	Membership
7b93e6a1:150814fecb6:15c5	Membership
7b93e6a1:150814fecb6:266a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/	Province
http://www.semwebtech.org/mondial/10/source/Dnjestr/	Source
7b93e6a1:150814fecb6:1bf7	Membership
7b93e6a1:150814fecb6:1521	Membership
7b93e6a1:150814fecb6:-537	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	City
7b93e6a1:150814fecb6:1b53	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/	Province
7b93e6a1:150814fecb6:3f4	Membership
7b93e6a1:150814fecb6:1781	Membership
7b93e6a1:150814fecb6:-797	Encompassed
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	City
7b93e6a1:150814fecb6:350	Membership
7b93e6a1:150814fecb6:-4e3	Membership
7b93e6a1:150814fecb6:108c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/	Province
7b93e6a1:150814fecb6:22d6	BelievedBy
7b93e6a1:150814fecb6:d16	Membership
7b93e6a1:150814fecb6:9e8	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	City
7b93e6a1:150814fecb6:2232	BelievedBy
7b93e6a1:150814fecb6:944	Membership
7b93e6a1:150814fecb6:f76	Membership
7b93e6a1:150814fecb6:24f	Membership
7b93e6a1:150814fecb6:13cc	Membership
7b93e6a1:150814fecb6:2492	EthnicProportion
7b93e6a1:150814fecb6:cc2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	City
7b93e6a1:150814fecb6:-33e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	City
7b93e6a1:150814fecb6:8f0	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	City
7b93e6a1:150814fecb6:1fb	Membership
7b93e6a1:150814fecb6:-59e	Membership
http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Mountains
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	City
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	Mountain
7b93e6a1:150814fecb6:191c	Membership
7b93e6a1:150814fecb6:-2ea	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/	Province
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	Mountain
7b93e6a1:150814fecb6:1f4e	Membership
7b93e6a1:150814fecb6:1248	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	City
7b93e6a1:150814fecb6:20dd	Membership
7b93e6a1:150814fecb6:b1d	Membership
7b93e6a1:150814fecb6:7ef	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	City
http://www.semwebtech.org/mondial/10/source/Isere/	Source
7b93e6a1:150814fecb6:74b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	City
7b93e6a1:150814fecb6:d7d	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	City
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	Mountain
7b93e6a1:150814fecb6:1efa	Membership
7b93e6a1:150814fecb6:11f4	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	City
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	Mountain
7b93e6a1:150814fecb6:-c3	Membership
7b93e6a1:150814fecb6:1150	Membership
7b93e6a1:150814fecb6:-166	Membership
7b93e6a1:150814fecb6:262d	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Kemijoki/	Source
7b93e6a1:150814fecb6:1b16	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	City
7b93e6a1:150814fecb6:17e8	Membership
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	Water
7b93e6a1:150814fecb6:3b7	Membership
7b93e6a1:150814fecb6:1744	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternHamitic/	EthnicGroup
7b93e6a1:150814fecb6:313	Membership
7b93e6a1:150814fecb6:1d76	Membership
7b93e6a1:150814fecb6:-4a6	Membership
7b93e6a1:150814fecb6:104f	Membership
7b93e6a1:150814fecb6:1ac2	Membership
7b93e6a1:150814fecb6:-402	Membership
7b93e6a1:150814fecb6:573	Membership
7b93e6a1:150814fecb6:16f0	Membership
7b93e6a1:150814fecb6:24f9	EthnicProportion
7b93e6a1:150814fecb6:907	Membership
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	Mountain
7b93e6a1:150814fecb6:f39	Membership
7b93e6a1:150814fecb6:-662	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	City
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/	Province
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/	Province
7b93e6a1:150814fecb6:2455	EthnicProportion
7b93e6a1:150814fecb6:21a1	SpokenBy
http://www.semwebtech.org/mondial/10/country/CH/	Country
7b93e6a1:150814fecb6:8b3	Membership
7b93e6a1:150814fecb6:15ef	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	City
7b93e6a1:150814fecb6:ee5	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	City
7b93e6a1:150814fecb6:1be	Membership
7b93e6a1:150814fecb6:154b	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	City
7b93e6a1:150814fecb6:e41	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/	Province
7b93e6a1:150814fecb6:11a	Membership
7b93e6a1:150814fecb6:1b7d	Membership
7b93e6a1:150814fecb6:-2ad	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	City
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	City
7b93e6a1:150814fecb6:37a	Membership
7b93e6a1:150814fecb6:f4	Membership
http://www.semwebtech.org/mondial/10/country/NOK/	Country
7b93e6a1:150814fecb6:70e	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/	Province
http://www.semwebtech.org/mondial/10/mountains/BlackForest/	Mountains
7b93e6a1:150814fecb6:50	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	City
7b93e6a1:150814fecb6:225c	BelievedBy
7b93e6a1:150814fecb6:1ebd	Membership
7b93e6a1:150814fecb6:11b7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	City
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	City
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	City
http://www.semwebtech.org/mondial/10/continent/Asia/	Continent
7b93e6a1:150814fecb6:96e	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	City
7b93e6a1:150814fecb6:1113	Membership
7b93e6a1:150814fecb6:-129	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	City
7b93e6a1:150814fecb6:6ba	Membership
http://www.semwebtech.org/mondial/10/organization/IDA/	Organization
7b93e6a1:150814fecb6:cec	Membership
7b93e6a1:150814fecb6:1373	Membership
7b93e6a1:150814fecb6:-389	Membership
http://www.semwebtech.org/mondial/10/source/Cuilo/	Source
7b93e6a1:150814fecb6:1707	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	City
http://www.semwebtech.org/mondial/10/island/Alicudi/	Island
http://www.semwebtech.org/mondial/10/river/Limpopo/	Water
7b93e6a1:150814fecb6:1d39	Membership
http://www.semwebtech.org/mondial/10/estuary/Bomu/	Estuary
7b93e6a1:150814fecb6:1967	Membership
7b93e6a1:150814fecb6:1f99	Membership
7b93e6a1:150814fecb6:536	Membership
7b93e6a1:150814fecb6:16b3	Membership
7b93e6a1:150814fecb6:-6c9	Border
7b93e6a1:150814fecb6:-291	Membership
7b93e6a1:150814fecb6:b68	Membership
http://www.semwebtech.org/mondial/10/island/Svalbard/	Island
7b93e6a1:150814fecb6:1ce5	Membership
7b93e6a1:150814fecb6:-625	Border
7b93e6a1:150814fecb6:2084	Membership
http://www.semwebtech.org/mondial/10/mountains/Harz/	Mountains
7b93e6a1:150814fecb6:796	Membership
7b93e6a1:150814fecb6:1c41	Membership
7b93e6a1:150814fecb6:2418	BelievedBy
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	City
7b93e6a1:150814fecb6:4e2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	City
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	City
7b93e6a1:150814fecb6:-ed	Membership
7b93e6a1:150814fecb6:-5d1	Membership
7b93e6a1:150814fecb6:117a	Membership
7b93e6a1:150814fecb6:2678	EthnicProportion
7b93e6a1:150814fecb6:ea8	Membership
7b93e6a1:150814fecb6:a70	Membership
http://www.semwebtech.org/mondial/10/island/SaoJorge/	Island
7b93e6a1:150814fecb6:150e	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	City
7b93e6a1:150814fecb6:23c4	BelievedBy
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	Water
7b93e6a1:150814fecb6:e04	Membership
7b93e6a1:150814fecb6:2320	BelievedBy
7b93e6a1:150814fecb6:176e	Membership
7b93e6a1:150814fecb6:33d	Membership
http://www.semwebtech.org/mondial/10/language/Siraiki/	Language
7b93e6a1:150814fecb6:14ba	Membership
7b93e6a1:150814fecb6:2580	EthnicProportion
7b93e6a1:150814fecb6:b7	Membership
7b93e6a1:150814fecb6:db0	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	City
7b93e6a1:150814fecb6:1aec	Membership
7b93e6a1:150814fecb6:-42c	Membership
7b93e6a1:150814fecb6:13	Membership
7b93e6a1:150814fecb6:59d	Membership
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	Mountain
http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/	Religion
7b93e6a1:150814fecb6:221f	SpokenBy
7b93e6a1:150814fecb6:-68c	Border
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	City
7b93e6a1:150814fecb6:247f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	City
7b93e6a1:150814fecb6:caf	Membership
7b93e6a1:150814fecb6:1336	Membership
http://www.semwebtech.org/mondial/10/organization/G-15/	Organization
7b93e6a1:150814fecb6:21cb	SpokenBy
7b93e6a1:150814fecb6:c0b	Membership
7b93e6a1:150814fecb6:8dd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	City
7b93e6a1:150814fecb6:1596	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	Mountain
http://www.semwebtech.org/mondial/10/source/Okavango/	Source
7b93e6a1:150814fecb6:e6b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Madurese/	EthnicGroup
7b93e6a1:150814fecb6:165	Membership
7b93e6a1:150814fecb6:12e2	Membership
7b93e6a1:150814fecb6:-2f8	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Banda/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	City
7b93e6a1:150814fecb6:-254	Membership
7b93e6a1:150814fecb6:1ca8	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Wolof/	EthnicGroup
7b93e6a1:150814fecb6:2047	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	EthnicGroup
7b93e6a1:150814fecb6:759	Membership
7b93e6a1:150814fecb6:1c04	Membership
7b93e6a1:150814fecb6:18d6	Membership
7b93e6a1:150814fecb6:7a	Membership
7b93e6a1:150814fecb6:4a5	Membership
7b93e6a1:150814fecb6:1832	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/	Province
7b93e6a1:150814fecb6:ad7	Membership
7b93e6a1:150814fecb6:401	Membership
7b93e6a1:150814fecb6:1e64	Membership
7b93e6a1:150814fecb6:113d	Membership
7b93e6a1:150814fecb6:a33	Membership
7b93e6a1:150814fecb6:1bb0	Membership
http://www.semwebtech.org/mondial/10/island/Corse/	Island
7b93e6a1:150814fecb6:661	Membership
7b93e6a1:150814fecb6:139d	Membership
7b93e6a1:150814fecb6:-7f4	Encompassed
http://www.semwebtech.org/mondial/10/organization/Caricom/	Organization
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/	Province
7b93e6a1:150814fecb6:c93	Membership
7b93e6a1:150814fecb6:-750	Encompassed
7b93e6a1:150814fecb6:25e7	EthnicProportion
7b93e6a1:150814fecb6:2543	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Shabelle/	Estuary
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	City
7b93e6a1:150814fecb6:1aaf	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	City
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	City
7b93e6a1:150814fecb6:-6	Membership
7b93e6a1:150814fecb6:9a1	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/	Province
7b93e6a1:150814fecb6:1a0b	Membership
7b93e6a1:150814fecb6:16dd	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Azerbaijani/	EthnicGroup
7b93e6a1:150814fecb6:fd3	Membership
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	Mountain
7b93e6a1:150814fecb6:2ac	Membership
7b93e6a1:150814fecb6:-64f	Border
7b93e6a1:150814fecb6:1c6b	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/	Province
7b93e6a1:150814fecb6:2075	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	City
7b93e6a1:150814fecb6:-5fb	Border
7b93e6a1:150814fecb6:a9a	Membership
7b93e6a1:150814fecb6:-94	Membership
7b93e6a1:150814fecb6:1559	Membership
7b93e6a1:150814fecb6:23ee	BelievedBy
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/	Province
7b93e6a1:150814fecb6:e2e	Membership
7b93e6a1:150814fecb6:1fab	Membership
7b93e6a1:150814fecb6:128	Membership
7b93e6a1:150814fecb6:12a5	Membership
7b93e6a1:150814fecb6:234a	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/CoastMountains/	Mountains
7b93e6a1:150814fecb6:1201	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	City
7b93e6a1:150814fecb6:-217	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/	Province
7b93e6a1:150814fecb6:388	Membership
7b93e6a1:150814fecb6:dda	Membership
7b93e6a1:150814fecb6:1461	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	City
7b93e6a1:150814fecb6:-477	Membership
7b93e6a1:150814fecb6:3d	Membership
7b93e6a1:150814fecb6:1a93	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	City
7b93e6a1:150814fecb6:-1c3	Membership
7b93e6a1:150814fecb6:1e27	Membership
7b93e6a1:150814fecb6:6c8	Membership
7b93e6a1:150814fecb6:290	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/	Province
7b93e6a1:150814fecb6:624	Membership
7b93e6a1:150814fecb6:17a1	Membership
7b93e6a1:150814fecb6:-7b7	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Lugbara/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/Japanese/	Language
7b93e6a1:150814fecb6:c56	Membership
http://www.semwebtech.org/mondial/10/river/Glomma/	Water
7b93e6a1:150814fecb6:1dd3	Membership
7b93e6a1:150814fecb6:-713	Border
7b93e6a1:150814fecb6:10ac	Membership
7b93e6a1:150814fecb6:2172	SpokenBy
http://www.semwebtech.org/mondial/10/mountains/Rhön/	Mountains
http://www.semwebtech.org/mondial/10/mountain/Olymp/	Mountain
7b93e6a1:150814fecb6:884	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	City
7b93e6a1:150814fecb6:2506	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	Estuary
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	City
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/	Province
7b93e6a1:150814fecb6:5d0	Membership
7b93e6a1:150814fecb6:18f	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	City
7b93e6a1:150814fecb6:-27e	Membership
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	City
7b93e6a1:150814fecb6:24b2	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	Water
7b93e6a1:150814fecb6:1c2e	Membership
7b93e6a1:150814fecb6:4cf	Membership
7b93e6a1:150814fecb6:185c	Membership
http://www.semwebtech.org/mondial/10/island/Impalila/	Island
7b93e6a1:150814fecb6:42b	Membership
7b93e6a1:150814fecb6:1e8e	Membership
7b93e6a1:150814fecb6:-5be	Membership
7b93e6a1:150814fecb6:1188	Membership
http://www.semwebtech.org/mondial/10/source/Pjandsh/	Source
7b93e6a1:150814fecb6:a5d	Membership
7b93e6a1:150814fecb6:1bda	Membership
7b93e6a1:150814fecb6:-57	Membership
7b93e6a1:150814fecb6:-51a	Membership
http://www.semwebtech.org/mondial/10/source/Kama/	Source
7b93e6a1:150814fecb6:68b	Membership
7b93e6a1:150814fecb6:230d	BelievedBy
7b93e6a1:150814fecb6:-77a	Encompassed
7b93e6a1:150814fecb6:256d	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Tambo/	Source
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	City
7b93e6a1:150814fecb6:14c8	Membership
7b93e6a1:150814fecb6:1090	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Amur/	Province
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	City
7b93e6a1:150814fecb6:1424	Membership
7b93e6a1:150814fecb6:9cb	Membership
7b93e6a1:150814fecb6:1a56	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Nepalese/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/Leine/	Estuary
7b93e6a1:150814fecb6:ffd	Membership
7b93e6a1:150814fecb6:2f7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	City
7b93e6a1:150814fecb6:1684	Membership
7b93e6a1:150814fecb6:253	Membership
7b93e6a1:150814fecb6:13d0	Membership
7b93e6a1:150814fecb6:-3e6	Membership
7b93e6a1:150814fecb6:787	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	City
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	City
7b93e6a1:150814fecb6:-342	Membership
7b93e6a1:150814fecb6:21d9	SpokenBy
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	City
7b93e6a1:150814fecb6:c19	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	City
http://www.semwebtech.org/mondial/10/language/Basque/	Language
7b93e6a1:150814fecb6:2135	SpokenBy
7b93e6a1:150814fecb6:847	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/	Province
7b93e6a1:150814fecb6:19c4	Membership
7b93e6a1:150814fecb6:e79	Membership
7b93e6a1:150814fecb6:1ff6	Membership
7b93e6a1:150814fecb6:1920	Membership
7b93e6a1:150814fecb6:12cf	Membership
7b93e6a1:150814fecb6:2395	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/	Mountain
7b93e6a1:150814fecb6:bc5	Membership
7b93e6a1:150814fecb6:20e1	Membership
7b93e6a1:150814fecb6:1f52	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	City
7b93e6a1:150814fecb6:122b	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/	Province
7b93e6a1:150814fecb6:b21	Membership
7b93e6a1:150814fecb6:7f3	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	City
7b93e6a1:150814fecb6:148b	Membership
7b93e6a1:150814fecb6:88	Membership
7b93e6a1:150814fecb6:d81	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	City
7b93e6a1:150814fecb6:181f	Membership
7b93e6a1:150814fecb6:-1ed	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	City
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	City
7b93e6a1:150814fecb6:2631	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	City
7b93e6a1:150814fecb6:64e	Membership
7b93e6a1:150814fecb6:17cb	Membership
7b93e6a1:150814fecb6:1dfd	Membership
7b93e6a1:150814fecb6:-73d	Encompassed
7b93e6a1:150814fecb6:10f7	Membership
7b93e6a1:150814fecb6:219c	SpokenBy
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	City
7b93e6a1:150814fecb6:1053	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/	Province
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	City
7b93e6a1:150814fecb6:5fa	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Danish/	EthnicGroup
7b93e6a1:150814fecb6:1a19	Membership
http://www.semwebtech.org/mondial/10/country/MK/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Province
7b93e6a1:150814fecb6:24dc	EthnicProportion
7b93e6a1:150814fecb6:1647	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/	Province
7b93e6a1:150814fecb6:f1c	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/	Province
7b93e6a1:150814fecb6:216	Membership
7b93e6a1:150814fecb6:1c79	Membership
7b93e6a1:150814fecb6:-3a9	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/	Province
7b93e6a1:150814fecb6:-305	Membership
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/	Province
7b93e6a1:150814fecb6:476	Membership
7b93e6a1:150814fecb6:15f3	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	City
7b93e6a1:150814fecb6:1c2	Membership
7b93e6a1:150814fecb6:-565	Membership
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	Estuary
7b93e6a1:150814fecb6:1fb9	Membership
7b93e6a1:150814fecb6:1b81	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/	Province
7b93e6a1:150814fecb6:-2b1	Membership
7b93e6a1:150814fecb6:2358	BelievedBy
7b93e6a1:150814fecb6:1f15	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	City
7b93e6a1:150814fecb6:20a4	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	City
7b93e6a1:150814fecb6:7b6	Membership
7b93e6a1:150814fecb6:2000	Membership
7b93e6a1:150814fecb6:de8	Membership
7b93e6a1:150814fecb6:712	Membership
7b93e6a1:150814fecb6:144e	Membership
7b93e6a1:150814fecb6:d44	Membership
7b93e6a1:150814fecb6:1ec1	Membership
7b93e6a1:150814fecb6:-801	Encompassed
7b93e6a1:150814fecb6:2260	BelievedBy
7b93e6a1:150814fecb6:972	Membership
7b93e6a1:150814fecb6:-10c	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	City
7b93e6a1:150814fecb6:27d	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/	Province
7b93e6a1:150814fecb6:13fa	Membership
7b93e6a1:150814fecb6:cf0	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	City
7b93e6a1:150814fecb6:-36c	Membership
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	Water
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	City
7b93e6a1:150814fecb6:25a0	EthnicProportion
7b93e6a1:150814fecb6:215f	SpokenBy
7b93e6a1:150814fecb6:1d1c	Membership
7b93e6a1:150814fecb6:19ee	Membership
7b93e6a1:150814fecb6:1016	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	City
http://www.semwebtech.org/mondial/10/river/Umeaelv/	Water
7b93e6a1:150814fecb6:5bd	Membership
7b93e6a1:150814fecb6:194a	Membership
7b93e6a1:150814fecb6:bef	Membership
7b93e6a1:150814fecb6:1f7c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/	Province
7b93e6a1:150814fecb6:-6ac	Border
7b93e6a1:150814fecb6:1276	Membership
7b93e6a1:150814fecb6:b4b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	City
http://www.semwebtech.org/mondial/10/island/Sansibar/	Island
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	City
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/	Province
7b93e6a1:150814fecb6:439	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	City
7b93e6a1:150814fecb6:-f1	Membership
7b93e6a1:150814fecb6:15b6	Membership
7b93e6a1:150814fecb6:-194	Membership
7b93e6a1:150814fecb6:265b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	City
http://www.semwebtech.org/mondial/10/estuary/Parana/	Estuary
7b93e6a1:150814fecb6:1be8	Membership
7b93e6a1:150814fecb6:1512	Membership
7b93e6a1:150814fecb6:-528	Membership
7b93e6a1:150814fecb6:699	Membership
7b93e6a1:150814fecb6:1b44	Membership
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	Water
7b93e6a1:150814fecb6:3e5	Membership
7b93e6a1:150814fecb6:1772	Membership
7b93e6a1:150814fecb6:-788	Encompassed
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	City
7b93e6a1:150814fecb6:341	Membership
7b93e6a1:150814fecb6:-4d4	Membership
7b93e6a1:150814fecb6:107d	Membership
7b93e6a1:150814fecb6:1af0	Membership
7b93e6a1:150814fecb6:-430	Membership
7b93e6a1:150814fecb6:22c7	BelievedBy
7b93e6a1:150814fecb6:d07	Membership
7b93e6a1:150814fecb6:9d9	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	City
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	City
7b93e6a1:150814fecb6:2223	SpokenBy
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	City
7b93e6a1:150814fecb6:935	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/SouthUist/	Island
7b93e6a1:150814fecb6:-690	Border
7b93e6a1:150814fecb6:f67	Membership
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	City
7b93e6a1:150814fecb6:13bd	Membership
7b93e6a1:150814fecb6:2483	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	EthnicGroup
7b93e6a1:150814fecb6:cb3	Membership
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	Island
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	City
7b93e6a1:150814fecb6:-32f	Membership
http://www.semwebtech.org/mondial/10/organization/OIC/	Organization
7b93e6a1:150814fecb6:8e1	Membership
http://www.semwebtech.org/mondial/10/country/SMAR/	Country
7b93e6a1:150814fecb6:1ec	Membership
7b93e6a1:150814fecb6:-58f	Membership
http://www.semwebtech.org/mondial/10/estuary/Tara/	Estuary
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	City
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	City
7b93e6a1:150814fecb6:8	Membership
http://www.semwebtech.org/mondial/10/language/Luxembourgish/	Language
7b93e6a1:150814fecb6:190d	Membership
7b93e6a1:150814fecb6:-2db	Membership
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	Estuary
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	City
7b93e6a1:150814fecb6:1f3f	Membership
7b93e6a1:150814fecb6:1239	Membership
7b93e6a1:150814fecb6:20ce	Membership
7b93e6a1:150814fecb6:b0e	Membership
http://www.semwebtech.org/mondial/10/island/Sylt/	Island
7b93e6a1:150814fecb6:202a	Membership
7b93e6a1:150814fecb6:73c	Membership
7b93e6a1:150814fecb6:1499	Membership
7b93e6a1:150814fecb6:d6e	Membership
7b93e6a1:150814fecb6:1eeb	Membership
7b93e6a1:150814fecb6:228a	BelievedBy
7b93e6a1:150814fecb6:11e5	Membership
7b93e6a1:150814fecb6:aba	Membership
7b93e6a1:150814fecb6:99c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/	Province
7b93e6a1:150814fecb6:-b4	Membership
7b93e6a1:150814fecb6:1141	Membership
7b93e6a1:150814fecb6:-157	Membership
7b93e6a1:150814fecb6:261e	EthnicProportion
7b93e6a1:150814fecb6:-10	Membership
7b93e6a1:150814fecb6:1b07	Membership
7b93e6a1:150814fecb6:17d9	Membership
7b93e6a1:150814fecb6:3a8	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Maori/	EthnicGroup
7b93e6a1:150814fecb6:1735	Membership
7b93e6a1:150814fecb6:25ca	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	City
7b93e6a1:150814fecb6:304	Membership
7b93e6a1:150814fecb6:1d67	Membership
7b93e6a1:150814fecb6:1ab3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/	Province
7b93e6a1:150814fecb6:1995	Membership
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	City
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/	Province
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	City
7b93e6a1:150814fecb6:16e1	Membership
7b93e6a1:150814fecb6:564	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	City
7b93e6a1:150814fecb6:-6f7	Border
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	City
7b93e6a1:150814fecb6:b96	Membership
7b93e6a1:150814fecb6:2b0	Membership
7b93e6a1:150814fecb6:-653	Border
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	City
7b93e6a1:150814fecb6:2446	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Main/	Estuary
http://www.semwebtech.org/mondial/10/source/Lech/	Source
7b93e6a1:150814fecb6:8a4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	City
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	City
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	City
7b93e6a1:150814fecb6:ed6	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	City
7b93e6a1:150814fecb6:800	Membership
7b93e6a1:150814fecb6:1af	Membership
7b93e6a1:150814fecb6:153c	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	City
7b93e6a1:150814fecb6:23f2	BelievedBy
7b93e6a1:150814fecb6:e32	Membership
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	City
http://www.semwebtech.org/mondial/10/religion/Methodist/	Religion
7b93e6a1:150814fecb6:10b	Membership
7b93e6a1:150814fecb6:1b6e	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	City
7b93e6a1:150814fecb6:179c	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	City
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	City
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	City
7b93e6a1:150814fecb6:36b	Membership
7b93e6a1:150814fecb6:-4fe	Membership
7b93e6a1:150814fecb6:e5	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	City
7b93e6a1:150814fecb6:-45a	Membership
7b93e6a1:150814fecb6:41	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	City
7b93e6a1:150814fecb6:1eae	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	City
7b93e6a1:150814fecb6:11a8	Membership
7b93e6a1:150814fecb6:224d	BelievedBy
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/	Province
7b93e6a1:150814fecb6:95f	Membership
7b93e6a1:150814fecb6:1e0a	Membership
7b93e6a1:150814fecb6:1104	Membership
7b93e6a1:150814fecb6:6ab	Membership
http://www.semwebtech.org/mondial/10/source/Douro/	Source
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	City
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/	Province
7b93e6a1:150814fecb6:cdd	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	EthnicGroup
7b93e6a1:150814fecb6:1364	Membership
7b93e6a1:150814fecb6:10b0	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	City
7b93e6a1:150814fecb6:193	Membership
7b93e6a1:150814fecb6:1958	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	City
7b93e6a1:150814fecb6:527	Membership
7b93e6a1:150814fecb6:16a4	Membership
7b93e6a1:150814fecb6:-282	Membership
7b93e6a1:150814fecb6:b59	Membership
7b93e6a1:150814fecb6:1cd6	Membership
7b93e6a1:150814fecb6:1600	Membership
7b93e6a1:150814fecb6:-616	Border
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/	Province
7b93e6a1:150814fecb6:1c32	Membership
7b93e6a1:150814fecb6:2409	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/	Mountain
7b93e6a1:150814fecb6:4d3	Membership
7b93e6a1:150814fecb6:1860	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	City
7b93e6a1:150814fecb6:1e92	Membership
7b93e6a1:150814fecb6:-de	Membership
7b93e6a1:150814fecb6:-5c2	Membership
7b93e6a1:150814fecb6:116b	Membership
7b93e6a1:150814fecb6:2669	EthnicProportion
7b93e6a1:150814fecb6:a61	Membership
7b93e6a1:150814fecb6:-3a	Membership
7b93e6a1:150814fecb6:23b5	BelievedBy
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/	Province
7b93e6a1:150814fecb6:2311	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Mountains
http://www.semwebtech.org/mondial/10/country/CV/	Country
http://www.semwebtech.org/mondial/10/estuary/Naryn/	Estuary
7b93e6a1:150814fecb6:175f	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	City
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	Estuary
7b93e6a1:150814fecb6:32e	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	City
7b93e6a1:150814fecb6:14ab	Membership
7b93e6a1:150814fecb6:2571	EthnicProportion
7b93e6a1:150814fecb6:a8	Membership
7b93e6a1:150814fecb6:da1	Membership
7b93e6a1:150814fecb6:1add	Membership
7b93e6a1:150814fecb6:-41d	Membership
7b93e6a1:150814fecb6:58e	Membership
7b93e6a1:150814fecb6:2da	Membership
http://www.semwebtech.org/mondial/10/source/Oulujoki/	Source
7b93e6a1:150814fecb6:-67d	Border
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	City
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	City
http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Mountains
7b93e6a1:150814fecb6:1327	Membership
7b93e6a1:150814fecb6:21bc	SpokenBy
7b93e6a1:150814fecb6:8ce	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/	Province
7b93e6a1:150814fecb6:82a	Membership
7b93e6a1:150814fecb6:1587	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	City
7b93e6a1:150814fecb6:e5c	Membership
7b93e6a1:150814fecb6:156	Membership
7b93e6a1:150814fecb6:12d3	Membership
7b93e6a1:150814fecb6:-2e9	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	City
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/	Province
7b93e6a1:150814fecb6:-245	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	City
http://www.semwebtech.org/mondial/10/river/Po/	Water
7b93e6a1:150814fecb6:2038	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	City
7b93e6a1:150814fecb6:18c7	Membership
7b93e6a1:150814fecb6:6b	Membership
7b93e6a1:150814fecb6:1ef9	Membership
http://www.semwebtech.org/mondial/10/organization/UN/	Organization
7b93e6a1:150814fecb6:1823	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	City
7b93e6a1:150814fecb6:-1f1	Membership
7b93e6a1:150814fecb6:2298	BelievedBy
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	City
7b93e6a1:150814fecb6:ac8	Membership
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	Estuary
7b93e6a1:150814fecb6:1e55	Membership
http://www.semwebtech.org/mondial/10/river/Tennessee/	Water
7b93e6a1:150814fecb6:112e	Membership
http://www.semwebtech.org/mondial/10/island/Borneo/	Island
7b93e6a1:150814fecb6:6f6	Membership
7b93e6a1:150814fecb6:a24	Membership
7b93e6a1:150814fecb6:1ba1	Membership
7b93e6a1:150814fecb6:138e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	City
7b93e6a1:150814fecb6:652	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	City
7b93e6a1:150814fecb6:-7e5	Encompassed
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	City
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	City
7b93e6a1:150814fecb6:c84	Membership
7b93e6a1:150814fecb6:-741	Encompassed
7b93e6a1:150814fecb6:10da	Membership
7b93e6a1:150814fecb6:25d8	EthnicProportion
http://www.semwebtech.org/mondial/10/country/I/province/Marche/	Province
7b93e6a1:150814fecb6:2534	EthnicProportion
7b93e6a1:150814fecb6:16ce	Membership
7b93e6a1:150814fecb6:fc4	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	City
7b93e6a1:150814fecb6:24e0	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	Desert
7b93e6a1:150814fecb6:162a	Membership
7b93e6a1:150814fecb6:209f	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	City
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/	Province
7b93e6a1:150814fecb6:f20	Membership
7b93e6a1:150814fecb6:1c5c	Membership
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	City
http://www.semwebtech.org/mondial/10/river/Luapula/	Water
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/BlackMaur/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	City
7b93e6a1:150814fecb6:4fd	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	City
7b93e6a1:150814fecb6:188a	Membership
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	Water
http://www.semwebtech.org/mondial/10/island/Zakynthos/	Island
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	City
7b93e6a1:150814fecb6:-5ec	Border
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	Estuary
7b93e6a1:150814fecb6:a8b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	City
7b93e6a1:150814fecb6:-85	Membership
http://www.semwebtech.org/mondial/10/language/Greek/	Language
7b93e6a1:150814fecb6:23df	BelievedBy
7b93e6a1:150814fecb6:e1f	Membership
7b93e6a1:150814fecb6:119	Membership
http://www.semwebtech.org/mondial/10/island/Tortola/	Island
7b93e6a1:150814fecb6:233b	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	City
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	Water
7b93e6a1:150814fecb6:-208	Membership
7b93e6a1:150814fecb6:379	Membership
7b93e6a1:150814fecb6:14f6	Membership
http://www.semwebtech.org/mondial/10/mountain/Kailash/	Mountain
7b93e6a1:150814fecb6:259b	EthnicProportion
7b93e6a1:150814fecb6:dcb	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	City
7b93e6a1:150814fecb6:1452	Membership
7b93e6a1:150814fecb6:-468	Membership
7b93e6a1:150814fecb6:2e	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	City
7b93e6a1:150814fecb6:1a84	Membership
7b93e6a1:150814fecb6:-1b4	Membership
7b93e6a1:150814fecb6:1e18	Membership
7b93e6a1:150814fecb6:-110	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/	Province
7b93e6a1:150814fecb6:6b9	Membership
7b93e6a1:150814fecb6:281	Membership
http://www.semwebtech.org/mondial/10/language/Hebrew/	Language
7b93e6a1:150814fecb6:615	Membership
7b93e6a1:150814fecb6:-7a8	Encompassed
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	City
7b93e6a1:150814fecb6:-370	Membership
7b93e6a1:150814fecb6:c47	Membership
7b93e6a1:150814fecb6:1dc4	Membership
7b93e6a1:150814fecb6:-704	Border
7b93e6a1:150814fecb6:2163	SpokenBy
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	Water
7b93e6a1:150814fecb6:1d20	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	City
7b93e6a1:150814fecb6:875	Membership
7b93e6a1:150814fecb6:19f2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	City
7b93e6a1:150814fecb6:5c1	Membership
7b93e6a1:150814fecb6:12fd	Membership
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	City
7b93e6a1:150814fecb6:bf3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	City
7b93e6a1:150814fecb6:1f80	Membership
7b93e6a1:150814fecb6:-6b0	Border
7b93e6a1:150814fecb6:-26f	Membership
http://www.semwebtech.org/mondial/10/river/Rhone/	Water
7b93e6a1:150814fecb6:24a3	EthnicProportion
7b93e6a1:150814fecb6:1c1f	Membership
http://www.semwebtech.org/mondial/10/river/Bani/	Water
http://www.semwebtech.org/mondial/10/organization/EBRD/	Organization
7b93e6a1:150814fecb6:184d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	EthnicGroup
7b93e6a1:150814fecb6:41c	Membership
7b93e6a1:150814fecb6:1e7f	Membership
7b93e6a1:150814fecb6:-5af	Membership
7b93e6a1:150814fecb6:1179	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	City
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	City
7b93e6a1:150814fecb6:a4e	Membership
7b93e6a1:150814fecb6:1bcb	Membership
7b93e6a1:150814fecb6:-48	Membership
7b93e6a1:150814fecb6:-50b	Membership
7b93e6a1:150814fecb6:67c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	City
7b93e6a1:150814fecb6:-76b	Encompassed
http://www.semwebtech.org/mondial/10/country/GUY/	Country
7b93e6a1:150814fecb6:14b9	Membership
7b93e6a1:150814fecb6:1081	Membership
7b93e6a1:150814fecb6:255e	EthnicProportion
http://www.semwebtech.org/mondial/10/religion/UnitingChurchAustralia/	Religion
7b93e6a1:150814fecb6:1415	Membership
7b93e6a1:150814fecb6:22aa	BelievedBy
7b93e6a1:150814fecb6:9bc	Membership
http://www.semwebtech.org/mondial/10/river/Karun/	Water
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	City
7b93e6a1:150814fecb6:1a47	Membership
http://www.semwebtech.org/mondial/10/mountain/K2/	Mountain
7b93e6a1:150814fecb6:fee	Membership
7b93e6a1:150814fecb6:2e8	Membership
7b93e6a1:150814fecb6:1675	Membership
7b93e6a1:150814fecb6:f4a	Membership
7b93e6a1:150814fecb6:244	Membership
7b93e6a1:150814fecb6:13c1	Membership
7b93e6a1:150814fecb6:-3d7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	City
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/	Province
7b93e6a1:150814fecb6:-333	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Yezidi/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/	Province
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	Mountain
7b93e6a1:150814fecb6:2126	SpokenBy
7b93e6a1:150814fecb6:838	Membership
7b93e6a1:150814fecb6:1f0	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	City
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/	Province
7b93e6a1:150814fecb6:19b5	Membership
7b93e6a1:150814fecb6:-593	Membership
7b93e6a1:150814fecb6:1fe7	Membership
7b93e6a1:150814fecb6:1911	Membership
7b93e6a1:150814fecb6:2386	BelievedBy
7b93e6a1:150814fecb6:bb6	Membership
7b93e6a1:150814fecb6:1f43	Membership
http://www.semwebtech.org/mondial/10/river/Urubamba/	Water
7b93e6a1:150814fecb6:121c	Membership
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	Water
7b93e6a1:150814fecb6:20d2	Membership
7b93e6a1:150814fecb6:b12	Membership
7b93e6a1:150814fecb6:7e4	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	City
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	Mountain
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	City
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	City
7b93e6a1:150814fecb6:740	Membership
7b93e6a1:150814fecb6:147c	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	City
7b93e6a1:150814fecb6:79	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/	Province
7b93e6a1:150814fecb6:d72	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	City
7b93e6a1:150814fecb6:-1de	Membership
7b93e6a1:150814fecb6:26c6	EthnicProportion
7b93e6a1:150814fecb6:-13a	Membership
7b93e6a1:150814fecb6:2622	EthnicProportion
7b93e6a1:150814fecb6:63f	Membership
7b93e6a1:150814fecb6:17bc	Membership
7b93e6a1:150814fecb6:-39a	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	EthnicGroup
7b93e6a1:150814fecb6:1dee	Membership
7b93e6a1:150814fecb6:-72e	Encompassed
7b93e6a1:150814fecb6:10e8	Membership
7b93e6a1:150814fecb6:218d	SpokenBy
http://www.semwebtech.org/mondial/10/source/Chatanga/	Source
7b93e6a1:150814fecb6:89f	Membership
7b93e6a1:150814fecb6:1d4a	Membership
7b93e6a1:150814fecb6:1044	Membership
7b93e6a1:150814fecb6:5eb	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	City
http://www.semwebtech.org/mondial/10/country/COCO/	Country
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	City
7b93e6a1:150814fecb6:-6da	Border
7b93e6a1:150814fecb6:1638	Membership
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	Province
7b93e6a1:150814fecb6:24cd	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Aller/	Estuary
7b93e6a1:150814fecb6:f0d	Membership
7b93e6a1:150814fecb6:207	Membership
7b93e6a1:150814fecb6:1898	Membership
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	Mountain
http://www.semwebtech.org/mondial/10/island/Sumatra/	Island
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	City
7b93e6a1:150814fecb6:467	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	City
7b93e6a1:150814fecb6:15e4	Membership
7b93e6a1:150814fecb6:1540	Membership
7b93e6a1:150814fecb6:a99	Membership
7b93e6a1:150814fecb6:1b3	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/	Province
7b93e6a1:150814fecb6:-556	Membership
http://www.semwebtech.org/mondial/10/language/Turkic/	Language
7b93e6a1:150814fecb6:1b72	Membership
7b93e6a1:150814fecb6:-2a2	Membership
7b93e6a1:150814fecb6:2349	BelievedBy
7b93e6a1:150814fecb6:18aa	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	City
7b93e6a1:150814fecb6:1f06	Membership
7b93e6a1:150814fecb6:7a7	Membership
http://www.semwebtech.org/mondial/10/island/Cyprus/	Island
7b93e6a1:150814fecb6:dd9	Membership
7b93e6a1:150814fecb6:703	Membership
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	Water
7b93e6a1:150814fecb6:143f	Membership
7b93e6a1:150814fecb6:22f5	BelievedBy
7b93e6a1:150814fecb6:d35	Membership
7b93e6a1:150814fecb6:1eb2	Membership
7b93e6a1:150814fecb6:2251	BelievedBy
http://www.semwebtech.org/mondial/10/country/BZ/	Country
7b93e6a1:150814fecb6:963	Membership
7b93e6a1:150814fecb6:169f	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	City
7b93e6a1:150814fecb6:f95	Membership
http://www.semwebtech.org/mondial/10/organization/EFTA/	Organization
7b93e6a1:150814fecb6:26e	Membership
7b93e6a1:150814fecb6:13eb	Membership
http://www.semwebtech.org/mondial/10/sea/SuluSea/	Water
7b93e6a1:150814fecb6:ce1	Membership
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	City
7b93e6a1:150814fecb6:-35d	Membership
7b93e6a1:150814fecb6:1d0d	Membership
7b93e6a1:150814fecb6:19df	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/	Province
7b93e6a1:150814fecb6:1007	Membership
7b93e6a1:150814fecb6:5ae	Membership
7b93e6a1:150814fecb6:193b	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/	Province
7b93e6a1:150814fecb6:50a	Membership
7b93e6a1:150814fecb6:1f6d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Amhara/	EthnicGroup
7b93e6a1:150814fecb6:1267	Membership
7b93e6a1:150814fecb6:20fc	Membership
7b93e6a1:150814fecb6:b3c	Membership
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	Island
http://www.semwebtech.org/mondial/10/estuary/Ural/	Estuary
7b93e6a1:150814fecb6:76a	Membership
http://www.semwebtech.org/mondial/10/source/Donau/	Source
7b93e6a1:150814fecb6:d9c	Membership
7b93e6a1:150814fecb6:-e2	Membership
7b93e6a1:150814fecb6:15a7	Membership
7b93e6a1:150814fecb6:-185	Membership
7b93e6a1:150814fecb6:264c	EthnicProportion
7b93e6a1:150814fecb6:1bd9	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	City
7b93e6a1:150814fecb6:1503	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	City
7b93e6a1:150814fecb6:-519	Membership
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	Estuary
7b93e6a1:150814fecb6:1b35	Membership
http://www.semwebtech.org/mondial/10/river/Lukenie/	Water
7b93e6a1:150814fecb6:3d6	Membership
7b93e6a1:150814fecb6:1763	Membership
7b93e6a1:150814fecb6:-779	Encompassed
http://www.semwebtech.org/mondial/10/country/LAO/	Country
7b93e6a1:150814fecb6:332	Membership
7b93e6a1:150814fecb6:1d95	Membership
7b93e6a1:150814fecb6:-4c5	Membership
7b93e6a1:150814fecb6:106e	Membership
7b93e6a1:150814fecb6:1ae1	Membership
http://www.semwebtech.org/mondial/10/country/TL/	Country
7b93e6a1:150814fecb6:-421	Membership
7b93e6a1:150814fecb6:22b8	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Tahan/	Mountain
7b93e6a1:150814fecb6:592	Membership
7b93e6a1:150814fecb6:2214	SpokenBy
7b93e6a1:150814fecb6:926	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/	Province
7b93e6a1:150814fecb6:-681	Border
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	City
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	City
7b93e6a1:150814fecb6:f58	Membership
7b93e6a1:150814fecb6:13ae	Membership
http://www.semwebtech.org/mondial/10/country/TAD/	Country
7b93e6a1:150814fecb6:2474	EthnicProportion
7b93e6a1:150814fecb6:ca4	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	City
7b93e6a1:150814fecb6:130a	Membership
7b93e6a1:150814fecb6:21c0	SpokenBy
7b93e6a1:150814fecb6:c00	Membership
7b93e6a1:150814fecb6:8d2	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	City
7b93e6a1:150814fecb6:1dd	Membership
7b93e6a1:150814fecb6:156a	Membership
http://www.semwebtech.org/mondial/10/island/Timor/	Island
7b93e6a1:150814fecb6:e60	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	City
7b93e6a1:150814fecb6:1b9c	Membership
7b93e6a1:150814fecb6:-2cc	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/HanChinese/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/	Province
7b93e6a1:150814fecb6:20bf	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	City
7b93e6a1:150814fecb6:201b	Membership
7b93e6a1:150814fecb6:72d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tamil/	EthnicGroup
7b93e6a1:150814fecb6:d5f	Membership
7b93e6a1:150814fecb6:1edc	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	City
7b93e6a1:150814fecb6:11d6	Membership
7b93e6a1:150814fecb6:227b	BelievedBy
7b93e6a1:150814fecb6:aab	Membership
7b93e6a1:150814fecb6:98d	Membership
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	City
7b93e6a1:150814fecb6:-a5	Membership
7b93e6a1:150814fecb6:1132	Membership
7b93e6a1:150814fecb6:-148	Membership
7b93e6a1:150814fecb6:260f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	City
7b93e6a1:150814fecb6:1392	Membership
http://www.semwebtech.org/mondial/10/country/K/	Country
7b93e6a1:150814fecb6:1726	Membership
7b93e6a1:150814fecb6:25bb	EthnicProportion
7b93e6a1:150814fecb6:1d58	Membership
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	City
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	City
7b93e6a1:150814fecb6:5f9	Membership
7b93e6a1:150814fecb6:1aa4	Membership
7b93e6a1:150814fecb6:1986	Membership
http://www.semwebtech.org/mondial/10/river/Zaire/	Water
7b93e6a1:150814fecb6:1a00	Membership
7b93e6a1:150814fecb6:555	Membership
7b93e6a1:150814fecb6:16d2	Membership
7b93e6a1:150814fecb6:-6e8	Border
7b93e6a1:150814fecb6:b87	Membership
7b93e6a1:150814fecb6:2a1	Membership
7b93e6a1:150814fecb6:-644	Border
http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/	Mountains
7b93e6a1:150814fecb6:1c60	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	City
7b93e6a1:150814fecb6:2437	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Adda/	Estuary
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/	Province
7b93e6a1:150814fecb6:-5f0	Border
7b93e6a1:150814fecb6:2697	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Zhima/	Mountain
7b93e6a1:150814fecb6:ec7	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/	Province
7b93e6a1:150814fecb6:152d	Membership
7b93e6a1:150814fecb6:23e3	BelievedBy
7b93e6a1:150814fecb6:e23	Membership
7b93e6a1:150814fecb6:1fa0	Membership
7b93e6a1:150814fecb6:1b5f	Membership
7b93e6a1:150814fecb6:178d	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	City
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	City
http://www.semwebtech.org/mondial/10/country/RCA/	Country
7b93e6a1:150814fecb6:35c	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/	Province
7b93e6a1:150814fecb6:-4ef	Membership
7b93e6a1:150814fecb6:d6	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	City
7b93e6a1:150814fecb6:-44b	Membership
7b93e6a1:150814fecb6:32	Membership
7b93e6a1:150814fecb6:223e	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/	Province
7b93e6a1:150814fecb6:13f9	Membership
7b93e6a1:150814fecb6:249e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/	Province
7b93e6a1:150814fecb6:cce	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	City
http://www.semwebtech.org/mondial/10/language/Danish/	Language
7b93e6a1:150814fecb6:1355	Membership
7b93e6a1:150814fecb6:21ea	SpokenBy
7b93e6a1:150814fecb6:c2a	Membership
7b93e6a1:150814fecb6:8fc	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	City
7b93e6a1:150814fecb6:10a1	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/	Province
http://www.semwebtech.org/mondial/10/language/Montenegrin/	Language
http://www.semwebtech.org/mondial/10/mountains/Andes/	Mountains
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	City
http://www.semwebtech.org/mondial/10/organization/BIS/	Organization
7b93e6a1:150814fecb6:e8a	Membership
7b93e6a1:150814fecb6:1949	Membership
7b93e6a1:150814fecb6:184	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	City
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	City
7b93e6a1:150814fecb6:518	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	City
7b93e6a1:150814fecb6:-273	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	City
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	Island
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	City
7b93e6a1:150814fecb6:1cc7	Membership
http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/	Continent
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	City
7b93e6a1:150814fecb6:-607	Border
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	City
7b93e6a1:150814fecb6:2066	Membership
7b93e6a1:150814fecb6:778	Membership
7b93e6a1:150814fecb6:1c23	Membership
7b93e6a1:150814fecb6:18f5	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	City
7b93e6a1:150814fecb6:4c4	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	City
7b93e6a1:150814fecb6:1851	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	City
http://www.semwebtech.org/mondial/10/religion/Christian/	Religion
http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/	Mountains
7b93e6a1:150814fecb6:1e83	Membership
7b93e6a1:150814fecb6:af6	Membership
7b93e6a1:150814fecb6:420	Membership
7b93e6a1:150814fecb6:-cf	Membership
7b93e6a1:150814fecb6:-5b3	Membership
7b93e6a1:150814fecb6:115c	Membership
7b93e6a1:150814fecb6:a52	Membership
7b93e6a1:150814fecb6:-2b	Membership
7b93e6a1:150814fecb6:23a6	BelievedBy
7b93e6a1:150814fecb6:680	Membership
7b93e6a1:150814fecb6:2302	BelievedBy
http://www.semwebtech.org/mondial/10/country/BRN/	Country
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	City
7b93e6a1:150814fecb6:31f	Membership
7b93e6a1:150814fecb6:2562	EthnicProportion
7b93e6a1:150814fecb6:1ace	Membership
7b93e6a1:150814fecb6:-40e	Membership
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	Mountain
7b93e6a1:150814fecb6:9c0	Membership
7b93e6a1:150814fecb6:57f	Membership
7b93e6a1:150814fecb6:1a2a	Membership
7b93e6a1:150814fecb6:16fc	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	City
7b93e6a1:150814fecb6:ff2	Membership
7b93e6a1:150814fecb6:2cb	Membership
7b93e6a1:150814fecb6:-66e	Border
7b93e6a1:150814fecb6:1c8a	Membership
7b93e6a1:150814fecb6:-3ba	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	City
http://www.semwebtech.org/mondial/10/language/Dungun/	Language
7b93e6a1:150814fecb6:1318	Membership
http://www.semwebtech.org/mondial/10/source/Volta/	Source
7b93e6a1:150814fecb6:21ad	SpokenBy
7b93e6a1:150814fecb6:8bf	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	City
7b93e6a1:150814fecb6:81b	Membership
7b93e6a1:150814fecb6:1578	Membership
7b93e6a1:150814fecb6:1fca	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	City
7b93e6a1:150814fecb6:e4d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	City
7b93e6a1:150814fecb6:147	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	City
7b93e6a1:150814fecb6:12c4	Membership
http://www.semwebtech.org/mondial/10/river/Lukuga/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	City
7b93e6a1:150814fecb6:1220	Membership
7b93e6a1:150814fecb6:-236	Membership
http://www.semwebtech.org/mondial/10/river/Huallaga/	Water
http://www.semwebtech.org/mondial/10/river/Mississippi/	Water
7b93e6a1:150814fecb6:2029	Membership
7b93e6a1:150814fecb6:18b8	Membership
7b93e6a1:150814fecb6:1480	Membership
7b93e6a1:150814fecb6:-496	Membership
7b93e6a1:150814fecb6:5c	Membership
7b93e6a1:150814fecb6:1814	Membership
7b93e6a1:150814fecb6:-1e2	Membership
7b93e6a1:150814fecb6:2289	BelievedBy
http://www.semwebtech.org/mondial/10/island/Rhum/	Island
7b93e6a1:150814fecb6:ab9	Membership
7b93e6a1:150814fecb6:1e46	Membership
7b93e6a1:150814fecb6:111f	Membership
7b93e6a1:150814fecb6:6e7	Membership
7b93e6a1:150814fecb6:a15	Membership
http://www.semwebtech.org/mondial/10/estuary/Amur/	Estuary
http://www.semwebtech.org/mondial/10/river/Uelle/	Water
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/	Province
7b93e6a1:150814fecb6:643	Membership
7b93e6a1:150814fecb6:17c0	Membership
7b93e6a1:150814fecb6:-7d6	Encompassed
7b93e6a1:150814fecb6:137f	Membership
http://www.semwebtech.org/mondial/10/island/Panay/	Island
7b93e6a1:150814fecb6:25c9	EthnicProportion
7b93e6a1:150814fecb6:c75	Membership
http://www.semwebtech.org/mondial/10/source/Oder/	Source
7b93e6a1:150814fecb6:1df2	Membership
7b93e6a1:150814fecb6:-732	Encompassed
7b93e6a1:150814fecb6:10cb	Membership
7b93e6a1:150814fecb6:2191	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	City
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	City
7b93e6a1:150814fecb6:2525	EthnicProportion
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	Water
http://www.semwebtech.org/mondial/10/language/Kyrgyz/	Language
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	Mountain
http://www.semwebtech.org/mondial/10/lake/LakeToba/	Water
7b93e6a1:150814fecb6:16bf	Membership
7b93e6a1:150814fecb6:-29d	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	City
7b93e6a1:150814fecb6:fb5	Membership
7b93e6a1:150814fecb6:161b	Membership
7b93e6a1:150814fecb6:24d1	EthnicProportion
7b93e6a1:150814fecb6:f11	Membership
7b93e6a1:150814fecb6:1c4d	Membership
7b93e6a1:150814fecb6:4ee	Membership
7b93e6a1:150814fecb6:187b	Membership
7b93e6a1:150814fecb6:44a	Membership
7b93e6a1:150814fecb6:-5dd	Border
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	City
7b93e6a1:150814fecb6:a7c	Membership
7b93e6a1:150814fecb6:-76	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/	Province
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	Water
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	City
7b93e6a1:150814fecb6:232c	BelievedBy
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	Water
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	City
7b93e6a1:150814fecb6:14e7	Membership
7b93e6a1:150814fecb6:258c	EthnicProportion
7b93e6a1:150814fecb6:dbc	Membership
7b93e6a1:150814fecb6:1443	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	City
7b93e6a1:150814fecb6:-459	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	City
7b93e6a1:150814fecb6:1f	Membership
7b93e6a1:150814fecb6:9ea	Membership
7b93e6a1:150814fecb6:1a75	Membership
7b93e6a1:150814fecb6:-1a5	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/	Province
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	City
7b93e6a1:150814fecb6:1e09	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	City
7b93e6a1:150814fecb6:-101	Membership
7b93e6a1:150814fecb6:272	Membership
7b93e6a1:150814fecb6:606	Membership
http://www.semwebtech.org/mondial/10/country/SP/	Country
7b93e6a1:150814fecb6:-361	Membership
7b93e6a1:150814fecb6:21f8	SpokenBy
7b93e6a1:150814fecb6:1db5	Membership
7b93e6a1:150814fecb6:c38	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	City
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/	Province
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	Desert
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	City
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	City
7b93e6a1:150814fecb6:2154	SpokenBy
7b93e6a1:150814fecb6:866	Membership
7b93e6a1:150814fecb6:1d11	Membership
7b93e6a1:150814fecb6:19e3	Membership
http://www.semwebtech.org/mondial/10/island/Providenciales/	Island
7b93e6a1:150814fecb6:e98	Membership
7b93e6a1:150814fecb6:5b2	Membership
7b93e6a1:150814fecb6:12ee	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	City
7b93e6a1:150814fecb6:be4	Membership
7b93e6a1:150814fecb6:1f71	Membership
7b93e6a1:150814fecb6:-6a1	Border
7b93e6a1:150814fecb6:124a	Membership
7b93e6a1:150814fecb6:b40	Membership
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	City
http://www.semwebtech.org/mondial/10/estuary/Jordan/	Estuary
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	City
7b93e6a1:150814fecb6:183e	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	City
7b93e6a1:150814fecb6:40d	Membership
7b93e6a1:150814fecb6:2650	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	Estuary
7b93e6a1:150814fecb6:a3f	Membership
7b93e6a1:150814fecb6:1bbc	Membership
7b93e6a1:150814fecb6:-39	Membership
7b93e6a1:150814fecb6:66d	Membership
7b93e6a1:150814fecb6:17ea	Membership
7b93e6a1:150814fecb6:c9f	Membership
7b93e6a1:150814fecb6:-75c	Encompassed
7b93e6a1:150814fecb6:254f	EthnicProportion
7b93e6a1:150814fecb6:1072	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/	Province
http://www.semwebtech.org/mondial/10/river/Ili/	Water
7b93e6a1:150814fecb6:1406	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/	Province
7b93e6a1:150814fecb6:9ad	Membership
7b93e6a1:150814fecb6:1a38	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	City
http://www.semwebtech.org/mondial/10/source/Limmat/	Source
7b93e6a1:150814fecb6:fdf	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	City
7b93e6a1:150814fecb6:2d9	Membership
7b93e6a1:150814fecb6:24fb	EthnicProportion
7b93e6a1:150814fecb6:1666	Membership
7b93e6a1:150814fecb6:1c98	Membership
7b93e6a1:150814fecb6:13b2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	City
7b93e6a1:150814fecb6:f3b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	City
7b93e6a1:150814fecb6:235	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	City
7b93e6a1:150814fecb6:-3c8	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/	Province
7b93e6a1:150814fecb6:-324	Membership
7b93e6a1:150814fecb6:495	Membership
7b93e6a1:150814fecb6:2117	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/	Province
7b93e6a1:150814fecb6:829	Membership
7b93e6a1:150814fecb6:1e1	Membership
7b93e6a1:150814fecb6:19a6	Membership
7b93e6a1:150814fecb6:-584	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	City
7b93e6a1:150814fecb6:1fd8	Membership
7b93e6a1:150814fecb6:1902	Membership
7b93e6a1:150814fecb6:-2d0	Membership
7b93e6a1:150814fecb6:2377	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	Mountain
7b93e6a1:150814fecb6:ba7	Membership
7b93e6a1:150814fecb6:1f34	Membership
7b93e6a1:150814fecb6:120d	Membership
7b93e6a1:150814fecb6:20c3	Membership
7b93e6a1:150814fecb6:b03	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/	Province
7b93e6a1:150814fecb6:7d5	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	City
7b93e6a1:150814fecb6:731	Membership
7b93e6a1:150814fecb6:146d	Membership
7b93e6a1:150814fecb6:d63	Membership
http://www.semwebtech.org/mondial/10/island/Helgoland/	Island
7b93e6a1:150814fecb6:1ee0	Membership
7b93e6a1:150814fecb6:1a9f	Membership
7b93e6a1:150814fecb6:-1cf	Membership
7b93e6a1:150814fecb6:26b7	EthnicProportion
http://www.semwebtech.org/mondial/10/island/VitiLevu/	Island
7b93e6a1:150814fecb6:991	Membership
http://www.semwebtech.org/mondial/10/island/BanksIsland/	Island
7b93e6a1:150814fecb6:-12b	Membership
7b93e6a1:150814fecb6:2613	EthnicProportion
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	City
7b93e6a1:150814fecb6:29c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	City
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	City
http://www.semwebtech.org/mondial/10/island/Tahiti/	Island
7b93e6a1:150814fecb6:17ad	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	City
7b93e6a1:150814fecb6:-38b	Membership
7b93e6a1:150814fecb6:1ddf	Membership
7b93e6a1:150814fecb6:-71f	Encompassed
7b93e6a1:150814fecb6:10d9	Membership
7b93e6a1:150814fecb6:217e	SpokenBy
http://www.semwebtech.org/mondial/10/source/Bartang/	Source
7b93e6a1:150814fecb6:1d3b	Membership
7b93e6a1:150814fecb6:1035	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/	Province
7b93e6a1:150814fecb6:5dc	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/	Province
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	City
7b93e6a1:150814fecb6:1f9b	Membership
7b93e6a1:150814fecb6:-6cb	Border
7b93e6a1:150814fecb6:1295	Membership
7b93e6a1:150814fecb6:b6a	Membership
7b93e6a1:150814fecb6:1629	Membership
7b93e6a1:150814fecb6:24be	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	City
7b93e6a1:150814fecb6:241a	BelievedBy
7b93e6a1:150814fecb6:1889	Membership
7b93e6a1:150814fecb6:458	Membership
7b93e6a1:150814fecb6:15d5	Membership
7b93e6a1:150814fecb6:267a	EthnicProportion
7b93e6a1:150814fecb6:eaa	Membership
7b93e6a1:150814fecb6:1a4	Membership
7b93e6a1:150814fecb6:1531	Membership
7b93e6a1:150814fecb6:-547	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	City
7b93e6a1:150814fecb6:100	Membership
7b93e6a1:150814fecb6:1b63	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/	Province
http://www.semwebtech.org/mondial/10/organization/IBRD/	Organization
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	City
7b93e6a1:150814fecb6:1791	Membership
7b93e6a1:150814fecb6:360	Membership
7b93e6a1:150814fecb6:-4f3	Membership
7b93e6a1:150814fecb6:109c	Membership
http://www.semwebtech.org/mondial/10/country/BOL/	Country
http://www.semwebtech.org/mondial/10/mountain/Soufriere/	Mountain
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	EthnicGroup
7b93e6a1:150814fecb6:22e6	BelievedBy
http://www.semwebtech.org/mondial/10/source/Vuoksi/	Source
7b93e6a1:150814fecb6:d26	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	City
7b93e6a1:150814fecb6:9f8	Membership
7b93e6a1:150814fecb6:1ea3	Membership
7b93e6a1:150814fecb6:2242	BelievedBy
7b93e6a1:150814fecb6:954	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	City
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	City
7b93e6a1:150814fecb6:f86	Membership
7b93e6a1:150814fecb6:6a0	Membership
7b93e6a1:150814fecb6:25f	Membership
7b93e6a1:150814fecb6:13dc	Membership
7b93e6a1:150814fecb6:cd2	Membership
7b93e6a1:150814fecb6:-34e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	City
http://www.semwebtech.org/mondial/10/organization/LAIA/	Organization
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	Source
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	City
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	City
7b93e6a1:150814fecb6:192c	Membership
7b93e6a1:150814fecb6:-2fa	Membership
7b93e6a1:150814fecb6:1f5e	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	City
7b93e6a1:150814fecb6:1258	Membership
http://www.semwebtech.org/mondial/10/river/Neckar/	Water
7b93e6a1:150814fecb6:20ed	Membership
7b93e6a1:150814fecb6:b2d	Membership
7b93e6a1:150814fecb6:7ff	Membership
7b93e6a1:150814fecb6:1caa	Membership
7b93e6a1:150814fecb6:75b	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	City
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	City
7b93e6a1:150814fecb6:d8d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	City
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/	Province
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	City
7b93e6a1:150814fecb6:-d3	Membership
7b93e6a1:150814fecb6:1160	Membership
7b93e6a1:150814fecb6:-176	Membership
7b93e6a1:150814fecb6:263d	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/ICCt/	Organization
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	City
7b93e6a1:150814fecb6:1b26	Membership
7b93e6a1:150814fecb6:17f8	Membership
7b93e6a1:150814fecb6:3c7	Membership
7b93e6a1:150814fecb6:1754	Membership
7b93e6a1:150814fecb6:1d86	Membership
7b93e6a1:150814fecb6:14a0	Membership
7b93e6a1:150814fecb6:323	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	City
7b93e6a1:150814fecb6:105f	Membership
7b93e6a1:150814fecb6:-4b6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	City
http://www.semwebtech.org/mondial/10/mountain/Merapi/	Mountain
7b93e6a1:150814fecb6:1ad2	Membership
http://www.semwebtech.org/mondial/10/organization/CDB/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	City
7b93e6a1:150814fecb6:-412	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	City
7b93e6a1:150814fecb6:22a9	BelievedBy
7b93e6a1:150814fecb6:583	Membership
7b93e6a1:150814fecb6:2205	SpokenBy
7b93e6a1:150814fecb6:917	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	City
7b93e6a1:150814fecb6:-672	Border
7b93e6a1:150814fecb6:f49	Membership
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	Estuary
7b93e6a1:150814fecb6:2465	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/EU/	Organization
7b93e6a1:150814fecb6:21b1	SpokenBy
http://www.semwebtech.org/mondial/10/country/CI/	Country
7b93e6a1:150814fecb6:8c3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	City
7b93e6a1:150814fecb6:15ff	Membership
7b93e6a1:150814fecb6:ef5	Membership
7b93e6a1:150814fecb6:1ce	Membership
7b93e6a1:150814fecb6:155b	Membership
7b93e6a1:150814fecb6:e51	Membership
7b93e6a1:150814fecb6:12a	Membership
7b93e6a1:150814fecb6:1b8d	Membership
7b93e6a1:150814fecb6:-2bd	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	City
http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Mountains
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/	Province
7b93e6a1:150814fecb6:38a	Membership
7b93e6a1:150814fecb6:200c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	City
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	City
7b93e6a1:150814fecb6:71e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Dravidian/	EthnicGroup
7b93e6a1:150814fecb6:60	Membership
http://www.semwebtech.org/mondial/10/language/Hindko/	Language
7b93e6a1:150814fecb6:1ecd	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	City
7b93e6a1:150814fecb6:-80d	Encompassed
7b93e6a1:150814fecb6:11c7	Membership
7b93e6a1:150814fecb6:226c	BelievedBy
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/	Province
7b93e6a1:150814fecb6:97e	Membership
7b93e6a1:150814fecb6:1123	Membership
http://www.semwebtech.org/mondial/10/country/LB/	Country
7b93e6a1:150814fecb6:-139	Membership
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	Mountain
7b93e6a1:150814fecb6:6ca	Membership
http://www.semwebtech.org/mondial/10/organization/IDB/	Organization
7b93e6a1:150814fecb6:cfc	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	City
7b93e6a1:150814fecb6:1383	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/	Province
7b93e6a1:150814fecb6:-399	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	City
7b93e6a1:150814fecb6:1717	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/	Province
7b93e6a1:150814fecb6:25ac	EthnicProportion
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	City
7b93e6a1:150814fecb6:1d49	Membership
7b93e6a1:150814fecb6:1977	Membership
7b93e6a1:150814fecb6:16c3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	City
7b93e6a1:150814fecb6:546	Membership
http://www.semwebtech.org/mondial/10/country/RT/	Country
7b93e6a1:150814fecb6:-6d9	Border
7b93e6a1:150814fecb6:1cf5	Membership
7b93e6a1:150814fecb6:b78	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	City
7b93e6a1:150814fecb6:-635	Border
7b93e6a1:150814fecb6:2094	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	City
7b93e6a1:150814fecb6:1c51	Membership
7b93e6a1:150814fecb6:2428	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Fulda/	Estuary
7b93e6a1:150814fecb6:4f2	Membership
7b93e6a1:150814fecb6:-fd	Membership
7b93e6a1:150814fecb6:-5e1	Border
7b93e6a1:150814fecb6:118a	Membership
7b93e6a1:150814fecb6:2688	EthnicProportion
7b93e6a1:150814fecb6:eb8	Membership
7b93e6a1:150814fecb6:a80	Membership
7b93e6a1:150814fecb6:151e	Membership
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/	Province
7b93e6a1:150814fecb6:23d4	BelievedBy
7b93e6a1:150814fecb6:e14	Membership
7b93e6a1:150814fecb6:2330	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	EthnicGroup
7b93e6a1:150814fecb6:177e	Membership
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/	Mountain
7b93e6a1:150814fecb6:34d	Membership
7b93e6a1:150814fecb6:2590	EthnicProportion
7b93e6a1:150814fecb6:14ca	Membership
7b93e6a1:150814fecb6:c7	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/	Province
7b93e6a1:150814fecb6:dc0	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese-Chinese/	EthnicGroup
7b93e6a1:150814fecb6:1afc	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/	Province
7b93e6a1:150814fecb6:-43c	Membership
7b93e6a1:150814fecb6:23	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	City
7b93e6a1:150814fecb6:222f	SpokenBy
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/	Province
7b93e6a1:150814fecb6:-69c	Border
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	City
7b93e6a1:150814fecb6:248f	EthnicProportion
7b93e6a1:150814fecb6:cbf	Membership
7b93e6a1:150814fecb6:1346	Membership
7b93e6a1:150814fecb6:21db	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/	Province
7b93e6a1:150814fecb6:c1b	Membership
7b93e6a1:150814fecb6:8ed	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	City
http://www.semwebtech.org/mondial/10/source/Bomu/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	City
7b93e6a1:150814fecb6:e7b	Membership
7b93e6a1:150814fecb6:175	Membership
7b93e6a1:150814fecb6:12f2	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/	Province
7b93e6a1:150814fecb6:509	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/	Province
7b93e6a1:150814fecb6:-264	Membership
7b93e6a1:150814fecb6:1cb8	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/	Province
7b93e6a1:150814fecb6:2057	Membership
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	Water
7b93e6a1:150814fecb6:769	Membership
7b93e6a1:150814fecb6:1c14	Membership
7b93e6a1:150814fecb6:18e6	Membership
7b93e6a1:150814fecb6:8a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Batswana/	EthnicGroup
http://www.semwebtech.org/mondial/10/river/Jordan/	Water
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/	Province
7b93e6a1:150814fecb6:4b5	Membership
7b93e6a1:150814fecb6:1842	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/	Province
7b93e6a1:150814fecb6:ae7	Membership
7b93e6a1:150814fecb6:411	Membership
7b93e6a1:150814fecb6:1e74	Membership
7b93e6a1:150814fecb6:-5a4	Membership
7b93e6a1:150814fecb6:114d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	City
7b93e6a1:150814fecb6:a43	Membership
7b93e6a1:150814fecb6:1bc0	Membership
7b93e6a1:150814fecb6:-1c	Membership
7b93e6a1:150814fecb6:-500	Membership
7b93e6a1:150814fecb6:671	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	City
7b93e6a1:150814fecb6:-760	Encompassed
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	City
7b93e6a1:150814fecb6:25f7	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/European/	EthnicGroup
7b93e6a1:150814fecb6:2553	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Hadiya/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	City
http://www.semwebtech.org/mondial/10/island/Ternate/	Island
7b93e6a1:150814fecb6:1abf	Membership
7b93e6a1:150814fecb6:9b1	Membership
7b93e6a1:150814fecb6:1a1b	Membership
7b93e6a1:150814fecb6:16ed	Membership
7b93e6a1:150814fecb6:fe3	Membership
7b93e6a1:150814fecb6:2bc	Membership
7b93e6a1:150814fecb6:-65f	Border
7b93e6a1:150814fecb6:1c7b	Membership
7b93e6a1:150814fecb6:-3ab	Membership
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	Mountain
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	City
7b93e6a1:150814fecb6:1309	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	City
http://www.semwebtech.org/mondial/10/island/Lampedusa/	Island
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	City
7b93e6a1:150814fecb6:80c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	City
7b93e6a1:150814fecb6:1569	Membership
7b93e6a1:150814fecb6:23fe	BelievedBy
7b93e6a1:150814fecb6:e3e	Membership
7b93e6a1:150814fecb6:1fbb	Membership
7b93e6a1:150814fecb6:138	Membership
7b93e6a1:150814fecb6:12b5	Membership
7b93e6a1:150814fecb6:235a	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/Atlas/	Mountains
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	City
7b93e6a1:150814fecb6:1211	Membership
7b93e6a1:150814fecb6:-227	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	City
http://www.semwebtech.org/mondial/10/country/EAK/	Country
7b93e6a1:150814fecb6:398	Membership
7b93e6a1:150814fecb6:dea	Membership
7b93e6a1:150814fecb6:18a9	Membership
7b93e6a1:150814fecb6:1471	Membership
7b93e6a1:150814fecb6:-487	Membership
7b93e6a1:150814fecb6:4d	Membership
http://www.semwebtech.org/mondial/10/organization/ECO/	Organization
7b93e6a1:150814fecb6:1805	Membership
7b93e6a1:150814fecb6:-1d3	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	City
7b93e6a1:150814fecb6:1e37	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	Province
7b93e6a1:150814fecb6:6d8	Membership
7b93e6a1:150814fecb6:a06	Membership
7b93e6a1:150814fecb6:17b1	Membership
7b93e6a1:150814fecb6:634	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/	Province
7b93e6a1:150814fecb6:-7c7	Encompassed
http://www.semwebtech.org/mondial/10/language/Azeri/	Language
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/	Province
7b93e6a1:150814fecb6:c66	Membership
7b93e6a1:150814fecb6:1de3	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/	Province
7b93e6a1:150814fecb6:-723	Encompassed
7b93e6a1:150814fecb6:10bc	Membership
7b93e6a1:150814fecb6:2182	SpokenBy
http://www.semwebtech.org/mondial/10/country/P/province/Porto/	Province
7b93e6a1:150814fecb6:894	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/	Province
7b93e6a1:150814fecb6:2516	EthnicProportion
7b93e6a1:150814fecb6:5e0	Membership
7b93e6a1:150814fecb6:19f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/	Province
7b93e6a1:150814fecb6:-28e	Membership
http://www.semwebtech.org/mondial/10/language/Kurdish/	Language
7b93e6a1:150814fecb6:fa6	Membership
7b93e6a1:150814fecb6:160c	Membership
7b93e6a1:150814fecb6:24c2	EthnicProportion
7b93e6a1:150814fecb6:f02	Membership
7b93e6a1:150814fecb6:1c3e	Membership
7b93e6a1:150814fecb6:4df	Membership
7b93e6a1:150814fecb6:186c	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	City
7b93e6a1:150814fecb6:43b	Membership
7b93e6a1:150814fecb6:1e9e	Membership
7b93e6a1:150814fecb6:-5ce	Membership
7b93e6a1:150814fecb6:1198	Membership
7b93e6a1:150814fecb6:1bea	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	City
7b93e6a1:150814fecb6:a6d	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	City
7b93e6a1:150814fecb6:-67	Membership
7b93e6a1:150814fecb6:-52a	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	City
7b93e6a1:150814fecb6:69b	Membership
7b93e6a1:150814fecb6:231d	BelievedBy
http://www.semwebtech.org/mondial/10/river/Sanaga/	Water
7b93e6a1:150814fecb6:-78a	Encompassed
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	City
http://www.semwebtech.org/mondial/10/source/RioMamore/	Source
7b93e6a1:150814fecb6:14d8	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	City
7b93e6a1:150814fecb6:257d	EthnicProportion
7b93e6a1:150814fecb6:dad	Membership
7b93e6a1:150814fecb6:1434	Membership
7b93e6a1:150814fecb6:9db	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	City
7b93e6a1:150814fecb6:1a66	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/	Province
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	City
7b93e6a1:150814fecb6:1694	Membership
7b93e6a1:150814fecb6:263	Membership
7b93e6a1:150814fecb6:13e0	Membership
7b93e6a1:150814fecb6:-3f6	Membership
http://www.semwebtech.org/mondial/10/language/Slovenian/	Language
7b93e6a1:150814fecb6:-352	Membership
7b93e6a1:150814fecb6:21e9	SpokenBy
7b93e6a1:150814fecb6:2145	SpokenBy
7b93e6a1:150814fecb6:c29	Membership
http://www.semwebtech.org/mondial/10/source/Euphrat/	Source
7b93e6a1:150814fecb6:1da6	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	City
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	Mountain
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	City
http://www.semwebtech.org/mondial/10/country/GH/province/Western/	Province
7b93e6a1:150814fecb6:1d02	Membership
7b93e6a1:150814fecb6:857	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	City
7b93e6a1:150814fecb6:19d4	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	City
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/	Province
7b93e6a1:150814fecb6:e89	Membership
7b93e6a1:150814fecb6:5a3	Membership
7b93e6a1:150814fecb6:a	Membership
7b93e6a1:150814fecb6:1930	Membership
7b93e6a1:150814fecb6:12df	Membership
7b93e6a1:150814fecb6:bd5	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/	Province
http://www.semwebtech.org/mondial/10/island/Taiwan/	Island
7b93e6a1:150814fecb6:1f62	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	City
7b93e6a1:150814fecb6:123b	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	City
7b93e6a1:150814fecb6:20f1	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	City
7b93e6a1:150814fecb6:b31	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	City
7b93e6a1:150814fecb6:149b	Membership
7b93e6a1:150814fecb6:98	Membership
http://www.semwebtech.org/mondial/10/river/Loire/	Water
7b93e6a1:150814fecb6:d91	Membership
7b93e6a1:150814fecb6:182f	Membership
7b93e6a1:150814fecb6:-1fd	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/	Province
http://www.semwebtech.org/mondial/10/river/Kymijoki/	Water
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	City
7b93e6a1:150814fecb6:2641	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Tobago/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Twa/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	City
7b93e6a1:150814fecb6:1bad	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	EthnicGroup
7b93e6a1:150814fecb6:65e	Membership
7b93e6a1:150814fecb6:17db	Membership
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/	Province
7b93e6a1:150814fecb6:3aa	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	EthnicGroup
7b93e6a1:150814fecb6:-74d	Encompassed
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	Water
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	City
7b93e6a1:150814fecb6:1063	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/	Province
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/	Province
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	City
http://www.semwebtech.org/mondial/10/organization/NEA/	Organization
http://www.semwebtech.org/mondial/10/ethnicgroup/Burman/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	City
7b93e6a1:150814fecb6:1a29	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	City
7b93e6a1:150814fecb6:1657	Membership
7b93e6a1:150814fecb6:24ec	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Efate/	Island
7b93e6a1:150814fecb6:f2c	Membership
7b93e6a1:150814fecb6:1c89	Membership
7b93e6a1:150814fecb6:226	Membership
7b93e6a1:150814fecb6:13a3	Membership
7b93e6a1:150814fecb6:-3b9	Membership
7b93e6a1:150814fecb6:-315	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/	Province
7b93e6a1:150814fecb6:486	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	City
7b93e6a1:150814fecb6:2108	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	City
7b93e6a1:150814fecb6:1d2	Membership
7b93e6a1:150814fecb6:-575	Membership
http://www.semwebtech.org/mondial/10/estuary/Raab/	Estuary
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	City
7b93e6a1:150814fecb6:1fc9	Membership
7b93e6a1:150814fecb6:1b91	Membership
7b93e6a1:150814fecb6:-2c1	Membership
7b93e6a1:150814fecb6:2368	BelievedBy
7b93e6a1:150814fecb6:1f25	Membership
7b93e6a1:150814fecb6:20b4	Membership
7b93e6a1:150814fecb6:7c6	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/	Province
7b93e6a1:150814fecb6:2010	Membership
7b93e6a1:150814fecb6:df8	Membership
http://www.semwebtech.org/mondial/10/country/GROX/	Country
7b93e6a1:150814fecb6:722	Membership
7b93e6a1:150814fecb6:145e	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/	Province
7b93e6a1:150814fecb6:26a8	EthnicProportion
7b93e6a1:150814fecb6:2270	BelievedBy
7b93e6a1:150814fecb6:d54	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/	Province
7b93e6a1:150814fecb6:1ed1	Membership
7b93e6a1:150814fecb6:-811	Encompassed
7b93e6a1:150814fecb6:11aa	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/	Province
7b93e6a1:150814fecb6:aa0	Membership
7b93e6a1:150814fecb6:982	Membership
7b93e6a1:150814fecb6:-11c	Membership
7b93e6a1:150814fecb6:2604	EthnicProportion
7b93e6a1:150814fecb6:28d	Membership
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/	Province
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	City
7b93e6a1:150814fecb6:-37c	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/	Province
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	Desert
http://www.semwebtech.org/mondial/10/estuary/Ob/	Estuary
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	City
7b93e6a1:150814fecb6:25b0	EthnicProportion
7b93e6a1:150814fecb6:216f	SpokenBy
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	City
7b93e6a1:150814fecb6:1d2c	Membership
7b93e6a1:150814fecb6:19fe	Membership
7b93e6a1:150814fecb6:1026	Membership
7b93e6a1:150814fecb6:5cd	Membership
7b93e6a1:150814fecb6:195a	Membership
http://www.semwebtech.org/mondial/10/source/Moraca/	Source
7b93e6a1:150814fecb6:bff	Membership
7b93e6a1:150814fecb6:1f8c	Membership
7b93e6a1:150814fecb6:-6bc	Border
7b93e6a1:150814fecb6:1286	Membership
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	Mountain
7b93e6a1:150814fecb6:b5b	Membership
7b93e6a1:150814fecb6:24af	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	City
7b93e6a1:150814fecb6:240b	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	City
7b93e6a1:150814fecb6:449	Membership
7b93e6a1:150814fecb6:15c6	Membership
7b93e6a1:150814fecb6:266b	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/Altai/	Mountains
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	City
7b93e6a1:150814fecb6:1bf8	Membership
7b93e6a1:150814fecb6:1522	Membership
7b93e6a1:150814fecb6:-538	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	City
7b93e6a1:150814fecb6:1b54	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthwesternBantu/	EthnicGroup
7b93e6a1:150814fecb6:3f5	Membership
7b93e6a1:150814fecb6:1782	Membership
7b93e6a1:150814fecb6:-798	Encompassed
7b93e6a1:150814fecb6:351	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	City
7b93e6a1:150814fecb6:-4e4	Membership
7b93e6a1:150814fecb6:108d	Membership
7b93e6a1:150814fecb6:aa	Membership
7b93e6a1:150814fecb6:-440	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kgalagadi/	EthnicGroup
7b93e6a1:150814fecb6:22d7	BelievedBy
7b93e6a1:150814fecb6:d17	Membership
7b93e6a1:150814fecb6:9e9	Membership
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	City
7b93e6a1:150814fecb6:2233	BelievedBy
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	City
7b93e6a1:150814fecb6:945	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/	Province
7b93e6a1:150814fecb6:f77	Membership
7b93e6a1:150814fecb6:13cd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	City
7b93e6a1:150814fecb6:2493	EthnicProportion
7b93e6a1:150814fecb6:cc3	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/	Province
7b93e6a1:150814fecb6:-33f	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Toucouleur/	EthnicGroup
7b93e6a1:150814fecb6:8f1	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/	Province
http://www.semwebtech.org/mondial/10/river/Ruzizi/	Water
7b93e6a1:150814fecb6:1fc	Membership
7b93e6a1:150814fecb6:-59f	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	City
7b93e6a1:150814fecb6:191d	Membership
7b93e6a1:150814fecb6:-2eb	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	City
7b93e6a1:150814fecb6:1f4f	Membership
http://www.semwebtech.org/mondial/10/source/Oranje/	Source
7b93e6a1:150814fecb6:1249	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	City
7b93e6a1:150814fecb6:20de	Membership
7b93e6a1:150814fecb6:b1e	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	City
7b93e6a1:150814fecb6:203a	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	City
7b93e6a1:150814fecb6:74c	Membership
7b93e6a1:150814fecb6:d7e	Membership
7b93e6a1:150814fecb6:1efb	Membership
7b93e6a1:150814fecb6:11f5	Membership
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	Mountain
7b93e6a1:150814fecb6:229a	BelievedBy
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	Water
7b93e6a1:150814fecb6:aca	Membership
7b93e6a1:150814fecb6:262e	EthnicProportion
7b93e6a1:150814fecb6:-c4	Membership
7b93e6a1:150814fecb6:1151	Membership
7b93e6a1:150814fecb6:-167	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/	Province
7b93e6a1:150814fecb6:-20	Membership
http://www.semwebtech.org/mondial/10/country/BIH/	Country
7b93e6a1:150814fecb6:1b17	Membership
7b93e6a1:150814fecb6:17e9	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Baoule/	EthnicGroup
7b93e6a1:150814fecb6:3b8	Membership
7b93e6a1:150814fecb6:1745	Membership
7b93e6a1:150814fecb6:25da	EthnicProportion
7b93e6a1:150814fecb6:314	Membership
7b93e6a1:150814fecb6:1d77	Membership
7b93e6a1:150814fecb6:-4a7	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	City
7b93e6a1:150814fecb6:1ac3	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	City
7b93e6a1:150814fecb6:-403	Membership
http://www.semwebtech.org/mondial/10/island/Juist/	Island
7b93e6a1:150814fecb6:574	Membership
7b93e6a1:150814fecb6:16f1	Membership
http://www.semwebtech.org/mondial/10/river/Niger/	Water
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	Water
7b93e6a1:150814fecb6:908	Membership
7b93e6a1:150814fecb6:2c0	Membership
7b93e6a1:150814fecb6:-663	Border
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	City
7b93e6a1:150814fecb6:2456	EthnicProportion
7b93e6a1:150814fecb6:21a2	SpokenBy
http://www.semwebtech.org/mondial/10/country/PK/province/FATA/	Province
7b93e6a1:150814fecb6:8b4	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	City
7b93e6a1:150814fecb6:ee6	Membership
7b93e6a1:150814fecb6:810	Membership
7b93e6a1:150814fecb6:1bf	Membership
7b93e6a1:150814fecb6:154c	Membership
7b93e6a1:150814fecb6:1b7e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	City
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/	Province
7b93e6a1:150814fecb6:e42	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	City
7b93e6a1:150814fecb6:11b	Membership
7b93e6a1:150814fecb6:10ad	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/	Province
7b93e6a1:150814fecb6:-2ae	Membership
http://www.semwebtech.org/mondial/10/estuary/Narew/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	City
7b93e6a1:150814fecb6:-20a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Djerma/	EthnicGroup
7b93e6a1:150814fecb6:37b	Membership
7b93e6a1:150814fecb6:f5	Membership
7b93e6a1:150814fecb6:70f	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/	Province
7b93e6a1:150814fecb6:-46a	Membership
7b93e6a1:150814fecb6:51	Membership
http://www.semwebtech.org/mondial/10/source/Theiss/	Source
7b93e6a1:150814fecb6:1ebe	Membership
7b93e6a1:150814fecb6:11b8	Membership
7b93e6a1:150814fecb6:225d	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Fijian/	EthnicGroup
7b93e6a1:150814fecb6:96f	Membership
7b93e6a1:150814fecb6:1e1a	Membership
7b93e6a1:150814fecb6:1114	Membership
7b93e6a1:150814fecb6:6bb	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	City
7b93e6a1:150814fecb6:ced	Membership
7b93e6a1:150814fecb6:-7aa	Encompassed
7b93e6a1:150814fecb6:1374	Membership
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	City
7b93e6a1:150814fecb6:1708	Membership
7b93e6a1:150814fecb6:10c0	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/	Province
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	Water
7b93e6a1:150814fecb6:1968	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	City
7b93e6a1:150814fecb6:537	Membership
7b93e6a1:150814fecb6:16b4	Membership
7b93e6a1:150814fecb6:-292	Membership
7b93e6a1:150814fecb6:1ce6	Membership
7b93e6a1:150814fecb6:b69	Membership
7b93e6a1:150814fecb6:1610	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	City
7b93e6a1:150814fecb6:-626	Border
7b93e6a1:150814fecb6:2085	Membership
http://www.semwebtech.org/mondial/10/source/Main/	Source
7b93e6a1:150814fecb6:797	Membership
7b93e6a1:150814fecb6:1c42	Membership
7b93e6a1:150814fecb6:2419	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	Mountain
7b93e6a1:150814fecb6:4e3	Membership
7b93e6a1:150814fecb6:1870	Membership
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	Mountain
7b93e6a1:150814fecb6:-ee	Membership
7b93e6a1:150814fecb6:-5d2	Membership
7b93e6a1:150814fecb6:117b	Membership
7b93e6a1:150814fecb6:2679	EthnicProportion
7b93e6a1:150814fecb6:ea9	Membership
7b93e6a1:150814fecb6:a71	Membership
7b93e6a1:150814fecb6:-4a	Membership
7b93e6a1:150814fecb6:150f	Membership
7b93e6a1:150814fecb6:23c5	BelievedBy
http://www.semwebtech.org/mondial/10/country/COOK/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	City
7b93e6a1:150814fecb6:e05	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	City
7b93e6a1:150814fecb6:2321	BelievedBy
7b93e6a1:150814fecb6:176f	Membership
7b93e6a1:150814fecb6:2581	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	City
7b93e6a1:150814fecb6:33e	Membership
7b93e6a1:150814fecb6:14bb	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	City
7b93e6a1:150814fecb6:b8	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/	Province
7b93e6a1:150814fecb6:db1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	City
7b93e6a1:150814fecb6:1aed	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	City
7b93e6a1:150814fecb6:-42d	Membership
7b93e6a1:150814fecb6:14	Membership
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	Island
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	Desert
7b93e6a1:150814fecb6:59e	Membership
7b93e6a1:150814fecb6:2ea	Membership
7b93e6a1:150814fecb6:-68d	Border
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	Water
http://www.semwebtech.org/mondial/10/ethnicgroup/Japanese/	EthnicGroup
7b93e6a1:150814fecb6:1337	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	City
7b93e6a1:150814fecb6:21cc	SpokenBy
7b93e6a1:150814fecb6:c0c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	City
7b93e6a1:150814fecb6:8de	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	City
7b93e6a1:150814fecb6:83a	Membership
7b93e6a1:150814fecb6:1597	Membership
7b93e6a1:150814fecb6:e6c	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	City
7b93e6a1:150814fecb6:166	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	City
7b93e6a1:150814fecb6:12e3	Membership
7b93e6a1:150814fecb6:-2f9	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	City
http://www.semwebtech.org/mondial/10/island/Niue/	Island
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	City
7b93e6a1:150814fecb6:-255	Membership
7b93e6a1:150814fecb6:1ca9	Membership
7b93e6a1:150814fecb6:2048	Membership
7b93e6a1:150814fecb6:1c05	Membership
7b93e6a1:150814fecb6:18d7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	City
7b93e6a1:150814fecb6:7b	Membership
7b93e6a1:150814fecb6:4a6	Membership
7b93e6a1:150814fecb6:1833	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	City
7b93e6a1:150814fecb6:ad8	Membership
7b93e6a1:150814fecb6:402	Membership
7b93e6a1:150814fecb6:1e65	Membership
7b93e6a1:150814fecb6:113e	Membership
7b93e6a1:150814fecb6:a34	Membership
7b93e6a1:150814fecb6:1bb1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	City
7b93e6a1:150814fecb6:662	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	City
7b93e6a1:150814fecb6:-7f5	Encompassed
7b93e6a1:150814fecb6:139e	Membership
7b93e6a1:150814fecb6:c94	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	City
7b93e6a1:150814fecb6:-751	Encompassed
7b93e6a1:150814fecb6:10ea	Membership
7b93e6a1:150814fecb6:25e8	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	City
7b93e6a1:150814fecb6:2544	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	City
7b93e6a1:150814fecb6:-7	Membership
7b93e6a1:150814fecb6:9a2	Membership
7b93e6a1:150814fecb6:1a0c	Membership
7b93e6a1:150814fecb6:16de	Membership
7b93e6a1:150814fecb6:fd4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	City
7b93e6a1:150814fecb6:2ad	Membership
7b93e6a1:150814fecb6:24f0	EthnicProportion
7b93e6a1:150814fecb6:163a	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	City
7b93e6a1:150814fecb6:f30	Membership
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/	Province
7b93e6a1:150814fecb6:1c6c	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	City
7b93e6a1:150814fecb6:189a	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/	Province
7b93e6a1:150814fecb6:-5fc	Border
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	City
7b93e6a1:150814fecb6:a9b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	City
7b93e6a1:150814fecb6:-95	Membership
7b93e6a1:150814fecb6:23ef	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	Mountain
7b93e6a1:150814fecb6:1fac	Membership
7b93e6a1:150814fecb6:e2f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	City
7b93e6a1:150814fecb6:129	Membership
7b93e6a1:150814fecb6:12a6	Membership
7b93e6a1:150814fecb6:234b	BelievedBy
7b93e6a1:150814fecb6:1202	Membership
7b93e6a1:150814fecb6:-218	Membership
7b93e6a1:150814fecb6:389	Membership
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	City
7b93e6a1:150814fecb6:ddb	Membership
7b93e6a1:150814fecb6:1462	Membership
7b93e6a1:150814fecb6:3e	Membership
7b93e6a1:150814fecb6:-478	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	City
7b93e6a1:150814fecb6:1a94	Membership
7b93e6a1:150814fecb6:-1c4	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/	Province
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/	Province
7b93e6a1:150814fecb6:1e28	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	City
7b93e6a1:150814fecb6:-120	Membership
7b93e6a1:150814fecb6:6c9	Membership
7b93e6a1:150814fecb6:291	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/	Province
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/	Province
7b93e6a1:150814fecb6:17a2	Membership
7b93e6a1:150814fecb6:625	Membership
7b93e6a1:150814fecb6:-7b8	Encompassed
7b93e6a1:150814fecb6:-380	Membership
http://www.semwebtech.org/mondial/10/country/AXA/	Country
7b93e6a1:150814fecb6:c57	Membership
7b93e6a1:150814fecb6:1dd4	Membership
7b93e6a1:150814fecb6:-714	Border
7b93e6a1:150814fecb6:2173	SpokenBy
7b93e6a1:150814fecb6:885	Membership
7b93e6a1:150814fecb6:1d30	Membership
7b93e6a1:150814fecb6:2507	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Fakaofo/	Island
http://www.semwebtech.org/mondial/10/organization/APEC/	Organization
7b93e6a1:150814fecb6:5d1	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	EthnicGroup
7b93e6a1:150814fecb6:1f90	Membership
7b93e6a1:150814fecb6:-6c0	Border
7b93e6a1:150814fecb6:-27f	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/	Province
7b93e6a1:150814fecb6:24b3	EthnicProportion
7b93e6a1:150814fecb6:1c2f	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/	Province
7b93e6a1:150814fecb6:185d	Membership
7b93e6a1:150814fecb6:42c	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	City
7b93e6a1:150814fecb6:1e8f	Membership
7b93e6a1:150814fecb6:-5bf	Membership
7b93e6a1:150814fecb6:1189	Membership
http://www.semwebtech.org/mondial/10/source/Murgab/	Source
http://www.semwebtech.org/mondial/10/estuary/Petschora/	Estuary
7b93e6a1:150814fecb6:a5e	Membership
7b93e6a1:150814fecb6:1bdb	Membership
7b93e6a1:150814fecb6:-58	Membership
7b93e6a1:150814fecb6:-51b	Membership
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	Island
7b93e6a1:150814fecb6:68c	Membership
7b93e6a1:150814fecb6:230e	BelievedBy
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/	Province
7b93e6a1:150814fecb6:-77b	Encompassed
http://www.semwebtech.org/mondial/10/language/ChineseLanguage/	Language
7b93e6a1:150814fecb6:14c9	Membership
7b93e6a1:150814fecb6:1091	Membership
7b93e6a1:150814fecb6:256e	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	Desert
7b93e6a1:150814fecb6:1425	Membership
7b93e6a1:150814fecb6:22ba	BelievedBy
7b93e6a1:150814fecb6:9cc	Membership
7b93e6a1:150814fecb6:1a57	Membership
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	City
7b93e6a1:150814fecb6:ffe	Membership
7b93e6a1:150814fecb6:2f8	Membership
http://www.semwebtech.org/mondial/10/island/Sulawesi/	Island
7b93e6a1:150814fecb6:1685	Membership
7b93e6a1:150814fecb6:f5a	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	City
7b93e6a1:150814fecb6:254	Membership
7b93e6a1:150814fecb6:13d1	Membership
7b93e6a1:150814fecb6:-3e7	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	City
7b93e6a1:150814fecb6:-343	Membership
7b93e6a1:150814fecb6:2136	SpokenBy
7b93e6a1:150814fecb6:848	Membership
7b93e6a1:150814fecb6:19c5	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	City
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	Island
7b93e6a1:150814fecb6:1ff7	Membership
7b93e6a1:150814fecb6:1921	Membership
7b93e6a1:150814fecb6:2396	BelievedBy
7b93e6a1:150814fecb6:bc6	Membership
7b93e6a1:150814fecb6:1f53	Membership
7b93e6a1:150814fecb6:122c	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/	Province
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	City
7b93e6a1:150814fecb6:20e2	Membership
7b93e6a1:150814fecb6:b22	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/	Province
7b93e6a1:150814fecb6:7f4	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/	Province
7b93e6a1:150814fecb6:750	Membership
7b93e6a1:150814fecb6:148c	Membership
7b93e6a1:150814fecb6:89	Membership
7b93e6a1:150814fecb6:d82	Membership
http://www.semwebtech.org/mondial/10/estuary/BlueNile/	Estuary
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	City
7b93e6a1:150814fecb6:-1ee	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	City
7b93e6a1:150814fecb6:-14a	Membership
7b93e6a1:150814fecb6:2632	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	City
7b93e6a1:150814fecb6:64f	Membership
7b93e6a1:150814fecb6:17cc	Membership
http://www.semwebtech.org/mondial/10/religion/Chondogyo/	Religion
7b93e6a1:150814fecb6:1dfe	Membership
7b93e6a1:150814fecb6:-73e	Encompassed
7b93e6a1:150814fecb6:10f8	Membership
7b93e6a1:150814fecb6:219d	SpokenBy
7b93e6a1:150814fecb6:1d5a	Membership
7b93e6a1:150814fecb6:1054	Membership
7b93e6a1:150814fecb6:5fb	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	City
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	City
7b93e6a1:150814fecb6:-6ea	Border
7b93e6a1:150814fecb6:1648	Membership
7b93e6a1:150814fecb6:24dd	EthnicProportion
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/	Province
7b93e6a1:150814fecb6:f1d	Membership
7b93e6a1:150814fecb6:217	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	City
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	City
7b93e6a1:150814fecb6:-306	Membership
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	City
7b93e6a1:150814fecb6:477	Membership
http://www.semwebtech.org/mondial/10/organization/CAN/	Organization
7b93e6a1:150814fecb6:15f4	Membership
http://www.semwebtech.org/mondial/10/estuary/Waag/	Estuary
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/	Province
7b93e6a1:150814fecb6:1c3	Membership
7b93e6a1:150814fecb6:1550	Membership
7b93e6a1:150814fecb6:-566	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	City
7b93e6a1:150814fecb6:1b82	Membership
7b93e6a1:150814fecb6:-2b2	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	City
7b93e6a1:150814fecb6:2359	BelievedBy
7b93e6a1:150814fecb6:1f16	Membership
http://www.semwebtech.org/mondial/10/island/Guernsey/	Island
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	City
7b93e6a1:150814fecb6:20a5	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/	Province
7b93e6a1:150814fecb6:7b7	Membership
http://www.semwebtech.org/mondial/10/language/Italian/	Language
7b93e6a1:150814fecb6:2001	Membership
7b93e6a1:150814fecb6:de9	Membership
7b93e6a1:150814fecb6:713	Membership
7b93e6a1:150814fecb6:144f	Membership
7b93e6a1:150814fecb6:d45	Membership
7b93e6a1:150814fecb6:1ec2	Membership
7b93e6a1:150814fecb6:-802	Encompassed
7b93e6a1:150814fecb6:2261	BelievedBy
7b93e6a1:150814fecb6:973	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	City
7b93e6a1:150814fecb6:-10d	Membership
7b93e6a1:150814fecb6:27e	Membership
7b93e6a1:150814fecb6:13fb	Membership
7b93e6a1:150814fecb6:cf1	Membership
7b93e6a1:150814fecb6:-36d	Membership
http://www.semwebtech.org/mondial/10/source/Uelle/	Source
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	City
7b93e6a1:150814fecb6:25a1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GH/	Country
7b93e6a1:150814fecb6:1d1d	Membership
7b93e6a1:150814fecb6:19ef	Membership
7b93e6a1:150814fecb6:1017	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/	Province
7b93e6a1:150814fecb6:5be	Membership
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	Mountain
7b93e6a1:150814fecb6:194b	Membership
http://www.semwebtech.org/mondial/10/language/Persian/	Language
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	City
7b93e6a1:150814fecb6:51a	Membership
7b93e6a1:150814fecb6:1f7d	Membership
7b93e6a1:150814fecb6:-6ad	Border
7b93e6a1:150814fecb6:1277	Membership
7b93e6a1:150814fecb6:b4c	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/	Province
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	Mountain
7b93e6a1:150814fecb6:77a	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/	Province
http://www.semwebtech.org/mondial/10/country/FJI/	Country
http://www.semwebtech.org/mondial/10/island/Hispaniola/	Island
7b93e6a1:150814fecb6:15b7	Membership
7b93e6a1:150814fecb6:-f2	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/	Province
7b93e6a1:150814fecb6:-195	Membership
7b93e6a1:150814fecb6:265c	EthnicProportion
7b93e6a1:150814fecb6:1be9	Membership
7b93e6a1:150814fecb6:1513	Membership
http://www.semwebtech.org/mondial/10/country/PA/	Country
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/	Province
7b93e6a1:150814fecb6:-529	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/	Province
http://www.semwebtech.org/mondial/10/organization/UNIDO/	Organization
7b93e6a1:150814fecb6:1b45	Membership
http://www.semwebtech.org/mondial/10/country/SYR/	Country
http://www.semwebtech.org/mondial/10/islands/Laccadives/	Islands
7b93e6a1:150814fecb6:1773	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/	Province
7b93e6a1:150814fecb6:3e6	Membership
http://www.semwebtech.org/mondial/10/country/RG/	Country
7b93e6a1:150814fecb6:-789	Encompassed
7b93e6a1:150814fecb6:342	Membership
7b93e6a1:150814fecb6:-4d5	Membership
7b93e6a1:150814fecb6:107e	Membership
7b93e6a1:150814fecb6:1af1	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/	Province
http://www.semwebtech.org/mondial/10/country/TM/	Country
7b93e6a1:150814fecb6:-431	Membership
7b93e6a1:150814fecb6:22c8	BelievedBy
7b93e6a1:150814fecb6:d08	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	City
7b93e6a1:150814fecb6:2224	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	City
7b93e6a1:150814fecb6:936	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	City
7b93e6a1:150814fecb6:-691	Border
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	City
7b93e6a1:150814fecb6:f68	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/RussianUkrainian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	City
7b93e6a1:150814fecb6:13be	Membership
7b93e6a1:150814fecb6:2484	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	City
7b93e6a1:150814fecb6:cb4	Membership
7b93e6a1:150814fecb6:131a	Membership
7b93e6a1:150814fecb6:21d0	SpokenBy
7b93e6a1:150814fecb6:c10	Membership
7b93e6a1:150814fecb6:8e2	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/	Province
7b93e6a1:150814fecb6:1ed	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Pest/	Province
7b93e6a1:150814fecb6:157a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	EthnicGroup
7b93e6a1:150814fecb6:e70	Membership
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/	Province
7b93e6a1:150814fecb6:9	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/	Province
7b93e6a1:150814fecb6:190e	Membership
7b93e6a1:150814fecb6:-2dc	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/	Province
http://www.semwebtech.org/mondial/10/source/Ural/	Source
7b93e6a1:150814fecb6:20cf	Membership
7b93e6a1:150814fecb6:b0f	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/	Province
7b93e6a1:150814fecb6:202b	Membership
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	Mountain
7b93e6a1:150814fecb6:73d	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	City
7b93e6a1:150814fecb6:18ba	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	City
7b93e6a1:150814fecb6:d6f	Membership
7b93e6a1:150814fecb6:1eec	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	City
7b93e6a1:150814fecb6:11e6	Membership
7b93e6a1:150814fecb6:228b	BelievedBy
7b93e6a1:150814fecb6:abb	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	City
7b93e6a1:150814fecb6:99d	Membership
7b93e6a1:150814fecb6:-b5	Membership
7b93e6a1:150814fecb6:1142	Membership
7b93e6a1:150814fecb6:-158	Membership
7b93e6a1:150814fecb6:261f	EthnicProportion
7b93e6a1:150814fecb6:-11	Membership
7b93e6a1:150814fecb6:1b08	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	City
7b93e6a1:150814fecb6:3a9	Membership
http://www.semwebtech.org/mondial/10/country/L/	Country
7b93e6a1:150814fecb6:1736	Membership
7b93e6a1:150814fecb6:25cb	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Perene/	Estuary
7b93e6a1:150814fecb6:305	Membership
7b93e6a1:150814fecb6:1d68	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	City
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	City
7b93e6a1:150814fecb6:1ab4	Membership
7b93e6a1:150814fecb6:1996	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	City
7b93e6a1:150814fecb6:1a10	Membership
7b93e6a1:150814fecb6:565	Membership
7b93e6a1:150814fecb6:16e2	Membership
7b93e6a1:150814fecb6:-6f8	Border
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/	Province
http://www.semwebtech.org/mondial/10/estuary/Ganges/	Estuary
7b93e6a1:150814fecb6:b97	Membership
7b93e6a1:150814fecb6:2b1	Membership
7b93e6a1:150814fecb6:-654	Border
7b93e6a1:150814fecb6:1c70	Membership
7b93e6a1:150814fecb6:-3a0	Membership
7b93e6a1:150814fecb6:2447	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	City
7b93e6a1:150814fecb6:8a5	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/	Province
http://www.semwebtech.org/mondial/10/organization/UNTSO/	Organization
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	City
http://www.semwebtech.org/mondial/10/mountains/Zagros/	Mountains
7b93e6a1:150814fecb6:ed7	Membership
7b93e6a1:150814fecb6:801	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	City
7b93e6a1:150814fecb6:153d	Membership
7b93e6a1:150814fecb6:23f3	BelievedBy
7b93e6a1:150814fecb6:e33	Membership
7b93e6a1:150814fecb6:1fb0	Membership
7b93e6a1:150814fecb6:10c	Membership
7b93e6a1:150814fecb6:1b6f	Membership
http://www.semwebtech.org/mondial/10/island/Faial/	Island
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	City
7b93e6a1:150814fecb6:179d	Membership
http://www.semwebtech.org/mondial/10/country/RCB/	Country
7b93e6a1:150814fecb6:36c	Membership
7b93e6a1:150814fecb6:-4ff	Membership
7b93e6a1:150814fecb6:e6	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	City
7b93e6a1:150814fecb6:-45b	Membership
7b93e6a1:150814fecb6:42	Membership
http://www.semwebtech.org/mondial/10/source/Suchona/	Source
http://www.semwebtech.org/mondial/10/river/Fimi/	Water
7b93e6a1:150814fecb6:1eaf	Membership
http://www.semwebtech.org/mondial/10/language/Slovak/	Language
7b93e6a1:150814fecb6:11a9	Membership
7b93e6a1:150814fecb6:224e	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/	Mountain
7b93e6a1:150814fecb6:1e0b	Membership
7b93e6a1:150814fecb6:1105	Membership
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/	Mountain
7b93e6a1:150814fecb6:6ac	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	City
7b93e6a1:150814fecb6:cde	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/	Province
7b93e6a1:150814fecb6:1365	Membership
7b93e6a1:150814fecb6:21fa	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	Estuary
7b93e6a1:150814fecb6:c3a	Membership
7b93e6a1:150814fecb6:10b1	Membership
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	Water
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	City
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	City
7b93e6a1:150814fecb6:e9a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kunama/	EthnicGroup
7b93e6a1:150814fecb6:194	Membership
7b93e6a1:150814fecb6:1959	Membership
http://www.semwebtech.org/mondial/10/estuary/Selenge/	Estuary
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	City
http://www.semwebtech.org/mondial/10/organization/ECB/	Organization
7b93e6a1:150814fecb6:528	Membership
7b93e6a1:150814fecb6:16a5	Membership
7b93e6a1:150814fecb6:-283	Membership
7b93e6a1:150814fecb6:1cd7	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/	Province
7b93e6a1:150814fecb6:1601	Membership
7b93e6a1:150814fecb6:-617	Border
7b93e6a1:150814fecb6:2076	Membership
7b93e6a1:150814fecb6:788	Membership
http://www.semwebtech.org/mondial/10/river/Leine/	Water
7b93e6a1:150814fecb6:1c33	Membership
7b93e6a1:150814fecb6:4d4	Membership
7b93e6a1:150814fecb6:1861	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Soussou/	EthnicGroup
7b93e6a1:150814fecb6:1e93	Membership
7b93e6a1:150814fecb6:430	Membership
7b93e6a1:150814fecb6:-df	Membership
7b93e6a1:150814fecb6:-5c3	Membership
7b93e6a1:150814fecb6:116c	Membership
http://www.semwebtech.org/mondial/10/language/Sinhala/	Language
7b93e6a1:150814fecb6:a62	Membership
7b93e6a1:150814fecb6:-3b	Membership
7b93e6a1:150814fecb6:23b6	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/	Province
7b93e6a1:150814fecb6:690	Membership
7b93e6a1:150814fecb6:2312	BelievedBy
http://www.semwebtech.org/mondial/10/sea/BandaSea/	Water
7b93e6a1:150814fecb6:32f	Membership
7b93e6a1:150814fecb6:14ac	Membership
7b93e6a1:150814fecb6:2572	EthnicProportion
7b93e6a1:150814fecb6:a9	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	City
7b93e6a1:150814fecb6:da2	Membership
7b93e6a1:150814fecb6:1ade	Membership
7b93e6a1:150814fecb6:-41e	Membership
7b93e6a1:150814fecb6:9d0	Membership
7b93e6a1:150814fecb6:58f	Membership
7b93e6a1:150814fecb6:1a3a	Membership
7b93e6a1:150814fecb6:2db	Membership
7b93e6a1:150814fecb6:-67e	Border
7b93e6a1:150814fecb6:1c9a	Membership
7b93e6a1:150814fecb6:-3ca	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	City
http://www.semwebtech.org/mondial/10/language/Georgian/	Language
7b93e6a1:150814fecb6:1328	Membership
http://www.semwebtech.org/mondial/10/source/Olt/	Source
7b93e6a1:150814fecb6:21bd	SpokenBy
7b93e6a1:150814fecb6:8cf	Membership
7b93e6a1:150814fecb6:82b	Membership
7b93e6a1:150814fecb6:1588	Membership
7b93e6a1:150814fecb6:e5d	Membership
7b93e6a1:150814fecb6:1fda	Membership
7b93e6a1:150814fecb6:157	Membership
7b93e6a1:150814fecb6:12d4	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	City
7b93e6a1:150814fecb6:1230	Membership
7b93e6a1:150814fecb6:-246	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/	Province
7b93e6a1:150814fecb6:2039	Membership
7b93e6a1:150814fecb6:18c8	Membership
7b93e6a1:150814fecb6:1490	Membership
7b93e6a1:150814fecb6:6c	Membership
7b93e6a1:150814fecb6:1824	Membership
7b93e6a1:150814fecb6:-1f2	Membership
7b93e6a1:150814fecb6:2299	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/	Province
7b93e6a1:150814fecb6:ac9	Membership
7b93e6a1:150814fecb6:1e56	Membership
7b93e6a1:150814fecb6:112f	Membership
http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Mountains
7b93e6a1:150814fecb6:6f7	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/	Province
7b93e6a1:150814fecb6:a25	Membership
7b93e6a1:150814fecb6:1ba2	Membership
7b93e6a1:150814fecb6:17d0	Membership
7b93e6a1:150814fecb6:653	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	City
7b93e6a1:150814fecb6:-7e6	Encompassed
7b93e6a1:150814fecb6:138f	Membership
7b93e6a1:150814fecb6:c85	Membership
7b93e6a1:150814fecb6:10db	Membership
7b93e6a1:150814fecb6:-742	Encompassed
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	City
7b93e6a1:150814fecb6:25d9	EthnicProportion
7b93e6a1:150814fecb6:2535	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Pulog/	Mountain
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	Island
7b93e6a1:150814fecb6:16cf	Membership
7b93e6a1:150814fecb6:fc5	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	City
7b93e6a1:150814fecb6:162b	Membership
7b93e6a1:150814fecb6:24e1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/FL/	Country
http://www.semwebtech.org/mondial/10/estuary/Akagera/	Estuary
7b93e6a1:150814fecb6:f21	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	City
7b93e6a1:150814fecb6:1c5d	Membership
http://www.semwebtech.org/mondial/10/organization/NAFTA/	Organization
7b93e6a1:150814fecb6:4fe	Membership
7b93e6a1:150814fecb6:188b	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/	Province
http://www.semwebtech.org/mondial/10/country/HR/	Country
7b93e6a1:150814fecb6:45a	Membership
7b93e6a1:150814fecb6:-5ed	Border
7b93e6a1:150814fecb6:a8c	Membership
7b93e6a1:150814fecb6:-86	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	City
http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	Islands
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/	Province
7b93e6a1:150814fecb6:233c	BelievedBy
7b93e6a1:150814fecb6:-209	Membership
http://www.semwebtech.org/mondial/10/island/Lipari/	Island
7b93e6a1:150814fecb6:14f7	Membership
7b93e6a1:150814fecb6:259c	EthnicProportion
7b93e6a1:150814fecb6:dcc	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/	Province
7b93e6a1:150814fecb6:1453	Membership
7b93e6a1:150814fecb6:-469	Membership
7b93e6a1:150814fecb6:2f	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	City
7b93e6a1:150814fecb6:9fa	Membership
http://www.semwebtech.org/mondial/10/source/Klaraelv/	Source
7b93e6a1:150814fecb6:1a85	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/	Province
7b93e6a1:150814fecb6:-1b5	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/	Province
7b93e6a1:150814fecb6:1e19	Membership
http://www.semwebtech.org/mondial/10/source/Amur/	Source
7b93e6a1:150814fecb6:-111	Membership
http://www.semwebtech.org/mondial/10/desert/UstUrt/	Desert
7b93e6a1:150814fecb6:282	Membership
7b93e6a1:150814fecb6:616	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	City
7b93e6a1:150814fecb6:-7a9	Encompassed
7b93e6a1:150814fecb6:-371	Membership
7b93e6a1:150814fecb6:c48	Membership
7b93e6a1:150814fecb6:1dc5	Membership
7b93e6a1:150814fecb6:-705	Border
7b93e6a1:150814fecb6:2164	SpokenBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	EthnicGroup
7b93e6a1:150814fecb6:876	Membership
7b93e6a1:150814fecb6:1d21	Membership
7b93e6a1:150814fecb6:19f3	Membership
http://www.semwebtech.org/mondial/10/mountain/Fogo/	Mountain
7b93e6a1:150814fecb6:5c2	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	City
http://www.semwebtech.org/mondial/10/island/Unalaska/	Island
7b93e6a1:150814fecb6:12fe	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/	Province
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	Estuary
7b93e6a1:150814fecb6:1f81	Membership
7b93e6a1:150814fecb6:bf4	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	City
7b93e6a1:150814fecb6:-6b1	Border
7b93e6a1:150814fecb6:125a	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/	Province
7b93e6a1:150814fecb6:b50	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	City
http://www.semwebtech.org/mondial/10/country/I/province/Campania/	Province
7b93e6a1:150814fecb6:24a4	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Schilka/	Estuary
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	City
http://www.semwebtech.org/mondial/10/country/I/province/Molise/	Province
7b93e6a1:150814fecb6:2400	BelievedBy
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	City
http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	Mountains
7b93e6a1:150814fecb6:184e	Membership
7b93e6a1:150814fecb6:41d	Membership
7b93e6a1:150814fecb6:2660	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	Water
7b93e6a1:150814fecb6:a4f	Membership
7b93e6a1:150814fecb6:1bcc	Membership
7b93e6a1:150814fecb6:-49	Membership
7b93e6a1:150814fecb6:-50c	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Maya/	EthnicGroup
7b93e6a1:150814fecb6:67d	Membership
7b93e6a1:150814fecb6:17fa	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/	Province
http://www.semwebtech.org/mondial/10/estuary/Benue/	Estuary
7b93e6a1:150814fecb6:-76c	Encompassed
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	City
7b93e6a1:150814fecb6:1082	Membership
7b93e6a1:150814fecb6:255f	EthnicProportion
7b93e6a1:150814fecb6:1416	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/	Province
7b93e6a1:150814fecb6:22ab	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	City
7b93e6a1:150814fecb6:9bd	Membership
7b93e6a1:150814fecb6:1a48	Membership
7b93e6a1:150814fecb6:fef	Membership
7b93e6a1:150814fecb6:2e9	Membership
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	Mountain
7b93e6a1:150814fecb6:1676	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	City
http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	Islands
7b93e6a1:150814fecb6:f4b	Membership
http://www.semwebtech.org/mondial/10/estuary/Brigach/	Estuary
7b93e6a1:150814fecb6:245	Membership
7b93e6a1:150814fecb6:13c2	Membership
7b93e6a1:150814fecb6:-3d8	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	City
7b93e6a1:150814fecb6:-334	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mon/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	City
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	Estuary
7b93e6a1:150814fecb6:2127	SpokenBy
7b93e6a1:150814fecb6:839	Membership
7b93e6a1:150814fecb6:1f1	Membership
7b93e6a1:150814fecb6:19b6	Membership
7b93e6a1:150814fecb6:-594	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	City
http://www.semwebtech.org/mondial/10/estuary/Marne/	Estuary
7b93e6a1:150814fecb6:1fe8	Membership
7b93e6a1:150814fecb6:1912	Membership
7b93e6a1:150814fecb6:-2e0	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	City
7b93e6a1:150814fecb6:2387	BelievedBy
7b93e6a1:150814fecb6:bb7	Membership
7b93e6a1:150814fecb6:1f44	Membership
7b93e6a1:150814fecb6:121d	Membership
7b93e6a1:150814fecb6:20d3	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	City
7b93e6a1:150814fecb6:b13	Membership
7b93e6a1:150814fecb6:7e5	Membership
7b93e6a1:150814fecb6:741	Membership
7b93e6a1:150814fecb6:147d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/	Province
7b93e6a1:150814fecb6:d73	Membership
7b93e6a1:150814fecb6:26c7	EthnicProportion
7b93e6a1:150814fecb6:1ef0	Membership
http://www.semwebtech.org/mondial/10/source/Kwa/	Source
7b93e6a1:150814fecb6:-1df	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	City
7b93e6a1:150814fecb6:-13b	Membership
7b93e6a1:150814fecb6:2623	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	City
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	Water
http://www.semwebtech.org/mondial/10/source/Weichsel/	Source
7b93e6a1:150814fecb6:17bd	Membership
7b93e6a1:150814fecb6:-39b	Membership
7b93e6a1:150814fecb6:1def	Membership
7b93e6a1:150814fecb6:-72f	Encompassed
7b93e6a1:150814fecb6:10e9	Membership
7b93e6a1:150814fecb6:218e	SpokenBy
7b93e6a1:150814fecb6:1d4b	Membership
7b93e6a1:150814fecb6:1045	Membership
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	City
7b93e6a1:150814fecb6:5ec	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/	Province
7b93e6a1:150814fecb6:b6b	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/	Province
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	City
7b93e6a1:150814fecb6:-6db	Border
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	Estuary
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	City
7b93e6a1:150814fecb6:b7a	Membership
7b93e6a1:150814fecb6:1639	Membership
7b93e6a1:150814fecb6:24ce	EthnicProportion
7b93e6a1:150814fecb6:f0e	Membership
7b93e6a1:150814fecb6:208	Membership
7b93e6a1:150814fecb6:242a	BelievedBy
7b93e6a1:150814fecb6:1899	Membership
7b93e6a1:150814fecb6:468	Membership
7b93e6a1:150814fecb6:15e5	Membership
7b93e6a1:150814fecb6:268a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	City
7b93e6a1:150814fecb6:eba	Membership
7b93e6a1:150814fecb6:1b4	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	City
7b93e6a1:150814fecb6:1541	Membership
7b93e6a1:150814fecb6:-557	Membership
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	City
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/	Province
7b93e6a1:150814fecb6:110	Membership
7b93e6a1:150814fecb6:1b73	Membership
7b93e6a1:150814fecb6:-2a3	Membership
http://www.semwebtech.org/mondial/10/country/ROK/	Country
7b93e6a1:150814fecb6:1f07	Membership
7b93e6a1:150814fecb6:7a8	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	City
7b93e6a1:150814fecb6:370	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Gourmantche/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Guam/	Island
7b93e6a1:150814fecb6:704	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	City
7b93e6a1:150814fecb6:22f6	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	Estuary
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	Mountain
7b93e6a1:150814fecb6:d36	Membership
7b93e6a1:150814fecb6:1eb3	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Beja/	EthnicGroup
7b93e6a1:150814fecb6:2252	BelievedBy
http://www.semwebtech.org/mondial/10/island/Bangka/	Island
7b93e6a1:150814fecb6:964	Membership
7b93e6a1:150814fecb6:f96	Membership
7b93e6a1:150814fecb6:6b0	Membership
7b93e6a1:150814fecb6:26f	Membership
7b93e6a1:150814fecb6:13ec	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	City
7b93e6a1:150814fecb6:ce2	Membership
7b93e6a1:150814fecb6:-35e	Membership
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/	Province
http://www.semwebtech.org/mondial/10/river/Naryn/	Water
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	City
7b93e6a1:150814fecb6:1d0e	Membership
7b93e6a1:150814fecb6:1008	Membership
7b93e6a1:150814fecb6:5af	Membership
7b93e6a1:150814fecb6:193c	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	City
7b93e6a1:150814fecb6:50b	Membership
7b93e6a1:150814fecb6:1f6e	Membership
7b93e6a1:150814fecb6:1268	Membership
7b93e6a1:150814fecb6:20fd	Membership
7b93e6a1:150814fecb6:b3d	Membership
7b93e6a1:150814fecb6:1cba	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	City
7b93e6a1:150814fecb6:76b	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	City
7b93e6a1:150814fecb6:d9d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/	Province
7b93e6a1:150814fecb6:15a8	Membership
7b93e6a1:150814fecb6:-e3	Membership
7b93e6a1:150814fecb6:1170	Membership
7b93e6a1:150814fecb6:-186	Membership
7b93e6a1:150814fecb6:264d	EthnicProportion
7b93e6a1:150814fecb6:1504	Membership
http://www.semwebtech.org/mondial/10/lake/DeadSea/	Water
7b93e6a1:150814fecb6:1b36	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/BritishIsles/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/	Province
7b93e6a1:150814fecb6:3d7	Membership
7b93e6a1:150814fecb6:1764	Membership
7b93e6a1:150814fecb6:1d96	Membership
7b93e6a1:150814fecb6:333	Membership
7b93e6a1:150814fecb6:14b0	Membership
7b93e6a1:150814fecb6:-4c6	Membership
7b93e6a1:150814fecb6:106f	Membership
7b93e6a1:150814fecb6:1ae2	Membership
7b93e6a1:150814fecb6:-422	Membership
7b93e6a1:150814fecb6:22b9	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	Mountain
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	City
http://www.semwebtech.org/mondial/10/river/Perene/	Water
7b93e6a1:150814fecb6:593	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	City
http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	Islands
7b93e6a1:150814fecb6:2215	SpokenBy
7b93e6a1:150814fecb6:927	Membership
7b93e6a1:150814fecb6:-682	Border
http://www.semwebtech.org/mondial/10/organization/CP/	Organization
http://www.semwebtech.org/mondial/10/estuary/Baro/	Estuary
7b93e6a1:150814fecb6:f59	Membership
7b93e6a1:150814fecb6:13af	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	City
7b93e6a1:150814fecb6:2475	EthnicProportion
7b93e6a1:150814fecb6:ca5	Membership
7b93e6a1:150814fecb6:130b	Membership
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	City
7b93e6a1:150814fecb6:21c1	SpokenBy
7b93e6a1:150814fecb6:c01	Membership
7b93e6a1:150814fecb6:8d3	Membership
http://www.semwebtech.org/mondial/10/source/Schari/	Source
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	City
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	City
7b93e6a1:150814fecb6:1de	Membership
7b93e6a1:150814fecb6:156b	Membership
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/	Province
7b93e6a1:150814fecb6:e61	Membership
7b93e6a1:150814fecb6:13a	Membership
7b93e6a1:150814fecb6:1b9d	Membership
7b93e6a1:150814fecb6:-2cd	Membership
7b93e6a1:150814fecb6:39a	Membership
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	City
http://www.semwebtech.org/mondial/10/estuary/Etsch/	Estuary
7b93e6a1:150814fecb6:201c	Membership
7b93e6a1:150814fecb6:72e	Membership
7b93e6a1:150814fecb6:18ab	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	City
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	City
7b93e6a1:150814fecb6:70	Membership
7b93e6a1:150814fecb6:1edd	Membership
7b93e6a1:150814fecb6:11d7	Membership
7b93e6a1:150814fecb6:227c	BelievedBy
7b93e6a1:150814fecb6:aac	Membership
7b93e6a1:150814fecb6:98e	Membership
7b93e6a1:150814fecb6:-a6	Membership
7b93e6a1:150814fecb6:1133	Membership
7b93e6a1:150814fecb6:-149	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	City
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	City
7b93e6a1:150814fecb6:6da	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mande/	EthnicGroup
7b93e6a1:150814fecb6:1393	Membership
7b93e6a1:150814fecb6:1727	Membership
7b93e6a1:150814fecb6:25bc	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	City
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	Island
7b93e6a1:150814fecb6:1d59	Membership
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	Water
http://www.semwebtech.org/mondial/10/source/Semliki/	Source
7b93e6a1:150814fecb6:1aa5	Membership
7b93e6a1:150814fecb6:1987	Membership
http://www.semwebtech.org/mondial/10/organization/IHO/	Organization
7b93e6a1:150814fecb6:1a01	Membership
7b93e6a1:150814fecb6:556	Membership
7b93e6a1:150814fecb6:16d3	Membership
7b93e6a1:150814fecb6:-6e9	Border
7b93e6a1:150814fecb6:b88	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	Province
7b93e6a1:150814fecb6:2a2	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	City
7b93e6a1:150814fecb6:-645	Border
http://www.semwebtech.org/mondial/10/source/Dalaelv/	Source
7b93e6a1:150814fecb6:1c61	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/	Province
7b93e6a1:150814fecb6:2438	BelievedBy
http://www.semwebtech.org/mondial/10/source/Lualaba/	Source
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	City
7b93e6a1:150814fecb6:-5f1	Border
7b93e6a1:150814fecb6:119a	Membership
7b93e6a1:150814fecb6:2698	EthnicProportion
7b93e6a1:150814fecb6:ec8	Membership
7b93e6a1:150814fecb6:a90	Membership
7b93e6a1:150814fecb6:152e	Membership
7b93e6a1:150814fecb6:23e4	BelievedBy
7b93e6a1:150814fecb6:e24	Membership
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	City
http://www.semwebtech.org/mondial/10/source/Hwangho/	Source
7b93e6a1:150814fecb6:1fa1	Membership
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	City
7b93e6a1:150814fecb6:2340	BelievedBy
http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	Islands
7b93e6a1:150814fecb6:178e	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/	Province
7b93e6a1:150814fecb6:35d	Membership
7b93e6a1:150814fecb6:14da	Membership
7b93e6a1:150814fecb6:d7	Membership
7b93e6a1:150814fecb6:dd0	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	City
7b93e6a1:150814fecb6:-44c	Membership
7b93e6a1:150814fecb6:33	Membership
http://www.semwebtech.org/mondial/10/lake/Saimaa/	Water
7b93e6a1:150814fecb6:223f	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	City
http://www.semwebtech.org/mondial/10/mountains/Darfur/	Mountains
7b93e6a1:150814fecb6:249f	EthnicProportion
7b93e6a1:150814fecb6:ccf	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	City
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	City
7b93e6a1:150814fecb6:1356	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	City
7b93e6a1:150814fecb6:21eb	SpokenBy
7b93e6a1:150814fecb6:c2b	Membership
7b93e6a1:150814fecb6:8fd	Membership
http://www.semwebtech.org/mondial/10/organization/MINURSO/	Organization
7b93e6a1:150814fecb6:10a2	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Mie/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	City
7b93e6a1:150814fecb6:e8b	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	City
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	City
7b93e6a1:150814fecb6:185	Membership
http://www.semwebtech.org/mondial/10/language/Russian/	Language
7b93e6a1:150814fecb6:519	Membership
http://www.semwebtech.org/mondial/10/country/Z/	Country
7b93e6a1:150814fecb6:-274	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/	Province
7b93e6a1:150814fecb6:1cc8	Membership
7b93e6a1:150814fecb6:-608	Border
7b93e6a1:150814fecb6:2067	Membership
7b93e6a1:150814fecb6:779	Membership
7b93e6a1:150814fecb6:1c24	Membership
7b93e6a1:150814fecb6:18f6	Membership
7b93e6a1:150814fecb6:9a	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	City
7b93e6a1:150814fecb6:4c5	Membership
7b93e6a1:150814fecb6:1852	Membership
http://www.semwebtech.org/mondial/10/source/OhioRiver/	Source
7b93e6a1:150814fecb6:1e84	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	City
7b93e6a1:150814fecb6:af7	Membership
7b93e6a1:150814fecb6:421	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	City
7b93e6a1:150814fecb6:-5b4	Membership
7b93e6a1:150814fecb6:115d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/black-Amerindian/	EthnicGroup
7b93e6a1:150814fecb6:a53	Membership
7b93e6a1:150814fecb6:1bd0	Membership
7b93e6a1:150814fecb6:-2c	Membership
7b93e6a1:150814fecb6:-510	Membership
7b93e6a1:150814fecb6:23a7	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	City
7b93e6a1:150814fecb6:681	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Africandescent/	EthnicGroup
7b93e6a1:150814fecb6:2303	BelievedBy
http://www.semwebtech.org/mondial/10/islands/CocosIslands/	Islands
7b93e6a1:150814fecb6:-770	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Bahraini/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/Elbe/	Estuary
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	City
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	City
7b93e6a1:150814fecb6:2563	EthnicProportion
7b93e6a1:150814fecb6:1acf	Membership
7b93e6a1:150814fecb6:-40f	Membership
7b93e6a1:150814fecb6:9c1	Membership
7b93e6a1:150814fecb6:1a2b	Membership
7b93e6a1:150814fecb6:16fd	Membership
7b93e6a1:150814fecb6:ff3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	City
7b93e6a1:150814fecb6:2cc	Membership
7b93e6a1:150814fecb6:-66f	Border
7b93e6a1:150814fecb6:1c8b	Membership
7b93e6a1:150814fecb6:-3bb	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/	Province
7b93e6a1:150814fecb6:1319	Membership
7b93e6a1:150814fecb6:21ae	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Garonne/	Estuary
7b93e6a1:150814fecb6:210a	Membership
7b93e6a1:150814fecb6:81c	Membership
7b93e6a1:150814fecb6:1579	Membership
7b93e6a1:150814fecb6:1fcb	Membership
7b93e6a1:150814fecb6:e4e	Membership
7b93e6a1:150814fecb6:148	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/	Province
7b93e6a1:150814fecb6:12c5	Membership
7b93e6a1:150814fecb6:236a	BelievedBy
7b93e6a1:150814fecb6:1221	Membership
7b93e6a1:150814fecb6:-237	Membership
http://www.semwebtech.org/mondial/10/estuary/Maas/	Estuary
7b93e6a1:150814fecb6:dfa	Membership
7b93e6a1:150814fecb6:18b9	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	City
7b93e6a1:150814fecb6:1481	Membership
7b93e6a1:150814fecb6:-497	Membership
7b93e6a1:150814fecb6:5d	Membership
http://www.semwebtech.org/mondial/10/desert/Mojave/	Desert
http://www.semwebtech.org/mondial/10/river/Aller/	Water
7b93e6a1:150814fecb6:1815	Membership
7b93e6a1:150814fecb6:-1e3	Membership
7b93e6a1:150814fecb6:26aa	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	City
7b93e6a1:150814fecb6:1e47	Membership
7b93e6a1:150814fecb6:6e8	Membership
7b93e6a1:150814fecb6:a16	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	City
7b93e6a1:150814fecb6:644	Membership
7b93e6a1:150814fecb6:17c1	Membership
7b93e6a1:150814fecb6:-7d7	Encompassed
http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/	Mountains
7b93e6a1:150814fecb6:c76	Membership
7b93e6a1:150814fecb6:1df3	Membership
http://www.semwebtech.org/mondial/10/country/PITC/	Country
7b93e6a1:150814fecb6:-733	Encompassed
7b93e6a1:150814fecb6:10cc	Membership
7b93e6a1:150814fecb6:2192	SpokenBy
7b93e6a1:150814fecb6:2526	EthnicProportion
7b93e6a1:150814fecb6:5f0	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/	Province
7b93e6a1:150814fecb6:-29e	Membership
7b93e6a1:150814fecb6:fb6	Membership
7b93e6a1:150814fecb6:161c	Membership
http://www.semwebtech.org/mondial/10/organization/UNITAR/	Organization
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/	Province
7b93e6a1:150814fecb6:24d2	EthnicProportion
7b93e6a1:150814fecb6:f12	Membership
http://www.semwebtech.org/mondial/10/source/Niger/	Source
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/	Province
7b93e6a1:150814fecb6:1c4e	Membership
7b93e6a1:150814fecb6:4ef	Membership
7b93e6a1:150814fecb6:187c	Membership
7b93e6a1:150814fecb6:44b	Membership
7b93e6a1:150814fecb6:-5de	Border
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	City
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	City
7b93e6a1:150814fecb6:a7d	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	City
7b93e6a1:150814fecb6:1bfa	Membership
7b93e6a1:150814fecb6:-77	Membership
7b93e6a1:150814fecb6:-53a	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	City
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/	Province
7b93e6a1:150814fecb6:232d	BelievedBy
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	City
7b93e6a1:150814fecb6:-79a	Encompassed
http://www.semwebtech.org/mondial/10/river/RioGrande/	Water
7b93e6a1:150814fecb6:14e8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	City
7b93e6a1:150814fecb6:258d	EthnicProportion
7b93e6a1:150814fecb6:dbd	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	City
7b93e6a1:150814fecb6:1444	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/	Province
7b93e6a1:150814fecb6:9eb	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	City
7b93e6a1:150814fecb6:1a76	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/	Province
7b93e6a1:150814fecb6:-1a6	Membership
7b93e6a1:150814fecb6:-102	Membership
7b93e6a1:150814fecb6:273	Membership
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	City
7b93e6a1:150814fecb6:13f0	Membership
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	Mountain
7b93e6a1:150814fecb6:607	Membership
7b93e6a1:150814fecb6:-362	Membership
7b93e6a1:150814fecb6:21f9	SpokenBy
7b93e6a1:150814fecb6:c39	Membership
7b93e6a1:150814fecb6:1db6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	City
7b93e6a1:150814fecb6:2155	SpokenBy
7b93e6a1:150814fecb6:867	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/	Province
http://www.semwebtech.org/mondial/10/organization/CEPGL/	Organization
7b93e6a1:150814fecb6:1d12	Membership
7b93e6a1:150814fecb6:19e4	Membership
7b93e6a1:150814fecb6:e99	Membership
7b93e6a1:150814fecb6:5b3	Membership
7b93e6a1:150814fecb6:1940	Membership
7b93e6a1:150814fecb6:12ef	Membership
7b93e6a1:150814fecb6:be5	Membership
7b93e6a1:150814fecb6:1f72	Membership
7b93e6a1:150814fecb6:124b	Membership
7b93e6a1:150814fecb6:-6a2	Border
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/	Province
7b93e6a1:150814fecb6:b41	Membership
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	Mountain
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	City
7b93e6a1:150814fecb6:24bf	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	City
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/	Province
7b93e6a1:150814fecb6:183f	Membership
7b93e6a1:150814fecb6:40e	Membership
7b93e6a1:150814fecb6:2651	EthnicProportion
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	City
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	City
7b93e6a1:150814fecb6:1bbd	Membership
7b93e6a1:150814fecb6:66e	Membership
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/	Mountain
7b93e6a1:150814fecb6:17eb	Membership
7b93e6a1:150814fecb6:3ba	Membership
http://www.semwebtech.org/mondial/10/country/FGU/	Country
7b93e6a1:150814fecb6:-75d	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Bagisu/	EthnicGroup
7b93e6a1:150814fecb6:1073	Membership
http://www.semwebtech.org/mondial/10/island/Westray/	Island
http://www.semwebtech.org/mondial/10/estuary/Werra/	Estuary
7b93e6a1:150814fecb6:1407	Membership
http://www.semwebtech.org/mondial/10/island/Wangerooge/	Island
7b93e6a1:150814fecb6:9ae	Membership
7b93e6a1:150814fecb6:1a39	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/	Province
7b93e6a1:150814fecb6:90a	Membership
7b93e6a1:150814fecb6:1667	Membership
7b93e6a1:150814fecb6:24fc	EthnicProportion
7b93e6a1:150814fecb6:1c99	Membership
7b93e6a1:150814fecb6:13b3	Membership
7b93e6a1:150814fecb6:f3c	Membership
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	City
7b93e6a1:150814fecb6:236	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	City
7b93e6a1:150814fecb6:-3c9	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	City
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	Mountain
7b93e6a1:150814fecb6:-325	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/	Province
http://www.semwebtech.org/mondial/10/continent/America/	Continent
7b93e6a1:150814fecb6:496	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	City
7b93e6a1:150814fecb6:2118	SpokenBy
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	City
7b93e6a1:150814fecb6:1e2	Membership
7b93e6a1:150814fecb6:19a7	Membership
7b93e6a1:150814fecb6:-585	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	City
7b93e6a1:150814fecb6:2378	BelievedBy
7b93e6a1:150814fecb6:1fd9	Membership
7b93e6a1:150814fecb6:1903	Membership
7b93e6a1:150814fecb6:-2d1	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	City
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	Mountain
7b93e6a1:150814fecb6:ba8	Membership
7b93e6a1:150814fecb6:1f35	Membership
http://www.semwebtech.org/mondial/10/source/Mur/	Source
7b93e6a1:150814fecb6:120e	Membership
7b93e6a1:150814fecb6:20c4	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	City
7b93e6a1:150814fecb6:b04	Membership
7b93e6a1:150814fecb6:7d6	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	City
7b93e6a1:150814fecb6:2020	Membership
7b93e6a1:150814fecb6:732	Membership
7b93e6a1:150814fecb6:146e	Membership
http://www.semwebtech.org/mondial/10/estuary/Nile/	Estuary
7b93e6a1:150814fecb6:d64	Membership
7b93e6a1:150814fecb6:1ee1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	City
7b93e6a1:150814fecb6:11ba	Membership
7b93e6a1:150814fecb6:26b8	EthnicProportion
7b93e6a1:150814fecb6:2280	BelievedBy
7b93e6a1:150814fecb6:ab0	Membership
7b93e6a1:150814fecb6:992	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	City
7b93e6a1:150814fecb6:-12c	Membership
7b93e6a1:150814fecb6:2614	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	City
7b93e6a1:150814fecb6:29d	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	City
7b93e6a1:150814fecb6:17ae	Membership
7b93e6a1:150814fecb6:-38c	Membership
7b93e6a1:150814fecb6:170a	Membership
7b93e6a1:150814fecb6:25c0	EthnicProportion
7b93e6a1:150814fecb6:217f	SpokenBy
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/	Province
7b93e6a1:150814fecb6:1d3c	Membership
7b93e6a1:150814fecb6:1036	Membership
7b93e6a1:150814fecb6:5dd	Membership
7b93e6a1:150814fecb6:196a	Membership
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	Estuary
http://www.semwebtech.org/mondial/10/organization/SICA/	Organization
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	City
7b93e6a1:150814fecb6:1f9c	Membership
7b93e6a1:150814fecb6:-6cc	Border
7b93e6a1:150814fecb6:1296	Membership
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	Water
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	City
7b93e6a1:150814fecb6:241b	BelievedBy
7b93e6a1:150814fecb6:459	Membership
7b93e6a1:150814fecb6:15d6	Membership
7b93e6a1:150814fecb6:267b	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	Mountain
7b93e6a1:150814fecb6:eab	Membership
http://www.semwebtech.org/mondial/10/source/Raab/	Source
7b93e6a1:150814fecb6:1a5	Membership
7b93e6a1:150814fecb6:1532	Membership
7b93e6a1:150814fecb6:-548	Membership
7b93e6a1:150814fecb6:101	Membership
7b93e6a1:150814fecb6:1b64	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	City
7b93e6a1:150814fecb6:1792	Membership
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	Source
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/	Province
7b93e6a1:150814fecb6:361	Membership
7b93e6a1:150814fecb6:-4f4	Membership
7b93e6a1:150814fecb6:109d	Membership
7b93e6a1:150814fecb6:ba	Membership
7b93e6a1:150814fecb6:-450	Membership
7b93e6a1:150814fecb6:22e7	BelievedBy
7b93e6a1:150814fecb6:d27	Membership
7b93e6a1:150814fecb6:9f9	Membership
7b93e6a1:150814fecb6:1ea4	Membership
7b93e6a1:150814fecb6:2243	BelievedBy
7b93e6a1:150814fecb6:955	Membership
7b93e6a1:150814fecb6:1e00	Membership
7b93e6a1:150814fecb6:f87	Membership
7b93e6a1:150814fecb6:6a1	Membership
7b93e6a1:150814fecb6:13dd	Membership
7b93e6a1:150814fecb6:cd3	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	City
7b93e6a1:150814fecb6:-34f	Membership
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/	Province
http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	Islands
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	City
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	Water
7b93e6a1:150814fecb6:192d	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/	Province
7b93e6a1:150814fecb6:-2fb	Membership
7b93e6a1:150814fecb6:1f5f	Membership
7b93e6a1:150814fecb6:1259	Membership
7b93e6a1:150814fecb6:20ee	Membership
http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	Islands
7b93e6a1:150814fecb6:b2e	Membership
7b93e6a1:150814fecb6:1cab	Membership
7b93e6a1:150814fecb6:204a	Membership
7b93e6a1:150814fecb6:75c	Membership
http://www.semwebtech.org/mondial/10/island/Filicudi/	Island
http://www.semwebtech.org/mondial/10/island/Langeoog/	Island
7b93e6a1:150814fecb6:d8e	Membership
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	City
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	City
7b93e6a1:150814fecb6:ada	Membership
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	Mountain
7b93e6a1:150814fecb6:-d4	Membership
7b93e6a1:150814fecb6:1161	Membership
7b93e6a1:150814fecb6:-177	Membership
7b93e6a1:150814fecb6:263e	EthnicProportion
7b93e6a1:150814fecb6:-30	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	City
7b93e6a1:150814fecb6:1b27	Membership
7b93e6a1:150814fecb6:17f9	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	City
7b93e6a1:150814fecb6:3c8	Membership
7b93e6a1:150814fecb6:25ea	EthnicProportion
7b93e6a1:150814fecb6:1755	Membership
7b93e6a1:150814fecb6:1d87	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	City
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	City
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/	Province
7b93e6a1:150814fecb6:324	Membership
7b93e6a1:150814fecb6:14a1	Membership
7b93e6a1:150814fecb6:-4b7	Membership
7b93e6a1:150814fecb6:1ad3	Membership
7b93e6a1:150814fecb6:-413	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	City
7b93e6a1:150814fecb6:584	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/	Province
7b93e6a1:150814fecb6:2206	SpokenBy
7b93e6a1:150814fecb6:918	Membership
7b93e6a1:150814fecb6:2d0	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	City
7b93e6a1:150814fecb6:-673	Border
7b93e6a1:150814fecb6:2466	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/	Mountain
7b93e6a1:150814fecb6:21b2	SpokenBy
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/	Province
7b93e6a1:150814fecb6:8c4	Membership
http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Mountains
7b93e6a1:150814fecb6:ef6	Membership
7b93e6a1:150814fecb6:820	Membership
7b93e6a1:150814fecb6:1cf	Membership
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	Water
7b93e6a1:150814fecb6:155c	Membership
7b93e6a1:150814fecb6:e52	Membership
7b93e6a1:150814fecb6:12b	Membership
7b93e6a1:150814fecb6:1b8e	Membership
7b93e6a1:150814fecb6:-2be	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	City
7b93e6a1:150814fecb6:-21a	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	City
7b93e6a1:150814fecb6:38b	Membership
http://www.semwebtech.org/mondial/10/island/Salina/	Island
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	Estuary
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	City
7b93e6a1:150814fecb6:200d	Membership
7b93e6a1:150814fecb6:71f	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/	Province
7b93e6a1:150814fecb6:-47a	Membership
7b93e6a1:150814fecb6:61	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	City
7b93e6a1:150814fecb6:1ece	Membership
7b93e6a1:150814fecb6:-80e	Encompassed
7b93e6a1:150814fecb6:11c8	Membership
7b93e6a1:150814fecb6:226d	BelievedBy
7b93e6a1:150814fecb6:97f	Membership
7b93e6a1:150814fecb6:1e2a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	City
7b93e6a1:150814fecb6:1124	Membership
7b93e6a1:150814fecb6:6cb	Membership
http://www.semwebtech.org/mondial/10/country/ETH/	Country
7b93e6a1:150814fecb6:cfd	Membership
7b93e6a1:150814fecb6:-7ba	Encompassed
7b93e6a1:150814fecb6:1384	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/	Province
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	Water
7b93e6a1:150814fecb6:1718	Membership
7b93e6a1:150814fecb6:10d0	Membership
7b93e6a1:150814fecb6:25ad	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/European-CaribbeanAmerindian/	EthnicGroup
7b93e6a1:150814fecb6:1978	Membership
7b93e6a1:150814fecb6:547	Membership
7b93e6a1:150814fecb6:16c4	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	City
7b93e6a1:150814fecb6:b79	Membership
7b93e6a1:150814fecb6:1cf6	Membership
7b93e6a1:150814fecb6:1620	Membership
7b93e6a1:150814fecb6:-636	Border
7b93e6a1:150814fecb6:2095	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/	Province
7b93e6a1:150814fecb6:2429	BelievedBy
7b93e6a1:150814fecb6:1c52	Membership
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	Island
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	Estuary
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	City
http://www.semwebtech.org/mondial/10/country/P/province/Braga/	Province
7b93e6a1:150814fecb6:4f3	Membership
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	Water
7b93e6a1:150814fecb6:1880	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	City
http://www.semwebtech.org/mondial/10/island/Hierro/	Island
7b93e6a1:150814fecb6:-fe	Membership
7b93e6a1:150814fecb6:-5e2	Border
7b93e6a1:150814fecb6:118b	Membership
7b93e6a1:150814fecb6:2689	EthnicProportion
7b93e6a1:150814fecb6:eb9	Membership
7b93e6a1:150814fecb6:a81	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	City
7b93e6a1:150814fecb6:-5a	Membership
7b93e6a1:150814fecb6:151f	Membership
7b93e6a1:150814fecb6:23d5	BelievedBy
7b93e6a1:150814fecb6:e15	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	Mountain
7b93e6a1:150814fecb6:2331	BelievedBy
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	City
7b93e6a1:150814fecb6:177f	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	City
7b93e6a1:150814fecb6:34e	Membership
7b93e6a1:150814fecb6:2591	EthnicProportion
7b93e6a1:150814fecb6:14cb	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	City
7b93e6a1:150814fecb6:c8	Membership
7b93e6a1:150814fecb6:dc1	Membership
7b93e6a1:150814fecb6:1afd	Membership
7b93e6a1:150814fecb6:-43d	Membership
http://www.semwebtech.org/mondial/10/desert/RedCentre/	Desert
7b93e6a1:150814fecb6:24	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	City
http://www.semwebtech.org/mondial/10/mountain/Andringitra/	Mountain
7b93e6a1:150814fecb6:2fa	Membership
7b93e6a1:150814fecb6:-69d	Border
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	City
http://www.semwebtech.org/mondial/10/estuary/Salzach/	Estuary
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/	Province
7b93e6a1:150814fecb6:21dc	SpokenBy
7b93e6a1:150814fecb6:1347	Membership
7b93e6a1:150814fecb6:-488	Membership
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	Mountain
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	Island
7b93e6a1:150814fecb6:c1c	Membership
7b93e6a1:150814fecb6:8ee	Membership
7b93e6a1:150814fecb6:84a	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	City
7b93e6a1:150814fecb6:e7c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	EthnicGroup
7b93e6a1:150814fecb6:176	Membership
7b93e6a1:150814fecb6:12f3	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/	Province
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/	Province
7b93e6a1:150814fecb6:-265	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	City
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	Mountain
7b93e6a1:150814fecb6:1cb9	Membership
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	City
7b93e6a1:150814fecb6:2058	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	City
7b93e6a1:150814fecb6:1c15	Membership
7b93e6a1:150814fecb6:18e7	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	City
7b93e6a1:150814fecb6:8b	Membership
7b93e6a1:150814fecb6:1843	Membership
7b93e6a1:150814fecb6:4b6	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	City
http://www.semwebtech.org/mondial/10/country/SD/	Country
http://www.semwebtech.org/mondial/10/island/Koror/	Island
7b93e6a1:150814fecb6:1e75	Membership
7b93e6a1:150814fecb6:ae8	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/	Province
7b93e6a1:150814fecb6:412	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	City
7b93e6a1:150814fecb6:-5a5	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	City
7b93e6a1:150814fecb6:114e	Membership
7b93e6a1:150814fecb6:a44	Membership
7b93e6a1:150814fecb6:1bc1	Membership
7b93e6a1:150814fecb6:-1d	Membership
7b93e6a1:150814fecb6:-501	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	City
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	City
7b93e6a1:150814fecb6:672	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/	Province
7b93e6a1:150814fecb6:-761	Encompassed
7b93e6a1:150814fecb6:10fa	Membership
7b93e6a1:150814fecb6:25f8	EthnicProportion
7b93e6a1:150814fecb6:2554	EthnicProportion
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	City
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	Estuary
http://www.semwebtech.org/mondial/10/country/YV/	Country
7b93e6a1:150814fecb6:22a0	BelievedBy
7b93e6a1:150814fecb6:9b2	Membership
7b93e6a1:150814fecb6:1a1c	Membership
7b93e6a1:150814fecb6:16ee	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	City
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/	Mountain
7b93e6a1:150814fecb6:fe4	Membership
7b93e6a1:150814fecb6:2bd	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Oromo/	EthnicGroup
7b93e6a1:150814fecb6:164a	Membership
http://www.semwebtech.org/mondial/10/river/Apurimac/	Water
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	City
7b93e6a1:150814fecb6:f40	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Van/	Province
7b93e6a1:150814fecb6:1c7c	Membership
7b93e6a1:150814fecb6:-3ac	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Sami/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Terschelling/	Island
http://www.semwebtech.org/mondial/10/mountain/Snaefell/	Mountain
http://www.semwebtech.org/mondial/10/country/PE/province/Lima/	Province
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	Water
7b93e6a1:150814fecb6:80d	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	City
7b93e6a1:150814fecb6:23ff	BelievedBy
7b93e6a1:150814fecb6:1fbc	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/	Province
7b93e6a1:150814fecb6:e3f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/	Province
7b93e6a1:150814fecb6:139	Membership
7b93e6a1:150814fecb6:12b6	Membership
7b93e6a1:150814fecb6:235b	BelievedBy
7b93e6a1:150814fecb6:1212	Membership
7b93e6a1:150814fecb6:-228	Membership
7b93e6a1:150814fecb6:399	Membership
http://www.semwebtech.org/mondial/10/desert/Ryn/	Desert
7b93e6a1:150814fecb6:deb	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	City
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/	Province
7b93e6a1:150814fecb6:1472	Membership
7b93e6a1:150814fecb6:4e	Membership
7b93e6a1:150814fecb6:1806	Membership
7b93e6a1:150814fecb6:-1d4	Membership
7b93e6a1:150814fecb6:1e38	Membership
7b93e6a1:150814fecb6:-130	Membership
7b93e6a1:150814fecb6:6d9	Membership
7b93e6a1:150814fecb6:a07	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	City
7b93e6a1:150814fecb6:635	Membership
7b93e6a1:150814fecb6:17b2	Membership
7b93e6a1:150814fecb6:-7c8	Encompassed
7b93e6a1:150814fecb6:-390	Membership
7b93e6a1:150814fecb6:c67	Membership
7b93e6a1:150814fecb6:1de4	Membership
7b93e6a1:150814fecb6:-724	Encompassed
7b93e6a1:150814fecb6:10bd	Membership
7b93e6a1:150814fecb6:2183	SpokenBy
http://www.semwebtech.org/mondial/10/source/Shabelle/	Source
7b93e6a1:150814fecb6:895	Membership
7b93e6a1:150814fecb6:1d40	Membership
7b93e6a1:150814fecb6:2517	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	Desert
7b93e6a1:150814fecb6:5e1	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	City
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	City
7b93e6a1:150814fecb6:-6d0	Border
7b93e6a1:150814fecb6:-28f	Membership
7b93e6a1:150814fecb6:160d	Membership
7b93e6a1:150814fecb6:fa7	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	City
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	City
7b93e6a1:150814fecb6:24c3	EthnicProportion
7b93e6a1:150814fecb6:f03	Membership
7b93e6a1:150814fecb6:1c3f	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	Mountain
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	City
7b93e6a1:150814fecb6:186d	Membership
7b93e6a1:150814fecb6:1e9f	Membership
7b93e6a1:150814fecb6:43c	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	City
7b93e6a1:150814fecb6:-5cf	Membership
7b93e6a1:150814fecb6:1199	Membership
7b93e6a1:150814fecb6:a6e	Membership
7b93e6a1:150814fecb6:1beb	Membership
7b93e6a1:150814fecb6:-68	Membership
7b93e6a1:150814fecb6:-52b	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/	Province
7b93e6a1:150814fecb6:69c	Membership
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	Mountain
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/	Province
7b93e6a1:150814fecb6:231e	BelievedBy
7b93e6a1:150814fecb6:-78b	Encompassed
http://www.semwebtech.org/mondial/10/island/Paramuschir/	Island
7b93e6a1:150814fecb6:14d9	Membership
7b93e6a1:150814fecb6:257e	EthnicProportion
7b93e6a1:150814fecb6:dae	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	City
7b93e6a1:150814fecb6:1435	Membership
7b93e6a1:150814fecb6:22ca	BelievedBy
7b93e6a1:150814fecb6:d0a	Membership
7b93e6a1:150814fecb6:9dc	Membership
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	Source
7b93e6a1:150814fecb6:1a67	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	City
7b93e6a1:150814fecb6:1695	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	City
7b93e6a1:150814fecb6:f6a	Membership
7b93e6a1:150814fecb6:13e1	Membership
7b93e6a1:150814fecb6:264	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	City
7b93e6a1:150814fecb6:-3f7	Membership
http://www.semwebtech.org/mondial/10/island/Luzon/	Island
7b93e6a1:150814fecb6:-353	Membership
7b93e6a1:150814fecb6:1da7	Membership
7b93e6a1:150814fecb6:2146	SpokenBy
7b93e6a1:150814fecb6:1d03	Membership
7b93e6a1:150814fecb6:858	Membership
7b93e6a1:150814fecb6:19d5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	City
7b93e6a1:150814fecb6:5a4	Membership
7b93e6a1:150814fecb6:b	Membership
7b93e6a1:150814fecb6:1931	Membership
7b93e6a1:150814fecb6:bd6	Membership
7b93e6a1:150814fecb6:500	Membership
7b93e6a1:150814fecb6:1f63	Membership
7b93e6a1:150814fecb6:123c	Membership
7b93e6a1:150814fecb6:20f2	Membership
7b93e6a1:150814fecb6:b32	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	City
7b93e6a1:150814fecb6:760	Membership
7b93e6a1:150814fecb6:149c	Membership
http://www.semwebtech.org/mondial/10/river/Breg/	Water
7b93e6a1:150814fecb6:99	Membership
7b93e6a1:150814fecb6:d92	Membership
http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mountains
7b93e6a1:150814fecb6:-1fe	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/	Province
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	City
7b93e6a1:150814fecb6:-15a	Membership
7b93e6a1:150814fecb6:2642	EthnicProportion
7b93e6a1:150814fecb6:1bae	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	City
7b93e6a1:150814fecb6:65f	Membership
7b93e6a1:150814fecb6:1b0a	Membership
7b93e6a1:150814fecb6:17dc	Membership
7b93e6a1:150814fecb6:3ab	Membership
7b93e6a1:150814fecb6:-74e	Encompassed
http://www.semwebtech.org/mondial/10/country/KAZ/	Country
7b93e6a1:150814fecb6:1d6a	Membership
7b93e6a1:150814fecb6:1064	Membership
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	Desert
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	City
http://www.semwebtech.org/mondial/10/source/Dnister/	Source
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	City
7b93e6a1:150814fecb6:-6fa	Border
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	City
7b93e6a1:150814fecb6:1658	Membership
7b93e6a1:150814fecb6:24ed	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Kolyma/	Source
http://www.semwebtech.org/mondial/10/source/Don/	Source
7b93e6a1:150814fecb6:f2d	Membership
7b93e6a1:150814fecb6:227	Membership
7b93e6a1:150814fecb6:13a4	Membership
7b93e6a1:150814fecb6:1300	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	City
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	City
7b93e6a1:150814fecb6:-316	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	City
7b93e6a1:150814fecb6:487	Membership
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	Water
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	City
7b93e6a1:150814fecb6:2109	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	City
7b93e6a1:150814fecb6:1d3	Membership
7b93e6a1:150814fecb6:1560	Membership
7b93e6a1:150814fecb6:-576	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/	Province
7b93e6a1:150814fecb6:1b92	Membership
7b93e6a1:150814fecb6:-2c2	Membership
7b93e6a1:150814fecb6:2369	BelievedBy
7b93e6a1:150814fecb6:1f26	Membership
7b93e6a1:150814fecb6:20b5	Membership
7b93e6a1:150814fecb6:7c7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/	Province
7b93e6a1:150814fecb6:2011	Membership
7b93e6a1:150814fecb6:df9	Membership
7b93e6a1:150814fecb6:723	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	Province
7b93e6a1:150814fecb6:18a0	Membership
7b93e6a1:150814fecb6:145f	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	EthnicGroup
7b93e6a1:150814fecb6:d55	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/	Province
7b93e6a1:150814fecb6:26a9	EthnicProportion
7b93e6a1:150814fecb6:1ed2	Membership
7b93e6a1:150814fecb6:-812	Encompassed
7b93e6a1:150814fecb6:11ab	Membership
7b93e6a1:150814fecb6:2271	BelievedBy
7b93e6a1:150814fecb6:aa1	Membership
7b93e6a1:150814fecb6:983	Membership
http://www.semwebtech.org/mondial/10/organization/FAO/	Organization
http://www.semwebtech.org/mondial/10/language/Galician/	Language
http://www.semwebtech.org/mondial/10/river/Fulda/	Water
7b93e6a1:150814fecb6:2605	EthnicProportion
7b93e6a1:150814fecb6:-11d	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	City
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	City
7b93e6a1:150814fecb6:28e	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	City
http://www.semwebtech.org/mondial/10/country/EC/	Country
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	City
http://www.semwebtech.org/mondial/10/lake/Poopo/	Water
7b93e6a1:150814fecb6:-37d	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	City
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/	Province
7b93e6a1:150814fecb6:25b1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	City
7b93e6a1:150814fecb6:1d2d	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/	Province
7b93e6a1:150814fecb6:19ff	Membership
7b93e6a1:150814fecb6:1027	Membership
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	Estuary
7b93e6a1:150814fecb6:5ce	Membership
7b93e6a1:150814fecb6:195b	Membership
7b93e6a1:150814fecb6:52a	Membership
7b93e6a1:150814fecb6:1f8d	Membership
7b93e6a1:150814fecb6:-6bd	Border
7b93e6a1:150814fecb6:1287	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	City
7b93e6a1:150814fecb6:b5c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	City
7b93e6a1:150814fecb6:78a	Membership
7b93e6a1:150814fecb6:240c	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Seychellois/	EthnicGroup
7b93e6a1:150814fecb6:15c7	Membership
7b93e6a1:150814fecb6:266c	EthnicProportion
7b93e6a1:150814fecb6:1bf9	Membership
7b93e6a1:150814fecb6:1523	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	City
7b93e6a1:150814fecb6:-539	Membership
http://www.semwebtech.org/mondial/10/language/Miskito/	Language
7b93e6a1:150814fecb6:1b55	Membership
7b93e6a1:150814fecb6:1783	Membership
7b93e6a1:150814fecb6:3f6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	City
http://www.semwebtech.org/mondial/10/country/RH/	Country
7b93e6a1:150814fecb6:-799	Encompassed
7b93e6a1:150814fecb6:352	Membership
7b93e6a1:150814fecb6:-4e5	Membership
7b93e6a1:150814fecb6:108e	Membership
7b93e6a1:150814fecb6:ab	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	City
http://www.semwebtech.org/mondial/10/country/TN/	Country
7b93e6a1:150814fecb6:-441	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	City
7b93e6a1:150814fecb6:22d8	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Limmat/	Estuary
7b93e6a1:150814fecb6:d18	Membership
http://www.semwebtech.org/mondial/10/country/WAFU/	Country
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	City
7b93e6a1:150814fecb6:2234	BelievedBy
7b93e6a1:150814fecb6:946	Membership
7b93e6a1:150814fecb6:f78	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	City
7b93e6a1:150814fecb6:13ce	Membership
7b93e6a1:150814fecb6:2494	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Seine/	Estuary
7b93e6a1:150814fecb6:cc4	Membership
http://www.semwebtech.org/mondial/10/religion/UnitedChurch/	Religion
7b93e6a1:150814fecb6:132a	Membership
7b93e6a1:150814fecb6:21e0	SpokenBy
7b93e6a1:150814fecb6:c20	Membership
7b93e6a1:150814fecb6:8f2	Membership
http://www.semwebtech.org/mondial/10/source/Moldau/	Source
7b93e6a1:150814fecb6:1fd	Membership
7b93e6a1:150814fecb6:158a	Membership
7b93e6a1:150814fecb6:e80	Membership
7b93e6a1:150814fecb6:191e	Membership
7b93e6a1:150814fecb6:-2ec	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	City
7b93e6a1:150814fecb6:20df	Membership
7b93e6a1:150814fecb6:b1f	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	City
7b93e6a1:150814fecb6:203b	Membership
7b93e6a1:150814fecb6:74d	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	City
7b93e6a1:150814fecb6:18ca	Membership
7b93e6a1:150814fecb6:d7f	Membership
7b93e6a1:150814fecb6:1efc	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/	Province
7b93e6a1:150814fecb6:11f6	Membership
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	City
7b93e6a1:150814fecb6:229b	BelievedBy
7b93e6a1:150814fecb6:acb	Membership
7b93e6a1:150814fecb6:-c5	Membership
7b93e6a1:150814fecb6:1152	Membership
7b93e6a1:150814fecb6:-168	Membership
7b93e6a1:150814fecb6:262f	EthnicProportion
7b93e6a1:150814fecb6:-21	Membership
7b93e6a1:150814fecb6:1b18	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	City
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	City
7b93e6a1:150814fecb6:3b9	Membership
http://www.semwebtech.org/mondial/10/country/M/	Country
7b93e6a1:150814fecb6:1746	Membership
7b93e6a1:150814fecb6:25db	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Hekla/	Mountain
7b93e6a1:150814fecb6:315	Membership
7b93e6a1:150814fecb6:1d78	Membership
7b93e6a1:150814fecb6:-4a8	Membership
7b93e6a1:150814fecb6:1ac4	Membership
7b93e6a1:150814fecb6:-404	Membership
http://www.semwebtech.org/mondial/10/river/Senegal/	Water
http://www.semwebtech.org/mondial/10/mountain/Joekul/	Mountain
7b93e6a1:150814fecb6:575	Membership
7b93e6a1:150814fecb6:1a20	Membership
7b93e6a1:150814fecb6:16f2	Membership
http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Mountains
7b93e6a1:150814fecb6:909	Membership
7b93e6a1:150814fecb6:2c1	Membership
7b93e6a1:150814fecb6:-664	Border
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	City
7b93e6a1:150814fecb6:2457	EthnicProportion
7b93e6a1:150814fecb6:1c80	Membership
7b93e6a1:150814fecb6:-3b0	Membership
http://www.semwebtech.org/mondial/10/organization/UNDOF/	Organization
http://www.semwebtech.org/mondial/10/source/VictoriaNile/	Source
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/	Province
7b93e6a1:150814fecb6:16e3	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	City
7b93e6a1:150814fecb6:21a3	SpokenBy
7b93e6a1:150814fecb6:8b5	Membership
7b93e6a1:150814fecb6:ee7	Membership
7b93e6a1:150814fecb6:811	Membership
http://www.semwebtech.org/mondial/10/mountains/Apennin/	Mountains
7b93e6a1:150814fecb6:154d	Membership
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	Mountain
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	City
http://www.semwebtech.org/mondial/10/source/Urubamba/	Source
7b93e6a1:150814fecb6:e43	Membership
7b93e6a1:150814fecb6:1fc0	Membership
7b93e6a1:150814fecb6:11c	Membership
7b93e6a1:150814fecb6:1b7f	Membership
7b93e6a1:150814fecb6:-2af	Membership
http://www.semwebtech.org/mondial/10/river/Oka/	Water
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	City
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/	Mountain
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	City
7b93e6a1:150814fecb6:-20b	Membership
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	Estuary
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	City
7b93e6a1:150814fecb6:37c	Membership
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	Mountain
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	Estuary
7b93e6a1:150814fecb6:f6	Membership
7b93e6a1:150814fecb6:-46b	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/	Province
7b93e6a1:150814fecb6:52	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	City
7b93e6a1:150814fecb6:1ebf	Membership
http://www.semwebtech.org/mondial/10/mountains/Antitaurus/	Mountains
7b93e6a1:150814fecb6:11b9	Membership
7b93e6a1:150814fecb6:225e	BelievedBy
7b93e6a1:150814fecb6:1e1b	Membership
7b93e6a1:150814fecb6:1115	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/	Province
7b93e6a1:150814fecb6:6bc	Membership
http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	Islands
7b93e6a1:150814fecb6:cee	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	City
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	City
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	City
7b93e6a1:150814fecb6:-7ab	Encompassed
7b93e6a1:150814fecb6:1375	Membership
7b93e6a1:150814fecb6:c4a	Membership
7b93e6a1:150814fecb6:1709	Membership
7b93e6a1:150814fecb6:10c1	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	City
7b93e6a1:150814fecb6:1969	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/	Province
7b93e6a1:150814fecb6:538	Membership
7b93e6a1:150814fecb6:16b5	Membership
7b93e6a1:150814fecb6:-293	Membership
7b93e6a1:150814fecb6:1ce7	Membership
7b93e6a1:150814fecb6:1611	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/	Province
7b93e6a1:150814fecb6:-627	Border
7b93e6a1:150814fecb6:2086	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	City
7b93e6a1:150814fecb6:798	Membership
7b93e6a1:150814fecb6:1c43	Membership
7b93e6a1:150814fecb6:4e4	Membership
7b93e6a1:150814fecb6:1871	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/	Province
7b93e6a1:150814fecb6:440	Membership
7b93e6a1:150814fecb6:-ef	Membership
7b93e6a1:150814fecb6:-5d3	Membership
7b93e6a1:150814fecb6:117c	Membership
7b93e6a1:150814fecb6:a72	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/	Province
7b93e6a1:150814fecb6:-4b	Membership
7b93e6a1:150814fecb6:23c6	BelievedBy
7b93e6a1:150814fecb6:e06	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/	Province
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	City
7b93e6a1:150814fecb6:2322	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/English/	EthnicGroup
7b93e6a1:150814fecb6:33f	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/	Province
7b93e6a1:150814fecb6:2582	EthnicProportion
7b93e6a1:150814fecb6:14bc	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	City
7b93e6a1:150814fecb6:b9	Membership
7b93e6a1:150814fecb6:db2	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	City
7b93e6a1:150814fecb6:1aee	Membership
7b93e6a1:150814fecb6:1a4a	Membership
7b93e6a1:150814fecb6:9e0	Membership
7b93e6a1:150814fecb6:-42e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	City
7b93e6a1:150814fecb6:15	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	City
7b93e6a1:150814fecb6:59f	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	City
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	Water
7b93e6a1:150814fecb6:2eb	Membership
7b93e6a1:150814fecb6:-68e	Border
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	City
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	City
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	City
7b93e6a1:150814fecb6:-3da	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	City
7b93e6a1:150814fecb6:1338	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	City
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	City
7b93e6a1:150814fecb6:21cd	SpokenBy
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	City
7b93e6a1:150814fecb6:c0d	Membership
7b93e6a1:150814fecb6:8df	Membership
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	Desert
http://www.semwebtech.org/mondial/10/island/Kauai/	Island
http://www.semwebtech.org/mondial/10/language/KhalkhaMongol/	Language
7b93e6a1:150814fecb6:83b	Membership
7b93e6a1:150814fecb6:1598	Membership
http://www.semwebtech.org/mondial/10/mountain/Athos/	Mountain
7b93e6a1:150814fecb6:e6d	Membership
7b93e6a1:150814fecb6:1fea	Membership
7b93e6a1:150814fecb6:167	Membership
7b93e6a1:150814fecb6:12e4	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	City
http://www.semwebtech.org/mondial/10/source/Naryn/	Source
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	Water
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/	Province
7b93e6a1:150814fecb6:1240	Membership
7b93e6a1:150814fecb6:-256	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	City
7b93e6a1:150814fecb6:2049	Membership
7b93e6a1:150814fecb6:1c06	Membership
7b93e6a1:150814fecb6:18d8	Membership
7b93e6a1:150814fecb6:7c	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/	Province
7b93e6a1:150814fecb6:4a7	Membership
7b93e6a1:150814fecb6:1834	Membership
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	City
7b93e6a1:150814fecb6:ad9	Membership
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	City
7b93e6a1:150814fecb6:403	Membership
7b93e6a1:150814fecb6:1e66	Membership
7b93e6a1:150814fecb6:113f	Membership
7b93e6a1:150814fecb6:a35	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	City
7b93e6a1:150814fecb6:1bb2	Membership
http://www.semwebtech.org/mondial/10/mountain/Makalu/	Mountain
http://www.semwebtech.org/mondial/10/island/Lombok/	Island
7b93e6a1:150814fecb6:663	Membership
7b93e6a1:150814fecb6:17e0	Membership
7b93e6a1:150814fecb6:-7f6	Encompassed
7b93e6a1:150814fecb6:139f	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	EthnicGroup
7b93e6a1:150814fecb6:c95	Membership
http://www.semwebtech.org/mondial/10/source/RioLerma/	Source
7b93e6a1:150814fecb6:-752	Encompassed
7b93e6a1:150814fecb6:10eb	Membership
7b93e6a1:150814fecb6:25e9	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	City
7b93e6a1:150814fecb6:2545	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Honshu/	Island
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	Mountain
7b93e6a1:150814fecb6:-8	Membership
7b93e6a1:150814fecb6:9a3	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	City
7b93e6a1:150814fecb6:1a0d	Membership
7b93e6a1:150814fecb6:16df	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	City
7b93e6a1:150814fecb6:fd5	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	City
7b93e6a1:150814fecb6:2ae	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	City
7b93e6a1:150814fecb6:163b	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	City
7b93e6a1:150814fecb6:24f1	EthnicProportion
7b93e6a1:150814fecb6:1c6d	Membership
7b93e6a1:150814fecb6:f31	Membership
7b93e6a1:150814fecb6:20a	Membership
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	City
7b93e6a1:150814fecb6:189b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	City
7b93e6a1:150814fecb6:46a	Membership
7b93e6a1:150814fecb6:-5fd	Border
7b93e6a1:150814fecb6:a9c	Membership
7b93e6a1:150814fecb6:-96	Membership
http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Mountains
7b93e6a1:150814fecb6:1fad	Membership
7b93e6a1:150814fecb6:12a7	Membership
7b93e6a1:150814fecb6:234c	BelievedBy
http://www.semwebtech.org/mondial/10/religion/Protestant/	Religion
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	City
7b93e6a1:150814fecb6:1203	Membership
7b93e6a1:150814fecb6:-219	Membership
http://www.semwebtech.org/mondial/10/organization/G-3/	Organization
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/	Province
7b93e6a1:150814fecb6:7aa	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	Water
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	City
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	Water
7b93e6a1:150814fecb6:ddc	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/	Province
http://www.semwebtech.org/mondial/10/island/Arran/	Island
7b93e6a1:150814fecb6:1463	Membership
7b93e6a1:150814fecb6:-479	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/	Province
7b93e6a1:150814fecb6:3f	Membership
7b93e6a1:150814fecb6:1a95	Membership
7b93e6a1:150814fecb6:-1c5	Membership
7b93e6a1:150814fecb6:1e29	Membership
7b93e6a1:150814fecb6:-121	Membership
7b93e6a1:150814fecb6:292	Membership
7b93e6a1:150814fecb6:17a3	Membership
7b93e6a1:150814fecb6:626	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	City
7b93e6a1:150814fecb6:-7b9	Encompassed
7b93e6a1:150814fecb6:-381	Membership
7b93e6a1:150814fecb6:c58	Membership
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	Water
7b93e6a1:150814fecb6:1dd5	Membership
7b93e6a1:150814fecb6:-715	Border
7b93e6a1:150814fecb6:10ae	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	City
7b93e6a1:150814fecb6:2174	SpokenBy
7b93e6a1:150814fecb6:1d31	Membership
7b93e6a1:150814fecb6:886	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	City
7b93e6a1:150814fecb6:100a	Membership
7b93e6a1:150814fecb6:2508	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	City
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	City
7b93e6a1:150814fecb6:5d2	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	City
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	Water
7b93e6a1:150814fecb6:1f91	Membership
7b93e6a1:150814fecb6:126a	Membership
7b93e6a1:150814fecb6:-6c1	Border
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	City
7b93e6a1:150814fecb6:b60	Membership
7b93e6a1:150814fecb6:24b4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	City
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	City
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	City
7b93e6a1:150814fecb6:2410	BelievedBy
7b93e6a1:150814fecb6:185e	Membership
7b93e6a1:150814fecb6:42d	Membership
7b93e6a1:150814fecb6:15aa	Membership
7b93e6a1:150814fecb6:2670	EthnicProportion
7b93e6a1:150814fecb6:1bdc	Membership
7b93e6a1:150814fecb6:ea0	Membership
7b93e6a1:150814fecb6:a5f	Membership
7b93e6a1:150814fecb6:-59	Membership
7b93e6a1:150814fecb6:-51c	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	City
7b93e6a1:150814fecb6:68d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Circassian/	EthnicGroup
7b93e6a1:150814fecb6:230f	BelievedBy
7b93e6a1:150814fecb6:-77c	Encompassed
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	City
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	City
7b93e6a1:150814fecb6:1092	Membership
7b93e6a1:150814fecb6:256f	EthnicProportion
7b93e6a1:150814fecb6:1426	Membership
http://www.semwebtech.org/mondial/10/organization/G-24/	Organization
7b93e6a1:150814fecb6:22bb	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Karthala/	Mountain
7b93e6a1:150814fecb6:9cd	Membership
http://www.semwebtech.org/mondial/10/country/SBAR/	Country
7b93e6a1:150814fecb6:1a58	Membership
7b93e6a1:150814fecb6:fff	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/	Province
7b93e6a1:150814fecb6:2f9	Membership
7b93e6a1:150814fecb6:1686	Membership
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	City
7b93e6a1:150814fecb6:f5b	Membership
7b93e6a1:150814fecb6:255	Membership
7b93e6a1:150814fecb6:13d2	Membership
7b93e6a1:150814fecb6:-3e8	Membership
7b93e6a1:150814fecb6:-344	Membership
7b93e6a1:150814fecb6:2137	SpokenBy
http://www.semwebtech.org/mondial/10/island/WestFalkland/	Island
7b93e6a1:150814fecb6:849	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/	Province
7b93e6a1:150814fecb6:19c6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	EthnicGroup
7b93e6a1:150814fecb6:1ff8	Membership
7b93e6a1:150814fecb6:1922	Membership
7b93e6a1:150814fecb6:-2f0	Membership
7b93e6a1:150814fecb6:2397	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	City
7b93e6a1:150814fecb6:bc7	Membership
7b93e6a1:150814fecb6:1f54	Membership
7b93e6a1:150814fecb6:122d	Membership
7b93e6a1:150814fecb6:20e3	Membership
7b93e6a1:150814fecb6:b23	Membership
7b93e6a1:150814fecb6:7f5	Membership
7b93e6a1:150814fecb6:1ca0	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	City
7b93e6a1:150814fecb6:751	Membership
7b93e6a1:150814fecb6:148d	Membership
7b93e6a1:150814fecb6:d83	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	City
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	Source
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	City
7b93e6a1:150814fecb6:-1ef	Membership
7b93e6a1:150814fecb6:-14b	Membership
7b93e6a1:150814fecb6:2633	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	City
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	City
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	City
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	Mountain
7b93e6a1:150814fecb6:17cd	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	City
7b93e6a1:150814fecb6:1dff	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	City
7b93e6a1:150814fecb6:-73f	Encompassed
7b93e6a1:150814fecb6:10f9	Membership
7b93e6a1:150814fecb6:219e	SpokenBy
http://www.semwebtech.org/mondial/10/river/Narew/	Water
http://www.semwebtech.org/mondial/10/river/Orinoco/	Water
7b93e6a1:150814fecb6:1d5b	Membership
7b93e6a1:150814fecb6:1055	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	City
http://www.semwebtech.org/mondial/10/island/Lanai/	Island
7b93e6a1:150814fecb6:5fc	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	City
7b93e6a1:150814fecb6:-6eb	Border
7b93e6a1:150814fecb6:b8a	Membership
7b93e6a1:150814fecb6:1649	Membership
7b93e6a1:150814fecb6:24de	EthnicProportion
7b93e6a1:150814fecb6:f1e	Membership
7b93e6a1:150814fecb6:218	Membership
7b93e6a1:150814fecb6:243a	BelievedBy
7b93e6a1:150814fecb6:-307	Membership
7b93e6a1:150814fecb6:478	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/	Province
7b93e6a1:150814fecb6:15f5	Membership
7b93e6a1:150814fecb6:269a	EthnicProportion
7b93e6a1:150814fecb6:eca	Membership
7b93e6a1:150814fecb6:1c4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	City
7b93e6a1:150814fecb6:1551	Membership
7b93e6a1:150814fecb6:-567	Membership
7b93e6a1:150814fecb6:120	Membership
7b93e6a1:150814fecb6:1b83	Membership
7b93e6a1:150814fecb6:-2b3	Membership
http://www.semwebtech.org/mondial/10/estuary/Arno/	Estuary
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/	Province
7b93e6a1:150814fecb6:1f17	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/	Province
7b93e6a1:150814fecb6:20a6	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	City
7b93e6a1:150814fecb6:7b8	Membership
7b93e6a1:150814fecb6:380	Membership
7b93e6a1:150814fecb6:2002	Membership
7b93e6a1:150814fecb6:714	Membership
7b93e6a1:150814fecb6:d46	Membership
http://www.semwebtech.org/mondial/10/estuary/Ruki/	Estuary
7b93e6a1:150814fecb6:1ec3	Membership
7b93e6a1:150814fecb6:-803	Encompassed
7b93e6a1:150814fecb6:2262	BelievedBy
7b93e6a1:150814fecb6:974	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/	Province
http://www.semwebtech.org/mondial/10/source/Aller/	Source
7b93e6a1:150814fecb6:-10e	Membership
http://www.semwebtech.org/mondial/10/river/Limmat/	Water
7b93e6a1:150814fecb6:6c0	Membership
7b93e6a1:150814fecb6:27f	Membership
7b93e6a1:150814fecb6:13fc	Membership
7b93e6a1:150814fecb6:cf2	Membership
7b93e6a1:150814fecb6:-36e	Membership
7b93e6a1:150814fecb6:25a2	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	City
7b93e6a1:150814fecb6:1d1e	Membership
7b93e6a1:150814fecb6:1018	Membership
7b93e6a1:150814fecb6:5bf	Membership
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	City
7b93e6a1:150814fecb6:194c	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Békés/	Province
7b93e6a1:150814fecb6:-6f9	Border
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	City
7b93e6a1:150814fecb6:51b	Membership
7b93e6a1:150814fecb6:1f7e	Membership
7b93e6a1:150814fecb6:-6ae	Border
7b93e6a1:150814fecb6:1278	Membership
7b93e6a1:150814fecb6:b4d	Membership
7b93e6a1:150814fecb6:1cca	Membership
7b93e6a1:150814fecb6:-60a	Border
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	City
7b93e6a1:150814fecb6:77b	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/	Province
7b93e6a1:150814fecb6:265d	EthnicProportion
7b93e6a1:150814fecb6:15b8	Membership
7b93e6a1:150814fecb6:-f3	Membership
7b93e6a1:150814fecb6:1180	Membership
7b93e6a1:150814fecb6:-196	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	City
7b93e6a1:150814fecb6:1514	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	City
7b93e6a1:150814fecb6:1b46	Membership
http://www.semwebtech.org/mondial/10/estuary/Ebro/	Estuary
7b93e6a1:150814fecb6:3e7	Membership
7b93e6a1:150814fecb6:1774	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Batobo/	EthnicGroup
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	EthnicGroup
http://www.semwebtech.org/mondial/10/religion/EkalesiaNiue/	Religion
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	Estuary
7b93e6a1:150814fecb6:343	Membership
7b93e6a1:150814fecb6:14c0	Membership
7b93e6a1:150814fecb6:-4d6	Membership
7b93e6a1:150814fecb6:107f	Membership
7b93e6a1:150814fecb6:1af2	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/	Province
7b93e6a1:150814fecb6:-432	Membership
7b93e6a1:150814fecb6:22c9	BelievedBy
7b93e6a1:150814fecb6:d09	Membership
7b93e6a1:150814fecb6:2225	SpokenBy
7b93e6a1:150814fecb6:937	Membership
7b93e6a1:150814fecb6:-692	Border
7b93e6a1:150814fecb6:f69	Membership
7b93e6a1:150814fecb6:13bf	Membership
7b93e6a1:150814fecb6:2485	EthnicProportion
7b93e6a1:150814fecb6:cb5	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	City
7b93e6a1:150814fecb6:131b	Membership
7b93e6a1:150814fecb6:21d1	SpokenBy
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	City
7b93e6a1:150814fecb6:c11	Membership
7b93e6a1:150814fecb6:8e3	Membership
7b93e6a1:150814fecb6:1ee	Membership
7b93e6a1:150814fecb6:157b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	EthnicGroup
7b93e6a1:150814fecb6:e71	Membership
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	Water
7b93e6a1:150814fecb6:14a	Membership
7b93e6a1:150814fecb6:190f	Membership
7b93e6a1:150814fecb6:-2dd	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	City
7b93e6a1:150814fecb6:202c	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	City
7b93e6a1:150814fecb6:73e	Membership
7b93e6a1:150814fecb6:18bb	Membership
7b93e6a1:150814fecb6:80	Membership
7b93e6a1:150814fecb6:1eed	Membership
7b93e6a1:150814fecb6:228c	BelievedBy
7b93e6a1:150814fecb6:11e7	Membership
http://www.semwebtech.org/mondial/10/river/Vuoksi/	Water
7b93e6a1:150814fecb6:abc	Membership
7b93e6a1:150814fecb6:99e	Membership
7b93e6a1:150814fecb6:-b6	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	City
7b93e6a1:150814fecb6:1143	Membership
7b93e6a1:150814fecb6:-159	Membership
7b93e6a1:150814fecb6:6ea	Membership
7b93e6a1:150814fecb6:-12	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Luo/	EthnicGroup
7b93e6a1:150814fecb6:1b09	Membership
7b93e6a1:150814fecb6:1737	Membership
7b93e6a1:150814fecb6:25cc	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MAYO/	Country
7b93e6a1:150814fecb6:306	Membership
7b93e6a1:150814fecb6:1d69	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	City
http://www.semwebtech.org/mondial/10/estuary/Moraca/	Estuary
7b93e6a1:150814fecb6:1ab5	Membership
7b93e6a1:150814fecb6:1997	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/	Province
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	City
7b93e6a1:150814fecb6:1a11	Membership
7b93e6a1:150814fecb6:566	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/	Province
http://www.semwebtech.org/mondial/10/source/Baro/	Source
7b93e6a1:150814fecb6:b98	Membership
7b93e6a1:150814fecb6:2b2	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/	Province
7b93e6a1:150814fecb6:-655	Border
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	City
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	Source
7b93e6a1:150814fecb6:1c71	Membership
7b93e6a1:150814fecb6:-3a1	Membership
7b93e6a1:150814fecb6:2448	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Georgian/	EthnicGroup
7b93e6a1:150814fecb6:8a6	Membership
7b93e6a1:150814fecb6:ed8	Membership
7b93e6a1:150814fecb6:802	Membership
7b93e6a1:150814fecb6:153e	Membership
http://www.semwebtech.org/mondial/10/organization/IOC/	Organization
7b93e6a1:150814fecb6:23f4	BelievedBy
7b93e6a1:150814fecb6:e34	Membership
7b93e6a1:150814fecb6:1fb1	Membership
7b93e6a1:150814fecb6:10d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Saho/	EthnicGroup
7b93e6a1:150814fecb6:2350	BelievedBy
7b93e6a1:150814fecb6:179e	Membership
7b93e6a1:150814fecb6:36d	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/	Province
7b93e6a1:150814fecb6:14ea	Membership
7b93e6a1:150814fecb6:e7	Membership
7b93e6a1:150814fecb6:de0	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/	Province
http://www.semwebtech.org/mondial/10/organization/ISO/	Organization
7b93e6a1:150814fecb6:-45c	Membership
7b93e6a1:150814fecb6:43	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	City
http://www.semwebtech.org/mondial/10/source/Kura/	Source
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	City
7b93e6a1:150814fecb6:224f	BelievedBy
7b93e6a1:150814fecb6:1e0c	Membership
7b93e6a1:150814fecb6:1106	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	City
7b93e6a1:150814fecb6:6ad	Membership
7b93e6a1:150814fecb6:cdf	Membership
7b93e6a1:150814fecb6:1366	Membership
7b93e6a1:150814fecb6:21fb	SpokenBy
7b93e6a1:150814fecb6:c3b	Membership
7b93e6a1:150814fecb6:10b2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	City
7b93e6a1:150814fecb6:e9b	Membership
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	City
7b93e6a1:150814fecb6:195	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Taiwanese/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Drin/	Source
7b93e6a1:150814fecb6:529	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/	Province
7b93e6a1:150814fecb6:16a6	Membership
7b93e6a1:150814fecb6:-284	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	City
7b93e6a1:150814fecb6:1cd8	Membership
7b93e6a1:150814fecb6:1602	Membership
7b93e6a1:150814fecb6:-618	Border
7b93e6a1:150814fecb6:2077	Membership
7b93e6a1:150814fecb6:789	Membership
7b93e6a1:150814fecb6:1c34	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	City
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	City
7b93e6a1:150814fecb6:4d5	Membership
7b93e6a1:150814fecb6:1862	Membership
http://www.semwebtech.org/mondial/10/river/Mincio/	Water
7b93e6a1:150814fecb6:431	Membership
7b93e6a1:150814fecb6:1e94	Membership
7b93e6a1:150814fecb6:-5c4	Membership
7b93e6a1:150814fecb6:116d	Membership
7b93e6a1:150814fecb6:a63	Membership
7b93e6a1:150814fecb6:1be0	Membership
7b93e6a1:150814fecb6:-3c	Membership
7b93e6a1:150814fecb6:-520	Membership
7b93e6a1:150814fecb6:23b7	BelievedBy
7b93e6a1:150814fecb6:691	Membership
7b93e6a1:150814fecb6:2313	BelievedBy
7b93e6a1:150814fecb6:-780	Encompassed
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	City
7b93e6a1:150814fecb6:14ad	Membership
7b93e6a1:150814fecb6:2573	EthnicProportion
7b93e6a1:150814fecb6:da3	Membership
7b93e6a1:150814fecb6:1adf	Membership
7b93e6a1:150814fecb6:-41f	Membership
7b93e6a1:150814fecb6:9d1	Membership
7b93e6a1:150814fecb6:1a3b	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	City
7b93e6a1:150814fecb6:2dc	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	City
7b93e6a1:150814fecb6:-67f	Border
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	City
7b93e6a1:150814fecb6:1c9b	Membership
7b93e6a1:150814fecb6:-3cb	Membership
7b93e6a1:150814fecb6:1329	Membership
7b93e6a1:150814fecb6:21be	SpokenBy
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	City
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	City
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	Island
7b93e6a1:150814fecb6:211a	SpokenBy
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/	Province
7b93e6a1:150814fecb6:82c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/African/	EthnicGroup
7b93e6a1:150814fecb6:1589	Membership
7b93e6a1:150814fecb6:1fdb	Membership
7b93e6a1:150814fecb6:e5e	Membership
7b93e6a1:150814fecb6:0	Membership
7b93e6a1:150814fecb6:158	Membership
7b93e6a1:150814fecb6:12d5	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/	Province
7b93e6a1:150814fecb6:237a	BelievedBy
7b93e6a1:150814fecb6:baa	Membership
7b93e6a1:150814fecb6:1231	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	City
7b93e6a1:150814fecb6:-247	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	City
7b93e6a1:150814fecb6:18c9	Membership
7b93e6a1:150814fecb6:1491	Membership
7b93e6a1:150814fecb6:6d	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	City
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	Mountain
7b93e6a1:150814fecb6:1825	Membership
7b93e6a1:150814fecb6:-1f3	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/	Province
7b93e6a1:150814fecb6:26ba	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Vedda/	EthnicGroup
7b93e6a1:150814fecb6:1e57	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	City
7b93e6a1:150814fecb6:6f8	Membership
7b93e6a1:150814fecb6:a26	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/	Province
7b93e6a1:150814fecb6:1ba3	Membership
http://www.semwebtech.org/mondial/10/source/Busira/	Source
7b93e6a1:150814fecb6:654	Membership
7b93e6a1:150814fecb6:17d1	Membership
7b93e6a1:150814fecb6:-7e7	Encompassed
7b93e6a1:150814fecb6:c86	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/	Province
7b93e6a1:150814fecb6:3a0	Membership
http://www.semwebtech.org/mondial/10/source/Elbe/	Source
7b93e6a1:150814fecb6:-743	Encompassed
7b93e6a1:150814fecb6:10dc	Membership
http://www.semwebtech.org/mondial/10/mountains/TianShan/	Mountains
http://www.semwebtech.org/mondial/10/mountains/Vosges/	Mountains
7b93e6a1:150814fecb6:2536	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/	Mountain
http://www.semwebtech.org/mondial/10/mountains/Jura/	Mountains
7b93e6a1:150814fecb6:fc6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	City
7b93e6a1:150814fecb6:162c	Membership
7b93e6a1:150814fecb6:24e2	EthnicProportion
7b93e6a1:150814fecb6:f22	Membership
7b93e6a1:150814fecb6:1c5e	Membership
http://www.semwebtech.org/mondial/10/island/Saipan/	Island
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	City
7b93e6a1:150814fecb6:4ff	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Aymara/	EthnicGroup
7b93e6a1:150814fecb6:188c	Membership
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	City
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	City
7b93e6a1:150814fecb6:45b	Membership
7b93e6a1:150814fecb6:-5ee	Border
7b93e6a1:150814fecb6:a8d	Membership
7b93e6a1:150814fecb6:-87	Membership
7b93e6a1:150814fecb6:-54a	Membership
7b93e6a1:150814fecb6:233d	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Bete/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Maas/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	City
http://www.semwebtech.org/mondial/10/country/CAYM/	Country
7b93e6a1:150814fecb6:14f8	Membership
7b93e6a1:150814fecb6:259d	EthnicProportion
7b93e6a1:150814fecb6:dcd	Membership
7b93e6a1:150814fecb6:1454	Membership
7b93e6a1:150814fecb6:9fb	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	City
7b93e6a1:150814fecb6:1a86	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	City
7b93e6a1:150814fecb6:11a0	Membership
7b93e6a1:150814fecb6:-1b6	Membership
http://www.semwebtech.org/mondial/10/country/NAM/	Country
7b93e6a1:150814fecb6:-112	Membership
7b93e6a1:150814fecb6:283	Membership
7b93e6a1:150814fecb6:617	Membership
7b93e6a1:150814fecb6:-372	Membership
7b93e6a1:150814fecb6:1dc6	Membership
7b93e6a1:150814fecb6:c49	Membership
http://www.semwebtech.org/mondial/10/country/PNG/	Country
7b93e6a1:150814fecb6:-706	Border
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	City
7b93e6a1:150814fecb6:2165	SpokenBy
7b93e6a1:150814fecb6:1d22	Membership
7b93e6a1:150814fecb6:877	Membership
7b93e6a1:150814fecb6:19f4	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	City
http://www.semwebtech.org/mondial/10/river/RioMadeira/	Water
7b93e6a1:150814fecb6:5c3	Membership
http://www.semwebtech.org/mondial/10/estuary/Narva/	Estuary
7b93e6a1:150814fecb6:1950	Membership
7b93e6a1:150814fecb6:12ff	Membership
7b93e6a1:150814fecb6:bf5	Membership
7b93e6a1:150814fecb6:1f82	Membership
7b93e6a1:150814fecb6:-6b2	Border
7b93e6a1:150814fecb6:125b	Membership
7b93e6a1:150814fecb6:b51	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	City
http://www.semwebtech.org/mondial/10/river/Aare/	Water
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	City
7b93e6a1:150814fecb6:24a5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	City
7b93e6a1:150814fecb6:2401	BelievedBy
7b93e6a1:150814fecb6:184f	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/	Province
7b93e6a1:150814fecb6:41e	Membership
7b93e6a1:150814fecb6:2661	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	City
7b93e6a1:150814fecb6:1bcd	Membership
7b93e6a1:150814fecb6:-50d	Membership
7b93e6a1:150814fecb6:67e	Membership
http://www.semwebtech.org/mondial/10/river/Dnjestr/	Water
7b93e6a1:150814fecb6:17fb	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	City
7b93e6a1:150814fecb6:3ca	Membership
7b93e6a1:150814fecb6:-76d	Encompassed
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/	Province
7b93e6a1:150814fecb6:1083	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	City
7b93e6a1:150814fecb6:a0	Membership
7b93e6a1:150814fecb6:1417	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	EthnicGroup
7b93e6a1:150814fecb6:22ac	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	City
7b93e6a1:150814fecb6:9be	Membership
7b93e6a1:150814fecb6:1a49	Membership
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/	Province
7b93e6a1:150814fecb6:91a	Membership
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	City
7b93e6a1:150814fecb6:1677	Membership
7b93e6a1:150814fecb6:f4c	Membership
7b93e6a1:150814fecb6:246	Membership
7b93e6a1:150814fecb6:13c3	Membership
7b93e6a1:150814fecb6:-3d9	Membership
7b93e6a1:150814fecb6:-335	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	City
7b93e6a1:150814fecb6:2128	SpokenBy
7b93e6a1:150814fecb6:19b7	Membership
7b93e6a1:150814fecb6:1f2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	City
7b93e6a1:150814fecb6:-595	Membership
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	Mountain
7b93e6a1:150814fecb6:1fe9	Membership
7b93e6a1:150814fecb6:1913	Membership
7b93e6a1:150814fecb6:-2e1	Membership
7b93e6a1:150814fecb6:2388	BelievedBy
7b93e6a1:150814fecb6:bb8	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	City
7b93e6a1:150814fecb6:1f45	Membership
7b93e6a1:150814fecb6:121e	Membership
7b93e6a1:150814fecb6:20d4	Membership
7b93e6a1:150814fecb6:b14	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	City
7b93e6a1:150814fecb6:7e6	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	City
7b93e6a1:150814fecb6:2030	Membership
7b93e6a1:150814fecb6:742	Membership
7b93e6a1:150814fecb6:147e	Membership
7b93e6a1:150814fecb6:d74	Membership
7b93e6a1:150814fecb6:1ef1	Membership
http://www.semwebtech.org/mondial/10/desert/Kalahari/	Desert
7b93e6a1:150814fecb6:11ca	Membership
7b93e6a1:150814fecb6:26c8	EthnicProportion
7b93e6a1:150814fecb6:2290	BelievedBy
7b93e6a1:150814fecb6:ac0	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	EthnicGroup
7b93e6a1:150814fecb6:-13c	Membership
7b93e6a1:150814fecb6:2624	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	Water
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	City
7b93e6a1:150814fecb6:1134	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	City
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	Water
7b93e6a1:150814fecb6:17be	Membership
7b93e6a1:150814fecb6:-39c	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/	Province
7b93e6a1:150814fecb6:171a	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	City
7b93e6a1:150814fecb6:25d0	EthnicProportion
7b93e6a1:150814fecb6:218f	SpokenBy
7b93e6a1:150814fecb6:1d4c	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	City
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	City
7b93e6a1:150814fecb6:1046	Membership
7b93e6a1:150814fecb6:197a	Membership
7b93e6a1:150814fecb6:5ed	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	City
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/	Province
7b93e6a1:150814fecb6:-6dc	Border
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	City
7b93e6a1:150814fecb6:b7b	Membership
7b93e6a1:150814fecb6:24cf	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/	Province
7b93e6a1:150814fecb6:f0f	Membership
7b93e6a1:150814fecb6:209	Membership
7b93e6a1:150814fecb6:242b	BelievedBy
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	City
http://www.semwebtech.org/mondial/10/country/GCA/	Country
http://www.semwebtech.org/mondial/10/estuary/Murgab/	Estuary
7b93e6a1:150814fecb6:469	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	City
http://www.semwebtech.org/mondial/10/source/Tigris/	Source
7b93e6a1:150814fecb6:15e6	Membership
7b93e6a1:150814fecb6:268b	EthnicProportion
7b93e6a1:150814fecb6:ebb	Membership
7b93e6a1:150814fecb6:1b5	Membership
7b93e6a1:150814fecb6:1542	Membership
7b93e6a1:150814fecb6:-558	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	City
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/	Province
7b93e6a1:150814fecb6:111	Membership
7b93e6a1:150814fecb6:1b74	Membership
7b93e6a1:150814fecb6:-2a4	Membership
7b93e6a1:150814fecb6:1f08	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	City
7b93e6a1:150814fecb6:-200	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	City
7b93e6a1:150814fecb6:7a9	Membership
7b93e6a1:150814fecb6:371	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	City
7b93e6a1:150814fecb6:ca	Membership
http://www.semwebtech.org/mondial/10/source/Nile/	Source
7b93e6a1:150814fecb6:705	Membership
7b93e6a1:150814fecb6:-460	Membership
7b93e6a1:150814fecb6:22f7	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	Mountains
7b93e6a1:150814fecb6:d37	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	City
7b93e6a1:150814fecb6:1eb4	Membership
7b93e6a1:150814fecb6:2253	BelievedBy
7b93e6a1:150814fecb6:965	Membership
7b93e6a1:150814fecb6:1e10	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanLebanese/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	City
http://www.semwebtech.org/mondial/10/language/Luri/	Language
7b93e6a1:150814fecb6:f97	Membership
7b93e6a1:150814fecb6:6b1	Membership
7b93e6a1:150814fecb6:13ed	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	City
7b93e6a1:150814fecb6:ce3	Membership
7b93e6a1:150814fecb6:-7a0	Encompassed
7b93e6a1:150814fecb6:-35f	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	City
http://www.semwebtech.org/mondial/10/organization/OIF/	Organization
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	City
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/	Province
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	City
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	City
7b93e6a1:150814fecb6:1d0f	Membership
7b93e6a1:150814fecb6:1009	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	City
7b93e6a1:150814fecb6:193d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	City
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/	Mountain
7b93e6a1:150814fecb6:a54	Membership
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	Mountain
7b93e6a1:150814fecb6:50c	Membership
7b93e6a1:150814fecb6:1f6f	Membership
http://www.semwebtech.org/mondial/10/island/Teneriffa/	Island
7b93e6a1:150814fecb6:1269	Membership
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/	Province
7b93e6a1:150814fecb6:20fe	Membership
http://www.semwebtech.org/mondial/10/island/Nantucket/	Island
7b93e6a1:150814fecb6:b3e	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/	Province
7b93e6a1:150814fecb6:1cbb	Membership
7b93e6a1:150814fecb6:205a	Membership
7b93e6a1:150814fecb6:76c	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	City
7b93e6a1:150814fecb6:d9e	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Sidama/	EthnicGroup
7b93e6a1:150814fecb6:aea	Membership
7b93e6a1:150814fecb6:15a9	Membership
7b93e6a1:150814fecb6:-e4	Membership
7b93e6a1:150814fecb6:1171	Membership
7b93e6a1:150814fecb6:-187	Membership
7b93e6a1:150814fecb6:264e	EthnicProportion
7b93e6a1:150814fecb6:-40	Membership
7b93e6a1:150814fecb6:1505	Membership
7b93e6a1:150814fecb6:1b37	Membership
7b93e6a1:150814fecb6:1765	Membership
7b93e6a1:150814fecb6:3d8	Membership
http://www.semwebtech.org/mondial/10/organization/AOSIS/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/	Province
7b93e6a1:150814fecb6:25fa	EthnicProportion
7b93e6a1:150814fecb6:1d97	Membership
7b93e6a1:150814fecb6:334	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	City
7b93e6a1:150814fecb6:14b1	Membership
7b93e6a1:150814fecb6:-4c7	Membership
http://www.semwebtech.org/mondial/10/source/Inn/	Source
7b93e6a1:150814fecb6:1ae3	Membership
7b93e6a1:150814fecb6:-423	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	City
7b93e6a1:150814fecb6:594	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	City
7b93e6a1:150814fecb6:2216	SpokenBy
http://www.semwebtech.org/mondial/10/river/Moraca/	Water
7b93e6a1:150814fecb6:928	Membership
7b93e6a1:150814fecb6:2e0	Membership
7b93e6a1:150814fecb6:-683	Border
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/	Province
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	Province
7b93e6a1:150814fecb6:2476	EthnicProportion
7b93e6a1:150814fecb6:ca6	Membership
7b93e6a1:150814fecb6:21c2	SpokenBy
7b93e6a1:150814fecb6:130c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	City
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	City
7b93e6a1:150814fecb6:c02	Membership
7b93e6a1:150814fecb6:8d4	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/	Province
http://www.semwebtech.org/mondial/10/mountain/Elgon/	Mountain
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	City
7b93e6a1:150814fecb6:830	Membership
7b93e6a1:150814fecb6:1df	Membership
7b93e6a1:150814fecb6:156c	Membership
7b93e6a1:150814fecb6:e62	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	City
7b93e6a1:150814fecb6:13b	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/	Province
7b93e6a1:150814fecb6:1b9e	Membership
7b93e6a1:150814fecb6:-2ce	Membership
7b93e6a1:150814fecb6:-22a	Membership
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	City
7b93e6a1:150814fecb6:39b	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/	Province
7b93e6a1:150814fecb6:201d	Membership
http://www.semwebtech.org/mondial/10/islands/SundaIslands/	Islands
7b93e6a1:150814fecb6:72f	Membership
http://www.semwebtech.org/mondial/10/source/Kymijoki/	Source
7b93e6a1:150814fecb6:18ac	Membership
7b93e6a1:150814fecb6:-48a	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	City
7b93e6a1:150814fecb6:71	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/	Province
7b93e6a1:150814fecb6:1ede	Membership
7b93e6a1:150814fecb6:11d8	Membership
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	City
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	City
7b93e6a1:150814fecb6:227d	BelievedBy
7b93e6a1:150814fecb6:aad	Membership
7b93e6a1:150814fecb6:98f	Membership
7b93e6a1:150814fecb6:1e3a	Membership
7b93e6a1:150814fecb6:-a7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	City
7b93e6a1:150814fecb6:6db	Membership
http://www.semwebtech.org/mondial/10/desert/Darfur/	Desert
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/	Province
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	Island
7b93e6a1:150814fecb6:-7ca	Encompassed
7b93e6a1:150814fecb6:1394	Membership
http://www.semwebtech.org/mondial/10/mountains/Elburs/	Mountains
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	Water
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/	Province
7b93e6a1:150814fecb6:1728	Membership
7b93e6a1:150814fecb6:10e0	Membership
7b93e6a1:150814fecb6:25bd	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	City
7b93e6a1:150814fecb6:1aa6	Membership
7b93e6a1:150814fecb6:1988	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/	Province
http://www.semwebtech.org/mondial/10/language/Kurd/	Language
7b93e6a1:150814fecb6:1a02	Membership
7b93e6a1:150814fecb6:557	Membership
7b93e6a1:150814fecb6:16d4	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	City
http://www.semwebtech.org/mondial/10/country/FPOL/	Country
7b93e6a1:150814fecb6:1630	Membership
7b93e6a1:150814fecb6:b89	Membership
7b93e6a1:150814fecb6:2a3	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	City
7b93e6a1:150814fecb6:-646	Border
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	City
http://www.semwebtech.org/mondial/10/language/Bambara/	Language
7b93e6a1:150814fecb6:1c62	Membership
7b93e6a1:150814fecb6:2439	BelievedBy
7b93e6a1:150814fecb6:1890	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/	Province
7b93e6a1:150814fecb6:-5f2	Border
7b93e6a1:150814fecb6:119b	Membership
7b93e6a1:150814fecb6:2699	EthnicProportion
7b93e6a1:150814fecb6:ec9	Membership
7b93e6a1:150814fecb6:a91	Membership
7b93e6a1:150814fecb6:-6a	Membership
7b93e6a1:150814fecb6:152f	Membership
7b93e6a1:150814fecb6:23e5	BelievedBy
7b93e6a1:150814fecb6:e25	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	City
7b93e6a1:150814fecb6:1fa2	Membership
7b93e6a1:150814fecb6:2341	BelievedBy
http://www.semwebtech.org/mondial/10/country/CY/	Country
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	City
7b93e6a1:150814fecb6:178f	Membership
7b93e6a1:150814fecb6:35e	Membership
7b93e6a1:150814fecb6:14db	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	City
7b93e6a1:150814fecb6:d8	Membership
7b93e6a1:150814fecb6:dd1	Membership
7b93e6a1:150814fecb6:-44d	Membership
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	Water
7b93e6a1:150814fecb6:34	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Hazara/	EthnicGroup
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	Water
7b93e6a1:150814fecb6:1357	Membership
7b93e6a1:150814fecb6:21ec	SpokenBy
7b93e6a1:150814fecb6:c2c	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/	Province
7b93e6a1:150814fecb6:8fe	Membership
7b93e6a1:150814fecb6:10a3	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	City
7b93e6a1:150814fecb6:85a	Membership
http://www.semwebtech.org/mondial/10/river/Benue/	Water
7b93e6a1:150814fecb6:e8c	Membership
7b93e6a1:150814fecb6:186	Membership
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	City
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/	Province
http://www.semwebtech.org/mondial/10/religion/HoaHao/	Religion
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	City
7b93e6a1:150814fecb6:-275	Membership
7b93e6a1:150814fecb6:1cc9	Membership
7b93e6a1:150814fecb6:-609	Border
7b93e6a1:150814fecb6:2068	Membership
http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	Organization
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	Water
7b93e6a1:150814fecb6:1c25	Membership
7b93e6a1:150814fecb6:18f7	Membership
7b93e6a1:150814fecb6:9b	Membership
http://www.semwebtech.org/mondial/10/island/Khark/	Island
http://www.semwebtech.org/mondial/10/country/P/province/Azores/	Province
7b93e6a1:150814fecb6:4c6	Membership
7b93e6a1:150814fecb6:1853	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	City
7b93e6a1:150814fecb6:af8	Membership
7b93e6a1:150814fecb6:422	Membership
7b93e6a1:150814fecb6:1e85	Membership
7b93e6a1:150814fecb6:-5b5	Membership
7b93e6a1:150814fecb6:115e	Membership
http://www.semwebtech.org/mondial/10/river/Missouri/	Water
7b93e6a1:150814fecb6:1bd1	Membership
7b93e6a1:150814fecb6:-2d	Membership
7b93e6a1:150814fecb6:-511	Membership
7b93e6a1:150814fecb6:23a8	BelievedBy
http://www.semwebtech.org/mondial/10/river/Pjandsh/	Water
7b93e6a1:150814fecb6:682	Membership
7b93e6a1:150814fecb6:2304	BelievedBy
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/	Province
http://www.semwebtech.org/mondial/10/river/Marne/	Water
7b93e6a1:150814fecb6:-771	Encompassed
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	City
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	Water
7b93e6a1:150814fecb6:2564	EthnicProportion
http://www.semwebtech.org/mondial/10/islands/Aleutes/	Islands
7b93e6a1:150814fecb6:22b0	BelievedBy
7b93e6a1:150814fecb6:9c2	Membership
7b93e6a1:150814fecb6:1a2c	Membership
7b93e6a1:150814fecb6:16fe	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/	Province
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	Water
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	City
7b93e6a1:150814fecb6:ff4	Membership
7b93e6a1:150814fecb6:2cd	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	City
7b93e6a1:150814fecb6:165a	Membership
7b93e6a1:150814fecb6:f50	Membership
7b93e6a1:150814fecb6:1c8c	Membership
7b93e6a1:150814fecb6:-3bc	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	City
7b93e6a1:150814fecb6:21af	SpokenBy
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Luhya/	EthnicGroup
7b93e6a1:150814fecb6:210b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	City
7b93e6a1:150814fecb6:81d	Membership
7b93e6a1:150814fecb6:e4f	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/	Province
7b93e6a1:150814fecb6:1fcc	Membership
7b93e6a1:150814fecb6:149	Membership
http://www.semwebtech.org/mondial/10/island/Mallorca/	Island
7b93e6a1:150814fecb6:12c6	Membership
7b93e6a1:150814fecb6:236b	BelievedBy
7b93e6a1:150814fecb6:1222	Membership
7b93e6a1:150814fecb6:-238	Membership
7b93e6a1:150814fecb6:dfb	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	City
7b93e6a1:150814fecb6:1482	Membership
7b93e6a1:150814fecb6:-498	Membership
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	Estuary
7b93e6a1:150814fecb6:5e	Membership
7b93e6a1:150814fecb6:26ab	EthnicProportion
7b93e6a1:150814fecb6:1816	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	City
7b93e6a1:150814fecb6:-1e4	Membership
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/	Province
7b93e6a1:150814fecb6:1e48	Membership
7b93e6a1:150814fecb6:-140	Membership
7b93e6a1:150814fecb6:6e9	Membership
7b93e6a1:150814fecb6:a17	Membership
http://www.semwebtech.org/mondial/10/organization/SADC/	Organization
7b93e6a1:150814fecb6:645	Membership
7b93e6a1:150814fecb6:17c2	Membership
7b93e6a1:150814fecb6:-7d8	Encompassed
7b93e6a1:150814fecb6:c77	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	EthnicGroup
7b93e6a1:150814fecb6:1df4	Membership
7b93e6a1:150814fecb6:-734	Encompassed
7b93e6a1:150814fecb6:10cd	Membership
7b93e6a1:150814fecb6:2193	SpokenBy
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/	Province
7b93e6a1:150814fecb6:1d50	Membership
7b93e6a1:150814fecb6:2527	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/	Province
7b93e6a1:150814fecb6:5f1	Membership
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	City
7b93e6a1:150814fecb6:-6e0	Border
7b93e6a1:150814fecb6:-29f	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	City
7b93e6a1:150814fecb6:fb7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	City
7b93e6a1:150814fecb6:161d	Membership
7b93e6a1:150814fecb6:24d3	EthnicProportion
7b93e6a1:150814fecb6:f13	Membership
7b93e6a1:150814fecb6:1c4f	Membership
7b93e6a1:150814fecb6:187d	Membership
http://www.semwebtech.org/mondial/10/estuary/Aare/	Estuary
7b93e6a1:150814fecb6:44c	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/	Province
7b93e6a1:150814fecb6:-5df	Border
http://www.semwebtech.org/mondial/10/estuary/Katun/	Estuary
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/	Province
7b93e6a1:150814fecb6:1bfb	Membership
7b93e6a1:150814fecb6:a7e	Membership
7b93e6a1:150814fecb6:-78	Membership
7b93e6a1:150814fecb6:-53b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	City
7b93e6a1:150814fecb6:232e	BelievedBy
7b93e6a1:150814fecb6:-79b	Encompassed
7b93e6a1:150814fecb6:14e9	Membership
http://www.semwebtech.org/mondial/10/river/Lomami/	Water
7b93e6a1:150814fecb6:258e	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	Water
7b93e6a1:150814fecb6:dbe	Membership
http://www.semwebtech.org/mondial/10/river/Save/	Water
7b93e6a1:150814fecb6:1445	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	EthnicGroup
7b93e6a1:150814fecb6:22da	BelievedBy
7b93e6a1:150814fecb6:d1a	Membership
7b93e6a1:150814fecb6:9ec	Membership
7b93e6a1:150814fecb6:1a77	Membership
7b93e6a1:150814fecb6:-1a7	Membership
7b93e6a1:150814fecb6:-103	Membership
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	Estuary
7b93e6a1:150814fecb6:f7a	Membership
7b93e6a1:150814fecb6:274	Membership
7b93e6a1:150814fecb6:13f1	Membership
7b93e6a1:150814fecb6:608	Membership
7b93e6a1:150814fecb6:-363	Membership
7b93e6a1:150814fecb6:1db7	Membership
7b93e6a1:150814fecb6:2156	SpokenBy
7b93e6a1:150814fecb6:868	Membership
7b93e6a1:150814fecb6:1d13	Membership
7b93e6a1:150814fecb6:19e5	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	City
7b93e6a1:150814fecb6:5b4	Membership
7b93e6a1:150814fecb6:1941	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/	Province
7b93e6a1:150814fecb6:be6	Membership
7b93e6a1:150814fecb6:510	Membership
7b93e6a1:150814fecb6:1f73	Membership
7b93e6a1:150814fecb6:-6a3	Border
7b93e6a1:150814fecb6:124c	Membership
7b93e6a1:150814fecb6:b42	Membership
7b93e6a1:150814fecb6:770	Membership
7b93e6a1:150814fecb6:40f	Membership
7b93e6a1:150814fecb6:-16a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/	Province
7b93e6a1:150814fecb6:2652	EthnicProportion
7b93e6a1:150814fecb6:1bbe	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/	Province
7b93e6a1:150814fecb6:1b1a	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/	Province
7b93e6a1:150814fecb6:66f	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	City
7b93e6a1:150814fecb6:17ec	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	City
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	City
7b93e6a1:150814fecb6:3bb	Membership
7b93e6a1:150814fecb6:-75e	Encompassed
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	City
7b93e6a1:150814fecb6:1d7a	Membership
7b93e6a1:150814fecb6:-4aa	Membership
7b93e6a1:150814fecb6:1074	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	City
7b93e6a1:150814fecb6:1408	Membership
http://www.semwebtech.org/mondial/10/river/Etsch/	Water
7b93e6a1:150814fecb6:9af	Membership
7b93e6a1:150814fecb6:90b	Membership
7b93e6a1:150814fecb6:1668	Membership
7b93e6a1:150814fecb6:24fd	EthnicProportion
7b93e6a1:150814fecb6:f3d	Membership
7b93e6a1:150814fecb6:237	Membership
7b93e6a1:150814fecb6:13b4	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Central/	Province
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	Mountain
7b93e6a1:150814fecb6:1310	Membership
7b93e6a1:150814fecb6:-326	Membership
7b93e6a1:150814fecb6:497	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	City
7b93e6a1:150814fecb6:2119	SpokenBy
7b93e6a1:150814fecb6:19a8	Membership
7b93e6a1:150814fecb6:1e3	Membership
7b93e6a1:150814fecb6:1570	Membership
7b93e6a1:150814fecb6:-586	Membership
http://www.semwebtech.org/mondial/10/river/Murgab/	Water
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	City
7b93e6a1:150814fecb6:1904	Membership
7b93e6a1:150814fecb6:-2d2	Membership
7b93e6a1:150814fecb6:2379	BelievedBy
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	Water
7b93e6a1:150814fecb6:ba9	Membership
http://www.semwebtech.org/mondial/10/river/Buna/	Water
7b93e6a1:150814fecb6:1f36	Membership
7b93e6a1:150814fecb6:120f	Membership
7b93e6a1:150814fecb6:20c5	Membership
7b93e6a1:150814fecb6:b05	Membership
7b93e6a1:150814fecb6:7d7	Membership
http://www.semwebtech.org/mondial/10/organization/CD/	Organization
7b93e6a1:150814fecb6:2021	Membership
7b93e6a1:150814fecb6:733	Membership
http://www.semwebtech.org/mondial/10/country/MNTS/	Country
7b93e6a1:150814fecb6:18b0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	City
7b93e6a1:150814fecb6:146f	Membership
7b93e6a1:150814fecb6:d65	Membership
7b93e6a1:150814fecb6:1ee2	Membership
7b93e6a1:150814fecb6:11bb	Membership
7b93e6a1:150814fecb6:26b9	EthnicProportion
7b93e6a1:150814fecb6:2281	BelievedBy
7b93e6a1:150814fecb6:ab1	Membership
7b93e6a1:150814fecb6:993	Membership
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	Island
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	City
7b93e6a1:150814fecb6:-12d	Membership
7b93e6a1:150814fecb6:2615	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SLO/	Country
7b93e6a1:150814fecb6:29e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	City
http://www.semwebtech.org/mondial/10/sea/BlackSea/	Water
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	City
http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/	Islands
7b93e6a1:150814fecb6:17af	Membership
7b93e6a1:150814fecb6:-38d	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	City
7b93e6a1:150814fecb6:170b	Membership
7b93e6a1:150814fecb6:25c1	EthnicProportion
7b93e6a1:150814fecb6:1d3d	Membership
http://www.semwebtech.org/mondial/10/river/Tajo/	Water
7b93e6a1:150814fecb6:1037	Membership
7b93e6a1:150814fecb6:5de	Membership
7b93e6a1:150814fecb6:196b	Membership
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	Source
7b93e6a1:150814fecb6:1f9d	Membership
7b93e6a1:150814fecb6:53a	Membership
7b93e6a1:150814fecb6:-6cd	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	City
7b93e6a1:150814fecb6:1297	Membership
7b93e6a1:150814fecb6:b6c	Membership
http://www.semwebtech.org/mondial/10/organization/NC/	Organization
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/	Province
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	Estuary
7b93e6a1:150814fecb6:79a	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	City
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	City
7b93e6a1:150814fecb6:241c	BelievedBy
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	City
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/	Province
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	City
7b93e6a1:150814fecb6:15d7	Membership
7b93e6a1:150814fecb6:267c	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	Water
7b93e6a1:150814fecb6:eac	Membership
7b93e6a1:150814fecb6:1a6	Membership
7b93e6a1:150814fecb6:1533	Membership
7b93e6a1:150814fecb6:-549	Membership
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	Island
7b93e6a1:150814fecb6:102	Membership
7b93e6a1:150814fecb6:1b65	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	City
7b93e6a1:150814fecb6:1793	Membership
http://www.semwebtech.org/mondial/10/country/RI/	Country
http://www.semwebtech.org/mondial/10/mountain/Illimani/	Mountain
http://www.semwebtech.org/mondial/10/country/LAR/	Country
7b93e6a1:150814fecb6:362	Membership
7b93e6a1:150814fecb6:-4f5	Membership
7b93e6a1:150814fecb6:109e	Membership
7b93e6a1:150814fecb6:bb	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	City
http://www.semwebtech.org/mondial/10/country/TO/	Country
7b93e6a1:150814fecb6:-451	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/	Province
7b93e6a1:150814fecb6:22e8	BelievedBy
7b93e6a1:150814fecb6:d28	Membership
7b93e6a1:150814fecb6:1ea5	Membership
http://www.semwebtech.org/mondial/10/organization/ILO/	Organization
7b93e6a1:150814fecb6:2244	BelievedBy
7b93e6a1:150814fecb6:956	Membership
7b93e6a1:150814fecb6:1e01	Membership
http://www.semwebtech.org/mondial/10/country/VU/	Country
http://www.semwebtech.org/mondial/10/island/Tinian/	Island
7b93e6a1:150814fecb6:f88	Membership
7b93e6a1:150814fecb6:6a2	Membership
7b93e6a1:150814fecb6:13de	Membership
7b93e6a1:150814fecb6:cd4	Membership
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	Mountain
7b93e6a1:150814fecb6:133a	Membership
7b93e6a1:150814fecb6:21f0	SpokenBy
7b93e6a1:150814fecb6:c30	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Maur/	EthnicGroup
7b93e6a1:150814fecb6:159a	Membership
7b93e6a1:150814fecb6:e90	Membership
7b93e6a1:150814fecb6:192e	Membership
7b93e6a1:150814fecb6:-2fc	Membership
http://www.semwebtech.org/mondial/10/language/Aymara/	Language
http://www.semwebtech.org/mondial/10/lake/ChadLake/	Water
7b93e6a1:150814fecb6:1a68	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	City
7b93e6a1:150814fecb6:20ef	Membership
7b93e6a1:150814fecb6:b2f	Membership
7b93e6a1:150814fecb6:1cac	Membership
7b93e6a1:150814fecb6:204b	Membership
7b93e6a1:150814fecb6:75d	Membership
http://www.semwebtech.org/mondial/10/country/WAG/	Country
7b93e6a1:150814fecb6:18da	Membership
http://www.semwebtech.org/mondial/10/mountains/Tibesti/	Mountains
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/	Province
7b93e6a1:150814fecb6:d8f	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Beja/	Province
7b93e6a1:150814fecb6:adb	Membership
7b93e6a1:150814fecb6:-d5	Membership
7b93e6a1:150814fecb6:1162	Membership
7b93e6a1:150814fecb6:-178	Membership
7b93e6a1:150814fecb6:263f	EthnicProportion
7b93e6a1:150814fecb6:-31	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	EthnicGroup
7b93e6a1:150814fecb6:1b28	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/	Province
7b93e6a1:150814fecb6:3c9	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	City
http://www.semwebtech.org/mondial/10/country/N/	Country
7b93e6a1:150814fecb6:1756	Membership
7b93e6a1:150814fecb6:25eb	EthnicProportion
7b93e6a1:150814fecb6:1d88	Membership
7b93e6a1:150814fecb6:325	Membership
7b93e6a1:150814fecb6:14a2	Membership
7b93e6a1:150814fecb6:-4b8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/	Province
7b93e6a1:150814fecb6:1ad4	Membership
7b93e6a1:150814fecb6:-414	Membership
7b93e6a1:150814fecb6:-a	Membership
7b93e6a1:150814fecb6:585	Membership
7b93e6a1:150814fecb6:1a30	Membership
7b93e6a1:150814fecb6:2207	SpokenBy
7b93e6a1:150814fecb6:919	Membership
7b93e6a1:150814fecb6:2d1	Membership
http://www.semwebtech.org/mondial/10/organization/UNESCO/	Organization
7b93e6a1:150814fecb6:-674	Border
7b93e6a1:150814fecb6:1c90	Membership
7b93e6a1:150814fecb6:-3c0	Membership
7b93e6a1:150814fecb6:2467	EthnicProportion
7b93e6a1:150814fecb6:21b3	SpokenBy
7b93e6a1:150814fecb6:8c5	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/	Province
7b93e6a1:150814fecb6:ef7	Membership
7b93e6a1:150814fecb6:821	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/	Province
7b93e6a1:150814fecb6:155d	Membership
7b93e6a1:150814fecb6:1fd0	Membership
7b93e6a1:150814fecb6:e53	Membership
7b93e6a1:150814fecb6:1b8f	Membership
7b93e6a1:150814fecb6:12c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	City
7b93e6a1:150814fecb6:-2bf	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	City
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	City
7b93e6a1:150814fecb6:-21b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	City
7b93e6a1:150814fecb6:38c	Membership
7b93e6a1:150814fecb6:200e	Membership
7b93e6a1:150814fecb6:-47b	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/	Province
7b93e6a1:150814fecb6:62	Membership
7b93e6a1:150814fecb6:1ecf	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	City
7b93e6a1:150814fecb6:-80f	Encompassed
7b93e6a1:150814fecb6:11c9	Membership
7b93e6a1:150814fecb6:226e	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/	Province
7b93e6a1:150814fecb6:1e2b	Membership
7b93e6a1:150814fecb6:1125	Membership
7b93e6a1:150814fecb6:6cc	Membership
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	City
7b93e6a1:150814fecb6:cfe	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	City
7b93e6a1:150814fecb6:-7bb	Encompassed
7b93e6a1:150814fecb6:1385	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	City
7b93e6a1:150814fecb6:c5a	Membership
7b93e6a1:150814fecb6:1719	Membership
7b93e6a1:150814fecb6:10d1	Membership
7b93e6a1:150814fecb6:25ae	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Cuango/	Source
7b93e6a1:150814fecb6:250a	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Alz/	Estuary
http://www.semwebtech.org/mondial/10/source/Narew/	Source
7b93e6a1:150814fecb6:1979	Membership
7b93e6a1:150814fecb6:548	Membership
7b93e6a1:150814fecb6:16c5	Membership
7b93e6a1:150814fecb6:1cf7	Membership
7b93e6a1:150814fecb6:1621	Membership
7b93e6a1:150814fecb6:-637	Border
7b93e6a1:150814fecb6:b0	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/	Province
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	Source
7b93e6a1:150814fecb6:2096	Membership
7b93e6a1:150814fecb6:1c53	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Walloon/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	Mountain
7b93e6a1:150814fecb6:4f4	Membership
7b93e6a1:150814fecb6:1881	Membership
http://www.semwebtech.org/mondial/10/source/Atbara/	Source
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	City
7b93e6a1:150814fecb6:450	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	City
7b93e6a1:150814fecb6:-ff	Membership
7b93e6a1:150814fecb6:-5e3	Border
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	City
7b93e6a1:150814fecb6:118c	Membership
7b93e6a1:150814fecb6:a82	Membership
7b93e6a1:150814fecb6:-5b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	City
7b93e6a1:150814fecb6:23d6	BelievedBy
7b93e6a1:150814fecb6:e16	Membership
http://www.semwebtech.org/mondial/10/organization/LAES/	Organization
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/	Province
7b93e6a1:150814fecb6:2332	BelievedBy
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/	Province
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/	Province
7b93e6a1:150814fecb6:34f	Membership
7b93e6a1:150814fecb6:14cc	Membership
7b93e6a1:150814fecb6:2592	EthnicProportion
7b93e6a1:150814fecb6:c9	Membership
7b93e6a1:150814fecb6:dc2	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/	Province
7b93e6a1:150814fecb6:1afe	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/	Province
7b93e6a1:150814fecb6:-43e	Membership
7b93e6a1:150814fecb6:25	Membership
7b93e6a1:150814fecb6:9f0	Membership
7b93e6a1:150814fecb6:1a5a	Membership
7b93e6a1:150814fecb6:2fb	Membership
7b93e6a1:150814fecb6:-69e	Border
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	City
http://www.semwebtech.org/mondial/10/island/Bougainville/	Island
7b93e6a1:150814fecb6:-3ea	Membership
7b93e6a1:150814fecb6:1348	Membership
7b93e6a1:150814fecb6:21dd	SpokenBy
http://www.semwebtech.org/mondial/10/mountains/Crete/	Mountains
7b93e6a1:150814fecb6:c1d	Membership
7b93e6a1:150814fecb6:8ef	Membership
7b93e6a1:150814fecb6:84b	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	City
7b93e6a1:150814fecb6:e7d	Membership
7b93e6a1:150814fecb6:1ffa	Membership
7b93e6a1:150814fecb6:177	Membership
7b93e6a1:150814fecb6:12f4	Membership
7b93e6a1:150814fecb6:1250	Membership
7b93e6a1:150814fecb6:-266	Membership
http://www.semwebtech.org/mondial/10/river/Werra/	Water
7b93e6a1:150814fecb6:2059	Membership
7b93e6a1:150814fecb6:1c16	Membership
7b93e6a1:150814fecb6:18e8	Membership
http://www.semwebtech.org/mondial/10/estuary/Newa/	Estuary
7b93e6a1:150814fecb6:8c	Membership
http://www.semwebtech.org/mondial/10/islands/NewZealand/	Islands
7b93e6a1:150814fecb6:4b7	Membership
7b93e6a1:150814fecb6:1844	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/	Province
7b93e6a1:150814fecb6:ae9	Membership
7b93e6a1:150814fecb6:413	Membership
7b93e6a1:150814fecb6:1e76	Membership
7b93e6a1:150814fecb6:-5a6	Membership
7b93e6a1:150814fecb6:114f	Membership
7b93e6a1:150814fecb6:1bc2	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	City
7b93e6a1:150814fecb6:a45	Membership
7b93e6a1:150814fecb6:-1e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/	Province
7b93e6a1:150814fecb6:-502	Membership
7b93e6a1:150814fecb6:673	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	City
7b93e6a1:150814fecb6:17f0	Membership
7b93e6a1:150814fecb6:-762	Encompassed
7b93e6a1:150814fecb6:10fb	Membership
7b93e6a1:150814fecb6:25f9	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	City
http://www.semwebtech.org/mondial/10/religion/Kimbanguist/	Religion
7b93e6a1:150814fecb6:2555	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Kasai/	Source
7b93e6a1:150814fecb6:22a1	BelievedBy
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	Water
http://www.semwebtech.org/mondial/10/estuary/Swir/	Estuary
http://www.semwebtech.org/mondial/10/source/Drina/	Source
7b93e6a1:150814fecb6:9b3	Membership
7b93e6a1:150814fecb6:1a1d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	City
7b93e6a1:150814fecb6:16ef	Membership
7b93e6a1:150814fecb6:-2de	Membership
http://www.semwebtech.org/mondial/10/language/Latvian/	Language
7b93e6a1:150814fecb6:fe5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/	Province
7b93e6a1:150814fecb6:2be	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/	Province
7b93e6a1:150814fecb6:164b	Membership
7b93e6a1:150814fecb6:f41	Membership
7b93e6a1:150814fecb6:21a	Membership
7b93e6a1:150814fecb6:1c7d	Membership
7b93e6a1:150814fecb6:-3ad	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Oita/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	City
7b93e6a1:150814fecb6:47a	Membership
http://www.semwebtech.org/mondial/10/island/Grenada/	Island
7b93e6a1:150814fecb6:80e	Membership
http://www.semwebtech.org/mondial/10/country/XMAS/	Country
http://www.semwebtech.org/mondial/10/desert/Owyhee/	Desert
7b93e6a1:150814fecb6:1fbd	Membership
7b93e6a1:150814fecb6:12b7	Membership
7b93e6a1:150814fecb6:235c	BelievedBy
7b93e6a1:150814fecb6:1213	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/	Province
http://www.semwebtech.org/mondial/10/country/MA/	Country
7b93e6a1:150814fecb6:-229	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/	Province
7b93e6a1:150814fecb6:7ba	Membership
http://www.semwebtech.org/mondial/10/river/Irawaddy/	Water
http://www.semwebtech.org/mondial/10/organization/IEA/	Organization
7b93e6a1:150814fecb6:dec	Membership
7b93e6a1:150814fecb6:1473	Membership
7b93e6a1:150814fecb6:-489	Membership
http://www.semwebtech.org/mondial/10/island/LaPalma/	Island
7b93e6a1:150814fecb6:4f	Membership
7b93e6a1:150814fecb6:1807	Membership
7b93e6a1:150814fecb6:-1d5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	City
http://www.semwebtech.org/mondial/10/organization/NIB/	Organization
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/	Province
7b93e6a1:150814fecb6:1e39	Membership
7b93e6a1:150814fecb6:-131	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/	Province
7b93e6a1:150814fecb6:a08	Membership
http://www.semwebtech.org/mondial/10/mountains/Ural/	Mountains
7b93e6a1:150814fecb6:636	Membership
7b93e6a1:150814fecb6:17b3	Membership
7b93e6a1:150814fecb6:-7c9	Encompassed
7b93e6a1:150814fecb6:-391	Membership
7b93e6a1:150814fecb6:c68	Membership
7b93e6a1:150814fecb6:1de5	Membership
7b93e6a1:150814fecb6:-725	Encompassed
7b93e6a1:150814fecb6:10be	Membership
7b93e6a1:150814fecb6:2184	SpokenBy
7b93e6a1:150814fecb6:896	Membership
7b93e6a1:150814fecb6:1d41	Membership
7b93e6a1:150814fecb6:101a	Membership
7b93e6a1:150814fecb6:2518	EthnicProportion
7b93e6a1:150814fecb6:5e2	Membership
http://www.semwebtech.org/mondial/10/mountain/MountKenia/	Mountain
7b93e6a1:150814fecb6:-6d1	Border
7b93e6a1:150814fecb6:127a	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	City
7b93e6a1:150814fecb6:fa8	Membership
7b93e6a1:150814fecb6:b70	Membership
7b93e6a1:150814fecb6:160e	Membership
7b93e6a1:150814fecb6:24c4	EthnicProportion
7b93e6a1:150814fecb6:f04	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/	Province
7b93e6a1:150814fecb6:2420	BelievedBy
7b93e6a1:150814fecb6:186e	Membership
7b93e6a1:150814fecb6:43d	Membership
7b93e6a1:150814fecb6:15ba	Membership
7b93e6a1:150814fecb6:2680	EthnicProportion
7b93e6a1:150814fecb6:1bec	Membership
7b93e6a1:150814fecb6:eb0	Membership
7b93e6a1:150814fecb6:a6f	Membership
7b93e6a1:150814fecb6:-69	Membership
7b93e6a1:150814fecb6:-52c	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/	Province
7b93e6a1:150814fecb6:69d	Membership
http://www.semwebtech.org/mondial/10/estuary/March/	Estuary
7b93e6a1:150814fecb6:231f	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	City
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	City
http://www.semwebtech.org/mondial/10/source/Tshuapa/	Source
http://www.semwebtech.org/mondial/10/island/Bornholm/	Island
http://www.semwebtech.org/mondial/10/island/Malta/	Island
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	City
7b93e6a1:150814fecb6:-78c	Encompassed
7b93e6a1:150814fecb6:257f	EthnicProportion
7b93e6a1:150814fecb6:daf	Membership
7b93e6a1:150814fecb6:1436	Membership
7b93e6a1:150814fecb6:22cb	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	Estuary
7b93e6a1:150814fecb6:d0b	Membership
7b93e6a1:150814fecb6:9dd	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	City
7b93e6a1:150814fecb6:1696	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	City
7b93e6a1:150814fecb6:f6b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	City
7b93e6a1:150814fecb6:265	Membership
7b93e6a1:150814fecb6:13e2	Membership
7b93e6a1:150814fecb6:-3f8	Membership
7b93e6a1:150814fecb6:-354	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/	Province
7b93e6a1:150814fecb6:1da8	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	City
7b93e6a1:150814fecb6:2147	SpokenBy
7b93e6a1:150814fecb6:859	Membership
7b93e6a1:150814fecb6:1d04	Membership
7b93e6a1:150814fecb6:19d6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	City
7b93e6a1:150814fecb6:5a5	Membership
7b93e6a1:150814fecb6:c	Membership
7b93e6a1:150814fecb6:1932	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	City
http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Mountains
http://www.semwebtech.org/mondial/10/source/Saone/	Source
7b93e6a1:150814fecb6:bd7	Membership
7b93e6a1:150814fecb6:501	Membership
7b93e6a1:150814fecb6:1f64	Membership
7b93e6a1:150814fecb6:123d	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	City
7b93e6a1:150814fecb6:20f3	Membership
7b93e6a1:150814fecb6:b33	Membership
7b93e6a1:150814fecb6:1cb0	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	City
7b93e6a1:150814fecb6:761	Membership
7b93e6a1:150814fecb6:149d	Membership
7b93e6a1:150814fecb6:d93	Membership
7b93e6a1:150814fecb6:-1ff	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	City
7b93e6a1:150814fecb6:-15b	Membership
7b93e6a1:150814fecb6:2643	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	City
7b93e6a1:150814fecb6:1baf	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	City
7b93e6a1:150814fecb6:1b0b	Membership
7b93e6a1:150814fecb6:17dd	Membership
7b93e6a1:150814fecb6:3ac	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/	Province
7b93e6a1:150814fecb6:-74f	Encompassed
http://www.semwebtech.org/mondial/10/source/Maranon/	Source
7b93e6a1:150814fecb6:1d6b	Membership
7b93e6a1:150814fecb6:1065	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/	Province
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	City
http://www.semwebtech.org/mondial/10/island/Martinique/	Island
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/	Province
7b93e6a1:150814fecb6:-6fb	Border
http://www.semwebtech.org/mondial/10/islands/Maldives/	Islands
7b93e6a1:150814fecb6:b9a	Membership
7b93e6a1:150814fecb6:1659	Membership
7b93e6a1:150814fecb6:24ee	EthnicProportion
7b93e6a1:150814fecb6:f2e	Membership
7b93e6a1:150814fecb6:228	Membership
7b93e6a1:150814fecb6:13a5	Membership
7b93e6a1:150814fecb6:244a	BelievedBy
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/	Province
7b93e6a1:150814fecb6:1301	Membership
7b93e6a1:150814fecb6:-317	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/	Province
http://www.semwebtech.org/mondial/10/island/Madeira/	Island
7b93e6a1:150814fecb6:488	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/	Province
7b93e6a1:150814fecb6:eda	Membership
7b93e6a1:150814fecb6:1d4	Membership
7b93e6a1:150814fecb6:1561	Membership
7b93e6a1:150814fecb6:-577	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/	Province
7b93e6a1:150814fecb6:130	Membership
7b93e6a1:150814fecb6:1b93	Membership
7b93e6a1:150814fecb6:-2c3	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	City
7b93e6a1:150814fecb6:1f27	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/	Province
http://www.semwebtech.org/mondial/10/islands/Sporades/	Islands
7b93e6a1:150814fecb6:20b6	Membership
7b93e6a1:150814fecb6:7c8	Membership
7b93e6a1:150814fecb6:390	Membership
http://www.semwebtech.org/mondial/10/island/EasterIsland/	Island
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	Island
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	City
7b93e6a1:150814fecb6:2012	Membership
7b93e6a1:150814fecb6:724	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	City
7b93e6a1:150814fecb6:18a1	Membership
7b93e6a1:150814fecb6:1367	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	City
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	Water
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/	Province
7b93e6a1:150814fecb6:d56	Membership
7b93e6a1:150814fecb6:1ed3	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	City
7b93e6a1:150814fecb6:-813	Encompassed
7b93e6a1:150814fecb6:11ac	Membership
7b93e6a1:150814fecb6:2272	BelievedBy
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	City
7b93e6a1:150814fecb6:aa2	Membership
7b93e6a1:150814fecb6:984	Membership
7b93e6a1:150814fecb6:-11e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	City
7b93e6a1:150814fecb6:2606	EthnicProportion
7b93e6a1:150814fecb6:6d0	Membership
7b93e6a1:150814fecb6:28f	Membership
http://www.semwebtech.org/mondial/10/island/SaintKitts/	Island
7b93e6a1:150814fecb6:-37e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Komi/	Province
7b93e6a1:150814fecb6:25b2	EthnicProportion
7b93e6a1:150814fecb6:1d2e	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	City
7b93e6a1:150814fecb6:1028	Membership
7b93e6a1:150814fecb6:5cf	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	City
7b93e6a1:150814fecb6:195c	Membership
7b93e6a1:150814fecb6:52b	Membership
7b93e6a1:150814fecb6:1f8e	Membership
7b93e6a1:150814fecb6:-6be	Border
7b93e6a1:150814fecb6:1288	Membership
7b93e6a1:150814fecb6:b5d	Membership
7b93e6a1:150814fecb6:1cda	Membership
7b93e6a1:150814fecb6:-61a	Border
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Province
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	Mountain
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/	Province
7b93e6a1:150814fecb6:78b	Membership
7b93e6a1:150814fecb6:240d	BelievedBy
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	City
http://www.semwebtech.org/mondial/10/estuary/Murat/	Estuary
7b93e6a1:150814fecb6:15c8	Membership
7b93e6a1:150814fecb6:1190	Membership
7b93e6a1:150814fecb6:266d	EthnicProportion
7b93e6a1:150814fecb6:1524	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	City
http://www.semwebtech.org/mondial/10/source/Arno/	Source
7b93e6a1:150814fecb6:1b56	Membership
7b93e6a1:150814fecb6:3f7	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	City
7b93e6a1:150814fecb6:1784	Membership
http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	Islands
http://www.semwebtech.org/mondial/10/organization/GCTU/	Organization
7b93e6a1:150814fecb6:14d0	Membership
7b93e6a1:150814fecb6:353	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/	Province
7b93e6a1:150814fecb6:-4e6	Membership
7b93e6a1:150814fecb6:108f	Membership
7b93e6a1:150814fecb6:ac	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	City
7b93e6a1:150814fecb6:-442	Membership
http://www.semwebtech.org/mondial/10/source/Ruki/	Source
7b93e6a1:150814fecb6:22d9	BelievedBy
7b93e6a1:150814fecb6:d19	Membership
7b93e6a1:150814fecb6:2235	BelievedBy
7b93e6a1:150814fecb6:947	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/	Province
7b93e6a1:150814fecb6:f79	Membership
7b93e6a1:150814fecb6:13cf	Membership
7b93e6a1:150814fecb6:2495	EthnicProportion
7b93e6a1:150814fecb6:cc5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	City
7b93e6a1:150814fecb6:21e1	SpokenBy
7b93e6a1:150814fecb6:132b	Membership
http://www.semwebtech.org/mondial/10/mountain/MtBona/	Mountain
http://www.semwebtech.org/mondial/10/country/CL/	Country
7b93e6a1:150814fecb6:c21	Membership
7b93e6a1:150814fecb6:8f3	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/	Province
7b93e6a1:150814fecb6:1fe	Membership
7b93e6a1:150814fecb6:158b	Membership
http://www.semwebtech.org/mondial/10/country/TUCA/	Country
http://www.semwebtech.org/mondial/10/country/ER/	Country
7b93e6a1:150814fecb6:191f	Membership
7b93e6a1:150814fecb6:e81	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	City
7b93e6a1:150814fecb6:15a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	City
7b93e6a1:150814fecb6:-2ed	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	City
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/	Mountain
http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Mountains
7b93e6a1:150814fecb6:203c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	City
7b93e6a1:150814fecb6:74e	Membership
7b93e6a1:150814fecb6:18cb	Membership
7b93e6a1:150814fecb6:90	Membership
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	City
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	City
7b93e6a1:150814fecb6:1efd	Membership
7b93e6a1:150814fecb6:11f7	Membership
7b93e6a1:150814fecb6:229c	BelievedBy
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	Water
7b93e6a1:150814fecb6:acc	Membership
http://www.semwebtech.org/mondial/10/sea/TheChannel/	Water
7b93e6a1:150814fecb6:-c6	Membership
7b93e6a1:150814fecb6:1153	Membership
7b93e6a1:150814fecb6:-169	Membership
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	Source
7b93e6a1:150814fecb6:6fa	Membership
7b93e6a1:150814fecb6:-22	Membership
http://www.semwebtech.org/mondial/10/source/Ebro/	Source
http://www.semwebtech.org/mondial/10/source/Thames/	Source
7b93e6a1:150814fecb6:1b19	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kuwaiti/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/	Province
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	Mountain
7b93e6a1:150814fecb6:1747	Membership
7b93e6a1:150814fecb6:25dc	EthnicProportion
7b93e6a1:150814fecb6:316	Membership
7b93e6a1:150814fecb6:1d79	Membership
7b93e6a1:150814fecb6:-4a9	Membership
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	Water
7b93e6a1:150814fecb6:1ac5	Membership
7b93e6a1:150814fecb6:-405	Membership
7b93e6a1:150814fecb6:576	Membership
7b93e6a1:150814fecb6:1a21	Membership
7b93e6a1:150814fecb6:16f3	Membership
7b93e6a1:150814fecb6:2c2	Membership
7b93e6a1:150814fecb6:-665	Border
http://www.semwebtech.org/mondial/10/island/Mauritius/	Island
7b93e6a1:150814fecb6:1c81	Membership
7b93e6a1:150814fecb6:-3b1	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/	Province
7b93e6a1:150814fecb6:2458	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	City
http://www.semwebtech.org/mondial/10/mountain/Manaslu/	Mountain
7b93e6a1:150814fecb6:21a4	SpokenBy
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	Water
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/	Province
7b93e6a1:150814fecb6:8b6	Membership
http://www.semwebtech.org/mondial/10/country/WD/	Country
7b93e6a1:150814fecb6:2100	Membership
7b93e6a1:150814fecb6:ee8	Membership
7b93e6a1:150814fecb6:812	Membership
7b93e6a1:150814fecb6:154e	Membership
7b93e6a1:150814fecb6:e44	Membership
7b93e6a1:150814fecb6:1fc1	Membership
7b93e6a1:150814fecb6:11d	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	City
7b93e6a1:150814fecb6:2360	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Suchona/	Estuary
7b93e6a1:150814fecb6:-20c	Membership
7b93e6a1:150814fecb6:37d	Membership
7b93e6a1:150814fecb6:14fa	Membership
7b93e6a1:150814fecb6:f7	Membership
7b93e6a1:150814fecb6:df0	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	City
7b93e6a1:150814fecb6:-46c	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	City
7b93e6a1:150814fecb6:53	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/	Province
7b93e6a1:150814fecb6:26a0	EthnicProportion
7b93e6a1:150814fecb6:225f	BelievedBy
7b93e6a1:150814fecb6:1e1c	Membership
7b93e6a1:150814fecb6:1116	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	City
7b93e6a1:150814fecb6:6bd	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	City
7b93e6a1:150814fecb6:cef	Membership
7b93e6a1:150814fecb6:-7ac	Encompassed
7b93e6a1:150814fecb6:1376	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	City
7b93e6a1:150814fecb6:c4b	Membership
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	Water
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	Water
7b93e6a1:150814fecb6:10c2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	City
7b93e6a1:150814fecb6:539	Membership
7b93e6a1:150814fecb6:16b6	Membership
7b93e6a1:150814fecb6:-294	Membership
7b93e6a1:150814fecb6:1ce8	Membership
7b93e6a1:150814fecb6:1612	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	City
7b93e6a1:150814fecb6:-628	Border
7b93e6a1:150814fecb6:2087	Membership
7b93e6a1:150814fecb6:799	Membership
7b93e6a1:150814fecb6:1c44	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	City
http://www.semwebtech.org/mondial/10/organization/SACU/	Organization
7b93e6a1:150814fecb6:4e5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	City
7b93e6a1:150814fecb6:1872	Membership
http://www.semwebtech.org/mondial/10/organization/Benelux/	Organization
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	City
7b93e6a1:150814fecb6:441	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	City
7b93e6a1:150814fecb6:-5d4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/	Province
7b93e6a1:150814fecb6:117d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/	Province
7b93e6a1:150814fecb6:a73	Membership
7b93e6a1:150814fecb6:1bf0	Membership
7b93e6a1:150814fecb6:-4c	Membership
7b93e6a1:150814fecb6:-530	Membership
7b93e6a1:150814fecb6:23c7	BelievedBy
7b93e6a1:150814fecb6:e07	Membership
7b93e6a1:150814fecb6:2323	BelievedBy
7b93e6a1:150814fecb6:-790	Encompassed
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/	Province
7b93e6a1:150814fecb6:14bd	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/	Province
7b93e6a1:150814fecb6:2583	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Barbados/	Island
7b93e6a1:150814fecb6:db3	Membership
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	Desert
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	Desert
7b93e6a1:150814fecb6:1aef	Membership
7b93e6a1:150814fecb6:-42f	Membership
7b93e6a1:150814fecb6:16	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/	Province
7b93e6a1:150814fecb6:9e1	Membership
7b93e6a1:150814fecb6:1a4b	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	City
7b93e6a1:150814fecb6:2ec	Membership
7b93e6a1:150814fecb6:-68f	Border
7b93e6a1:150814fecb6:-3db	Membership
7b93e6a1:150814fecb6:1339	Membership
7b93e6a1:150814fecb6:21ce	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Okavango/	Estuary
7b93e6a1:150814fecb6:c0e	Membership
7b93e6a1:150814fecb6:212a	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	City
7b93e6a1:150814fecb6:83c	Membership
7b93e6a1:150814fecb6:1599	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	City
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	City
http://www.semwebtech.org/mondial/10/mountains/Alps/	Mountains
7b93e6a1:150814fecb6:e6e	Membership
7b93e6a1:150814fecb6:1feb	Membership
7b93e6a1:150814fecb6:168	Membership
7b93e6a1:150814fecb6:12e5	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/	Province
7b93e6a1:150814fecb6:238a	BelievedBy
7b93e6a1:150814fecb6:bba	Membership
7b93e6a1:150814fecb6:1241	Membership
7b93e6a1:150814fecb6:-257	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	City
http://www.semwebtech.org/mondial/10/language/Ukrainian/	Language
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	City
7b93e6a1:150814fecb6:1c07	Membership
7b93e6a1:150814fecb6:18d9	Membership
7b93e6a1:150814fecb6:7d	Membership
7b93e6a1:150814fecb6:4a8	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/	Province
7b93e6a1:150814fecb6:1835	Membership
7b93e6a1:150814fecb6:404	Membership
7b93e6a1:150814fecb6:1e67	Membership
7b93e6a1:150814fecb6:1bb3	Membership
7b93e6a1:150814fecb6:a36	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	City
7b93e6a1:150814fecb6:664	Membership
7b93e6a1:150814fecb6:17e1	Membership
7b93e6a1:150814fecb6:-7f7	Encompassed
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	Mountain
7b93e6a1:150814fecb6:c96	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	City
7b93e6a1:150814fecb6:3b0	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	City
7b93e6a1:150814fecb6:-753	Encompassed
7b93e6a1:150814fecb6:10ec	Membership
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/	Province
http://www.semwebtech.org/mondial/10/estuary/Pruth/	Estuary
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	City
7b93e6a1:150814fecb6:2546	EthnicProportion
7b93e6a1:150814fecb6:-9	Membership
7b93e6a1:150814fecb6:9a4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	City
7b93e6a1:150814fecb6:1a0e	Membership
7b93e6a1:150814fecb6:fd6	Membership
7b93e6a1:150814fecb6:900	Membership
7b93e6a1:150814fecb6:2af	Membership
7b93e6a1:150814fecb6:163c	Membership
7b93e6a1:150814fecb6:24f2	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	Water
7b93e6a1:150814fecb6:1c6e	Membership
7b93e6a1:150814fecb6:f32	Membership
7b93e6a1:150814fecb6:1543	Membership
http://www.semwebtech.org/mondial/10/organization/UPU/	Organization
7b93e6a1:150814fecb6:20b	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	City
7b93e6a1:150814fecb6:189c	Membership
7b93e6a1:150814fecb6:46b	Membership
7b93e6a1:150814fecb6:-5fe	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	EthnicGroup
7b93e6a1:150814fecb6:a9d	Membership
7b93e6a1:150814fecb6:-97	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	City
7b93e6a1:150814fecb6:-55a	Membership
7b93e6a1:150814fecb6:1fae	Membership
7b93e6a1:150814fecb6:234d	BelievedBy
7b93e6a1:150814fecb6:12a8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	City
7b93e6a1:150814fecb6:1f0a	Membership
7b93e6a1:150814fecb6:1204	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/	Province
7b93e6a1:150814fecb6:7ab	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/	Province
7b93e6a1:150814fecb6:ddd	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	City
http://www.semwebtech.org/mondial/10/language/Somali/	Language
7b93e6a1:150814fecb6:1464	Membership
7b93e6a1:150814fecb6:1a96	Membership
7b93e6a1:150814fecb6:11b0	Membership
7b93e6a1:150814fecb6:-1c6	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	City
7b93e6a1:150814fecb6:-122	Membership
7b93e6a1:150814fecb6:293	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Senoufou/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	City
7b93e6a1:150814fecb6:627	Membership
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	Water
7b93e6a1:150814fecb6:17a4	Membership
7b93e6a1:150814fecb6:-382	Membership
http://www.semwebtech.org/mondial/10/river/Vaal/	Water
7b93e6a1:150814fecb6:1dd6	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	City
7b93e6a1:150814fecb6:c59	Membership
7b93e6a1:150814fecb6:1700	Membership
7b93e6a1:150814fecb6:10af	Membership
7b93e6a1:150814fecb6:-716	Border
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	City
7b93e6a1:150814fecb6:2175	SpokenBy
7b93e6a1:150814fecb6:887	Membership
7b93e6a1:150814fecb6:1d32	Membership
7b93e6a1:150814fecb6:100b	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/	Province
7b93e6a1:150814fecb6:2509	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	Mountain
http://www.semwebtech.org/mondial/10/river/Bartang/	Water
7b93e6a1:150814fecb6:5d3	Membership
7b93e6a1:150814fecb6:1960	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	City
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Emiri/	EthnicGroup
7b93e6a1:150814fecb6:1f92	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	City
7b93e6a1:150814fecb6:-6c2	Border
7b93e6a1:150814fecb6:126b	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	City
7b93e6a1:150814fecb6:b61	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	City
7b93e6a1:150814fecb6:24b5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SLB/	Country
http://www.semwebtech.org/mondial/10/organization/EADB/	Organization
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/	Province
7b93e6a1:150814fecb6:2411	BelievedBy
7b93e6a1:150814fecb6:185f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/	Province
http://www.semwebtech.org/mondial/10/river/Seine/	Water
http://www.semwebtech.org/mondial/10/source/Ticino/	Source
7b93e6a1:150814fecb6:42e	Membership
7b93e6a1:150814fecb6:15ab	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	City
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	City
7b93e6a1:150814fecb6:2671	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	Estuary
7b93e6a1:150814fecb6:ea1	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	City
7b93e6a1:150814fecb6:1bdd	Membership
7b93e6a1:150814fecb6:-51d	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	City
7b93e6a1:150814fecb6:68e	Membership
7b93e6a1:150814fecb6:3da	Membership
7b93e6a1:150814fecb6:-77d	Encompassed
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	City
7b93e6a1:150814fecb6:1093	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	City
7b93e6a1:150814fecb6:1427	Membership
7b93e6a1:150814fecb6:22bc	BelievedBy
7b93e6a1:150814fecb6:9ce	Membership
7b93e6a1:150814fecb6:1a59	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	City
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	Estuary
7b93e6a1:150814fecb6:92a	Membership
7b93e6a1:150814fecb6:1687	Membership
7b93e6a1:150814fecb6:13d3	Membership
7b93e6a1:150814fecb6:f5c	Membership
7b93e6a1:150814fecb6:256	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/	Province
7b93e6a1:150814fecb6:-3e9	Membership
7b93e6a1:150814fecb6:-345	Membership
7b93e6a1:150814fecb6:2138	SpokenBy
7b93e6a1:150814fecb6:19c7	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	City
7b93e6a1:150814fecb6:1ff9	Membership
7b93e6a1:150814fecb6:1923	Membership
7b93e6a1:150814fecb6:-2f1	Membership
7b93e6a1:150814fecb6:2398	BelievedBy
7b93e6a1:150814fecb6:bc8	Membership
7b93e6a1:150814fecb6:1f55	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	City
7b93e6a1:150814fecb6:122e	Membership
7b93e6a1:150814fecb6:20e4	Membership
7b93e6a1:150814fecb6:1ca1	Membership
7b93e6a1:150814fecb6:b24	Membership
7b93e6a1:150814fecb6:7f6	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	City
7b93e6a1:150814fecb6:2040	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	City
7b93e6a1:150814fecb6:752	Membership
7b93e6a1:150814fecb6:148e	Membership
7b93e6a1:150814fecb6:d84	Membership
7b93e6a1:150814fecb6:11da	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	City
7b93e6a1:150814fecb6:ad0	Membership
7b93e6a1:150814fecb6:-14c	Membership
7b93e6a1:150814fecb6:2634	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Wallisian/	Language
7b93e6a1:150814fecb6:17ce	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	City
7b93e6a1:150814fecb6:172a	Membership
7b93e6a1:150814fecb6:25e0	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/	Mountains
7b93e6a1:150814fecb6:219f	SpokenBy
7b93e6a1:150814fecb6:1d5c	Membership
7b93e6a1:150814fecb6:1056	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/	Province
7b93e6a1:150814fecb6:5fd	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	City
7b93e6a1:150814fecb6:198a	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/	Province
7b93e6a1:150814fecb6:-6ec	Border
http://www.semwebtech.org/mondial/10/river/Amudarja/	Water
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	City
7b93e6a1:150814fecb6:b8b	Membership
7b93e6a1:150814fecb6:24df	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/Fesan/	Desert
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	City
7b93e6a1:150814fecb6:f1f	Membership
7b93e6a1:150814fecb6:219	Membership
7b93e6a1:150814fecb6:243b	BelievedBy
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/	Province
7b93e6a1:150814fecb6:-308	Membership
http://www.semwebtech.org/mondial/10/country/ARM/	Country
7b93e6a1:150814fecb6:479	Membership
http://www.semwebtech.org/mondial/10/country/A/	Country
7b93e6a1:150814fecb6:15f6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	City
7b93e6a1:150814fecb6:269b	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Sindhi/	Language
7b93e6a1:150814fecb6:ecb	Membership
7b93e6a1:150814fecb6:1c5	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	City
7b93e6a1:150814fecb6:1552	Membership
7b93e6a1:150814fecb6:-568	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	City
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	Mountain
http://www.semwebtech.org/mondial/10/organization/ITUC/	Organization
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	Water
7b93e6a1:150814fecb6:1b84	Membership
7b93e6a1:150814fecb6:121	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	City
7b93e6a1:150814fecb6:-2b4	Membership
http://www.semwebtech.org/mondial/10/island/Rhodos/	Island
http://www.semwebtech.org/mondial/10/religion/Confucianism/	Religion
http://www.semwebtech.org/mondial/10/ethnicgroup/Mong/	EthnicGroup
7b93e6a1:150814fecb6:1f18	Membership
7b93e6a1:150814fecb6:-210	Membership
7b93e6a1:150814fecb6:20a7	Membership
7b93e6a1:150814fecb6:7b9	Membership
7b93e6a1:150814fecb6:381	Membership
7b93e6a1:150814fecb6:da	Membership
7b93e6a1:150814fecb6:2003	Membership
7b93e6a1:150814fecb6:715	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/	Province
7b93e6a1:150814fecb6:-470	Membership
7b93e6a1:150814fecb6:d47	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	City
7b93e6a1:150814fecb6:1ec4	Membership
7b93e6a1:150814fecb6:-804	Encompassed
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	City
7b93e6a1:150814fecb6:2263	BelievedBy
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	City
7b93e6a1:150814fecb6:975	Membership
7b93e6a1:150814fecb6:1e20	Membership
7b93e6a1:150814fecb6:-10f	Membership
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	City
7b93e6a1:150814fecb6:6c1	Membership
7b93e6a1:150814fecb6:13fd	Membership
7b93e6a1:150814fecb6:cf3	Membership
7b93e6a1:150814fecb6:-7b0	Encompassed
7b93e6a1:150814fecb6:-36f	Membership
7b93e6a1:150814fecb6:25a3	EthnicProportion
7b93e6a1:150814fecb6:1d1f	Membership
7b93e6a1:150814fecb6:1019	Membership
7b93e6a1:150814fecb6:194d	Membership
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	City
http://www.semwebtech.org/mondial/10/organization/WTO/	Organization
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	Water
http://www.semwebtech.org/mondial/10/source/Guadiana/	Source
7b93e6a1:150814fecb6:51c	Membership
7b93e6a1:150814fecb6:1f7f	Membership
7b93e6a1:150814fecb6:-6af	Border
7b93e6a1:150814fecb6:1279	Membership
7b93e6a1:150814fecb6:b4e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	City
7b93e6a1:150814fecb6:1ccb	Membership
7b93e6a1:150814fecb6:-60b	Border
7b93e6a1:150814fecb6:206a	Membership
7b93e6a1:150814fecb6:77c	Membership
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	Water
7b93e6a1:150814fecb6:265e	EthnicProportion
7b93e6a1:150814fecb6:afa	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/	Province
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/	Province
7b93e6a1:150814fecb6:15b9	Membership
7b93e6a1:150814fecb6:-f4	Membership
7b93e6a1:150814fecb6:1181	Membership
7b93e6a1:150814fecb6:-197	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/	Province
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	Mountain
7b93e6a1:150814fecb6:1515	Membership
7b93e6a1:150814fecb6:-50	Membership
http://www.semwebtech.org/mondial/10/organization/UNCTAD/	Organization
7b93e6a1:150814fecb6:23aa	BelievedBy
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/	Province
7b93e6a1:150814fecb6:1b47	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/	Province
http://www.semwebtech.org/mondial/10/source/Ili/	Source
7b93e6a1:150814fecb6:3e8	Membership
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	Water
7b93e6a1:150814fecb6:1775	Membership
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	City
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	Water
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/	Province
7b93e6a1:150814fecb6:14c1	Membership
7b93e6a1:150814fecb6:344	Membership
7b93e6a1:150814fecb6:-4d7	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	City
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	City
7b93e6a1:150814fecb6:1af3	Membership
7b93e6a1:150814fecb6:-433	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Meru/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	City
7b93e6a1:150814fecb6:2226	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	Estuary
7b93e6a1:150814fecb6:938	Membership
7b93e6a1:150814fecb6:2f0	Membership
7b93e6a1:150814fecb6:-693	Border
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	City
7b93e6a1:150814fecb6:2486	EthnicProportion
7b93e6a1:150814fecb6:cb6	Membership
7b93e6a1:150814fecb6:131c	Membership
7b93e6a1:150814fecb6:21d2	SpokenBy
http://www.semwebtech.org/mondial/10/source/Luapula/	Source
7b93e6a1:150814fecb6:c12	Membership
7b93e6a1:150814fecb6:8e4	Membership
7b93e6a1:150814fecb6:840	Membership
7b93e6a1:150814fecb6:1ef	Membership
7b93e6a1:150814fecb6:157c	Membership
7b93e6a1:150814fecb6:e72	Membership
7b93e6a1:150814fecb6:14b	Membership
http://www.semwebtech.org/mondial/10/organization/EMU/	Organization
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	City
7b93e6a1:150814fecb6:-23a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	EthnicGroup
7b93e6a1:150814fecb6:202d	Membership
http://www.semwebtech.org/mondial/10/source/BlackDrin/	Source
7b93e6a1:150814fecb6:73f	Membership
7b93e6a1:150814fecb6:18bc	Membership
7b93e6a1:150814fecb6:-49a	Membership
7b93e6a1:150814fecb6:81	Membership
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	Source
7b93e6a1:150814fecb6:1eee	Membership
7b93e6a1:150814fecb6:11e8	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/None/	EthnicGroup
7b93e6a1:150814fecb6:228d	BelievedBy
7b93e6a1:150814fecb6:abd	Membership
7b93e6a1:150814fecb6:99f	Membership
7b93e6a1:150814fecb6:1e4a	Membership
7b93e6a1:150814fecb6:-b7	Membership
7b93e6a1:150814fecb6:1144	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/	Province
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/	Province
http://www.semwebtech.org/mondial/10/sea/IrishSea/	Water
7b93e6a1:150814fecb6:6eb	Membership
7b93e6a1:150814fecb6:-13	Membership
http://www.semwebtech.org/mondial/10/estuary/Semliki/	Estuary
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/	Province
7b93e6a1:150814fecb6:-7da	Encompassed
7b93e6a1:150814fecb6:1738	Membership
7b93e6a1:150814fecb6:10f0	Membership
7b93e6a1:150814fecb6:25cd	EthnicProportion
7b93e6a1:150814fecb6:307	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	City
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	Source
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	Estuary
7b93e6a1:150814fecb6:1ab6	Membership
7b93e6a1:150814fecb6:1998	Membership
7b93e6a1:150814fecb6:567	Membership
7b93e6a1:150814fecb6:1a12	Membership
7b93e6a1:150814fecb6:16e4	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	City
http://www.semwebtech.org/mondial/10/source/Etsch/	Source
7b93e6a1:150814fecb6:b99	Membership
7b93e6a1:150814fecb6:2b3	Membership
7b93e6a1:150814fecb6:1640	Membership
7b93e6a1:150814fecb6:-656	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	City
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	City
7b93e6a1:150814fecb6:1c72	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/	Province
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	City
7b93e6a1:150814fecb6:-3a2	Membership
7b93e6a1:150814fecb6:2449	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	Mountain
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	City
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	City
7b93e6a1:150814fecb6:8a7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	City
http://www.semwebtech.org/mondial/10/river/Enns/	Water
7b93e6a1:150814fecb6:ed9	Membership
7b93e6a1:150814fecb6:803	Membership
7b93e6a1:150814fecb6:-7a	Membership
7b93e6a1:150814fecb6:153f	Membership
7b93e6a1:150814fecb6:23f5	BelievedBy
7b93e6a1:150814fecb6:1fb2	Membership
7b93e6a1:150814fecb6:e35	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	Province
7b93e6a1:150814fecb6:10e	Membership
7b93e6a1:150814fecb6:2351	BelievedBy
http://www.semwebtech.org/mondial/10/country/CZ/	Country
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	City
7b93e6a1:150814fecb6:179f	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/	Province
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/	Mountain
7b93e6a1:150814fecb6:36e	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	City
7b93e6a1:150814fecb6:14eb	Membership
7b93e6a1:150814fecb6:e8	Membership
7b93e6a1:150814fecb6:de1	Membership
http://www.semwebtech.org/mondial/10/source/Tiber/	Source
7b93e6a1:150814fecb6:-45d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	City
7b93e6a1:150814fecb6:44	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	City
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/	Province
7b93e6a1:150814fecb6:1e0d	Membership
7b93e6a1:150814fecb6:1107	Membership
7b93e6a1:150814fecb6:6ae	Membership
7b93e6a1:150814fecb6:60a	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/	Province
http://www.semwebtech.org/mondial/10/estuary/Moldau/	Estuary
7b93e6a1:150814fecb6:21fc	SpokenBy
7b93e6a1:150814fecb6:c3c	Membership
7b93e6a1:150814fecb6:10b3	Membership
http://www.semwebtech.org/mondial/10/country/LS/	Country
7b93e6a1:150814fecb6:86a	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	City
7b93e6a1:150814fecb6:e9c	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	City
7b93e6a1:150814fecb6:196	Membership
7b93e6a1:150814fecb6:16a7	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	City
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/	Province
7b93e6a1:150814fecb6:-285	Membership
7b93e6a1:150814fecb6:1cd9	Membership
7b93e6a1:150814fecb6:1603	Membership
7b93e6a1:150814fecb6:-619	Border
7b93e6a1:150814fecb6:2078	Membership
http://www.semwebtech.org/mondial/10/source/Mosel/	Source
7b93e6a1:150814fecb6:1c35	Membership
http://www.semwebtech.org/mondial/10/island/NewProvidence/	Island
7b93e6a1:150814fecb6:4d6	Membership
7b93e6a1:150814fecb6:1863	Membership
http://www.semwebtech.org/mondial/10/country/SF/	Country
7b93e6a1:150814fecb6:432	Membership
7b93e6a1:150814fecb6:1e95	Membership
7b93e6a1:150814fecb6:-5c5	Membership
7b93e6a1:150814fecb6:116e	Membership
7b93e6a1:150814fecb6:1be1	Membership
7b93e6a1:150814fecb6:a64	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/	Province
7b93e6a1:150814fecb6:-3d	Membership
7b93e6a1:150814fecb6:-521	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/	Province
7b93e6a1:150814fecb6:23b8	BelievedBy
7b93e6a1:150814fecb6:692	Membership
7b93e6a1:150814fecb6:2314	BelievedBy
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	City
7b93e6a1:150814fecb6:-781	Encompassed
7b93e6a1:150814fecb6:14ae	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	City
7b93e6a1:150814fecb6:2574	EthnicProportion
7b93e6a1:150814fecb6:da4	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	City
7b93e6a1:150814fecb6:140a	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/	Province
7b93e6a1:150814fecb6:22c0	BelievedBy
http://www.semwebtech.org/mondial/10/island/Menorca/	Island
7b93e6a1:150814fecb6:d00	Membership
7b93e6a1:150814fecb6:9d2	Membership
7b93e6a1:150814fecb6:1a3c	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	City
7b93e6a1:150814fecb6:2dd	Membership
7b93e6a1:150814fecb6:166a	Membership
7b93e6a1:150814fecb6:f60	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	City
7b93e6a1:150814fecb6:1c9c	Membership
7b93e6a1:150814fecb6:-3cc	Membership
http://www.semwebtech.org/mondial/10/lake/Vaenern/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	City
http://www.semwebtech.org/mondial/10/estuary/Po/	Estuary
7b93e6a1:150814fecb6:21bf	SpokenBy
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	City
7b93e6a1:150814fecb6:211b	SpokenBy
7b93e6a1:150814fecb6:82d	Membership
http://www.semwebtech.org/mondial/10/river/Euphrat/	Water
7b93e6a1:150814fecb6:19aa	Membership
7b93e6a1:150814fecb6:1fdc	Membership
7b93e6a1:150814fecb6:e5f	Membership
7b93e6a1:150814fecb6:1	Membership
7b93e6a1:150814fecb6:159	Membership
7b93e6a1:150814fecb6:12d6	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	City
7b93e6a1:150814fecb6:237b	BelievedBy
7b93e6a1:150814fecb6:bab	Membership
7b93e6a1:150814fecb6:1232	Membership
7b93e6a1:150814fecb6:-248	Membership
7b93e6a1:150814fecb6:1492	Membership
7b93e6a1:150814fecb6:6e	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/	Province
7b93e6a1:150814fecb6:1826	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	City
7b93e6a1:150814fecb6:-1f4	Membership
7b93e6a1:150814fecb6:26bb	EthnicProportion
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/	Province
7b93e6a1:150814fecb6:1e58	Membership
7b93e6a1:150814fecb6:-150	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/	Province
7b93e6a1:150814fecb6:a27	Membership
7b93e6a1:150814fecb6:6f9	Membership
7b93e6a1:150814fecb6:1ba4	Membership
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	Water
7b93e6a1:150814fecb6:1b00	Membership
7b93e6a1:150814fecb6:655	Membership
7b93e6a1:150814fecb6:17d2	Membership
7b93e6a1:150814fecb6:-7e8	Encompassed
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	Mountain
7b93e6a1:150814fecb6:c87	Membership
7b93e6a1:150814fecb6:3a1	Membership
7b93e6a1:150814fecb6:-744	Encompassed
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/	Province
7b93e6a1:150814fecb6:10dd	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	City
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	City
7b93e6a1:150814fecb6:1d60	Membership
7b93e6a1:150814fecb6:2537	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	City
http://www.semwebtech.org/mondial/10/estuary/Lulua/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	City
7b93e6a1:150814fecb6:-6f0	Border
7b93e6a1:150814fecb6:fc7	Membership
7b93e6a1:150814fecb6:162d	Membership
7b93e6a1:150814fecb6:24e3	EthnicProportion
7b93e6a1:150814fecb6:f23	Membership
http://www.semwebtech.org/mondial/10/language/Armenian/	Language
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	Water
7b93e6a1:150814fecb6:1c5f	Membership
7b93e6a1:150814fecb6:188d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	City
7b93e6a1:150814fecb6:45c	Membership
7b93e6a1:150814fecb6:-5ef	Border
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	City
7b93e6a1:150814fecb6:a8e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	City
7b93e6a1:150814fecb6:-88	Membership
7b93e6a1:150814fecb6:-54b	Membership
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	Mountain
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	Mountain
http://www.semwebtech.org/mondial/10/country/NIUE/	Country
7b93e6a1:150814fecb6:233e	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Greenlander/	EthnicGroup
7b93e6a1:150814fecb6:14f9	Membership
7b93e6a1:150814fecb6:259e	EthnicProportion
7b93e6a1:150814fecb6:dce	Membership
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	Estuary
7b93e6a1:150814fecb6:1455	Membership
7b93e6a1:150814fecb6:22ea	BelievedBy
7b93e6a1:150814fecb6:d2a	Membership
7b93e6a1:150814fecb6:9fc	Membership
7b93e6a1:150814fecb6:1a87	Membership
7b93e6a1:150814fecb6:11a1	Membership
7b93e6a1:150814fecb6:-1b7	Membership
http://www.semwebtech.org/mondial/10/island/Negros/	Island
7b93e6a1:150814fecb6:-113	Membership
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	City
7b93e6a1:150814fecb6:f8a	Membership
7b93e6a1:150814fecb6:284	Membership
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/	Province
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	City
7b93e6a1:150814fecb6:618	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Diola/	EthnicGroup
7b93e6a1:150814fecb6:-373	Membership
7b93e6a1:150814fecb6:1dc7	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/	Province
7b93e6a1:150814fecb6:-707	Border
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/	Province
7b93e6a1:150814fecb6:2166	SpokenBy
7b93e6a1:150814fecb6:878	Membership
7b93e6a1:150814fecb6:1d23	Membership
7b93e6a1:150814fecb6:19f5	Membership
7b93e6a1:150814fecb6:5c4	Membership
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	Estuary
7b93e6a1:150814fecb6:1951	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	City
7b93e6a1:150814fecb6:bf6	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/	Province
7b93e6a1:150814fecb6:520	Membership
7b93e6a1:150814fecb6:1f83	Membership
7b93e6a1:150814fecb6:-6b3	Border
7b93e6a1:150814fecb6:125c	Membership
7b93e6a1:150814fecb6:b52	Membership
7b93e6a1:150814fecb6:24a6	EthnicProportion
7b93e6a1:150814fecb6:780	Membership
7b93e6a1:150814fecb6:2402	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	City
7b93e6a1:150814fecb6:41f	Membership
7b93e6a1:150814fecb6:-17a	Membership
7b93e6a1:150814fecb6:2662	EthnicProportion
7b93e6a1:150814fecb6:1bce	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	City
7b93e6a1:150814fecb6:-50e	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/	Province
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	City
7b93e6a1:150814fecb6:67f	Membership
7b93e6a1:150814fecb6:1b2a	Membership
7b93e6a1:150814fecb6:17fc	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	City
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	Desert
7b93e6a1:150814fecb6:3cb	Membership
7b93e6a1:150814fecb6:-76e	Encompassed
7b93e6a1:150814fecb6:-559	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	City
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	City
7b93e6a1:150814fecb6:1d8a	Membership
7b93e6a1:150814fecb6:1084	Membership
7b93e6a1:150814fecb6:-4ba	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	City
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/	Province
7b93e6a1:150814fecb6:a1	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Moroccan/	EthnicGroup
7b93e6a1:150814fecb6:22ad	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	City
7b93e6a1:150814fecb6:1418	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	City
7b93e6a1:150814fecb6:9bf	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	City
7b93e6a1:150814fecb6:91b	Membership
7b93e6a1:150814fecb6:1678	Membership
7b93e6a1:150814fecb6:f4d	Membership
7b93e6a1:150814fecb6:247	Membership
7b93e6a1:150814fecb6:13c4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	City
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	Desert
7b93e6a1:150814fecb6:1320	Membership
7b93e6a1:150814fecb6:-336	Membership
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	City
7b93e6a1:150814fecb6:2129	SpokenBy
http://www.semwebtech.org/mondial/10/country/TAD/province/RegionsofRepublicanSubordination/	Province
7b93e6a1:150814fecb6:19b8	Membership
7b93e6a1:150814fecb6:1f3	Membership
7b93e6a1:150814fecb6:1580	Membership
7b93e6a1:150814fecb6:-596	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/	Province
7b93e6a1:150814fecb6:1914	Membership
7b93e6a1:150814fecb6:-2e2	Membership
7b93e6a1:150814fecb6:2389	BelievedBy
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	City
7b93e6a1:150814fecb6:bb9	Membership
7b93e6a1:150814fecb6:1f46	Membership
7b93e6a1:150814fecb6:121f	Membership
7b93e6a1:150814fecb6:20d5	Membership
7b93e6a1:150814fecb6:b15	Membership
7b93e6a1:150814fecb6:7e7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	City
http://www.semwebtech.org/mondial/10/organization/CE/	Organization
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	City
7b93e6a1:150814fecb6:2031	Membership
http://www.semwebtech.org/mondial/10/source/Werra/	Source
7b93e6a1:150814fecb6:743	Membership
7b93e6a1:150814fecb6:18c0	Membership
7b93e6a1:150814fecb6:147f	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/	Province
7b93e6a1:150814fecb6:d75	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/	Province
7b93e6a1:150814fecb6:1ef2	Membership
7b93e6a1:150814fecb6:11cb	Membership
7b93e6a1:150814fecb6:2291	BelievedBy
7b93e6a1:150814fecb6:ac1	Membership
7b93e6a1:150814fecb6:-13d	Membership
7b93e6a1:150814fecb6:2625	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/Karakum/	Desert
http://www.semwebtech.org/mondial/10/language/MayanDialects/	Language
7b93e6a1:150814fecb6:17bf	Membership
7b93e6a1:150814fecb6:-39d	Membership
http://www.semwebtech.org/mondial/10/island/Fogo/	Island
7b93e6a1:150814fecb6:171b	Membership
7b93e6a1:150814fecb6:25d1	EthnicProportion
7b93e6a1:150814fecb6:1d4d	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	City
7b93e6a1:150814fecb6:1047	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/	Province
7b93e6a1:150814fecb6:5ee	Membership
7b93e6a1:150814fecb6:197b	Membership
7b93e6a1:150814fecb6:54a	Membership
7b93e6a1:150814fecb6:-6dd	Border
7b93e6a1:150814fecb6:b7c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/	Province
http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/	Mountains
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/	Province
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	City
7b93e6a1:150814fecb6:242c	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/	Mountains
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	City
7b93e6a1:150814fecb6:15e7	Membership
7b93e6a1:150814fecb6:268c	EthnicProportion
7b93e6a1:150814fecb6:ebc	Membership
7b93e6a1:150814fecb6:1b6	Membership
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	Mountain
http://www.semwebtech.org/mondial/10/organization/IADB/	Organization
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/	Province
7b93e6a1:150814fecb6:1b75	Membership
7b93e6a1:150814fecb6:112	Membership
7b93e6a1:150814fecb6:-2a5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Kirdi/	EthnicGroup
7b93e6a1:150814fecb6:1f09	Membership
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	City
7b93e6a1:150814fecb6:-201	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	City
7b93e6a1:150814fecb6:372	Membership
7b93e6a1:150814fecb6:cb	Membership
7b93e6a1:150814fecb6:706	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	City
7b93e6a1:150814fecb6:-461	Membership
7b93e6a1:150814fecb6:22f8	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	City
7b93e6a1:150814fecb6:d38	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/	Province
7b93e6a1:150814fecb6:1eb5	Membership
7b93e6a1:150814fecb6:2254	BelievedBy
http://www.semwebtech.org/mondial/10/island/Niihau/	Island
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	City
7b93e6a1:150814fecb6:966	Membership
7b93e6a1:150814fecb6:1e11	Membership
7b93e6a1:150814fecb6:f98	Membership
7b93e6a1:150814fecb6:6b2	Membership
7b93e6a1:150814fecb6:13ee	Membership
http://www.semwebtech.org/mondial/10/river/Kolyma/	Water
7b93e6a1:150814fecb6:ce4	Membership
7b93e6a1:150814fecb6:-7a1	Encompassed
7b93e6a1:150814fecb6:134a	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/	Province
7b93e6a1:150814fecb6:c40	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/	Province
http://www.semwebtech.org/mondial/10/island/Batam/	Island
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	City
7b93e6a1:150814fecb6:193e	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	City
7b93e6a1:150814fecb6:50d	Membership
7b93e6a1:150814fecb6:20ff	Membership
7b93e6a1:150814fecb6:b3f	Membership
7b93e6a1:150814fecb6:1cbc	Membership
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	City
http://www.semwebtech.org/mondial/10/language/Polish/	Language
7b93e6a1:150814fecb6:205b	Membership
7b93e6a1:150814fecb6:76d	Membership
7b93e6a1:150814fecb6:18ea	Membership
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	Water
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/	Province
7b93e6a1:150814fecb6:d9f	Membership
http://www.semwebtech.org/mondial/10/islands/Baleares/	Islands
7b93e6a1:150814fecb6:aeb	Membership
7b93e6a1:150814fecb6:1172	Membership
7b93e6a1:150814fecb6:-e5	Membership
7b93e6a1:150814fecb6:-188	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	City
7b93e6a1:150814fecb6:264f	EthnicProportion
7b93e6a1:150814fecb6:-41	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/	Province
7b93e6a1:150814fecb6:1506	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	City
http://www.semwebtech.org/mondial/10/river/Saar/	Water
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	City
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	City
7b93e6a1:150814fecb6:1b38	Membership
7b93e6a1:150814fecb6:3d9	Membership
7b93e6a1:150814fecb6:1766	Membership
7b93e6a1:150814fecb6:25fb	EthnicProportion
7b93e6a1:150814fecb6:1d98	Membership
7b93e6a1:150814fecb6:335	Membership
7b93e6a1:150814fecb6:14b2	Membership
7b93e6a1:150814fecb6:-4c8	Membership
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	Mountain
7b93e6a1:150814fecb6:1ae4	Membership
7b93e6a1:150814fecb6:-424	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/	Province
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	City
7b93e6a1:150814fecb6:595	Membership
7b93e6a1:150814fecb6:1a40	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	City
7b93e6a1:150814fecb6:2217	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/	Province
7b93e6a1:150814fecb6:929	Membership
7b93e6a1:150814fecb6:2e1	Membership
7b93e6a1:150814fecb6:-684	Border
7b93e6a1:150814fecb6:-3d0	Membership
7b93e6a1:150814fecb6:2477	EthnicProportion
7b93e6a1:150814fecb6:ca7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/	Province
7b93e6a1:150814fecb6:130d	Membership
7b93e6a1:150814fecb6:21c3	SpokenBy
7b93e6a1:150814fecb6:c03	Membership
7b93e6a1:150814fecb6:8d5	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	City
7b93e6a1:150814fecb6:831	Membership
7b93e6a1:150814fecb6:1fe0	Membership
7b93e6a1:150814fecb6:156d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	City
7b93e6a1:150814fecb6:1b9f	Membership
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	City
7b93e6a1:150814fecb6:e63	Membership
7b93e6a1:150814fecb6:13c	Membership
7b93e6a1:150814fecb6:-2cf	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	City
7b93e6a1:150814fecb6:-22b	Membership
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	Mountain
7b93e6a1:150814fecb6:39c	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	City
7b93e6a1:150814fecb6:201e	Membership
7b93e6a1:150814fecb6:18ad	Membership
7b93e6a1:150814fecb6:-48b	Membership
7b93e6a1:150814fecb6:72	Membership
7b93e6a1:150814fecb6:1edf	Membership
7b93e6a1:150814fecb6:11d9	Membership
7b93e6a1:150814fecb6:227e	BelievedBy
7b93e6a1:150814fecb6:aae	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	City
7b93e6a1:150814fecb6:1e3b	Membership
7b93e6a1:150814fecb6:-a8	Membership
7b93e6a1:150814fecb6:1135	Membership
7b93e6a1:150814fecb6:a0a	Membership
7b93e6a1:150814fecb6:6dc	Membership
7b93e6a1:150814fecb6:-7cb	Encompassed
7b93e6a1:150814fecb6:1395	Membership
7b93e6a1:150814fecb6:c6a	Membership
7b93e6a1:150814fecb6:1729	Membership
7b93e6a1:150814fecb6:10e1	Membership
7b93e6a1:150814fecb6:25be	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/CEMAC/	Organization
7b93e6a1:150814fecb6:251a	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Moldau/	Water
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/	Province
7b93e6a1:150814fecb6:1aa7	Membership
7b93e6a1:150814fecb6:1989	Membership
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	Island
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	City
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	Water
7b93e6a1:150814fecb6:558	Membership
7b93e6a1:150814fecb6:1a03	Membership
7b93e6a1:150814fecb6:16d5	Membership
7b93e6a1:150814fecb6:faa	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	City
7b93e6a1:150814fecb6:2a4	Membership
7b93e6a1:150814fecb6:1631	Membership
7b93e6a1:150814fecb6:-647	Border
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/	Province
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/	Province
7b93e6a1:150814fecb6:200	Membership
7b93e6a1:150814fecb6:1c63	Membership
http://www.semwebtech.org/mondial/10/estuary/Ischim/	Estuary
7b93e6a1:150814fecb6:1891	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	City
7b93e6a1:150814fecb6:460	Membership
7b93e6a1:150814fecb6:-5f3	Border
7b93e6a1:150814fecb6:119c	Membership
7b93e6a1:150814fecb6:a92	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/	Province
7b93e6a1:150814fecb6:-6b	Membership
7b93e6a1:150814fecb6:23e6	BelievedBy
7b93e6a1:150814fecb6:1fa3	Membership
7b93e6a1:150814fecb6:e26	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/	Province
7b93e6a1:150814fecb6:2342	BelievedBy
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/	Province
http://www.semwebtech.org/mondial/10/river/Narva/	Water
7b93e6a1:150814fecb6:7a0	Membership
7b93e6a1:150814fecb6:35f	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	City
7b93e6a1:150814fecb6:14dc	Membership
7b93e6a1:150814fecb6:d9	Membership
7b93e6a1:150814fecb6:dd2	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	City
7b93e6a1:150814fecb6:-44e	Membership
7b93e6a1:150814fecb6:35	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/	Province
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	City
7b93e6a1:150814fecb6:1a6a	Membership
http://www.semwebtech.org/mondial/10/island/Tarawa/	Island
http://www.semwebtech.org/mondial/10/estuary/Isere/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	City
7b93e6a1:150814fecb6:-3fa	Membership
http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/	Mountains
7b93e6a1:150814fecb6:1358	Membership
7b93e6a1:150814fecb6:21ed	SpokenBy
7b93e6a1:150814fecb6:c2d	Membership
7b93e6a1:150814fecb6:8ff	Membership
7b93e6a1:150814fecb6:1daa	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/German/	EthnicGroup
7b93e6a1:150814fecb6:10a4	Membership
7b93e6a1:150814fecb6:85b	Membership
7b93e6a1:150814fecb6:1000	Membership
7b93e6a1:150814fecb6:e8d	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	City
7b93e6a1:150814fecb6:187	Membership
http://www.semwebtech.org/mondial/10/islands/CookIslands/	Islands
7b93e6a1:150814fecb6:1260	Membership
7b93e6a1:150814fecb6:-276	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	City
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/	Province
7b93e6a1:150814fecb6:2069	Membership
7b93e6a1:150814fecb6:1c26	Membership
7b93e6a1:150814fecb6:18f8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	City
7b93e6a1:150814fecb6:9c	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	City
7b93e6a1:150814fecb6:4c7	Membership
7b93e6a1:150814fecb6:1854	Membership
7b93e6a1:150814fecb6:1e86	Membership
7b93e6a1:150814fecb6:15a0	Membership
7b93e6a1:150814fecb6:af9	Membership
7b93e6a1:150814fecb6:423	Membership
7b93e6a1:150814fecb6:-5b6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	City
7b93e6a1:150814fecb6:115f	Membership
7b93e6a1:150814fecb6:a55	Membership
7b93e6a1:150814fecb6:1bd2	Membership
7b93e6a1:150814fecb6:-2e	Membership
7b93e6a1:150814fecb6:-512	Membership
7b93e6a1:150814fecb6:23a9	BelievedBy
7b93e6a1:150814fecb6:683	Membership
7b93e6a1:150814fecb6:2305	BelievedBy
7b93e6a1:150814fecb6:-772	Encompassed
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	City
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	City
7b93e6a1:150814fecb6:2565	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/MountApo/	Mountain
7b93e6a1:150814fecb6:22b1	BelievedBy
http://www.semwebtech.org/mondial/10/island/Nauru/	Island
7b93e6a1:150814fecb6:9c3	Membership
7b93e6a1:150814fecb6:1a2d	Membership
7b93e6a1:150814fecb6:16ff	Membership
7b93e6a1:150814fecb6:ff5	Membership
7b93e6a1:150814fecb6:2ce	Membership
7b93e6a1:150814fecb6:165b	Membership
7b93e6a1:150814fecb6:f51	Membership
7b93e6a1:150814fecb6:22a	Membership
7b93e6a1:150814fecb6:1c8d	Membership
7b93e6a1:150814fecb6:-3bd	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/	Province
7b93e6a1:150814fecb6:48a	Membership
7b93e6a1:150814fecb6:210c	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	City
7b93e6a1:150814fecb6:81e	Membership
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	Water
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	City
7b93e6a1:150814fecb6:1fcd	Membership
7b93e6a1:150814fecb6:12c7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/	Province
7b93e6a1:150814fecb6:236c	BelievedBy
7b93e6a1:150814fecb6:1223	Membership
7b93e6a1:150814fecb6:-239	Membership
http://www.semwebtech.org/mondial/10/organization/G-5/	Organization
7b93e6a1:150814fecb6:7ca	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	City
7b93e6a1:150814fecb6:dfc	Membership
7b93e6a1:150814fecb6:1483	Membership
7b93e6a1:150814fecb6:-499	Membership
7b93e6a1:150814fecb6:5f	Membership
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	Mountain
7b93e6a1:150814fecb6:1817	Membership
7b93e6a1:150814fecb6:-1e5	Membership
7b93e6a1:150814fecb6:26ac	EthnicProportion
7b93e6a1:150814fecb6:1e49	Membership
7b93e6a1:150814fecb6:-141	Membership
7b93e6a1:150814fecb6:a18	Membership
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	City
7b93e6a1:150814fecb6:646	Membership
7b93e6a1:150814fecb6:17c3	Membership
7b93e6a1:150814fecb6:-7d9	Encompassed
7b93e6a1:150814fecb6:c78	Membership
7b93e6a1:150814fecb6:1df5	Membership
7b93e6a1:150814fecb6:-735	Encompassed
7b93e6a1:150814fecb6:10ce	Membership
7b93e6a1:150814fecb6:2194	SpokenBy
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	City
7b93e6a1:150814fecb6:1d51	Membership
7b93e6a1:150814fecb6:102a	Membership
7b93e6a1:150814fecb6:2528	EthnicProportion
7b93e6a1:150814fecb6:5f2	Membership
http://www.semwebtech.org/mondial/10/source/Swir/	Source
http://www.semwebtech.org/mondial/10/lake/LochLomond/	Water
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	City
7b93e6a1:150814fecb6:-6e1	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	City
7b93e6a1:150814fecb6:128a	Membership
7b93e6a1:150814fecb6:fb8	Membership
7b93e6a1:150814fecb6:b80	Membership
http://www.semwebtech.org/mondial/10/desert/ErgChech/	Desert
7b93e6a1:150814fecb6:161e	Membership
7b93e6a1:150814fecb6:24d4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	City
7b93e6a1:150814fecb6:f14	Membership
http://www.semwebtech.org/mondial/10/island/Dagoe/	Island
7b93e6a1:150814fecb6:2430	BelievedBy
http://www.semwebtech.org/mondial/10/country/REUN/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	City
7b93e6a1:150814fecb6:187e	Membership
http://www.semwebtech.org/mondial/10/religion/NewApostolic/	Religion
7b93e6a1:150814fecb6:44d	Membership
7b93e6a1:150814fecb6:15ca	Membership
7b93e6a1:150814fecb6:2690	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Borkum/	Island
7b93e6a1:150814fecb6:ec0	Membership
7b93e6a1:150814fecb6:a7f	Membership
7b93e6a1:150814fecb6:1bfc	Membership
7b93e6a1:150814fecb6:-79	Membership
7b93e6a1:150814fecb6:-53c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	City
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/	Province
7b93e6a1:150814fecb6:232f	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/	Province
7b93e6a1:150814fecb6:-79c	Encompassed
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	City
http://www.semwebtech.org/mondial/10/organization/EurasEC/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/	Province
7b93e6a1:150814fecb6:258f	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	Mountain
7b93e6a1:150814fecb6:dbf	Membership
7b93e6a1:150814fecb6:22db	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	Mountain
7b93e6a1:150814fecb6:1446	Membership
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	Mountain
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	Estuary
7b93e6a1:150814fecb6:d1b	Membership
7b93e6a1:150814fecb6:9ed	Membership
http://www.semwebtech.org/mondial/10/language/OtherPacificIslandLanguage/	Language
7b93e6a1:150814fecb6:1a78	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	City
7b93e6a1:150814fecb6:-1a8	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/	Province
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/	Province
7b93e6a1:150814fecb6:-104	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	City
7b93e6a1:150814fecb6:f7b	Membership
7b93e6a1:150814fecb6:275	Membership
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	Mountain
7b93e6a1:150814fecb6:13f2	Membership
7b93e6a1:150814fecb6:609	Membership
7b93e6a1:150814fecb6:-364	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	City
http://www.semwebtech.org/mondial/10/mountain/Leuser/	Mountain
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/	Province
7b93e6a1:150814fecb6:1db8	Membership
7b93e6a1:150814fecb6:2157	SpokenBy
7b93e6a1:150814fecb6:869	Membership
7b93e6a1:150814fecb6:1d14	Membership
7b93e6a1:150814fecb6:19e6	Membership
http://www.semwebtech.org/mondial/10/islands/GilbertIslands/	Islands
7b93e6a1:150814fecb6:5b5	Membership
7b93e6a1:150814fecb6:1942	Membership
7b93e6a1:150814fecb6:1f74	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/	Province
7b93e6a1:150814fecb6:be7	Membership
7b93e6a1:150814fecb6:511	Membership
7b93e6a1:150814fecb6:124d	Membership
7b93e6a1:150814fecb6:-6a4	Border
http://www.semwebtech.org/mondial/10/organization/WMO/	Organization
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/	Province
http://www.semwebtech.org/mondial/10/desert/Nefud/	Desert
7b93e6a1:150814fecb6:b43	Membership
7b93e6a1:150814fecb6:1cc0	Membership
7b93e6a1:150814fecb6:-600	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/Quechua/	EthnicGroup
http://www.semwebtech.org/mondial/10/ethnicgroup/Kikuyu/	EthnicGroup
7b93e6a1:150814fecb6:771	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	City
7b93e6a1:150814fecb6:-16b	Membership
7b93e6a1:150814fecb6:2653	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Busira/	Estuary
7b93e6a1:150814fecb6:1bbf	Membership
7b93e6a1:150814fecb6:1b1b	Membership
7b93e6a1:150814fecb6:17ed	Membership
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/	Mountain
7b93e6a1:150814fecb6:3bc	Membership
7b93e6a1:150814fecb6:-75f	Encompassed
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	City
7b93e6a1:150814fecb6:1d7b	Membership
7b93e6a1:150814fecb6:-4ab	Membership
7b93e6a1:150814fecb6:1075	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/	Province
7b93e6a1:150814fecb6:1409	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	City
7b93e6a1:150814fecb6:90c	Membership
7b93e6a1:150814fecb6:1669	Membership
7b93e6a1:150814fecb6:24fe	EthnicProportion
7b93e6a1:150814fecb6:f3e	Membership
http://www.semwebtech.org/mondial/10/desert/Atacama/	Desert
7b93e6a1:150814fecb6:238	Membership
7b93e6a1:150814fecb6:13b5	Membership
7b93e6a1:150814fecb6:245a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/	Province
7b93e6a1:150814fecb6:1311	Membership
7b93e6a1:150814fecb6:-327	Membership
http://www.semwebtech.org/mondial/10/country/NLSM/	Country
7b93e6a1:150814fecb6:498	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/	Province
7b93e6a1:150814fecb6:19a9	Membership
7b93e6a1:150814fecb6:eea	Membership
7b93e6a1:150814fecb6:1571	Membership
7b93e6a1:150814fecb6:1e4	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	City
7b93e6a1:150814fecb6:-587	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Gypsy/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/Romanian/	Language
7b93e6a1:150814fecb6:1905	Membership
7b93e6a1:150814fecb6:140	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	City
7b93e6a1:150814fecb6:-2d3	Membership
7b93e6a1:150814fecb6:1f37	Membership
7b93e6a1:150814fecb6:20c6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	City
7b93e6a1:150814fecb6:b06	Membership
7b93e6a1:150814fecb6:7d8	Membership
7b93e6a1:150814fecb6:2022	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	City
7b93e6a1:150814fecb6:734	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/	Province
7b93e6a1:150814fecb6:18b1	Membership
7b93e6a1:150814fecb6:d66	Membership
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	Estuary
7b93e6a1:150814fecb6:1ee3	Membership
http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	Mountains
7b93e6a1:150814fecb6:11bc	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/	Province
7b93e6a1:150814fecb6:2282	BelievedBy
7b93e6a1:150814fecb6:ab2	Membership
7b93e6a1:150814fecb6:994	Membership
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	Estuary
7b93e6a1:150814fecb6:-12e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	City
7b93e6a1:150814fecb6:2616	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	City
7b93e6a1:150814fecb6:6e0	Membership
7b93e6a1:150814fecb6:29f	Membership
7b93e6a1:150814fecb6:-38e	Membership
7b93e6a1:150814fecb6:170c	Membership
7b93e6a1:150814fecb6:25c2	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Tajik/	Language
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	Water
7b93e6a1:150814fecb6:1d3e	Membership
7b93e6a1:150814fecb6:1038	Membership
7b93e6a1:150814fecb6:5df	Membership
7b93e6a1:150814fecb6:196c	Membership
7b93e6a1:150814fecb6:53b	Membership
7b93e6a1:150814fecb6:1f9e	Membership
7b93e6a1:150814fecb6:-6ce	Border
7b93e6a1:150814fecb6:1298	Membership
7b93e6a1:150814fecb6:b6d	Membership
http://www.semwebtech.org/mondial/10/estuary/Tambo/	Estuary
7b93e6a1:150814fecb6:1cea	Membership
7b93e6a1:150814fecb6:-62a	Border
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/	Province
7b93e6a1:150814fecb6:79b	Membership
7b93e6a1:150814fecb6:241d	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	City
7b93e6a1:150814fecb6:15d8	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	City
7b93e6a1:150814fecb6:267d	EthnicProportion
7b93e6a1:150814fecb6:ead	Membership
7b93e6a1:150814fecb6:1a7	Membership
7b93e6a1:150814fecb6:1534	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/	Province
7b93e6a1:150814fecb6:103	Membership
7b93e6a1:150814fecb6:1b66	Membership
7b93e6a1:150814fecb6:1794	Membership
http://www.semwebtech.org/mondial/10/estuary/Indus/	Estuary
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/	Province
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	Water
7b93e6a1:150814fecb6:363	Membership
7b93e6a1:150814fecb6:14e0	Membership
7b93e6a1:150814fecb6:-4f6	Membership
7b93e6a1:150814fecb6:109f	Membership
7b93e6a1:150814fecb6:bc	Membership
7b93e6a1:150814fecb6:-452	Membership
7b93e6a1:150814fecb6:22e9	BelievedBy
7b93e6a1:150814fecb6:d29	Membership
7b93e6a1:150814fecb6:1ea6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Hutu/	EthnicGroup
7b93e6a1:150814fecb6:2245	BelievedBy
http://www.semwebtech.org/mondial/10/river/Suchona/	Water
7b93e6a1:150814fecb6:957	Membership
7b93e6a1:150814fecb6:1e02	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazakh/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/AG/	Country
7b93e6a1:150814fecb6:f89	Membership
7b93e6a1:150814fecb6:6a3	Membership
7b93e6a1:150814fecb6:13df	Membership
7b93e6a1:150814fecb6:cd5	Membership
7b93e6a1:150814fecb6:133b	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/	Province
7b93e6a1:150814fecb6:21f1	SpokenBy
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/	Province
7b93e6a1:150814fecb6:c31	Membership
http://www.semwebtech.org/mondial/10/language/Spanish/	Language
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/	Province
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	Water
http://www.semwebtech.org/mondial/10/source/Sanga/	Source
7b93e6a1:150814fecb6:159b	Membership
http://www.semwebtech.org/mondial/10/country/ES/	Country
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	City
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	Mountain
7b93e6a1:150814fecb6:e91	Membership
7b93e6a1:150814fecb6:192f	Membership
7b93e6a1:150814fecb6:16a	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/	Province
7b93e6a1:150814fecb6:-2fd	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	City
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	City
7b93e6a1:150814fecb6:1cad	Membership
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	Water
http://www.semwebtech.org/mondial/10/organization/OPANAL/	Organization
7b93e6a1:150814fecb6:204c	Membership
7b93e6a1:150814fecb6:75e	Membership
7b93e6a1:150814fecb6:18db	Membership
http://www.semwebtech.org/mondial/10/estuary/Colorado/	Estuary
http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	EthnicGroup
7b93e6a1:150814fecb6:4aa	Membership
7b93e6a1:150814fecb6:adc	Membership
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	Island
7b93e6a1:150814fecb6:-d6	Membership
7b93e6a1:150814fecb6:1163	Membership
7b93e6a1:150814fecb6:-179	Membership
7b93e6a1:150814fecb6:-32	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/	Province
7b93e6a1:150814fecb6:1b29	Membership
http://www.semwebtech.org/mondial/10/country/NL/	Country
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	Water
7b93e6a1:150814fecb6:1757	Membership
7b93e6a1:150814fecb6:25ec	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Kyushu/	Island
7b93e6a1:150814fecb6:1d89	Membership
7b93e6a1:150814fecb6:14a3	Membership
http://www.semwebtech.org/mondial/10/country/GUAM/	Country
7b93e6a1:150814fecb6:326	Membership
http://www.semwebtech.org/mondial/10/country/PR/	Country
7b93e6a1:150814fecb6:-4b9	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Minsk/	Province
7b93e6a1:150814fecb6:1ad5	Membership
7b93e6a1:150814fecb6:-415	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	City
7b93e6a1:150814fecb6:-b	Membership
7b93e6a1:150814fecb6:586	Membership
7b93e6a1:150814fecb6:1a31	Membership
7b93e6a1:150814fecb6:2208	SpokenBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Hausa/	EthnicGroup
7b93e6a1:150814fecb6:2d2	Membership
7b93e6a1:150814fecb6:-675	Border
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	City
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	City
http://www.semwebtech.org/mondial/10/mountains/Pamir/	Mountains
7b93e6a1:150814fecb6:1c91	Membership
7b93e6a1:150814fecb6:-3c1	Membership
7b93e6a1:150814fecb6:2468	EthnicProportion
7b93e6a1:150814fecb6:21b4	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	Mountain
http://www.semwebtech.org/mondial/10/river/Ischim/	Water
7b93e6a1:150814fecb6:8c6	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	City
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	City
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/	Province
7b93e6a1:150814fecb6:2110	Membership
7b93e6a1:150814fecb6:ef8	Membership
7b93e6a1:150814fecb6:822	Membership
7b93e6a1:150814fecb6:155e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	City
7b93e6a1:150814fecb6:e54	Membership
7b93e6a1:150814fecb6:1fd1	Membership
7b93e6a1:150814fecb6:12d	Membership
7b93e6a1:150814fecb6:12aa	Membership
7b93e6a1:150814fecb6:2370	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/	Province
7b93e6a1:150814fecb6:ba0	Membership
7b93e6a1:150814fecb6:-21c	Membership
7b93e6a1:150814fecb6:38d	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	City
7b93e6a1:150814fecb6:200f	Membership
7b93e6a1:150814fecb6:-47c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	City
7b93e6a1:150814fecb6:63	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/	Province
http://www.semwebtech.org/mondial/10/source/WhiteDrin/	Source
7b93e6a1:150814fecb6:26b0	EthnicProportion
7b93e6a1:150814fecb6:226f	BelievedBy
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	City
7b93e6a1:150814fecb6:1e2c	Membership
7b93e6a1:150814fecb6:1126	Membership
7b93e6a1:150814fecb6:6cd	Membership
http://www.semwebtech.org/mondial/10/mountain/Kongur/	Mountain
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	Mountain
7b93e6a1:150814fecb6:cff	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	City
7b93e6a1:150814fecb6:-7bc	Encompassed
7b93e6a1:150814fecb6:1386	Membership
http://www.semwebtech.org/mondial/10/river/Katun/	Water
http://www.semwebtech.org/mondial/10/ethnicgroup/Inuit/	EthnicGroup
7b93e6a1:150814fecb6:c5b	Membership
7b93e6a1:150814fecb6:25af	EthnicProportion
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	City
7b93e6a1:150814fecb6:10d2	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/	Province
7b93e6a1:150814fecb6:250b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	City
7b93e6a1:150814fecb6:549	Membership
7b93e6a1:150814fecb6:16c6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	EthnicGroup
7b93e6a1:150814fecb6:1cf8	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	City
7b93e6a1:150814fecb6:1622	Membership
7b93e6a1:150814fecb6:-638	Border
7b93e6a1:150814fecb6:2097	Membership
7b93e6a1:150814fecb6:1c54	Membership
7b93e6a1:150814fecb6:4f5	Membership
7b93e6a1:150814fecb6:1882	Membership
http://www.semwebtech.org/mondial/10/continent/Europe/	Continent
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	City
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	City
7b93e6a1:150814fecb6:451	Membership
7b93e6a1:150814fecb6:-5e4	Border
7b93e6a1:150814fecb6:118d	Membership
7b93e6a1:150814fecb6:a83	Membership
7b93e6a1:150814fecb6:-5c	Membership
7b93e6a1:150814fecb6:-540	Membership
7b93e6a1:150814fecb6:23d7	BelievedBy
7b93e6a1:150814fecb6:e17	Membership
http://www.semwebtech.org/mondial/10/organization/UNSC/	Organization
7b93e6a1:150814fecb6:2333	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/	Province
7b93e6a1:150814fecb6:14cd	Membership
7b93e6a1:150814fecb6:2593	EthnicProportion
7b93e6a1:150814fecb6:dc3	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	City
7b93e6a1:150814fecb6:1aff	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	City
7b93e6a1:150814fecb6:-43f	Membership
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	Mountain
7b93e6a1:150814fecb6:26	Membership
7b93e6a1:150814fecb6:9f1	Membership
7b93e6a1:150814fecb6:1a5b	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/	Province
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	City
7b93e6a1:150814fecb6:2fc	Membership
7b93e6a1:150814fecb6:-69f	Border
7b93e6a1:150814fecb6:-3eb	Membership
7b93e6a1:150814fecb6:1349	Membership
7b93e6a1:150814fecb6:21de	SpokenBy
7b93e6a1:150814fecb6:c1e	Membership
7b93e6a1:150814fecb6:213a	SpokenBy
7b93e6a1:150814fecb6:84c	Membership
7b93e6a1:150814fecb6:e7e	Membership
7b93e6a1:150814fecb6:1ffb	Membership
7b93e6a1:150814fecb6:178	Membership
7b93e6a1:150814fecb6:12f5	Membership
7b93e6a1:150814fecb6:239a	BelievedBy
7b93e6a1:150814fecb6:bca	Membership
7b93e6a1:150814fecb6:1251	Membership
7b93e6a1:150814fecb6:-267	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	City
http://www.semwebtech.org/mondial/10/estuary/Iller/	Estuary
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	City
7b93e6a1:150814fecb6:1c17	Membership
7b93e6a1:150814fecb6:18e9	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	City
7b93e6a1:150814fecb6:8d	Membership
7b93e6a1:150814fecb6:5e3	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	City
7b93e6a1:150814fecb6:4b8	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tongan/	EthnicGroup
7b93e6a1:150814fecb6:1845	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	City
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	City
7b93e6a1:150814fecb6:414	Membership
7b93e6a1:150814fecb6:1e77	Membership
7b93e6a1:150814fecb6:-5a7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Rashaida/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/	Province
http://www.semwebtech.org/mondial/10/island/Hainan/	Island
7b93e6a1:150814fecb6:a46	Membership
7b93e6a1:150814fecb6:1bc3	Membership
7b93e6a1:150814fecb6:-1f	Membership
7b93e6a1:150814fecb6:-503	Membership
http://www.semwebtech.org/mondial/10/island/Sicilia/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	City
7b93e6a1:150814fecb6:674	Membership
7b93e6a1:150814fecb6:17f1	Membership
7b93e6a1:150814fecb6:3c0	Membership
7b93e6a1:150814fecb6:-763	Encompassed
7b93e6a1:150814fecb6:10fc	Membership
http://www.semwebtech.org/mondial/10/island/Samos/	Island
7b93e6a1:150814fecb6:2556	EthnicProportion
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	City
7b93e6a1:150814fecb6:22a2	BelievedBy
7b93e6a1:150814fecb6:9b4	Membership
7b93e6a1:150814fecb6:1a1e	Membership
http://www.semwebtech.org/mondial/10/islands/Vanuatu/	Islands
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	City
7b93e6a1:150814fecb6:fe6	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/	Province
7b93e6a1:150814fecb6:910	Membership
7b93e6a1:150814fecb6:2bf	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	City
7b93e6a1:150814fecb6:164c	Membership
7b93e6a1:150814fecb6:f42	Membership
7b93e6a1:150814fecb6:1c7e	Membership
7b93e6a1:150814fecb6:21b	Membership
7b93e6a1:150814fecb6:-3ae	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	City
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	Mountain
http://www.semwebtech.org/mondial/10/island/Gomera/	Island
7b93e6a1:150814fecb6:-30a	Membership
http://www.semwebtech.org/mondial/10/desert/Ordos/	Desert
7b93e6a1:150814fecb6:47b	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	City
7b93e6a1:150814fecb6:80f	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/	Province
7b93e6a1:150814fecb6:-56a	Membership
7b93e6a1:150814fecb6:1fbe	Membership
7b93e6a1:150814fecb6:235d	BelievedBy
7b93e6a1:150814fecb6:12b8	Membership
http://www.semwebtech.org/mondial/10/island/SaintLucia/	Island
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	City
7b93e6a1:150814fecb6:1f1a	Membership
http://www.semwebtech.org/mondial/10/religion/ChurchChrist/	Religion
7b93e6a1:150814fecb6:1214	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Sotho/	EthnicGroup
7b93e6a1:150814fecb6:7bb	Membership
7b93e6a1:150814fecb6:ded	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	Province
7b93e6a1:150814fecb6:1474	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/	Province
7b93e6a1:150814fecb6:1808	Membership
7b93e6a1:150814fecb6:11c0	Membership
7b93e6a1:150814fecb6:-1d6	Membership
http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/	Mountains
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	City
7b93e6a1:150814fecb6:-132	Membership
7b93e6a1:150814fecb6:a09	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	City
7b93e6a1:150814fecb6:637	Membership
7b93e6a1:150814fecb6:17b4	Membership
7b93e6a1:150814fecb6:-392	Membership
7b93e6a1:150814fecb6:1de6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/	Province
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	City
7b93e6a1:150814fecb6:c69	Membership
7b93e6a1:150814fecb6:1710	Membership
7b93e6a1:150814fecb6:10bf	Membership
7b93e6a1:150814fecb6:-726	Encompassed
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	City
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	City
7b93e6a1:150814fecb6:2185	SpokenBy
7b93e6a1:150814fecb6:897	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/	Province
7b93e6a1:150814fecb6:1d42	Membership
7b93e6a1:150814fecb6:101b	Membership
7b93e6a1:150814fecb6:2519	EthnicProportion
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	City
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	Source
7b93e6a1:150814fecb6:1970	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	City
7b93e6a1:150814fecb6:-6d2	Border
7b93e6a1:150814fecb6:127b	Membership
7b93e6a1:150814fecb6:fa9	Membership
7b93e6a1:150814fecb6:b71	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	City
7b93e6a1:150814fecb6:160f	Membership
7b93e6a1:150814fecb6:24c5	EthnicProportion
7b93e6a1:150814fecb6:f05	Membership
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	Island
7b93e6a1:150814fecb6:2421	BelievedBy
7b93e6a1:150814fecb6:186f	Membership
7b93e6a1:150814fecb6:43e	Membership
7b93e6a1:150814fecb6:15bb	Membership
7b93e6a1:150814fecb6:2681	EthnicProportion
7b93e6a1:150814fecb6:eb1	Membership
7b93e6a1:150814fecb6:1bed	Membership
7b93e6a1:150814fecb6:-52d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	City
7b93e6a1:150814fecb6:69e	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	City
http://www.semwebtech.org/mondial/10/river/Busira/	Water
7b93e6a1:150814fecb6:3ea	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	City
7b93e6a1:150814fecb6:-78d	Encompassed
7b93e6a1:150814fecb6:c0	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	City
7b93e6a1:150814fecb6:22cc	BelievedBy
7b93e6a1:150814fecb6:1437	Membership
7b93e6a1:150814fecb6:d0c	Membership
http://www.semwebtech.org/mondial/10/organization/ICJ/	Organization
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	City
7b93e6a1:150814fecb6:9de	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	City
7b93e6a1:150814fecb6:1a69	Membership
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	Source
7b93e6a1:150814fecb6:93a	Membership
7b93e6a1:150814fecb6:1697	Membership
http://www.semwebtech.org/mondial/10/island/Anguilla/	Island
http://www.semwebtech.org/mondial/10/mountain/Pico/	Mountain
7b93e6a1:150814fecb6:f6c	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	City
7b93e6a1:150814fecb6:266	Membership
7b93e6a1:150814fecb6:13e3	Membership
7b93e6a1:150814fecb6:-3f9	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/French/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	City
7b93e6a1:150814fecb6:-355	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	City
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	City
7b93e6a1:150814fecb6:1da9	Membership
7b93e6a1:150814fecb6:2148	SpokenBy
7b93e6a1:150814fecb6:1d05	Membership
7b93e6a1:150814fecb6:19d7	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/	Province
http://www.semwebtech.org/mondial/10/source/Glomma/	Source
7b93e6a1:150814fecb6:d	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	City
7b93e6a1:150814fecb6:5a6	Membership
7b93e6a1:150814fecb6:1933	Membership
7b93e6a1:150814fecb6:bd8	Membership
7b93e6a1:150814fecb6:502	Membership
7b93e6a1:150814fecb6:1f65	Membership
7b93e6a1:150814fecb6:123e	Membership
7b93e6a1:150814fecb6:20f4	Membership
http://www.semwebtech.org/mondial/10/river/Kama/	Water
7b93e6a1:150814fecb6:b34	Membership
7b93e6a1:150814fecb6:1cb1	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	City
7b93e6a1:150814fecb6:2050	Membership
7b93e6a1:150814fecb6:762	Membership
7b93e6a1:150814fecb6:149e	Membership
7b93e6a1:150814fecb6:d94	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	City
7b93e6a1:150814fecb6:11ea	Membership
7b93e6a1:150814fecb6:ae0	Membership
7b93e6a1:150814fecb6:-15c	Membership
7b93e6a1:150814fecb6:2644	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/CameroonHighlanders/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	City
7b93e6a1:150814fecb6:1b0c	Membership
7b93e6a1:150814fecb6:17de	Membership
7b93e6a1:150814fecb6:3ad	Membership
7b93e6a1:150814fecb6:173a	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	City
7b93e6a1:150814fecb6:25f0	EthnicProportion
7b93e6a1:150814fecb6:1d6c	Membership
7b93e6a1:150814fecb6:1066	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/	Province
7b93e6a1:150814fecb6:199a	Membership
7b93e6a1:150814fecb6:16f4	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	City
7b93e6a1:150814fecb6:-6fc	Border
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/	Province
http://www.semwebtech.org/mondial/10/language/German/	Language
7b93e6a1:150814fecb6:b9b	Membership
7b93e6a1:150814fecb6:24ef	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	City
http://www.semwebtech.org/mondial/10/river/WesternMorava/	Water
7b93e6a1:150814fecb6:f2f	Membership
7b93e6a1:150814fecb6:229	Membership
7b93e6a1:150814fecb6:13a6	Membership
7b93e6a1:150814fecb6:244b	BelievedBy
7b93e6a1:150814fecb6:1302	Membership
7b93e6a1:150814fecb6:-318	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/	Province
7b93e6a1:150814fecb6:489	Membership
http://www.semwebtech.org/mondial/10/country/B/	Country
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/	Province
7b93e6a1:150814fecb6:edb	Membership
7b93e6a1:150814fecb6:1d5	Membership
7b93e6a1:150814fecb6:1562	Membership
7b93e6a1:150814fecb6:-578	Membership
http://www.semwebtech.org/mondial/10/island/Nevis/	Island
7b93e6a1:150814fecb6:131	Membership
7b93e6a1:150814fecb6:1b94	Membership
7b93e6a1:150814fecb6:-2c4	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	City
7b93e6a1:150814fecb6:1f28	Membership
http://www.semwebtech.org/mondial/10/source/Dnepr/	Source
7b93e6a1:150814fecb6:-220	Membership
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	Water
7b93e6a1:150814fecb6:20b7	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	City
7b93e6a1:150814fecb6:7c9	Membership
7b93e6a1:150814fecb6:391	Membership
http://www.semwebtech.org/mondial/10/organization/SACEP/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	City
7b93e6a1:150814fecb6:2013	Membership
7b93e6a1:150814fecb6:ea	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	City
7b93e6a1:150814fecb6:725	Membership
7b93e6a1:150814fecb6:18a2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	City
7b93e6a1:150814fecb6:-480	Membership
7b93e6a1:150814fecb6:2273	BelievedBy
7b93e6a1:150814fecb6:d57	Membership
7b93e6a1:150814fecb6:1ed4	Membership
7b93e6a1:150814fecb6:11ad	Membership
7b93e6a1:150814fecb6:-814	Encompassed
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	City
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/	Province
7b93e6a1:150814fecb6:aa3	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	City
7b93e6a1:150814fecb6:985	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	City
7b93e6a1:150814fecb6:1e30	Membership
7b93e6a1:150814fecb6:-11f	Membership
7b93e6a1:150814fecb6:2607	EthnicProportion
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	City
7b93e6a1:150814fecb6:6d1	Membership
7b93e6a1:150814fecb6:-7c0	Encompassed
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	City
http://www.semwebtech.org/mondial/10/country/GNB/	Country
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	City
7b93e6a1:150814fecb6:-37f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	City
7b93e6a1:150814fecb6:25b3	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Mohilla/	Island
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	City
7b93e6a1:150814fecb6:1d2f	Membership
7b93e6a1:150814fecb6:1029	Membership
7b93e6a1:150814fecb6:195d	Membership
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	City
http://www.semwebtech.org/mondial/10/island/Samar/	Island
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/	Province
7b93e6a1:150814fecb6:1f8f	Membership
7b93e6a1:150814fecb6:52c	Membership
7b93e6a1:150814fecb6:1289	Membership
7b93e6a1:150814fecb6:-6bf	Border
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	City
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/	Province
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	City
7b93e6a1:150814fecb6:b5e	Membership
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	EthnicGroup
7b93e6a1:150814fecb6:1cdb	Membership
7b93e6a1:150814fecb6:-61b	Border
7b93e6a1:150814fecb6:207a	Membership
7b93e6a1:150814fecb6:78c	Membership
7b93e6a1:150814fecb6:240e	BelievedBy
http://www.semwebtech.org/mondial/10/river/Dalaelv/	Water
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/	Province
http://www.semwebtech.org/mondial/10/river/Lualaba/	Water
7b93e6a1:150814fecb6:15c9	Membership
7b93e6a1:150814fecb6:1191	Membership
7b93e6a1:150814fecb6:266e	EthnicProportion
7b93e6a1:150814fecb6:-60	Membership
7b93e6a1:150814fecb6:1525	Membership
7b93e6a1:150814fecb6:23ba	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/	Province
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/	Province
7b93e6a1:150814fecb6:1b57	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	City
http://www.semwebtech.org/mondial/10/river/Hwangho/	Water
7b93e6a1:150814fecb6:3f8	Membership
7b93e6a1:150814fecb6:1785	Membership
http://www.semwebtech.org/mondial/10/organization/Mercosur/	Organization
7b93e6a1:150814fecb6:354	Membership
7b93e6a1:150814fecb6:14d1	Membership
7b93e6a1:150814fecb6:-4e7	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/	Province
7b93e6a1:150814fecb6:ad	Membership
7b93e6a1:150814fecb6:-443	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	Province
7b93e6a1:150814fecb6:2236	BelievedBy
http://www.semwebtech.org/mondial/10/source/RioMadeira/	Source
7b93e6a1:150814fecb6:948	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/	Province
7b93e6a1:150814fecb6:2496	EthnicProportion
7b93e6a1:150814fecb6:cc6	Membership
7b93e6a1:150814fecb6:132c	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	City
7b93e6a1:150814fecb6:21e2	SpokenBy
7b93e6a1:150814fecb6:c22	Membership
7b93e6a1:150814fecb6:8f4	Membership
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	City
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	City
7b93e6a1:150814fecb6:850	Membership
7b93e6a1:150814fecb6:1ff	Membership
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	Mountain
7b93e6a1:150814fecb6:158c	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	City
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	Water
7b93e6a1:150814fecb6:e82	Membership
7b93e6a1:150814fecb6:15b	Membership
7b93e6a1:150814fecb6:-2ee	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	City
http://www.semwebtech.org/mondial/10/organization/UNHCR/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	City
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	City
7b93e6a1:150814fecb6:-24a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Baloch/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	City
7b93e6a1:150814fecb6:203d	Membership
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	City
7b93e6a1:150814fecb6:74f	Membership
7b93e6a1:150814fecb6:18cc	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/	Province
http://www.semwebtech.org/mondial/10/country/MYA/	Country
7b93e6a1:150814fecb6:91	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/	Province
7b93e6a1:150814fecb6:1efe	Membership
7b93e6a1:150814fecb6:11f8	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	City
7b93e6a1:150814fecb6:229d	BelievedBy
7b93e6a1:150814fecb6:1e5a	Membership
7b93e6a1:150814fecb6:acd	Membership
7b93e6a1:150814fecb6:1154	Membership
7b93e6a1:150814fecb6:-c7	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	City
7b93e6a1:150814fecb6:6fb	Membership
7b93e6a1:150814fecb6:-23	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	City
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	City
7b93e6a1:150814fecb6:-7ea	Encompassed
http://www.semwebtech.org/mondial/10/desert/Trarza/	Desert
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/	Province
7b93e6a1:150814fecb6:1748	Membership
7b93e6a1:150814fecb6:25dd	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/	Province
http://www.semwebtech.org/mondial/10/source/Arkansas/	Source
7b93e6a1:150814fecb6:317	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	City
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/	Province
7b93e6a1:150814fecb6:1ac6	Membership
7b93e6a1:150814fecb6:-406	Membership
http://www.semwebtech.org/mondial/10/source/Ucayali/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	EthnicGroup
7b93e6a1:150814fecb6:577	Membership
7b93e6a1:150814fecb6:1a22	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	City
7b93e6a1:150814fecb6:2c3	Membership
7b93e6a1:150814fecb6:1650	Membership
7b93e6a1:150814fecb6:-666	Border
7b93e6a1:150814fecb6:1c82	Membership
7b93e6a1:150814fecb6:-3b2	Membership
7b93e6a1:150814fecb6:2459	EthnicProportion
7b93e6a1:150814fecb6:21a5	SpokenBy
7b93e6a1:150814fecb6:8b7	Membership
7b93e6a1:150814fecb6:2101	Membership
7b93e6a1:150814fecb6:ee9	Membership
7b93e6a1:150814fecb6:813	Membership
7b93e6a1:150814fecb6:154f	Membership
7b93e6a1:150814fecb6:-8a	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	City
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	Island
7b93e6a1:150814fecb6:e45	Membership
7b93e6a1:150814fecb6:1fc2	Membership
7b93e6a1:150814fecb6:11e	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	City
7b93e6a1:150814fecb6:2361	BelievedBy
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	City
7b93e6a1:150814fecb6:-20d	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	City
7b93e6a1:150814fecb6:37e	Membership
7b93e6a1:150814fecb6:14fb	Membership
7b93e6a1:150814fecb6:f8	Membership
7b93e6a1:150814fecb6:df1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/	Province
7b93e6a1:150814fecb6:-46d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	City
7b93e6a1:150814fecb6:54	Membership
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	Mountain
7b93e6a1:150814fecb6:26a1	EthnicProportion
http://www.semwebtech.org/mondial/10/religion/Jewish/	Religion
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/	Province
7b93e6a1:150814fecb6:1e1d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	City
7b93e6a1:150814fecb6:1117	Membership
7b93e6a1:150814fecb6:6be	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	City
http://www.semwebtech.org/mondial/10/estuary/Donau/	Estuary
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	City
7b93e6a1:150814fecb6:61a	Membership
7b93e6a1:150814fecb6:-7ad	Encompassed
7b93e6a1:150814fecb6:1377	Membership
7b93e6a1:150814fecb6:c4c	Membership
http://www.semwebtech.org/mondial/10/river/March/	Water
7b93e6a1:150814fecb6:10c3	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	City
http://www.semwebtech.org/mondial/10/country/LT/	Country
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	Mountain
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	City
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	City
7b93e6a1:150814fecb6:87a	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/	Province
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	City
http://www.semwebtech.org/mondial/10/river/Lech/	Water
http://www.semwebtech.org/mondial/10/country/NZ/	Country
7b93e6a1:150814fecb6:16b7	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	City
7b93e6a1:150814fecb6:-295	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	EthnicGroup
7b93e6a1:150814fecb6:1ce9	Membership
7b93e6a1:150814fecb6:1613	Membership
7b93e6a1:150814fecb6:-629	Border
7b93e6a1:150814fecb6:2088	Membership
7b93e6a1:150814fecb6:1c45	Membership
7b93e6a1:150814fecb6:4e6	Membership
7b93e6a1:150814fecb6:1873	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	City
7b93e6a1:150814fecb6:442	Membership
7b93e6a1:150814fecb6:-5d5	Membership
7b93e6a1:150814fecb6:117e	Membership
7b93e6a1:150814fecb6:a74	Membership
7b93e6a1:150814fecb6:1bf1	Membership
7b93e6a1:150814fecb6:-4d	Membership
7b93e6a1:150814fecb6:-531	Membership
7b93e6a1:150814fecb6:23c8	BelievedBy
7b93e6a1:150814fecb6:e08	Membership
7b93e6a1:150814fecb6:2324	BelievedBy
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	City
7b93e6a1:150814fecb6:-791	Encompassed
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	City
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	City
http://www.semwebtech.org/mondial/10/country/WS/	Country
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	City
7b93e6a1:150814fecb6:14be	Membership
7b93e6a1:150814fecb6:2584	EthnicProportion
7b93e6a1:150814fecb6:db4	Membership
7b93e6a1:150814fecb6:22d0	BelievedBy
7b93e6a1:150814fecb6:141a	Membership
7b93e6a1:150814fecb6:d10	Membership
7b93e6a1:150814fecb6:17	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/	Province
7b93e6a1:150814fecb6:9e2	Membership
7b93e6a1:150814fecb6:1a4c	Membership
7b93e6a1:150814fecb6:167a	Membership
7b93e6a1:150814fecb6:2ed	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	City
7b93e6a1:150814fecb6:f70	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/	Province
7b93e6a1:150814fecb6:-3dc	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/	Province
7b93e6a1:150814fecb6:21cf	SpokenBy
7b93e6a1:150814fecb6:c0f	Membership
7b93e6a1:150814fecb6:212b	SpokenBy
7b93e6a1:150814fecb6:83d	Membership
7b93e6a1:150814fecb6:19ba	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	City
7b93e6a1:150814fecb6:e6f	Membership
7b93e6a1:150814fecb6:1fec	Membership
7b93e6a1:150814fecb6:169	Membership
7b93e6a1:150814fecb6:12e6	Membership
7b93e6a1:150814fecb6:238b	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Voltaic/	EthnicGroup
7b93e6a1:150814fecb6:bbb	Membership
7b93e6a1:150814fecb6:1242	Membership
7b93e6a1:150814fecb6:-258	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	City
http://www.semwebtech.org/mondial/10/country/GBG/	Country
7b93e6a1:150814fecb6:1c08	Membership
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/	Province
7b93e6a1:150814fecb6:7e	Membership
7b93e6a1:150814fecb6:4a9	Membership
7b93e6a1:150814fecb6:1836	Membership
7b93e6a1:150814fecb6:405	Membership
7b93e6a1:150814fecb6:1e68	Membership
7b93e6a1:150814fecb6:-160	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	City
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	Source
7b93e6a1:150814fecb6:a37	Membership
7b93e6a1:150814fecb6:1bb4	Membership
7b93e6a1:150814fecb6:1b10	Membership
7b93e6a1:150814fecb6:665	Membership
7b93e6a1:150814fecb6:17e2	Membership
7b93e6a1:150814fecb6:-7f8	Encompassed
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	Estuary
7b93e6a1:150814fecb6:c97	Membership
7b93e6a1:150814fecb6:3b1	Membership
http://www.semwebtech.org/mondial/10/estuary/Cuango/	Estuary
7b93e6a1:150814fecb6:-754	Encompassed
7b93e6a1:150814fecb6:10ed	Membership
http://www.semwebtech.org/mondial/10/language/Kazakh/	Language
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	City
7b93e6a1:150814fecb6:1d70	Membership
7b93e6a1:150814fecb6:-4a0	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	City
7b93e6a1:150814fecb6:2547	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	City
7b93e6a1:150814fecb6:9a5	Membership
7b93e6a1:150814fecb6:1a0f	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	City
7b93e6a1:150814fecb6:fd7	Membership
7b93e6a1:150814fecb6:901	Membership
7b93e6a1:150814fecb6:163d	Membership
7b93e6a1:150814fecb6:24f3	EthnicProportion
7b93e6a1:150814fecb6:f33	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	City
7b93e6a1:150814fecb6:20c	Membership
7b93e6a1:150814fecb6:1c6f	Membership
7b93e6a1:150814fecb6:189d	Membership
7b93e6a1:150814fecb6:46c	Membership
http://www.semwebtech.org/mondial/10/source/Morava/	Source
7b93e6a1:150814fecb6:-5ff	Border
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	City
7b93e6a1:150814fecb6:a9e	Membership
7b93e6a1:150814fecb6:-98	Membership
7b93e6a1:150814fecb6:-55b	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	City
7b93e6a1:150814fecb6:1faf	Membership
7b93e6a1:150814fecb6:12a9	Membership
7b93e6a1:150814fecb6:234e	BelievedBy
http://www.semwebtech.org/mondial/10/organization/UNWTO/	Organization
7b93e6a1:150814fecb6:1f0b	Membership
7b93e6a1:150814fecb6:1205	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	City
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Kisii/	EthnicGroup
7b93e6a1:150814fecb6:7ac	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	City
7b93e6a1:150814fecb6:dde	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/	Province
7b93e6a1:150814fecb6:1465	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	City
7b93e6a1:150814fecb6:22fa	BelievedBy
7b93e6a1:150814fecb6:d3a	Membership
7b93e6a1:150814fecb6:1a97	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	City
7b93e6a1:150814fecb6:11b1	Membership
7b93e6a1:150814fecb6:-1c7	Membership
7b93e6a1:150814fecb6:-123	Membership
7b93e6a1:150814fecb6:f9a	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/	Province
http://www.semwebtech.org/mondial/10/river/Murat/	Water
7b93e6a1:150814fecb6:294	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	City
7b93e6a1:150814fecb6:628	Membership
7b93e6a1:150814fecb6:17a5	Membership
7b93e6a1:150814fecb6:-383	Membership
http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	Islands
7b93e6a1:150814fecb6:1dd7	Membership
7b93e6a1:150814fecb6:1701	Membership
7b93e6a1:150814fecb6:-717	Border
7b93e6a1:150814fecb6:2176	SpokenBy
7b93e6a1:150814fecb6:888	Membership
7b93e6a1:150814fecb6:1d33	Membership
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	City
7b93e6a1:150814fecb6:100c	Membership
7b93e6a1:150814fecb6:5d4	Membership
7b93e6a1:150814fecb6:1961	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/	Province
7b93e6a1:150814fecb6:1f93	Membership
7b93e6a1:150814fecb6:530	Membership
7b93e6a1:150814fecb6:126c	Membership
7b93e6a1:150814fecb6:-6c3	Border
http://www.semwebtech.org/mondial/10/country/RSM/	Country
7b93e6a1:150814fecb6:b62	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	City
7b93e6a1:150814fecb6:24b6	EthnicProportion
7b93e6a1:150814fecb6:790	Membership
7b93e6a1:150814fecb6:2412	BelievedBy
7b93e6a1:150814fecb6:42f	Membership
7b93e6a1:150814fecb6:15ac	Membership
7b93e6a1:150814fecb6:-18a	Membership
7b93e6a1:150814fecb6:2672	EthnicProportion
7b93e6a1:150814fecb6:ea2	Membership
7b93e6a1:150814fecb6:1bde	Membership
7b93e6a1:150814fecb6:-51e	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Bashkir/	EthnicGroup
7b93e6a1:150814fecb6:68f	Membership
http://www.semwebtech.org/mondial/10/estuary/Volta/	Estuary
7b93e6a1:150814fecb6:1b3a	Membership
7b93e6a1:150814fecb6:3db	Membership
7b93e6a1:150814fecb6:-77e	Encompassed
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/	Province
http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/	Islands
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	City
http://www.semwebtech.org/mondial/10/source/Narva/	Source
7b93e6a1:150814fecb6:1d9a	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/	Province
7b93e6a1:150814fecb6:-4ca	Membership
7b93e6a1:150814fecb6:1094	Membership
7b93e6a1:150814fecb6:b1	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	City
7b93e6a1:150814fecb6:1428	Membership
http://www.semwebtech.org/mondial/10/river/YukonRiver/	Water
7b93e6a1:150814fecb6:22bd	BelievedBy
http://www.semwebtech.org/mondial/10/island/Sardegna/	Island
7b93e6a1:150814fecb6:9cf	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	City
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	City
7b93e6a1:150814fecb6:92b	Membership
http://www.semwebtech.org/mondial/10/river/Chatanga/	Water
7b93e6a1:150814fecb6:1688	Membership
7b93e6a1:150814fecb6:f5d	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	City
7b93e6a1:150814fecb6:257	Membership
7b93e6a1:150814fecb6:13d4	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	City
7b93e6a1:150814fecb6:1330	Membership
7b93e6a1:150814fecb6:-346	Membership
7b93e6a1:150814fecb6:2139	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	City
7b93e6a1:150814fecb6:19c8	Membership
7b93e6a1:150814fecb6:1590	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-EastIndian/	EthnicGroup
7b93e6a1:150814fecb6:1924	Membership
7b93e6a1:150814fecb6:-2f2	Membership
7b93e6a1:150814fecb6:2399	BelievedBy
7b93e6a1:150814fecb6:bc9	Membership
7b93e6a1:150814fecb6:1f56	Membership
7b93e6a1:150814fecb6:122f	Membership
7b93e6a1:150814fecb6:20e5	Membership
7b93e6a1:150814fecb6:b25	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	City
7b93e6a1:150814fecb6:7f7	Membership
7b93e6a1:150814fecb6:1ca2	Membership
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	City
7b93e6a1:150814fecb6:2041	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	City
7b93e6a1:150814fecb6:753	Membership
7b93e6a1:150814fecb6:18d0	Membership
7b93e6a1:150814fecb6:148f	Membership
7b93e6a1:150814fecb6:d85	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/	Province
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	Mountain
http://www.semwebtech.org/mondial/10/source/RioSanJuan/	Source
7b93e6a1:150814fecb6:11db	Membership
http://www.semwebtech.org/mondial/10/source/Missouri/	Source
7b93e6a1:150814fecb6:ad1	Membership
7b93e6a1:150814fecb6:-aa	Membership
7b93e6a1:150814fecb6:-14d	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	City
7b93e6a1:150814fecb6:2635	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/	Province
http://www.semwebtech.org/mondial/10/mountain/Concepcion/	Mountain
7b93e6a1:150814fecb6:17cf	Membership
7b93e6a1:150814fecb6:172b	Membership
7b93e6a1:150814fecb6:25e1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	City
7b93e6a1:150814fecb6:1d5d	Membership
7b93e6a1:150814fecb6:1057	Membership
7b93e6a1:150814fecb6:5fe	Membership
7b93e6a1:150814fecb6:198b	Membership
http://www.semwebtech.org/mondial/10/country/IR/	Country
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	Water
7b93e6a1:150814fecb6:55a	Membership
7b93e6a1:150814fecb6:-6ed	Border
http://www.semwebtech.org/mondial/10/country/SSD/	Country
7b93e6a1:150814fecb6:b8c	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	City
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	City
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	Water
7b93e6a1:150814fecb6:243c	BelievedBy
7b93e6a1:150814fecb6:-309	Membership
http://www.semwebtech.org/mondial/10/island/Panarea/	Island
7b93e6a1:150814fecb6:15f7	Membership
7b93e6a1:150814fecb6:269c	EthnicProportion
7b93e6a1:150814fecb6:ecc	Membership
7b93e6a1:150814fecb6:1553	Membership
7b93e6a1:150814fecb6:1c6	Membership
7b93e6a1:150814fecb6:-569	Membership
http://www.semwebtech.org/mondial/10/country/PE/	Country
http://www.semwebtech.org/mondial/10/language/Tongan/	Language
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	City
7b93e6a1:150814fecb6:122	Membership
7b93e6a1:150814fecb6:1b85	Membership
7b93e6a1:150814fecb6:-2b5	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/	Province
7b93e6a1:150814fecb6:1f19	Membership
7b93e6a1:150814fecb6:-211	Membership
7b93e6a1:150814fecb6:20a8	Membership
7b93e6a1:150814fecb6:382	Membership
7b93e6a1:150814fecb6:db	Membership
7b93e6a1:150814fecb6:2004	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	City
7b93e6a1:150814fecb6:716	Membership
http://www.semwebtech.org/mondial/10/island/Mindanao/	Island
7b93e6a1:150814fecb6:-471	Membership
7b93e6a1:150814fecb6:d48	Membership
7b93e6a1:150814fecb6:1ec5	Membership
7b93e6a1:150814fecb6:-805	Encompassed
7b93e6a1:150814fecb6:2264	BelievedBy
7b93e6a1:150814fecb6:976	Membership
7b93e6a1:150814fecb6:1e21	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/	Province
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	City
7b93e6a1:150814fecb6:6c2	Membership
7b93e6a1:150814fecb6:13fe	Membership
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	City
7b93e6a1:150814fecb6:cf4	Membership
7b93e6a1:150814fecb6:-7b1	Encompassed
7b93e6a1:150814fecb6:135a	Membership
7b93e6a1:150814fecb6:c50	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	Province
7b93e6a1:150814fecb6:25a4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Caribbean/	EthnicGroup
7b93e6a1:150814fecb6:2500	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Hokkaido/	Island
7b93e6a1:150814fecb6:194e	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	City
7b93e6a1:150814fecb6:51d	Membership
7b93e6a1:150814fecb6:b4f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/	Province
7b93e6a1:150814fecb6:1ccc	Membership
7b93e6a1:150814fecb6:-60c	Border
7b93e6a1:150814fecb6:206b	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	City
7b93e6a1:150814fecb6:77d	Membership
7b93e6a1:150814fecb6:18fa	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Penza/	Province
7b93e6a1:150814fecb6:afb	Membership
7b93e6a1:150814fecb6:-f5	Membership
7b93e6a1:150814fecb6:1182	Membership
7b93e6a1:150814fecb6:-198	Membership
7b93e6a1:150814fecb6:265f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	City
7b93e6a1:150814fecb6:-51	Membership
7b93e6a1:150814fecb6:1516	Membership
7b93e6a1:150814fecb6:23ab	BelievedBy
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	City
7b93e6a1:150814fecb6:1b48	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/	Province
7b93e6a1:150814fecb6:3e9	Membership
http://www.semwebtech.org/mondial/10/country/P/	Country
7b93e6a1:150814fecb6:1776	Membership
http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	Organization
7b93e6a1:150814fecb6:345	Membership
7b93e6a1:150814fecb6:14c2	Membership
7b93e6a1:150814fecb6:-4d8	Membership
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	Estuary
7b93e6a1:150814fecb6:1af4	Membership
7b93e6a1:150814fecb6:-434	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/	Province
http://www.semwebtech.org/mondial/10/lake/Thunersee/	Water
7b93e6a1:150814fecb6:1a50	Membership
7b93e6a1:150814fecb6:2227	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	City
7b93e6a1:150814fecb6:939	Membership
7b93e6a1:150814fecb6:2f1	Membership
7b93e6a1:150814fecb6:-694	Border
7b93e6a1:150814fecb6:-3e0	Membership
7b93e6a1:150814fecb6:2487	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/Balkan/	Mountains
7b93e6a1:150814fecb6:cb7	Membership
http://www.semwebtech.org/mondial/10/island/Jura/	Island
7b93e6a1:150814fecb6:131d	Membership
7b93e6a1:150814fecb6:21d3	SpokenBy
7b93e6a1:150814fecb6:c13	Membership
7b93e6a1:150814fecb6:8e5	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	City
http://www.semwebtech.org/mondial/10/lake/LakeMead/	Water
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	City
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	City
7b93e6a1:150814fecb6:841	Membership
http://www.semwebtech.org/mondial/10/source/Tajo/	Source
7b93e6a1:150814fecb6:157d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	City
http://www.semwebtech.org/mondial/10/river/Pruth/	Water
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	City
7b93e6a1:150814fecb6:e73	Membership
7b93e6a1:150814fecb6:1ff0	Membership
7b93e6a1:150814fecb6:14c	Membership
7b93e6a1:150814fecb6:-2df	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	City
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	City
7b93e6a1:150814fecb6:-23b	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/	Province
7b93e6a1:150814fecb6:202e	Membership
7b93e6a1:150814fecb6:18bd	Membership
7b93e6a1:150814fecb6:-49b	Membership
http://www.semwebtech.org/mondial/10/estuary/Reuss/	Estuary
7b93e6a1:150814fecb6:82	Membership
7b93e6a1:150814fecb6:1eef	Membership
7b93e6a1:150814fecb6:228e	BelievedBy
7b93e6a1:150814fecb6:11e9	Membership
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	Water
7b93e6a1:150814fecb6:1e4b	Membership
7b93e6a1:150814fecb6:abe	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	City
7b93e6a1:150814fecb6:-b8	Membership
7b93e6a1:150814fecb6:1145	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	City
7b93e6a1:150814fecb6:a1a	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/	Province
http://www.semwebtech.org/mondial/10/organization/WFTU/	Organization
7b93e6a1:150814fecb6:6ec	Membership
http://www.semwebtech.org/mondial/10/country/BEN/	Country
7b93e6a1:150814fecb6:-14	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	City
7b93e6a1:150814fecb6:-7db	Encompassed
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	City
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	City
7b93e6a1:150814fecb6:c7a	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/	Province
7b93e6a1:150814fecb6:1739	Membership
7b93e6a1:150814fecb6:10f1	Membership
7b93e6a1:150814fecb6:25ce	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	Estuary
7b93e6a1:150814fecb6:308	Membership
http://www.semwebtech.org/mondial/10/religion/Anglican/	Religion
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/	Province
7b93e6a1:150814fecb6:252a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	City
7b93e6a1:150814fecb6:1ab7	Membership
7b93e6a1:150814fecb6:1999	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	City
7b93e6a1:150814fecb6:568	Membership
7b93e6a1:150814fecb6:1a13	Membership
7b93e6a1:150814fecb6:16e5	Membership
7b93e6a1:150814fecb6:fba	Membership
7b93e6a1:150814fecb6:2b4	Membership
7b93e6a1:150814fecb6:1641	Membership
7b93e6a1:150814fecb6:-657	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/Scottish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	City
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	City
http://www.semwebtech.org/mondial/10/source/Volga/	Source
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	Mountain
7b93e6a1:150814fecb6:210	Membership
7b93e6a1:150814fecb6:1c73	Membership
7b93e6a1:150814fecb6:-3a3	Membership
7b93e6a1:150814fecb6:8a8	Membership
7b93e6a1:150814fecb6:470	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/	Province
http://www.semwebtech.org/mondial/10/island/Kefallinia/	Island
7b93e6a1:150814fecb6:804	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	City
7b93e6a1:150814fecb6:-7b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	City
7b93e6a1:150814fecb6:23f6	BelievedBy
7b93e6a1:150814fecb6:e36	Membership
7b93e6a1:150814fecb6:1fb3	Membership
7b93e6a1:150814fecb6:10f	Membership
7b93e6a1:150814fecb6:2352	BelievedBy
7b93e6a1:150814fecb6:7b0	Membership
7b93e6a1:150814fecb6:36f	Membership
7b93e6a1:150814fecb6:14ec	Membership
7b93e6a1:150814fecb6:e9	Membership
7b93e6a1:150814fecb6:de2	Membership
7b93e6a1:150814fecb6:-45e	Membership
7b93e6a1:150814fecb6:45	Membership
7b93e6a1:150814fecb6:1a7a	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/	Province
7b93e6a1:150814fecb6:-1aa	Membership
7b93e6a1:150814fecb6:1e0e	Membership
7b93e6a1:150814fecb6:1108	Membership
http://www.semwebtech.org/mondial/10/country/WEST/	Country
7b93e6a1:150814fecb6:6af	Membership
http://www.semwebtech.org/mondial/10/sea/JavaSea/	Water
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	City
7b93e6a1:150814fecb6:60b	Membership
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	Estuary
7b93e6a1:150814fecb6:1368	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	City
7b93e6a1:150814fecb6:21fd	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	Mountain
7b93e6a1:150814fecb6:c3d	Membership
7b93e6a1:150814fecb6:1dba	Membership
7b93e6a1:150814fecb6:10b4	Membership
7b93e6a1:150814fecb6:86b	Membership
7b93e6a1:150814fecb6:1010	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/	Province
7b93e6a1:150814fecb6:e9d	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	City
7b93e6a1:150814fecb6:197	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	City
7b93e6a1:150814fecb6:16a8	Membership
7b93e6a1:150814fecb6:1270	Membership
7b93e6a1:150814fecb6:-286	Membership
7b93e6a1:150814fecb6:1604	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/	Province
7b93e6a1:150814fecb6:2079	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Vas/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	EthnicGroup
7b93e6a1:150814fecb6:1c36	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	City
7b93e6a1:150814fecb6:4d7	Membership
7b93e6a1:150814fecb6:1864	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	City
7b93e6a1:150814fecb6:1e96	Membership
7b93e6a1:150814fecb6:433	Membership
7b93e6a1:150814fecb6:15b0	Membership
7b93e6a1:150814fecb6:-5c6	Membership
7b93e6a1:150814fecb6:116f	Membership
http://www.semwebtech.org/mondial/10/language/Urdu/	Language
http://www.semwebtech.org/mondial/10/estuary/Thames/	Estuary
7b93e6a1:150814fecb6:a65	Membership
7b93e6a1:150814fecb6:1be2	Membership
7b93e6a1:150814fecb6:-3e	Membership
7b93e6a1:150814fecb6:-522	Membership
7b93e6a1:150814fecb6:23b9	BelievedBy
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	City
7b93e6a1:150814fecb6:693	Membership
7b93e6a1:150814fecb6:2315	BelievedBy
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/	Province
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	Desert
7b93e6a1:150814fecb6:-782	Encompassed
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/	Province
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	City
http://www.semwebtech.org/mondial/10/country/BD/	Country
http://www.semwebtech.org/mondial/10/ethnicgroup/Sundanese/	EthnicGroup
7b93e6a1:150814fecb6:14af	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Granma/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	City
7b93e6a1:150814fecb6:2575	EthnicProportion
7b93e6a1:150814fecb6:da5	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/	Province
http://www.semwebtech.org/mondial/10/river/Cuango/	Water
7b93e6a1:150814fecb6:140b	Membership
7b93e6a1:150814fecb6:22c1	BelievedBy
7b93e6a1:150814fecb6:d01	Membership
7b93e6a1:150814fecb6:9d3	Membership
7b93e6a1:150814fecb6:1a3d	Membership
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	Island
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	City
7b93e6a1:150814fecb6:2de	Membership
7b93e6a1:150814fecb6:166b	Membership
7b93e6a1:150814fecb6:f61	Membership
7b93e6a1:150814fecb6:23a	Membership
7b93e6a1:150814fecb6:1c9d	Membership
7b93e6a1:150814fecb6:-3cd	Membership
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	City
7b93e6a1:150814fecb6:49a	Membership
7b93e6a1:150814fecb6:211c	SpokenBy
7b93e6a1:150814fecb6:82e	Membership
7b93e6a1:150814fecb6:19ab	Membership
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/	Mountain
http://www.semwebtech.org/mondial/10/islands/Madeira/	Islands
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	City
7b93e6a1:150814fecb6:2	Membership
7b93e6a1:150814fecb6:1fdd	Membership
7b93e6a1:150814fecb6:12d7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Dungan/	EthnicGroup
7b93e6a1:150814fecb6:237c	BelievedBy
http://www.semwebtech.org/mondial/10/religion/CongregationalChristian/	Religion
7b93e6a1:150814fecb6:bac	Membership
7b93e6a1:150814fecb6:1233	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	City
http://www.semwebtech.org/mondial/10/country/MC/	Country
7b93e6a1:150814fecb6:-249	Membership
7b93e6a1:150814fecb6:7da	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	City
7b93e6a1:150814fecb6:1493	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	Mountain
7b93e6a1:150814fecb6:6f	Membership
7b93e6a1:150814fecb6:1827	Membership
7b93e6a1:150814fecb6:-1f5	Membership
7b93e6a1:150814fecb6:26bc	EthnicProportion
7b93e6a1:150814fecb6:1e59	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	City
7b93e6a1:150814fecb6:-151	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/	Province
7b93e6a1:150814fecb6:a28	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Welsh/	EthnicGroup
7b93e6a1:150814fecb6:1ba5	Membership
7b93e6a1:150814fecb6:1b01	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	City
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	City
7b93e6a1:150814fecb6:656	Membership
7b93e6a1:150814fecb6:17d3	Membership
7b93e6a1:150814fecb6:-7e9	Encompassed
7b93e6a1:150814fecb6:c88	Membership
7b93e6a1:150814fecb6:3a2	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	EthnicGroup
7b93e6a1:150814fecb6:-745	Encompassed
7b93e6a1:150814fecb6:10de	Membership
7b93e6a1:150814fecb6:2538	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	City
http://www.semwebtech.org/mondial/10/island/Fuenen/	Island
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/	Province
7b93e6a1:150814fecb6:1d61	Membership
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	Water
7b93e6a1:150814fecb6:103a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	City
7b93e6a1:150814fecb6:14f0	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/	Province
http://www.semwebtech.org/mondial/10/island/Syros/	Island
http://www.semwebtech.org/mondial/10/river/Dnister/	Water
http://www.semwebtech.org/mondial/10/sea/BalticSea/	Water
7b93e6a1:150814fecb6:-6f1	Border
7b93e6a1:150814fecb6:129a	Membership
7b93e6a1:150814fecb6:fc8	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/	Province
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	City
7b93e6a1:150814fecb6:b90	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	City
7b93e6a1:150814fecb6:162e	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	City
7b93e6a1:150814fecb6:24e4	EthnicProportion
7b93e6a1:150814fecb6:f24	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	City
http://www.semwebtech.org/mondial/10/estuary/Ene/	Estuary
7b93e6a1:150814fecb6:2440	BelievedBy
http://www.semwebtech.org/mondial/10/river/WhiteNile/	Water
7b93e6a1:150814fecb6:188e	Membership
http://www.semwebtech.org/mondial/10/island/Majuro/	Island
7b93e6a1:150814fecb6:45d	Membership
7b93e6a1:150814fecb6:15da	Membership
7b93e6a1:150814fecb6:ed0	Membership
7b93e6a1:150814fecb6:a8f	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	City
7b93e6a1:150814fecb6:-89	Membership
7b93e6a1:150814fecb6:-54c	Membership
http://www.semwebtech.org/mondial/10/language/Turkish/	Language
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	City
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	Estuary
7b93e6a1:150814fecb6:233f	BelievedBy
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	City
7b93e6a1:150814fecb6:259f	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Pashtun/	EthnicGroup
7b93e6a1:150814fecb6:dcf	Membership
7b93e6a1:150814fecb6:22eb	BelievedBy
http://www.semwebtech.org/mondial/10/source/Araguaia/	Source
http://www.semwebtech.org/mondial/10/source/Angara/	Source
7b93e6a1:150814fecb6:1456	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	City
http://www.semwebtech.org/mondial/10/river/Oder/	Water
7b93e6a1:150814fecb6:d2b	Membership
7b93e6a1:150814fecb6:9fd	Membership
7b93e6a1:150814fecb6:1a88	Membership
7b93e6a1:150814fecb6:11a2	Membership
7b93e6a1:150814fecb6:-1b8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	City
7b93e6a1:150814fecb6:-114	Membership
http://www.semwebtech.org/mondial/10/islands/Comores/	Islands
7b93e6a1:150814fecb6:f8b	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	City
7b93e6a1:150814fecb6:285	Membership
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	Mountain
7b93e6a1:150814fecb6:619	Membership
7b93e6a1:150814fecb6:-374	Membership
7b93e6a1:150814fecb6:1dc8	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/	Province
7b93e6a1:150814fecb6:-708	Border
7b93e6a1:150814fecb6:2167	SpokenBy
http://www.semwebtech.org/mondial/10/desert/Tanami/	Desert
7b93e6a1:150814fecb6:879	Membership
7b93e6a1:150814fecb6:1d24	Membership
7b93e6a1:150814fecb6:19f6	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	City
7b93e6a1:150814fecb6:5c5	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	City
7b93e6a1:150814fecb6:1952	Membership
7b93e6a1:150814fecb6:bf7	Membership
7b93e6a1:150814fecb6:521	Membership
7b93e6a1:150814fecb6:1f84	Membership
7b93e6a1:150814fecb6:-6b4	Border
7b93e6a1:150814fecb6:125d	Membership
7b93e6a1:150814fecb6:b53	Membership
7b93e6a1:150814fecb6:1cd0	Membership
7b93e6a1:150814fecb6:-610	Border
7b93e6a1:150814fecb6:24a7	EthnicProportion
7b93e6a1:150814fecb6:781	Membership
http://www.semwebtech.org/mondial/10/island/Pitcairn/	Island
7b93e6a1:150814fecb6:2403	BelievedBy
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	City
7b93e6a1:150814fecb6:2663	EthnicProportion
7b93e6a1:150814fecb6:-17b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	City
7b93e6a1:150814fecb6:1bcf	Membership
7b93e6a1:150814fecb6:-50f	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/	Province
http://www.semwebtech.org/mondial/10/island/Oesel/	Island
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/	Province
7b93e6a1:150814fecb6:1b2b	Membership
7b93e6a1:150814fecb6:17fd	Membership
7b93e6a1:150814fecb6:3cc	Membership
7b93e6a1:150814fecb6:-76f	Encompassed
http://www.semwebtech.org/mondial/10/river/WesternDwina/	Water
7b93e6a1:150814fecb6:1d8b	Membership
7b93e6a1:150814fecb6:1085	Membership
7b93e6a1:150814fecb6:-4bb	Membership
7b93e6a1:150814fecb6:373	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	City
7b93e6a1:150814fecb6:a2	Membership
7b93e6a1:150814fecb6:1419	Membership
7b93e6a1:150814fecb6:22ae	BelievedBy
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	City
7b93e6a1:150814fecb6:220a	SpokenBy
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	City
7b93e6a1:150814fecb6:91c	Membership
7b93e6a1:150814fecb6:1679	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/	Province
7b93e6a1:150814fecb6:f4e	Membership
7b93e6a1:150814fecb6:248	Membership
7b93e6a1:150814fecb6:13c5	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	City
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	Water
7b93e6a1:150814fecb6:246a	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Lesbos/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	City
7b93e6a1:150814fecb6:1321	Membership
7b93e6a1:150814fecb6:-337	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Sinhalese/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Lanzarote/	Island
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurd/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Maui/	Island
7b93e6a1:150814fecb6:efa	Membership
7b93e6a1:150814fecb6:19b9	Membership
7b93e6a1:150814fecb6:1f4	Membership
7b93e6a1:150814fecb6:1581	Membership
7b93e6a1:150814fecb6:-597	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/	Province
7b93e6a1:150814fecb6:150	Membership
7b93e6a1:150814fecb6:1915	Membership
7b93e6a1:150814fecb6:-2e3	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/	Province
7b93e6a1:150814fecb6:1f47	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	City
7b93e6a1:150814fecb6:20d6	Membership
7b93e6a1:150814fecb6:b16	Membership
7b93e6a1:150814fecb6:7e8	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/	Province
7b93e6a1:150814fecb6:2032	Membership
http://www.semwebtech.org/mondial/10/source/Schilka/	Source
7b93e6a1:150814fecb6:744	Membership
7b93e6a1:150814fecb6:18c1	Membership
7b93e6a1:150814fecb6:d76	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	City
7b93e6a1:150814fecb6:1ef3	Membership
7b93e6a1:150814fecb6:11cc	Membership
7b93e6a1:150814fecb6:2292	BelievedBy
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/	Province
7b93e6a1:150814fecb6:ac2	Membership
7b93e6a1:150814fecb6:2626	EthnicProportion
7b93e6a1:150814fecb6:-13e	Membership
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	Estuary
7b93e6a1:150814fecb6:6f0	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	City
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/	Province
7b93e6a1:150814fecb6:-39e	Membership
7b93e6a1:150814fecb6:171c	Membership
7b93e6a1:150814fecb6:25d2	EthnicProportion
7b93e6a1:150814fecb6:1d4e	Membership
7b93e6a1:150814fecb6:1048	Membership
7b93e6a1:150814fecb6:5ef	Membership
7b93e6a1:150814fecb6:197c	Membership
http://www.semwebtech.org/mondial/10/islands/BritishIsles/	Islands
7b93e6a1:150814fecb6:54b	Membership
7b93e6a1:150814fecb6:-6de	Border
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	City
http://www.semwebtech.org/mondial/10/island/Usedom/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/	Province
7b93e6a1:150814fecb6:b7d	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	City
7b93e6a1:150814fecb6:1cfa	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	City
7b93e6a1:150814fecb6:-63a	Border
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	City
http://www.semwebtech.org/mondial/10/source/Brigach/	Source
7b93e6a1:150814fecb6:242d	BelievedBy
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	City
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	Source
7b93e6a1:150814fecb6:15e8	Membership
http://www.semwebtech.org/mondial/10/language/Tamil/	Language
7b93e6a1:150814fecb6:268d	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Thjorsa/	Source
7b93e6a1:150814fecb6:ebd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	City
7b93e6a1:150814fecb6:1b7	Membership
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	City
7b93e6a1:150814fecb6:1544	Membership
7b93e6a1:150814fecb6:1b76	Membership
7b93e6a1:150814fecb6:113	Membership
7b93e6a1:150814fecb6:-2a6	Membership
http://www.semwebtech.org/mondial/10/organization/CSTO/	Organization
7b93e6a1:150814fecb6:-202	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/	Province
7b93e6a1:150814fecb6:cc	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	City
7b93e6a1:150814fecb6:707	Membership
7b93e6a1:150814fecb6:-462	Membership
7b93e6a1:150814fecb6:22f9	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	City
7b93e6a1:150814fecb6:d39	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	City
7b93e6a1:150814fecb6:1eb6	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/	Province
http://www.semwebtech.org/mondial/10/source/Lagen/	Source
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	City
7b93e6a1:150814fecb6:2255	BelievedBy
7b93e6a1:150814fecb6:967	Membership
7b93e6a1:150814fecb6:1e12	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	City
7b93e6a1:150814fecb6:f99	Membership
7b93e6a1:150814fecb6:6b3	Membership
7b93e6a1:150814fecb6:13ef	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/	Province
7b93e6a1:150814fecb6:ce5	Membership
7b93e6a1:150814fecb6:-7a2	Encompassed
7b93e6a1:150814fecb6:134b	Membership
http://www.semwebtech.org/mondial/10/country/CN/	Country
7b93e6a1:150814fecb6:c41	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	City
http://www.semwebtech.org/mondial/10/island/Manitoulin/	Island
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	City
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	City
http://www.semwebtech.org/mondial/10/lake/LacAssal/	Water
http://www.semwebtech.org/mondial/10/country/ET/	Country
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/	Province
7b93e6a1:150814fecb6:17a	Membership
7b93e6a1:150814fecb6:193f	Membership
http://www.semwebtech.org/mondial/10/river/Paraguay/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	City
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	City
7b93e6a1:150814fecb6:50e	Membership
http://www.semwebtech.org/mondial/10/mountain/Fako/	Mountain
http://www.semwebtech.org/mondial/10/river/WesternBug/	Water
7b93e6a1:150814fecb6:1cbd	Membership
http://www.semwebtech.org/mondial/10/language/Chamorro/	Language
7b93e6a1:150814fecb6:205c	Membership
7b93e6a1:150814fecb6:76e	Membership
7b93e6a1:150814fecb6:18eb	Membership
http://www.semwebtech.org/mondial/10/country/JA/	Country
7b93e6a1:150814fecb6:4ba	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Luxembourgish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/	Province
7b93e6a1:150814fecb6:aec	Membership
7b93e6a1:150814fecb6:-e6	Membership
7b93e6a1:150814fecb6:1173	Membership
7b93e6a1:150814fecb6:-189	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	City
7b93e6a1:150814fecb6:-42	Membership
7b93e6a1:150814fecb6:1507	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Lur/	EthnicGroup
7b93e6a1:150814fecb6:1b39	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Centre/	Province
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	Mountain
7b93e6a1:150814fecb6:1767	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	City
7b93e6a1:150814fecb6:25fc	EthnicProportion
7b93e6a1:150814fecb6:1d99	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/	Province
7b93e6a1:150814fecb6:336	Membership
7b93e6a1:150814fecb6:14b3	Membership
7b93e6a1:150814fecb6:-4c9	Membership
7b93e6a1:150814fecb6:1ae5	Membership
7b93e6a1:150814fecb6:-425	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Muong/	EthnicGroup
7b93e6a1:150814fecb6:596	Membership
7b93e6a1:150814fecb6:1a41	Membership
7b93e6a1:150814fecb6:2218	SpokenBy
http://www.semwebtech.org/mondial/10/country/J/province/Akita/	Province
7b93e6a1:150814fecb6:2e2	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/	Province
7b93e6a1:150814fecb6:-685	Border
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	City
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	Estuary
7b93e6a1:150814fecb6:-3d1	Membership
http://www.semwebtech.org/mondial/10/estuary/Asahan/	Estuary
7b93e6a1:150814fecb6:2478	EthnicProportion
7b93e6a1:150814fecb6:ca8	Membership
http://www.semwebtech.org/mondial/10/islands/BahamaIslands/	Islands
7b93e6a1:150814fecb6:130e	Membership
7b93e6a1:150814fecb6:21c4	SpokenBy
7b93e6a1:150814fecb6:c04	Membership
7b93e6a1:150814fecb6:8d6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/	Province
7b93e6a1:150814fecb6:2120	SpokenBy
7b93e6a1:150814fecb6:832	Membership
7b93e6a1:150814fecb6:156e	Membership
7b93e6a1:150814fecb6:1fe1	Membership
7b93e6a1:150814fecb6:e64	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/	Province
7b93e6a1:150814fecb6:13d	Membership
7b93e6a1:150814fecb6:12ba	Membership
7b93e6a1:150814fecb6:2380	BelievedBy
7b93e6a1:150814fecb6:bb0	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/	Province
http://www.semwebtech.org/mondial/10/organization/NSG/	Organization
7b93e6a1:150814fecb6:-22c	Membership
http://www.semwebtech.org/mondial/10/river/Lulua/	Water
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/	Province
7b93e6a1:150814fecb6:39d	Membership
http://www.semwebtech.org/mondial/10/island/Falster/	Island
7b93e6a1:150814fecb6:201f	Membership
http://www.semwebtech.org/mondial/10/source/Neckar/	Source
7b93e6a1:150814fecb6:18ae	Membership
7b93e6a1:150814fecb6:-48c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	City
7b93e6a1:150814fecb6:73	Membership
http://www.semwebtech.org/mondial/10/religion/Buddhist/	Religion
7b93e6a1:150814fecb6:26c0	EthnicProportion
7b93e6a1:150814fecb6:227f	BelievedBy
7b93e6a1:150814fecb6:180a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	City
http://www.semwebtech.org/mondial/10/estuary/Weser/	Estuary
7b93e6a1:150814fecb6:aaf	Membership
7b93e6a1:150814fecb6:1e3c	Membership
7b93e6a1:150814fecb6:-a9	Membership
7b93e6a1:150814fecb6:1136	Membership
http://www.semwebtech.org/mondial/10/source/Mantaro/	Source
7b93e6a1:150814fecb6:a0b	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/	Province
7b93e6a1:150814fecb6:6dd	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Karakalpak/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	City
http://www.semwebtech.org/mondial/10/estuary/Piva/	Estuary
7b93e6a1:150814fecb6:-7cc	Encompassed
7b93e6a1:150814fecb6:1396	Membership
7b93e6a1:150814fecb6:c6b	Membership
7b93e6a1:150814fecb6:10e2	Membership
7b93e6a1:150814fecb6:25bf	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	EthnicGroup
7b93e6a1:150814fecb6:251b	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Uvea/	Island
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	Water
7b93e6a1:150814fecb6:1aa8	Membership
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	Desert
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	Water
7b93e6a1:150814fecb6:559	Membership
7b93e6a1:150814fecb6:1a04	Membership
7b93e6a1:150814fecb6:16d6	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	City
http://www.semwebtech.org/mondial/10/desert/Djourab/	Desert
7b93e6a1:150814fecb6:fab	Membership
7b93e6a1:150814fecb6:1632	Membership
7b93e6a1:150814fecb6:2a5	Membership
7b93e6a1:150814fecb6:-648	Border
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	City
http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	Islands
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/	Province
7b93e6a1:150814fecb6:201	Membership
7b93e6a1:150814fecb6:1c64	Membership
7b93e6a1:150814fecb6:1892	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	City
http://www.semwebtech.org/mondial/10/lake/Ammersee/	Water
7b93e6a1:150814fecb6:461	Membership
7b93e6a1:150814fecb6:-5f4	Border
7b93e6a1:150814fecb6:119d	Membership
7b93e6a1:150814fecb6:a93	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	Province
7b93e6a1:150814fecb6:-6c	Membership
7b93e6a1:150814fecb6:-550	Membership
7b93e6a1:150814fecb6:23e7	BelievedBy
7b93e6a1:150814fecb6:e27	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/	Province
7b93e6a1:150814fecb6:1fa4	Membership
7b93e6a1:150814fecb6:2343	BelievedBy
7b93e6a1:150814fecb6:1f00	Membership
http://www.semwebtech.org/mondial/10/river/Thames/	Water
7b93e6a1:150814fecb6:7a1	Membership
7b93e6a1:150814fecb6:14dd	Membership
7b93e6a1:150814fecb6:dd3	Membership
7b93e6a1:150814fecb6:-44f	Membership
7b93e6a1:150814fecb6:36	Membership
7b93e6a1:150814fecb6:1a6b	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Aryan/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	City
7b93e6a1:150814fecb6:-3fb	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Ruthenian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	City
7b93e6a1:150814fecb6:1359	Membership
7b93e6a1:150814fecb6:21ee	SpokenBy
7b93e6a1:150814fecb6:c2e	Membership
7b93e6a1:150814fecb6:1dab	Membership
7b93e6a1:150814fecb6:10a5	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	City
7b93e6a1:150814fecb6:214a	SpokenBy
7b93e6a1:150814fecb6:85c	Membership
http://www.semwebtech.org/mondial/10/language/Polynesian/	Language
7b93e6a1:150814fecb6:1001	Membership
7b93e6a1:150814fecb6:e8e	Membership
7b93e6a1:150814fecb6:188	Membership
7b93e6a1:150814fecb6:bda	Membership
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	Water
7b93e6a1:150814fecb6:1261	Membership
7b93e6a1:150814fecb6:-277	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	City
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/	Province
7b93e6a1:150814fecb6:1c27	Membership
7b93e6a1:150814fecb6:18f9	Membership
7b93e6a1:150814fecb6:9d	Membership
7b93e6a1:150814fecb6:4c8	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	City
7b93e6a1:150814fecb6:1855	Membership
7b93e6a1:150814fecb6:1e87	Membership
7b93e6a1:150814fecb6:15a1	Membership
7b93e6a1:150814fecb6:424	Membership
7b93e6a1:150814fecb6:-5b7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	City
7b93e6a1:150814fecb6:a56	Membership
7b93e6a1:150814fecb6:1bd3	Membership
7b93e6a1:150814fecb6:-2f	Membership
7b93e6a1:150814fecb6:-513	Membership
http://www.semwebtech.org/mondial/10/island/Bali/	Island
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/	Province
7b93e6a1:150814fecb6:684	Membership
7b93e6a1:150814fecb6:2306	BelievedBy
7b93e6a1:150814fecb6:3d0	Membership
7b93e6a1:150814fecb6:-773	Encompassed
http://www.semwebtech.org/mondial/10/language/Hungarian/	Language
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandjia/	EthnicGroup
7b93e6a1:150814fecb6:2566	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	City
7b93e6a1:150814fecb6:22b2	BelievedBy
7b93e6a1:150814fecb6:9c4	Membership
7b93e6a1:150814fecb6:1a2e	Membership
http://www.semwebtech.org/mondial/10/river/Bomu/	Water
7b93e6a1:150814fecb6:ff6	Membership
7b93e6a1:150814fecb6:920	Membership
7b93e6a1:150814fecb6:2cf	Membership
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	Water
7b93e6a1:150814fecb6:165c	Membership
http://www.semwebtech.org/mondial/10/source/Pibor/	Source
7b93e6a1:150814fecb6:f52	Membership
7b93e6a1:150814fecb6:22b	Membership
7b93e6a1:150814fecb6:1c8e	Membership
7b93e6a1:150814fecb6:-3be	Membership
http://www.semwebtech.org/mondial/10/river/Gambia/	Water
7b93e6a1:150814fecb6:-31a	Membership
7b93e6a1:150814fecb6:48b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/	Province
http://www.semwebtech.org/mondial/10/source/Oka/	Source
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	City
7b93e6a1:150814fecb6:210d	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/	Province
7b93e6a1:150814fecb6:81f	Membership
7b93e6a1:150814fecb6:-57a	Membership
7b93e6a1:150814fecb6:1fce	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/	Province
7b93e6a1:150814fecb6:12c8	Membership
7b93e6a1:150814fecb6:236d	BelievedBy
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	City
7b93e6a1:150814fecb6:1f2a	Membership
7b93e6a1:150814fecb6:1224	Membership
7b93e6a1:150814fecb6:7cb	Membership
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	City
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	City
7b93e6a1:150814fecb6:dfd	Membership
7b93e6a1:150814fecb6:1484	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/	Province
7b93e6a1:150814fecb6:1818	Membership
7b93e6a1:150814fecb6:11d0	Membership
7b93e6a1:150814fecb6:-1e6	Membership
7b93e6a1:150814fecb6:26ad	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/	Province
7b93e6a1:150814fecb6:-142	Membership
7b93e6a1:150814fecb6:a19	Membership
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	City
7b93e6a1:150814fecb6:647	Membership
7b93e6a1:150814fecb6:17c4	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	City
7b93e6a1:150814fecb6:1df6	Membership
7b93e6a1:150814fecb6:1720	Membership
7b93e6a1:150814fecb6:c79	Membership
http://www.semwebtech.org/mondial/10/organization/InOC/	Organization
7b93e6a1:150814fecb6:10cf	Membership
7b93e6a1:150814fecb6:-736	Encompassed
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/	Province
7b93e6a1:150814fecb6:2195	SpokenBy
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/	Province
7b93e6a1:150814fecb6:1d52	Membership
7b93e6a1:150814fecb6:2529	EthnicProportion
7b93e6a1:150814fecb6:102b	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	City
7b93e6a1:150814fecb6:5f3	Membership
7b93e6a1:150814fecb6:1980	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	City
7b93e6a1:150814fecb6:-6e2	Border
7b93e6a1:150814fecb6:128b	Membership
http://www.semwebtech.org/mondial/10/country/BR/	Country
7b93e6a1:150814fecb6:fb9	Membership
7b93e6a1:150814fecb6:b81	Membership
7b93e6a1:150814fecb6:24d5	EthnicProportion
7b93e6a1:150814fecb6:161f	Membership
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	Mountain
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/	Province
7b93e6a1:150814fecb6:f15	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	City
7b93e6a1:150814fecb6:2431	BelievedBy
http://www.semwebtech.org/mondial/10/source/Ob/	Source
7b93e6a1:150814fecb6:187f	Membership
7b93e6a1:150814fecb6:44e	Membership
7b93e6a1:150814fecb6:15cb	Membership
7b93e6a1:150814fecb6:2691	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Garonne/	Source
7b93e6a1:150814fecb6:ec1	Membership
7b93e6a1:150814fecb6:1bfd	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	City
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	City
7b93e6a1:150814fecb6:-53d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	EthnicGroup
7b93e6a1:150814fecb6:3fa	Membership
7b93e6a1:150814fecb6:-79d	Encompassed
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/	Province
7b93e6a1:150814fecb6:d0	Membership
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	City
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	City
7b93e6a1:150814fecb6:1447	Membership
7b93e6a1:150814fecb6:22dc	BelievedBy
7b93e6a1:150814fecb6:d1c	Membership
7b93e6a1:150814fecb6:9ee	Membership
7b93e6a1:150814fecb6:1a79	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	City
7b93e6a1:150814fecb6:-1a9	Membership
7b93e6a1:150814fecb6:94a	Membership
7b93e6a1:150814fecb6:-105	Membership
7b93e6a1:150814fecb6:f7c	Membership
7b93e6a1:150814fecb6:276	Membership
7b93e6a1:150814fecb6:13f3	Membership
7b93e6a1:150814fecb6:-365	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	City
7b93e6a1:150814fecb6:1db9	Membership
7b93e6a1:150814fecb6:2158	SpokenBy
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/	Province
7b93e6a1:150814fecb6:1d15	Membership
7b93e6a1:150814fecb6:19e7	Membership
http://www.semwebtech.org/mondial/10/island/Norderney/	Island
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	City
7b93e6a1:150814fecb6:5b6	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/	Province
7b93e6a1:150814fecb6:1943	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	City
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	City
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	Source
7b93e6a1:150814fecb6:be8	Membership
7b93e6a1:150814fecb6:512	Membership
7b93e6a1:150814fecb6:1f75	Membership
7b93e6a1:150814fecb6:-6a5	Border
7b93e6a1:150814fecb6:124e	Membership
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	Island
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/	Province
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/	Province
7b93e6a1:150814fecb6:b44	Membership
7b93e6a1:150814fecb6:1cc1	Membership
7b93e6a1:150814fecb6:-601	Border
7b93e6a1:150814fecb6:2060	Membership
7b93e6a1:150814fecb6:772	Membership
http://www.semwebtech.org/mondial/10/language/Uzbek/	Language
7b93e6a1:150814fecb6:11fa	Membership
7b93e6a1:150814fecb6:af0	Membership
7b93e6a1:150814fecb6:-16c	Membership
7b93e6a1:150814fecb6:2654	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/	Province
7b93e6a1:150814fecb6:23a0	BelievedBy
7b93e6a1:150814fecb6:1b1c	Membership
7b93e6a1:150814fecb6:17ee	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	City
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	Source
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	City
7b93e6a1:150814fecb6:3bd	Membership
7b93e6a1:150814fecb6:174a	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/	Province
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	Mountain
http://www.semwebtech.org/mondial/10/source/Sanaga/	Source
7b93e6a1:150814fecb6:1d7c	Membership
7b93e6a1:150814fecb6:-4ac	Membership
7b93e6a1:150814fecb6:1076	Membership
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	City
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	City
7b93e6a1:150814fecb6:90d	Membership
7b93e6a1:150814fecb6:24ff	EthnicProportion
7b93e6a1:150814fecb6:f3f	Membership
7b93e6a1:150814fecb6:239	Membership
7b93e6a1:150814fecb6:13b6	Membership
7b93e6a1:150814fecb6:245b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	City
7b93e6a1:150814fecb6:1312	Membership
7b93e6a1:150814fecb6:-328	Membership
7b93e6a1:150814fecb6:499	Membership
http://www.semwebtech.org/mondial/10/country/C/	Country
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/	Province
7b93e6a1:150814fecb6:eeb	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	City
7b93e6a1:150814fecb6:1e5	Membership
7b93e6a1:150814fecb6:1572	Membership
7b93e6a1:150814fecb6:-588	Membership
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	Mountain
7b93e6a1:150814fecb6:141	Membership
7b93e6a1:150814fecb6:1906	Membership
7b93e6a1:150814fecb6:-2d4	Membership
7b93e6a1:150814fecb6:1f38	Membership
7b93e6a1:150814fecb6:-230	Membership
7b93e6a1:150814fecb6:20c7	Membership
7b93e6a1:150814fecb6:b07	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	City
7b93e6a1:150814fecb6:7d9	Membership
7b93e6a1:150814fecb6:fa	Membership
7b93e6a1:150814fecb6:2023	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	City
7b93e6a1:150814fecb6:735	Membership
7b93e6a1:150814fecb6:18b2	Membership
7b93e6a1:150814fecb6:-490	Membership
7b93e6a1:150814fecb6:d67	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	City
7b93e6a1:150814fecb6:1ee4	Membership
7b93e6a1:150814fecb6:11bd	Membership
7b93e6a1:150814fecb6:2283	BelievedBy
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	Water
7b93e6a1:150814fecb6:ab3	Membership
7b93e6a1:150814fecb6:995	Membership
7b93e6a1:150814fecb6:1e40	Membership
7b93e6a1:150814fecb6:2617	EthnicProportion
7b93e6a1:150814fecb6:-12f	Membership
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	City
7b93e6a1:150814fecb6:6e1	Membership
http://www.semwebtech.org/mondial/10/organization/ABEDA/	Organization
http://www.semwebtech.org/mondial/10/island/Oahu/	Island
7b93e6a1:150814fecb6:-7d0	Encompassed
7b93e6a1:150814fecb6:-38f	Membership
7b93e6a1:150814fecb6:170d	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	City
7b93e6a1:150814fecb6:25c3	EthnicProportion
7b93e6a1:150814fecb6:1d3f	Membership
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	Mountain
7b93e6a1:150814fecb6:1039	Membership
http://www.semwebtech.org/mondial/10/language/Lithuanian/	Language
7b93e6a1:150814fecb6:196d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Basogo/	EthnicGroup
7b93e6a1:150814fecb6:53c	Membership
7b93e6a1:150814fecb6:1f9f	Membership
7b93e6a1:150814fecb6:-6cf	Border
7b93e6a1:150814fecb6:1299	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	City
7b93e6a1:150814fecb6:b6e	Membership
7b93e6a1:150814fecb6:1ceb	Membership
7b93e6a1:150814fecb6:-62b	Border
7b93e6a1:150814fecb6:208a	Membership
7b93e6a1:150814fecb6:79c	Membership
http://www.semwebtech.org/mondial/10/island/Pemba/	Island
http://www.semwebtech.org/mondial/10/river/Isere/	Water
7b93e6a1:150814fecb6:241e	BelievedBy
http://www.semwebtech.org/mondial/10/religion/Bahai/	Religion
7b93e6a1:150814fecb6:15d9	Membership
7b93e6a1:150814fecb6:267e	EthnicProportion
7b93e6a1:150814fecb6:eae	Membership
7b93e6a1:150814fecb6:1a8	Membership
7b93e6a1:150814fecb6:-70	Membership
7b93e6a1:150814fecb6:1535	Membership
7b93e6a1:150814fecb6:23ca	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Iteso/	EthnicGroup
7b93e6a1:150814fecb6:e0a	Membership
7b93e6a1:150814fecb6:104	Membership
7b93e6a1:150814fecb6:-9a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	City
7b93e6a1:150814fecb6:1b67	Membership
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	City
7b93e6a1:150814fecb6:1795	Membership
7b93e6a1:150814fecb6:14e1	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/	Province
7b93e6a1:150814fecb6:364	Membership
7b93e6a1:150814fecb6:-4f7	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/	Province
7b93e6a1:150814fecb6:bd	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	City
7b93e6a1:150814fecb6:-453	Membership
http://www.semwebtech.org/mondial/10/islands/IonicIslands/	Islands
7b93e6a1:150814fecb6:1ea7	Membership
7b93e6a1:150814fecb6:2246	BelievedBy
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	City
7b93e6a1:150814fecb6:958	Membership
7b93e6a1:150814fecb6:1e03	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	City
7b93e6a1:150814fecb6:6a4	Membership
7b93e6a1:150814fecb6:cd6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	City
7b93e6a1:150814fecb6:600	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	City
7b93e6a1:150814fecb6:133c	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	City
7b93e6a1:150814fecb6:21f2	SpokenBy
7b93e6a1:150814fecb6:c32	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/	Province
http://www.semwebtech.org/mondial/10/river/Asahan/	Water
7b93e6a1:150814fecb6:860	Membership
7b93e6a1:150814fecb6:159c	Membership
7b93e6a1:150814fecb6:e92	Membership
7b93e6a1:150814fecb6:16b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	City
7b93e6a1:150814fecb6:-2fe	Membership
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	Desert
7b93e6a1:150814fecb6:-25a	Membership
http://www.semwebtech.org/mondial/10/country/SVAX/	Country
7b93e6a1:150814fecb6:1cae	Membership
7b93e6a1:150814fecb6:204d	Membership
7b93e6a1:150814fecb6:75f	Membership
7b93e6a1:150814fecb6:1c0a	Membership
7b93e6a1:150814fecb6:18dc	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	City
7b93e6a1:150814fecb6:4ab	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	City
7b93e6a1:150814fecb6:add	Membership
7b93e6a1:150814fecb6:1e6a	Membership
7b93e6a1:150814fecb6:-d7	Membership
7b93e6a1:150814fecb6:1164	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	City
http://www.semwebtech.org/mondial/10/organization/SELEC/	Organization
7b93e6a1:150814fecb6:-33	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Zala/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/	Province
7b93e6a1:150814fecb6:-7fa	Encompassed
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	City
http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Mountains
7b93e6a1:150814fecb6:1758	Membership
7b93e6a1:150814fecb6:25ed	EthnicProportion
7b93e6a1:150814fecb6:327	Membership
7b93e6a1:150814fecb6:14a4	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/	Province
7b93e6a1:150814fecb6:1ad6	Membership
7b93e6a1:150814fecb6:1400	Membership
7b93e6a1:150814fecb6:-416	Membership
7b93e6a1:150814fecb6:-c	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	City
7b93e6a1:150814fecb6:587	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/	Province
7b93e6a1:150814fecb6:1a32	Membership
7b93e6a1:150814fecb6:2209	SpokenBy
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/	Province
7b93e6a1:150814fecb6:2d3	Membership
7b93e6a1:150814fecb6:1660	Membership
7b93e6a1:150814fecb6:-676	Border
7b93e6a1:150814fecb6:1c92	Membership
7b93e6a1:150814fecb6:-3c2	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	City
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/	Province
7b93e6a1:150814fecb6:2469	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/	Mountains
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	City
7b93e6a1:150814fecb6:21b5	SpokenBy
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	City
7b93e6a1:150814fecb6:8c7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/Balochi/	Language
7b93e6a1:150814fecb6:2111	Membership
7b93e6a1:150814fecb6:ef9	Membership
7b93e6a1:150814fecb6:823	Membership
7b93e6a1:150814fecb6:19a0	Membership
7b93e6a1:150814fecb6:155f	Membership
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	Water
7b93e6a1:150814fecb6:e55	Membership
7b93e6a1:150814fecb6:1fd2	Membership
7b93e6a1:150814fecb6:12e	Membership
7b93e6a1:150814fecb6:12ab	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	City
7b93e6a1:150814fecb6:2371	BelievedBy
7b93e6a1:150814fecb6:ba1	Membership
7b93e6a1:150814fecb6:-21d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	City
7b93e6a1:150814fecb6:38e	Membership
http://www.semwebtech.org/mondial/10/island/Barbuda/	Island
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	City
7b93e6a1:150814fecb6:-47d	Membership
7b93e6a1:150814fecb6:64	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	City
7b93e6a1:150814fecb6:26b1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	City
http://www.semwebtech.org/mondial/10/sea/KaraSea/	Water
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	City
7b93e6a1:150814fecb6:1e2d	Membership
7b93e6a1:150814fecb6:1127	Membership
7b93e6a1:150814fecb6:6ce	Membership
http://www.semwebtech.org/mondial/10/source/Ubangi/	Source
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	City
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	Water
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	City
7b93e6a1:150814fecb6:62a	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	City
7b93e6a1:150814fecb6:-7bd	Encompassed
7b93e6a1:150814fecb6:1387	Membership
7b93e6a1:150814fecb6:c5c	Membership
7b93e6a1:150814fecb6:10d3	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	City
7b93e6a1:150814fecb6:88a	Membership
7b93e6a1:150814fecb6:250c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	City
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	City
http://www.semwebtech.org/mondial/10/source/Amudarja/	Source
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/	Province
http://www.semwebtech.org/mondial/10/river/Tara/	Water
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	City
7b93e6a1:150814fecb6:16c7	Membership
http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	Mountains
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/	Province
7b93e6a1:150814fecb6:1cf9	Membership
7b93e6a1:150814fecb6:1623	Membership
7b93e6a1:150814fecb6:-639	Border
7b93e6a1:150814fecb6:2098	Membership
7b93e6a1:150814fecb6:1c55	Membership
7b93e6a1:150814fecb6:4f6	Membership
7b93e6a1:150814fecb6:1883	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	City
7b93e6a1:150814fecb6:452	Membership
7b93e6a1:150814fecb6:-5e5	Border
7b93e6a1:150814fecb6:118e	Membership
7b93e6a1:150814fecb6:a84	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	City
7b93e6a1:150814fecb6:-5d	Membership
7b93e6a1:150814fecb6:-541	Membership
7b93e6a1:150814fecb6:23d8	BelievedBy
7b93e6a1:150814fecb6:e18	Membership
7b93e6a1:150814fecb6:2334	BelievedBy
http://www.semwebtech.org/mondial/10/organization/MIGA/	Organization
7b93e6a1:150814fecb6:14ce	Membership
7b93e6a1:150814fecb6:2594	EthnicProportion
7b93e6a1:150814fecb6:dc4	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/	Province
7b93e6a1:150814fecb6:142a	Membership
7b93e6a1:150814fecb6:22e0	BelievedBy
7b93e6a1:150814fecb6:27	Membership
7b93e6a1:150814fecb6:d20	Membership
7b93e6a1:150814fecb6:9f2	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/	Province
7b93e6a1:150814fecb6:1a5c	Membership
http://www.semwebtech.org/mondial/10/estuary/Luvua/	Estuary
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	City
7b93e6a1:150814fecb6:2fd	Membership
7b93e6a1:150814fecb6:168a	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	City
7b93e6a1:150814fecb6:f80	Membership
7b93e6a1:150814fecb6:-3ec	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/	Province
7b93e6a1:150814fecb6:21df	SpokenBy
http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/	Islands
7b93e6a1:150814fecb6:c1f	Membership
http://www.semwebtech.org/mondial/10/river/Main/	Water
7b93e6a1:150814fecb6:213b	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/	Province
7b93e6a1:150814fecb6:84d	Membership
7b93e6a1:150814fecb6:19ca	Membership
http://www.semwebtech.org/mondial/10/island/Gotland/	Island
7b93e6a1:150814fecb6:17b5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/	Province
7b93e6a1:150814fecb6:1ffc	Membership
7b93e6a1:150814fecb6:e7f	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	City
7b93e6a1:150814fecb6:179	Membership
7b93e6a1:150814fecb6:12f6	Membership
7b93e6a1:150814fecb6:239b	BelievedBy
7b93e6a1:150814fecb6:bcb	Membership
http://www.semwebtech.org/mondial/10/island/MargitSziget/	Island
7b93e6a1:150814fecb6:1252	Membership
7b93e6a1:150814fecb6:-268	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	City
7b93e6a1:150814fecb6:1c18	Membership
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	City
7b93e6a1:150814fecb6:8e	Membership
http://www.semwebtech.org/mondial/10/country/TOK/	Country
7b93e6a1:150814fecb6:4b9	Membership
7b93e6a1:150814fecb6:1846	Membership
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	City
7b93e6a1:150814fecb6:415	Membership
7b93e6a1:150814fecb6:1e78	Membership
7b93e6a1:150814fecb6:-5a8	Membership
7b93e6a1:150814fecb6:-170	Membership
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/	Province
7b93e6a1:150814fecb6:a47	Membership
7b93e6a1:150814fecb6:1bc4	Membership
7b93e6a1:150814fecb6:-504	Membership
http://www.semwebtech.org/mondial/10/country/DOM/	Country
http://www.semwebtech.org/mondial/10/island/Chios/	Island
7b93e6a1:150814fecb6:1b20	Membership
7b93e6a1:150814fecb6:675	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	City
7b93e6a1:150814fecb6:17f2	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/	Province
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	City
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	Estuary
7b93e6a1:150814fecb6:3c1	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	City
7b93e6a1:150814fecb6:-764	Encompassed
7b93e6a1:150814fecb6:10fd	Membership
7b93e6a1:150814fecb6:1d80	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/	Province
7b93e6a1:150814fecb6:-4b0	Membership
7b93e6a1:150814fecb6:2557	EthnicProportion
7b93e6a1:150814fecb6:22a3	BelievedBy
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	City
7b93e6a1:150814fecb6:9b5	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	City
7b93e6a1:150814fecb6:1a1f	Membership
7b93e6a1:150814fecb6:fe7	Membership
7b93e6a1:150814fecb6:911	Membership
7b93e6a1:150814fecb6:164d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	City
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	City
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	City
7b93e6a1:150814fecb6:f43	Membership
7b93e6a1:150814fecb6:1c7f	Membership
7b93e6a1:150814fecb6:21c	Membership
7b93e6a1:150814fecb6:-3af	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	City
http://www.semwebtech.org/mondial/10/source/Salzach/	Source
7b93e6a1:150814fecb6:-30b	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	City
http://www.semwebtech.org/mondial/10/mountains/Azores/	Mountains
7b93e6a1:150814fecb6:47c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	City
http://www.semwebtech.org/mondial/10/island/GrandTurk/	Island
7b93e6a1:150814fecb6:-56b	Membership
7b93e6a1:150814fecb6:1fbf	Membership
7b93e6a1:150814fecb6:12b9	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	City
7b93e6a1:150814fecb6:235e	BelievedBy
7b93e6a1:150814fecb6:1f1b	Membership
http://www.semwebtech.org/mondial/10/source/Pruth/	Source
7b93e6a1:150814fecb6:1215	Membership
7b93e6a1:150814fecb6:20aa	Membership
7b93e6a1:150814fecb6:7bc	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	City
7b93e6a1:150814fecb6:dee	Membership
7b93e6a1:150814fecb6:1475	Membership
http://www.semwebtech.org/mondial/10/river/Tambo/	Water
7b93e6a1:150814fecb6:1809	Membership
7b93e6a1:150814fecb6:d4a	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	City
7b93e6a1:150814fecb6:11c1	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	City
7b93e6a1:150814fecb6:-1d7	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Euronesians/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/	Province
7b93e6a1:150814fecb6:-133	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	City
7b93e6a1:150814fecb6:638	Membership
7b93e6a1:150814fecb6:-393	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	City
7b93e6a1:150814fecb6:1de7	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	City
7b93e6a1:150814fecb6:1711	Membership
7b93e6a1:150814fecb6:-727	Encompassed
7b93e6a1:150814fecb6:2186	SpokenBy
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	City
7b93e6a1:150814fecb6:898	Membership
7b93e6a1:150814fecb6:1d43	Membership
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/	Mountain
7b93e6a1:150814fecb6:101c	Membership
http://www.semwebtech.org/mondial/10/source/Uruguay/	Source
http://www.semwebtech.org/mondial/10/river/Indus/	Water
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/	Province
7b93e6a1:150814fecb6:5e4	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/	Province
7b93e6a1:150814fecb6:1971	Membership
7b93e6a1:150814fecb6:540	Membership
7b93e6a1:150814fecb6:-6d3	Border
7b93e6a1:150814fecb6:127c	Membership
7b93e6a1:150814fecb6:b72	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigrinya/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountain/Ampato/	Mountain
7b93e6a1:150814fecb6:24c6	EthnicProportion
7b93e6a1:150814fecb6:f06	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	City
7b93e6a1:150814fecb6:2422	BelievedBy
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoSoungHmongYao/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	City
7b93e6a1:150814fecb6:43f	Membership
7b93e6a1:150814fecb6:15bc	Membership
7b93e6a1:150814fecb6:-19a	Membership
7b93e6a1:150814fecb6:2682	EthnicProportion
7b93e6a1:150814fecb6:eb2	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	City
7b93e6a1:150814fecb6:1bee	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/	Province
7b93e6a1:150814fecb6:-52e	Membership
7b93e6a1:150814fecb6:1b4a	Membership
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	City
7b93e6a1:150814fecb6:69f	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/	Province
http://www.semwebtech.org/mondial/10/island/Aland/	Island
7b93e6a1:150814fecb6:3eb	Membership
7b93e6a1:150814fecb6:-78e	Encompassed
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/	Province
7b93e6a1:150814fecb6:-4da	Membership
7b93e6a1:150814fecb6:c1	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	City
7b93e6a1:150814fecb6:22cd	BelievedBy
7b93e6a1:150814fecb6:1438	Membership
7b93e6a1:150814fecb6:d0d	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	City
7b93e6a1:150814fecb6:9df	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	City
7b93e6a1:150814fecb6:93b	Membership
http://www.semwebtech.org/mondial/10/source/Sobat/	Source
7b93e6a1:150814fecb6:1698	Membership
7b93e6a1:150814fecb6:f6d	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	City
7b93e6a1:150814fecb6:267	Membership
7b93e6a1:150814fecb6:13e4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	City
7b93e6a1:150814fecb6:1340	Membership
7b93e6a1:150814fecb6:-356	Membership
7b93e6a1:150814fecb6:2149	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	City
7b93e6a1:150814fecb6:1d06	Membership
7b93e6a1:150814fecb6:19d8	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	City
7b93e6a1:150814fecb6:5a7	Membership
7b93e6a1:150814fecb6:e	Membership
7b93e6a1:150814fecb6:1934	Membership
7b93e6a1:150814fecb6:bd9	Membership
7b93e6a1:150814fecb6:503	Membership
7b93e6a1:150814fecb6:1f66	Membership
7b93e6a1:150814fecb6:123f	Membership
7b93e6a1:150814fecb6:20f5	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	City
7b93e6a1:150814fecb6:b35	Membership
7b93e6a1:150814fecb6:1cb2	Membership
http://www.semwebtech.org/mondial/10/islands/AlandIslands/	Islands
7b93e6a1:150814fecb6:2051	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/	Province
7b93e6a1:150814fecb6:763	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/	Province
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/	Province
7b93e6a1:150814fecb6:18e0	Membership
7b93e6a1:150814fecb6:149f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	City
7b93e6a1:150814fecb6:d95	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/	Province
7b93e6a1:150814fecb6:11eb	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	City
7b93e6a1:150814fecb6:ae1	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	City
7b93e6a1:150814fecb6:-ba	Membership
7b93e6a1:150814fecb6:-15d	Membership
7b93e6a1:150814fecb6:2645	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	City
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/	Province
7b93e6a1:150814fecb6:1b0d	Membership
7b93e6a1:150814fecb6:17df	Membership
7b93e6a1:150814fecb6:3ae	Membership
7b93e6a1:150814fecb6:173b	Membership
7b93e6a1:150814fecb6:25f1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	City
7b93e6a1:150814fecb6:30a	Membership
7b93e6a1:150814fecb6:1d6d	Membership
7b93e6a1:150814fecb6:1067	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	City
7b93e6a1:150814fecb6:199b	Membership
http://www.semwebtech.org/mondial/10/country/IS/	Country
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/	Province
7b93e6a1:150814fecb6:56a	Membership
7b93e6a1:150814fecb6:-6fd	Border
7b93e6a1:150814fecb6:b9c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	City
7b93e6a1:150814fecb6:13a7	Membership
7b93e6a1:150814fecb6:244c	BelievedBy
7b93e6a1:150814fecb6:1303	Membership
7b93e6a1:150814fecb6:-319	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	City
7b93e6a1:150814fecb6:8aa	Membership
7b93e6a1:150814fecb6:edc	Membership
7b93e6a1:150814fecb6:1d6	Membership
7b93e6a1:150814fecb6:1563	Membership
7b93e6a1:150814fecb6:-579	Membership
7b93e6a1:150814fecb6:132	Membership
7b93e6a1:150814fecb6:1b95	Membership
7b93e6a1:150814fecb6:-2c5	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	City
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	City
7b93e6a1:150814fecb6:1f29	Membership
7b93e6a1:150814fecb6:-221	Membership
http://www.semwebtech.org/mondial/10/country/RL/	Country
http://www.semwebtech.org/mondial/10/organization/LAS/	Organization
7b93e6a1:150814fecb6:20b8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	City
7b93e6a1:150814fecb6:392	Membership
7b93e6a1:150814fecb6:eb	Membership
7b93e6a1:150814fecb6:2014	Membership
7b93e6a1:150814fecb6:726	Membership
7b93e6a1:150814fecb6:18a3	Membership
http://www.semwebtech.org/mondial/10/country/TR/	Country
7b93e6a1:150814fecb6:-481	Membership
7b93e6a1:150814fecb6:2274	BelievedBy
http://www.semwebtech.org/mondial/10/organization/ACP/	Organization
http://www.semwebtech.org/mondial/10/mountain/Tahat/	Mountain
7b93e6a1:150814fecb6:d58	Membership
7b93e6a1:150814fecb6:1ed5	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/	Province
7b93e6a1:150814fecb6:-815	Encompassed
7b93e6a1:150814fecb6:11ae	Membership
http://www.semwebtech.org/mondial/10/mountain/Silisili/	Mountain
7b93e6a1:150814fecb6:aa4	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	City
7b93e6a1:150814fecb6:986	Membership
7b93e6a1:150814fecb6:1e31	Membership
7b93e6a1:150814fecb6:110a	Membership
7b93e6a1:150814fecb6:2608	EthnicProportion
7b93e6a1:150814fecb6:a00	Membership
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	City
7b93e6a1:150814fecb6:6d2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/	Province
http://www.semwebtech.org/mondial/10/island/GrandComoro/	Island
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	Mountain
7b93e6a1:150814fecb6:136a	Membership
7b93e6a1:150814fecb6:-7c1	Encompassed
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/	Province
7b93e6a1:150814fecb6:c60	Membership
7b93e6a1:150814fecb6:25b4	EthnicProportion
7b93e6a1:150814fecb6:2510	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	EthnicGroup
7b93e6a1:150814fecb6:195e	Membership
http://www.semwebtech.org/mondial/10/source/Tobol/	Source
7b93e6a1:150814fecb6:52d	Membership
7b93e6a1:150814fecb6:16aa	Membership
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	City
7b93e6a1:150814fecb6:1cdc	Membership
7b93e6a1:150814fecb6:fa0	Membership
7b93e6a1:150814fecb6:b5f	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	City
7b93e6a1:150814fecb6:-61c	Border
7b93e6a1:150814fecb6:207b	Membership
7b93e6a1:150814fecb6:78d	Membership
7b93e6a1:150814fecb6:240f	BelievedBy
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	City
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	City
http://www.semwebtech.org/mondial/10/country/FARX/	Country
7b93e6a1:150814fecb6:1192	Membership
7b93e6a1:150814fecb6:266f	EthnicProportion
7b93e6a1:150814fecb6:1526	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	City
7b93e6a1:150814fecb6:-61	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/	Province
7b93e6a1:150814fecb6:23bb	BelievedBy
7b93e6a1:150814fecb6:1b58	Membership
7b93e6a1:150814fecb6:3f9	Membership
http://www.semwebtech.org/mondial/10/country/Q/	Country
7b93e6a1:150814fecb6:1786	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/	Province
7b93e6a1:150814fecb6:355	Membership
7b93e6a1:150814fecb6:14d2	Membership
7b93e6a1:150814fecb6:-4e8	Membership
7b93e6a1:150814fecb6:ae	Membership
7b93e6a1:150814fecb6:-444	Membership
http://www.semwebtech.org/mondial/10/river/Iller/	Water
7b93e6a1:150814fecb6:1a60	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/	Province
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	City
7b93e6a1:150814fecb6:2237	BelievedBy
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	City
7b93e6a1:150814fecb6:949	Membership
http://www.semwebtech.org/mondial/10/estuary/Luapula/	Estuary
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	City
7b93e6a1:150814fecb6:2497	EthnicProportion
7b93e6a1:150814fecb6:-3f0	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	City
7b93e6a1:150814fecb6:cc7	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Ilfov/	Province
http://www.semwebtech.org/mondial/10/organization/Interpol/	Organization
7b93e6a1:150814fecb6:132d	Membership
7b93e6a1:150814fecb6:21e3	SpokenBy
7b93e6a1:150814fecb6:c23	Membership
7b93e6a1:150814fecb6:8f5	Membership
7b93e6a1:150814fecb6:1da0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	City
7b93e6a1:150814fecb6:851	Membership
http://www.semwebtech.org/mondial/10/island/Pellworm/	Island
7b93e6a1:150814fecb6:158d	Membership
7b93e6a1:150814fecb6:e83	Membership
http://www.semwebtech.org/mondial/10/organization/UNASUR/	Organization
7b93e6a1:150814fecb6:15c	Membership
7b93e6a1:150814fecb6:-2ef	Membership
7b93e6a1:150814fecb6:-24b	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	City
http://www.semwebtech.org/mondial/10/country/MAL/	Country
7b93e6a1:150814fecb6:203e	Membership
7b93e6a1:150814fecb6:18cd	Membership
7b93e6a1:150814fecb6:92	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	City
7b93e6a1:150814fecb6:1eff	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/	Province
7b93e6a1:150814fecb6:11f9	Membership
7b93e6a1:150814fecb6:229e	BelievedBy
7b93e6a1:150814fecb6:1e5b	Membership
7b93e6a1:150814fecb6:ace	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	City
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/	Province
7b93e6a1:150814fecb6:-c8	Membership
7b93e6a1:150814fecb6:1155	Membership
7b93e6a1:150814fecb6:a2a	Membership
http://www.semwebtech.org/mondial/10/country/MEX/	Country
7b93e6a1:150814fecb6:6fc	Membership
7b93e6a1:150814fecb6:-24	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/	Province
7b93e6a1:150814fecb6:-7eb	Encompassed
http://www.semwebtech.org/mondial/10/islands/Lofotes/	Islands
7b93e6a1:150814fecb6:c8a	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/	Province
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/	Province
7b93e6a1:150814fecb6:1749	Membership
http://www.semwebtech.org/mondial/10/island/Bahrain/	Island
7b93e6a1:150814fecb6:25de	EthnicProportion
7b93e6a1:150814fecb6:318	Membership
7b93e6a1:150814fecb6:253a	EthnicProportion
http://www.semwebtech.org/mondial/10/religion/Mayan/	Religion
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	City
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	City
7b93e6a1:150814fecb6:1ac7	Membership
7b93e6a1:150814fecb6:-407	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	City
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	Water
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	City
7b93e6a1:150814fecb6:578	Membership
7b93e6a1:150814fecb6:1a23	Membership
7b93e6a1:150814fecb6:16f5	Membership
http://www.semwebtech.org/mondial/10/estuary/Würm/	Estuary
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	City
7b93e6a1:150814fecb6:fca	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	City
7b93e6a1:150814fecb6:2c4	Membership
7b93e6a1:150814fecb6:1651	Membership
7b93e6a1:150814fecb6:-667	Border
7b93e6a1:150814fecb6:1c83	Membership
7b93e6a1:150814fecb6:220	Membership
http://www.semwebtech.org/mondial/10/organization/IMSO/	Organization
7b93e6a1:150814fecb6:-3b3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/	Province
http://www.semwebtech.org/mondial/10/river/Ural/	Water
7b93e6a1:150814fecb6:21a6	SpokenBy
7b93e6a1:150814fecb6:8b8	Membership
7b93e6a1:150814fecb6:480	Membership
http://www.semwebtech.org/mondial/10/estuary/Saluen/	Estuary
7b93e6a1:150814fecb6:2102	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	City
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/	Province
7b93e6a1:150814fecb6:814	Membership
7b93e6a1:150814fecb6:-8b	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/	Province
7b93e6a1:150814fecb6:e46	Membership
7b93e6a1:150814fecb6:1fc3	Membership
7b93e6a1:150814fecb6:11f	Membership
7b93e6a1:150814fecb6:2362	BelievedBy
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/	Province
7b93e6a1:150814fecb6:-20e	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	City
7b93e6a1:150814fecb6:7c0	Membership
7b93e6a1:150814fecb6:37f	Membership
7b93e6a1:150814fecb6:14fc	Membership
7b93e6a1:150814fecb6:f9	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Perm/	Province
7b93e6a1:150814fecb6:df2	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/	Province
7b93e6a1:150814fecb6:-46e	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/	Province
7b93e6a1:150814fecb6:55	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	City
http://www.semwebtech.org/mondial/10/river/RioNegro/	Water
7b93e6a1:150814fecb6:1a8a	Membership
7b93e6a1:150814fecb6:-1ba	Membership
7b93e6a1:150814fecb6:26a2	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Croatian/	Language
7b93e6a1:150814fecb6:1e1e	Membership
7b93e6a1:150814fecb6:1118	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bilen/	EthnicGroup
7b93e6a1:150814fecb6:6bf	Membership
7b93e6a1:150814fecb6:61b	Membership
7b93e6a1:150814fecb6:-7ae	Encompassed
7b93e6a1:150814fecb6:1378	Membership
7b93e6a1:150814fecb6:c4d	Membership
7b93e6a1:150814fecb6:1dca	Membership
7b93e6a1:150814fecb6:-70a	Border
7b93e6a1:150814fecb6:10c4	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/	Province
7b93e6a1:150814fecb6:87b	Membership
7b93e6a1:150814fecb6:1020	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	City
http://www.semwebtech.org/mondial/10/island/Rarotonga/	Island
7b93e6a1:150814fecb6:16b8	Membership
7b93e6a1:150814fecb6:1280	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	City
7b93e6a1:150814fecb6:-296	Membership
7b93e6a1:150814fecb6:1614	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/	Province
7b93e6a1:150814fecb6:2089	Membership
7b93e6a1:150814fecb6:1c46	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/	Province
7b93e6a1:150814fecb6:4e7	Membership
7b93e6a1:150814fecb6:1874	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/	Province
7b93e6a1:150814fecb6:15c0	Membership
7b93e6a1:150814fecb6:443	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	City
7b93e6a1:150814fecb6:-5d6	Membership
7b93e6a1:150814fecb6:117f	Membership
http://www.semwebtech.org/mondial/10/island/SantaMaria/	Island
7b93e6a1:150814fecb6:1bf2	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	City
7b93e6a1:150814fecb6:a75	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	City
7b93e6a1:150814fecb6:-4e	Membership
7b93e6a1:150814fecb6:-532	Membership
7b93e6a1:150814fecb6:23c9	BelievedBy
7b93e6a1:150814fecb6:e09	Membership
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Bunyoro/	EthnicGroup
7b93e6a1:150814fecb6:2325	BelievedBy
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	City
7b93e6a1:150814fecb6:-792	Encompassed
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/	Province
7b93e6a1:150814fecb6:2585	EthnicProportion
7b93e6a1:150814fecb6:14bf	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	City
http://www.semwebtech.org/mondial/10/island/Hoy/	Island
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	Source
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	City
7b93e6a1:150814fecb6:db5	Membership
7b93e6a1:150814fecb6:22d1	BelievedBy
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	City
7b93e6a1:150814fecb6:141b	Membership
7b93e6a1:150814fecb6:18	Membership
http://www.semwebtech.org/mondial/10/country/DK/	Country
7b93e6a1:150814fecb6:d11	Membership
7b93e6a1:150814fecb6:9e3	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	City
7b93e6a1:150814fecb6:1a4d	Membership
7b93e6a1:150814fecb6:2ee	Membership
7b93e6a1:150814fecb6:167b	Membership
7b93e6a1:150814fecb6:f71	Membership
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	Source
7b93e6a1:150814fecb6:24a	Membership
7b93e6a1:150814fecb6:-3dd	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	EthnicGroup
7b93e6a1:150814fecb6:212c	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	City
http://www.semwebtech.org/mondial/10/river/Adda/	Water
7b93e6a1:150814fecb6:83e	Membership
7b93e6a1:150814fecb6:19bb	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	City
7b93e6a1:150814fecb6:1fed	Membership
http://www.semwebtech.org/mondial/10/language/Lezgi/	Language
7b93e6a1:150814fecb6:12e7	Membership
7b93e6a1:150814fecb6:238c	BelievedBy
7b93e6a1:150814fecb6:bbc	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	City
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	City
7b93e6a1:150814fecb6:1243	Membership
http://www.semwebtech.org/mondial/10/country/MD/	Country
7b93e6a1:150814fecb6:-259	Membership
http://www.semwebtech.org/mondial/10/organization/G-7/	Organization
7b93e6a1:150814fecb6:7ea	Membership
7b93e6a1:150814fecb6:1c09	Membership
7b93e6a1:150814fecb6:7f	Membership
7b93e6a1:150814fecb6:1837	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/	Province
http://www.semwebtech.org/mondial/10/islands/TongaIslands/	Islands
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/	Province
7b93e6a1:150814fecb6:1e69	Membership
7b93e6a1:150814fecb6:406	Membership
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	City
7b93e6a1:150814fecb6:-161	Membership
7b93e6a1:150814fecb6:a38	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	City
7b93e6a1:150814fecb6:1bb5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	City
http://www.semwebtech.org/mondial/10/language/Burmese/	Language
7b93e6a1:150814fecb6:1b11	Membership
7b93e6a1:150814fecb6:666	Membership
7b93e6a1:150814fecb6:17e3	Membership
7b93e6a1:150814fecb6:-7f9	Encompassed
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/	Province
http://www.semwebtech.org/mondial/10/river/Klaraelv/	Water
7b93e6a1:150814fecb6:c98	Membership
7b93e6a1:150814fecb6:3b2	Membership
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	City
7b93e6a1:150814fecb6:-755	Encompassed
7b93e6a1:150814fecb6:10ee	Membership
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	City
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/	Province
7b93e6a1:150814fecb6:2548	EthnicProportion
7b93e6a1:150814fecb6:1d71	Membership
7b93e6a1:150814fecb6:-4a1	Membership
7b93e6a1:150814fecb6:104a	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/	Province
http://www.semwebtech.org/mondial/10/island/Shikoku/	Island
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	City
7b93e6a1:150814fecb6:9a6	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	City
7b93e6a1:150814fecb6:fd8	Membership
7b93e6a1:150814fecb6:902	Membership
7b93e6a1:150814fecb6:163e	Membership
7b93e6a1:150814fecb6:24f4	EthnicProportion
7b93e6a1:150814fecb6:f34	Membership
7b93e6a1:150814fecb6:20d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	City
7b93e6a1:150814fecb6:2450	BelievedBy
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	City
7b93e6a1:150814fecb6:189e	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	City
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	Water
7b93e6a1:150814fecb6:46d	Membership
7b93e6a1:150814fecb6:15ea	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	City
7b93e6a1:150814fecb6:ee0	Membership
7b93e6a1:150814fecb6:a9f	Membership
7b93e6a1:150814fecb6:-99	Membership
7b93e6a1:150814fecb6:-55c	Membership
http://www.semwebtech.org/mondial/10/mountain/Sajama/	Mountain
http://www.semwebtech.org/mondial/10/source/Drau/	Source
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	City
7b93e6a1:150814fecb6:234f	BelievedBy
7b93e6a1:150814fecb6:1f0c	Membership
7b93e6a1:150814fecb6:1206	Membership
7b93e6a1:150814fecb6:7ad	Membership
7b93e6a1:150814fecb6:ddf	Membership
7b93e6a1:150814fecb6:1466	Membership
7b93e6a1:150814fecb6:22fb	BelievedBy
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/	Province
7b93e6a1:150814fecb6:d3b	Membership
7b93e6a1:150814fecb6:1a98	Membership
7b93e6a1:150814fecb6:11b2	Membership
7b93e6a1:150814fecb6:-1c8	Membership
7b93e6a1:150814fecb6:-124	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/	Province
7b93e6a1:150814fecb6:f9b	Membership
7b93e6a1:150814fecb6:295	Membership
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	Mountain
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/	Province
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	City
7b93e6a1:150814fecb6:629	Membership
7b93e6a1:150814fecb6:17a6	Membership
7b93e6a1:150814fecb6:-384	Membership
http://www.semwebtech.org/mondial/10/island/Jeju/	Island
7b93e6a1:150814fecb6:1dd8	Membership
7b93e6a1:150814fecb6:1702	Membership
7b93e6a1:150814fecb6:-718	Border
7b93e6a1:150814fecb6:2177	SpokenBy
7b93e6a1:150814fecb6:889	Membership
7b93e6a1:150814fecb6:1d34	Membership
7b93e6a1:150814fecb6:100d	Membership
7b93e6a1:150814fecb6:5d5	Membership
7b93e6a1:150814fecb6:1962	Membership
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	Mountain
7b93e6a1:150814fecb6:1f94	Membership
7b93e6a1:150814fecb6:531	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	City
7b93e6a1:150814fecb6:-6c4	Border
7b93e6a1:150814fecb6:126d	Membership
7b93e6a1:150814fecb6:b63	Membership
7b93e6a1:150814fecb6:1ce0	Membership
7b93e6a1:150814fecb6:-620	Border
7b93e6a1:150814fecb6:24b7	EthnicProportion
7b93e6a1:150814fecb6:791	Membership
7b93e6a1:150814fecb6:2413	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/	Province
http://www.semwebtech.org/mondial/10/island/Mahe/	Island
7b93e6a1:150814fecb6:2673	EthnicProportion
7b93e6a1:150814fecb6:15ad	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/	Province
7b93e6a1:150814fecb6:-18b	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	City
7b93e6a1:150814fecb6:ea3	Membership
7b93e6a1:150814fecb6:1bdf	Membership
7b93e6a1:150814fecb6:-51f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	City
http://www.semwebtech.org/mondial/10/lake/CraterLake/	Water
7b93e6a1:150814fecb6:1b3b	Membership
http://www.semwebtech.org/mondial/10/river/Amur/	Water
7b93e6a1:150814fecb6:3dc	Membership
7b93e6a1:150814fecb6:-77f	Encompassed
http://www.semwebtech.org/mondial/10/island/Cuba/	Island
7b93e6a1:150814fecb6:1d9b	Membership
7b93e6a1:150814fecb6:1095	Membership
7b93e6a1:150814fecb6:b2	Membership
7b93e6a1:150814fecb6:-4cb	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	City
http://www.semwebtech.org/mondial/10/country/BDS/	Country
7b93e6a1:150814fecb6:1429	Membership
7b93e6a1:150814fecb6:22be	BelievedBy
7b93e6a1:150814fecb6:221a	SpokenBy
7b93e6a1:150814fecb6:92c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	City
7b93e6a1:150814fecb6:1689	Membership
7b93e6a1:150814fecb6:f5e	Membership
7b93e6a1:150814fecb6:258	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	City
7b93e6a1:150814fecb6:13d5	Membership
7b93e6a1:150814fecb6:247a	EthnicProportion
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	Water
7b93e6a1:150814fecb6:caa	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/	Province
http://www.semwebtech.org/mondial/10/island/Baltrum/	Island
7b93e6a1:150814fecb6:1331	Membership
7b93e6a1:150814fecb6:-347	Membership
http://www.semwebtech.org/mondial/10/estuary/Lena/	Estuary
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	City
7b93e6a1:150814fecb6:19c9	Membership
7b93e6a1:150814fecb6:1591	Membership
7b93e6a1:150814fecb6:1925	Membership
7b93e6a1:150814fecb6:160	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	City
7b93e6a1:150814fecb6:-2f3	Membership
http://www.semwebtech.org/mondial/10/source/Ammer/	Source
7b93e6a1:150814fecb6:1f57	Membership
7b93e6a1:150814fecb6:20e6	Membership
7b93e6a1:150814fecb6:b26	Membership
7b93e6a1:150814fecb6:7f8	Membership
7b93e6a1:150814fecb6:1ca3	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	City
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	Water
7b93e6a1:150814fecb6:2042	Membership
7b93e6a1:150814fecb6:754	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/	Province
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	Mountain
7b93e6a1:150814fecb6:18d1	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	City
7b93e6a1:150814fecb6:d86	Membership
7b93e6a1:150814fecb6:4a0	Membership
http://www.semwebtech.org/mondial/10/religion/ChurchTuvalu/	Religion
7b93e6a1:150814fecb6:11dc	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	City
7b93e6a1:150814fecb6:ad2	Membership
7b93e6a1:150814fecb6:-ab	Membership
7b93e6a1:150814fecb6:-14e	Membership
7b93e6a1:150814fecb6:2636	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/	Province
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/	Province
7b93e6a1:150814fecb6:172c	Membership
7b93e6a1:150814fecb6:25e2	EthnicProportion
7b93e6a1:150814fecb6:1d5e	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/	Province
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	City
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	City
7b93e6a1:150814fecb6:1058	Membership
7b93e6a1:150814fecb6:5ff	Membership
7b93e6a1:150814fecb6:1aaa	Membership
7b93e6a1:150814fecb6:198c	Membership
7b93e6a1:150814fecb6:-1	Membership
7b93e6a1:150814fecb6:55b	Membership
7b93e6a1:150814fecb6:-6ee	Border
7b93e6a1:150814fecb6:b8d	Membership
7b93e6a1:150814fecb6:-64a	Border
http://www.semwebtech.org/mondial/10/language/Pashtu/	Language
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	City
7b93e6a1:150814fecb6:243d	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	City
http://www.semwebtech.org/mondial/10/river/Donau/	Water
http://www.semwebtech.org/mondial/10/island/Isabela/	Island
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	Water
7b93e6a1:150814fecb6:15f8	Membership
7b93e6a1:150814fecb6:269d	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/Changbai/	Mountains
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	Estuary
7b93e6a1:150814fecb6:ecd	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/	Province
7b93e6a1:150814fecb6:1c7	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	City
7b93e6a1:150814fecb6:1554	Membership
7b93e6a1:150814fecb6:1b86	Membership
7b93e6a1:150814fecb6:123	Membership
7b93e6a1:150814fecb6:12a0	Membership
7b93e6a1:150814fecb6:-2b6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	City
http://www.semwebtech.org/mondial/10/organization/CICA/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	City
7b93e6a1:150814fecb6:-212	Membership
7b93e6a1:150814fecb6:20a9	Membership
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	Mountain
7b93e6a1:150814fecb6:383	Membership
7b93e6a1:150814fecb6:dc	Membership
7b93e6a1:150814fecb6:2005	Membership
7b93e6a1:150814fecb6:717	Membership
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	Mountain
7b93e6a1:150814fecb6:-472	Membership
http://www.semwebtech.org/mondial/10/estuary/Jubba/	Estuary
7b93e6a1:150814fecb6:d49	Membership
7b93e6a1:150814fecb6:1ec6	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	City
7b93e6a1:150814fecb6:-806	Encompassed
7b93e6a1:150814fecb6:2265	BelievedBy
7b93e6a1:150814fecb6:977	Membership
7b93e6a1:150814fecb6:1e22	Membership
7b93e6a1:150814fecb6:6c3	Membership
7b93e6a1:150814fecb6:13ff	Membership
7b93e6a1:150814fecb6:cf5	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	City
7b93e6a1:150814fecb6:135b	Membership
7b93e6a1:150814fecb6:-7b2	Encompassed
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/	Province
http://www.semwebtech.org/mondial/10/country/CO/	Country
7b93e6a1:150814fecb6:c51	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	City
7b93e6a1:150814fecb6:25a5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/	Province
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	City
7b93e6a1:150814fecb6:2501	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	City
7b93e6a1:150814fecb6:18a	Membership
7b93e6a1:150814fecb6:194f	Membership
http://www.semwebtech.org/mondial/10/estuary/Rhein/	Estuary
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	City
7b93e6a1:150814fecb6:51e	Membership
7b93e6a1:150814fecb6:1ccd	Membership
7b93e6a1:150814fecb6:-60d	Border
7b93e6a1:150814fecb6:206c	Membership
7b93e6a1:150814fecb6:77e	Membership
7b93e6a1:150814fecb6:18fb	Membership
7b93e6a1:150814fecb6:4ca	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	City
7b93e6a1:150814fecb6:afc	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/	Province
7b93e6a1:150814fecb6:-f6	Membership
7b93e6a1:150814fecb6:1183	Membership
7b93e6a1:150814fecb6:-199	Membership
http://www.semwebtech.org/mondial/10/river/Parana/	Water
7b93e6a1:150814fecb6:-52	Membership
7b93e6a1:150814fecb6:1517	Membership
7b93e6a1:150814fecb6:23ac	BelievedBy
http://www.semwebtech.org/mondial/10/source/Tennessee/	Source
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/	Province
7b93e6a1:150814fecb6:1b49	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	City
7b93e6a1:150814fecb6:1777	Membership
7b93e6a1:150814fecb6:346	Membership
7b93e6a1:150814fecb6:14c3	Membership
7b93e6a1:150814fecb6:-4d9	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/	Province
7b93e6a1:150814fecb6:1af5	Membership
7b93e6a1:150814fecb6:-435	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	City
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	City
7b93e6a1:150814fecb6:1a51	Membership
7b93e6a1:150814fecb6:2228	SpokenBy
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/	Province
7b93e6a1:150814fecb6:2f2	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	City
7b93e6a1:150814fecb6:-695	Border
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	City
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/	Mountain
http://www.semwebtech.org/mondial/10/country/UA/	Country
7b93e6a1:150814fecb6:-3e1	Membership
7b93e6a1:150814fecb6:2488	EthnicProportion
7b93e6a1:150814fecb6:cb8	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/	Province
7b93e6a1:150814fecb6:131e	Membership
7b93e6a1:150814fecb6:21d4	SpokenBy
7b93e6a1:150814fecb6:c14	Membership
7b93e6a1:150814fecb6:8e6	Membership
http://www.semwebtech.org/mondial/10/country/WG/	Country
7b93e6a1:150814fecb6:2130	SpokenBy
http://www.semwebtech.org/mondial/10/country/AFG/	Country
7b93e6a1:150814fecb6:842	Membership
http://www.semwebtech.org/mondial/10/river/Saluen/	Water
7b93e6a1:150814fecb6:1ff1	Membership
7b93e6a1:150814fecb6:157e	Membership
7b93e6a1:150814fecb6:12ca	Membership
7b93e6a1:150814fecb6:e74	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	City
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	City
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	City
7b93e6a1:150814fecb6:14d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	City
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/	Province
7b93e6a1:150814fecb6:2390	BelievedBy
7b93e6a1:150814fecb6:bc0	Membership
7b93e6a1:150814fecb6:-23c	Membership
7b93e6a1:150814fecb6:202f	Membership
7b93e6a1:150814fecb6:18be	Membership
7b93e6a1:150814fecb6:-49c	Membership
7b93e6a1:150814fecb6:83	Membership
7b93e6a1:150814fecb6:181a	Membership
7b93e6a1:150814fecb6:228f	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	Estuary
7b93e6a1:150814fecb6:1e4c	Membership
7b93e6a1:150814fecb6:abf	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/	Province
7b93e6a1:150814fecb6:-b9	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	City
7b93e6a1:150814fecb6:1146	Membership
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	Island
7b93e6a1:150814fecb6:6ed	Membership
7b93e6a1:150814fecb6:a1b	Membership
7b93e6a1:150814fecb6:-15	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	City
7b93e6a1:150814fecb6:-7dc	Encompassed
7b93e6a1:150814fecb6:c7b	Membership
7b93e6a1:150814fecb6:10f2	Membership
7b93e6a1:150814fecb6:25cf	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/Ahaggar/	Mountains
7b93e6a1:150814fecb6:309	Membership
7b93e6a1:150814fecb6:252b	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/	Mountains
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	City
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	City
7b93e6a1:150814fecb6:1ab8	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	City
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/	Province
7b93e6a1:150814fecb6:569	Membership
7b93e6a1:150814fecb6:1a14	Membership
7b93e6a1:150814fecb6:16e6	Membership
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	Desert
7b93e6a1:150814fecb6:fbb	Membership
http://www.semwebtech.org/mondial/10/source/Perene/	Source
7b93e6a1:150814fecb6:2b5	Membership
7b93e6a1:150814fecb6:1642	Membership
7b93e6a1:150814fecb6:-658	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	City
7b93e6a1:150814fecb6:211	Membership
7b93e6a1:150814fecb6:1c74	Membership
7b93e6a1:150814fecb6:-3a4	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/	Province
7b93e6a1:150814fecb6:-300	Membership
7b93e6a1:150814fecb6:8a9	Membership
7b93e6a1:150814fecb6:471	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	City
7b93e6a1:150814fecb6:805	Membership
7b93e6a1:150814fecb6:-7c	Membership
7b93e6a1:150814fecb6:-560	Membership
7b93e6a1:150814fecb6:23f7	BelievedBy
7b93e6a1:150814fecb6:e37	Membership
http://www.semwebtech.org/mondial/10/estuary/Chire/	Estuary
7b93e6a1:150814fecb6:1fb4	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	City
7b93e6a1:150814fecb6:2353	BelievedBy
7b93e6a1:150814fecb6:1f10	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	City
7b93e6a1:150814fecb6:7b1	Membership
7b93e6a1:150814fecb6:14ed	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	City
7b93e6a1:150814fecb6:de3	Membership
7b93e6a1:150814fecb6:-45f	Membership
7b93e6a1:150814fecb6:46	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	City
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	City
7b93e6a1:150814fecb6:1a7b	Membership
7b93e6a1:150814fecb6:-1ab	Membership
http://www.semwebtech.org/mondial/10/islands/RiauIslands/	Islands
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/	Province
7b93e6a1:150814fecb6:1e0f	Membership
7b93e6a1:150814fecb6:1109	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	City
http://www.semwebtech.org/mondial/10/source/Piva/	Source
7b93e6a1:150814fecb6:60c	Membership
7b93e6a1:150814fecb6:21fe	SpokenBy
7b93e6a1:150814fecb6:1369	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	City
http://www.semwebtech.org/mondial/10/island/Vulcano/	Island
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	Estuary
7b93e6a1:150814fecb6:c3e	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/	Province
7b93e6a1:150814fecb6:1dbb	Membership
http://www.semwebtech.org/mondial/10/river/Volta/	Water
7b93e6a1:150814fecb6:10b5	Membership
7b93e6a1:150814fecb6:215a	SpokenBy
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	City
7b93e6a1:150814fecb6:86c	Membership
7b93e6a1:150814fecb6:1011	Membership
7b93e6a1:150814fecb6:e9e	Membership
7b93e6a1:150814fecb6:198	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Chuvash/	EthnicGroup
7b93e6a1:150814fecb6:bea	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	City
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	City
7b93e6a1:150814fecb6:16a9	Membership
7b93e6a1:150814fecb6:1271	Membership
7b93e6a1:150814fecb6:-287	Membership
7b93e6a1:150814fecb6:1605	Membership
7b93e6a1:150814fecb6:1c37	Membership
http://www.semwebtech.org/mondial/10/mountains/Rif/	Mountains
7b93e6a1:150814fecb6:1865	Membership
7b93e6a1:150814fecb6:4d8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/	Province
7b93e6a1:150814fecb6:1e97	Membership
7b93e6a1:150814fecb6:434	Membership
7b93e6a1:150814fecb6:15b1	Membership
7b93e6a1:150814fecb6:-5c7	Membership
7b93e6a1:150814fecb6:a66	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	City
7b93e6a1:150814fecb6:1be3	Membership
7b93e6a1:150814fecb6:-3f	Membership
7b93e6a1:150814fecb6:-523	Membership
7b93e6a1:150814fecb6:694	Membership
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	Island
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	City
7b93e6a1:150814fecb6:2316	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/	Mountains
7b93e6a1:150814fecb6:3e0	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	City
7b93e6a1:150814fecb6:-783	Encompassed
http://www.semwebtech.org/mondial/10/country/RSA/	Country
http://www.semwebtech.org/mondial/10/river/Tshuapa/	Water
7b93e6a1:150814fecb6:2576	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/	Province
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/	Province
7b93e6a1:150814fecb6:da6	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	City
7b93e6a1:150814fecb6:140c	Membership
7b93e6a1:150814fecb6:22c2	BelievedBy
7b93e6a1:150814fecb6:d02	Membership
7b93e6a1:150814fecb6:9d4	Membership
7b93e6a1:150814fecb6:1a3e	Membership
7b93e6a1:150814fecb6:930	Membership
7b93e6a1:150814fecb6:2df	Membership
7b93e6a1:150814fecb6:166c	Membership
7b93e6a1:150814fecb6:f62	Membership
7b93e6a1:150814fecb6:23b	Membership
7b93e6a1:150814fecb6:1c9e	Membership
7b93e6a1:150814fecb6:-3ce	Membership
7b93e6a1:150814fecb6:-32a	Membership
http://www.semwebtech.org/mondial/10/country/USA/	Country
7b93e6a1:150814fecb6:49b	Membership
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	City
7b93e6a1:150814fecb6:211d	SpokenBy
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	City
7b93e6a1:150814fecb6:82f	Membership
7b93e6a1:150814fecb6:19ac	Membership
7b93e6a1:150814fecb6:-58a	Membership
http://www.semwebtech.org/mondial/10/island/Halmahera/	Island
7b93e6a1:150814fecb6:3	Membership
7b93e6a1:150814fecb6:1fde	Membership
http://www.semwebtech.org/mondial/10/organization/ESA/	Organization
7b93e6a1:150814fecb6:12d8	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/	Province
7b93e6a1:150814fecb6:237d	BelievedBy
7b93e6a1:150814fecb6:bad	Membership
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	Water
7b93e6a1:150814fecb6:1f3a	Membership
7b93e6a1:150814fecb6:1234	Membership
7b93e6a1:150814fecb6:7db	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	City
http://www.semwebtech.org/mondial/10/island/Formentera/	Island
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	Source
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	City
7b93e6a1:150814fecb6:1494	Membership
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	City
7b93e6a1:150814fecb6:1828	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	City
7b93e6a1:150814fecb6:11e0	Membership
7b93e6a1:150814fecb6:-1f6	Membership
7b93e6a1:150814fecb6:26bd	EthnicProportion
7b93e6a1:150814fecb6:-152	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/	Province
7b93e6a1:150814fecb6:a29	Membership
7b93e6a1:150814fecb6:1ba6	Membership
7b93e6a1:150814fecb6:657	Membership
7b93e6a1:150814fecb6:1b02	Membership
7b93e6a1:150814fecb6:17d4	Membership
7b93e6a1:150814fecb6:c89	Membership
7b93e6a1:150814fecb6:3a3	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	City
7b93e6a1:150814fecb6:1730	Membership
7b93e6a1:150814fecb6:-746	Encompassed
7b93e6a1:150814fecb6:10df	Membership
http://www.semwebtech.org/mondial/10/language/Afrikaans/	Language
7b93e6a1:150814fecb6:1d62	Membership
7b93e6a1:150814fecb6:103b	Membership
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	City
7b93e6a1:150814fecb6:2539	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	Water
http://www.semwebtech.org/mondial/10/river/Maranon/	Water
7b93e6a1:150814fecb6:1990	Membership
http://www.semwebtech.org/mondial/10/islands/FutunaIslands/	Islands
7b93e6a1:150814fecb6:-6f2	Border
7b93e6a1:150814fecb6:129b	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/	Province
http://www.semwebtech.org/mondial/10/country/BS/	Country
7b93e6a1:150814fecb6:fc9	Membership
7b93e6a1:150814fecb6:b91	Membership
7b93e6a1:150814fecb6:162f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	City
7b93e6a1:150814fecb6:24e5	EthnicProportion
7b93e6a1:150814fecb6:f25	Membership
7b93e6a1:150814fecb6:2441	BelievedBy
7b93e6a1:150814fecb6:188f	Membership
http://www.semwebtech.org/mondial/10/island/DevonIsland/	Island
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	City
7b93e6a1:150814fecb6:45e	Membership
7b93e6a1:150814fecb6:15db	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	EthnicGroup
7b93e6a1:150814fecb6:ed1	Membership
7b93e6a1:150814fecb6:1aa	Membership
7b93e6a1:150814fecb6:-54d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	City
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	City
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/	Province
7b93e6a1:150814fecb6:e0	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/	Province
7b93e6a1:150814fecb6:1457	Membership
7b93e6a1:150814fecb6:22ec	BelievedBy
7b93e6a1:150814fecb6:d2c	Membership
7b93e6a1:150814fecb6:9fe	Membership
7b93e6a1:150814fecb6:1a89	Membership
7b93e6a1:150814fecb6:11a3	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	City
7b93e6a1:150814fecb6:-1b9	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	City
7b93e6a1:150814fecb6:95a	Membership
7b93e6a1:150814fecb6:-115	Membership
7b93e6a1:150814fecb6:f8c	Membership
7b93e6a1:150814fecb6:286	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	City
7b93e6a1:150814fecb6:-375	Membership
7b93e6a1:150814fecb6:1dc9	Membership
7b93e6a1:150814fecb6:-709	Border
7b93e6a1:150814fecb6:2168	SpokenBy
7b93e6a1:150814fecb6:1d25	Membership
7b93e6a1:150814fecb6:19f7	Membership
http://www.semwebtech.org/mondial/10/estuary/Isar/	Estuary
7b93e6a1:150814fecb6:5c6	Membership
7b93e6a1:150814fecb6:1953	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	City
7b93e6a1:150814fecb6:1f85	Membership
7b93e6a1:150814fecb6:bf8	Membership
7b93e6a1:150814fecb6:522	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	City
7b93e6a1:150814fecb6:-6b5	Border
7b93e6a1:150814fecb6:125e	Membership
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	City
7b93e6a1:150814fecb6:b54	Membership
7b93e6a1:150814fecb6:1cd1	Membership
7b93e6a1:150814fecb6:-611	Border
7b93e6a1:150814fecb6:24a8	EthnicProportion
7b93e6a1:150814fecb6:2070	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	City
http://www.semwebtech.org/mondial/10/island/Aruba/	Island
7b93e6a1:150814fecb6:782	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/	Province
7b93e6a1:150814fecb6:2404	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	City
http://www.semwebtech.org/mondial/10/island/Kos/	Island
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/	Province
7b93e6a1:150814fecb6:-17c	Membership
7b93e6a1:150814fecb6:2664	EthnicProportion
http://www.semwebtech.org/mondial/10/country/ZW/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	City
7b93e6a1:150814fecb6:23b0	BelievedBy
7b93e6a1:150814fecb6:1b2c	Membership
7b93e6a1:150814fecb6:17fe	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	City
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	City
7b93e6a1:150814fecb6:3cd	Membership
http://www.semwebtech.org/mondial/10/language/Catalan/	Language
7b93e6a1:150814fecb6:175a	Membership
http://www.semwebtech.org/mondial/10/island/Graciosa/	Island
7b93e6a1:150814fecb6:1d8c	Membership
7b93e6a1:150814fecb6:-4bc	Membership
7b93e6a1:150814fecb6:1086	Membership
7b93e6a1:150814fecb6:a3	Membership
7b93e6a1:150814fecb6:22af	BelievedBy
http://www.semwebtech.org/mondial/10/country/AND/	Country
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	City
7b93e6a1:150814fecb6:220b	SpokenBy
http://www.semwebtech.org/mondial/10/river/Reuss/	Water
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/	Province
7b93e6a1:150814fecb6:91d	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/	Province
7b93e6a1:150814fecb6:f4f	Membership
7b93e6a1:150814fecb6:249	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	Province
7b93e6a1:150814fecb6:13c6	Membership
7b93e6a1:150814fecb6:246b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	City
http://www.semwebtech.org/mondial/10/estuary/Morava/	Estuary
http://www.semwebtech.org/mondial/10/organization/GCC/	Organization
7b93e6a1:150814fecb6:1322	Membership
7b93e6a1:150814fecb6:-338	Membership
http://www.semwebtech.org/mondial/10/country/D/	Country
7b93e6a1:150814fecb6:1582	Membership
7b93e6a1:150814fecb6:efb	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	City
7b93e6a1:150814fecb6:1f5	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	City
7b93e6a1:150814fecb6:-598	Membership
7b93e6a1:150814fecb6:1916	Membership
7b93e6a1:150814fecb6:151	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	City
7b93e6a1:150814fecb6:-2e4	Membership
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	City
7b93e6a1:150814fecb6:1f48	Membership
7b93e6a1:150814fecb6:-240	Membership
7b93e6a1:150814fecb6:20d7	Membership
7b93e6a1:150814fecb6:b17	Membership
7b93e6a1:150814fecb6:7e9	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Chamorro/	EthnicGroup
7b93e6a1:150814fecb6:2033	Membership
7b93e6a1:150814fecb6:745	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	City
http://www.semwebtech.org/mondial/10/mountain/Pelee/	Mountain
7b93e6a1:150814fecb6:18c2	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	City
7b93e6a1:150814fecb6:d77	Membership
7b93e6a1:150814fecb6:1ef4	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	City
7b93e6a1:150814fecb6:11cd	Membership
7b93e6a1:150814fecb6:2293	BelievedBy
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	Island
7b93e6a1:150814fecb6:ac3	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	City
7b93e6a1:150814fecb6:1e50	Membership
7b93e6a1:150814fecb6:-13f	Membership
7b93e6a1:150814fecb6:2627	EthnicProportion
7b93e6a1:150814fecb6:6f1	Membership
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	Island
7b93e6a1:150814fecb6:-7e0	Encompassed
7b93e6a1:150814fecb6:-39f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/	Province
7b93e6a1:150814fecb6:171d	Membership
7b93e6a1:150814fecb6:25d3	EthnicProportion
7b93e6a1:150814fecb6:1d4f	Membership
7b93e6a1:150814fecb6:1049	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/	Province
7b93e6a1:150814fecb6:197d	Membership
7b93e6a1:150814fecb6:54c	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	City
7b93e6a1:150814fecb6:-6df	Border
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	Mountain
7b93e6a1:150814fecb6:b7e	Membership
7b93e6a1:150814fecb6:1cfb	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	City
7b93e6a1:150814fecb6:-63b	Border
7b93e6a1:150814fecb6:209a	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	City
7b93e6a1:150814fecb6:242e	BelievedBy
7b93e6a1:150814fecb6:15e9	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	City
7b93e6a1:150814fecb6:268e	EthnicProportion
7b93e6a1:150814fecb6:23da	BelievedBy
7b93e6a1:150814fecb6:ebe	Membership
7b93e6a1:150814fecb6:1b77	Membership
7b93e6a1:150814fecb6:1b8	Membership
7b93e6a1:150814fecb6:-80	Membership
7b93e6a1:150814fecb6:1545	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	City
7b93e6a1:150814fecb6:e1a	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	City
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	City
7b93e6a1:150814fecb6:114	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	City
7b93e6a1:150814fecb6:-2a7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	EthnicGroup
7b93e6a1:150814fecb6:-203	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	City
7b93e6a1:150814fecb6:374	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	City
7b93e6a1:150814fecb6:14f1	Membership
7b93e6a1:150814fecb6:cd	Membership
7b93e6a1:150814fecb6:708	Membership
7b93e6a1:150814fecb6:-463	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	EthnicGroup
7b93e6a1:150814fecb6:1eb7	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/	Province
7b93e6a1:150814fecb6:2256	BelievedBy
7b93e6a1:150814fecb6:968	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	City
7b93e6a1:150814fecb6:1e13	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/	Province
7b93e6a1:150814fecb6:6b4	Membership
http://www.semwebtech.org/mondial/10/island/Bioko/	Island
7b93e6a1:150814fecb6:ce6	Membership
7b93e6a1:150814fecb6:610	Membership
7b93e6a1:150814fecb6:-7a3	Encompassed
7b93e6a1:150814fecb6:134c	Membership
7b93e6a1:150814fecb6:c42	Membership
7b93e6a1:150814fecb6:870	Membership
7b93e6a1:150814fecb6:17b	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	City
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/	Province
7b93e6a1:150814fecb6:50f	Membership
http://www.semwebtech.org/mondial/10/source/Indus/	Source
7b93e6a1:150814fecb6:-26a	Membership
http://www.semwebtech.org/mondial/10/river/Raab/	Water
7b93e6a1:150814fecb6:1cbe	Membership
7b93e6a1:150814fecb6:205d	Membership
http://www.semwebtech.org/mondial/10/island/Amrum/	Island
7b93e6a1:150814fecb6:76f	Membership
7b93e6a1:150814fecb6:1c1a	Membership
7b93e6a1:150814fecb6:18ec	Membership
7b93e6a1:150814fecb6:4bb	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	City
7b93e6a1:150814fecb6:aed	Membership
7b93e6a1:150814fecb6:1e7a	Membership
7b93e6a1:150814fecb6:-e7	Membership
7b93e6a1:150814fecb6:-5aa	Membership
7b93e6a1:150814fecb6:1174	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	City
7b93e6a1:150814fecb6:-43	Membership
7b93e6a1:150814fecb6:1508	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/	Province
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	City
7b93e6a1:150814fecb6:1768	Membership
7b93e6a1:150814fecb6:25fd	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	City
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	City
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	Water
7b93e6a1:150814fecb6:337	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	City
7b93e6a1:150814fecb6:14b4	Membership
7b93e6a1:150814fecb6:1ae6	Membership
7b93e6a1:150814fecb6:1410	Membership
7b93e6a1:150814fecb6:-426	Membership
7b93e6a1:150814fecb6:597	Membership
7b93e6a1:150814fecb6:1a42	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/	Province
7b93e6a1:150814fecb6:2219	SpokenBy
7b93e6a1:150814fecb6:1670	Membership
7b93e6a1:150814fecb6:2e3	Membership
7b93e6a1:150814fecb6:-686	Border
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	City
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	Estuary
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	Mountain
7b93e6a1:150814fecb6:-3d2	Membership
7b93e6a1:150814fecb6:2479	EthnicProportion
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	City
7b93e6a1:150814fecb6:ca9	Membership
7b93e6a1:150814fecb6:130f	Membership
7b93e6a1:150814fecb6:21c5	SpokenBy
7b93e6a1:150814fecb6:c05	Membership
7b93e6a1:150814fecb6:8d7	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/	Province
7b93e6a1:150814fecb6:2121	SpokenBy
7b93e6a1:150814fecb6:833	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	City
7b93e6a1:150814fecb6:19b0	Membership
7b93e6a1:150814fecb6:156f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/	Province
7b93e6a1:150814fecb6:e65	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	City
7b93e6a1:150814fecb6:1fe2	Membership
7b93e6a1:150814fecb6:13e	Membership
7b93e6a1:150814fecb6:12bb	Membership
7b93e6a1:150814fecb6:2381	BelievedBy
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	City
7b93e6a1:150814fecb6:bb1	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	City
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	Estuary
7b93e6a1:150814fecb6:-22d	Membership
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	Source
7b93e6a1:150814fecb6:39e	Membership
http://www.semwebtech.org/mondial/10/islands/Azores/	Islands
http://www.semwebtech.org/mondial/10/source/Colorado/	Source
7b93e6a1:150814fecb6:18af	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	City
7b93e6a1:150814fecb6:-48d	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	City
7b93e6a1:150814fecb6:74	Membership
7b93e6a1:150814fecb6:180b	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	City
7b93e6a1:150814fecb6:26c1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	City
7b93e6a1:150814fecb6:1e3d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	City
7b93e6a1:150814fecb6:1137	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	City
7b93e6a1:150814fecb6:6de	Membership
7b93e6a1:150814fecb6:a0c	Membership
7b93e6a1:150814fecb6:63a	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	City
7b93e6a1:150814fecb6:-7cd	Encompassed
7b93e6a1:150814fecb6:1397	Membership
http://www.semwebtech.org/mondial/10/island/Mykonos/	Island
7b93e6a1:150814fecb6:c6c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	City
7b93e6a1:150814fecb6:10e3	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	City
http://www.semwebtech.org/mondial/10/country/LV/	Country
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/	Province
7b93e6a1:150814fecb6:89a	Membership
7b93e6a1:150814fecb6:251c	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/IFRCS/	Organization
7b93e6a1:150814fecb6:1aa9	Membership
7b93e6a1:150814fecb6:1a05	Membership
7b93e6a1:150814fecb6:16d7	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/	Province
7b93e6a1:150814fecb6:fac	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	City
7b93e6a1:150814fecb6:2a6	Membership
7b93e6a1:150814fecb6:1633	Membership
7b93e6a1:150814fecb6:-649	Border
http://www.semwebtech.org/mondial/10/organization/IAEA/	Organization
7b93e6a1:150814fecb6:202	Membership
7b93e6a1:150814fecb6:1c65	Membership
http://www.semwebtech.org/mondial/10/mountain/Cayambe/	Mountain
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/	Province
7b93e6a1:150814fecb6:1893	Membership
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	City
7b93e6a1:150814fecb6:462	Membership
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	Water
7b93e6a1:150814fecb6:-5f5	Border
7b93e6a1:150814fecb6:119e	Membership
7b93e6a1:150814fecb6:a94	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	City
7b93e6a1:150814fecb6:-6d	Membership
7b93e6a1:150814fecb6:-551	Membership
7b93e6a1:150814fecb6:23e8	BelievedBy
7b93e6a1:150814fecb6:e28	Membership
7b93e6a1:150814fecb6:1fa5	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	EthnicGroup
http://www.semwebtech.org/mondial/10/organization/IMO/	Organization
7b93e6a1:150814fecb6:2344	BelievedBy
7b93e6a1:150814fecb6:1f01	Membership
7b93e6a1:150814fecb6:7a2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	City
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	City
7b93e6a1:150814fecb6:14de	Membership
7b93e6a1:150814fecb6:dd4	Membership
7b93e6a1:150814fecb6:22f0	BelievedBy
7b93e6a1:150814fecb6:143a	Membership
7b93e6a1:150814fecb6:37	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	City
7b93e6a1:150814fecb6:d30	Membership
7b93e6a1:150814fecb6:1a6c	Membership
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Karamojong/	EthnicGroup
7b93e6a1:150814fecb6:169a	Membership
7b93e6a1:150814fecb6:f90	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	City
7b93e6a1:150814fecb6:-3fc	Membership
http://www.semwebtech.org/mondial/10/language/Hindi/	Language
http://www.semwebtech.org/mondial/10/organization/AMF/	Organization
7b93e6a1:150814fecb6:21ef	SpokenBy
7b93e6a1:150814fecb6:c2f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	City
7b93e6a1:150814fecb6:1dac	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	City
7b93e6a1:150814fecb6:10a6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mangbetu-Azande/	EthnicGroup
7b93e6a1:150814fecb6:214b	SpokenBy
7b93e6a1:150814fecb6:19da	Membership
7b93e6a1:150814fecb6:85d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	City
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	City
7b93e6a1:150814fecb6:1002	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	City
7b93e6a1:150814fecb6:e8f	Membership
7b93e6a1:150814fecb6:189	Membership
7b93e6a1:150814fecb6:bdb	Membership
7b93e6a1:150814fecb6:1262	Membership
7b93e6a1:150814fecb6:-278	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	City
7b93e6a1:150814fecb6:1c28	Membership
7b93e6a1:150814fecb6:9e	Membership
7b93e6a1:150814fecb6:4c9	Membership
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	Mountain
7b93e6a1:150814fecb6:1856	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/	Province
7b93e6a1:150814fecb6:1e88	Membership
7b93e6a1:150814fecb6:425	Membership
7b93e6a1:150814fecb6:15a2	Membership
7b93e6a1:150814fecb6:-5b8	Membership
7b93e6a1:150814fecb6:-180	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	City
7b93e6a1:150814fecb6:a57	Membership
http://www.semwebtech.org/mondial/10/language/Norwegian/	Language
7b93e6a1:150814fecb6:1bd4	Membership
7b93e6a1:150814fecb6:-514	Membership
7b93e6a1:150814fecb6:685	Membership
7b93e6a1:150814fecb6:1b30	Membership
7b93e6a1:150814fecb6:2307	BelievedBy
http://www.semwebtech.org/mondial/10/language/Icelandic/	Language
7b93e6a1:150814fecb6:3d1	Membership
7b93e6a1:150814fecb6:-774	Encompassed
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/	Province
7b93e6a1:150814fecb6:1d90	Membership
7b93e6a1:150814fecb6:-4c0	Membership
7b93e6a1:150814fecb6:2567	EthnicProportion
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	City
7b93e6a1:150814fecb6:22b3	BelievedBy
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	City
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	Mountain
7b93e6a1:150814fecb6:9c5	Membership
7b93e6a1:150814fecb6:1a2f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	City
7b93e6a1:150814fecb6:ff7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	City
7b93e6a1:150814fecb6:921	Membership
http://www.semwebtech.org/mondial/10/source/Iller/	Source
7b93e6a1:150814fecb6:165d	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	City
http://www.semwebtech.org/mondial/10/river/Shabelle/	Water
7b93e6a1:150814fecb6:f53	Membership
http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	Islands
7b93e6a1:150814fecb6:22c	Membership
7b93e6a1:150814fecb6:1c8f	Membership
7b93e6a1:150814fecb6:-3bf	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	City
7b93e6a1:150814fecb6:-31b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	City
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/	Mountain
7b93e6a1:150814fecb6:48c	Membership
7b93e6a1:150814fecb6:210e	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/	Province
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	City
7b93e6a1:150814fecb6:-57b	Membership
7b93e6a1:150814fecb6:1fcf	Membership
7b93e6a1:150814fecb6:12c9	Membership
7b93e6a1:150814fecb6:236e	BelievedBy
7b93e6a1:150814fecb6:1f2b	Membership
7b93e6a1:150814fecb6:1225	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	City
7b93e6a1:150814fecb6:20ba	Membership
7b93e6a1:150814fecb6:7cc	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternNigritic/	EthnicGroup
7b93e6a1:150814fecb6:dfe	Membership
7b93e6a1:150814fecb6:1485	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/	Province
7b93e6a1:150814fecb6:d5a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	City
7b93e6a1:150814fecb6:1819	Membership
7b93e6a1:150814fecb6:11d1	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/	Province
7b93e6a1:150814fecb6:-1e7	Membership
7b93e6a1:150814fecb6:26ae	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/	Province
7b93e6a1:150814fecb6:-a0	Membership
7b93e6a1:150814fecb6:-143	Membership
7b93e6a1:150814fecb6:260a	EthnicProportion
7b93e6a1:150814fecb6:648	Membership
http://www.semwebtech.org/mondial/10/organization/UNMIT/	Organization
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/	Province
7b93e6a1:150814fecb6:17c5	Membership
7b93e6a1:150814fecb6:1df7	Membership
7b93e6a1:150814fecb6:1721	Membership
7b93e6a1:150814fecb6:-737	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	EthnicGroup
7b93e6a1:150814fecb6:2196	SpokenBy
7b93e6a1:150814fecb6:1d53	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/	Province
7b93e6a1:150814fecb6:102c	Membership
7b93e6a1:150814fecb6:5f4	Membership
7b93e6a1:150814fecb6:1981	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	City
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	Desert
7b93e6a1:150814fecb6:550	Membership
7b93e6a1:150814fecb6:-6e3	Border
7b93e6a1:150814fecb6:128c	Membership
7b93e6a1:150814fecb6:b82	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/	Province
7b93e6a1:150814fecb6:24d6	EthnicProportion
7b93e6a1:150814fecb6:f16	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	City
7b93e6a1:150814fecb6:2432	BelievedBy
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	City
7b93e6a1:150814fecb6:44f	Membership
7b93e6a1:150814fecb6:15cc	Membership
7b93e6a1:150814fecb6:2692	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	City
7b93e6a1:150814fecb6:ec2	Membership
7b93e6a1:150814fecb6:1bfe	Membership
7b93e6a1:150814fecb6:-53e	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	City
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/	Province
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	City
7b93e6a1:150814fecb6:1b5a	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	Water
7b93e6a1:150814fecb6:3fb	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	City
7b93e6a1:150814fecb6:-79e	Encompassed
http://www.semwebtech.org/mondial/10/islands/Curiles/	Islands
7b93e6a1:150814fecb6:-4ea	Membership
7b93e6a1:150814fecb6:d1	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	City
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	City
7b93e6a1:150814fecb6:1448	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	City
7b93e6a1:150814fecb6:22dd	BelievedBy
7b93e6a1:150814fecb6:d1d	Membership
7b93e6a1:150814fecb6:9ef	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/	Province
7b93e6a1:150814fecb6:94b	Membership
7b93e6a1:150814fecb6:-106	Membership
7b93e6a1:150814fecb6:f7d	Membership
7b93e6a1:150814fecb6:277	Membership
7b93e6a1:150814fecb6:13f4	Membership
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	Estuary
http://www.semwebtech.org/mondial/10/country/UZB/	Country
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/	Province
7b93e6a1:150814fecb6:1350	Membership
7b93e6a1:150814fecb6:-366	Membership
7b93e6a1:150814fecb6:2159	SpokenBy
http://www.semwebtech.org/mondial/10/river/Morava/	Water
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	City
7b93e6a1:150814fecb6:1d16	Membership
7b93e6a1:150814fecb6:19e8	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/	Province
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	City
7b93e6a1:150814fecb6:5b7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Gurage/	EthnicGroup
7b93e6a1:150814fecb6:1944	Membership
http://www.semwebtech.org/mondial/10/language/Vietnamese/	Language
7b93e6a1:150814fecb6:1f76	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/	Province
7b93e6a1:150814fecb6:be9	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	City
7b93e6a1:150814fecb6:513	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/	Province
7b93e6a1:150814fecb6:-6a6	Border
7b93e6a1:150814fecb6:124f	Membership
7b93e6a1:150814fecb6:b45	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	City
7b93e6a1:150814fecb6:1cc2	Membership
7b93e6a1:150814fecb6:-602	Border
7b93e6a1:150814fecb6:2061	Membership
7b93e6a1:150814fecb6:773	Membership
7b93e6a1:150814fecb6:18f0	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	City
http://www.semwebtech.org/mondial/10/language/AfghanPersian/	Language
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	City
http://www.semwebtech.org/mondial/10/islands/FijiIslands/	Islands
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	City
7b93e6a1:150814fecb6:11fb	Membership
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	Island
7b93e6a1:150814fecb6:af1	Membership
7b93e6a1:150814fecb6:-ca	Membership
7b93e6a1:150814fecb6:-16d	Membership
7b93e6a1:150814fecb6:2655	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	City
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	Estuary
7b93e6a1:150814fecb6:23a1	BelievedBy
7b93e6a1:150814fecb6:1b1d	Membership
7b93e6a1:150814fecb6:17ef	Membership
7b93e6a1:150814fecb6:3be	Membership
7b93e6a1:150814fecb6:174b	Membership
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	City
7b93e6a1:150814fecb6:1d7d	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	City
7b93e6a1:150814fecb6:31a	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/	Province
7b93e6a1:150814fecb6:-4ad	Membership
7b93e6a1:150814fecb6:1077	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	City
http://www.semwebtech.org/mondial/10/mountains/Taurus/	Mountains
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	EthnicGroup
http://www.semwebtech.org/mondial/10/islands/Carolines/	Islands
7b93e6a1:150814fecb6:57a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	City
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	Island
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/	Province
7b93e6a1:150814fecb6:90e	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	City
http://www.semwebtech.org/mondial/10/river/Weser/	Water
7b93e6a1:150814fecb6:13b7	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	City
7b93e6a1:150814fecb6:245c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/	Province
7b93e6a1:150814fecb6:1313	Membership
7b93e6a1:150814fecb6:-329	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/	Province
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	Water
7b93e6a1:150814fecb6:8ba	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	City
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	City
http://www.semwebtech.org/mondial/10/lake/LacLeman/	Water
7b93e6a1:150814fecb6:eec	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	City
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	City
7b93e6a1:150814fecb6:1e6	Membership
7b93e6a1:150814fecb6:1573	Membership
7b93e6a1:150814fecb6:-589	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/	Province
7b93e6a1:150814fecb6:142	Membership
7b93e6a1:150814fecb6:1907	Membership
7b93e6a1:150814fecb6:-2d5	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Moravian/	EthnicGroup
http://www.semwebtech.org/mondial/10/river/SchattalArab/	Water
7b93e6a1:150814fecb6:1f39	Membership
http://www.semwebtech.org/mondial/10/country/RM/	Country
7b93e6a1:150814fecb6:-231	Membership
7b93e6a1:150814fecb6:20c8	Membership
7b93e6a1:150814fecb6:b08	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Persian/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/Angara/	Estuary
7b93e6a1:150814fecb6:fb	Membership
7b93e6a1:150814fecb6:2024	Membership
7b93e6a1:150814fecb6:736	Membership
7b93e6a1:150814fecb6:18b3	Membership
7b93e6a1:150814fecb6:-491	Membership
7b93e6a1:150814fecb6:d68	Membership
7b93e6a1:150814fecb6:1ee5	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/	Province
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	Mountain
7b93e6a1:150814fecb6:11be	Membership
7b93e6a1:150814fecb6:2284	BelievedBy
7b93e6a1:150814fecb6:ab4	Membership
7b93e6a1:150814fecb6:996	Membership
7b93e6a1:150814fecb6:1e41	Membership
7b93e6a1:150814fecb6:111a	Membership
7b93e6a1:150814fecb6:2618	EthnicProportion
7b93e6a1:150814fecb6:6e2	Membership
7b93e6a1:150814fecb6:a10	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/	Province
7b93e6a1:150814fecb6:137a	Membership
7b93e6a1:150814fecb6:-7d1	Encompassed
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	City
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	City
7b93e6a1:150814fecb6:c70	Membership
7b93e6a1:150814fecb6:170e	Membership
7b93e6a1:150814fecb6:25c4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/	Province
7b93e6a1:150814fecb6:2520	EthnicProportion
http://www.semwebtech.org/mondial/10/island/LongIsland/	Island
7b93e6a1:150814fecb6:196e	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	City
7b93e6a1:150814fecb6:53d	Membership
7b93e6a1:150814fecb6:16ba	Membership
7b93e6a1:150814fecb6:fb0	Membership
7b93e6a1:150814fecb6:b6f	Membership
7b93e6a1:150814fecb6:1cec	Membership
7b93e6a1:150814fecb6:-62c	Border
7b93e6a1:150814fecb6:208b	Membership
7b93e6a1:150814fecb6:79d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/	Province
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	Mountain
7b93e6a1:150814fecb6:241f	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	City
http://www.semwebtech.org/mondial/10/organization/WCO/	Organization
7b93e6a1:150814fecb6:267f	EthnicProportion
7b93e6a1:150814fecb6:eaf	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	City
7b93e6a1:150814fecb6:1a9	Membership
7b93e6a1:150814fecb6:-71	Membership
7b93e6a1:150814fecb6:1536	Membership
7b93e6a1:150814fecb6:23cb	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	City
7b93e6a1:150814fecb6:e0b	Membership
7b93e6a1:150814fecb6:105	Membership
7b93e6a1:150814fecb6:1b68	Membership
http://www.semwebtech.org/mondial/10/country/R/	Country
7b93e6a1:150814fecb6:1796	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/	Province
7b93e6a1:150814fecb6:14e2	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/	Province
7b93e6a1:150814fecb6:365	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/	Province
7b93e6a1:150814fecb6:-4f8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	City
7b93e6a1:150814fecb6:be	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	City
7b93e6a1:150814fecb6:-454	Membership
7b93e6a1:150814fecb6:1a	Membership
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	Water
7b93e6a1:150814fecb6:1ea8	Membership
7b93e6a1:150814fecb6:1a70	Membership
7b93e6a1:150814fecb6:-1a0	Membership
7b93e6a1:150814fecb6:2247	BelievedBy
7b93e6a1:150814fecb6:959	Membership
7b93e6a1:150814fecb6:1e04	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	City
http://www.semwebtech.org/mondial/10/island/Rota/	Island
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	City
7b93e6a1:150814fecb6:6a5	Membership
7b93e6a1:150814fecb6:cd7	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	City
7b93e6a1:150814fecb6:601	Membership
7b93e6a1:150814fecb6:133d	Membership
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	Water
7b93e6a1:150814fecb6:21f3	SpokenBy
7b93e6a1:150814fecb6:c33	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	Province
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	City
7b93e6a1:150814fecb6:1db0	Membership
7b93e6a1:150814fecb6:861	Membership
7b93e6a1:150814fecb6:159d	Membership
7b93e6a1:150814fecb6:e93	Membership
7b93e6a1:150814fecb6:16c	Membership
http://www.semwebtech.org/mondial/10/river/Waag/	Water
7b93e6a1:150814fecb6:-2ff	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	City
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	City
7b93e6a1:150814fecb6:-25b	Membership
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	Water
http://www.semwebtech.org/mondial/10/country/RCH/	Country
7b93e6a1:150814fecb6:1caf	Membership
7b93e6a1:150814fecb6:204e	Membership
http://www.semwebtech.org/mondial/10/source/Zambezi/	Source
7b93e6a1:150814fecb6:1c0b	Membership
7b93e6a1:150814fecb6:18dd	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	City
7b93e6a1:150814fecb6:4ac	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	City
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	City
7b93e6a1:150814fecb6:ade	Membership
7b93e6a1:150814fecb6:1e6b	Membership
7b93e6a1:150814fecb6:-d8	Membership
http://www.semwebtech.org/mondial/10/source/YukonRiver/	Source
7b93e6a1:150814fecb6:1165	Membership
7b93e6a1:150814fecb6:a3a	Membership
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	Mountain
7b93e6a1:150814fecb6:-34	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/	Province
7b93e6a1:150814fecb6:-7fb	Encompassed
7b93e6a1:150814fecb6:25ee	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/	Province
7b93e6a1:150814fecb6:c9a	Membership
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	Estuary
7b93e6a1:150814fecb6:1759	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	City
http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Mountains
7b93e6a1:150814fecb6:1699	Membership
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	City
7b93e6a1:150814fecb6:328	Membership
7b93e6a1:150814fecb6:14a5	Membership
7b93e6a1:150814fecb6:254a	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/NamCo/	Water
7b93e6a1:150814fecb6:1ad7	Membership
7b93e6a1:150814fecb6:1401	Membership
7b93e6a1:150814fecb6:-417	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/	Province
7b93e6a1:150814fecb6:-d	Membership
7b93e6a1:150814fecb6:588	Membership
7b93e6a1:150814fecb6:1a33	Membership
7b93e6a1:150814fecb6:fda	Membership
7b93e6a1:150814fecb6:1661	Membership
7b93e6a1:150814fecb6:2d4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/	Province
7b93e6a1:150814fecb6:-677	Border
7b93e6a1:150814fecb6:230	Membership
7b93e6a1:150814fecb6:1c93	Membership
7b93e6a1:150814fecb6:-3c3	Membership
7b93e6a1:150814fecb6:21b6	SpokenBy
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	City
7b93e6a1:150814fecb6:8c8	Membership
7b93e6a1:150814fecb6:490	Membership
7b93e6a1:150814fecb6:2112	Membership
http://www.semwebtech.org/mondial/10/country/NORF/	Country
7b93e6a1:150814fecb6:19a1	Membership
7b93e6a1:150814fecb6:824	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	City
7b93e6a1:150814fecb6:-9b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/	Province
7b93e6a1:150814fecb6:e56	Membership
7b93e6a1:150814fecb6:1fd3	Membership
7b93e6a1:150814fecb6:12f	Membership
7b93e6a1:150814fecb6:12ac	Membership
7b93e6a1:150814fecb6:2372	BelievedBy
http://www.semwebtech.org/mondial/10/country/BRU/	Country
7b93e6a1:150814fecb6:ba2	Membership
http://www.semwebtech.org/mondial/10/source/Rhone/	Source
7b93e6a1:150814fecb6:-21e	Membership
7b93e6a1:150814fecb6:7d0	Membership
7b93e6a1:150814fecb6:38f	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Rakhine/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountain/Jezerce/	Mountain
7b93e6a1:150814fecb6:-47e	Membership
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	Water
7b93e6a1:150814fecb6:65	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	City
7b93e6a1:150814fecb6:1a9a	Membership
7b93e6a1:150814fecb6:-1ca	Membership
7b93e6a1:150814fecb6:26b2	EthnicProportion
7b93e6a1:150814fecb6:1e2e	Membership
7b93e6a1:150814fecb6:1128	Membership
7b93e6a1:150814fecb6:6cf	Membership
7b93e6a1:150814fecb6:62b	Membership
7b93e6a1:150814fecb6:-7be	Encompassed
7b93e6a1:150814fecb6:1388	Membership
7b93e6a1:150814fecb6:c5d	Membership
7b93e6a1:150814fecb6:1dda	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/	Province
7b93e6a1:150814fecb6:-71a	Border
7b93e6a1:150814fecb6:10d4	Membership
http://www.semwebtech.org/mondial/10/island/SanAndres/	Island
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/	Province
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/	Province
7b93e6a1:150814fecb6:88b	Membership
7b93e6a1:150814fecb6:1030	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	City
7b93e6a1:150814fecb6:250d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	City
http://www.semwebtech.org/mondial/10/source/Karun/	Source
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	City
http://www.semwebtech.org/mondial/10/source/Würm/	Source
7b93e6a1:150814fecb6:16c8	Membership
7b93e6a1:150814fecb6:1290	Membership
7b93e6a1:150814fecb6:1624	Membership
7b93e6a1:150814fecb6:2099	Membership
7b93e6a1:150814fecb6:1c56	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/	Province
7b93e6a1:150814fecb6:4f7	Membership
7b93e6a1:150814fecb6:1884	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	Estuary
7b93e6a1:150814fecb6:453	Membership
7b93e6a1:150814fecb6:15d0	Membership
7b93e6a1:150814fecb6:-5e6	Border
7b93e6a1:150814fecb6:118f	Membership
http://www.semwebtech.org/mondial/10/islands/Philipines/	Islands
7b93e6a1:150814fecb6:a85	Membership
http://www.semwebtech.org/mondial/10/country/NEP/	Country
7b93e6a1:150814fecb6:-5e	Membership
7b93e6a1:150814fecb6:-542	Membership
7b93e6a1:150814fecb6:23d9	BelievedBy
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	City
7b93e6a1:150814fecb6:e19	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/	Province
7b93e6a1:150814fecb6:2335	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	Mountain
http://www.semwebtech.org/mondial/10/organization/OSCE/	Organization
http://www.semwebtech.org/mondial/10/country/BF/	Country
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	City
http://www.semwebtech.org/mondial/10/organization/C/	Organization
7b93e6a1:150814fecb6:14cf	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/	Province
7b93e6a1:150814fecb6:2595	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/	Mountains
7b93e6a1:150814fecb6:dc5	Membership
7b93e6a1:150814fecb6:22e1	BelievedBy
7b93e6a1:150814fecb6:142b	Membership
7b93e6a1:150814fecb6:d21	Membership
7b93e6a1:150814fecb6:28	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/	Province
7b93e6a1:150814fecb6:9f3	Membership
7b93e6a1:150814fecb6:1a5d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	City
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/	Province
http://www.semwebtech.org/mondial/10/river/RioLerma/	Water
http://www.semwebtech.org/mondial/10/organization/D-8/	Organization
7b93e6a1:150814fecb6:2fe	Membership
7b93e6a1:150814fecb6:168b	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/	Province
7b93e6a1:150814fecb6:f81	Membership
7b93e6a1:150814fecb6:25a	Membership
7b93e6a1:150814fecb6:-3ed	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	City
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	City
7b93e6a1:150814fecb6:213c	SpokenBy
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	City
7b93e6a1:150814fecb6:84e	Membership
7b93e6a1:150814fecb6:19cb	Membership
7b93e6a1:150814fecb6:239c	BelievedBy
7b93e6a1:150814fecb6:1ffd	Membership
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	Island
7b93e6a1:150814fecb6:12f7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/	Province
http://www.semwebtech.org/mondial/10/country/STP/	Country
7b93e6a1:150814fecb6:bcc	Membership
7b93e6a1:150814fecb6:1253	Membership
7b93e6a1:150814fecb6:-269	Membership
http://www.semwebtech.org/mondial/10/organization/G-8/	Organization
http://www.semwebtech.org/mondial/10/estuary/Neckar/	Estuary
7b93e6a1:150814fecb6:7fa	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/	Province
7b93e6a1:150814fecb6:1c19	Membership
7b93e6a1:150814fecb6:8f	Membership
http://www.semwebtech.org/mondial/10/language/Samoan/	Language
7b93e6a1:150814fecb6:1847	Membership
7b93e6a1:150814fecb6:416	Membership
7b93e6a1:150814fecb6:1e79	Membership
7b93e6a1:150814fecb6:-5a9	Membership
7b93e6a1:150814fecb6:-171	Membership
7b93e6a1:150814fecb6:a48	Membership
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	City
7b93e6a1:150814fecb6:1bc5	Membership
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	City
7b93e6a1:150814fecb6:-505	Membership
7b93e6a1:150814fecb6:676	Membership
7b93e6a1:150814fecb6:1b21	Membership
7b93e6a1:150814fecb6:17f3	Membership
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/	Province
7b93e6a1:150814fecb6:10fe	Membership
7b93e6a1:150814fecb6:3c2	Membership
7b93e6a1:150814fecb6:-765	Encompassed
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	City
7b93e6a1:150814fecb6:1d81	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	City
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/	Province
7b93e6a1:150814fecb6:-4b1	Membership
7b93e6a1:150814fecb6:105a	Membership
7b93e6a1:150814fecb6:2558	EthnicProportion
7b93e6a1:150814fecb6:22a4	BelievedBy
7b93e6a1:150814fecb6:9b6	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/	Province
7b93e6a1:150814fecb6:2200	SpokenBy
7b93e6a1:150814fecb6:fe8	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	City
7b93e6a1:150814fecb6:912	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	City
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	City
7b93e6a1:150814fecb6:164e	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/	Province
7b93e6a1:150814fecb6:f44	Membership
7b93e6a1:150814fecb6:21d	Membership
7b93e6a1:150814fecb6:2460	EthnicProportion
7b93e6a1:150814fecb6:f6e	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	City
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	City
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	City
7b93e6a1:150814fecb6:-30c	Membership
http://www.semwebtech.org/mondial/10/country/IRL/	Country
http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	City
7b93e6a1:150814fecb6:15fa	Membership
7b93e6a1:150814fecb6:47d	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	City
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	City
7b93e6a1:150814fecb6:ef0	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	City
7b93e6a1:150814fecb6:-56c	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	City
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	City
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	Province
7b93e6a1:150814fecb6:235f	BelievedBy
7b93e6a1:150814fecb6:1f1c	Membership
7b93e6a1:150814fecb6:1216	Membership
7b93e6a1:150814fecb6:20ab	Membership
7b93e6a1:150814fecb6:7bd	Membership
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	Source
http://www.semwebtech.org/mondial/10/source/Tocantins/	Source
7b93e6a1:150814fecb6:def	Membership
7b93e6a1:150814fecb6:1476	Membership
http://www.semwebtech.org/mondial/10/island/Bohol/	Island
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	City
7b93e6a1:150814fecb6:d4b	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/	Province
7b93e6a1:150814fecb6:11c2	Membership
7b93e6a1:150814fecb6:-1d8	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	City
7b93e6a1:150814fecb6:-134	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	City
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	City
7b93e6a1:150814fecb6:639	Membership
7b93e6a1:150814fecb6:17b6	Membership
7b93e6a1:150814fecb6:-394	Membership
7b93e6a1:150814fecb6:1de8	Membership
7b93e6a1:150814fecb6:1712	Membership
7b93e6a1:150814fecb6:-728	Encompassed
7b93e6a1:150814fecb6:2187	SpokenBy
7b93e6a1:150814fecb6:899	Membership
7b93e6a1:150814fecb6:1d44	Membership
7b93e6a1:150814fecb6:101d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	City
7b93e6a1:150814fecb6:5e5	Membership
7b93e6a1:150814fecb6:1972	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/	Province
http://www.semwebtech.org/mondial/10/country/A/province/Wien/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	City
7b93e6a1:150814fecb6:541	Membership
7b93e6a1:150814fecb6:-6d4	Border
7b93e6a1:150814fecb6:127d	Membership
7b93e6a1:150814fecb6:b73	Membership
7b93e6a1:150814fecb6:1cf0	Membership
7b93e6a1:150814fecb6:-630	Border
7b93e6a1:150814fecb6:24c7	EthnicProportion
7b93e6a1:150814fecb6:f07	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/	Province
7b93e6a1:150814fecb6:2423	BelievedBy
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/	Province
http://www.semwebtech.org/mondial/10/island/Corvo/	Island
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	City
7b93e6a1:150814fecb6:15bd	Membership
7b93e6a1:150814fecb6:-19b	Membership
7b93e6a1:150814fecb6:2683	EthnicProportion
7b93e6a1:150814fecb6:eb3	Membership
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/	Province
7b93e6a1:150814fecb6:1bef	Membership
7b93e6a1:150814fecb6:-52f	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	City
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/	Province
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/	Province
7b93e6a1:150814fecb6:1b4b	Membership
7b93e6a1:150814fecb6:3ec	Membership
7b93e6a1:150814fecb6:-78f	Encompassed
http://www.semwebtech.org/mondial/10/mountains/Beskides/	Mountains
7b93e6a1:150814fecb6:-4db	Membership
7b93e6a1:150814fecb6:c2	Membership
7b93e6a1:150814fecb6:1439	Membership
7b93e6a1:150814fecb6:22ce	BelievedBy
7b93e6a1:150814fecb6:d0e	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	City
7b93e6a1:150814fecb6:222a	SpokenBy
7b93e6a1:150814fecb6:93c	Membership
7b93e6a1:150814fecb6:268	Membership
7b93e6a1:150814fecb6:13e5	Membership
7b93e6a1:150814fecb6:248a	EthnicProportion
7b93e6a1:150814fecb6:cba	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	City
7b93e6a1:150814fecb6:1341	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	City
7b93e6a1:150814fecb6:-357	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	City
http://www.semwebtech.org/mondial/10/language/Maltese/	Language
7b93e6a1:150814fecb6:1d07	Membership
7b93e6a1:150814fecb6:19d9	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/	Province
7b93e6a1:150814fecb6:5a8	Membership
7b93e6a1:150814fecb6:f	Membership
7b93e6a1:150814fecb6:170	Membership
7b93e6a1:150814fecb6:1935	Membership
http://www.semwebtech.org/mondial/10/source/Zaire/	Source
7b93e6a1:150814fecb6:504	Membership
7b93e6a1:150814fecb6:1f67	Membership
7b93e6a1:150814fecb6:20f6	Membership
7b93e6a1:150814fecb6:b36	Membership
7b93e6a1:150814fecb6:1cb3	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	City
7b93e6a1:150814fecb6:2052	Membership
7b93e6a1:150814fecb6:764	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	City
7b93e6a1:150814fecb6:18e1	Membership
7b93e6a1:150814fecb6:d96	Membership
7b93e6a1:150814fecb6:4b0	Membership
http://www.semwebtech.org/mondial/10/river/Angara/	Water
7b93e6a1:150814fecb6:11ec	Membership
7b93e6a1:150814fecb6:ae2	Membership
7b93e6a1:150814fecb6:-bb	Membership
7b93e6a1:150814fecb6:2646	EthnicProportion
7b93e6a1:150814fecb6:-15e	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/	Province
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	Estuary
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	City
7b93e6a1:150814fecb6:1b0e	Membership
7b93e6a1:150814fecb6:3af	Membership
7b93e6a1:150814fecb6:173c	Membership
7b93e6a1:150814fecb6:25f2	EthnicProportion
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	City
7b93e6a1:150814fecb6:1d6e	Membership
7b93e6a1:150814fecb6:30b	Membership
7b93e6a1:150814fecb6:1068	Membership
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	City
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanSyrian-Lebanese/	EthnicGroup
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	Water
7b93e6a1:150814fecb6:1aba	Membership
7b93e6a1:150814fecb6:199c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Serer/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	City
http://www.semwebtech.org/mondial/10/source/Aruwimi/	Source
7b93e6a1:150814fecb6:56b	Membership
7b93e6a1:150814fecb6:-6fe	Border
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	City
7b93e6a1:150814fecb6:b9d	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	City
7b93e6a1:150814fecb6:-65a	Border
http://www.semwebtech.org/mondial/10/organization/CACM/	Organization
7b93e6a1:150814fecb6:13a8	Membership
7b93e6a1:150814fecb6:244d	BelievedBy
7b93e6a1:150814fecb6:1304	Membership
http://www.semwebtech.org/mondial/10/source/Lena/	Source
7b93e6a1:150814fecb6:8ab	Membership
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	Water
7b93e6a1:150814fecb6:edd	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/	Province
7b93e6a1:150814fecb6:1d7	Membership
7b93e6a1:150814fecb6:1564	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	City
7b93e6a1:150814fecb6:1b96	Membership
7b93e6a1:150814fecb6:133	Membership
7b93e6a1:150814fecb6:12b0	Membership
7b93e6a1:150814fecb6:-2c6	Membership
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	City
http://www.semwebtech.org/mondial/10/island/GrandCayman/	Island
7b93e6a1:150814fecb6:-222	Membership
http://www.semwebtech.org/mondial/10/estuary/Bani/	Estuary
7b93e6a1:150814fecb6:20b9	Membership
7b93e6a1:150814fecb6:393	Membership
http://www.semwebtech.org/mondial/10/island/Pico/	Island
7b93e6a1:150814fecb6:ec	Membership
7b93e6a1:150814fecb6:2015	Membership
http://www.semwebtech.org/mondial/10/island/Kreta/	Island
7b93e6a1:150814fecb6:727	Membership
7b93e6a1:150814fecb6:18a4	Membership
7b93e6a1:150814fecb6:-482	Membership
http://www.semwebtech.org/mondial/10/mountain/Semeru/	Mountain
7b93e6a1:150814fecb6:d59	Membership
7b93e6a1:150814fecb6:1ed6	Membership
7b93e6a1:150814fecb6:1800	Membership
7b93e6a1:150814fecb6:-816	Encompassed
7b93e6a1:150814fecb6:11af	Membership
7b93e6a1:150814fecb6:2275	BelievedBy
7b93e6a1:150814fecb6:aa5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	City
7b93e6a1:150814fecb6:987	Membership
7b93e6a1:150814fecb6:1e32	Membership
7b93e6a1:150814fecb6:110b	Membership
7b93e6a1:150814fecb6:2609	EthnicProportion
7b93e6a1:150814fecb6:6d3	Membership
7b93e6a1:150814fecb6:a01	Membership
http://www.semwebtech.org/mondial/10/country/KOS/	Country
7b93e6a1:150814fecb6:-7c2	Encompassed
7b93e6a1:150814fecb6:136b	Membership
7b93e6a1:150814fecb6:c61	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/	Province
7b93e6a1:150814fecb6:25b5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/London/	Province
7b93e6a1:150814fecb6:2511	EthnicProportion
7b93e6a1:150814fecb6:19a	Membership
7b93e6a1:150814fecb6:195f	Membership
7b93e6a1:150814fecb6:52e	Membership
7b93e6a1:150814fecb6:16ab	Membership
7b93e6a1:150814fecb6:fa1	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/	Province
7b93e6a1:150814fecb6:1cdd	Membership
7b93e6a1:150814fecb6:-61d	Border
7b93e6a1:150814fecb6:207c	Membership
http://www.semwebtech.org/mondial/10/river/Luvua/	Water
7b93e6a1:150814fecb6:78e	Membership
7b93e6a1:150814fecb6:4da	Membership
7b93e6a1:150814fecb6:1193	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/	Province
7b93e6a1:150814fecb6:-62	Membership
7b93e6a1:150814fecb6:1527	Membership
7b93e6a1:150814fecb6:23bc	BelievedBy
7b93e6a1:150814fecb6:1b59	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	City
7b93e6a1:150814fecb6:1787	Membership
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/	Province
7b93e6a1:150814fecb6:356	Membership
7b93e6a1:150814fecb6:14d3	Membership
7b93e6a1:150814fecb6:-4e9	Membership
7b93e6a1:150814fecb6:af	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	City
7b93e6a1:150814fecb6:-445	Membership
http://www.semwebtech.org/mondial/10/island/Texel/	Island
7b93e6a1:150814fecb6:1a61	Membership
7b93e6a1:150814fecb6:2238	BelievedBy
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/	Province
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	City
7b93e6a1:150814fecb6:-3f1	Membership
7b93e6a1:150814fecb6:2498	EthnicProportion
7b93e6a1:150814fecb6:cc8	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	City
7b93e6a1:150814fecb6:132e	Membership
http://www.semwebtech.org/mondial/10/language/Roma/	Language
7b93e6a1:150814fecb6:21e4	SpokenBy
7b93e6a1:150814fecb6:c24	Membership
7b93e6a1:150814fecb6:8f6	Membership
7b93e6a1:150814fecb6:1da1	Membership
7b93e6a1:150814fecb6:2140	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	City
7b93e6a1:150814fecb6:852	Membership
7b93e6a1:150814fecb6:158e	Membership
7b93e6a1:150814fecb6:e84	Membership
http://www.semwebtech.org/mondial/10/organization/UNFICYP/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	City
7b93e6a1:150814fecb6:15d	Membership
7b93e6a1:150814fecb6:12da	Membership
7b93e6a1:150814fecb6:bd0	Membership
7b93e6a1:150814fecb6:-24c	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/	Province
7b93e6a1:150814fecb6:203f	Membership
7b93e6a1:150814fecb6:18ce	Membership
7b93e6a1:150814fecb6:93	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/	Province
http://www.semwebtech.org/mondial/10/island/Dominica/	Island
7b93e6a1:150814fecb6:182a	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	City
7b93e6a1:150814fecb6:229f	BelievedBy
7b93e6a1:150814fecb6:acf	Membership
7b93e6a1:150814fecb6:1e5c	Membership
7b93e6a1:150814fecb6:-c9	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Chinese/	EthnicGroup
7b93e6a1:150814fecb6:1156	Membership
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	Water
7b93e6a1:150814fecb6:6fd	Membership
7b93e6a1:150814fecb6:a2b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	City
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	City
7b93e6a1:150814fecb6:-25	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/	Province
7b93e6a1:150814fecb6:-7ec	Encompassed
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/	Province
7b93e6a1:150814fecb6:1207	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	City
7b93e6a1:150814fecb6:c8b	Membership
7b93e6a1:150814fecb6:25df	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/	Province
7b93e6a1:150814fecb6:319	Membership
7b93e6a1:150814fecb6:253b	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	Desert
7b93e6a1:150814fecb6:1ac8	Membership
7b93e6a1:150814fecb6:-408	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/	Province
7b93e6a1:150814fecb6:579	Membership
7b93e6a1:150814fecb6:1a24	Membership
7b93e6a1:150814fecb6:16f6	Membership
7b93e6a1:150814fecb6:fcb	Membership
7b93e6a1:150814fecb6:2c5	Membership
7b93e6a1:150814fecb6:1652	Membership
7b93e6a1:150814fecb6:-668	Border
http://www.semwebtech.org/mondial/10/country/AUS/	Country
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	City
http://www.semwebtech.org/mondial/10/source/Reuss/	Source
7b93e6a1:150814fecb6:221	Membership
7b93e6a1:150814fecb6:1c84	Membership
7b93e6a1:150814fecb6:-3b4	Membership
7b93e6a1:150814fecb6:-310	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	City
7b93e6a1:150814fecb6:21a7	SpokenBy
7b93e6a1:150814fecb6:8b9	Membership
7b93e6a1:150814fecb6:481	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	City
7b93e6a1:150814fecb6:2103	Membership
7b93e6a1:150814fecb6:815	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/	Province
7b93e6a1:150814fecb6:-8c	Membership
7b93e6a1:150814fecb6:-570	Membership
7b93e6a1:150814fecb6:e47	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	City
7b93e6a1:150814fecb6:1fc4	Membership
7b93e6a1:150814fecb6:2363	BelievedBy
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/	Province
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	Water
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	City
7b93e6a1:150814fecb6:1f20	Membership
7b93e6a1:150814fecb6:-20f	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/	Province
7b93e6a1:150814fecb6:7c1	Membership
7b93e6a1:150814fecb6:14fd	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	EthnicGroup
7b93e6a1:150814fecb6:df3	Membership
http://www.semwebtech.org/mondial/10/language/Macedonian/	Language
7b93e6a1:150814fecb6:-46f	Membership
7b93e6a1:150814fecb6:56	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/	Province
http://www.semwebtech.org/mondial/10/source/WesternMorava/	Source
7b93e6a1:150814fecb6:1a8b	Membership
7b93e6a1:150814fecb6:-1bb	Membership
7b93e6a1:150814fecb6:26a3	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/	Province
7b93e6a1:150814fecb6:1e1f	Membership
7b93e6a1:150814fecb6:1119	Membership
7b93e6a1:150814fecb6:61c	Membership
http://www.semwebtech.org/mondial/10/river/Baro/	Water
7b93e6a1:150814fecb6:-7af	Encompassed
7b93e6a1:150814fecb6:1379	Membership
7b93e6a1:150814fecb6:c4e	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/	Province
7b93e6a1:150814fecb6:1dcb	Membership
7b93e6a1:150814fecb6:-70b	Border
7b93e6a1:150814fecb6:10c5	Membership
7b93e6a1:150814fecb6:216a	SpokenBy
7b93e6a1:150814fecb6:87c	Membership
7b93e6a1:150814fecb6:1021	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	City
7b93e6a1:150814fecb6:bfa	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	City
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	Source
7b93e6a1:150814fecb6:16b9	Membership
7b93e6a1:150814fecb6:1281	Membership
7b93e6a1:150814fecb6:-297	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	City
7b93e6a1:150814fecb6:1615	Membership
7b93e6a1:150814fecb6:24aa	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	City
7b93e6a1:150814fecb6:1c47	Membership
7b93e6a1:150814fecb6:4e8	Membership
7b93e6a1:150814fecb6:1875	Membership
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	Estuary
7b93e6a1:150814fecb6:444	Membership
7b93e6a1:150814fecb6:15c1	Membership
7b93e6a1:150814fecb6:-5d7	Membership
7b93e6a1:150814fecb6:a76	Membership
7b93e6a1:150814fecb6:1bf3	Membership
7b93e6a1:150814fecb6:-4f	Membership
7b93e6a1:150814fecb6:-533	Membership
http://www.semwebtech.org/mondial/10/river/Kura/	Water
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/	Province
7b93e6a1:150814fecb6:2326	BelievedBy
7b93e6a1:150814fecb6:3f0	Membership
7b93e6a1:150814fecb6:-793	Encompassed
http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Mountains
7b93e6a1:150814fecb6:2586	EthnicProportion
7b93e6a1:150814fecb6:db6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	EthnicGroup
7b93e6a1:150814fecb6:141c	Membership
7b93e6a1:150814fecb6:22d2	BelievedBy
7b93e6a1:150814fecb6:19	Membership
7b93e6a1:150814fecb6:d12	Membership
7b93e6a1:150814fecb6:9e4	Membership
7b93e6a1:150814fecb6:1a4e	Membership
7b93e6a1:150814fecb6:940	Membership
7b93e6a1:150814fecb6:2ef	Membership
7b93e6a1:150814fecb6:167c	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	City
7b93e6a1:150814fecb6:f72	Membership
7b93e6a1:150814fecb6:24b	Membership
7b93e6a1:150814fecb6:-3de	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Acholi/	EthnicGroup
http://www.semwebtech.org/mondial/10/river/Drin/	Water
http://www.semwebtech.org/mondial/10/source/WesternBug/	Source
7b93e6a1:150814fecb6:-33a	Membership
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	City
7b93e6a1:150814fecb6:212d	SpokenBy
http://www.semwebtech.org/mondial/10/source/Paraguay/	Source
7b93e6a1:150814fecb6:83f	Membership
7b93e6a1:150814fecb6:19bc	Membership
7b93e6a1:150814fecb6:-59a	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	City
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/	Province
7b93e6a1:150814fecb6:1fee	Membership
7b93e6a1:150814fecb6:12e8	Membership
7b93e6a1:150814fecb6:238d	BelievedBy
7b93e6a1:150814fecb6:bbd	Membership
7b93e6a1:150814fecb6:1f4a	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	City
7b93e6a1:150814fecb6:1244	Membership
7b93e6a1:150814fecb6:7eb	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	City
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	City
7b93e6a1:150814fecb6:1838	Membership
7b93e6a1:150814fecb6:11f0	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Langi/	EthnicGroup
http://www.semwebtech.org/mondial/10/ethnicgroup/Borneoindigenous/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	Source
7b93e6a1:150814fecb6:407	Membership
7b93e6a1:150814fecb6:-162	Membership
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	Estuary
http://www.semwebtech.org/mondial/10/source/Mincio/	Source
7b93e6a1:150814fecb6:a39	Membership
http://www.semwebtech.org/mondial/10/lake/LakeTana/	Water
7b93e6a1:150814fecb6:1bb6	Membership
7b93e6a1:150814fecb6:1b12	Membership
7b93e6a1:150814fecb6:667	Membership
7b93e6a1:150814fecb6:17e4	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	City
http://www.semwebtech.org/mondial/10/island/NewGuinea/	Island
http://www.semwebtech.org/mondial/10/island/Leyte/	Island
http://www.semwebtech.org/mondial/10/river/RioMamore/	Water
7b93e6a1:150814fecb6:c99	Membership
7b93e6a1:150814fecb6:3b3	Membership
7b93e6a1:150814fecb6:1740	Membership
7b93e6a1:150814fecb6:-756	Encompassed
7b93e6a1:150814fecb6:10ef	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	City
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	Mountain
7b93e6a1:150814fecb6:1d72	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	City
http://www.semwebtech.org/mondial/10/country/CEU/	Country
7b93e6a1:150814fecb6:-4a2	Membership
7b93e6a1:150814fecb6:104b	Membership
7b93e6a1:150814fecb6:2549	EthnicProportion
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	Island
7b93e6a1:150814fecb6:9a7	Membership
7b93e6a1:150814fecb6:fd9	Membership
7b93e6a1:150814fecb6:903	Membership
7b93e6a1:150814fecb6:163f	Membership
7b93e6a1:150814fecb6:24f5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/	Province
7b93e6a1:150814fecb6:f35	Membership
7b93e6a1:150814fecb6:20e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	City
7b93e6a1:150814fecb6:2451	BelievedBy
http://www.semwebtech.org/mondial/10/country/DZ/	Country
7b93e6a1:150814fecb6:189f	Membership
7b93e6a1:150814fecb6:46e	Membership
7b93e6a1:150814fecb6:15eb	Membership
7b93e6a1:150814fecb6:ee1	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	City
7b93e6a1:150814fecb6:1ba	Membership
7b93e6a1:150814fecb6:-55d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	City
7b93e6a1:150814fecb6:1f0d	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	City
7b93e6a1:150814fecb6:7ae	Membership
7b93e6a1:150814fecb6:f0	Membership
7b93e6a1:150814fecb6:70a	Membership
7b93e6a1:150814fecb6:22fc	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/	Mountain
7b93e6a1:150814fecb6:1467	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	City
http://www.semwebtech.org/mondial/10/river/Elbe/	Water
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	City
7b93e6a1:150814fecb6:d3c	Membership
7b93e6a1:150814fecb6:1a99	Membership
7b93e6a1:150814fecb6:11b3	Membership
http://www.semwebtech.org/mondial/10/country/MS/	Country
7b93e6a1:150814fecb6:-1c9	Membership
7b93e6a1:150814fecb6:96a	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	City
7b93e6a1:150814fecb6:-125	Membership
7b93e6a1:150814fecb6:f9c	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/	Province
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	Island
7b93e6a1:150814fecb6:296	Membership
http://www.semwebtech.org/mondial/10/mountain/MtHood/	Mountain
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	Mountain
7b93e6a1:150814fecb6:17a7	Membership
7b93e6a1:150814fecb6:-385	Membership
7b93e6a1:150814fecb6:1dd9	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	City
7b93e6a1:150814fecb6:1703	Membership
7b93e6a1:150814fecb6:-719	Border
7b93e6a1:150814fecb6:2178	SpokenBy
7b93e6a1:150814fecb6:1d35	Membership
7b93e6a1:150814fecb6:100e	Membership
7b93e6a1:150814fecb6:5d6	Membership
7b93e6a1:150814fecb6:1963	Membership
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	Desert
7b93e6a1:150814fecb6:532	Membership
7b93e6a1:150814fecb6:1f95	Membership
7b93e6a1:150814fecb6:-6c5	Border
7b93e6a1:150814fecb6:126e	Membership
7b93e6a1:150814fecb6:b64	Membership
7b93e6a1:150814fecb6:24b8	EthnicProportion
7b93e6a1:150814fecb6:1ce1	Membership
7b93e6a1:150814fecb6:-621	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	City
7b93e6a1:150814fecb6:2080	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/	Province
7b93e6a1:150814fecb6:792	Membership
http://www.semwebtech.org/mondial/10/river/Maas/	Water
7b93e6a1:150814fecb6:2414	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Hindustani/	EthnicGroup
7b93e6a1:150814fecb6:15ae	Membership
7b93e6a1:150814fecb6:-18c	Membership
7b93e6a1:150814fecb6:2674	EthnicProportion
7b93e6a1:150814fecb6:ea4	Membership
7b93e6a1:150814fecb6:150a	Membership
7b93e6a1:150814fecb6:23c0	BelievedBy
7b93e6a1:150814fecb6:e00	Membership
7b93e6a1:150814fecb6:1b3c	Membership
7b93e6a1:150814fecb6:3dd	Membership
7b93e6a1:150814fecb6:176a	Membership
7b93e6a1:150814fecb6:1d9c	Membership
7b93e6a1:150814fecb6:-4cc	Membership
7b93e6a1:150814fecb6:1096	Membership
7b93e6a1:150814fecb6:b3	Membership
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	Mountain
7b93e6a1:150814fecb6:22bf	BelievedBy
7b93e6a1:150814fecb6:221b	SpokenBy
7b93e6a1:150814fecb6:92d	Membership
7b93e6a1:150814fecb6:f5f	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/	Province
7b93e6a1:150814fecb6:259	Membership
7b93e6a1:150814fecb6:13d6	Membership
7b93e6a1:150814fecb6:247b	EthnicProportion
7b93e6a1:150814fecb6:cab	Membership
http://www.semwebtech.org/mondial/10/island/Tutuila/	Island
7b93e6a1:150814fecb6:1332	Membership
7b93e6a1:150814fecb6:-348	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/	Province
http://www.semwebtech.org/mondial/10/country/E/	Country
http://www.semwebtech.org/mondial/10/source/Isar/	Source
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	City
7b93e6a1:150814fecb6:1592	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	City
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	City
http://www.semwebtech.org/mondial/10/mountain/Uluru/	Mountain
7b93e6a1:150814fecb6:161	Membership
7b93e6a1:150814fecb6:1926	Membership
7b93e6a1:150814fecb6:-2f4	Membership
http://www.semwebtech.org/mondial/10/island/Zhoushan/	Island
http://www.semwebtech.org/mondial/10/country/P/province/Evora/	Province
7b93e6a1:150814fecb6:1f58	Membership
7b93e6a1:150814fecb6:-250	Membership
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	City
7b93e6a1:150814fecb6:20e7	Membership
7b93e6a1:150814fecb6:b27	Membership
7b93e6a1:150814fecb6:7f9	Membership
7b93e6a1:150814fecb6:1ca4	Membership
7b93e6a1:150814fecb6:2043	Membership
7b93e6a1:150814fecb6:755	Membership
7b93e6a1:150814fecb6:1c00	Membership
7b93e6a1:150814fecb6:18d2	Membership
7b93e6a1:150814fecb6:d87	Membership
7b93e6a1:150814fecb6:4a1	Membership
7b93e6a1:150814fecb6:11dd	Membership
7b93e6a1:150814fecb6:ad3	Membership
7b93e6a1:150814fecb6:1e60	Membership
7b93e6a1:150814fecb6:-ac	Membership
7b93e6a1:150814fecb6:-14f	Membership
7b93e6a1:150814fecb6:2637	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Prypjat/	Source
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	Water
7b93e6a1:150814fecb6:-7f0	Encompassed
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	City
7b93e6a1:150814fecb6:172d	Membership
7b93e6a1:150814fecb6:25e3	EthnicProportion
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	City
7b93e6a1:150814fecb6:1d5f	Membership
7b93e6a1:150814fecb6:1059	Membership
http://www.semwebtech.org/mondial/10/mountains/Hindukusch/	Mountains
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	City
7b93e6a1:150814fecb6:1aab	Membership
7b93e6a1:150814fecb6:198d	Membership
7b93e6a1:150814fecb6:-2	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/	Province
7b93e6a1:150814fecb6:55c	Membership
7b93e6a1:150814fecb6:-6ef	Border
7b93e6a1:150814fecb6:b8e	Membership
7b93e6a1:150814fecb6:-64b	Border
http://www.semwebtech.org/mondial/10/country/MEL/	Country
7b93e6a1:150814fecb6:243e	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/YuShan/	Mountain
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	City
http://www.semwebtech.org/mondial/10/country/RIM/	Country
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	City
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	City
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/	Province
7b93e6a1:150814fecb6:15f9	Membership
7b93e6a1:150814fecb6:269e	EthnicProportion
7b93e6a1:150814fecb6:ece	Membership
7b93e6a1:150814fecb6:1c8	Membership
7b93e6a1:150814fecb6:-90	Membership
7b93e6a1:150814fecb6:1555	Membership
7b93e6a1:150814fecb6:23ea	BelievedBy
7b93e6a1:150814fecb6:e2a	Membership
7b93e6a1:150814fecb6:1b87	Membership
7b93e6a1:150814fecb6:124	Membership
7b93e6a1:150814fecb6:12a1	Membership
7b93e6a1:150814fecb6:-2b7	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/	Province
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	City
7b93e6a1:150814fecb6:-213	Membership
7b93e6a1:150814fecb6:384	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	City
7b93e6a1:150814fecb6:dd	Membership
7b93e6a1:150814fecb6:2006	Membership
7b93e6a1:150814fecb6:718	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	City
7b93e6a1:150814fecb6:-473	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	City
http://www.semwebtech.org/mondial/10/country/MNE/	Country
7b93e6a1:150814fecb6:1ec7	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	City
7b93e6a1:150814fecb6:-807	Encompassed
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	City
7b93e6a1:150814fecb6:2266	BelievedBy
http://www.semwebtech.org/mondial/10/islands/Japan/	Islands
7b93e6a1:150814fecb6:978	Membership
http://www.semwebtech.org/mondial/10/language/Nepali/	Language
7b93e6a1:150814fecb6:1e23	Membership
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/	Province
7b93e6a1:150814fecb6:6c4	Membership
7b93e6a1:150814fecb6:cf6	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	City
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/	Province
7b93e6a1:150814fecb6:620	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	City
7b93e6a1:150814fecb6:-7b3	Encompassed
7b93e6a1:150814fecb6:135c	Membership
http://www.semwebtech.org/mondial/10/language/Guarani/	Language
7b93e6a1:150814fecb6:c52	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	City
7b93e6a1:150814fecb6:25a6	EthnicProportion
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	City
7b93e6a1:150814fecb6:880	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	City
7b93e6a1:150814fecb6:2502	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	Water
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	City
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/	Province
7b93e6a1:150814fecb6:18b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	City
http://www.semwebtech.org/mondial/10/organization/UNIFIL/	Organization
7b93e6a1:150814fecb6:51f	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	City
7b93e6a1:150814fecb6:-27a	Membership
7b93e6a1:150814fecb6:1cce	Membership
7b93e6a1:150814fecb6:-60e	Border
7b93e6a1:150814fecb6:206d	Membership
7b93e6a1:150814fecb6:1c2a	Membership
7b93e6a1:150814fecb6:77f	Membership
7b93e6a1:150814fecb6:18fc	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	City
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	City
7b93e6a1:150814fecb6:4cb	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	City
http://www.semwebtech.org/mondial/10/river/Nile/	Water
7b93e6a1:150814fecb6:1e8a	Membership
7b93e6a1:150814fecb6:afd	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	City
7b93e6a1:150814fecb6:-f7	Membership
7b93e6a1:150814fecb6:-5ba	Membership
7b93e6a1:150814fecb6:1184	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	City
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/	Province
7b93e6a1:150814fecb6:-53	Membership
7b93e6a1:150814fecb6:1518	Membership
7b93e6a1:150814fecb6:23ad	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	City
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	City
7b93e6a1:150814fecb6:1778	Membership
7b93e6a1:150814fecb6:347	Membership
7b93e6a1:150814fecb6:14c4	Membership
7b93e6a1:150814fecb6:1af6	Membership
7b93e6a1:150814fecb6:1420	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/	Province
7b93e6a1:150814fecb6:-436	Membership
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	Source
7b93e6a1:150814fecb6:1a52	Membership
7b93e6a1:150814fecb6:2229	SpokenBy
7b93e6a1:150814fecb6:2f3	Membership
7b93e6a1:150814fecb6:1680	Membership
7b93e6a1:150814fecb6:-696	Border
7b93e6a1:150814fecb6:-3e2	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	City
7b93e6a1:150814fecb6:2489	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	City
7b93e6a1:150814fecb6:cb9	Membership
7b93e6a1:150814fecb6:21d5	SpokenBy
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	City
7b93e6a1:150814fecb6:131f	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	City
7b93e6a1:150814fecb6:c15	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	City
7b93e6a1:150814fecb6:8e7	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	City
7b93e6a1:150814fecb6:2131	SpokenBy
7b93e6a1:150814fecb6:843	Membership
7b93e6a1:150814fecb6:19c0	Membership
7b93e6a1:150814fecb6:157f	Membership
7b93e6a1:150814fecb6:e75	Membership
7b93e6a1:150814fecb6:1ff2	Membership
7b93e6a1:150814fecb6:14e	Membership
7b93e6a1:150814fecb6:12cb	Membership
7b93e6a1:150814fecb6:2391	BelievedBy
7b93e6a1:150814fecb6:bc1	Membership
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/	Mountain
7b93e6a1:150814fecb6:-23d	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	City
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	Estuary
7b93e6a1:150814fecb6:18bf	Membership
7b93e6a1:150814fecb6:-49d	Membership
7b93e6a1:150814fecb6:84	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	City
7b93e6a1:150814fecb6:181b	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	City
http://www.semwebtech.org/mondial/10/island/Ikaria/	Island
7b93e6a1:150814fecb6:1e4d	Membership
7b93e6a1:150814fecb6:1147	Membership
7b93e6a1:150814fecb6:6ee	Membership
7b93e6a1:150814fecb6:a1c	Membership
7b93e6a1:150814fecb6:-16	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/	Province
7b93e6a1:150814fecb6:64a	Membership
http://www.semwebtech.org/mondial/10/language/Papiamento/	Language
7b93e6a1:150814fecb6:-7dd	Encompassed
7b93e6a1:150814fecb6:c7c	Membership
7b93e6a1:150814fecb6:10f3	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/	Province
7b93e6a1:150814fecb6:252c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	City
7b93e6a1:150814fecb6:1ab9	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	City
7b93e6a1:150814fecb6:1a15	Membership
7b93e6a1:150814fecb6:16e7	Membership
http://www.semwebtech.org/mondial/10/river/Ganges/	Water
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/	Province
7b93e6a1:150814fecb6:fbc	Membership
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	Island
7b93e6a1:150814fecb6:2b6	Membership
7b93e6a1:150814fecb6:1643	Membership
7b93e6a1:150814fecb6:-659	Border
7b93e6a1:150814fecb6:1c75	Membership
7b93e6a1:150814fecb6:212	Membership
7b93e6a1:150814fecb6:-3a5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	City
7b93e6a1:150814fecb6:-301	Membership
http://www.semwebtech.org/mondial/10/source/Weser/	Source
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/	Province
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	City
7b93e6a1:150814fecb6:472	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Andorran/	EthnicGroup
7b93e6a1:150814fecb6:806	Membership
7b93e6a1:150814fecb6:-7d	Membership
7b93e6a1:150814fecb6:-561	Membership
7b93e6a1:150814fecb6:23f8	BelievedBy
7b93e6a1:150814fecb6:e38	Membership
7b93e6a1:150814fecb6:1fb5	Membership
7b93e6a1:150814fecb6:2354	BelievedBy
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/	Province
http://www.semwebtech.org/mondial/10/organization/ZC/	Organization
7b93e6a1:150814fecb6:1f11	Membership
http://www.semwebtech.org/mondial/10/country/WV/	Country
7b93e6a1:150814fecb6:20a0	Membership
7b93e6a1:150814fecb6:7b2	Membership
7b93e6a1:150814fecb6:14ee	Membership
http://www.semwebtech.org/mondial/10/estuary/Kura/	Estuary
http://www.semwebtech.org/mondial/10/source/Loire/	Source
7b93e6a1:150814fecb6:de4	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	City
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	Water
7b93e6a1:150814fecb6:144a	Membership
http://www.semwebtech.org/mondial/10/river/Tocantins/	Water
7b93e6a1:150814fecb6:47	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/	Province
7b93e6a1:150814fecb6:d40	Membership
7b93e6a1:150814fecb6:1a7c	Membership
7b93e6a1:150814fecb6:-1ac	Membership
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/	Province
7b93e6a1:150814fecb6:60d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	City
7b93e6a1:150814fecb6:21ff	SpokenBy
7b93e6a1:150814fecb6:c3f	Membership
7b93e6a1:150814fecb6:1dbc	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	City
7b93e6a1:150814fecb6:10b6	Membership
7b93e6a1:150814fecb6:215b	SpokenBy
7b93e6a1:150814fecb6:86d	Membership
7b93e6a1:150814fecb6:19ea	Membership
http://www.semwebtech.org/mondial/10/religion/Adventist/	Religion
7b93e6a1:150814fecb6:1012	Membership
http://www.semwebtech.org/mondial/10/estuary/Drin/	Estuary
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	Province
7b93e6a1:150814fecb6:e9f	Membership
7b93e6a1:150814fecb6:199	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	City
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	City
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	Water
7b93e6a1:150814fecb6:beb	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	City
7b93e6a1:150814fecb6:1272	Membership
http://www.semwebtech.org/mondial/10/country/GBJ/	Country
7b93e6a1:150814fecb6:-288	Membership
http://www.semwebtech.org/mondial/10/island/Benbecula/	Island
7b93e6a1:150814fecb6:1606	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	City
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	City
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/	Province
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	City
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	Island
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	City
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/	Province
7b93e6a1:150814fecb6:1c38	Membership
7b93e6a1:150814fecb6:4d9	Membership
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	City
7b93e6a1:150814fecb6:1866	Membership
7b93e6a1:150814fecb6:1e98	Membership
7b93e6a1:150814fecb6:435	Membership
7b93e6a1:150814fecb6:15b2	Membership
7b93e6a1:150814fecb6:-5c8	Membership
7b93e6a1:150814fecb6:-190	Membership
7b93e6a1:150814fecb6:a67	Membership
7b93e6a1:150814fecb6:1be4	Membership
7b93e6a1:150814fecb6:-524	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	City
7b93e6a1:150814fecb6:695	Membership
7b93e6a1:150814fecb6:1b40	Membership
http://www.semwebtech.org/mondial/10/island/Banaba/	Island
7b93e6a1:150814fecb6:2317	BelievedBy
http://www.semwebtech.org/mondial/10/river/Ubangi/	Water
7b93e6a1:150814fecb6:3e1	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	City
7b93e6a1:150814fecb6:-784	Encompassed
7b93e6a1:150814fecb6:-4d0	Membership
http://www.semwebtech.org/mondial/10/language/Romansch/	Language
7b93e6a1:150814fecb6:2577	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/	Province
7b93e6a1:150814fecb6:da7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	City
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	Mountain
7b93e6a1:150814fecb6:140d	Membership
7b93e6a1:150814fecb6:22c3	BelievedBy
7b93e6a1:150814fecb6:d03	Membership
7b93e6a1:150814fecb6:9d5	Membership
7b93e6a1:150814fecb6:1a3f	Membership
7b93e6a1:150814fecb6:931	Membership
7b93e6a1:150814fecb6:166d	Membership
7b93e6a1:150814fecb6:f63	Membership
7b93e6a1:150814fecb6:23c	Membership
7b93e6a1:150814fecb6:1c9f	Membership
7b93e6a1:150814fecb6:-3cf	Membership
http://www.semwebtech.org/mondial/10/language/Dutch/	Language
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Assyrian/	EthnicGroup
7b93e6a1:150814fecb6:-32b	Membership
7b93e6a1:150814fecb6:49c	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	City
http://www.semwebtech.org/mondial/10/island/Male/	Island
7b93e6a1:150814fecb6:211e	SpokenBy
7b93e6a1:150814fecb6:19ad	Membership
7b93e6a1:150814fecb6:-58b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	City
7b93e6a1:150814fecb6:4	Membership
7b93e6a1:150814fecb6:1fdf	Membership
7b93e6a1:150814fecb6:12d9	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	City
7b93e6a1:150814fecb6:237e	BelievedBy
7b93e6a1:150814fecb6:bae	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	City
http://www.semwebtech.org/mondial/10/source/Tara/	Source
7b93e6a1:150814fecb6:1f3b	Membership
7b93e6a1:150814fecb6:1235	Membership
http://www.semwebtech.org/mondial/10/language/Turkmen/	Language
7b93e6a1:150814fecb6:20ca	Membership
7b93e6a1:150814fecb6:b0a	Membership
7b93e6a1:150814fecb6:7dc	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/	Province
7b93e6a1:150814fecb6:1495	Membership
7b93e6a1:150814fecb6:d6a	Membership
7b93e6a1:150814fecb6:1829	Membership
7b93e6a1:150814fecb6:11e1	Membership
7b93e6a1:150814fecb6:-1f7	Membership
7b93e6a1:150814fecb6:26be	EthnicProportion
7b93e6a1:150814fecb6:-b0	Membership
7b93e6a1:150814fecb6:261a	EthnicProportion
7b93e6a1:150814fecb6:-153	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	City
7b93e6a1:150814fecb6:1ba7	Membership
7b93e6a1:150814fecb6:1b03	Membership
7b93e6a1:150814fecb6:658	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/	Province
7b93e6a1:150814fecb6:17d5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	City
7b93e6a1:150814fecb6:3a4	Membership
7b93e6a1:150814fecb6:1731	Membership
7b93e6a1:150814fecb6:-747	Encompassed
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/	Province
7b93e6a1:150814fecb6:300	Membership
7b93e6a1:150814fecb6:1d63	Membership
7b93e6a1:150814fecb6:103c	Membership
7b93e6a1:150814fecb6:1991	Membership
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	Island
7b93e6a1:150814fecb6:560	Membership
http://www.semwebtech.org/mondial/10/island/Greenland/	Island
7b93e6a1:150814fecb6:-6f3	Border
7b93e6a1:150814fecb6:129c	Membership
http://www.semwebtech.org/mondial/10/river/Jubba/	Water
7b93e6a1:150814fecb6:b92	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	City
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/	Province
7b93e6a1:150814fecb6:24e6	EthnicProportion
7b93e6a1:150814fecb6:f26	Membership
7b93e6a1:150814fecb6:2442	BelievedBy
7b93e6a1:150814fecb6:8a0	Membership
7b93e6a1:150814fecb6:45f	Membership
7b93e6a1:150814fecb6:15dc	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	City
7b93e6a1:150814fecb6:ed2	Membership
7b93e6a1:150814fecb6:1ab	Membership
7b93e6a1:150814fecb6:-54e	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	City
7b93e6a1:150814fecb6:1b6a	Membership
http://www.semwebtech.org/mondial/10/mountain/Katla/	Mountain
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	City
7b93e6a1:150814fecb6:1eb8	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	City
http://www.semwebtech.org/mondial/10/river/Rhein/	Water
7b93e6a1:150814fecb6:-4fa	Membership
7b93e6a1:150814fecb6:e1	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	City
7b93e6a1:150814fecb6:1458	Membership
7b93e6a1:150814fecb6:22ed	BelievedBy
http://www.semwebtech.org/mondial/10/islands/Svalbard/	Islands
7b93e6a1:150814fecb6:d2d	Membership
7b93e6a1:150814fecb6:9ff	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	City
7b93e6a1:150814fecb6:1eaa	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/	Province
7b93e6a1:150814fecb6:11a4	Membership
http://www.semwebtech.org/mondial/10/desert/Qaidam/	Desert
http://www.semwebtech.org/mondial/10/ethnicgroup/BeriBeri/	EthnicGroup
7b93e6a1:150814fecb6:95b	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	City
http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	Mountains
7b93e6a1:150814fecb6:1100	Membership
7b93e6a1:150814fecb6:-116	Membership
7b93e6a1:150814fecb6:f8d	Membership
7b93e6a1:150814fecb6:287	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	City
7b93e6a1:150814fecb6:1360	Membership
7b93e6a1:150814fecb6:-376	Membership
http://www.semwebtech.org/mondial/10/island/Terceira/	Island
7b93e6a1:150814fecb6:2169	SpokenBy
7b93e6a1:150814fecb6:1d26	Membership
7b93e6a1:150814fecb6:19f8	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	City
7b93e6a1:150814fecb6:5c7	Membership
7b93e6a1:150814fecb6:1954	Membership
7b93e6a1:150814fecb6:1f86	Membership
7b93e6a1:150814fecb6:bf9	Membership
7b93e6a1:150814fecb6:523	Membership
7b93e6a1:150814fecb6:16a0	Membership
7b93e6a1:150814fecb6:-6b6	Border
7b93e6a1:150814fecb6:125f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	City
7b93e6a1:150814fecb6:b55	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/	Province
7b93e6a1:150814fecb6:1cd2	Membership
7b93e6a1:150814fecb6:-612	Border
7b93e6a1:150814fecb6:24a9	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Kasai/	Estuary
7b93e6a1:150814fecb6:2071	Membership
http://www.semwebtech.org/mondial/10/island/Tiree/	Island
7b93e6a1:150814fecb6:783	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/	Province
http://www.semwebtech.org/mondial/10/estuary/Drina/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	City
7b93e6a1:150814fecb6:2405	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	City
7b93e6a1:150814fecb6:-da	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/	Province
7b93e6a1:150814fecb6:-17d	Membership
7b93e6a1:150814fecb6:2665	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/	Province
7b93e6a1:150814fecb6:23b1	BelievedBy
7b93e6a1:150814fecb6:1b2d	Membership
7b93e6a1:150814fecb6:17ff	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/	Province
http://www.semwebtech.org/mondial/10/organization/UNAMID/	Organization
7b93e6a1:150814fecb6:3ce	Membership
7b93e6a1:150814fecb6:175b	Membership
http://www.semwebtech.org/mondial/10/island/SriLanka/	Island
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	City
7b93e6a1:150814fecb6:32a	Membership
7b93e6a1:150814fecb6:1d8d	Membership
7b93e6a1:150814fecb6:-4bd	Membership
7b93e6a1:150814fecb6:1087	Membership
7b93e6a1:150814fecb6:a4	Membership
http://www.semwebtech.org/mondial/10/islands/Canares/	Islands
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/	Province
http://www.semwebtech.org/mondial/10/country/MART/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	City
http://www.semwebtech.org/mondial/10/source/Lomami/	Source
7b93e6a1:150814fecb6:58a	Membership
7b93e6a1:150814fecb6:220c	SpokenBy
7b93e6a1:150814fecb6:91e	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/	Province
http://www.semwebtech.org/mondial/10/organization/EITI/	Organization
7b93e6a1:150814fecb6:13c7	Membership
7b93e6a1:150814fecb6:246c	EthnicProportion
7b93e6a1:150814fecb6:1323	Membership
7b93e6a1:150814fecb6:-339	Membership
7b93e6a1:150814fecb6:8ca	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	City
7b93e6a1:150814fecb6:1a80	Membership
http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/	Mountains
7b93e6a1:150814fecb6:efc	Membership
7b93e6a1:150814fecb6:1583	Membership
7b93e6a1:150814fecb6:1f6	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/	Province
7b93e6a1:150814fecb6:-599	Membership
http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	Mountains
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	City
7b93e6a1:150814fecb6:152	Membership
7b93e6a1:150814fecb6:1917	Membership
7b93e6a1:150814fecb6:-2e5	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	City
7b93e6a1:150814fecb6:1f49	Membership
http://www.semwebtech.org/mondial/10/country/RN/	Country
7b93e6a1:150814fecb6:-241	Membership
7b93e6a1:150814fecb6:20d8	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	City
7b93e6a1:150814fecb6:b18	Membership
7b93e6a1:150814fecb6:2034	Membership
7b93e6a1:150814fecb6:746	Membership
7b93e6a1:150814fecb6:18c3	Membership
http://www.semwebtech.org/mondial/10/country/TT/	Country
7b93e6a1:150814fecb6:1ef5	Membership
7b93e6a1:150814fecb6:d78	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	City
7b93e6a1:150814fecb6:11ce	Membership
7b93e6a1:150814fecb6:2294	BelievedBy
7b93e6a1:150814fecb6:ac4	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/	Province
7b93e6a1:150814fecb6:1e51	Membership
7b93e6a1:150814fecb6:112a	Membership
7b93e6a1:150814fecb6:2628	EthnicProportion
7b93e6a1:150814fecb6:6f2	Membership
7b93e6a1:150814fecb6:a20	Membership
7b93e6a1:150814fecb6:-7e1	Encompassed
7b93e6a1:150814fecb6:138a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Dagestani/	EthnicGroup
7b93e6a1:150814fecb6:c80	Membership
7b93e6a1:150814fecb6:25d4	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Chire/	Water
7b93e6a1:150814fecb6:171e	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	City
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	City
http://www.semwebtech.org/mondial/10/country/R/province/Samara/	Province
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	City
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	Estuary
7b93e6a1:150814fecb6:2530	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	City
7b93e6a1:150814fecb6:197e	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	City
7b93e6a1:150814fecb6:54d	Membership
7b93e6a1:150814fecb6:16ca	Membership
http://www.semwebtech.org/mondial/10/river/Ucayali/	Water
7b93e6a1:150814fecb6:fc0	Membership
7b93e6a1:150814fecb6:b7f	Membership
7b93e6a1:150814fecb6:1cfc	Membership
7b93e6a1:150814fecb6:-63c	Border
7b93e6a1:150814fecb6:209b	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	City
http://www.semwebtech.org/mondial/10/country/WAL/	Country
7b93e6a1:150814fecb6:242f	BelievedBy
http://www.semwebtech.org/mondial/10/organization/G-10/	Organization
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	City
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	Water
7b93e6a1:150814fecb6:268f	EthnicProportion
7b93e6a1:150814fecb6:ebf	Membership
7b93e6a1:150814fecb6:1b9	Membership
7b93e6a1:150814fecb6:-81	Membership
7b93e6a1:150814fecb6:1546	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	City
7b93e6a1:150814fecb6:23db	BelievedBy
7b93e6a1:150814fecb6:e1b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigre/	EthnicGroup
7b93e6a1:150814fecb6:115	Membership
7b93e6a1:150814fecb6:1b78	Membership
7b93e6a1:150814fecb6:-2a8	Membership
http://www.semwebtech.org/mondial/10/organization/ITSO/	Organization
http://www.semwebtech.org/mondial/10/country/S/	Country
7b93e6a1:150814fecb6:-204	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	City
7b93e6a1:150814fecb6:375	Membership
7b93e6a1:150814fecb6:14f2	Membership
7b93e6a1:150814fecb6:ce	Membership
7b93e6a1:150814fecb6:709	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	City
7b93e6a1:150814fecb6:-464	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	City
7b93e6a1:150814fecb6:2a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	City
http://www.semwebtech.org/mondial/10/estuary/Saone/	Estuary
7b93e6a1:150814fecb6:-1b0	Membership
7b93e6a1:150814fecb6:2257	BelievedBy
7b93e6a1:150814fecb6:969	Membership
7b93e6a1:150814fecb6:1e14	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	City
7b93e6a1:150814fecb6:6b5	Membership
http://www.semwebtech.org/mondial/10/organization/UNISFA/	Organization
7b93e6a1:150814fecb6:ce7	Membership
7b93e6a1:150814fecb6:611	Membership
7b93e6a1:150814fecb6:134d	Membership
7b93e6a1:150814fecb6:-7a4	Encompassed
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/	Province
7b93e6a1:150814fecb6:c43	Membership
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	Water
7b93e6a1:150814fecb6:1dc0	Membership
7b93e6a1:150814fecb6:-700	Border
7b93e6a1:150814fecb6:871	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	City
7b93e6a1:150814fecb6:17c	Membership
7b93e6a1:150814fecb6:-26b	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/	Province
7b93e6a1:150814fecb6:1cbf	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/	Province
7b93e6a1:150814fecb6:205e	Membership
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	City
7b93e6a1:150814fecb6:1c1b	Membership
7b93e6a1:150814fecb6:18ed	Membership
http://www.semwebtech.org/mondial/10/religion/Muslim/	Religion
http://www.semwebtech.org/mondial/10/organization/CBSS/	Organization
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	Water
7b93e6a1:150814fecb6:4bc	Membership
7b93e6a1:150814fecb6:aee	Membership
7b93e6a1:150814fecb6:1e7b	Membership
7b93e6a1:150814fecb6:-e8	Membership
7b93e6a1:150814fecb6:-5ab	Membership
7b93e6a1:150814fecb6:1175	Membership
7b93e6a1:150814fecb6:a4a	Membership
7b93e6a1:150814fecb6:-44	Membership
7b93e6a1:150814fecb6:1509	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	City
7b93e6a1:150814fecb6:1769	Membership
7b93e6a1:150814fecb6:25fe	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/EAC/	Organization
7b93e6a1:150814fecb6:338	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	City
7b93e6a1:150814fecb6:14b5	Membership
7b93e6a1:150814fecb6:255a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	City
7b93e6a1:150814fecb6:1ae7	Membership
7b93e6a1:150814fecb6:1411	Membership
7b93e6a1:150814fecb6:-427	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/	Province
7b93e6a1:150814fecb6:598	Membership
7b93e6a1:150814fecb6:1a43	Membership
http://www.semwebtech.org/mondial/10/language/Monegasque/	Language
http://www.semwebtech.org/mondial/10/country/R/province/Altay/	Province
7b93e6a1:150814fecb6:fea	Membership
7b93e6a1:150814fecb6:2e4	Membership
7b93e6a1:150814fecb6:1671	Membership
7b93e6a1:150814fecb6:-687	Border
7b93e6a1:150814fecb6:240	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	City
7b93e6a1:150814fecb6:-3d3	Membership
7b93e6a1:150814fecb6:21c6	SpokenBy
7b93e6a1:150814fecb6:c06	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	City
7b93e6a1:150814fecb6:8d8	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	City
7b93e6a1:150814fecb6:2122	SpokenBy
7b93e6a1:150814fecb6:834	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	City
7b93e6a1:150814fecb6:19b1	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	City
7b93e6a1:150814fecb6:e66	Membership
7b93e6a1:150814fecb6:1fe3	Membership
7b93e6a1:150814fecb6:13f	Membership
7b93e6a1:150814fecb6:12bc	Membership
7b93e6a1:150814fecb6:2382	BelievedBy
7b93e6a1:150814fecb6:bb2	Membership
7b93e6a1:150814fecb6:-22e	Membership
http://www.semwebtech.org/mondial/10/organization/ANZUS/	Organization
7b93e6a1:150814fecb6:7e0	Membership
7b93e6a1:150814fecb6:39f	Membership
http://www.semwebtech.org/mondial/10/country/RWA/	Country
http://www.semwebtech.org/mondial/10/source/RioGrande/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	City
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	Mountain
7b93e6a1:150814fecb6:-48e	Membership
7b93e6a1:150814fecb6:75	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	EthnicGroup
7b93e6a1:150814fecb6:180c	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	City
7b93e6a1:150814fecb6:-1da	Membership
7b93e6a1:150814fecb6:26c2	EthnicProportion
7b93e6a1:150814fecb6:1e3e	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	City
7b93e6a1:150814fecb6:1138	Membership
7b93e6a1:150814fecb6:6df	Membership
7b93e6a1:150814fecb6:a0d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	City
7b93e6a1:150814fecb6:63b	Membership
7b93e6a1:150814fecb6:-7ce	Encompassed
7b93e6a1:150814fecb6:1398	Membership
http://www.semwebtech.org/mondial/10/island/SaintHelena/	Island
http://www.semwebtech.org/mondial/10/ethnicgroup/Rwanda/	EthnicGroup
7b93e6a1:150814fecb6:c6d	Membership
7b93e6a1:150814fecb6:1dea	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/	Province
7b93e6a1:150814fecb6:-72a	Encompassed
7b93e6a1:150814fecb6:10e4	Membership
7b93e6a1:150814fecb6:89b	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	City
7b93e6a1:150814fecb6:1040	Membership
7b93e6a1:150814fecb6:251d	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Olt/	Estuary
7b93e6a1:150814fecb6:1a06	Membership
7b93e6a1:150814fecb6:16d8	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	City
7b93e6a1:150814fecb6:fad	Membership
7b93e6a1:150814fecb6:2a7	Membership
7b93e6a1:150814fecb6:1634	Membership
http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	Islands
7b93e6a1:150814fecb6:1c66	Membership
7b93e6a1:150814fecb6:203	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	City
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/	Province
7b93e6a1:150814fecb6:1894	Membership
http://www.semwebtech.org/mondial/10/religion/CopticChristian/	Religion
7b93e6a1:150814fecb6:15e0	Membership
7b93e6a1:150814fecb6:463	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	City
7b93e6a1:150814fecb6:-5f6	Border
7b93e6a1:150814fecb6:119f	Membership
7b93e6a1:150814fecb6:a95	Membership
7b93e6a1:150814fecb6:-6e	Membership
7b93e6a1:150814fecb6:-552	Membership
7b93e6a1:150814fecb6:23e9	BelievedBy
7b93e6a1:150814fecb6:e29	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	City
7b93e6a1:150814fecb6:1fa6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/	Province
7b93e6a1:150814fecb6:2345	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	City
7b93e6a1:150814fecb6:1f02	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	City
http://www.semwebtech.org/mondial/10/country/BG/	Country
7b93e6a1:150814fecb6:7a3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/	Province
http://www.semwebtech.org/mondial/10/source/WesternDwina/	Source
7b93e6a1:150814fecb6:14df	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	City
7b93e6a1:150814fecb6:dd5	Membership
7b93e6a1:150814fecb6:22f1	BelievedBy
http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	Islands
7b93e6a1:150814fecb6:143b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	City
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	City
7b93e6a1:150814fecb6:38	Membership
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	Water
7b93e6a1:150814fecb6:d31	Membership
7b93e6a1:150814fecb6:1a6d	Membership
7b93e6a1:150814fecb6:169b	Membership
7b93e6a1:150814fecb6:f91	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	City
7b93e6a1:150814fecb6:26a	Membership
7b93e6a1:150814fecb6:-3fd	Membership
http://www.semwebtech.org/mondial/10/organization/SPC/	Organization
7b93e6a1:150814fecb6:1dad	Membership
7b93e6a1:150814fecb6:10a7	Membership
7b93e6a1:150814fecb6:214c	SpokenBy
7b93e6a1:150814fecb6:85e	Membership
7b93e6a1:150814fecb6:19db	Membership
7b93e6a1:150814fecb6:1003	Membership
7b93e6a1:150814fecb6:5aa	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	City
http://www.semwebtech.org/mondial/10/island/Vlieland/	Island
7b93e6a1:150814fecb6:bdc	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	City
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	City
7b93e6a1:150814fecb6:1263	Membership
7b93e6a1:150814fecb6:-279	Membership
http://www.semwebtech.org/mondial/10/organization/G-9/	Organization
7b93e6a1:150814fecb6:1c29	Membership
7b93e6a1:150814fecb6:9f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	City
http://www.semwebtech.org/mondial/10/source/Luvua/	Source
7b93e6a1:150814fecb6:1857	Membership
7b93e6a1:150814fecb6:1e89	Membership
7b93e6a1:150814fecb6:15a3	Membership
7b93e6a1:150814fecb6:426	Membership
7b93e6a1:150814fecb6:-5b9	Membership
7b93e6a1:150814fecb6:-181	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	City
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	City
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	Estuary
7b93e6a1:150814fecb6:a58	Membership
7b93e6a1:150814fecb6:1bd5	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	City
7b93e6a1:150814fecb6:-515	Membership
7b93e6a1:150814fecb6:686	Membership
7b93e6a1:150814fecb6:1b31	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	City
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	City
7b93e6a1:150814fecb6:2308	BelievedBy
7b93e6a1:150814fecb6:3d2	Membership
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	City
7b93e6a1:150814fecb6:-775	Encompassed
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	Water
7b93e6a1:150814fecb6:1d91	Membership
7b93e6a1:150814fecb6:-4c1	Membership
7b93e6a1:150814fecb6:106a	Membership
7b93e6a1:150814fecb6:2568	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Czech/	Language
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	City
7b93e6a1:150814fecb6:22b4	BelievedBy
7b93e6a1:150814fecb6:9c6	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	City
7b93e6a1:150814fecb6:2210	SpokenBy
7b93e6a1:150814fecb6:ff8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	City
7b93e6a1:150814fecb6:922	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/	Province
7b93e6a1:150814fecb6:165e	Membership
http://www.semwebtech.org/mondial/10/island/KoSamui/	Island
7b93e6a1:150814fecb6:f54	Membership
7b93e6a1:150814fecb6:22d	Membership
7b93e6a1:150814fecb6:13aa	Membership
7b93e6a1:150814fecb6:2470	EthnicProportion
7b93e6a1:150814fecb6:ca0	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/	Province
7b93e6a1:150814fecb6:-31c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	City
7b93e6a1:150814fecb6:48d	Membership
http://www.semwebtech.org/mondial/10/organization/IGAD/	Organization
7b93e6a1:150814fecb6:210f	Membership
7b93e6a1:150814fecb6:-57c	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	City
http://www.semwebtech.org/mondial/10/organization/Sparteca/	Organization
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	City
http://www.semwebtech.org/mondial/10/organization/AMU/	Organization
7b93e6a1:150814fecb6:236f	BelievedBy
7b93e6a1:150814fecb6:1f2c	Membership
7b93e6a1:150814fecb6:1226	Membership
7b93e6a1:150814fecb6:20bb	Membership
7b93e6a1:150814fecb6:7cd	Membership
7b93e6a1:150814fecb6:dff	Membership
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	Water
7b93e6a1:150814fecb6:1486	Membership
7b93e6a1:150814fecb6:d5b	Membership
7b93e6a1:150814fecb6:11d2	Membership
7b93e6a1:150814fecb6:-1e8	Membership
7b93e6a1:150814fecb6:26af	EthnicProportion
7b93e6a1:150814fecb6:-a1	Membership
7b93e6a1:150814fecb6:-144	Membership
7b93e6a1:150814fecb6:260b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	City
7b93e6a1:150814fecb6:649	Membership
7b93e6a1:150814fecb6:17c6	Membership
7b93e6a1:150814fecb6:1df8	Membership
7b93e6a1:150814fecb6:1722	Membership
7b93e6a1:150814fecb6:-738	Encompassed
7b93e6a1:150814fecb6:2197	SpokenBy
http://www.semwebtech.org/mondial/10/lake/Balaton/	Water
7b93e6a1:150814fecb6:1d54	Membership
7b93e6a1:150814fecb6:102d	Membership
7b93e6a1:150814fecb6:5f5	Membership
7b93e6a1:150814fecb6:1aa0	Membership
7b93e6a1:150814fecb6:1982	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	City
7b93e6a1:150814fecb6:551	Membership
7b93e6a1:150814fecb6:-6e4	Border
7b93e6a1:150814fecb6:128d	Membership
7b93e6a1:150814fecb6:b83	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	City
7b93e6a1:150814fecb6:-640	Border
7b93e6a1:150814fecb6:24d7	EthnicProportion
7b93e6a1:150814fecb6:f17	Membership
7b93e6a1:150814fecb6:2433	BelievedBy
7b93e6a1:150814fecb6:15cd	Membership
7b93e6a1:150814fecb6:2693	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Adda/	Source
7b93e6a1:150814fecb6:ec3	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	City
7b93e6a1:150814fecb6:1bff	Membership
7b93e6a1:150814fecb6:-53f	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	City
7b93e6a1:150814fecb6:1b5b	Membership
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	City
http://www.semwebtech.org/mondial/10/estuary/Kwa/	Estuary
7b93e6a1:150814fecb6:3fc	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	City
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	City
7b93e6a1:150814fecb6:-79f	Encompassed
http://www.semwebtech.org/mondial/10/estuary/Senegal/	Estuary
7b93e6a1:150814fecb6:-4eb	Membership
http://www.semwebtech.org/mondial/10/source/RioNegro/	Source
7b93e6a1:150814fecb6:d2	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	City
7b93e6a1:150814fecb6:1449	Membership
7b93e6a1:150814fecb6:22de	BelievedBy
7b93e6a1:150814fecb6:d1e	Membership
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/	Province
7b93e6a1:150814fecb6:223a	BelievedBy
7b93e6a1:150814fecb6:94c	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/	Province
7b93e6a1:150814fecb6:-107	Membership
7b93e6a1:150814fecb6:f7e	Membership
7b93e6a1:150814fecb6:278	Membership
7b93e6a1:150814fecb6:13f5	Membership
7b93e6a1:150814fecb6:249a	EthnicProportion
7b93e6a1:150814fecb6:cca	Membership
7b93e6a1:150814fecb6:1351	Membership
7b93e6a1:150814fecb6:-367	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	EthnicGroup
7b93e6a1:150814fecb6:1d17	Membership
7b93e6a1:150814fecb6:19e9	Membership
7b93e6a1:150814fecb6:5b8	Membership
7b93e6a1:150814fecb6:180	Membership
7b93e6a1:150814fecb6:1945	Membership
7b93e6a1:150814fecb6:514	Membership
7b93e6a1:150814fecb6:1f77	Membership
7b93e6a1:150814fecb6:-6a7	Border
7b93e6a1:150814fecb6:b46	Membership
7b93e6a1:150814fecb6:1cc3	Membership
7b93e6a1:150814fecb6:-603	Border
7b93e6a1:150814fecb6:2062	Membership
7b93e6a1:150814fecb6:774	Membership
7b93e6a1:150814fecb6:18f1	Membership
7b93e6a1:150814fecb6:4c0	Membership
7b93e6a1:150814fecb6:11fc	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	City
7b93e6a1:150814fecb6:af2	Membership
7b93e6a1:150814fecb6:-cb	Membership
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	City
7b93e6a1:150814fecb6:-16e	Membership
7b93e6a1:150814fecb6:2656	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	City
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	City
7b93e6a1:150814fecb6:23a2	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	City
7b93e6a1:150814fecb6:1b1e	Membership
http://www.semwebtech.org/mondial/10/river/BlueNile/	Water
7b93e6a1:150814fecb6:3bf	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	City
7b93e6a1:150814fecb6:174c	Membership
7b93e6a1:150814fecb6:31b	Membership
7b93e6a1:150814fecb6:1d7e	Membership
7b93e6a1:150814fecb6:-4ae	Membership
7b93e6a1:150814fecb6:1078	Membership
7b93e6a1:150814fecb6:1aca	Membership
7b93e6a1:150814fecb6:-40a	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/	Province
7b93e6a1:150814fecb6:57b	Membership
7b93e6a1:150814fecb6:90f	Membership
7b93e6a1:150814fecb6:-66a	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-European/	EthnicGroup
7b93e6a1:150814fecb6:13b8	Membership
7b93e6a1:150814fecb6:245d	EthnicProportion
7b93e6a1:150814fecb6:1314	Membership
7b93e6a1:150814fecb6:8bb	Membership
http://www.semwebtech.org/mondial/10/lake/LopNor/	Water
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	Source
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	City
7b93e6a1:150814fecb6:eed	Membership
7b93e6a1:150814fecb6:1e7	Membership
7b93e6a1:150814fecb6:1574	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	City
7b93e6a1:150814fecb6:1908	Membership
7b93e6a1:150814fecb6:12c0	Membership
7b93e6a1:150814fecb6:143	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	City
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	City
7b93e6a1:150814fecb6:-2d6	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	City
7b93e6a1:150814fecb6:-232	Membership
7b93e6a1:150814fecb6:20c9	Membership
7b93e6a1:150814fecb6:b09	Membership
http://www.semwebtech.org/mondial/10/river/Ene/	Water
http://www.semwebtech.org/mondial/10/source/Leine/	Source
7b93e6a1:150814fecb6:fc	Membership
7b93e6a1:150814fecb6:2025	Membership
7b93e6a1:150814fecb6:737	Membership
7b93e6a1:150814fecb6:18b4	Membership
7b93e6a1:150814fecb6:-492	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	City
7b93e6a1:150814fecb6:d69	Membership
7b93e6a1:150814fecb6:1ee6	Membership
7b93e6a1:150814fecb6:1810	Membership
7b93e6a1:150814fecb6:11bf	Membership
7b93e6a1:150814fecb6:2285	BelievedBy
7b93e6a1:150814fecb6:1e42	Membership
7b93e6a1:150814fecb6:ab5	Membership
7b93e6a1:150814fecb6:997	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/	Province
7b93e6a1:150814fecb6:183a	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/	Province
7b93e6a1:150814fecb6:111b	Membership
7b93e6a1:150814fecb6:2619	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	City
7b93e6a1:150814fecb6:6e3	Membership
7b93e6a1:150814fecb6:a11	Membership
7b93e6a1:150814fecb6:-7d2	Encompassed
7b93e6a1:150814fecb6:137b	Membership
http://www.semwebtech.org/mondial/10/mountain/Musala/	Mountain
7b93e6a1:150814fecb6:c71	Membership
7b93e6a1:150814fecb6:170f	Membership
http://www.semwebtech.org/mondial/10/religion/United/	Religion
7b93e6a1:150814fecb6:25c5	EthnicProportion
7b93e6a1:150814fecb6:2521	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GAZA/	Country
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	City
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/	Province
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/	Province
http://www.semwebtech.org/mondial/10/country/EW/	Country
7b93e6a1:150814fecb6:196f	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	City
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	Mountain
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	Mountain
7b93e6a1:150814fecb6:53e	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	City
7b93e6a1:150814fecb6:16bb	Membership
7b93e6a1:150814fecb6:fb1	Membership
http://www.semwebtech.org/mondial/10/island/SaintVincent/	Island
7b93e6a1:150814fecb6:1ced	Membership
7b93e6a1:150814fecb6:-62d	Border
7b93e6a1:150814fecb6:208c	Membership
7b93e6a1:150814fecb6:79e	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/	Province
7b93e6a1:150814fecb6:4ea	Membership
7b93e6a1:150814fecb6:-72	Membership
7b93e6a1:150814fecb6:1537	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	City
7b93e6a1:150814fecb6:23cc	BelievedBy
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	City
7b93e6a1:150814fecb6:e0c	Membership
7b93e6a1:150814fecb6:106	Membership
7b93e6a1:150814fecb6:1b69	Membership
http://www.semwebtech.org/mondial/10/islands/LineIslands/	Islands
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	City
http://www.semwebtech.org/mondial/10/source/Bani/	Source
7b93e6a1:150814fecb6:1797	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	City
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/	Province
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/	Province
7b93e6a1:150814fecb6:366	Membership
7b93e6a1:150814fecb6:14e3	Membership
7b93e6a1:150814fecb6:-4f9	Membership
7b93e6a1:150814fecb6:bf	Membership
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	Mountain
7b93e6a1:150814fecb6:-455	Membership
7b93e6a1:150814fecb6:1b	Membership
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	City
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	Water
7b93e6a1:150814fecb6:1ea9	Membership
7b93e6a1:150814fecb6:1a71	Membership
7b93e6a1:150814fecb6:-1a1	Membership
7b93e6a1:150814fecb6:2248	BelievedBy
7b93e6a1:150814fecb6:1e05	Membership
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	Water
7b93e6a1:150814fecb6:6a6	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/	Province
7b93e6a1:150814fecb6:cd8	Membership
7b93e6a1:150814fecb6:602	Membership
7b93e6a1:150814fecb6:133e	Membership
7b93e6a1:150814fecb6:21f4	SpokenBy
7b93e6a1:150814fecb6:c34	Membership
7b93e6a1:150814fecb6:1db1	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	City
7b93e6a1:150814fecb6:2150	SpokenBy
7b93e6a1:150814fecb6:862	Membership
7b93e6a1:150814fecb6:159e	Membership
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/	Province
7b93e6a1:150814fecb6:e94	Membership
7b93e6a1:150814fecb6:16d	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	City
7b93e6a1:150814fecb6:12ea	Membership
7b93e6a1:150814fecb6:be0	Membership
7b93e6a1:150814fecb6:-25c	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	City
http://www.semwebtech.org/mondial/10/river/Arno/	Water
7b93e6a1:150814fecb6:204f	Membership
7b93e6a1:150814fecb6:1c0c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	City
7b93e6a1:150814fecb6:18de	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	City
7b93e6a1:150814fecb6:4ad	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	City
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/	Province
7b93e6a1:150814fecb6:adf	Membership
7b93e6a1:150814fecb6:1e6c	Membership
7b93e6a1:150814fecb6:-d9	Membership
7b93e6a1:150814fecb6:1166	Membership
http://www.semwebtech.org/mondial/10/river/Ruki/	Water
7b93e6a1:150814fecb6:a3b	Membership
7b93e6a1:150814fecb6:-35	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/	Province
7b93e6a1:150814fecb6:-7fc	Encompassed
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/	Province
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/	Province
7b93e6a1:150814fecb6:c9b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldovan/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/	Province
7b93e6a1:150814fecb6:25ef	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Stromboli/	Island
7b93e6a1:150814fecb6:329	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	City
7b93e6a1:150814fecb6:14a6	Membership
7b93e6a1:150814fecb6:254b	EthnicProportion
7b93e6a1:150814fecb6:1ad8	Membership
7b93e6a1:150814fecb6:1402	Membership
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	City
7b93e6a1:150814fecb6:-418	Membership
7b93e6a1:150814fecb6:-e	Membership
7b93e6a1:150814fecb6:589	Membership
7b93e6a1:150814fecb6:1a34	Membership
7b93e6a1:150814fecb6:fdb	Membership
http://www.semwebtech.org/mondial/10/islands/Galapagos/	Islands
7b93e6a1:150814fecb6:2d5	Membership
7b93e6a1:150814fecb6:1662	Membership
7b93e6a1:150814fecb6:-678	Border
7b93e6a1:150814fecb6:231	Membership
7b93e6a1:150814fecb6:1c94	Membership
7b93e6a1:150814fecb6:-3c4	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/	Province
7b93e6a1:150814fecb6:-320	Membership
7b93e6a1:150814fecb6:21b7	SpokenBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Baya/	EthnicGroup
7b93e6a1:150814fecb6:8c9	Membership
7b93e6a1:150814fecb6:491	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	City
7b93e6a1:150814fecb6:2113	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	City
7b93e6a1:150814fecb6:825	Membership
7b93e6a1:150814fecb6:19a2	Membership
7b93e6a1:150814fecb6:-9c	Membership
7b93e6a1:150814fecb6:-580	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	EthnicGroup
7b93e6a1:150814fecb6:e57	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	City
7b93e6a1:150814fecb6:1fd4	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	City
7b93e6a1:150814fecb6:12ad	Membership
7b93e6a1:150814fecb6:2373	BelievedBy
7b93e6a1:150814fecb6:ba3	Membership
7b93e6a1:150814fecb6:1f30	Membership
7b93e6a1:150814fecb6:-21f	Membership
http://www.semwebtech.org/mondial/10/river/Selenge/	Water
7b93e6a1:150814fecb6:7d1	Membership
http://www.semwebtech.org/mondial/10/river/Ebro/	Water
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	City
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	City
7b93e6a1:150814fecb6:-47f	Membership
7b93e6a1:150814fecb6:66	Membership
http://www.semwebtech.org/mondial/10/river/OhioRiver/	Water
7b93e6a1:150814fecb6:1a9b	Membership
7b93e6a1:150814fecb6:-1cb	Membership
7b93e6a1:150814fecb6:26b3	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	City
7b93e6a1:150814fecb6:1e2f	Membership
7b93e6a1:150814fecb6:1129	Membership
7b93e6a1:150814fecb6:1389	Membership
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/	Province
7b93e6a1:150814fecb6:62c	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/	Province
7b93e6a1:150814fecb6:-7bf	Encompassed
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/	Province
http://www.semwebtech.org/mondial/10/religion/AfricanMethodistEpiscopal/	Religion
7b93e6a1:150814fecb6:c5e	Membership
7b93e6a1:150814fecb6:1ddb	Membership
7b93e6a1:150814fecb6:-71b	Border
7b93e6a1:150814fecb6:10d5	Membership
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	City
7b93e6a1:150814fecb6:217a	SpokenBy
7b93e6a1:150814fecb6:88c	Membership
7b93e6a1:150814fecb6:1031	Membership
7b93e6a1:150814fecb6:250e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	City
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	Desert
7b93e6a1:150814fecb6:5a9	Membership
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	Mountain
7b93e6a1:150814fecb6:16c9	Membership
7b93e6a1:150814fecb6:1291	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	City
7b93e6a1:150814fecb6:1625	Membership
7b93e6a1:150814fecb6:24ba	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/African-white-Indian/	EthnicGroup
7b93e6a1:150814fecb6:1c57	Membership
http://www.semwebtech.org/mondial/10/mountain/Ararat/	Mountain
7b93e6a1:150814fecb6:4f8	Membership
7b93e6a1:150814fecb6:1885	Membership
http://www.semwebtech.org/mondial/10/mountains/SierraMadre/	Mountains
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	City
7b93e6a1:150814fecb6:454	Membership
7b93e6a1:150814fecb6:15d1	Membership
7b93e6a1:150814fecb6:-5e7	Border
7b93e6a1:150814fecb6:a86	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	City
7b93e6a1:150814fecb6:1a0	Membership
7b93e6a1:150814fecb6:-5f	Membership
7b93e6a1:150814fecb6:-543	Membership
7b93e6a1:150814fecb6:2336	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	Estuary
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/	Province
7b93e6a1:150814fecb6:2596	EthnicProportion
7b93e6a1:150814fecb6:dc6	Membership
7b93e6a1:150814fecb6:142c	Membership
7b93e6a1:150814fecb6:22e2	BelievedBy
7b93e6a1:150814fecb6:29	Membership
7b93e6a1:150814fecb6:d22	Membership
7b93e6a1:150814fecb6:9f4	Membership
7b93e6a1:150814fecb6:1a5e	Membership
7b93e6a1:150814fecb6:950	Membership
7b93e6a1:150814fecb6:2ff	Membership
7b93e6a1:150814fecb6:168c	Membership
7b93e6a1:150814fecb6:f82	Membership
7b93e6a1:150814fecb6:25b	Membership
7b93e6a1:150814fecb6:-3ee	Membership
http://www.semwebtech.org/mondial/10/estuary/Doubs/	Estuary
7b93e6a1:150814fecb6:-34a	Membership
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	Desert
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	City
7b93e6a1:150814fecb6:213d	SpokenBy
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	City
7b93e6a1:150814fecb6:84f	Membership
7b93e6a1:150814fecb6:19cc	Membership
7b93e6a1:150814fecb6:1ffe	Membership
7b93e6a1:150814fecb6:12f8	Membership
7b93e6a1:150814fecb6:239d	BelievedBy
7b93e6a1:150814fecb6:bcd	Membership
7b93e6a1:150814fecb6:1f5a	Membership
7b93e6a1:150814fecb6:1254	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	City
7b93e6a1:150814fecb6:7fb	Membership
http://www.semwebtech.org/mondial/10/island/Sachalin/	Island
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/	Province
http://www.semwebtech.org/mondial/10/river/Akagera/	Water
7b93e6a1:150814fecb6:1848	Membership
http://www.semwebtech.org/mondial/10/country/NMIS/	Country
7b93e6a1:150814fecb6:417	Membership
7b93e6a1:150814fecb6:-172	Membership
7b93e6a1:150814fecb6:a49	Membership
7b93e6a1:150814fecb6:1bc6	Membership
7b93e6a1:150814fecb6:-506	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	City
7b93e6a1:150814fecb6:677	Membership
7b93e6a1:150814fecb6:1b22	Membership
7b93e6a1:150814fecb6:17f4	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	City
7b93e6a1:150814fecb6:3c3	Membership
7b93e6a1:150814fecb6:1750	Membership
7b93e6a1:150814fecb6:-766	Encompassed
7b93e6a1:150814fecb6:10ff	Membership
http://www.semwebtech.org/mondial/10/estuary/Fimi/	Estuary
7b93e6a1:150814fecb6:1d82	Membership
7b93e6a1:150814fecb6:-4b2	Membership
7b93e6a1:150814fecb6:105b	Membership
7b93e6a1:150814fecb6:2559	EthnicProportion
7b93e6a1:150814fecb6:22a5	BelievedBy
7b93e6a1:150814fecb6:9b7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	EthnicGroup
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	Water
7b93e6a1:150814fecb6:2201	SpokenBy
7b93e6a1:150814fecb6:fe9	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	City
7b93e6a1:150814fecb6:913	Membership
7b93e6a1:150814fecb6:164f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	City
7b93e6a1:150814fecb6:f45	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	City
7b93e6a1:150814fecb6:21e	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/	Province
http://www.semwebtech.org/mondial/10/estuary/Tiber/	Estuary
7b93e6a1:150814fecb6:2461	EthnicProportion
7b93e6a1:150814fecb6:-30d	Membership
7b93e6a1:150814fecb6:47e	Membership
7b93e6a1:150814fecb6:15fb	Membership
http://www.semwebtech.org/mondial/10/country/GB/	Country
7b93e6a1:150814fecb6:ef1	Membership
7b93e6a1:150814fecb6:1ca	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/	Province
7b93e6a1:150814fecb6:-56d	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	City
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	City
7b93e6a1:150814fecb6:1f1d	Membership
7b93e6a1:150814fecb6:1217	Membership
7b93e6a1:150814fecb6:20ac	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	City
7b93e6a1:150814fecb6:7be	Membership
http://www.semwebtech.org/mondial/10/country/KN/	Country
7b93e6a1:150814fecb6:71a	Membership
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	City
7b93e6a1:150814fecb6:1477	Membership
7b93e6a1:150814fecb6:d4c	Membership
http://www.semwebtech.org/mondial/10/river/Schilka/	Water
7b93e6a1:150814fecb6:11c3	Membership
7b93e6a1:150814fecb6:-1d9	Membership
http://www.semwebtech.org/mondial/10/island/Anjouan/	Island
7b93e6a1:150814fecb6:97a	Membership
http://www.semwebtech.org/mondial/10/island/Okinawa/	Island
7b93e6a1:150814fecb6:-135	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	City
http://www.semwebtech.org/mondial/10/estuary/Mosel/	Estuary
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/	Province
7b93e6a1:150814fecb6:17b7	Membership
7b93e6a1:150814fecb6:-395	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/	Province
7b93e6a1:150814fecb6:1de9	Membership
7b93e6a1:150814fecb6:1713	Membership
http://www.semwebtech.org/mondial/10/country/RA/	Country
7b93e6a1:150814fecb6:-729	Encompassed
7b93e6a1:150814fecb6:2188	SpokenBy
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	City
7b93e6a1:150814fecb6:1d45	Membership
7b93e6a1:150814fecb6:101e	Membership
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	Mountain
7b93e6a1:150814fecb6:5e6	Membership
7b93e6a1:150814fecb6:1973	Membership
7b93e6a1:150814fecb6:542	Membership
http://www.semwebtech.org/mondial/10/island/GranCanaria/	Island
7b93e6a1:150814fecb6:-6d5	Border
7b93e6a1:150814fecb6:127e	Membership
7b93e6a1:150814fecb6:b74	Membership
7b93e6a1:150814fecb6:1cf1	Membership
7b93e6a1:150814fecb6:-631	Border
7b93e6a1:150814fecb6:24c8	EthnicProportion
7b93e6a1:150814fecb6:2090	Membership
7b93e6a1:150814fecb6:f08	Membership
http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Mountains
7b93e6a1:150814fecb6:2424	BelievedBy
http://www.semwebtech.org/mondial/10/island/Seeland/	Island
http://www.semwebtech.org/mondial/10/river/Brigach/	Water
7b93e6a1:150814fecb6:2684	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Irtysch/	Source
http://www.semwebtech.org/mondial/10/estuary/Mur/	Estuary
7b93e6a1:150814fecb6:15be	Membership
http://www.semwebtech.org/mondial/10/organization/CELAC/	Organization
7b93e6a1:150814fecb6:-19c	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/	Province
7b93e6a1:150814fecb6:eb4	Membership
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/	Mountain
7b93e6a1:150814fecb6:151a	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	City
7b93e6a1:150814fecb6:23d0	BelievedBy
http://www.semwebtech.org/mondial/10/river/Thjorsa/	Water
7b93e6a1:150814fecb6:e10	Membership
7b93e6a1:150814fecb6:1b4c	Membership
7b93e6a1:150814fecb6:3ed	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	City
7b93e6a1:150814fecb6:177a	Membership
7b93e6a1:150814fecb6:-4dc	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	City
7b93e6a1:150814fecb6:c3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	City
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/	Province
7b93e6a1:150814fecb6:22cf	BelievedBy
7b93e6a1:150814fecb6:d0f	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	City
7b93e6a1:150814fecb6:222b	SpokenBy
7b93e6a1:150814fecb6:93d	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/	Province
7b93e6a1:150814fecb6:f6f	Membership
7b93e6a1:150814fecb6:269	Membership
7b93e6a1:150814fecb6:13e6	Membership
7b93e6a1:150814fecb6:248b	EthnicProportion
7b93e6a1:150814fecb6:cbb	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/	Province
7b93e6a1:150814fecb6:1342	Membership
7b93e6a1:150814fecb6:-358	Membership
http://www.semwebtech.org/mondial/10/country/F/	Country
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	City
7b93e6a1:150814fecb6:1d08	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	Province
7b93e6a1:150814fecb6:171	Membership
7b93e6a1:150814fecb6:1936	Membership
7b93e6a1:150814fecb6:1f68	Membership
7b93e6a1:150814fecb6:505	Membership
\.


--
-- TOC entry 6072 (class 0 OID 92744)
-- Dependencies: 945
-- Data for Name: othername; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY othername ("Entity", "VALUE") FROM stdin;
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	Zhongli
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	L'Hospitalet de Llobregat
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	Kokshetau
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	Port Elizabeth
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	San Juan de Pasto
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	Elx
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	Ilesa
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	Cuautla
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	Jekaterinburg
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	Donostia-San Sebastián
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	San Sebastián
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	Sumqayit
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	Sakakah
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	Sutton
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	Pretoria
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	Cagayan de Oro
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	San Andres y Providencia
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	Kaspiysk
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	Pusan
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	Kota Bharu
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	Taegu
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	Čita
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	Santarém
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	Dahuk
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	Bojnourd
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	Bojnord
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	Distrito Central
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	Siquatepeque
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	Piraeus
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	Piräus
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	Cheju
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	Padua
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	Urumqi
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	Al-Qādisiyyah
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	Dzerzhinsk
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	Sukhumi
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	Castelló de la Plana
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	Taiz
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	Kimchaek
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	Songjin
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	Shakhty
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	Kelang
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	Volžskij
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	Bergen
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	Novokuzneck
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	Tashkent City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	Mytishchi
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	Laâyoune
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	Homs
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	Qamishli
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	Gambela
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	Diu
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	Komsomolsk on Amur
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	Komsomol'sk-na-Amure
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	Ahmedabad
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	Nashville
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	Guatemala City
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	Fez
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	Čel'abinsk
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	Novy Urengoy
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	Toamasina
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	Efon-Alaaye
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	Shchyolkovo
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	St. George's
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	Hamadan
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	Jerusalem
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	Nakhodka
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	Santiago de los Caballeros
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	Khasavyurt
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	Reggio Emilia
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	Bisho
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	Zouérat
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	Calicut
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	Geneva
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	Fergana
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	Uljanovsk
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	Amarah
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	Manama
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	Zheleznodorozhny
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	Lipeck
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	Korolyov
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	La Laguna
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	Mosul
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	El-Mahalla El-Kubra
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	Cairo
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	Termez
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	Rovno
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	Cologne
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	Ho Chi Minh City
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	Saigon
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	Mansoura
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	Turin
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	Guwahati
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	Mahajanga
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	Icel
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	Beersheba
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	Ulan Bator
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	Basra
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	Basrah
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	Viangchan
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	Latakia
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	Kamensk Uralsky
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	Kiev
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	Akyab
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	Nebitdag
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	Sāhīwal
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	Juárez
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	Nawābshāh
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	Adapazari
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	Poza Rica
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	Būrewāla
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	Karagandy
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	Santiago de Veraguas
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	Kaxgar
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	Kashi
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	South Tangerang
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	Las Tunas
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	Toljatti
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	Karāchi
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	Tashkent
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	Dera Ghāzi Khān
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	Minya
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	Almalyk
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	Rahim Yar Khan
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	Rahīmyār Khān
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	Cuzco
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	Kafr el-Dawwar
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	Goa
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	Seville
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	Genoa
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	Petropavl
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	Reggio Calabria
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	Limassol
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	Balqash
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	Misrata
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	Aizawl
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	Kotte
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	Sri Jayewardenepura
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	Pachuca de Soto
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	Deir ez-Zor
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	Boise
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	Santa Cruz
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	Ghent
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	Gand
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	Machačkala
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	Luik
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	Tabuk
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	Rubtsovsk
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	Heroica Nogales
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	Faiyum
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	Taif
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	Hama
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	Frankfurt
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	Panjin
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	Santarém
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	Dahuk
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	Damaskus
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	Damascus
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	Benin City
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	İzmir
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	Archangel'sk
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	Samarkand
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	Almetyevsk
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	Taldykorgan
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	Nefteyugansk
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	Rishon LeZion
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	Ahwaz
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	Iževsk
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	Najaf
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	Offenbach
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	Pushkino
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	Magway
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	Aleppo
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	Haleb
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	Thiruvananthapuram
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	Sharjah
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	Mersa Matruh
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	Shimla
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	Guixian
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	Dawei
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	Tlalnepantla de Baz
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	Orekhovo Zuyevo
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	Nazret
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	Antakya
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	Mamoudzou
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	Bhilai Nagar
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Saint Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Sankt Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	St. Peterburg
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	Taejon
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	Kwangju
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	Wad Madani
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	Yuzhno Sakhalinsk
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	Astrachan'
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	Odessa
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	Kāmoke
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	Bataysk
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	Bataisk
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	Karbala
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	Novorossijsk
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	Al Khalil
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	Achinsk
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	Coihaique
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	Nzérékoré
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	Estado de Mexico
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	San Juan de Los Morros
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	Nižnij Tagil
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	Iruña
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	Antwerp
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	Anvers
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	Athens
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	Osogbo
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	Gujrāt
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	Stavropol'
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	Jizan
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	Ramadi
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	Pyatigorsk
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	Nizhny Novgorod
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	Nižnij Novgorod
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	Shubra El-Kheima
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	Kamyshin
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	Copenhagen
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	Coro
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	Damascus
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	Rangoon
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	Naucalpan de Juarez
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	Porto
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	San Jose del Monte
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	Kokand
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	Urfa
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	Dehradun
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	Debre Zeyit
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	Mingora
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	Mingāora
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	Yelets
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	Huhhot
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	Bucharest
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	Bucarest
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	Izmit
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	Afyon
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	Br'ansk
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	Sinpo
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	Homs
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	Aktobe
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	Joškar-Ola
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	Urgench
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	Tucuman
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	Daraa
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	Sohag
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	Quy Nhơn
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	Durban
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	Voronež
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	San Pablo de las Salinas
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	Mawlamyaing
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	Moulmein
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	Howrah
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	Khomeynishahr
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	Blagoveshchensk
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	Luik
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	Havana
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	Habana
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	Afyon
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	Groznyj
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	Kazan'
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	Florence
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	Hamadan
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	Alacant
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	Islāmābād
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	Mülheim
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	Vienna
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	Timbuktu
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	Chalcis
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	Chalkis
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	Giza
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	Gizeh
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	Naberezhnye Chelny
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	Naberežnyje Čelny
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	Jaroslavl'
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	Novokuybyshevsk
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	Lārkāna
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	Nicosia
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	Agana
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	Malacca
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	Asaita
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	Biysk
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	Gambela
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	Nampo
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	Warsaw
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	Kigoma
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	Quneitra
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	Calcutta
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	Iraklion
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	Irakleio
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	Beirut
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	Rhodos
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	Pripyat
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	Aarhus
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	Novoshakhtinsk
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	Freiburg im Breisgau
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	Coxen Hole (Roatan)
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	Coxen Hole
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	Ismaïlia
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	San Fernando de Apure
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Kostanay
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Kustanay
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	Sfântu Gheorghe
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	Kopeysk
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	Dadiangas
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	Bruges
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	Larnaca
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	Tromsoe
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	Luxor
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	Lyubertsy
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	Kuwait
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	Kuwait City
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	Jerez
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	Al Chartum Bahri
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	Chartum Bahri
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	Oryol
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	Orël
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Brussels
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Brussel
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	Multān
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	Novocherkassk
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	Alexandria
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	Chabarovsk
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	Xiangfan
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	Charjew
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	Margilan
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	Nižnevartovsk
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	Isfahan
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	Khimki
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	Sulaymaniyah
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	Deir ez-Zor
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	Nacala
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	Hull
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	Tabuk
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	Naypyidaw
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	Naypyitaw
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	Al Qadarif
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	Odintsovo
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	Oktyabrsky
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	Gujrānwāla
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	Samarkand
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	Maskat
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	Tumaco
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	Gonbad e Kavous
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	Las Palmas
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	Khanty Mansiysk
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	Qena
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	Nasiriyah
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	The Hague
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	's-Gravenhage
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	Fergana
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	Isfahan
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	Rome
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	Čerepovec
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	Hyderābād
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	Évora
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	Quneitra
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	Serpukhov
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	Port Said
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	Al Bahah
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	Nelspruit
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	St. Catharines
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	Kumul
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	Cochin
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	Corfu
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	Korfu
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	Rostov on Don
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	Rostov
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	Bahāwalpur
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	Karagandy
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	Penang
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	Magway
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	Jerusalem
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	Châlons
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	Châlons en Champagne
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	Peshāwar
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	Newcastle
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	Syracuse
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	Khvoy
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	Sheikhūpura
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	Vadsoe
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	Khudzhand
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	Chudschand
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	T'umen'
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	Karbala
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	Islamshahr
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	Daşoguz
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	Tashauz
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	Veliky Novgorod
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	Novgorod
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	Hong Gai
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	Rāwalpindi
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	Schaarbeek
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	Ondjiva
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	Zaporizhia
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	Sint-Jans-Molenbeek
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	Lexington Fayette
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	Bengaluru
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	Hanover
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	Ayoûn el-Atroûs
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	Bienne
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	Soči
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	Caloocan
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Sankt Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Sankt-Peterburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Saint Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	St. Peterburg
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	Bukhara
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	Okāra
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	Hodeidah
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	Al Hudaydah
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	Mardān
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	Palma
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	Basse Terre
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	Tirane
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	Bozen
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	Kostanay
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	Kostanai
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	San Juan de Girón
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	Al Diwaniyah
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	Noyabrsk
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	Perm'
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	Prokopyevsk
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	Maykop
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	New Bombay
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	Pétionville
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	East London
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	Pristina
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	Maarat al-Numaan
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	Tidjikdja
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	Zhukovskij
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	Zhukovsky
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	Uzhgorod
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	Vanderbijlpark
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	Kuching
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	Namen
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	Suez
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	Kalemie
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	Bodoe
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	Shibin El Kom
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	Sergiyev Posad
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	Zagorsk
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	Veracruz Llave
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	Naples
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	Patan
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	Yessentuki
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	Zagazig
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	Ardabil
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	Kasūr
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	Touggourt
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	Embu das Artes
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	Hamhung
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	Ludwigshafen am Rhein
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	Pietermaritzburg
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	Nizhnekamsk
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	Venice
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	Al Bahah
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	Kulob
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	R'azan'
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	Hubballi
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	Lubuklinggau
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	Belgrade
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	Jakutsk
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	Hama
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	Wāh Cantonment
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	Cherkessk
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	Tangier
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	Gothenburg
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	Göteborg
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	Samawah
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	Douma
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	Soledad de Graciano Sanchez
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	Bokara Steel City
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	Xalapa
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	Jalapa
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	Nuremberg
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	Jiaoxian
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	Târgu Jiu
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	Pietersburg
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	Daraa
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	Čeboksary
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	Ussuriysk
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	Victoria de Durango
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	Munich
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	Petropavlovsk Kamchatsky
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	Moscow
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	Ogbomoso
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	Rudny
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	Petah Tikva
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	Petah Tikwa
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	Nizhny Novgorod
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	Novocheboksarsk
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	La Coruna
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	Stary Oskol
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	Louvain
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	Lucerne
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	Zamora
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	Prague
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	Banjarmasin
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	St. Gallen
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	Djelfa
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	Madinah
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	Krasnojarsk
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	Tver'
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	Patras
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	Santa Catarina
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	Jaboatao dos Guararapes
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	Jizan
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	Yasouj
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	Tanjung Pinang
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	As Sib
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	Siālkot
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	Moji Guacu
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	Ecatepec de Morelos
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	San Nicolas de los Garza
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	Jiangsu
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	Bien Hoa City
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	Milan
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	Tashkent
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	Bloemfontein
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	Solapur
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	Balashikha
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	Nalchik
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	Jujuy
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	Mytilene
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	Beni Suef
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	Bukhara
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	Monaco-Ville
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	Kharkov
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	Ujung Pandang
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	Kut
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	Mīrpur Khās
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	Jaffa
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	Tel Aviv
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	Mexico City
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	Nishapur
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	Ekurhuleni
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	East Rand
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	Madeira
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	Puerto Inirida
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	Basra
\.


--
-- TOC entry 6073 (class 0 OID 92747)
-- Dependencies: 946
-- Data for Name: proptablemap; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY proptablemap (property, tablename) FROM stdin;
latitude	Islands
latitude	Island
latitude	Water
latitude	Mountains
latitude	Desert
latitude	Source
latitude	City
latitude	Estuary
latitude	Mountain
hasHeadq	Organization
flowsInto	Water
name	Language
name	Continent
name	Mountains
name	Province
name	Island
name	Organization
name	Mountain
name	EthnicGroup
name	City
name	Religion
name	Desert
name	Islands
name	Water
name	Country
population	Island
population	Islands
population	Country
population	City
population	Province
gdpAgri	Country
belongsToIslands	Island
area	Desert
area	Island
area	Province
area	Islands
area	Country
area	Continent
area	Water
area	Mountains
locatedOnIsland	Mountain
onlyfemaleprop	Female
length	Border
length	Water
inflation	Country
type	Mountain
type	Desert
type	Water
type	Islands
type	Island
type	Membership
type	Mountains
inMountains	Source
inMountains	Mountain
capital	Province
capital	Country
abbrev	Organization
lastEruption	Mountain
ethnicInfo-	EthnicProportion
flowsThrough_Inv	Water
populationGrowth	Country
percent	Encompassed
percent	BelievedBy
percent	SpokenBy
percent	EthnicProportion
longitude	Source
longitude	Island
longitude	Islands
longitude	Desert
longitude	Water
longitude	Estuary
longitude	City
longitude	Mountain
longitude	Mountains
government	Country
gdpServ	Country
invfktprop_Inv	Y2
invfktprop_Inv	Y1
gdpTotal	Country
hasMother	Female
hasMother	Male
ofMember	Membership
religionInfo-	BelievedBy
elevation	Source
elevation	Mountains
elevation	Water
elevation	Mountain
elevation	City
elevation	Islands
elevation	Estuary
elevation	Island
inOrganization	Membership
nmprop	X1
hasFather	Female
hasFather	Male
isProvinceOf	Province
hasSource-	Source
languageInfo-	SpokenBy
unemployment	Country
independenceDate	Country
dependentOf	Country
onReligion	BelievedBy
totUpartV11prop	U
depth	Water
infantMortality	Country
onEthnicGroup	EthnicProportion
gdpInd	Country
carCode	Country
established	Organization
encompassedArea	Encompassed
wasDependentOf	Country
encompassedBy	Encompassed
hasEstuary-	Estuary
onLanguage	SpokenBy
rdftype	Water
rdftype	Mountain
\.


--
-- TOC entry 6074 (class 0 OID 92760)
-- Dependencies: 949
-- Data for Name: rctab; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY rctab (tablename, columnname, rangetable) FROM stdin;
Organization	hasHeadq	City
Water	flowsInto	Water
Water	flowsThrough_Inv	Water
Island	belongsToIslands	Islands
Country	dependentOf	Country
Country	capital	City
Country	wasDependentOf	Organization
Country	wasDependentOf	Country
Mountain	locatedOnIsland	Island
Mountain	inMountains	Mountains
Female	hasMother	Female
Female	hasFather	Male
Province	capital	City
Province	isProvinceOf	Country
Source	inMountains	Mountains
Source	hasSource-	Water
EthnicProportion	ethnicInfo-	Country
EthnicProportion	onEthnicGroup	EthnicGroup
Encompassed	encompassedArea	Country
Encompassed	encompassedArea	Province
Encompassed	encompassedBy	Continent
BelievedBy	religionInfo-	Country
BelievedBy	onReligion	Religion
Y2	invfktprop_Inv	X1
Y2	invfktprop_Inv	X2
Membership	ofMember	Country
Membership	inOrganization	Organization
Male	hasMother	Female
Male	hasFather	Male
SpokenBy	languageInfo-	Country
SpokenBy	onLanguage	Language
X1	nmprop	Y1
X1	nmprop	Y2
U	totUpartV11prop	V
Estuary	hasEstuary-	Water
Y1	invfktprop_Inv	X1
Y1	invfktprop_Inv	X2
hasNickname	Person	Male
hasNickname	Person	Female
locatedAt	City	City
nmprop	X	X2
mergesWith	Sea1	Water
locatedOnIsland	Entity	City
marriedWith	Person1	Female
marriedWith	Person1	Male
borders	Entity	Continent
borders	Entity	Country
borders	Entity	Water
borders	Entity	Province
cityIn	City	City
othername	Entity	City
othername	Entity	Organization
othername	Entity	Island
othername	Entity	Desert
othername	Entity	Mountains
othername	Entity	Continent
othername	Entity	Mountain
othername	Entity	Islands
othername	Entity	EthnicGroup
othername	Entity	Language
othername	Entity	Water
othername	Entity	Country
othername	Entity	Religion
othername	Entity	Province
locatedIn	Entity	Estuary
locatedIn	Entity	Desert
locatedIn	Entity	Island
locatedIn	Entity	Mountains
locatedIn	Entity	Source
locatedIn	Entity	Mountain
locatedIn	Entity	City
locatedIn	Entity	Water
locatedIn	Entity	Islands
locatedInWater	Island	Island
hasAccountNo	Person	Female
hasAccountNo	Person	Male
hasChild	Person1	Male
hasChild	Person1	Female
locatedAt	Water	Water
nmprop	Y	Y1
nmprop	Y	Y2
mergesWith	Sea2	Water
mergesWith	Sea2	Water
locatedOnIsland	Island	Island
marriedWith	Person2	Male
marriedWith	Person2	Male
marriedWith	Person2	Female
marriedWith	Person2	Female
borders	LargeArea	Water
borders	LargeArea	Province
borders	LargeArea	Country
borders	LargeArea	Continent
cityIn	AdministrativeArea	Province
cityIn	AdministrativeArea	Country
locatedIn	Area	Country
locatedIn	Area	Province
locatedIn	Area	Island
locatedIn	Area	Continent
locatedIn	Area	Mountains
locatedIn	Area	Water
locatedIn	Area	City
locatedIn	Area	Desert
locatedIn	Area	Islands
locatedInWater	Water	Water
hasChild	Person2	Female
hasChild	Person2	Male
Border	Country1	Country
Border	Country2	Country
\.


--
-- TOC entry 6075 (class 0 OID 92763)
-- Dependencies: 950
-- Data for Name: rdf2sqlconf; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY rdf2sqlconf (name, value) FROM stdin;
casesensitive	true
identifiers	asURI
\.


--
-- TOC entry 6076 (class 0 OID 92766)
-- Dependencies: 951
-- Data for Name: subcl; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY subcl (subclass, superclass) FROM stdin;
Language	rdf2sqlTOP
Continent	rdf2sqlTOP
Desert	rdf2sqlTOP
Border	rdf2sqlTOP
X2	rdf2sqlTOP
Estuary	rdf2sqlTOP
Source	rdf2sqlTOP
Mountain	rdf2sqlTOP
Country	rdf2sqlTOP
Religion	rdf2sqlTOP
Encompassed	rdf2sqlTOP
Province	rdf2sqlTOP
Island	rdf2sqlTOP
EthnicGroup	rdf2sqlTOP
Female	rdf2sqlTOP
SpokenBy	rdf2sqlTOP
Mountains	rdf2sqlTOP
Y1	rdf2sqlTOP
BelievedBy	rdf2sqlTOP
U	rdf2sqlTOP
Male	rdf2sqlTOP
Water	rdf2sqlTOP
Membership	rdf2sqlTOP
Organization	rdf2sqlTOP
Y2	rdf2sqlTOP
V	rdf2sqlTOP
Islands	rdf2sqlTOP
EthnicProportion	rdf2sqlTOP
X1	rdf2sqlTOP
City	rdf2sqlTOP
\.


--
-- TOC entry 6077 (class 0 OID 92769)
-- Dependencies: 952
-- Data for Name: toptables; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY toptables (tablename, property, range) FROM stdin;
TOP_locatedOnIsland	locatedOnIsland	Island
TOP_latitude	latitude	decimal
TOP_population	population	nonNegativeInteger
TOP_capital	capital	City
TOP_hasFather	hasFather	Male
TOP_elevation	elevation	decimal
TOP_percent	percent	decimal
TOP_length	length	decimal
TOP_name	name	string
TOP_nmprop	nmprop	Y
TOP_inMountains	inMountains	Mountains
TOP_area	area	decimal
TOP_invfktprop_Inv	invfktprop_Inv	X
TOP_type	type	string
TOP_hasMother	hasMother	Female
TOP_nmprop_Inv	nmprop_Inv	X
TOP_longitude	longitude	decimal
TOP_onlyfemaleprop	onlyfemaleprop	Integer
\.


SET search_path = mondial_allconcrete_standard, pg_catalog;

--
-- TOC entry 5470 (class 2606 OID 90395)
-- Name: AdministrativeAreaPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "AdministrativeArea"
    ADD CONSTRAINT "AdministrativeAreaPK" PRIMARY KEY ("URI");


--
-- TOC entry 5472 (class 2606 OID 90397)
-- Name: AnthropoGeographicalRelationshipPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "AnthropoGeographicalRelationship"
    ADD CONSTRAINT "AnthropoGeographicalRelationshipPK" PRIMARY KEY ("URI");


--
-- TOC entry 5474 (class 2606 OID 90399)
-- Name: AnthropoGeographicalThingPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "AnthropoGeographicalThing"
    ADD CONSTRAINT "AnthropoGeographicalThingPK" PRIMARY KEY ("URI");


--
-- TOC entry 5476 (class 2606 OID 90401)
-- Name: AreaPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Area"
    ADD CONSTRAINT "AreaPK" PRIMARY KEY ("URI");


--
-- TOC entry 5478 (class 2606 OID 90403)
-- Name: BelievedByPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "BelievedBy"
    ADD CONSTRAINT "BelievedByPK" PRIMARY KEY ("URI");


--
-- TOC entry 5480 (class 2606 OID 90405)
-- Name: BorderPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Border"
    ADD CONSTRAINT "BorderPK" PRIMARY KEY ("URI");


--
-- TOC entry 5482 (class 2606 OID 90407)
-- Name: CityPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "City"
    ADD CONSTRAINT "CityPK" PRIMARY KEY ("URI");


--
-- TOC entry 5484 (class 2606 OID 90409)
-- Name: ContinentPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Continent"
    ADD CONSTRAINT "ContinentPK" PRIMARY KEY ("URI");


--
-- TOC entry 5486 (class 2606 OID 90411)
-- Name: CountryPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Country"
    ADD CONSTRAINT "CountryPK" PRIMARY KEY ("URI");


--
-- TOC entry 5488 (class 2606 OID 90413)
-- Name: DesertPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Desert"
    ADD CONSTRAINT "DesertPK" PRIMARY KEY ("URI");


--
-- TOC entry 5490 (class 2606 OID 90415)
-- Name: EncompassedPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Encompassed"
    ADD CONSTRAINT "EncompassedPK" PRIMARY KEY ("URI");


--
-- TOC entry 5492 (class 2606 OID 90417)
-- Name: EstuaryPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Estuary"
    ADD CONSTRAINT "EstuaryPK" PRIMARY KEY ("URI");


--
-- TOC entry 5494 (class 2606 OID 90419)
-- Name: EthnicGroupPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "EthnicGroup"
    ADD CONSTRAINT "EthnicGroupPK" PRIMARY KEY ("URI");


--
-- TOC entry 5496 (class 2606 OID 90421)
-- Name: EthnicProportionPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "EthnicProportion"
    ADD CONSTRAINT "EthnicProportionPK" PRIMARY KEY ("URI");


--
-- TOC entry 5498 (class 2606 OID 90423)
-- Name: FemalePK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Female"
    ADD CONSTRAINT "FemalePK" PRIMARY KEY ("URI");


--
-- TOC entry 5500 (class 2606 OID 90425)
-- Name: GeographicalNonPoliticalThingPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "GeographicalNonPoliticalThing"
    ADD CONSTRAINT "GeographicalNonPoliticalThingPK" PRIMARY KEY ("URI");


--
-- TOC entry 5502 (class 2606 OID 90427)
-- Name: GeographicalThingPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "GeographicalThing"
    ADD CONSTRAINT "GeographicalThingPK" PRIMARY KEY ("URI");


--
-- TOC entry 5504 (class 2606 OID 90429)
-- Name: IslandPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Island"
    ADD CONSTRAINT "IslandPK" PRIMARY KEY ("URI");


--
-- TOC entry 5506 (class 2606 OID 90431)
-- Name: IslandsPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Islands"
    ADD CONSTRAINT "IslandsPK" PRIMARY KEY ("URI");


--
-- TOC entry 5508 (class 2606 OID 90433)
-- Name: LakePK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Lake"
    ADD CONSTRAINT "LakePK" PRIMARY KEY ("URI");


--
-- TOC entry 5510 (class 2606 OID 90435)
-- Name: LanguagePK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Language"
    ADD CONSTRAINT "LanguagePK" PRIMARY KEY ("URI");


--
-- TOC entry 5512 (class 2606 OID 90437)
-- Name: LinePK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Line"
    ADD CONSTRAINT "LinePK" PRIMARY KEY ("URI");


--
-- TOC entry 5514 (class 2606 OID 90439)
-- Name: LocationPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Location"
    ADD CONSTRAINT "LocationPK" PRIMARY KEY ("URI");


--
-- TOC entry 5516 (class 2606 OID 90441)
-- Name: MalePK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Male"
    ADD CONSTRAINT "MalePK" PRIMARY KEY ("URI");


--
-- TOC entry 5518 (class 2606 OID 90443)
-- Name: MembershipPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Membership"
    ADD CONSTRAINT "MembershipPK" PRIMARY KEY ("URI");


--
-- TOC entry 5520 (class 2606 OID 90445)
-- Name: MondialThingPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "MondialThing"
    ADD CONSTRAINT "MondialThingPK" PRIMARY KEY ("URI");


--
-- TOC entry 5522 (class 2606 OID 90447)
-- Name: MountainPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Mountain"
    ADD CONSTRAINT "MountainPK" PRIMARY KEY ("URI");


--
-- TOC entry 5524 (class 2606 OID 90449)
-- Name: MountainsPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Mountains"
    ADD CONSTRAINT "MountainsPK" PRIMARY KEY ("URI");


--
-- TOC entry 5526 (class 2606 OID 90451)
-- Name: OrganizationPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Organization"
    ADD CONSTRAINT "OrganizationPK" PRIMARY KEY ("URI");


--
-- TOC entry 5528 (class 2606 OID 90453)
-- Name: PlacePK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Place"
    ADD CONSTRAINT "PlacePK" PRIMARY KEY ("URI");


--
-- TOC entry 5530 (class 2606 OID 90455)
-- Name: PoliticalBodyPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "PoliticalBody"
    ADD CONSTRAINT "PoliticalBodyPK" PRIMARY KEY ("URI");


--
-- TOC entry 5532 (class 2606 OID 90457)
-- Name: PoliticalThingPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "PoliticalThing"
    ADD CONSTRAINT "PoliticalThingPK" PRIMARY KEY ("URI");


--
-- TOC entry 5534 (class 2606 OID 90459)
-- Name: ProvincePK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Province"
    ADD CONSTRAINT "ProvincePK" PRIMARY KEY ("URI");


--
-- TOC entry 5536 (class 2606 OID 90461)
-- Name: ReifiedThingPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "ReifiedThing"
    ADD CONSTRAINT "ReifiedThingPK" PRIMARY KEY ("URI");


--
-- TOC entry 5538 (class 2606 OID 90463)
-- Name: ReligionPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Religion"
    ADD CONSTRAINT "ReligionPK" PRIMARY KEY ("URI");


--
-- TOC entry 5540 (class 2606 OID 90465)
-- Name: RiverPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "River"
    ADD CONSTRAINT "RiverPK" PRIMARY KEY ("URI");


--
-- TOC entry 5542 (class 2606 OID 90467)
-- Name: SeaPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Sea"
    ADD CONSTRAINT "SeaPK" PRIMARY KEY ("URI");


--
-- TOC entry 5544 (class 2606 OID 90469)
-- Name: SourcePK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Source"
    ADD CONSTRAINT "SourcePK" PRIMARY KEY ("URI");


--
-- TOC entry 5546 (class 2606 OID 90471)
-- Name: SpokenByPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "SpokenBy"
    ADD CONSTRAINT "SpokenByPK" PRIMARY KEY ("URI");


--
-- TOC entry 5548 (class 2606 OID 90473)
-- Name: UPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "U"
    ADD CONSTRAINT "UPK" PRIMARY KEY ("URI");


--
-- TOC entry 5550 (class 2606 OID 90475)
-- Name: VPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "V"
    ADD CONSTRAINT "VPK" PRIMARY KEY ("URI");


--
-- TOC entry 5552 (class 2606 OID 90477)
-- Name: WaterPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Water"
    ADD CONSTRAINT "WaterPK" PRIMARY KEY ("URI");


--
-- TOC entry 5554 (class 2606 OID 90479)
-- Name: X1PK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "X1"
    ADD CONSTRAINT "X1PK" PRIMARY KEY ("URI");


--
-- TOC entry 5556 (class 2606 OID 90481)
-- Name: X2PK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "X2"
    ADD CONSTRAINT "X2PK" PRIMARY KEY ("URI");


--
-- TOC entry 5558 (class 2606 OID 90483)
-- Name: Y1PK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Y1"
    ADD CONSTRAINT "Y1PK" PRIMARY KEY ("URI");


--
-- TOC entry 5560 (class 2606 OID 90485)
-- Name: Y2PK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Y2"
    ADD CONSTRAINT "Y2PK" PRIMARY KEY ("URI");


--
-- TOC entry 5562 (class 2606 OID 90487)
-- Name: bordersPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY borders
    ADD CONSTRAINT "bordersPK" PRIMARY KEY ("Area", "LargeArea");


--
-- TOC entry 5564 (class 2606 OID 90489)
-- Name: cityInPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "cityIn"
    ADD CONSTRAINT "cityInPK" PRIMARY KEY ("City", "AdministrativeArea");


--
-- TOC entry 5566 (class 2606 OID 90491)
-- Name: hasAccountNoPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "hasAccountNo"
    ADD CONSTRAINT "hasAccountNoPK" PRIMARY KEY ("Person", "VALUE");


--
-- TOC entry 5568 (class 2606 OID 90493)
-- Name: hasChildPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "hasChild"
    ADD CONSTRAINT "hasChildPK" PRIMARY KEY ("Person1", "Person2");


--
-- TOC entry 5570 (class 2606 OID 90495)
-- Name: hasNicknamePK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "hasNickname"
    ADD CONSTRAINT "hasNicknamePK" PRIMARY KEY ("Person", "VALUE");


--
-- TOC entry 5572 (class 2606 OID 90497)
-- Name: locatedAtPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "locatedAt"
    ADD CONSTRAINT "locatedAtPK" PRIMARY KEY ("City", "Water");


--
-- TOC entry 5574 (class 2606 OID 90499)
-- Name: locatedInPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "locatedIn"
    ADD CONSTRAINT "locatedInPK" PRIMARY KEY ("GeographicalThing", "Area");


--
-- TOC entry 5576 (class 2606 OID 90501)
-- Name: locatedInWaterPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "locatedInWater"
    ADD CONSTRAINT "locatedInWaterPK" PRIMARY KEY ("Island", "Water");


--
-- TOC entry 5578 (class 2606 OID 90503)
-- Name: locatedOnIslandPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "locatedOnIsland"
    ADD CONSTRAINT "locatedOnIslandPK" PRIMARY KEY ("GeographicalThing", "Island");


--
-- TOC entry 5580 (class 2606 OID 90505)
-- Name: marriedWithPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "marriedWith"
    ADD CONSTRAINT "marriedWithPK" PRIMARY KEY ("Person1", "Person2");


--
-- TOC entry 5582 (class 2606 OID 90507)
-- Name: mergesWithPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "mergesWith"
    ADD CONSTRAINT "mergesWithPK" PRIMARY KEY ("Sea1", "Sea2");


--
-- TOC entry 5584 (class 2606 OID 90509)
-- Name: nmpropPK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY nmprop
    ADD CONSTRAINT "nmpropPK" PRIMARY KEY ("X", "Y");


--
-- TOC entry 5586 (class 2606 OID 90511)
-- Name: othernamePK; Type: CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY othername
    ADD CONSTRAINT "othernamePK" PRIMARY KEY ("MondialThing", "VALUE");


SET search_path = mondial_rdf2sql_standard, pg_catalog;

--
-- TOC entry 5588 (class 2606 OID 92966)
-- Name: BelievedByPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "BelievedBy"
    ADD CONSTRAINT "BelievedByPK" PRIMARY KEY ("URI");


--
-- TOC entry 5590 (class 2606 OID 92968)
-- Name: BorderPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Border"
    ADD CONSTRAINT "BorderPK" PRIMARY KEY ("URI");


--
-- TOC entry 5592 (class 2606 OID 92970)
-- Name: CityPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "City"
    ADD CONSTRAINT "CityPK" PRIMARY KEY ("URI");


--
-- TOC entry 5594 (class 2606 OID 92972)
-- Name: ContinentPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Continent"
    ADD CONSTRAINT "ContinentPK" PRIMARY KEY ("URI");


--
-- TOC entry 5596 (class 2606 OID 92974)
-- Name: CountryPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Country"
    ADD CONSTRAINT "CountryPK" PRIMARY KEY ("URI");


--
-- TOC entry 5598 (class 2606 OID 92976)
-- Name: DesertPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Desert"
    ADD CONSTRAINT "DesertPK" PRIMARY KEY ("URI");


--
-- TOC entry 5600 (class 2606 OID 92978)
-- Name: EncompassedPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Encompassed"
    ADD CONSTRAINT "EncompassedPK" PRIMARY KEY ("URI");


--
-- TOC entry 5602 (class 2606 OID 92980)
-- Name: EstuaryPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Estuary"
    ADD CONSTRAINT "EstuaryPK" PRIMARY KEY ("URI");


--
-- TOC entry 5604 (class 2606 OID 92982)
-- Name: EthnicGroupPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "EthnicGroup"
    ADD CONSTRAINT "EthnicGroupPK" PRIMARY KEY ("URI");


--
-- TOC entry 5606 (class 2606 OID 92984)
-- Name: EthnicProportionPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "EthnicProportion"
    ADD CONSTRAINT "EthnicProportionPK" PRIMARY KEY ("URI");


--
-- TOC entry 5608 (class 2606 OID 92986)
-- Name: FemalePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Female"
    ADD CONSTRAINT "FemalePK" PRIMARY KEY ("URI");


--
-- TOC entry 5610 (class 2606 OID 92988)
-- Name: IslandPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Island"
    ADD CONSTRAINT "IslandPK" PRIMARY KEY ("URI");


--
-- TOC entry 5612 (class 2606 OID 92990)
-- Name: IslandsPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Islands"
    ADD CONSTRAINT "IslandsPK" PRIMARY KEY ("URI");


--
-- TOC entry 5614 (class 2606 OID 92992)
-- Name: LanguagePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Language"
    ADD CONSTRAINT "LanguagePK" PRIMARY KEY ("URI");


--
-- TOC entry 5616 (class 2606 OID 92994)
-- Name: MalePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Male"
    ADD CONSTRAINT "MalePK" PRIMARY KEY ("URI");


--
-- TOC entry 5618 (class 2606 OID 92996)
-- Name: MembershipPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Membership"
    ADD CONSTRAINT "MembershipPK" PRIMARY KEY ("URI");


--
-- TOC entry 5620 (class 2606 OID 92998)
-- Name: MountainPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Mountain"
    ADD CONSTRAINT "MountainPK" PRIMARY KEY ("URI");


--
-- TOC entry 5622 (class 2606 OID 93000)
-- Name: MountainsPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Mountains"
    ADD CONSTRAINT "MountainsPK" PRIMARY KEY ("URI");


--
-- TOC entry 5624 (class 2606 OID 93002)
-- Name: OrganizationPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Organization"
    ADD CONSTRAINT "OrganizationPK" PRIMARY KEY ("URI");


--
-- TOC entry 5626 (class 2606 OID 93004)
-- Name: ProvincePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Province"
    ADD CONSTRAINT "ProvincePK" PRIMARY KEY ("URI");


--
-- TOC entry 5628 (class 2606 OID 93006)
-- Name: ReligionPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Religion"
    ADD CONSTRAINT "ReligionPK" PRIMARY KEY ("URI");


--
-- TOC entry 5630 (class 2606 OID 93008)
-- Name: SourcePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Source"
    ADD CONSTRAINT "SourcePK" PRIMARY KEY ("URI");


--
-- TOC entry 5632 (class 2606 OID 93010)
-- Name: SpokenByPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "SpokenBy"
    ADD CONSTRAINT "SpokenByPK" PRIMARY KEY ("URI");


--
-- TOC entry 5634 (class 2606 OID 93012)
-- Name: UPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "U"
    ADD CONSTRAINT "UPK" PRIMARY KEY ("URI");


--
-- TOC entry 5636 (class 2606 OID 93014)
-- Name: VPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "V"
    ADD CONSTRAINT "VPK" PRIMARY KEY ("URI");


--
-- TOC entry 5638 (class 2606 OID 93016)
-- Name: WaterPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Water"
    ADD CONSTRAINT "WaterPK" PRIMARY KEY ("URI");


--
-- TOC entry 5640 (class 2606 OID 93018)
-- Name: X1PK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "X1"
    ADD CONSTRAINT "X1PK" PRIMARY KEY ("URI");


--
-- TOC entry 5642 (class 2606 OID 93020)
-- Name: X2PK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "X2"
    ADD CONSTRAINT "X2PK" PRIMARY KEY ("URI");


--
-- TOC entry 5644 (class 2606 OID 93022)
-- Name: Y1PK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Y1"
    ADD CONSTRAINT "Y1PK" PRIMARY KEY ("URI");


--
-- TOC entry 5646 (class 2606 OID 93024)
-- Name: Y2PK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Y2"
    ADD CONSTRAINT "Y2PK" PRIMARY KEY ("URI");


--
-- TOC entry 5648 (class 2606 OID 93026)
-- Name: bordersPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY borders
    ADD CONSTRAINT "bordersPK" PRIMARY KEY ("Entity", "LargeArea");


--
-- TOC entry 5650 (class 2606 OID 93028)
-- Name: cityInPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "cityIn"
    ADD CONSTRAINT "cityInPK" PRIMARY KEY ("City", "AdministrativeArea");


--
-- TOC entry 5652 (class 2606 OID 93030)
-- Name: hasAccountNoPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "hasAccountNo"
    ADD CONSTRAINT "hasAccountNoPK" PRIMARY KEY ("Person", "VALUE");


--
-- TOC entry 5654 (class 2606 OID 93032)
-- Name: hasChildPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "hasChild"
    ADD CONSTRAINT "hasChildPK" PRIMARY KEY ("Person1", "Person2");


--
-- TOC entry 5656 (class 2606 OID 93034)
-- Name: hasNicknamePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "hasNickname"
    ADD CONSTRAINT "hasNicknamePK" PRIMARY KEY ("Person", "VALUE");


--
-- TOC entry 5658 (class 2606 OID 93036)
-- Name: locatedAtPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedAt"
    ADD CONSTRAINT "locatedAtPK" PRIMARY KEY ("City", "Water");


--
-- TOC entry 5660 (class 2606 OID 93038)
-- Name: locatedInPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedIn"
    ADD CONSTRAINT "locatedInPK" PRIMARY KEY ("Entity", "Area");


--
-- TOC entry 5662 (class 2606 OID 93040)
-- Name: locatedInWaterPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedInWater"
    ADD CONSTRAINT "locatedInWaterPK" PRIMARY KEY ("Island", "Water");


--
-- TOC entry 5664 (class 2606 OID 93042)
-- Name: locatedOnIslandPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedOnIsland"
    ADD CONSTRAINT "locatedOnIslandPK" PRIMARY KEY ("Entity", "Island");


--
-- TOC entry 5666 (class 2606 OID 93044)
-- Name: marriedWithPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "marriedWith"
    ADD CONSTRAINT "marriedWithPK" PRIMARY KEY ("Person1", "Person2");


--
-- TOC entry 5668 (class 2606 OID 93046)
-- Name: mergesWithPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "mergesWith"
    ADD CONSTRAINT "mergesWithPK" PRIMARY KEY ("Sea1", "Sea2");


--
-- TOC entry 5670 (class 2606 OID 93048)
-- Name: nmpropPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY nmprop
    ADD CONSTRAINT "nmpropPK" PRIMARY KEY ("X", "Y");


--
-- TOC entry 5672 (class 2606 OID 93050)
-- Name: othernamePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY othername
    ADD CONSTRAINT "othernamePK" PRIMARY KEY ("Entity", "VALUE");


SET search_path = mondial_allconcrete_standard, pg_catalog;

--
-- TOC entry 5673 (class 2606 OID 90512)
-- Name: FKAdministrativeAreaURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "AdministrativeArea"
    ADD CONSTRAINT "FKAdministrativeAreaURI" FOREIGN KEY ("URI") REFERENCES "PoliticalThing"("URI");


--
-- TOC entry 5674 (class 2606 OID 90517)
-- Name: FKAdministrativeAreaURI2; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "AdministrativeArea"
    ADD CONSTRAINT "FKAdministrativeAreaURI2" FOREIGN KEY ("URI") REFERENCES "Area"("URI");


--
-- TOC entry 5675 (class 2606 OID 90522)
-- Name: FKAdministrativeAreacapital; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "AdministrativeArea"
    ADD CONSTRAINT "FKAdministrativeAreacapital" FOREIGN KEY (capital) REFERENCES "City"("URI");


--
-- TOC entry 5676 (class 2606 OID 90527)
-- Name: FKAnthropoGeographicalRelationshipURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "AnthropoGeographicalRelationship"
    ADD CONSTRAINT "FKAnthropoGeographicalRelationshipURI" FOREIGN KEY ("URI") REFERENCES "ReifiedThing"("URI");


--
-- TOC entry 5677 (class 2606 OID 90532)
-- Name: FKAnthropoGeographicalThingURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "AnthropoGeographicalThing"
    ADD CONSTRAINT "FKAnthropoGeographicalThingURI" FOREIGN KEY ("URI") REFERENCES "MondialThing"("URI");


--
-- TOC entry 5678 (class 2606 OID 90537)
-- Name: FKBelievedByonReligion; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "BelievedBy"
    ADD CONSTRAINT "FKBelievedByonReligion" FOREIGN KEY ("onReligion") REFERENCES "Religion"("URI");


--
-- TOC entry 5679 (class 2606 OID 90542)
-- Name: FKBelievedByreligionInfo-; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "BelievedBy"
    ADD CONSTRAINT "FKBelievedByreligionInfo-" FOREIGN KEY ("religionInfo-") REFERENCES "Country"("URI");


--
-- TOC entry 5680 (class 2606 OID 90547)
-- Name: FKBorderCountry1; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Border"
    ADD CONSTRAINT "FKBorderCountry1" FOREIGN KEY ("Country1") REFERENCES "Country"("URI");


--
-- TOC entry 5681 (class 2606 OID 90552)
-- Name: FKBorderCountry2; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Border"
    ADD CONSTRAINT "FKBorderCountry2" FOREIGN KEY ("Country2") REFERENCES "Country"("URI");


--
-- TOC entry 5682 (class 2606 OID 90557)
-- Name: FKCityURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "City"
    ADD CONSTRAINT "FKCityURI" FOREIGN KEY ("URI") REFERENCES "Location"("URI");


--
-- TOC entry 5683 (class 2606 OID 90562)
-- Name: FKCityURI2; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "City"
    ADD CONSTRAINT "FKCityURI2" FOREIGN KEY ("URI") REFERENCES "GeographicalThing"("URI");


--
-- TOC entry 5684 (class 2606 OID 90567)
-- Name: FKCityURI3; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "City"
    ADD CONSTRAINT "FKCityURI3" FOREIGN KEY ("URI") REFERENCES "Area"("URI");


--
-- TOC entry 5685 (class 2606 OID 90572)
-- Name: FKCityURI4; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "City"
    ADD CONSTRAINT "FKCityURI4" FOREIGN KEY ("URI") REFERENCES "PoliticalThing"("URI");


--
-- TOC entry 5686 (class 2606 OID 90577)
-- Name: FKContinentURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Continent"
    ADD CONSTRAINT "FKContinentURI" FOREIGN KEY ("URI") REFERENCES "Area"("URI");


--
-- TOC entry 5687 (class 2606 OID 90582)
-- Name: FKContinentURI2; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Continent"
    ADD CONSTRAINT "FKContinentURI2" FOREIGN KEY ("URI") REFERENCES "GeographicalNonPoliticalThing"("URI");


--
-- TOC entry 5688 (class 2606 OID 90587)
-- Name: FKCountryURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Country"
    ADD CONSTRAINT "FKCountryURI" FOREIGN KEY ("URI") REFERENCES "PoliticalBody"("URI");


--
-- TOC entry 5689 (class 2606 OID 90592)
-- Name: FKCountryURI2; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Country"
    ADD CONSTRAINT "FKCountryURI2" FOREIGN KEY ("URI") REFERENCES "AdministrativeArea"("URI");


--
-- TOC entry 5690 (class 2606 OID 90597)
-- Name: FKCountrydependentOf; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Country"
    ADD CONSTRAINT "FKCountrydependentOf" FOREIGN KEY ("dependentOf") REFERENCES "Country"("URI");


--
-- TOC entry 5691 (class 2606 OID 90602)
-- Name: FKCountrywasDependentOf; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Country"
    ADD CONSTRAINT "FKCountrywasDependentOf" FOREIGN KEY ("wasDependentOf") REFERENCES "PoliticalBody"("URI");


--
-- TOC entry 5692 (class 2606 OID 90607)
-- Name: FKDesertURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Desert"
    ADD CONSTRAINT "FKDesertURI" FOREIGN KEY ("URI") REFERENCES "Location"("URI");


--
-- TOC entry 5693 (class 2606 OID 90612)
-- Name: FKDesertURI2; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Desert"
    ADD CONSTRAINT "FKDesertURI2" FOREIGN KEY ("URI") REFERENCES "Area"("URI");


--
-- TOC entry 5694 (class 2606 OID 90617)
-- Name: FKDesertURI3; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Desert"
    ADD CONSTRAINT "FKDesertURI3" FOREIGN KEY ("URI") REFERENCES "GeographicalNonPoliticalThing"("URI");


--
-- TOC entry 5695 (class 2606 OID 90622)
-- Name: FKEncompassedencompassedArea; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Encompassed"
    ADD CONSTRAINT "FKEncompassedencompassedArea" FOREIGN KEY ("encompassedArea") REFERENCES "AdministrativeArea"("URI");


--
-- TOC entry 5696 (class 2606 OID 90627)
-- Name: FKEncompassedencompassedBy; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Encompassed"
    ADD CONSTRAINT "FKEncompassedencompassedBy" FOREIGN KEY ("encompassedBy") REFERENCES "Continent"("URI");


--
-- TOC entry 5697 (class 2606 OID 90632)
-- Name: FKEstuaryURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Estuary"
    ADD CONSTRAINT "FKEstuaryURI" FOREIGN KEY ("URI") REFERENCES "Place"("URI");


--
-- TOC entry 5698 (class 2606 OID 90637)
-- Name: FKEstuaryURI2; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Estuary"
    ADD CONSTRAINT "FKEstuaryURI2" FOREIGN KEY ("URI") REFERENCES "GeographicalNonPoliticalThing"("URI");


--
-- TOC entry 5699 (class 2606 OID 90642)
-- Name: FKEthnicGroupURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "EthnicGroup"
    ADD CONSTRAINT "FKEthnicGroupURI" FOREIGN KEY ("URI") REFERENCES "AnthropoGeographicalThing"("URI");


--
-- TOC entry 5700 (class 2606 OID 90647)
-- Name: FKEthnicProportionethnicInfo-; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "EthnicProportion"
    ADD CONSTRAINT "FKEthnicProportionethnicInfo-" FOREIGN KEY ("ethnicInfo-") REFERENCES "Country"("URI");


--
-- TOC entry 5701 (class 2606 OID 90652)
-- Name: FKEthnicProportiononEthnicGroup; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "EthnicProportion"
    ADD CONSTRAINT "FKEthnicProportiononEthnicGroup" FOREIGN KEY ("onEthnicGroup") REFERENCES "EthnicGroup"("URI");


--
-- TOC entry 5702 (class 2606 OID 90657)
-- Name: FKFemalehasFather; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Female"
    ADD CONSTRAINT "FKFemalehasFather" FOREIGN KEY ("hasFather") REFERENCES "Male"("URI");


--
-- TOC entry 5703 (class 2606 OID 90662)
-- Name: FKFemalehasMother; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Female"
    ADD CONSTRAINT "FKFemalehasMother" FOREIGN KEY ("hasMother") REFERENCES "Female"("URI");


--
-- TOC entry 5704 (class 2606 OID 90667)
-- Name: FKGeographicalNonPoliticalThingURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "GeographicalNonPoliticalThing"
    ADD CONSTRAINT "FKGeographicalNonPoliticalThingURI" FOREIGN KEY ("URI") REFERENCES "GeographicalThing"("URI");


--
-- TOC entry 5705 (class 2606 OID 90672)
-- Name: FKGeographicalThingURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "GeographicalThing"
    ADD CONSTRAINT "FKGeographicalThingURI" FOREIGN KEY ("URI") REFERENCES "MondialThing"("URI");


--
-- TOC entry 5706 (class 2606 OID 90677)
-- Name: FKIslandURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Island"
    ADD CONSTRAINT "FKIslandURI" FOREIGN KEY ("URI") REFERENCES "Location"("URI");


--
-- TOC entry 5707 (class 2606 OID 90682)
-- Name: FKIslandURI2; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Island"
    ADD CONSTRAINT "FKIslandURI2" FOREIGN KEY ("URI") REFERENCES "Area"("URI");


--
-- TOC entry 5708 (class 2606 OID 90687)
-- Name: FKIslandURI3; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Island"
    ADD CONSTRAINT "FKIslandURI3" FOREIGN KEY ("URI") REFERENCES "GeographicalNonPoliticalThing"("URI");


--
-- TOC entry 5709 (class 2606 OID 90692)
-- Name: FKIslandbelongsToIslands; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Island"
    ADD CONSTRAINT "FKIslandbelongsToIslands" FOREIGN KEY ("belongsToIslands") REFERENCES "Islands"("URI");


--
-- TOC entry 5710 (class 2606 OID 90697)
-- Name: FKIslandsURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Islands"
    ADD CONSTRAINT "FKIslandsURI" FOREIGN KEY ("URI") REFERENCES "GeographicalNonPoliticalThing"("URI");


--
-- TOC entry 5711 (class 2606 OID 90702)
-- Name: FKIslandsURI2; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Islands"
    ADD CONSTRAINT "FKIslandsURI2" FOREIGN KEY ("URI") REFERENCES "Location"("URI");


--
-- TOC entry 5712 (class 2606 OID 90707)
-- Name: FKIslandsURI3; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Islands"
    ADD CONSTRAINT "FKIslandsURI3" FOREIGN KEY ("URI") REFERENCES "Area"("URI");


--
-- TOC entry 5713 (class 2606 OID 90712)
-- Name: FKLakeURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Lake"
    ADD CONSTRAINT "FKLakeURI" FOREIGN KEY ("URI") REFERENCES "Area"("URI");


--
-- TOC entry 5714 (class 2606 OID 90717)
-- Name: FKLakeURI2; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Lake"
    ADD CONSTRAINT "FKLakeURI2" FOREIGN KEY ("URI") REFERENCES "Water"("URI");


--
-- TOC entry 5715 (class 2606 OID 90722)
-- Name: FKLakeURI3; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Lake"
    ADD CONSTRAINT "FKLakeURI3" FOREIGN KEY ("URI") REFERENCES "Location"("URI");


--
-- TOC entry 5716 (class 2606 OID 90727)
-- Name: FKLakeflowsInto; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Lake"
    ADD CONSTRAINT "FKLakeflowsInto" FOREIGN KEY ("flowsInto") REFERENCES "Water"("URI");


--
-- TOC entry 5717 (class 2606 OID 90732)
-- Name: FKLakeflowsThrough_Inv; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Lake"
    ADD CONSTRAINT "FKLakeflowsThrough_Inv" FOREIGN KEY ("flowsThrough_Inv") REFERENCES "River"("URI");


--
-- TOC entry 5718 (class 2606 OID 90737)
-- Name: FKLanguageURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Language"
    ADD CONSTRAINT "FKLanguageURI" FOREIGN KEY ("URI") REFERENCES "AnthropoGeographicalThing"("URI");


--
-- TOC entry 5719 (class 2606 OID 90742)
-- Name: FKLineflowsInto; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Line"
    ADD CONSTRAINT "FKLineflowsInto" FOREIGN KEY ("flowsInto") REFERENCES "Water"("URI");


--
-- TOC entry 5720 (class 2606 OID 90747)
-- Name: FKMalehasFather; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Male"
    ADD CONSTRAINT "FKMalehasFather" FOREIGN KEY ("hasFather") REFERENCES "Male"("URI");


--
-- TOC entry 5721 (class 2606 OID 90752)
-- Name: FKMalehasMother; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Male"
    ADD CONSTRAINT "FKMalehasMother" FOREIGN KEY ("hasMother") REFERENCES "Female"("URI");


--
-- TOC entry 5722 (class 2606 OID 90757)
-- Name: FKMembershipinOrganization; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Membership"
    ADD CONSTRAINT "FKMembershipinOrganization" FOREIGN KEY ("inOrganization") REFERENCES "Organization"("URI");


--
-- TOC entry 5723 (class 2606 OID 90762)
-- Name: FKMembershipofMember; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Membership"
    ADD CONSTRAINT "FKMembershipofMember" FOREIGN KEY ("ofMember") REFERENCES "Country"("URI");


--
-- TOC entry 5724 (class 2606 OID 90767)
-- Name: FKMountainURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Mountain"
    ADD CONSTRAINT "FKMountainURI" FOREIGN KEY ("URI") REFERENCES "GeographicalNonPoliticalThing"("URI");


--
-- TOC entry 5725 (class 2606 OID 90772)
-- Name: FKMountainURI2; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Mountain"
    ADD CONSTRAINT "FKMountainURI2" FOREIGN KEY ("URI") REFERENCES "Place"("URI");


--
-- TOC entry 5726 (class 2606 OID 90777)
-- Name: FKMountaininMountains; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Mountain"
    ADD CONSTRAINT "FKMountaininMountains" FOREIGN KEY ("inMountains") REFERENCES "Mountains"("URI");


--
-- TOC entry 5727 (class 2606 OID 90782)
-- Name: FKMountainlocatedOnIsland; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Mountain"
    ADD CONSTRAINT "FKMountainlocatedOnIsland" FOREIGN KEY ("locatedOnIsland") REFERENCES "Island"("URI");


--
-- TOC entry 5728 (class 2606 OID 90787)
-- Name: FKMountainsURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Mountains"
    ADD CONSTRAINT "FKMountainsURI" FOREIGN KEY ("URI") REFERENCES "Location"("URI");


--
-- TOC entry 5729 (class 2606 OID 90792)
-- Name: FKMountainsURI2; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Mountains"
    ADD CONSTRAINT "FKMountainsURI2" FOREIGN KEY ("URI") REFERENCES "GeographicalNonPoliticalThing"("URI");


--
-- TOC entry 5730 (class 2606 OID 90797)
-- Name: FKMountainsURI3; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Mountains"
    ADD CONSTRAINT "FKMountainsURI3" FOREIGN KEY ("URI") REFERENCES "Area"("URI");


--
-- TOC entry 5731 (class 2606 OID 90802)
-- Name: FKOrganizationURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Organization"
    ADD CONSTRAINT "FKOrganizationURI" FOREIGN KEY ("URI") REFERENCES "PoliticalBody"("URI");


--
-- TOC entry 5732 (class 2606 OID 90807)
-- Name: FKOrganizationhasHeadq; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Organization"
    ADD CONSTRAINT "FKOrganizationhasHeadq" FOREIGN KEY ("hasHeadq") REFERENCES "City"("URI");


--
-- TOC entry 5733 (class 2606 OID 90812)
-- Name: FKPlaceURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Place"
    ADD CONSTRAINT "FKPlaceURI" FOREIGN KEY ("URI") REFERENCES "Location"("URI");


--
-- TOC entry 5734 (class 2606 OID 90817)
-- Name: FKPoliticalBodyURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "PoliticalBody"
    ADD CONSTRAINT "FKPoliticalBodyURI" FOREIGN KEY ("URI") REFERENCES "PoliticalThing"("URI");


--
-- TOC entry 5735 (class 2606 OID 90822)
-- Name: FKPoliticalThingURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "PoliticalThing"
    ADD CONSTRAINT "FKPoliticalThingURI" FOREIGN KEY ("URI") REFERENCES "MondialThing"("URI");


--
-- TOC entry 5736 (class 2606 OID 90827)
-- Name: FKProvinceURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Province"
    ADD CONSTRAINT "FKProvinceURI" FOREIGN KEY ("URI") REFERENCES "AdministrativeArea"("URI");


--
-- TOC entry 5737 (class 2606 OID 90832)
-- Name: FKProvinceisProvinceOf; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Province"
    ADD CONSTRAINT "FKProvinceisProvinceOf" FOREIGN KEY ("isProvinceOf") REFERENCES "Country"("URI");


--
-- TOC entry 5738 (class 2606 OID 90837)
-- Name: FKReifiedThingURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "ReifiedThing"
    ADD CONSTRAINT "FKReifiedThingURI" FOREIGN KEY ("URI") REFERENCES "MondialThing"("URI");


--
-- TOC entry 5739 (class 2606 OID 90842)
-- Name: FKReligionURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Religion"
    ADD CONSTRAINT "FKReligionURI" FOREIGN KEY ("URI") REFERENCES "AnthropoGeographicalThing"("URI");


--
-- TOC entry 5740 (class 2606 OID 90847)
-- Name: FKRiverURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "River"
    ADD CONSTRAINT "FKRiverURI" FOREIGN KEY ("URI") REFERENCES "Water"("URI");


--
-- TOC entry 5741 (class 2606 OID 90852)
-- Name: FKRiverURI2; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "River"
    ADD CONSTRAINT "FKRiverURI2" FOREIGN KEY ("URI") REFERENCES "Line"("URI");


--
-- TOC entry 5742 (class 2606 OID 90857)
-- Name: FKRiverhasEstuary; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "River"
    ADD CONSTRAINT "FKRiverhasEstuary" FOREIGN KEY ("hasEstuary") REFERENCES "Estuary"("URI");


--
-- TOC entry 5743 (class 2606 OID 90862)
-- Name: FKRiverhasSource; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "River"
    ADD CONSTRAINT "FKRiverhasSource" FOREIGN KEY ("hasSource") REFERENCES "Source"("URI");


--
-- TOC entry 5744 (class 2606 OID 90867)
-- Name: FKSeaURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Sea"
    ADD CONSTRAINT "FKSeaURI" FOREIGN KEY ("URI") REFERENCES "Area"("URI");


--
-- TOC entry 5745 (class 2606 OID 90872)
-- Name: FKSeaURI2; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Sea"
    ADD CONSTRAINT "FKSeaURI2" FOREIGN KEY ("URI") REFERENCES "Water"("URI");


--
-- TOC entry 5746 (class 2606 OID 90877)
-- Name: FKSourceURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Source"
    ADD CONSTRAINT "FKSourceURI" FOREIGN KEY ("URI") REFERENCES "GeographicalNonPoliticalThing"("URI");


--
-- TOC entry 5747 (class 2606 OID 90882)
-- Name: FKSourceURI2; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Source"
    ADD CONSTRAINT "FKSourceURI2" FOREIGN KEY ("URI") REFERENCES "Place"("URI");


--
-- TOC entry 5748 (class 2606 OID 90887)
-- Name: FKSourceinMountains; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Source"
    ADD CONSTRAINT "FKSourceinMountains" FOREIGN KEY ("inMountains") REFERENCES "Mountains"("URI");


--
-- TOC entry 5749 (class 2606 OID 90892)
-- Name: FKSpokenBylanguageInfo-; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "SpokenBy"
    ADD CONSTRAINT "FKSpokenBylanguageInfo-" FOREIGN KEY ("languageInfo-") REFERENCES "Country"("URI");


--
-- TOC entry 5750 (class 2606 OID 90897)
-- Name: FKSpokenByonLanguage; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "SpokenBy"
    ADD CONSTRAINT "FKSpokenByonLanguage" FOREIGN KEY ("onLanguage") REFERENCES "Language"("URI");


--
-- TOC entry 5751 (class 2606 OID 90902)
-- Name: FKUtotUpartV11prop; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "U"
    ADD CONSTRAINT "FKUtotUpartV11prop" FOREIGN KEY ("totUpartV11prop") REFERENCES "V"("URI");


--
-- TOC entry 5752 (class 2606 OID 90907)
-- Name: FKWaterURI; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "Water"
    ADD CONSTRAINT "FKWaterURI" FOREIGN KEY ("URI") REFERENCES "GeographicalNonPoliticalThing"("URI");


--
-- TOC entry 5753 (class 2606 OID 90912)
-- Name: FKcityInCity; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "cityIn"
    ADD CONSTRAINT "FKcityInCity" FOREIGN KEY ("City") REFERENCES "City"("URI");


--
-- TOC entry 5754 (class 2606 OID 90917)
-- Name: FKlocatedAtCity; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "locatedAt"
    ADD CONSTRAINT "FKlocatedAtCity" FOREIGN KEY ("City") REFERENCES "City"("URI");


--
-- TOC entry 5755 (class 2606 OID 90922)
-- Name: FKlocatedInWaterIsland; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "locatedInWater"
    ADD CONSTRAINT "FKlocatedInWaterIsland" FOREIGN KEY ("Island") REFERENCES "Island"("URI");


--
-- TOC entry 5756 (class 2606 OID 90927)
-- Name: FKlocatedOnIslandIsland; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "locatedOnIsland"
    ADD CONSTRAINT "FKlocatedOnIslandIsland" FOREIGN KEY ("Island") REFERENCES "Island"("URI");


--
-- TOC entry 5757 (class 2606 OID 90932)
-- Name: FKmergesWithSea1; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "mergesWith"
    ADD CONSTRAINT "FKmergesWithSea1" FOREIGN KEY ("Sea1") REFERENCES "Sea"("URI");


--
-- TOC entry 5758 (class 2606 OID 90937)
-- Name: FKmergesWithSea2; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY "mergesWith"
    ADD CONSTRAINT "FKmergesWithSea2" FOREIGN KEY ("Sea2") REFERENCES "Sea"("URI");


--
-- TOC entry 5759 (class 2606 OID 90942)
-- Name: FKnmpropX; Type: FK CONSTRAINT; Schema: mondial_allconcrete_standard; Owner: -
--

ALTER TABLE ONLY nmprop
    ADD CONSTRAINT "FKnmpropX" FOREIGN KEY ("X") REFERENCES "X2"("URI");


SET search_path = mondial_rdf2sql_standard, pg_catalog;

--
-- TOC entry 5760 (class 2606 OID 93129)
-- Name: FKBelievedByonReligion; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "BelievedBy"
    ADD CONSTRAINT "FKBelievedByonReligion" FOREIGN KEY ("onReligion") REFERENCES "Religion"("URI");


--
-- TOC entry 5761 (class 2606 OID 93134)
-- Name: FKBelievedByreligionInfo-; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "BelievedBy"
    ADD CONSTRAINT "FKBelievedByreligionInfo-" FOREIGN KEY ("religionInfo-") REFERENCES "Country"("URI");


--
-- TOC entry 5762 (class 2606 OID 93139)
-- Name: FKBorderCountry1; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Border"
    ADD CONSTRAINT "FKBorderCountry1" FOREIGN KEY ("Country1") REFERENCES "Country"("URI");


--
-- TOC entry 5763 (class 2606 OID 93144)
-- Name: FKBorderCountry2; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Border"
    ADD CONSTRAINT "FKBorderCountry2" FOREIGN KEY ("Country2") REFERENCES "Country"("URI");


--
-- TOC entry 5764 (class 2606 OID 93149)
-- Name: FKCountrycapital; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Country"
    ADD CONSTRAINT "FKCountrycapital" FOREIGN KEY (capital) REFERENCES "City"("URI");


--
-- TOC entry 5765 (class 2606 OID 93154)
-- Name: FKCountrydependentOf; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Country"
    ADD CONSTRAINT "FKCountrydependentOf" FOREIGN KEY ("dependentOf") REFERENCES "Country"("URI");


--
-- TOC entry 5766 (class 2606 OID 93159)
-- Name: FKEncompassedencompassedBy; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Encompassed"
    ADD CONSTRAINT "FKEncompassedencompassedBy" FOREIGN KEY ("encompassedBy") REFERENCES "Continent"("URI");


--
-- TOC entry 5767 (class 2606 OID 93164)
-- Name: FKEstuaryhasEstuary-; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Estuary"
    ADD CONSTRAINT "FKEstuaryhasEstuary-" FOREIGN KEY ("hasEstuary-") REFERENCES "Water"("URI");


--
-- TOC entry 5768 (class 2606 OID 93169)
-- Name: FKEthnicProportionethnicInfo-; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "EthnicProportion"
    ADD CONSTRAINT "FKEthnicProportionethnicInfo-" FOREIGN KEY ("ethnicInfo-") REFERENCES "Country"("URI");


--
-- TOC entry 5769 (class 2606 OID 93174)
-- Name: FKEthnicProportiononEthnicGroup; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "EthnicProportion"
    ADD CONSTRAINT "FKEthnicProportiononEthnicGroup" FOREIGN KEY ("onEthnicGroup") REFERENCES "EthnicGroup"("URI");


--
-- TOC entry 5770 (class 2606 OID 93179)
-- Name: FKFemalehasFather; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Female"
    ADD CONSTRAINT "FKFemalehasFather" FOREIGN KEY ("hasFather") REFERENCES "Male"("URI");


--
-- TOC entry 5771 (class 2606 OID 93184)
-- Name: FKFemalehasMother; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Female"
    ADD CONSTRAINT "FKFemalehasMother" FOREIGN KEY ("hasMother") REFERENCES "Female"("URI");


--
-- TOC entry 5772 (class 2606 OID 93189)
-- Name: FKIslandbelongsToIslands; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Island"
    ADD CONSTRAINT "FKIslandbelongsToIslands" FOREIGN KEY ("belongsToIslands") REFERENCES "Islands"("URI");


--
-- TOC entry 5773 (class 2606 OID 93194)
-- Name: FKMalehasFather; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Male"
    ADD CONSTRAINT "FKMalehasFather" FOREIGN KEY ("hasFather") REFERENCES "Male"("URI");


--
-- TOC entry 5774 (class 2606 OID 93199)
-- Name: FKMalehasMother; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Male"
    ADD CONSTRAINT "FKMalehasMother" FOREIGN KEY ("hasMother") REFERENCES "Female"("URI");


--
-- TOC entry 5775 (class 2606 OID 93204)
-- Name: FKMembershipinOrganization; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Membership"
    ADD CONSTRAINT "FKMembershipinOrganization" FOREIGN KEY ("inOrganization") REFERENCES "Organization"("URI");


--
-- TOC entry 5776 (class 2606 OID 93209)
-- Name: FKMembershipofMember; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Membership"
    ADD CONSTRAINT "FKMembershipofMember" FOREIGN KEY ("ofMember") REFERENCES "Country"("URI");


--
-- TOC entry 5777 (class 2606 OID 93214)
-- Name: FKMountaininMountains; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Mountain"
    ADD CONSTRAINT "FKMountaininMountains" FOREIGN KEY ("inMountains") REFERENCES "Mountains"("URI");


--
-- TOC entry 5778 (class 2606 OID 93219)
-- Name: FKMountainlocatedOnIsland; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Mountain"
    ADD CONSTRAINT "FKMountainlocatedOnIsland" FOREIGN KEY ("locatedOnIsland") REFERENCES "Island"("URI");


--
-- TOC entry 5779 (class 2606 OID 93224)
-- Name: FKOrganizationhasHeadq; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Organization"
    ADD CONSTRAINT "FKOrganizationhasHeadq" FOREIGN KEY ("hasHeadq") REFERENCES "City"("URI");


--
-- TOC entry 5780 (class 2606 OID 93229)
-- Name: FKProvincecapital; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Province"
    ADD CONSTRAINT "FKProvincecapital" FOREIGN KEY (capital) REFERENCES "City"("URI");


--
-- TOC entry 5781 (class 2606 OID 93234)
-- Name: FKProvinceisProvinceOf; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Province"
    ADD CONSTRAINT "FKProvinceisProvinceOf" FOREIGN KEY ("isProvinceOf") REFERENCES "Country"("URI");


--
-- TOC entry 5782 (class 2606 OID 93239)
-- Name: FKSourcehasSource-; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Source"
    ADD CONSTRAINT "FKSourcehasSource-" FOREIGN KEY ("hasSource-") REFERENCES "Water"("URI");


--
-- TOC entry 5783 (class 2606 OID 93244)
-- Name: FKSourceinMountains; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Source"
    ADD CONSTRAINT "FKSourceinMountains" FOREIGN KEY ("inMountains") REFERENCES "Mountains"("URI");


--
-- TOC entry 5784 (class 2606 OID 93249)
-- Name: FKSpokenBylanguageInfo-; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "SpokenBy"
    ADD CONSTRAINT "FKSpokenBylanguageInfo-" FOREIGN KEY ("languageInfo-") REFERENCES "Country"("URI");


--
-- TOC entry 5785 (class 2606 OID 93254)
-- Name: FKSpokenByonLanguage; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "SpokenBy"
    ADD CONSTRAINT "FKSpokenByonLanguage" FOREIGN KEY ("onLanguage") REFERENCES "Language"("URI");


--
-- TOC entry 5786 (class 2606 OID 93259)
-- Name: FKUtotUpartV11prop; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "U"
    ADD CONSTRAINT "FKUtotUpartV11prop" FOREIGN KEY ("totUpartV11prop") REFERENCES "V"("URI");


--
-- TOC entry 5787 (class 2606 OID 93264)
-- Name: FKWaterflowsInto; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Water"
    ADD CONSTRAINT "FKWaterflowsInto" FOREIGN KEY ("flowsInto") REFERENCES "Water"("URI");


--
-- TOC entry 5788 (class 2606 OID 93269)
-- Name: FKWaterflowsThrough_Inv; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Water"
    ADD CONSTRAINT "FKWaterflowsThrough_Inv" FOREIGN KEY ("flowsThrough_Inv") REFERENCES "Water"("URI");


--
-- TOC entry 5789 (class 2606 OID 93274)
-- Name: FKcityInCity; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "cityIn"
    ADD CONSTRAINT "FKcityInCity" FOREIGN KEY ("City") REFERENCES "City"("URI");


--
-- TOC entry 5790 (class 2606 OID 93279)
-- Name: FKlocatedAtCity; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedAt"
    ADD CONSTRAINT "FKlocatedAtCity" FOREIGN KEY ("City") REFERENCES "City"("URI");


--
-- TOC entry 5791 (class 2606 OID 93284)
-- Name: FKlocatedAtWater; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedAt"
    ADD CONSTRAINT "FKlocatedAtWater" FOREIGN KEY ("Water") REFERENCES "Water"("URI");


--
-- TOC entry 5792 (class 2606 OID 93289)
-- Name: FKlocatedInWaterIsland; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedInWater"
    ADD CONSTRAINT "FKlocatedInWaterIsland" FOREIGN KEY ("Island") REFERENCES "Island"("URI");


--
-- TOC entry 5793 (class 2606 OID 93294)
-- Name: FKlocatedInWaterWater; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedInWater"
    ADD CONSTRAINT "FKlocatedInWaterWater" FOREIGN KEY ("Water") REFERENCES "Water"("URI");


--
-- TOC entry 5794 (class 2606 OID 93299)
-- Name: FKlocatedOnIslandEntity; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedOnIsland"
    ADD CONSTRAINT "FKlocatedOnIslandEntity" FOREIGN KEY ("Entity") REFERENCES "City"("URI");


--
-- TOC entry 5795 (class 2606 OID 93304)
-- Name: FKlocatedOnIslandIsland; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedOnIsland"
    ADD CONSTRAINT "FKlocatedOnIslandIsland" FOREIGN KEY ("Island") REFERENCES "Island"("URI");


--
-- TOC entry 5796 (class 2606 OID 93309)
-- Name: FKmergesWithSea1; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "mergesWith"
    ADD CONSTRAINT "FKmergesWithSea1" FOREIGN KEY ("Sea1") REFERENCES "Water"("URI");


--
-- TOC entry 5797 (class 2606 OID 93314)
-- Name: FKmergesWithSea2; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "mergesWith"
    ADD CONSTRAINT "FKmergesWithSea2" FOREIGN KEY ("Sea2") REFERENCES "Water"("URI");


--
-- TOC entry 5798 (class 2606 OID 93319)
-- Name: FKnmpropX; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY nmprop
    ADD CONSTRAINT "FKnmpropX" FOREIGN KEY ("X") REFERENCES "X2"("URI");


-- Completed on 2015-10-22 13:37:56 CEST

--
-- PostgreSQL database dump complete
--

